**Note:** This file is automatically generated. Please see the [developer
documentation](doc/development/changelog.md) for instructions on adding your own
entry.

## 15.8.5 (2023-03-30)

### Security (16 changes)

- [Fix rubocop offenses in lib/gitlab/url_sanitizer.rb](gitlab-org/security/gitlab@ddc04cf7059e411e20033b95e1297381d64d4b22) ([merge request](gitlab-org/security/gitlab!3175))
- [Add checks to remove open redirects from Observability URL](gitlab-org/security/gitlab@a22ce3851128eb900dbabe9e38c07889967a2915) ([merge request](gitlab-org/security/gitlab!3032))
- [Redirect to tree from project root on ref collision](gitlab-org/security/gitlab@fad24ae9d8fa0e7bd9eff0c9e6914c8267451b4d) ([merge request](gitlab-org/security/gitlab!3134))
- [Fixes soft email confirmation alert vulnerability](gitlab-org/security/gitlab@85be0fbfc98cdb774d68070479e35be22f6ba40a) ([merge request](gitlab-org/security/gitlab!3125))
- [Restrict Prometheus API access on public projects](gitlab-org/security/gitlab@2df2fa2dc4b9015d044d0ddc5d26e17e9e5f85c0) ([merge request](gitlab-org/security/gitlab!3164))
- [Verify that users have access to the parent of the fork](gitlab-org/security/gitlab@53f7f06843eea4d666d361f5a1d349bd1e3f4312) ([merge request](gitlab-org/security/gitlab!3085))
- [Protect webhook secrets by resetting url_variables](gitlab-org/security/gitlab@9fa9dbff463f6015ffaf8d082db3d41ae623763e) ([merge request](gitlab-org/security/gitlab!3141))
- [Replace Unicode space chars with spaces](gitlab-org/security/gitlab@20d77d4d680d13f916fb69de0d79802753421c8f) ([merge request](gitlab-org/security/gitlab!3137))
- [Check access to parent when creating and updating epics](gitlab-org/security/gitlab@0fed113756b27a3a078f87f29711b225e1ed4cce) ([merge request](gitlab-org/security/gitlab!3150))
- [Improve Gitlab::UrlSanitizer regex to match more URIs](gitlab-org/security/gitlab@2285088f37aca877b1dcd59c728cdf33171b30cb) ([merge request](gitlab-org/security/gitlab!3109))
- [Check access to target project before looking for branch](gitlab-org/security/gitlab@37b8d855d87c88170322e6a6d4c285fee6c6cb64) ([merge request](gitlab-org/security/gitlab!3038))
- [Fix the potential leak of internal notes](gitlab-org/security/gitlab@66f8cc2eb13509397b980d53a4b67ca03d8903f7) ([merge request](gitlab-org/security/gitlab!3121))
- [Filter namespace environments by feature visibility](gitlab-org/security/gitlab@e1859de393b4794e1356d6318e56ede4b557c059) ([merge request](gitlab-org/security/gitlab!3112))
- [Check access to reorder issues in epic tree](gitlab-org/security/gitlab@13f9c6231cea956f73355c5b5b820163f523e7d8) ([merge request](gitlab-org/security/gitlab!3100))
- [Fix security report authorization](gitlab-org/security/gitlab@19baab85c7a5a64a09e3e4808e8550fc72e18323) ([merge request](gitlab-org/security/gitlab!3105))
- [Prevent XSS attack in "Maximum page reached" page](gitlab-org/security/gitlab@be5491c5db05161e4b14d53900dd19b66848de48) ([merge request](gitlab-org/security/gitlab!3131))

## 15.8.4 (2023-03-02)

### Security (12 changes)

- [Using builds metadata to determine debug_mode](gitlab-org/security/gitlab@169fdb3222a9701b5818ef7c00f8f292dc60495d) ([merge request](gitlab-org/security/gitlab!3035))
- [Fix pagination limits for Commits API](gitlab-org/security/gitlab@3d58c0fef6429d1030d1dfce1ca523ef33a0054b) ([merge request](gitlab-org/security/gitlab!3072))
- [Mask Google IAP account details in Prometheus integration](gitlab-org/security/gitlab@96426e4c799e9bf5e90e5e57b2e54235831819a3) ([merge request](gitlab-org/security/gitlab!3082))
- [Stop Group Transfer Service if SAML Provider or SCIM token is present](gitlab-org/security/gitlab@9496a2ed22f73bf83e56b1ff502fefcfe777ad07) ([merge request](gitlab-org/security/gitlab!3097))
- [Protect Datadog API key by changing Datadog site](gitlab-org/security/gitlab@c6804e50cb60fc4747ea573306eec17eb0dd25f9) ([merge request](gitlab-org/security/gitlab!3094))
- [Protect integrations' sensitive information exposed via API](gitlab-org/security/gitlab@a408475163272b926e65b1cf56c9efde09eac8dd) ([merge request](gitlab-org/security/gitlab!3088))
- [Disallow maintainer to create an owner access token](gitlab-org/security/gitlab@d184909f6ab9123a6131c5c37452ace5c4bc8d3d) ([merge request](gitlab-org/security/gitlab!3091))
- [Paste only text content in work items title](gitlab-org/security/gitlab@d8c48ade46fd75ab62731fced05cdfa2451bcdfa) ([merge request](gitlab-org/security/gitlab!3075))
- [Jira DVCS OAuth Open Redirect Vulnerability](gitlab-org/security/gitlab@91ee37eeaaae8cc6d923f6b4b28ce0d7914342dd) ([merge request](gitlab-org/security/gitlab!3063))
- [Block private personal snippet from unauthorized users](gitlab-org/security/gitlab@d687866d69cbdf25a3ca7185974c02402345015d) ([merge request](gitlab-org/security/gitlab!3030))
- [Verify Kroki diagram type](gitlab-org/security/gitlab@4ec26a4479e73233d0f77bc5a5e764d506c29faf) ([merge request](gitlab-org/security/gitlab!3055))
- [Check read_release permission before showing releases in Tags API](gitlab-org/security/gitlab@32bf21efc32fcb6a3803993959b50d8a9cd07d25) ([merge request](gitlab-org/security/gitlab!3057))

## 15.8.3 (2023-02-15)

### Fixed (3 changes)

- [Attempt reading schema file instead of a file named `#{report_version}`](gitlab-org/gitlab@f4b236c5f22c2da89bd4275cd8f5bf2807069ee4) ([merge request](gitlab-org/gitlab!111934))
- [Revert changes on wiki replication/verification legacy code](gitlab-org/gitlab@71b29b669f0415fa371560139d699aa7ad568549) ([merge request](gitlab-org/gitlab!111934)) **GitLab Enterprise Edition**
- [Revert changes on wiki replication/verification legacy code](gitlab-org/gitlab@fd824d99fb7b341088841edfaa6c401c4c20dad8) ([merge request](gitlab-org/gitlab!111879)) **GitLab Enterprise Edition**

### Changed (1 change)

- [Upgrade Alert - Add proper API support](gitlab-org/gitlab@6658efdbfb89847f20836e862710260e49c44778) ([merge request](gitlab-org/gitlab!111934))

## 15.8.2 (2023-02-10)

No changes.

## 15.8.1 (2023-01-30)

### Security (5 changes)

- [Remove parameter validation for registry notification request [15.8]](gitlab-org/security/gitlab@bf5a28cc21ffa3e7b63eeca02f220c1312314f75) ([merge request](gitlab-org/security/gitlab!3028))
- [Add size validation for Chart.yaml during file extraction](gitlab-org/security/gitlab@f4afa319cffded561731c117c808969b5261ca52) ([merge request](gitlab-org/security/gitlab!3018))
- [Prevent default branches from storing paths](gitlab-org/security/gitlab@a906e14f6891e84cfe854be960266adc7f0f6092) ([merge request](gitlab-org/security/gitlab!3011))
- [Validate Issuable description max length on update](gitlab-org/security/gitlab@312fbac888d0452d9beb9d6545b22972b7e1f09d) ([merge request](gitlab-org/security/gitlab!3004))
- [Security fix dynamic child pipeline zip extraction](gitlab-org/security/gitlab@ea09503c67eb1eb1f17ea49b7748543d2676e393) ([merge request](gitlab-org/security/gitlab!3007))

## 15.8.0 (2023-01-20)

### Added (120 changes)

- [Expose user emails via GraphQL](gitlab-org/gitlab@c51bb3692efe2af559ae3d4fb48021840fd67aac) ([merge request](gitlab-org/gitlab!107525))
- [Describe possible solutions for curl 92 HTTP/2 error](gitlab-org/gitlab@8ccea46126f06513b0f9c5b06834a006680ed476) ([merge request](gitlab-org/gitlab!109102))
- [Add report abuse category to merge requests](gitlab-org/gitlab@d0fd2b1f17726738b954e79ee00776782bf9b258) ([merge request](gitlab-org/gitlab!108381))
- [Add storage admin control columns to plan limits table](gitlab-org/gitlab@fff306d8068fd87c0c7a0149672655b140cc3dae) ([merge request](gitlab-org/gitlab!108498))
- [Add unique index to ci_builds](gitlab-org/gitlab@6eef9ec19c01154a7f2f96613df87a1bd3d15ac6) ([merge request](gitlab-org/gitlab!109116))
- [Add partitioning tmp indexes to ci_sources_pipelines table](gitlab-org/gitlab@f877540bb4ee612eeaac00c1eb3d8832c43356d7) ([merge request](gitlab-org/gitlab!109094))
- [Add SCIM Token section to Admin Area for instance-level SCIM](gitlab-org/gitlab@33cf1877708b9e8c1ea999045688693917d28be2) ([merge request](gitlab-org/gitlab!106340)) **GitLab Enterprise Edition**
- [Drop unused index in ci_builds](gitlab-org/gitlab@0ce9cf242f815604020b9ef6fb5c0a0ceb892a72) ([merge request](gitlab-org/gitlab!108964))
- [Use healthStatusUpdated subscription in frontend](gitlab-org/gitlab@04d3b1bc588497bca673dba76138887fad3b43c6) ([merge request](gitlab-org/gitlab!108853)) **GitLab Enterprise Edition**
- [Expose ability to import groups without projects](gitlab-org/gitlab@5ad01e4fbf8c3ae568d391d68cc9febb23d98efa) ([merge request](gitlab-org/gitlab!108802))
- [Add an option to select 180 days of data](gitlab-org/gitlab@63b2650d3f9c2665288cbac6dbd09b00bd6e1f40) ([merge request](gitlab-org/gitlab!108398)) **GitLab Enterprise Edition**
- [Add tmp indexes for CI partitioning](gitlab-org/gitlab@a6f7d42fc03cf7d72dd0c786175737853a7ff8bd) ([merge request](gitlab-org/gitlab!108788))
- [Add GraphQL subscription for health status updates](gitlab-org/gitlab@4d84ee1fea703575f4c21dcfdda5a17458c829a9) ([merge request](gitlab-org/gitlab!108850)) **GitLab Enterprise Edition**
- [Add dast_pre_scan_verification field to ProfileType](gitlab-org/gitlab@56a9859f8705db6079dbccb9ffc8f542f2392564) ([merge request](gitlab-org/gitlab!108074)) **GitLab Enterprise Edition**
- [Add index on created_at and id to ci_runner_machines](gitlab-org/gitlab@6d92c64917484f0754eb6583c339cd4deae558c4) ([merge request](gitlab-org/gitlab!108414))
- [Finalize todo sanitization](gitlab-org/gitlab@b04d61009ec7609126c0a2e91250c1b8ac392b18) ([merge request](gitlab-org/gitlab!108983))
- [Expose legacy requirement IID in Work Items GraphQL API](gitlab-org/gitlab@a9dc0bf770a45bf74c38909029d0a0c2963b242f) ([merge request](gitlab-org/gitlab!108951)) **GitLab Enterprise Edition**
- [Import 'Allow specified actors to bypass required pull requests' rule](gitlab-org/gitlab@7f868fb523382d106b64872dcdb7a8fd0992d7dc) ([merge request](gitlab-org/gitlab!107943)) **GitLab Enterprise Edition**
- [Add report abuse category to issue & incident](gitlab-org/gitlab@848a9e05f4a232698243a70f55c4b995f95d0c59) ([merge request](gitlab-org/gitlab!108004))
- [Count approval project rule created monthly](gitlab-org/gitlab@ab662d2dcadee40b7e79592087c88e52fad37c3f) ([merge request](gitlab-org/gitlab!108388)) **GitLab Enterprise Edition**
- [Add 'migrate_projects' bool flag for group bulk imports'](gitlab-org/gitlab@37bfcc68a1c56c319e6f9bf8b1cc7a8330c80957) ([merge request](gitlab-org/gitlab!108697))
- [Add user and fingerprint to ssh signature](gitlab-org/gitlab@77728a5818d958991fb52b40270f3302b27c7fa7) ([merge request](gitlab-org/gitlab!108324))
- [Add create achievement GraphQL mutation](gitlab-org/gitlab@df8cd83eab416ae3ba34bb5cfdf423eb41de4c6e) ([merge request](gitlab-org/gitlab!106909))
- [Make frequently projects/groups list editable](gitlab-org/gitlab@7a06a9060dd731f2f07499cbd38cc534429114ca) ([merge request](gitlab-org/gitlab!108205))
- [Add updatedAt field to Vulnerabilities](gitlab-org/gitlab@3516bf51f3d1394ef1d8a0062ff35d5dcab3f022) ([merge request](gitlab-org/gitlab!107983)) **GitLab Enterprise Edition**
- [Support $…$ and $$…$$ syntax math in markdown](gitlab-org/gitlab@bcee1034e37d533cdb29a5614c2b0296491c54af) ([merge request](gitlab-org/gitlab!108379))
- [feat: Bump Code-Quality image to 0.89.0](gitlab-org/gitlab@aac7e0667304b14975ecdbaf5b61b28c1c8af8ee) ([merge request](gitlab-org/gitlab!108810))
- [Default enable jira_connect_oauth_self_managed](gitlab-org/gitlab@26cc67bfb5043e4c31ccf8c136284b1a09c1af4d) ([merge request](gitlab-org/gitlab!108789))
- [Expose uses legacy iid flag in test report GraphQL type](gitlab-org/gitlab@343cfb57d28a48c62b9931f1afcd2ba05ef0fd4e) ([merge request](gitlab-org/gitlab!108748)) **GitLab Enterprise Edition**
- [Add create/update/delete endpoints for instance SCIM](gitlab-org/gitlab@33e1b19cd245f764499f80f3aaea4e6765b14a15) ([merge request](gitlab-org/gitlab!108635)) **GitLab Enterprise Edition**
- [Open Web IDE in new tab in all contexts](gitlab-org/gitlab@70f86a3ffb6f043880c45b96728b159887db9582) ([merge request](gitlab-org/gitlab!106122))
- [Add uses legacy iid flag to test reports table](gitlab-org/gitlab@5899159de6634b2e94d4f3f259cb0c7c504135d6) ([merge request](gitlab-org/gitlab!108520))
- [No-op migration for pm package partitioning](gitlab-org/gitlab@5f5f6b3bc7aec71b33df012fce52f14517acb735) ([merge request](gitlab-org/gitlab!108722))
- [Push language aggregation feature flag to front-end](gitlab-org/gitlab@0374002574c50b276a852f40179e68019e3413b7) ([merge request](gitlab-org/gitlab!107969))
- [Refresh pipelines when target branch changes](gitlab-org/gitlab@0c829de43c167d8fdb52d5a6b175dc5b5507661f) ([merge request](gitlab-org/gitlab!107709))
- [Extend API spec helper for new `admin_mode` PAT scope](gitlab-org/gitlab@762ed5f68ca7d9f88f284c600100dd44a5fc8ea5) by @wwwjon ([merge request](gitlab-org/gitlab!108690))
- [Improve the performance of PipelineScheduleWorker](gitlab-org/gitlab@dd9f9636ae15c1fd5394cd22c606a4c01eb7397e) ([merge request](gitlab-org/gitlab!106661))
- [Add 'migrate_projects' column to bulk_import_entities table](gitlab-org/gitlab@5e5338cbed99ae1e7a087a43ab8231389d51565b) ([merge request](gitlab-org/gitlab!108676))
- [Add work_item_iid to requirement update mutation](gitlab-org/gitlab@8d9b76949101f2a1052db9450cad0e30ff243923) ([merge request](gitlab-org/gitlab!108392)) **GitLab Enterprise Edition**
- [Add new github import stats elements](gitlab-org/gitlab@933c2884c98c40657869c9c36ab7cff7bb3a20d2) ([merge request](gitlab-org/gitlab!108646))
- [Add partitioning for package metadata](gitlab-org/gitlab@754f9def18bca3c5a01131ed037c9e887d31a43d) ([merge request](gitlab-org/gitlab!104155))
- [Add work_item_iid to requirement update mutation](gitlab-org/gitlab@f2617f2b17550ea8c1d1420f91a71b3f2e7c936b) ([merge request](gitlab-org/gitlab!108389)) **GitLab Enterprise Edition**
- [Add API to stop stale environments](gitlab-org/gitlab@aaf003d40441e14e6ccf7956bfe499afb585708d) ([merge request](gitlab-org/gitlab!108062))
- [Adds Singlestatistic Option to Visualization Designer](gitlab-org/gitlab@bb9b92d921d47b3de2e17fa728c08c355fe3533e) ([merge request](gitlab-org/gitlab!108421)) **GitLab Enterprise Edition**
- [Display error message in BulkImport initial page](gitlab-org/gitlab@e6326766b52473cedfbabbe5fd50de7f6a57e581) ([merge request](gitlab-org/gitlab!108433))
- [Add `admin_mode` scope for PATs](gitlab-org/gitlab@04365c075b39d309628a308ce951530a75aee8e9) ([merge request](gitlab-org/gitlab!107875))
- [Adds Candidate Show page](gitlab-org/gitlab@a3706d0198fdaf5cb1a2f6d2d6f76f98321f246d) ([merge request](gitlab-org/gitlab!108111))
- [Add Runner performance insights modal](gitlab-org/gitlab@91c6d13d3dee447213de84dc97734b9a16849fbd) ([merge request](gitlab-org/gitlab!107385)) **GitLab Enterprise Edition**
- [Add reported from URL field to the report abuse form](gitlab-org/gitlab@6f3b88c3b5ffd27784f85e22870e3a9aed5440bf) ([merge request](gitlab-org/gitlab!106675))
- [Add OR filter support for labels](gitlab-org/gitlab@3f25ce65d710e706c3890d4709e62df82006a743) ([merge request](gitlab-org/gitlab!102171))
- [Support rate limiting by user on GitLab shell](gitlab-org/gitlab@b0ab3f844daf2d03780b4b4af73b59a285416285) ([merge request](gitlab-org/gitlab!108446))
- [mail_room: Make it possible to configure delete after delivery behavior](gitlab-org/gitlab@f04614ebdfe94d24fa8c0a6b2985557c99db0392) ([merge request](gitlab-org/gitlab!108494))
- [Add GET endpoints for instance-level SCIM](gitlab-org/gitlab@18ef3fbc6d0d78c1ae9810bc0387b96af5908152) ([merge request](gitlab-org/gitlab!107770)) **GitLab Enterprise Edition**
- [Add runner_machine_id column to ci_builds_metadata](gitlab-org/gitlab@ad146dd2bc859338a148832038d85cd8ec83378c) ([merge request](gitlab-org/gitlab!108165))
- [Migrations to clean up vulnerabilities with overlong html titles](gitlab-org/gitlab@5eea9674dcf21de84bf82d27e1d03f9d5d16e0ea) ([merge request](gitlab-org/gitlab!103218))
- [Add customer_health_score performance indicator type](gitlab-org/gitlab@c5a25e04c9817c70435958fe1be7945aad3f5a63) ([merge request](gitlab-org/gitlab!108386))
- [Create logic to find branch rules without protected branches](gitlab-org/gitlab@38a2b908ab58021a9461fbef11d74906beb6f5cc) ([merge request](gitlab-org/gitlab!106954)) **GitLab Enterprise Edition**
- [Add admin role to access level enum in graphql](gitlab-org/gitlab@5442d23066daa929555c034055408ea3d71229b6) ([merge request](gitlab-org/gitlab!108455)) **GitLab Enterprise Edition**
- [Add UI to retry failed external MR status checks](gitlab-org/gitlab@8ced7ec597f4b8b8105d2287ca71607ea5b2eb6a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/106751)) **GitLab Enterprise Edition**
- [Intercept repository archive hotlinking](gitlab-org/gitlab@7b04882028db3484588f605877293227704dd8b3) ([merge request](gitlab-org/gitlab!108450))
- [Support rate limiting by IP on GitLab shell](gitlab-org/gitlab@8a37849f803c2e59f4b4aa7796cb830425c7e460) ([merge request](gitlab-org/gitlab!108436))
- [Support automatic approve deployment](gitlab-org/gitlab@5d61b0b8dd4818dad61417dfa1bb998012de3ffd) by @luzhiyuan.deer ([merge request](gitlab-org/gitlab!104720))
- [Adding todos on project request access](gitlab-org/gitlab@5cca7c79dbccb98d8c6df480e7fb223005dc62dd) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/106550))
- [Store approving user for access requests](gitlab-org/gitlab@a76c2056c924d3eeb4d61d149ea6ac2144fb3e0b) by @Taucher2003 ([merge request](gitlab-org/gitlab!108275))
- [Add config column to ci_runner_machines](gitlab-org/gitlab@ef3d867f1f4d214fd8a47fd1cd2aac9fa33c52ee) ([merge request](gitlab-org/gitlab!108328))
- [Add pwa icon to appearance / api](gitlab-org/gitlab@0f88d9b3d6cb1df69e3d1b4aa967f137e93f2682) by @TrueKalix ([merge request](gitlab-org/gitlab!107822))
- [Adds support for passing :allow_duplicate option](gitlab-org/gitlab@6ecf16006277adf0eae8bfec11645251f546e4d3) ([merge request](gitlab-org/gitlab!108047))
- [Work Item activity widget - sorting and pagination](gitlab-org/gitlab@12b30e33e6ef86169b6a37322b69f5251f6e1891) ([merge request](gitlab-org/gitlab!106275))
- [Adds pagination to candidates](gitlab-org/gitlab@fdc40c5b659b1e98ace4fb08ac028007fa16de55) ([merge request](gitlab-org/gitlab!107561))
- [Group recent activity metrics are now clickable](gitlab-org/gitlab@ee5ca69b6daab5b15dcac6592c2e085d9c4d6957) ([merge request](gitlab-org/gitlab!107020)) **GitLab Enterprise Edition**
- [Adds section for metadata on CandidateDetails](gitlab-org/gitlab@0b7582aaaa6cc7d0c29e2bbfcd0a389a720dfc39) ([merge request](gitlab-org/gitlab!107881))
- [[385087] GitHub repos fetch by relation type](gitlab-org/gitlab@d93c10048c64ffd6c8ae3b4387db3ae8b2e4f363) ([merge request](gitlab-org/gitlab!107883))
- [Add param regex to api branches](gitlab-org/gitlab@ccd203d6b4a7ed2bacd8a33be855c8d1802816cc) by @lyb124553153 ([merge request](gitlab-org/gitlab!107910))
- [Add incident attribute to slack notif settings](gitlab-org/gitlab@118ba701cfeb36f08efd402c4f8397214803a572) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/107856))
- [Add tag_list to DastScannerProfileType](gitlab-org/gitlab@168fec185cf3da8a9f78737b92f37067fde4dc1c) ([merge request](gitlab-org/gitlab!107521))
- [Remove use_api_for_payment_validation](gitlab-org/gitlab@b01aa65a9676266256e7e9416fdd6c01780eb68d) ([merge request](gitlab-org/gitlab!107839)) **GitLab Enterprise Edition**
- [Add ApplicationSetting for private profile](gitlab-org/gitlab@3ecbdcbeec97190ddc4253bb51bb0456988e329f) ([merge request](gitlab-org/gitlab!107362))
- [Add allow_runner_registration_token namespace setting](gitlab-org/gitlab@3353d0a811c2eb3ca6b9ac6838841858add444fe) ([merge request](gitlab-org/gitlab!107818))
- [Add username in the OIDC preferred_username claim](gitlab-org/gitlab@c297080dc6ce24db5f8f6f2bacc6c81fe66d50c1) by @janLo ([merge request](gitlab-org/gitlab!107720))
- [Add mirror_branch_regex to api](gitlab-org/gitlab@1893cff91daa8fdc3de70fb70b8d58879c5a9e6e) by @lyb124553153 ([merge request](gitlab-org/gitlab!102608)) **GitLab Enterprise Edition**
- [Trigger merge status subscription when a new discussion is created](gitlab-org/gitlab@e3f8b8166fb40d763a3aefd2b85bbb9e9935fecb) ([merge request](gitlab-org/gitlab!107981))
- [GraphQL: Add RunnersJobsStatisticsResolver](gitlab-org/gitlab@5f7fa13f88f52432c806295de4d2a33a1442112f) ([merge request](gitlab-org/gitlab!107694)) **GitLab Enterprise Edition**
- [Add `PATCH` method for `/user/status` REST API](gitlab-org/gitlab@bbf3d71e8eaefd19f3613195a59bba338ce7b35c) ([merge request](gitlab-org/gitlab!107115))
- [Expose milestone ID in the milestone page](gitlab-org/gitlab@bab8a27caefc81c4ad2ec3c2ffc86e229d680081) ([merge request](gitlab-org/gitlab!107991))
- [Includes batch-details.json to database sampling artifacts](gitlab-org/gitlab@6a069eab3f2aaa5c7811a0fa082759593968f529) ([merge request](gitlab-org/gitlab!107293))
- [Remove Feature Flag from Runners Finder](gitlab-org/gitlab@2cea531a3e7c38885092be70f6131a2cf89b01de) ([merge request](gitlab-org/gitlab!107893))
- [Add incident hooks col to integrations](gitlab-org/gitlab@0790ee52e9d30156294289a201bfb21a104a4885) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/107858))
- [Create Ci::RunnerMachine model](gitlab-org/gitlab@4109b13fdc9300a396c66aabba67394bb780a9e8) ([merge request](gitlab-org/gitlab!107801))
- [Add worker to sync repository data types in SSF](gitlab-org/gitlab@7e44a0862909fee1ad430246bb7980fb53e9905c) ([merge request](gitlab-org/gitlab!107421)) **GitLab Enterprise Edition**
- [Add AnalyticsDashboardPointer model](gitlab-org/gitlab@0fa7b3431255715bc4e2f728be23ccca33ea1f0b) ([merge request](gitlab-org/gitlab!107673))
- [Send GraphQL triggers on discussion un/resolution](gitlab-org/gitlab@f6b05e84a6697df78b0f1c220666d32ef53a51ae) ([merge request](gitlab-org/gitlab!107778))
- [Add allow_runner_registration_token application setting](gitlab-org/gitlab@db7d71373d9804896ae9ad6457d3c5f6ba5d6a4e) ([merge request](gitlab-org/gitlab!107817))
- [GraphQL: Add CI jobs statistics types](gitlab-org/gitlab@31a531422e64e7e77ad170c670bfc4d896f056ff) ([merge request](gitlab-org/gitlab!107743)) **GitLab Enterprise Edition**
- [Add fk details to postgres_foreign_keys view](gitlab-org/gitlab@429725182c5330993b9c2b38780d2e5a5421ee96) ([merge request](gitlab-org/gitlab!106877))
- [Show new "Your work" sidebar on Projects dashboard](gitlab-org/gitlab@d55590d60d61bdf71326860face87f07f91706b5) ([merge request](gitlab-org/gitlab!107345))
- [Add noteable commenters GraphQL field](gitlab-org/gitlab@682e70bbb1c0a15b3e78c0452a2e0a618b78194c) ([merge request](gitlab-org/gitlab!107734))
- [Added timelogs pagination and total time spent retrieval](gitlab-org/gitlab@70086c7ad879ecae02a8e17aaf1b3f2f25203783) by @zillemarco ([merge request](gitlab-org/gitlab!107080))
- [Add noteable commenters GraphQL field](gitlab-org/gitlab@857f5674370f76a9079cbb2984b38a75a13cc4cc) ([merge request](gitlab-org/gitlab!105935))
- [Enable promote to incident quick action for issue creation](gitlab-org/gitlab@e6f951f61423269f0f843e3d2e403bb6f00fa8a2) ([merge request](gitlab-org/gitlab!106366))
- [Allow TeleSign credentials to be configure via ApplicationSetting API](gitlab-org/gitlab@a36ea1c2ff1c251d57b4d01a95f8b85e257902f0) ([merge request](gitlab-org/gitlab!107553)) **GitLab Enterprise Edition**
- [Index members member_namespace_id and other columns](gitlab-org/gitlab@f4faa1e60e07136ad79a16c4ecc74dfabb38fb5e) ([merge request](gitlab-org/gitlab!107623))
- [Allow aggregating CE events with EE events](gitlab-org/gitlab@9377ce8e3057bb3221b5df5e81c8730139f6484e) ([merge request](gitlab-org/gitlab!106450))
- [Add SkipDelete option to the direct upload authorize response](gitlab-org/gitlab@b64560fabf2398e6974992afd612a507724400fd) ([merge request](gitlab-org/gitlab!106315))
- [Schedule async index on ci_builds](gitlab-org/gitlab@cd2cebdf192600f10daf9dd2592fca575171cff8) ([merge request](gitlab-org/gitlab!106952))
- [Add member_namespace async indexes](gitlab-org/gitlab@37dcb9cf4898b942e62d69a9966acae227b322c8) ([merge request](gitlab-org/gitlab!107304))
- [Added sorting option to timelogs GraphQL resolver](gitlab-org/gitlab@04f76e64d9d3125fa0a668c8b31d6939470b2876) by @zillemarco ([merge request](gitlab-org/gitlab!106364))
- [Create UserAchievement model](gitlab-org/gitlab@c75904395c043be22ed52a915b19ce126403f4d5) by @Taucher2003 ([merge request](gitlab-org/gitlab!107027))
- [Add system notes metadata to GraphQL NoteType](gitlab-org/gitlab@16da82b5a426916abaa9df06bad9b9c4e97c1ae3) ([merge request](gitlab-org/gitlab!106216)) **GitLab Enterprise Edition**
- [Adds keyword to opt-out of cache isolation](gitlab-org/gitlab@ae71b7342b9122ef5d4159fb8c4b04c3914b41e1) ([merge request](gitlab-org/gitlab!106977))
- [Add import all gists to snippets endpoint](gitlab-org/gitlab@ce576d4a919eff1595b403c5f179181d17a78846) ([merge request](gitlab-org/gitlab!102388))
- [Adds run_name to mlflow/runs/create](gitlab-org/gitlab@1cdfcb9077ca7ff86358cead08f5ea9adb864aea) ([merge request](gitlab-org/gitlab!107350))
- [Respect bulk_import_enabled application setting when using BulkImports](gitlab-org/gitlab@06f5762b5177752d4adf5319e2354c9e9e9b98c4) ([merge request](gitlab-org/gitlab!106590))
- [Add management of streamed audit event filtering](gitlab-org/gitlab@04906436b6142a30cffc6da168f7d303e655ee67) ([merge request](gitlab-org/gitlab!105969))
- [Add index and foreign_keys including partition_id](gitlab-org/gitlab@559b5c7bc0c2ed6861eba2004ffe801ff5136bcc) ([merge request](gitlab-org/gitlab!106717))
- [Issue event filter also includes WorkItem events](gitlab-org/gitlab@44763da093c80ec165bc0c4e77fc3bf843480eaa) ([merge request](gitlab-org/gitlab!107162))
- [Add mindmap support to Mermaid diagrams](gitlab-org/gitlab@cd54dcc2d0af0f7844617a97c7573a061041876e) by @auke- ([merge request](gitlab-org/gitlab!106536))
- [Add abuse category selector when reporting a user for abuse](gitlab-org/gitlab@2d9edc0e0662acda14c3ac53c948a139e14eaeb0) ([merge request](gitlab-org/gitlab!105316))
- [Support filtering job_artifacts replicables by keyword via GraphQL](gitlab-org/gitlab@b1cdc2323a0addf8de5da37fbfa77dc920366e39) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/107047)) **GitLab Enterprise Edition**
- [Health status not filter](gitlab-org/gitlab@e0d5aea60b2e3a63c051c305ed41d851fef12151) ([merge request](gitlab-org/gitlab!106892)) **GitLab Enterprise Edition**
- [Reschedule epic cache count migration](gitlab-org/gitlab@4723a5cc072a1470ee9e0b58ec8c2ae1a6db3223) ([merge request](gitlab-org/gitlab!106947))

### Fixed (108 changes)

- [Add missing incident trigger label](gitlab-org/gitlab@84069214e434b1ae7b2fe7dafd3b261bb5cc040a) ([merge request](gitlab-org/gitlab!108948)) **GitLab Enterprise Edition**
- [Do not show CI/CD button when user has no permissions](gitlab-org/gitlab@019e4e2dbb08cca5d651b70428a24a71e4e4c19b) ([merge request](gitlab-org/gitlab!108615))
- [Update styling in admin jobs page](gitlab-org/gitlab@e881ef514302cf566ba5c6d753a1d78795dbd8df) ([merge request](gitlab-org/gitlab!109124))
- [Fix "triggered by" link for pipeline job](gitlab-org/gitlab@1eb920ce3b87fc39b68d75e13d1e5cb5d3e1720c) by @winniehell ([merge request](gitlab-org/gitlab!109042))
- [Group Owner to remove shared project](gitlab-org/gitlab@ca96b9708dcd8a045dda140063286a868b168647) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/108036))
- [Fix missing VueApollo in project importers](gitlab-org/gitlab@5bdf8691c6318064e595d909ec145730dd040870) ([merge request](gitlab-org/gitlab!107911))
- [Move tilde into inline code](gitlab-org/gitlab@247d108c36dc8fd9a9208fc841ea41c7f1913c0e) by @PeterTillema ([merge request](gitlab-org/gitlab!108962))
- [Check time before starting reindex action](gitlab-org/gitlab@281c6bbad6ec1f3172af6f51fc051ce9eda0772a) ([merge request](gitlab-org/gitlab!108428))
- [Display loading icon when destination is unknown](gitlab-org/gitlab@8b7e3ab1ad3f1448e647a4e0916f35c90ac32247) ([merge request](gitlab-org/gitlab!109064))
- [Fix expose of readme_url and forks_count in API](gitlab-org/gitlab@7eb3b899e687f1bc3bf0026fc9d5a03043fdf1c6) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/108743/))
- [Prevent repository storage move workers from running simultaneously](gitlab-org/gitlab@b45267989142d0125df917a084d8c48334b2d4c8) ([merge request](gitlab-org/gitlab!109046))
- [Fixes Candidate name not being set](gitlab-org/gitlab@71c845a4f234c8c27aa6be92693033e82d480f1c) ([merge request](gitlab-org/gitlab!108991))
- [Remove CodeQuality Widget duplication in copy text](gitlab-org/gitlab@309ca088c25ceebf158feeef84dd0bdf38f139a5) ([merge request](gitlab-org/gitlab!108941))
- [Fixed the broadcast message text color](gitlab-org/gitlab@d06d06d47577b8973cf94e0da2d217e718240570) by @zillemarco ([merge request](gitlab-org/gitlab!108889))
- [Update NuGet group level permissions requirements](gitlab-org/gitlab@c874c0bcb3487645470a2b6ba5ead6ee7c42b9aa) ([merge request](gitlab-org/gitlab!108407))
- [Add migration to rename column](gitlab-org/gitlab@7797782a2983ff1851e2f4d451548aad73dc8f10) ([merge request](gitlab-org/gitlab!108253))
- [Removes collapsible sections that don't render correctly](gitlab-org/gitlab@f056cef9fcb2280bb5f485ed30dbc7ae6305a785) ([merge request](gitlab-org/gitlab!108777)) **GitLab Enterprise Edition**
- [Fix 404 when clicking 'Cancel' from fork project page](gitlab-org/gitlab@37845f59c1e2309702a50ead18b6785b9ab850b0) ([merge request](gitlab-org/gitlab!108631))
- [Add regex validation to bulk import post params](gitlab-org/gitlab@49d4abc6e3404c137bc3835f1d9266354fa524e3) ([merge request](gitlab-org/gitlab!108723))
- [Search API should respect the global search feature_flag](gitlab-org/gitlab@4095cea5f72c13d49320130c05a6b1a472273c48) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/108394))
- [Exclude trailing spaces from commit message search queries](gitlab-org/gitlab@c912d822a6bcfda80e8c8031c4ca4119efed1793) ([merge request](gitlab-org/gitlab!108716))
- [[385860] Fix ProjectImportWorker record not-found](gitlab-org/gitlab@f4bcda433bd758af3600765eefc76d642e65998c) ([merge request](gitlab-org/gitlab!108227))
- [Fix double validation error for project deploy keys](gitlab-org/gitlab@f48b575fb5d14f0e726a2e95a58e8403fe581a93) ([merge request](gitlab-org/gitlab!108090)) **GitLab Enterprise Edition**
- [Fix relative repository file link with percent sign](gitlab-org/gitlab@965f291658190f8ea7ac260b0be0e35f1a31322f) ([merge request](gitlab-org/gitlab!108240))
- [Allow DAST profiles to be modified/removed when not referenced](gitlab-org/gitlab@bcb972a947786036f987b1f5117ac7aee6996b47) ([merge request](gitlab-org/gitlab!108667)) **GitLab Enterprise Edition**
- [Fix cache-miss bug in MultiStore](gitlab-org/gitlab@c8b522f19b904027a3fa47355b4772c9db940539) ([merge request](gitlab-org/gitlab!108199))
- [Batch migration to set `OauthAccessToken#expires_in`](gitlab-org/gitlab@ee6f09ffba6102fd7dc6277df8c95b62a530f8d5) ([merge request](gitlab-org/gitlab!107701))
- [Add regex validation to bulk import post params](gitlab-org/gitlab@b54525d92ad38294d900b299db0504fbc08f0e0d) ([merge request](gitlab-org/gitlab!108258))
- [Fix when coverage_report is set to null](gitlab-org/gitlab@45a2c06b13debb7249bb525213e64ea78c907a55) ([merge request](gitlab-org/gitlab!108478))
- [Handling locked partitions when truncating legacy tables](gitlab-org/gitlab@95f3307e0001bb65604a4afe5b0d42c1876d5e1e) ([merge request](gitlab-org/gitlab!108104))
- [Fix jira_connect_proxy_url blank setting bug](gitlab-org/gitlab@ac94431d7d3f53f9116f425b3867ed7629e36e86) ([merge request](gitlab-org/gitlab!108604))
- [Fix work item comments not loading by iid](gitlab-org/gitlab@6ab130efcfd90dda322c2b72e6091daacb9bd776) ([merge request](gitlab-org/gitlab!108581))
- [Adapt helpers to use policy instead of `admin?`](gitlab-org/gitlab@ab703dba19c5c46d22a525399c96ef8ebacb22b2) ([merge request](gitlab-org/gitlab!107551))
- [Fix richtext editor buttons in work item modal](gitlab-org/gitlab@4d4f8c8e7525ca49392b2091ae23ba19101ac347) ([merge request](gitlab-org/gitlab!108518))
- [Don't open help link in new tab](gitlab-org/gitlab@af0179dbe660c89476b4be270ac9a63a300950a7) ([merge request](gitlab-org/gitlab!108382)) **GitLab Enterprise Edition**
- [Do not check for signup info on pwa controller](gitlab-org/gitlab@1f02fc4a5c648e5afaefaae31da6db9eac1e64ba) ([merge request](gitlab-org/gitlab!108501))
- [Fix manual variable inputs width](gitlab-org/gitlab@8f3457ccc4ddd639ccf1d0355c826f837c4d0327) ([merge request](gitlab-org/gitlab!108487))
- [Group-level project templates do not import various settings](gitlab-org/gitlab@0ae799e59e51e77a0fe5099b4672a78338750e4a) ([merge request](gitlab-org/gitlab!107503))
- [Changing ActiveRecord to ApplicationRecord in spec](gitlab-org/gitlab@609da852d69f2e4cbd17c24a2aacad9291bccd70) ([merge request](gitlab-org/gitlab!108216))
- [Fix amount_used column precision](gitlab-org/gitlab@690d11c31272d199e39f016f17467d40b3183729) ([merge request](gitlab-org/gitlab!106985))
- [Geo Sites - Fix invalid href prop](gitlab-org/gitlab@dad6a0e2fdacf6677482075555242f9a985e788b) ([merge request](gitlab-org/gitlab!108484)) **GitLab Enterprise Edition**
- [Fix error when validating SBoMs with licenses](gitlab-org/gitlab@9c5d67808eb62b2f0882e33e3b6ef4fb6eca2510) ([merge request](gitlab-org/gitlab!108468))
- [Fix Container Repository Geo replication when media type is absent](gitlab-org/gitlab@af8f9c3ff8797326a0c2a0e650370ba9986175fd) ([merge request](gitlab-org/gitlab!108463))
- [Fix Import/Export protected branch access levels associated with user](gitlab-org/gitlab@c48791e37fcd5078742a3c1a0f995a3e96aa6c4f) ([merge request](gitlab-org/gitlab!108342)) **GitLab Enterprise Edition**
- [Eliminate certain instances of NoMethodError](gitlab-org/gitlab@073e69fd7950052fe69545a2282d50f7901ac1c6) ([merge request](gitlab-org/gitlab!107615))
- [Fix time formatting on Container Registry](gitlab-org/gitlab@3251c2478508a0dec049c6d322f98585f83aefd2) by @giggsey ([merge request](gitlab-org/gitlab!108038))
- [Fix repoPushed field in contributions GraphQL API](gitlab-org/gitlab@12f83916b5a2e2dc502e5042792455ac2970ed87) ([merge request](gitlab-org/gitlab!108406)) **GitLab Enterprise Edition**
- [Add CSP Concern to CI/CD Settings](gitlab-org/gitlab@ca3f5379f8297bbd691a15bb1bb6773ee6d7bd03) ([merge request](gitlab-org/gitlab!108397)) **GitLab Enterprise Edition**
- [Update vulnerability report when bulk-dismissing](gitlab-org/gitlab@86733eb87120439d405a690bcaee491006220c9c) ([merge request](gitlab-org/gitlab!106747)) **GitLab Enterprise Edition**
- [Fix cache-miss bug in MultiStore](gitlab-org/gitlab@714ac81f0fb462d39023bc57c28f2cdb05f51f70) ([merge request](gitlab-org/gitlab!107900))
- [Deduplicate increments during a refresh](gitlab-org/gitlab@7decad97ee5e0108a1d623bac353d09860b4ecce) ([merge request](gitlab-org/gitlab!104216))
- [Cleans-up extra attributes set in `clipboard_button` helper](gitlab-org/gitlab@79d77cbb4ed6b9e2d39d84e5eab61889ad41157a) by @afzal442 ([merge request](gitlab-org/gitlab!107790))
- [Fix :unknown executor_type](gitlab-org/gitlab@58b7efa9cb9842a366b8876919008d9bab7eb063) ([merge request](gitlab-org/gitlab!108356))
- [Fixed the URL generation for new MR from IDE](gitlab-org/gitlab@cb2ff68a1db4631bee1c6cc9bc3d4aa39c5863f7) ([merge request](gitlab-org/gitlab!108311))
- [Don't prepend commit SHA with # in registries](gitlab-org/gitlab@4178b8189c9c668e098f6154f4d7e56c12a56758) ([merge request](gitlab-org/gitlab!96312))
- [Prevent nav text clipping](gitlab-org/gitlab@282f412183e205a7ebb9e05c5c0e54bb6cc51eeb) ([merge request](gitlab-org/gitlab!108137)) **GitLab Enterprise Edition**
- [Fix NoMethodErrors when there is no slack_application](gitlab-org/gitlab@cda42c78af52e528e18ca08f3e0dab24f1212ce6) ([merge request](gitlab-org/gitlab!107622)) **GitLab Enterprise Edition**
- [Truncate long vulnerability flag description while ingesting](gitlab-org/gitlab@a4c36078144d2cae03f9e8c3d82936d9145b335d) ([merge request](gitlab-org/gitlab!108126)) **GitLab Enterprise Edition**
- [Fix review summary tabs in dark mode](gitlab-org/gitlab@17c18a437634615c9a9f9a364e42f67084704a07) ([merge request](gitlab-org/gitlab!108176))
- [Fix days used on first day of trial display](gitlab-org/gitlab@82e9d8bbfb5f6908fa9f935d2af7e47914fb129e) ([merge request](gitlab-org/gitlab!108121)) **GitLab Enterprise Edition**
- [Reset Container Repository Sync status on secondary](gitlab-org/gitlab@45b6f2c824cd7f6b3741b7a1db5cf85d53de9a74) ([merge request](gitlab-org/gitlab!108153))
- [Update CodeQuality MR Widget Message with no findings](gitlab-org/gitlab@19494fcc9f58934249f3318176b13ab989ae101c) ([merge request](gitlab-org/gitlab!108008))
- [Update classes for CI status icons in deployments](gitlab-org/gitlab@a0a751f71319515a59753ef43d72890407873ad3) ([merge request](gitlab-org/gitlab!108122))
- [Enforce memory-watchdog by default](gitlab-org/gitlab@0dea852d5acd477a7afe747a84c03337af408416) ([merge request](gitlab-org/gitlab!108112))
- [Prevent erroring when time is somehow nil](gitlab-org/gitlab@f9bd0f22dba2f774c6d41042027ffb954fff357a) ([merge request](gitlab-org/gitlab!104859))
- [Use the same exclusive lease key name for all indexing actions](gitlab-org/gitlab@7a1c7b756617a86ae5d42a1be1c5a0c5c48448ea) ([merge request](gitlab-org/gitlab!108099))
- [Update epic tree count on add and remove epic](gitlab-org/gitlab@cd7cc9ddbda51d0224239698b4a665177d09463e) ([merge request](gitlab-org/gitlab!108081)) **GitLab Enterprise Edition**
- [Fix typo for environments edit path](gitlab-org/gitlab@41f059db17ebb660a1ed70f04e57073429a70814) ([merge request](gitlab-org/gitlab!108052))
- [Sobelow support for nested Elixir projects](gitlab-org/gitlab@a4d5ac3da44da57167eee2a2bb2b019448b13dd9) ([merge request](gitlab-org/gitlab!107378))
- [Geo Sites - Update Container Repo Data Type](gitlab-org/gitlab@872e945d3526de7099d870800e42a54023f18f9d) ([merge request](gitlab-org/gitlab!108049)) **GitLab Enterprise Edition**
- [Drop justify-content-center class in favor of align prop](gitlab-org/gitlab@0b2bf4fdd4c3a2a887d6abc00396440954f51d0d) ([merge request](gitlab-org/gitlab!108048))
- [Supplementary logic for `inherit_group_setting`](gitlab-org/gitlab@b60ec73c4d477bf0c4dc0d7f596ec529af4b2553) by @luzhiyuan.deer ([merge request](gitlab-org/gitlab!102864))
- [Fix --extra-index-url usage](gitlab-org/gitlab@d6d0680ea9b5df95022116dcc158cc6925292bc9) by @usdResponsibleDisclosure ([merge request](gitlab-org/gitlab!105662))
- [Drop injects' default values](gitlab-org/gitlab@a2c0d7fae66b7b3f41f3995bc54270841cec2d39) ([merge request](gitlab-org/gitlab!108007))
- [Fix LocalJumpError when an MR has no diff](gitlab-org/gitlab@e77dde51da5b9f8690aeeb6f27d42bb807540067) ([merge request](gitlab-org/gitlab!107995))
- [Fix undefined method error](gitlab-org/gitlab@e677104ec1c346c13945b16c82108b38693a58a8) ([merge request](gitlab-org/gitlab!107928))
- [Fix undefined method error for CI::Pipeline](gitlab-org/gitlab@c442aa6e43f747bf64c2fe1c045d12a889c74ffa) ([merge request](gitlab-org/gitlab!107931))
- [Clean up prevent_outdated_deployment_jobs feature flag](gitlab-org/gitlab@659663138abbea7a8f74767004087ef23318c9f7) ([merge request](gitlab-org/gitlab!107952))
- [Geo: Container Repository push events don't work](gitlab-org/gitlab@060dc8e6ea161b6d68e77d5921ec4d5fb020dfa3) ([merge request](gitlab-org/gitlab!107842))
- [Fix create epic REST endpoints](gitlab-org/gitlab@42a80c5531e48035a0bb2a35b071258c09890519) ([merge request](gitlab-org/gitlab!107736)) **GitLab Enterprise Edition**
- [Skip rendering of empty admin notes on group page](gitlab-org/gitlab@7801b347a353805e551557c4da50d45ee4273ada) ([merge request](gitlab-org/gitlab!107368))
- [Fix ContainerRepository graphql in admin area](gitlab-org/gitlab@41fece2720f1b0ca55482676cc83f10726ca48f4) ([merge request](gitlab-org/gitlab!107729))
- [Fix maintain member for Advanced Search](gitlab-org/gitlab@be33f858215253aa253aed46f9e7fd9f94399850) ([merge request](gitlab-org/gitlab!107816)) **GitLab Enterprise Edition**
- [Change sign in button to use isGitlabCom](gitlab-org/gitlab@8512c53500cea58bed698b8b942255193dd0f68b) ([merge request](gitlab-org/gitlab!107721))
- [Workhorse: Fix code nav relative path calculation](gitlab-org/gitlab@805bb3680544b57d37b81e4a3e0fbf5148858757) ([merge request](gitlab-org/gitlab!107783))
- [Relax FIPS constraints on PyPi packages](gitlab-org/gitlab@e434f13d23760c0533f781505b2c4bc4149abd0b) ([merge request](gitlab-org/gitlab!107773))
- [Workaround a segfault due to array GC bug](gitlab-org/gitlab@e0b3aeef655d1727f227953ce376bccb08608fc6) ([merge request](gitlab-org/gitlab!107706))
- [Fix Maven packages not working on FIPS kernels](gitlab-org/gitlab@e65e8a1bcdfa9578c9db86f458eeddb08a5a8f05) ([merge request](gitlab-org/gitlab!107059))
- [Set default `OauthAccessToken#expires_in`](gitlab-org/gitlab@26da66ccfd31a01a3514eba338910a9c3535cb35) ([merge request](gitlab-org/gitlab!107306))
- [Rescue BulkImports::NetworkError on bulk import creation](gitlab-org/gitlab@5f8de50656f7c1620f1d20b0850d592a4f916bae) ([merge request](gitlab-org/gitlab!107489))
- [Highlight Python syntax with Rouge](gitlab-org/gitlab@62652be8f0810d386f6c594bb626d97e9b6126f8) ([merge request](gitlab-org/gitlab!107463))
- [Allow member creator service to handle existing access requests](gitlab-org/gitlab@2fa5cc683849ff7323727c7bf7d923b2f59394b1) ([merge request](gitlab-org/gitlab!107605))
- [Fix creating JIRA issue URL for security findings](gitlab-org/gitlab@6be28d29808911eddfa933978f44b366814d24e9) ([merge request](gitlab-org/gitlab!107482)) **GitLab Enterprise Edition**
- [Fix remove parent epic quick command](gitlab-org/gitlab@b31d02f55505505344eb64c7439cfe8422f32644) ([merge request](gitlab-org/gitlab!107563)) **GitLab Enterprise Edition**
- [Move vulnerability creation out of transaction](gitlab-org/gitlab@ebf18f77da109f4208ea81b8217a95e46521b0d8) ([merge request](gitlab-org/gitlab!107595)) **GitLab Enterprise Edition**
- [Add notebook viewer](gitlab-org/gitlab@b3f664c174d3f0b629a1522dd5ba30fcbee0be45) ([merge request](gitlab-org/gitlab!107554))
- [Fix the Container Registry tag filter](gitlab-org/gitlab@e22bfb939d9fafa55a017f86888fa7a8d28901c2) ([merge request](gitlab-org/gitlab!107433))
- [Return bare hostname for importing a project](gitlab-org/gitlab@30ac42832df2b9d1cce8336031669a0f935750b2) ([merge request](gitlab-org/gitlab!107548))
- [Remove breadcrumb border on repository > files view](gitlab-org/gitlab@44baec10e8a2fe874860e9f062a772af2e2c8883) ([merge request](gitlab-org/gitlab!107422))
- [Fix regression on cyclic definition in GraphQL GroupType](gitlab-org/gitlab@fecba4fc53f9970f33a231feb25a20311ef6bf1e) by @zillemarco ([merge request](gitlab-org/gitlab!107487))
- [Only render GFM when the element exists](gitlab-org/gitlab@12a46232ea4c113b807bcdde727116609eac3543) ([merge request](gitlab-org/gitlab!107360))
- [Fix repository ref encoding issue](gitlab-org/gitlab@3e98e7c64f9ff76aac519b9100e267ff692c9915) ([merge request](gitlab-org/gitlab!107454))
- [Fix WorkItem URL when listing user activity from contributions graph](gitlab-org/gitlab@72c93f9edea03b7ca9ac20cfba1d57b7dee082fd) ([merge request](gitlab-org/gitlab!107295))
- [Remove Geo Replication sidebar nav link](gitlab-org/gitlab@4ddccbfd62bbe775f7bbee33796a759fa765a5ca) ([merge request](gitlab-org/gitlab!107406)) **GitLab Enterprise Edition**
- [Handle `Net::HTTPBadResponse` in `Gitlab::HTTP`](gitlab-org/gitlab@d85ac71863d02dce417234fb6ee8374a65bbda22) ([merge request](gitlab-org/gitlab!107414))
- [Fix 500 error when artifact file is missing](gitlab-org/gitlab@cf3172231f96713268c93ff669e66e900c12ee96) ([merge request](gitlab-org/gitlab!107387))
- [Fix error in API due to locking mechanism](gitlab-org/gitlab@cd419580f2344ffc9801d85a185da7218abba79a) ([merge request](gitlab-org/gitlab!107071))
- [Use BigInt for Graphql Blob type to cover huge files](gitlab-org/gitlab@4448c9d3244098f1fa2b91957c85c092975b9168) ([merge request](gitlab-org/gitlab!106047))

### Changed (141 changes)

- [Add clarification for source of username and email info](gitlab-org/gitlab@ee05c3ce08f12baac54b09e548fe1616716b43fb) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/109004))
- [Adds namespace filtering for group and project searches](gitlab-org/gitlab@75e951aeecee3abb6e34be765046554967e32ec7) ([merge request](gitlab-org/gitlab!108437)) **GitLab Enterprise Edition**
- [Provide an existing namespace when importing project from GitHub](gitlab-org/gitlab@cd7656ce955b0f05dac4f5b9415bf26793e356d8) ([merge request](gitlab-org/gitlab!108351))
- [Update UI for image repositories scheduled for deletion](gitlab-org/gitlab@67262ba9c4f7fefa2a56f20db89791d2b5f818c7) ([merge request](gitlab-org/gitlab!108643))
- [Update permissions for Epic add dropdown action](gitlab-org/gitlab@2245b187763bd450586d1d748689a78b6b34db63) ([merge request](gitlab-org/gitlab!108971)) **GitLab Enterprise Edition**
- [Converting commit branches dropdown to GlCollapsibleListbox](gitlab-org/gitlab@b5e65215343c6034373ecdd67eb652d61b016ac2) ([merge request](gitlab-org/gitlab!106863))
- [Move project storage app to core codebase](gitlab-org/gitlab@5cded4eff211c526faeeaf6e2850f81dda698f16) ([merge request](gitlab-org/gitlab!108686))
- [Improve partial github import display](gitlab-org/gitlab@baa368bca1adbe64cf0e4c36aee4a7afddaf03e3) ([merge request](gitlab-org/gitlab!108657))
- [Add tooltip to epic actions dropdown](gitlab-org/gitlab@cc47feffb178c4328e8a60cfbaa037493e46e5e8) ([merge request](gitlab-org/gitlab!109031)) **GitLab Enterprise Edition**
- [Remove the vue_broadcast_messages feature flag](gitlab-org/gitlab@9eae0e9b2a4ddfea06cc2e2596859f4a265a6d26) ([merge request](gitlab-org/gitlab!108065))
- [Use RetryError for DeleteBranchWorker](gitlab-org/gitlab@851eed95e5a6dd628bfa23a13b723389cefd7bfd) ([merge request](gitlab-org/gitlab!108115))
- [Removed the template type selector](gitlab-org/gitlab@1c36a3a2c1d207ba35380adee44c0f54ead182a4) ([merge request](gitlab-org/gitlab!108459))
- [Switch draft state toggle to use a checkbox](gitlab-org/gitlab@d9a4709833dd2638b4ca757e12a7147edbbcba28) ([merge request](gitlab-org/gitlab!108073))
- [Remove Code-quality counter badge when report is not loaded](gitlab-org/gitlab@e960e034686f8cc8092210e9f2653bddf1d16894) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/108536)) **GitLab Enterprise Edition**
- [Improve spacing for DAST profile summary](gitlab-org/gitlab@2cf427ca1e667461ae1baad017227ec9ec0296b0) ([merge request](gitlab-org/gitlab!108427)) **GitLab Enterprise Edition**
- [Order children within Work Items Hierarchy Widget by created_at](gitlab-org/gitlab@8338ce73e6786d7d92bcbb0b51666102c37c9250) ([merge request](gitlab-org/gitlab!108317))
- [Improve escalation policies experience in the add/edit form help text](gitlab-org/gitlab@3e49bac567a28fb265ef80c4a2b6b59837f1527c) by @daelmo ([merge request](gitlab-org/gitlab!107486)) **GitLab Enterprise Edition**
- [Migrate runner buttons to pajamas](gitlab-org/gitlab@1d40e46619b861eb7773d2871269e43f8165d032) ([merge request](gitlab-org/gitlab!107326))
- [Block outgoing Chrome connections in Capybara tests](gitlab-org/gitlab@c298297133f4695c6964081b667421093f3d73b3) ([merge request](gitlab-org/gitlab!107307))
- [Move dollar math handling to markdown pipeline](gitlab-org/gitlab@5106f96244aa36bdcf2c926451041a470434f5eb) ([merge request](gitlab-org/gitlab!101687))
- [Add Gitlab::Redis::RepositoryCache Redis instance](gitlab-org/gitlab@50862c5d8f4119dc88da4ad7637072737db91e5b) ([merge request](gitlab-org/gitlab!107232))
- [Update permissions to add child issue](gitlab-org/gitlab@9a91bc9e7deb87ac89fbfbcd025d8986ebabeb23) ([merge request](gitlab-org/gitlab!107964)) **GitLab Enterprise Edition**
- [Experiment to add tier badge](gitlab-org/gitlab@ccb99227376f98189b7f7b0dd2c6cbfe40d4f87a) ([merge request](gitlab-org/gitlab!101575)) **GitLab Enterprise Edition**
- [Rename filepath in Releases APIs to direct_asset_path](gitlab-org/gitlab@3880892f04bec3493fece4ef15eb4b9dd324dca5) ([merge request](gitlab-org/gitlab!108618))
- [Set context header height to auto](gitlab-org/gitlab@569e159a57d62d648c40c5da6fd8a864d1710bf3) ([merge request](gitlab-org/gitlab!108444)) **GitLab Enterprise Edition**
- [DAST path to display on vulnerabilities list](gitlab-org/gitlab@7349d3e161de6a00e454537bd9fc4e0a9fdc16a2) ([merge request](gitlab-org/gitlab!108638)) **GitLab Enterprise Edition**
- [Adapt Debian distributions API to consider package registry access level](gitlab-org/gitlab@d69b03fa44d058326d4bb194b18834a773d81e3b) ([merge request](gitlab-org/gitlab!107559))
- [Remove solved issues from Package Registry docs](gitlab-org/gitlab@db3e41d48c151ce88470cec32a42b3549d767ce7) by @wwwjon ([merge request](gitlab-org/gitlab!108801))
- [Raise a BadRequest error when escaping invalid URL](gitlab-org/gitlab@0ad858a13559b652b191febce191464543002a9a) ([merge request](gitlab-org/gitlab!108681))
- [Updates installation docs about plpgsql extension](gitlab-org/gitlab@c178eb8e249db077676293ae44ee3aeb1a18f548) ([merge request](gitlab-org/gitlab!108367))
- [Remove compatibility_alert from Jira connect app](gitlab-org/gitlab@18b3b113cf2727c95c04de341e73df794d5c786c) ([merge request](gitlab-org/gitlab!108763))
- [Add mergeRequest to PipelineSecurityReporyFinding](gitlab-org/gitlab@cbbc0eec9dc80aa5c71b1a8e561a9f875d7d14d6) ([merge request](gitlab-org/gitlab!107491)) **GitLab Enterprise Edition**
- [Fix toggle button in MR collapsible extension](gitlab-org/gitlab@5bc8362c6ed3c81b85f92153671f3a8b632c35a9) ([merge request](gitlab-org/gitlab!108155))
- [Adds documentation for migration helpers](gitlab-org/gitlab@6c005e1df440d069121c315966401e6188d8955f) ([merge request](gitlab-org/gitlab!108587)) **GitLab Enterprise Edition**
- [Version Check - Add feature flag](gitlab-org/gitlab@2883b52d50c1f73204ccf93fcd0755ed83cd498d) ([merge request](gitlab-org/gitlab!108732))
- [Display neutral Icon when CodeQuality report did not change](gitlab-org/gitlab@f4381ffd72d9de2fe5b07977d9d4edc80aeaa3d9) ([merge request](gitlab-org/gitlab!108453))
- [Remove ci_pipeline_triggers_settings_vue_ui feature flag](gitlab-org/gitlab@773e2c66797889e9140424097ae288d0259bc0ce) ([merge request](gitlab-org/gitlab!108499))
- [Default enable validate release with author ff](gitlab-org/gitlab@2af5bc29541ebfb4aea2a0571aecd3eff92a97d0) ([merge request](gitlab-org/gitlab!108708))
- [Add preview alert on invite members modal](gitlab-org/gitlab@532f63c1aa733890e2cd8230725849abf1574ae3) ([merge request](gitlab-org/gitlab!105741))
- [Limit abuse reports to one per reporter per category](gitlab-org/gitlab@b59c07c0f066b1f7a09d69bd924a378a3d8f5d55) ([merge request](gitlab-org/gitlab!108089))
- [Globally enable dependency_list_exporter FF](gitlab-org/gitlab@91658d510a0b14504feeb3b1153e28d2234a70a6) ([merge request](gitlab-org/gitlab!108578)) **GitLab Enterprise Edition**
- [Update dependency auto-deploy-image to v2.45.0](gitlab-org/gitlab@08aa8acb08572c0c64b485e0960854e85e1a8133) ([merge request](gitlab-org/gitlab!105047))
- [Remove two_line_mention_enabled feature flag](gitlab-org/gitlab@fb19c66160c15abee1633ba85fc89b2e90678fb6) ([merge request](gitlab-org/gitlab!108295))
- [Update branch rules according to changes in API](gitlab-org/gitlab@5543bcdd8a774fa1b8657c75b28f0edb65450b89) ([merge request](gitlab-org/gitlab!107954)) **GitLab Enterprise Edition**
- [Use TimezoneDropdown in oncall schedule create](gitlab-org/gitlab@385db55fdb8f9227ca2deb4e73237bf8c7dafb86) ([merge request](gitlab-org/gitlab!107245)) **GitLab Enterprise Edition**
- [Set up modal navigating on work items](gitlab-org/gitlab@aa63be84cbb9fb710853adab7171569efe713e4f) ([merge request](gitlab-org/gitlab!106618))
- [Migrate ToolbarTextStyle to GlListbox](gitlab-org/gitlab@7d18ced6aa25a288a1ed6a20e36bf327560e4747) ([merge request](gitlab-org/gitlab!107493))
- [Align CodeQuality MR Widget wording](gitlab-org/gitlab@8136ed08bf70482a81f73987b929aa395dce0405) ([merge request](gitlab-org/gitlab!108201))
- [Migrate application delete button to Pajamas component](gitlab-org/gitlab@f9a189f094751c07859bf745e81ff481552505de) ([merge request](gitlab-org/gitlab!105224))
- [Update approvers_select to use gl-listbox](gitlab-org/gitlab@7599cc547241acb9b96922eaad05201eebb023bd) ([merge request](gitlab-org/gitlab!108013)) **GitLab Enterprise Edition**
- [Limiting Apple App Store Integration to the project level](gitlab-org/gitlab@d6cabf0a256f7a00b165beb07608ef9858f9a83d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/108490))
- [Cleanup update_oauth_registration_flow feature flag](gitlab-org/gitlab@6d56e7135f5be5fa29c56f588c2467184faf0811) ([merge request](gitlab-org/gitlab!107876))
- [Add empty state to the pipeline schedules page](gitlab-org/gitlab@592317f474c04accf9e0304d8911d73b9f79725f) ([merge request](gitlab-org/gitlab!108161))
- [Migrate user settings away from select2](gitlab-org/gitlab@14dec4dcbea4e68a72f749008bbfddb0bc284d93) ([merge request](gitlab-org/gitlab!107844))
- [Escape snowplow js asset url](gitlab-org/gitlab@6e1d0257bfc45f5308f3169e39d74f7e8f755360) ([merge request](gitlab-org/gitlab!108211))
- [Update contributions GraphQL API date validation](gitlab-org/gitlab@3460539c9fe1b69773c6d5fae8e4b5f89de99df9) ([merge request](gitlab-org/gitlab!108409)) **GitLab Enterprise Edition**
- [Updates copy for namespace storage enforcement locking banner](gitlab-org/gitlab@3d521a25c3a74c99686997de0e62f5ecfa995d7b) ([merge request](gitlab-org/gitlab!106697)) **GitLab Enterprise Edition**
- [Allow multiple users to report a user for abuse](gitlab-org/gitlab@99e1aada2801fed3c282a810b5a6bab2bba1b374) ([merge request](gitlab-org/gitlab!106028))
- [Update notifications.md to be accurate](gitlab-org/gitlab@f1c12037b203795ea00f34078105ef799fc19460) ([merge request](gitlab-org/gitlab!107631))
- [Closed and expired milestone should show as closed](gitlab-org/gitlab@f72ca4a95ca52d261801bf6fe2013b042544038a) ([merge request](gitlab-org/gitlab!107158))
- [Made document title descriptive for Web IDE](gitlab-org/gitlab@970509ba0c1c84c16b666e096a09e5f88f6ae30a) by @mehulsharma ([merge request](gitlab-org/gitlab!108030))
- [chore: Limit MarkDroppedAsResolved lookup to primary_ids only](gitlab-org/gitlab@162f588fed1df3e8260dac974dba7cd2d8dbf55f) ([merge request](gitlab-org/gitlab!107763))
- [Simplify signature badge popover](gitlab-org/gitlab@78176398d2bde18bb1a9688a3705fd5064d1e7da) ([merge request](gitlab-org/gitlab!108092))
- [Remove send_traversal_ids_to_indexer flag](gitlab-org/gitlab@306ac99c9f2f37791bb0c41a307981b003eaf423) ([merge request](gitlab-org/gitlab!108299)) **GitLab Enterprise Edition**
- [Update 422 page styling](gitlab-org/gitlab@a7ee2694b3447a9526135fdf32f90adfe3a578b5) ([merge request](gitlab-org/gitlab!107535))
- [Add audit events for protected environments](gitlab-org/gitlab@d6fe3b2e6f9be3faa91b0403c4c79a1ea2b4d189) ([merge request](gitlab-org/gitlab!108247)) **GitLab Enterprise Edition**
- [Update permissions to relate epics](gitlab-org/gitlab@6b4ae9dc18379e26d3aeaf17aa929babad1b1307) ([merge request](gitlab-org/gitlab!107469)) **GitLab Enterprise Edition**
- [Add validation for State in purchase flow](gitlab-org/gitlab@61a31b6e132f14f2f37259e467fca52ebfbe8610) ([merge request](gitlab-org/gitlab!108289)) **GitLab Enterprise Edition**
- [Add message to modal explaining that sole owners can't be removed](gitlab-org/gitlab@2163ccfbcb79c07e20d9d646b82497078f88ff56) ([merge request](gitlab-org/gitlab!108266))
- [Enable cyclonedx_sbom_ingestion by default](gitlab-org/gitlab@f1b43bcb74bcbe5b00c0d2ce9a63ab5a2efeb8b2) ([merge request](gitlab-org/gitlab!108283)) **GitLab Enterprise Edition**
- [Migrate error tracking settings dropdown to Listbox](gitlab-org/gitlab@03965c799e24f76b8a2a0fbfecdf4f4f5c872081) ([merge request](gitlab-org/gitlab!107703))
- [Add system check for pending advanced search  migrations](gitlab-org/gitlab@f95ea806ed89e790fc60e7208029ad838a311691) ([merge request](gitlab-org/gitlab!108001)) **GitLab Enterprise Edition**
- [Improve security report schema deprecation message](gitlab-org/gitlab@11d8558f8061d03297100f66fa6adaa07ee0e94e) ([merge request](gitlab-org/gitlab!108086)) **GitLab Enterprise Edition**
- [Remove the vue_group_select feature flag](gitlab-org/gitlab@634c700084468a12aab0d8eb322f42991edf7f2d) ([merge request](gitlab-org/gitlab!107847)) **GitLab Enterprise Edition**
- [Simplifies the design for todo mentions](gitlab-org/gitlab@364a8d2302925f1409e7cb9e074529a9e2a1b36f) ([merge request](gitlab-org/gitlab!108091))
- [Add spec and refactor null check](gitlab-org/gitlab@cbe1c8b6fb166e2ecd0aead876d2c6d80bfe76ea) by @daelmo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/107151))
- [Update SYNTAX_OPTIONS_DOCUMENT path for the drawer document](gitlab-org/gitlab@69ce89ad7aa9b37efb88b22f4abc636f87f547eb) ([merge request](gitlab-org/gitlab!108202))
- [Improve contrast of secondary text in dark mode](gitlab-org/gitlab@37900b06bc92057464745d2d5f44c2e026ec18ed) ([merge request](gitlab-org/gitlab!108184))
- [Update edit policy page titles](gitlab-org/gitlab@acee73fee7fb0af125a70ac5751d161316007ed6) ([merge request](gitlab-org/gitlab!108182))
- [Adding Apple App Store Integration](gitlab-org/gitlab@6aca8dd9a95ac51c7d9eeb188f3b623824c02cb6) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/104888))
- [Add content for retried manual builds](gitlab-org/gitlab@bdf967508ade5768a5e13f42805dc652b073eb90) ([merge request](gitlab-org/gitlab!106219))
- [Update link ot TYPO3 distribution template](gitlab-org/gitlab@b95dde4ebb20c4a497b9c91f723223e6d15cc5b4) ([merge request](gitlab-org/gitlab!108147))
- [Set filename when the file is not stored locally](gitlab-org/gitlab@693d447079f075d371d37e55467bd5a4f2f9d6d0) ([merge request](gitlab-org/gitlab!108133)) **GitLab Enterprise Edition**
- [Rename sidebar component to drawer](gitlab-org/gitlab@985aa1231557a0610d39ca1b44357c36e7e6659a) ([merge request](gitlab-org/gitlab!108011)) **GitLab Enterprise Edition**
- [Use GlCollapsibleListbox in ci_environments_dropdown](gitlab-org/gitlab@038870ec186bb55f7f4eb2123c6314f4bee9fd14) ([merge request](gitlab-org/gitlab!106029))
- [Add pipeline name to job webhook event payload](gitlab-org/gitlab@0c0dc599d10dab9ad5c5fb21c20a552649e3f8a4) ([merge request](gitlab-org/gitlab!107963))
- [Remove association between ChatName and Integration](gitlab-org/gitlab@2d78a008a7f47bd1f30eff580eadd56471ec5442) ([merge request](gitlab-org/gitlab!107823))
- [Rename short_title to pwa_short_name](gitlab-org/gitlab@25004e51043b75a2eb7041460d771d4842dc77ff) by @TrueKalix ([merge request](gitlab-org/gitlab!107886))
- [Exposing BatchedMigration feature_category to metrics](gitlab-org/gitlab@cd1a46c1899b2023df9a17ddbf82d5c0155cb69e) ([merge request](gitlab-org/gitlab!106227))
- [Improve UX of `Clear status after` field](gitlab-org/gitlab@3032b7227b205a76cabfdad4f36b14af87244446) ([merge request](gitlab-org/gitlab!106723))
- [Migrate deploy token settings button](gitlab-org/gitlab@9cf1fef012a554e3a06a9cd83fe69808a8280705) ([merge request](gitlab-org/gitlab!106567))
- [Add data to shouldCollapse method of MR Widget Extension](gitlab-org/gitlab@7f79f61906f0f656fd8debae1aebea8e82e7ec09) ([merge request](gitlab-org/gitlab!108044))
- [Remove update_vuln_identifiers_flag](gitlab-org/gitlab@04102fc68e0b32983a7f1e9cce5c71f827165b52) ([merge request](gitlab-org/gitlab!107680))
- [Add variables argument to `PlayJob`](gitlab-org/gitlab@7cd70a63e7629d07b6b3fc18ddc4a60f18a05797) ([merge request](gitlab-org/gitlab!107477))
- [Removed the references to `schema_linting` flag](gitlab-org/gitlab@f8ac59fecae54dd82afc6dde6e299401cefeac3d) ([merge request](gitlab-org/gitlab!107488))
- [Add frontend code for dependency list export](gitlab-org/gitlab@e67020a5fb5b30851c48d7af93bfc3c9c6500f59) ([merge request](gitlab-org/gitlab!104369)) **GitLab Enterprise Edition**
- [This MR migrates Dropdown to Listbox](gitlab-org/gitlab@154b1be76359f7cc1554336a05327571e3b2a940) ([merge request](gitlab-org/gitlab!106738))
- [Unify response from UI and API for rebase operation](gitlab-org/gitlab@765b7cdb169d520eb6547bb80db681b6ec931a11) ([merge request](gitlab-org/gitlab!107819))
- [Move outdated deployment warning to FOSS](gitlab-org/gitlab@25d6315cb0edc922b0df8a89a21525d1bb420bcc) ([merge request](gitlab-org/gitlab!107104))
- [feat: Suppress deprecation warning if ingesting GitLab-vendored reports](gitlab-org/gitlab@fd73ae6f5bc2ae433739d5598c0606bc827c85a9) ([merge request](gitlab-org/gitlab!107933)) **GitLab Enterprise Edition**
- [Swap button for dropdowns](gitlab-org/gitlab@46926b8a5af585ed13e72ddbd1effd01e2b5f800) ([merge request](gitlab-org/gitlab!107398)) **GitLab Enterprise Edition**
- [Add event type information for email address confirmation after sign in](gitlab-org/gitlab@cc84d39606af72be2b095346713328f903f42e48) by @daelmo ([merge request](gitlab-org/gitlab!106090)) **GitLab Enterprise Edition**
- [Remove deprecation notice in POST /runners](gitlab-org/gitlab@93f1937529dbc49498c70ccb274bd9170fae0944) ([merge request](gitlab-org/gitlab!107851))
- [Add index_status for groups](gitlab-org/gitlab@9ff1cfdc8664f2ae13cb595392385e2ba0afb280) ([merge request](gitlab-org/gitlab!107579))
- [This MR migrates Dropdown to Listbox](gitlab-org/gitlab@c437e78314d771e41429688dc6fa16b686378494) ([merge request](gitlab-org/gitlab!106334))
- [Update indexes on ChatNames](gitlab-org/gitlab@64b133dd5a5ce88d6ed73f4fd156950ce072539a) ([merge request](gitlab-org/gitlab!107814))
- [Remove optimized-housekeeping feature flag](gitlab-org/gitlab@1a32c99a94c8849604eb61bf00994e54058668bc) ([merge request](gitlab-org/gitlab!107661))
- [Add text input field to trigger_field.vue](gitlab-org/gitlab@0368f9ea295a8d9adb7d5be62c44c9fabab28e5f) ([merge request](gitlab-org/gitlab!107789))
- [Move admin menu jobs under CI/CD section](gitlab-org/gitlab@b8a691b3f0c8722b33491b0064ae89b5531f8367) by @Taucher2003 ([merge request](gitlab-org/gitlab!107685))
- [Update internal notes policy names](gitlab-org/gitlab@72a2534fd10a201a7067768ff6e72cb6f7891122) ([merge request](gitlab-org/gitlab!107669)) **GitLab Enterprise Edition**
- [Enable `utilize_finding_data` feature flag by default](gitlab-org/gitlab@7e8901ea17d29f4031a2f7907ec9c4796cf4f7f5) ([merge request](gitlab-org/gitlab!107825)) **GitLab Enterprise Edition**
- [Remove package registry migration survey banner](gitlab-org/gitlab@9f2a3032a1c48c331ebc1e2884a222346a7724e8) by @ali_o_kan ([merge request](gitlab-org/gitlab!107786))
- [Delegate profile fields to user details](gitlab-org/gitlab@289a61f38b6e28abb1bf85ed8f4a8a45751e60bf) by @brianjaustin ([merge request](gitlab-org/gitlab!102351))
- [Update default preferred_language value of user](gitlab-org/gitlab@29402fc5e4bd4dae8bb3aad5a60b64470ead5c96) by @icbd ([merge request](gitlab-org/gitlab!106529))
- [Add event name for merge method](gitlab-org/gitlab@56dce0828158f70ddcc758828c18f09abede9f9c) ([merge request](gitlab-org/gitlab!107626))
- [Refactor user type scopes](gitlab-org/gitlab@c9d2d927fc071af9961bc66060113eeb028cdd16) ([merge request](gitlab-org/gitlab!107583))
- [Update occurrences rather than appending new ones](gitlab-org/gitlab@ddc19ce8fc433b3106a18d464a3f09bc4bda3360) ([merge request](gitlab-org/gitlab!106894))
- [Move admin runners menu](gitlab-org/gitlab@bf279f02b90bb4ddab186f7dabd8258d29876f1a) ([merge request](gitlab-org/gitlab!107455))
- [Update user documents in elasticsearch when certain fields change](gitlab-org/gitlab@8649e74338d2372815368036b6cc22bd263462d7) ([merge request](gitlab-org/gitlab!107577)) **GitLab Enterprise Edition**
- [Turn gzip errors into structured log events](gitlab-org/gitlab@54088c6f3b4de8f6180356f51c693c9da4b7b99b) ([merge request](gitlab-org/gitlab!107474))
- [Add Gitlab::Redis::RepositoryCache Redis instance](gitlab-org/gitlab@a0631d7ccd44c48c4bec4546e38883cd0bcc49c5) ([merge request](gitlab-org/gitlab!107187))
- [Fix(Subscription Card): add disabled state to sync](gitlab-org/gitlab@398a22791d7cde7bdf0202e64c0355f24558b857) ([merge request](gitlab-org/gitlab!106855)) **GitLab Enterprise Edition**
- [Persist artifacts:public to Ci::JobArtifact table](gitlab-org/gitlab@151b41968ed86d1ca5e055012fad4d8f0ed6ef09) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/100741))
- [Add custom error for gitaly unavailable](gitlab-org/gitlab@871cf24acc579b8950f4ddf3e1ccd1e124d2e8ec) ([merge request](gitlab-org/gitlab!107451))
- [Update rails-html-sanitizer to v1.4.4](gitlab-org/gitlab@9c9f23d56c4877a78dca7d88f31ded62c8965ccc) ([merge request](gitlab-org/gitlab!107613))
- [Update CI error message when pipeline has no jobs to run](gitlab-org/gitlab@f6da2ad52a9966a3555a9f8d17657fb0bbf04a54) ([merge request](gitlab-org/gitlab!107297))
- [Cleanup members table layout and buttons](gitlab-org/gitlab@ae91bc04aa184c05491fb7ba73ee38f03b5a9f75) ([merge request](gitlab-org/gitlab!106478))
- [Open api users](gitlab-org/gitlab@6cac85b975307a3bfd46fde61af8067c1ebfaf1d) ([merge request](gitlab-org/gitlab!103284))
- [Replace gl-dropdown with gl-collapsible-list-box for pipelines List](gitlab-org/gitlab@8708d183a896240393fd2f745bdfbba466f3ad13) ([merge request](gitlab-org/gitlab!107351))
- [Make todos where you are mentioned two lined](gitlab-org/gitlab@30133a5f09d040e4618975eaae0fe7768de39845) ([merge request](gitlab-org/gitlab!106689))
- [Allow null `only`/`except` keywords to be combined with `rules`](gitlab-org/gitlab@9908576c5c9fef9b7cb4584bd728c5c7b3afb2f0) ([merge request](gitlab-org/gitlab!106895))
- [Migrate to GlCollapsibleListbox in jira-connect page](gitlab-org/gitlab@024c33facdeb626979ea5e25c7fa0b3ba45d218d) ([merge request](gitlab-org/gitlab!106921))
- [ci: Build Workhorse with FIPS Go compiler](gitlab-org/gitlab@ac3401cbf7eaa4902752a6e4e05820ef07d193a2) ([merge request](gitlab-org/gitlab!107435))
- [Move richtext editor switcher to toolbar](gitlab-org/gitlab@062c73463b06423ec7a3fd9d414d0e957a8d5f35) ([merge request](gitlab-org/gitlab!105450))
- [Update spam log buttons to pajamas](gitlab-org/gitlab@b3f2082ac3af331c8c1864bece27e7c4987c41e2) ([merge request](gitlab-org/gitlab!107334))
- [Add issueLinks to PipelineSecurityReportFinding](gitlab-org/gitlab@967224d7ef5c2bd5c2af937e26ecb44ca7544870) ([merge request](gitlab-org/gitlab!107296)) **GitLab Enterprise Edition**
- [Update sign-up registration buttons to pajamas](gitlab-org/gitlab@6fed11ea24a411aeee48c5f831efae6c6cda4322) ([merge request](gitlab-org/gitlab!107327))
- [Add synch' portion of multi-step index creation](gitlab-org/gitlab@ae204170fbbb81238a34ecfbcfc786e83d260f20) ([merge request](gitlab-org/gitlab!106880))
- [Migrate status badge to Pajamas](gitlab-org/gitlab@fe02bfcfbdf85654e4b76abe2f8046afb3ba9e13) ([merge request](gitlab-org/gitlab!106586))
- [Adapt Debian API to consider package registry access level](gitlab-org/gitlab@8ccad0fc7e6668e5fe0b44b4fd4ca06875e3f948) by @wwwjon ([merge request](gitlab-org/gitlab!106832))
- [Adapt Ruby gems API to consider package registry access level](gitlab-org/gitlab@a22661c4912bb5f6106c5acbc487d5cb7e7c45dc) by @wwwjon ([merge request](gitlab-org/gitlab!106790))

### Deprecated (4 changes)

- [Projects  API: Mark operations_access_level as deprecated](gitlab-org/gitlab@96f1d624d9e903788327c5f58c1ced7793e76e4a) ([merge request](gitlab-org/gitlab!109184))
- [Announce planned removal of openSUSE 15.3 packages](gitlab-org/gitlab@84d56ab3a36096cc9fe94594f08e047f587eb9a9) ([merge request](gitlab-org/gitlab!109028))
- [Deprecate approvers and approval_group fields](gitlab-org/gitlab@ffdf54b80c4697f63a8599c6be2aae938f884ae2) ([merge request](gitlab-org/gitlab!108621))
- [Deprecate security report schemas versions 14.*.*](gitlab-org/gitlab@69172a63eec0ead81040d270b7f2e5e7cad026eb) ([merge request](gitlab-org/gitlab!106483)) **GitLab Enterprise Edition**

### Removed (8 changes)

- [Remove tmp index for vulnerabilities with cluster image scanning](gitlab-org/gitlab@69b52560d3452762e57f89a61f9f680c9f16efa3) ([merge request](gitlab-org/gitlab!108714)) **GitLab Enterprise Edition**
- [Delete scheduled jobs for Vulnerabilities::Feedback migration](gitlab-org/gitlab@3eb8edcfdf1953ffe5ec08f3691b0481f3753ba0) ([merge request](gitlab-org/gitlab!107731))
- [Remove group_export_ndjson, group_import_ndjson FFs](gitlab-org/gitlab@2b17e32a292f8366d81a928bc73439b680caaa54) ([merge request](gitlab-org/gitlab!105087)) **GitLab Enterprise Edition**
- [Remove unused VSA use_aggregated_backend endpoint](gitlab-org/gitlab@a122471170a116923ff8929803b5fd0cf7e2d8dc) ([merge request](gitlab-org/gitlab!108208)) **GitLab Enterprise Edition**
- [Replace housekeeping setting with a single one in API](gitlab-org/gitlab@d35ace9f083015bf1f5dfb7830688560841869b7) ([merge request](gitlab-org/gitlab!106963))
- [Deduplicate lock-retries helpers in migration modules](gitlab-org/gitlab@890a430cac7912fea96b37ce6c8161c747ce7b0f) ([merge request](gitlab-org/gitlab!107896))
- [Remove phabricator_import feature flag](gitlab-org/gitlab@45d73ee6600772d5c52fc4401edc4b3f01a9537a) ([merge request](gitlab-org/gitlab!107930))
- [Remove temp index on project_statistics](gitlab-org/gitlab@de8bc2ad49ebc53fdca4339b348afc02548fed2e) ([merge request](gitlab-org/gitlab!107564))

### Security (12 changes)

- [Update Gitaly version](gitlab-org/gitlab@43309ce6be226256c52dcf6a4a4c480ae0fb64c1)
- [Limit the size of user agent to reduce ReDos attack](gitlab-org/gitlab@6c61ba1e4d1530e2dd60b301c8d76c4eeb4f4c7e)
- [Avoid regex with potential for poorly performing backtracking](gitlab-org/gitlab@72f103eb283bdfd9e3f56dc068d32b150562dfe9)
- [Protect Sentry auth-token after changing URL](gitlab-org/gitlab@aae02f73af7d31c09e6e76a70842cb04a9fc58c5)
- [Fix "Race condition enables verified email forgery"](gitlab-org/gitlab@e4d8d4f818275d42469d154b72fc6367b2b86bbb)
- [Validate token scopes in bulk_import service](gitlab-org/gitlab@71e047b011b638c14a3747e760c63eddc6b2651b) ([merge request](gitlab-org/gitlab!106849))
- [Policy change to read and destroy token without license for .com](gitlab-org/gitlab@a50304439a0fff7f70e5ee908e84f09bee3fb216)
- [Pages version bump SHA for 15.8](gitlab-org/gitlab@1558a7c3108bd00f364c8f0f15448ec7023b7f2d)
- [Restrict Grafana API access on public projects](gitlab-org/gitlab@2f8434fd5d05c5140fc89aae2cb610f8dac5fa0d)
- [Delete project specific licenses when license policy is deleted](gitlab-org/gitlab@c1ed6d2b35153c613a11ea0cd00b63958db2b79e)
- [Protect web-hook url variables after changing URL](gitlab-org/gitlab@a0adb0092bc7021e41acd45e06a53fc8477d673c)
- [Restrict user avatar availability based on visibility restrictions](gitlab-org/gitlab@faa74b35b23f28ddae8b40062dadf99ab1d25419)

### Performance (8 changes)

- [Add index for environments on project_id and id](gitlab-org/gitlab@06fe540addb50ff0ac4d94a5cc6c3bdd6f3bab98) ([merge request](gitlab-org/gitlab!108786))
- [Expand compound index on members to include member_role](gitlab-org/gitlab@dcabd0ff4d392414a58d098f3c7f3895de71a376) ([merge request](gitlab-org/gitlab!108700))
- [Add partial index in namespaces](gitlab-org/gitlab@358835c225dae05598686300633ee538242f7347) ([merge request](gitlab-org/gitlab!108542))
- [Replace index_ci_runners_on_runner_type to include id](gitlab-org/gitlab@3fce87c2f90fcd87b72fe3e92cb0a962ab5cb914) ([merge request](gitlab-org/gitlab!107895))
- [Remove vulnerability state migration](gitlab-org/gitlab@b55906e64fa54b09d20b050eb29cf19cc057fa2e) ([merge request](gitlab-org/gitlab!107689))
- [Improve the performance of count queries for replicator class](gitlab-org/gitlab@ffb1247957c84acd93b6deccab48b36802b32810) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/106806)) **GitLab Enterprise Edition**
- [Remove cache_project_integrations feature flag](gitlab-org/gitlab@7e710cf352bb20855aacc150113a9b7ef1eef36a) ([merge request](gitlab-org/gitlab!107247))
- [Optimize code owners file section regex](gitlab-org/gitlab@8e43650f060fd3c820f977bba2475ec441548ae2) ([merge request](gitlab-org/gitlab!107188)) **GitLab Enterprise Edition**

### Other (41 changes)

- [Remove obsolete Redis test helper](gitlab-org/gitlab@1fe280dc6dd9639c7b97cdf573a2eefef569eb6b) ([merge request](gitlab-org/gitlab!109010))
- [Adding feature_category to pods related specs](gitlab-org/gitlab@8f4b36ae05a1f69ffeb9b55e4fdfb2ba8a6b8485) ([merge request](gitlab-org/gitlab!108981))
- [Add sync database indexes to events table](gitlab-org/gitlab@cb8387729aa98cf7cb334a471f7dffcb467aace4) ([merge request](gitlab-org/gitlab!108973))
- [Remove `cyclonedx_sbom_ingestion` feature flag](gitlab-org/gitlab@33983e1141fc71490385cc1c53b441d4af36b9de) ([merge request](gitlab-org/gitlab!108731)) **GitLab Enterprise Edition**
- [Bump Gitlab Shell to 14.15.0](gitlab-org/gitlab@df06b833d0bb52b0ed7db9237a4a1929433f253e) ([merge request](gitlab-org/gitlab!108819))
- [Fix Style/FormatString offenses](gitlab-org/gitlab@01cc3a3b45cafda62ea8bc82d5c52278890d8ec8) ([merge request](gitlab-org/gitlab!108734))
- [Remove pipeline_name feature flag](gitlab-org/gitlab@2e081e97c8cf69c23fab2c08e96d1bfa42a79df9) ([merge request](gitlab-org/gitlab!108774))
- [Log pipelines that exceed includes maximum](gitlab-org/gitlab@a2b6edc6ed6801878b2c2656d104faa2ac8be566) ([merge request](gitlab-org/gitlab!108280))
- [Refactor Gitaly client stub to reduce the number of connections](gitlab-org/gitlab@91bedeabf6fc457dd4c0009be63913d25dae548f) ([merge request](gitlab-org/gitlab!107815))
- [Move disabled message to LearnGitlabHelper, set default in Vue](gitlab-org/gitlab@25ae975f019695d34482654c8f54d2f96d836e45) ([merge request](gitlab-org/gitlab!95866)) **GitLab Enterprise Edition**
- [Update users stat making billable users consistent](gitlab-org/gitlab@bf699d14a96abf762c970959ef7a238c2ad55f58) ([merge request](gitlab-org/gitlab!107666)) **GitLab Enterprise Edition**
- [Sets feature_category as :database for existing bg migrations](gitlab-org/gitlab@e57ad1346a5604ac6c9c6292b757edca1de0f226) ([merge request](gitlab-org/gitlab!107997))
- [Update when storage banner can be dismissed](gitlab-org/gitlab@e22d298dc88c62f2366b945ca9c7cce88e57fa8b) ([merge request](gitlab-org/gitlab!107968)) **GitLab Enterprise Edition**
- [Remove the FF ci_raw_variables_in_yaml_config](gitlab-org/gitlab@ee57e696b093f12ead370b492782b40d96b7d2d3) ([merge request](gitlab-org/gitlab!107590))
- [Remove unused code from UpdateAllMirrorWorker](gitlab-org/gitlab@a6e162c371e763a18bda040b565cb7a6f7823c1e) ([merge request](gitlab-org/gitlab!108203)) **GitLab Enterprise Edition**
- [Bump default partition_id value for CI tables to 101](gitlab-org/gitlab@93cf590f14ce3d768f85dd9ef7350e4d98e6b880) ([merge request](gitlab-org/gitlab!107472))
- [Raise an exception when fail to delete a branch](gitlab-org/gitlab@2af6c132167cc7026d58a3e396d7b9729e2db54a) ([merge request](gitlab-org/gitlab!108025))
- [Remove feature flag limit_assigned_issues_count](gitlab-org/gitlab@4f1e7fa1db269de2e1424f9fc3890be7dd1b113e) ([merge request](gitlab-org/gitlab!108082))
- [Remove paginated_mr_discussions feature flag](gitlab-org/gitlab@c4fa1b6351fa90fbaddfae420f11d3683c6f2333) ([merge request](gitlab-org/gitlab!108083))
- [Remove hide notification feature flag for free user cap](gitlab-org/gitlab@30d1bb92b55f9b73ddb1f85d3e2d0363af80a653) ([merge request](gitlab-org/gitlab!108019))
- [Remove feature flag 'delay_for_repository_update_mirror'](gitlab-org/gitlab@de0d0866e4b455486758a72ef5e79daf098a6476) ([merge request](gitlab-org/gitlab!108002))
- [Fixing Database/MultipleDatabases offenses in specs](gitlab-org/gitlab@b57b31dd05a67780886e528f463cebd0556daac9) ([merge request](gitlab-org/gitlab!107967))
- [Add Gitaly grpc client-side load-balancing configs](gitlab-org/gitlab@c41f50b53f621c93f181250dd34b80e3c97f068e) ([merge request](gitlab-org/gitlab!107985))
- [Remove dispensable_render feature flag](gitlab-org/gitlab@ba36891bdef8bf4f4f14399dce65aab2be45df55) ([merge request](gitlab-org/gitlab!107960))
- [Backfil migration for releases with empty author_id](gitlab-org/gitlab@22586dc2c5313503c6cb460f85d8959927c8d981) ([merge request](gitlab-org/gitlab!106813))
- [Remove bulk_update_membership_roles feature flag](gitlab-org/gitlab@d85e72ec1f963f41eaf6d1f552782f19d544bc9b) ([merge request](gitlab-org/gitlab!103769))
- [Remove display_merge_conflicts_in_diff feature flag](gitlab-org/gitlab@2e29480c8e33a69791161cbd20388f572889be42) ([merge request](gitlab-org/gitlab!107805))
- [Fix Graphql/Descriptions offenses in 'app/graphql/mutations/'](gitlab-org/gitlab@171187cbbc885d1b948548e82e878874bbcc4cb4) by @Ashvith ([merge request](gitlab-org/gitlab!105700))
- [Fix Style/SymbolProc offenses](gitlab-org/gitlab@162cdfbecc4a2f583c5db628f9a04be5dad24379) by @mhdasm3 ([merge request](gitlab-org/gitlab!105773))
- [Remove `container_repository_updated_event_id` from geo_event_log](gitlab-org/gitlab@d23114ab07b626ee6b17a2062075972736fa7937) ([merge request](gitlab-org/gitlab!107732))
- [Remove the log file_variable_is_referenced_in_another_variable](gitlab-org/gitlab@b14b25099d9518faaafe022a615ed77bba895494) ([merge request](gitlab-org/gitlab!107739))
- [Remove `has_many :sourced_pipelines` from Ci::Bridge](gitlab-org/gitlab@ceb3445a0f75c41bb9c59b00f09a35b736bd05ab) ([merge request](gitlab-org/gitlab!107121))
- [Unify namespace storage limits view](gitlab-org/gitlab@75eec9927a00c089dd3edcb99d1cc4fc7761bc6b) ([merge request](gitlab-org/gitlab!107014)) **GitLab Enterprise Edition**
- [Cleans up ssh commit sign](gitlab-org/gitlab@2b81d177369661aa419231aad94f9479b29c7e66) by @afzal442 ([merge request](gitlab-org/gitlab!106176))
- [Remove the FF ci_refactoring_external_mapper](gitlab-org/gitlab@976ba89de50a323011b32ab8f6303150c83f13e2) ([merge request](gitlab-org/gitlab!107576))
- [Remove ci_build_partition_id_token_prefix feature flag](gitlab-org/gitlab@56a0cfcbd4c457c0a60ed6f43f9aacc9efb031b7) ([merge request](gitlab-org/gitlab!107103))
- [Fix Rspec/AnyInstanceOf offenses](gitlab-org/gitlab@0ccaca014f4bd978cc361bb767dd94c9aec8bd92) by @mhdasm3 ([merge request](gitlab-org/gitlab!105909))
- [Remove _test from objectstore tests](gitlab-org/gitlab@ae61648ddbed85a1e1c8b1347965f852d9a218be) ([merge request](gitlab-org/gitlab!107373))
- [Factor out S3 API types](gitlab-org/gitlab@9997fee4babdbe7ca97834f40c1ff0e10395741b) ([merge request](gitlab-org/gitlab!107373))
- [Do not use _test when not necessary](gitlab-org/gitlab@1bde73aba2bd1d7f9e833c7325cffa0c90d1c106) ([merge request](gitlab-org/gitlab!107373))
- [Add config/redis.yml unified config file](gitlab-org/gitlab@ace8301236eecc07a511975b57f80e21ec7be3c2) ([merge request](gitlab-org/gitlab!106854))

## 15.7.5 (2023-01-12)

No changes.

## 15.7.4 (2023-01-12)

No changes.

## 15.7.3 (2023-01-11)

### Fixed (3 changes)

- [Reset Container Repository Sync status on secondary](gitlab-org/gitlab@5a6d024e199c9ab9fd39df2db44a133c022eadd5) ([merge request](gitlab-org/gitlab!108679))
- [Enforce memory-watchdog by default](gitlab-org/gitlab@6f7fcb0f50330af46a5f7311796e5375d6d59816) ([merge request](gitlab-org/gitlab!108679))
- [Geo: Container Repository push events don't work](gitlab-org/gitlab@721227d157cd2f4fd842e5dcf54180bcc470336a) ([merge request](gitlab-org/gitlab!108679))

## 15.7.2 (2023-01-09)

### Security (9 changes)

- [Avoid regex with potential for poorly performing backtracking](gitlab-org/security/gitlab@1cb3b4904b25f1e47a40ddd48f3fdcb16bf02401) ([merge request](gitlab-org/security/gitlab!2987))
- [Protect web-hook url variables after changing URL](gitlab-org/security/gitlab@58015aa49e63456094fcbf06a8fa739ac2a27f21) ([merge request](gitlab-org/security/gitlab!2976))
- [Limit the size of user agent to reduce ReDos attack](gitlab-org/security/gitlab@ac3eb7cbf4a1701a499d0cbbbae568c55914c8c3) ([merge request](gitlab-org/security/gitlab!2985))
- [Protect Sentry auth-token after changing URL](gitlab-org/security/gitlab@eba316d255caaa497e3a137aba5f262fd6272939) ([merge request](gitlab-org/security/gitlab!2983))
- [Delete project specific licenses when license policy is deleted](gitlab-org/security/gitlab@a6bef9aee6175401408a12fe1439e775b84bc8cb) ([merge request](gitlab-org/security/gitlab!2969))
- [Restrict user avatar availability based on visibility restrictions](gitlab-org/security/gitlab@9620a1bcae911c84112cc14da22711a344b89acf) ([merge request](gitlab-org/security/gitlab!2971))
- [Policy change to read and destroy token without license for .com](gitlab-org/security/gitlab@5fcf1350fafe9a30f17fa19a3567620f10df1ccd) ([merge request](gitlab-org/security/gitlab!2968))
- [Restrict Grafana API access on public projects](gitlab-org/security/gitlab@3274a7fbeabc04f9db69ffd052e0e77a6b71a7f8) ([merge request](gitlab-org/security/gitlab!2960))
- [Fix "Race condition enables verified email forgery"](gitlab-org/security/gitlab@c3e6fede4230a3ce0fc1d0e4c82f5f3ede41f663) ([merge request](gitlab-org/security/gitlab!2966))

## 15.7.1 (2023-01-05)

### Fixed (2 changes)

- [Relax FIPS constraints on PyPi packages](gitlab-org/gitlab@e0bfadf38b0873119dab0abba92e07085658abcd) ([merge request](gitlab-org/gitlab!107993))
- [Workaround a segfault due to array GC bug](gitlab-org/gitlab@85c7b6ad255c1638d54cb9953367e1e3e6b8396b) ([merge request](gitlab-org/gitlab!107993))

### Performance (1 change)

- [Remove vulnerability state migration](gitlab-org/gitlab@ef444959f787daa31d33e61fa94aa072be47a7b7) ([merge request](gitlab-org/gitlab!107993))

## 15.7.0 (2022-12-21)

### Added (182 changes)

- [Get timeline event tag and display on list](gitlab-org/gitlab@e06f3b6177baf214ba724ac2fca242efdc2c4cfc) ([merge request](gitlab-org/gitlab!107081))
- [Add tag_list to dast_profiles](gitlab-org/gitlab@813ee04e34bc51284d4a7401463b2b71cdd8d827) ([merge request](gitlab-org/gitlab!104909))
- [Serialize image attributes for content editor](gitlab-org/gitlab@c45c89297ea821dc8aca311f352594ad253b6d11) ([merge request](gitlab-org/gitlab!106733))
- [Add CI_PROJECT_NAMESPACE_ID to predefined variables](gitlab-org/gitlab@730e2f15e41e65b8e1c9fff36e9237b4bce09096) by @vadrin ([merge request](gitlab-org/gitlab!106817))
- [Add project language search/filter](gitlab-org/gitlab@f556c5fb41e7d2554fc2386d86f5bda941b0606c) ([merge request](gitlab-org/gitlab!104167))
- [Creating tasks counts towards user contribution graph](gitlab-org/gitlab@dfb7c139ae56741e1a5b9cf701b0f0465103bdb4) ([merge request](gitlab-org/gitlab!106873))
- [Process requirements_v2 artifacts on CI Jobs](gitlab-org/gitlab@9779a9fc0e2bc170bb630bf48976f262e528c360) ([merge request](gitlab-org/gitlab!106746)) **GitLab Enterprise Edition**
- [Add health status selection widget for work items](gitlab-org/gitlab@cbfa1059c6940b457b464a36f10719a05e31abf0) ([merge request](gitlab-org/gitlab!106683)) **GitLab Enterprise Edition**
- [Add metrics for number of created merge requests](gitlab-org/gitlab@950c7cc08a10f6d3385b04ef7c60e262006752d3) ([merge request](gitlab-org/gitlab!106869))
- [Remove feature flag allow audit event type filtering](gitlab-org/gitlab@2733f009e3ad85ddcdc730f692111ed6f6574aed) ([merge request](gitlab-org/gitlab!107068)) **GitLab Enterprise Edition**
- [Create StateTransitions for dismissed Vulnerabilities](gitlab-org/gitlab@131e26e85be62a4a7f4bc3bd6b403c2cb7d26946) ([merge request](gitlab-org/gitlab!97699))
- [Count approval project rules metrics](gitlab-org/gitlab@2e2513983c6a4dc14f0058b3f253b8b9a05c2597) ([merge request](gitlab-org/gitlab!106787)) **GitLab Enterprise Edition**
- [Add meaningful names for project feature updates](gitlab-org/gitlab@39fc4de47e491b5aeee0c0f8218a3b42b177da86) ([merge request](gitlab-org/gitlab!106919)) **GitLab Enterprise Edition**
- [Add class for retrieving SBOM Components](gitlab-org/gitlab@a9a53c47d20e8951a7578a6b1d0a666cc62210f2) ([merge request](gitlab-org/gitlab!105994)) **GitLab Enterprise Edition**
- [Add forkDetails GraphQL field to ProjectType](gitlab-org/gitlab@19616ac8999233e95e0574dac3eddd35578188c2) ([merge request](gitlab-org/gitlab!106070))
- [Add possibility to import all gists](gitlab-org/gitlab@83925f8117d3652975626f12fe3da8362d3fd5b3) ([merge request](gitlab-org/gitlab!103804))
- [Add api endpoints for dependency list exports](gitlab-org/gitlab@e204d73b5644a950e8fbe793a33c89c59faae0af) ([merge request](gitlab-org/gitlab!106462)) **GitLab Enterprise Edition**
- [Add Sidekiq worker to re-enable pull mirror configuration](gitlab-org/gitlab@8b85245b90f7eddc5ee668f4af88dca732fabe54) ([merge request](gitlab-org/gitlab!103665)) **GitLab Enterprise Edition**
- [Add ability to cancel github project improt](gitlab-org/gitlab@92f69fbdabde83d53dc6b7a05838a6d5fe4bba9e) ([merge request](gitlab-org/gitlab!103934))
- [Expose Alert (global) ID in GraphQL queries](gitlab-org/gitlab@4f23bc1f554371c4b577cc02ff8d92e84db2392e) ([merge request](gitlab-org/gitlab!106407))
- [Add semgrep as a supported analyzer for Scala](gitlab-org/gitlab@9e504050691e7363e214383d0b5a98e528ffdfe6) ([merge request](gitlab-org/gitlab!106856))
- [Update feature flag to be enabled by default](gitlab-org/gitlab@b5eaaab24ff3441b7b9aaf0f53ab8ae5b9b9677b) ([merge request](gitlab-org/gitlab!107097))
- [Add GraphQL mutation to unlink alert from incident](gitlab-org/gitlab@06600f31a4bd1f499e82bd32cc6f0daf5dc65782) ([merge request](gitlab-org/gitlab!106809))
- [Allow pipelines to have custom names](gitlab-org/gitlab@2753857f609ff5fcbdde7a7d6dead64d451fdcf7) ([merge request](gitlab-org/gitlab!107086))
- [Add pipeline_hierarchy_size](gitlab-org/gitlab@966d8dad32f23162ef8295a6d700faede13fc51d) ([merge request](gitlab-org/gitlab!105119))
- [Counter merged merge requests using approval rules](gitlab-org/gitlab@46fb6b3a29e185d0f909366aff680cb3ed1b9f68) ([merge request](gitlab-org/gitlab!106642)) **GitLab Enterprise Edition**
- [Add dast_pre_scan_verifications_steps table](gitlab-org/gitlab@7e3613054dc75c80468822693ffbd16fab986272) ([merge request](gitlab-org/gitlab!105702))
- [Add Package registry visibility toggle](gitlab-org/gitlab@8a9cde67fb0f359ee03809d943999bd7dcbdbe9b) ([merge request](gitlab-org/gitlab!106247))
- [Retry api for failed status checks](gitlab-org/gitlab@ee0a5c82c038aa2420bb58c93352979865f3ee6f) ([merge request](gitlab-org/gitlab!106401)) **GitLab Enterprise Edition**
- [Add mutation to update progress](gitlab-org/gitlab@40429bc39daa741f95a2900a3da7092eda5e7378) ([merge request](gitlab-org/gitlab!106394)) **GitLab Enterprise Edition**
- [Work Item widget notes](gitlab-org/gitlab@56b91133c1eff3c8290ea1536b20d37e353962ab) ([merge request](gitlab-org/gitlab!104825))
- [Allow filtering requirements by work_item IID](gitlab-org/gitlab@b543f58aed7d4b0de47243733ddb04bb4a350e97) ([merge request](gitlab-org/gitlab!106901)) **GitLab Enterprise Edition**
- [Filtering TODOs by Issue type includes tasks](gitlab-org/gitlab@cf35d7dd68be2570c906035841bf4256bab5f5f4) ([merge request](gitlab-org/gitlab!106908))
- [Add pipelineScheduleCreate mutation](gitlab-org/gitlab@c18fb622059da2224210d9fcc68ec4eb93aa201c) by @batu ([merge request](gitlab-org/gitlab!97849))
- [Remove the markdown_image_attributes feature flag](gitlab-org/gitlab@6055f379d6ed3607f5d5ba9e300b7ab06e4084df) ([merge request](gitlab-org/gitlab!106866))
- [Embed observability in GitLab](gitlab-org/gitlab@62240294f25af1c452c049dbdccc530c55c3ee8d) ([merge request](gitlab-org/gitlab!104081))
- [Add `short_title` attribute to appearance](gitlab-org/gitlab@2b4bac0e3397ceb5b79fb547062ff486f02efda4) by @TrueKalix ([merge request](gitlab-org/gitlab!106979))
- [Require approvals in case of pre-existing vulnerabilities](gitlab-org/gitlab@026ae3a973a7512957cac4670ba66106c9bb2c09) ([merge request](gitlab-org/gitlab!105248)) **GitLab Enterprise Edition**
- [Exclude uploads_size from project_statisitcs#storage_size](gitlab-org/gitlab@09be0ea2f3bba72a5c8ca0ad167f1989885ddb8c) ([merge request](gitlab-org/gitlab!103017))
- [Enable optimized housekeeping by default](gitlab-org/gitlab@bcc55769d5ae81f1c19fb28315bba944e82ba9c6) ([merge request](gitlab-org/gitlab!106937))
- [Remove require_approval_on_scan_removal feature flag](gitlab-org/gitlab@c222e795d84ca819df413463e538d071bb7a0094) ([merge request](gitlab-org/gitlab!106313))
- [GraphQL approveDeployment permission](gitlab-org/gitlab@1556736fba63fc000563d0bbd5a7ee96a657502c) ([merge request](gitlab-org/gitlab!105987))
- [Update importers group select dropdowns to use GraphQL](gitlab-org/gitlab@7aa3c65946f540d3af903fd83948b8de465d6091) ([merge request](gitlab-org/gitlab!106904))
- [Add Terraform state size limit to admin UI](gitlab-org/gitlab@61775ac4e9146924247f7987db9fcde27c026bcb) ([merge request](gitlab-org/gitlab!106519))
- [Add pipelineSchedulePlay mutation](gitlab-org/gitlab@51f4636050ca575803d302d661698ef38c348b61) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/106491)) **GitLab Enterprise Edition**
- [Global alert when reach the dashboard limit](gitlab-org/gitlab@76188b6f5c5bddfa384932a735b978d891330d62) ([merge request](gitlab-org/gitlab!106437))
- [Allow filtering work items by key result type](gitlab-org/gitlab@77decdec56e4959ad71eb6b97fd4aea719471dec) ([merge request](gitlab-org/gitlab!106474))
- [Add `token` sub-keyword to CI config](gitlab-org/gitlab@60418fffbf27b06cdda916155c3c5a95b246f812) ([merge request](gitlab-org/gitlab!103801)) **GitLab Enterprise Edition**
- [Add gists importer to schedule each gist import](gitlab-org/gitlab@1d58be1b94eabf25419a9a8237e823b030b6984a) ([merge request](gitlab-org/gitlab!106042))
- [Add unique index to ci_builds](gitlab-org/gitlab@fbb5d0e9a3e0248dc372f0ae5ab2e2e10d627cab) ([merge request](gitlab-org/gitlab!106680))
- [Add new ci job artifact requirement_work_items](gitlab-org/gitlab@08baa20da35b8f2ba99b967fd64aca227f5a5313) ([merge request](gitlab-org/gitlab!105822)) **GitLab Enterprise Edition**
- [Get tag signature via Tags API](gitlab-org/gitlab@00391e4bf16cdf1b6c59a2b494f14c23351888e6) ([merge request](gitlab-org/gitlab!106578))
- [Disable Gitlab migration form when it is disabled](gitlab-org/gitlab@be8451ac3d2bb0c9b7ff7b2c02d674bfd8a7d5a0) ([merge request](gitlab-org/gitlab!106551))
- [Migrate incident_management to events](gitlab-org/gitlab@3ccaa4a03bc027e97f9cbb6cfd633465dbcfe99a) ([merge request](gitlab-org/gitlab!105223))
- [Add ability to add read_code to custom roles](gitlab-org/gitlab@62066d15b3ff14313f8afa30cc8e6b7815de548b) ([merge request](gitlab-org/gitlab!106256))
- [Create achievements model and database table](gitlab-org/gitlab@d5b688a2f54aa0428aa580fd907b15a493e4ebbe) ([merge request](gitlab-org/gitlab!105871))
- [Add PATCH /groups/:id/members/:user_id/member_role](gitlab-org/gitlab@cc740faf9a21d221dde12abc69a22341fcb5b90e) ([merge request](gitlab-org/gitlab!106395)) **GitLab Enterprise Edition**
- [Update import group dropdown to use graphql](gitlab-org/gitlab@05914dc4c06aa07c8aee80616d6b5832fb4e7314) ([merge request](gitlab-org/gitlab!106486))
- [Enable `hash_based_cache_for_protected_branches` FF by default](gitlab-org/gitlab@cfe6fe5b36dc7f023e149926a960f2d342c27ff4) ([merge request](gitlab-org/gitlab!106581))
- [Added documentation about adding time entries using the UI](gitlab-org/gitlab@b96a41d440cf22af31f45c36dcfddc50dd053c39) by @zillemarco ([merge request](gitlab-org/gitlab!106488))
- [Add bulk_import_enabled to application_settings db table](gitlab-org/gitlab@3db61e1c107db925d52ef19ea68655199ab0ffcd) ([merge request](gitlab-org/gitlab!106326))
- [Add Packages::Debian::ProcessPackageFileWorker](gitlab-org/gitlab@3e12e3ae870b48e3cf14ce167aa6c0a8f841b866) by @sathieu ([merge request](gitlab-org/gitlab!104472))
- [Add admin settings for default preferred language](gitlab-org/gitlab@1a020128b43fb8db3f511dd6b7c5c0d3a3f9614b) by @icbd ([merge request](gitlab-org/gitlab!105357))
- [Add GraphQL mutation to link alerts to incidents](gitlab-org/gitlab@bec7c5845a440e439cb3bb7d1432312692e2f7fe) ([merge request](gitlab-org/gitlab!105655))
- [Add expanded attribute to variables settings](gitlab-org/gitlab@6262d60d9486e8dfbcfc8f5b155403f72c5f11dc) ([merge request](gitlab-org/gitlab!102212))
- [Allow provisioning group to view member email addresses via API](gitlab-org/gitlab@3572761f8ba346082eddb285049a06357e6c2008) ([merge request](gitlab-org/gitlab!105595)) **GitLab Enterprise Edition**
- [Add edit_path to pipeline_schedules_type](gitlab-org/gitlab@126f90ff1c482a8c1fe17a28bf8d65497e708791) ([merge request](gitlab-org/gitlab!105265))
- [Add support for CI_ENVIRONMENT_NAME var to be used in job:rules](gitlab-org/gitlab@2d6dc8cc7cf5430a3c16c163b435e258bc941739) ([merge request](gitlab-org/gitlab!106093))
- [Add instrumentation for LDAP requests](gitlab-org/gitlab@26206c159bb6c7bccbfc29a0117fa371c957297d) ([merge request](gitlab-org/gitlab!105540))
- [Added a UI to create timelogs](gitlab-org/gitlab@38333620c30a22ee1ae7b4c916620a0d1afe6c30) by @zillemarco ([merge request](gitlab-org/gitlab!101563))
- [Expose Alert (global) ID in GraphQL queries](gitlab-org/gitlab@317ededf879fee6426c2d5590a000cba21f9d117) ([merge request](gitlab-org/gitlab!106136))
- [Commit committer name check with the commit author_name](gitlab-org/gitlab@1567ed770fe8d61f2620d2ad24a1c33057e0ace7) by @zhzhang93 ([merge request](gitlab-org/gitlab!104570)) **GitLab Enterprise Edition**
- [Extend environment field in GraphQL to expose deploy freezes](gitlab-org/gitlab@3ad9f59d697d2184a32540e9e52cf43f969561a9) ([merge request](gitlab-org/gitlab!105436))
- [Cascade partition_id to Ci::Sources::Pipeline](gitlab-org/gitlab@49e57a810c7640fffc181b5ffa0b29702d5df56b) ([merge request](gitlab-org/gitlab!104678))
- [Add negated health status filtering in GraphQL API](gitlab-org/gitlab@17734d74136f47a7d5b55fd7b1af7c719c7bfe95) ([merge request](gitlab-org/gitlab!106017)) **GitLab Enterprise Edition**
- [Add hasChildren field to work items hierarchy widget](gitlab-org/gitlab@05e21e104f6f7d766a31e152720961eaa005ee56) ([merge request](gitlab-org/gitlab!105493))
- [Add unique index to ci_builds](gitlab-org/gitlab@cba8b5db3f3eab1a2d1b9a3eb796b9026482154e) ([merge request](gitlab-org/gitlab!106128))
- [Add index for author_id and created_at on merge_requests](gitlab-org/gitlab@41b2f6b84335bf0944c95854d52ee2cbfc147a94) ([merge request](gitlab-org/gitlab!104426))
- [Add a Search Within token to issues list search](gitlab-org/gitlab@7b1d1167edb0c1374b1630bd8d7904305f823595) ([merge request](gitlab-org/gitlab!106011))
- [Expose work item iid on requirement type for GraphQL](gitlab-org/gitlab@b85c12649c1b0f7e1703413b7c1dc5d189a3aee1) ([merge request](gitlab-org/gitlab!105835)) **GitLab Enterprise Edition**
- [Migration: add column to project_settings](gitlab-org/gitlab@c25a3321808abef7029bf1f3ac55b5b686f20489) by @luzhiyuan.deer ([merge request](gitlab-org/gitlab!104721))
- [Add switch to toggle between current and new nav](gitlab-org/gitlab@64001b27d30c14f485f936b03b42345816808a55) ([merge request](gitlab-org/gitlab!101910))
- [Link to jobs tab from runner list](gitlab-org/gitlab@eb86bcd0ed6a821ae45c1765f41597b114b67833) ([merge request](gitlab-org/gitlab!106196))
- [Add unit tests for redirection](gitlab-org/gitlab@cb11562e1dd27ba5412c9991231f4117059c64ae) ([merge request](gitlab-org/gitlab!104950))
- [Add worker to import gist to snippet](gitlab-org/gitlab@e906b662f3434fc0e72f542f1fa7a820d6f821d0) ([merge request](gitlab-org/gitlab!103761))
- [Adds execution status badge](gitlab-org/gitlab@e3eb76768104abf3abb5577700f2be1a9153df76) ([merge request](gitlab-org/gitlab!105242))
- [Add behavior for self-assigning to reviewers in the sidebar](gitlab-org/gitlab@193085b18c43ef1c6102218fb2885641bfb90ecd) ([merge request](gitlab-org/gitlab!103059))
- [Add last_seat_refresh_at to gitlab subscriptions](gitlab-org/gitlab@ec494b87f2e727676b97ff1a35c29a4bf33517f2) ([merge request](gitlab-org/gitlab!103937))
- [Extend Actions in Scan Execution Policy to include Runner Tags](gitlab-org/gitlab@9ee3c7196ada6bca254231d98e1c1f37224c97f7) ([merge request](gitlab-org/gitlab!105420)) **GitLab Enterprise Edition**
- [Document how to specify Git ref in agentk config](gitlab-org/gitlab@0797998605f0993870585b6d2ba96e7047547be2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105475))
- [Allows user to navigate directly to the jobs tab](gitlab-org/gitlab@478bb76f2d9ea058117ccf13963e9aca2b169602) ([merge request](gitlab-org/gitlab!105842))
- [Add specific state name URI requirements](gitlab-org/gitlab@03c8642458dc8fef1358d96ed372b5353fe3c766) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105674))
- [Update project GraphQL query to support nested environments](gitlab-org/gitlab@aa264d3378e98ea8756028cf21055754f7ad3754) ([merge request](gitlab-org/gitlab!104126))
- [Add support for merge request template variables](gitlab-org/gitlab@45b0756650cb07420bb0f55933556f12a97d2b6e) by @davebarr ([merge request](gitlab-org/gitlab!89810))
- [Admin toggle individual group runner registration](gitlab-org/gitlab@64ebee98f771a96b5a09add4c409cb631cdc3aca) by @markus.ferrell ([merge request](gitlab-org/gitlab!97826))
- [Add dependency_list_exports table](gitlab-org/gitlab@1bd029b24e95481a4053d9e08bbfb7f33441c2f5) ([merge request](gitlab-org/gitlab!104361)) **GitLab Enterprise Edition**
- [Remove webhook_form_mask_url feature flag](gitlab-org/gitlab@96d7af6a462374aa546fb44a8660af12db414351) ([merge request](gitlab-org/gitlab!105639))
- [Ensure new signups complete steps using DB field](gitlab-org/gitlab@19c3f9cf111169fcc827f9679f56ac33456b0635) ([merge request](gitlab-org/gitlab!98031))
- [Enable the FF ci_raw_variables_in_yaml_config by default](gitlab-org/gitlab@8fee332ac11070cefa76cb7659d28c3b843d9e40) ([merge request](gitlab-org/gitlab!105846))
- [Allow creating SSH keys with usage types via API](gitlab-org/gitlab@e4ecdd01ff463ad53389aa05930bcafe9241c15d) ([merge request](gitlab-org/gitlab!105551))
- [Expose Issue.relatedVulnerabilities on GraphQL](gitlab-org/gitlab@dec874ffe64008d0985c15790c2d51f11eee39f4) ([merge request](gitlab-org/gitlab!105039)) **GitLab Enterprise Edition**
- [Finalize group member namespace id migration](gitlab-org/gitlab@10524718836b869b245087f44c7b60d7cd3e054b) ([merge request](gitlab-org/gitlab!105288))
- [GraphQL Deployment permissions](gitlab-org/gitlab@84e13826a3f28be36db3b8a394ac9533f8433266) ([merge request](gitlab-org/gitlab!104812))
- [Manage default compliance frameworks](gitlab-org/gitlab@a34e3ffe431c7c86a8f4a0e9410bfeb22c90b834) ([merge request](gitlab-org/gitlab!104918))
- [Implement Git repository housekeeping in SSF](gitlab-org/gitlab@cf5ef4d6f46fa3702a1a65efe4417006828a7be0) ([merge request](gitlab-org/gitlab!104775)) **GitLab Enterprise Edition**
- [Finalize namespace_id backfilling on issues table](gitlab-org/gitlab@e81ab1d3bc7e262e8f197dc701b327273ab4dd91) ([merge request](gitlab-org/gitlab!98330))
- [Add $CODE_QUALITY_IMAGE_TAG to `Code-Quality` template](gitlab-org/gitlab@93c55fd1b6b66a2d4de47cbc4a8fe761b120170a) ([merge request](gitlab-org/gitlab!104634))
- [Adds Candidate Detail page](gitlab-org/gitlab@4b1b80a0a93f0704b0c7f64c20e64fdee696db81) ([merge request](gitlab-org/gitlab!101442))
- [Add background migration to reset status on container repositories](gitlab-org/gitlab@2d2016074e10008b3bbb380c4f39dbe4fcdfa71b) ([merge request](gitlab-org/gitlab!104858))
- [Check if parent epic is exportable](gitlab-org/gitlab@3b93729237b33d7ff5b1b3767266b15617cc2bc0) ([merge request](gitlab-org/gitlab!105341)) **GitLab Enterprise Edition**
- [Display Usage type field for SSH keys](gitlab-org/gitlab@3eb050bf394f97696122a2d5e0f4eb2a54693d54) ([merge request](gitlab-org/gitlab!105646))
- [Update email partipants for moved service desk issues](gitlab-org/gitlab@3efe54ed2e0cf7c77512a1ac27a9835507af0502) ([merge request](gitlab-org/gitlab!102419))
- [Compare results for scan_finding approval rules from multiple pipelines](gitlab-org/gitlab@b0c385cc946b152c0326b49cbb79247cdc5da82f) ([merge request](gitlab-org/gitlab!103283)) **GitLab Enterprise Edition**
- [Allow commits to be signed with SSH keys](gitlab-org/gitlab@716b5a1487e504c24729d2b056f1d6dea1b8ff14) ([merge request](gitlab-org/gitlab!105591))
- [Feat: signin signup locale switcher frontend](gitlab-org/gitlab@00d2c2f3705c7df0bdacbbca8cd0bf4dc49217d1) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!102509))
- [Verify user's phone number using TeleSign](gitlab-org/gitlab@820f8adad6badccffde59715c67c8e77057e20f6) ([merge request](gitlab-org/gitlab!103429)) **GitLab Enterprise Edition**
- [Add support for rendering comments in content editor](gitlab-org/gitlab@58e44df72cf604e19771254e05a8b9e156d98751) ([merge request](gitlab-org/gitlab!104084))
- [Allow img size attributes to be specified](gitlab-org/gitlab@10a8aba40bb20c6020eee7339333cbcde7d836be) ([merge request](gitlab-org/gitlab!104904))
- [Record timestamp of status updates for container repositories](gitlab-org/gitlab@56c3bdb09798e21175b7e4696507071bcd06cd7c) by @Ashvith ([merge request](gitlab-org/gitlab!102211))
- [Add health status sort option to group/project issues list](gitlab-org/gitlab@c68cd5b53a1eb05e37e226f523ff7a242f2092bc) ([merge request](gitlab-org/gitlab!105398))
- [Update deployment data builder with relevant environment information](gitlab-org/gitlab@d90648c8031c960acaffbea6edc423d72d4c7e64) by @rick.nu ([merge request](gitlab-org/gitlab!105021))
- [Add HealthStatus Widget to WorkItems](gitlab-org/gitlab@ded6de46c44422cbfabae62ea63d44fa42612644) ([merge request](gitlab-org/gitlab!104760)) **GitLab Enterprise Edition**
- [Add key to visible_attributes](gitlab-org/gitlab@85d87f3e57d8063389f1e07d250b9228c1d47966) by @icbd ([merge request](gitlab-org/gitlab!105310))
- [Filter runners by project](gitlab-org/gitlab@3ecd09b1b21fedee47c4be5ba19c9e04482f92d5) ([merge request](gitlab-org/gitlab!103994))
- [Add warning to invite group modal](gitlab-org/gitlab@834dc7c890cb86e5616e931c38849c48bf8062ac) ([merge request](gitlab-org/gitlab!104358))
- [Stores MLFlow tags for experiments and runs](gitlab-org/gitlab@a9098f3ca76afe1394cfafbcf60d3e8a3aad4e4f) ([merge request](gitlab-org/gitlab!104267))
- [Add GRAPQHL option to ScanMethodTypeEnum](gitlab-org/gitlab@9bf14854ef5a05e3649394a86b9ff34168fc7cdf) ([merge request](gitlab-org/gitlab!105281)) **GitLab Enterprise Edition**
- [Audit Group SAML extern_uid changes](gitlab-org/gitlab@2d54e12be9b49b267687e3ac3fee05fd22c11a73) ([merge request](gitlab-org/gitlab!104791)) **GitLab Enterprise Edition**
- [Add default hierarchy restrictions](gitlab-org/gitlab@9c315784df0326f7ec12bbe40a4cc3106677098d) ([merge request](gitlab-org/gitlab!104672))
- [Add index for vulnerability_feedback.comment processing](gitlab-org/gitlab@4b27cdd7cb5b4da55a131158ef0e730ab2373f90) ([merge request](gitlab-org/gitlab!104999))
- [Rollout feature: webhook support regex](gitlab-org/gitlab@cdcd4613fe5f89783b4ded9227781154d64cc1bf) by @luzhiyuan.deer ([merge request](gitlab-org/gitlab!103570))
- [Add application limits to CI Variables settings](gitlab-org/gitlab@764cca57a0ea4f6a7fe9a859e30c5f866c11905b) ([merge request](gitlab-org/gitlab!104596))
- [Mirror web_ide_commits metric to Snowplow](gitlab-org/gitlab@56a4ad8a25f49d6399e7dee6a7c2c9cee23af06b) ([merge request](gitlab-org/gitlab!104947))
- [Send phone verification SMS to user via TeleSign](gitlab-org/gitlab@d20f58dceebd0c339202eafbcd7c9eac73c42d08) ([merge request](gitlab-org/gitlab!102119)) **GitLab Enterprise Edition**
- [Implement new diffs REST API endpoint](gitlab-org/gitlab@969ce547ab5d5305f9bb7ca1ec7b2bb93b640021) ([merge request](gitlab-org/gitlab!104561))
- [Adds count badge for package other versions tab](gitlab-org/gitlab@7bb31f5805e86b3be539c553f9eb0e46b415e5d0) ([merge request](gitlab-org/gitlab!103876))
- [Add readEnvironment field to GraphQL API](gitlab-org/gitlab@c1a760248f1770d0210f776eb711aced748540bf) ([merge request](gitlab-org/gitlab!105128))
- [GraphQL Environment permissions](gitlab-org/gitlab@93f72eeb6a07bd832884a0bd6e9444116b0d1cf9) ([merge request](gitlab-org/gitlab!104661))
- [Use the routing table by default for Ci::BuildMetadata](gitlab-org/gitlab@1a59f3a93cd2986211c0f9f0ca89790ab2d8d1d6) ([merge request](gitlab-org/gitlab!105071))
- [Add async index for MRs on author_id and created_at](gitlab-org/gitlab@deb8c18ba35c6fa3db840f2e4a8180ffec91579d) ([merge request](gitlab-org/gitlab!105062))
- [Overwrite header of blob viewer for JH-only feature](gitlab-org/gitlab@3d552ad04e78f87766e6cf283b0f04bae7278e62) by @LXY1226 ([merge request](gitlab-org/gitlab!104800))
- [Add index for approval_merge_request_rules with MR ID and Created At](gitlab-org/gitlab@3547bab87e818dbbfa9945ede773dbbfd543affa) ([merge request](gitlab-org/gitlab!104425))
- [Add jitsu_key to EE::ProjectType](gitlab-org/gitlab@35a401df2048601398ba8e08c002b84e8781e8a8) ([merge request](gitlab-org/gitlab!104875)) **GitLab Enterprise Edition**
- [Add length limit to comment attribute](gitlab-org/gitlab@d1ee3a2326f01cbee23ea71fa440a13bc6c6f39a) ([merge request](gitlab-org/gitlab!104995)) **GitLab Enterprise Edition**
- [Initialized from Pages/Bridgetown project template](gitlab-org/gitlab@11285af1e9dbcb9c78668c4d90ee54e50c34b660) ([merge request](gitlab-org/gitlab!104822))
- [Geo: Replicate Dependency Proxy Manifests](gitlab-org/gitlab@49d1a3ee3d2b9632bb6fdb62af4da2aa1ec50080) ([merge request](gitlab-org/gitlab!102908))
- [Add dashboard status to namespace details and record](gitlab-org/gitlab@8c211e7519a30579fb12db05856042f3719c379e) ([merge request](gitlab-org/gitlab!103677))
- [Add merge_requests to OpenAPI documentation](gitlab-org/gitlab@a24a7a56b3224c73bfa51954b7b53fad70a22e96) ([merge request](gitlab-org/gitlab!104339))
- [GraphQL: Add job_execution_status to CiRunner](gitlab-org/gitlab@93481b83ac5bd6cf8dc9965a5286cf103de0177f) ([merge request](gitlab-org/gitlab!104413))
- [Add SSH signature to GraphQL](gitlab-org/gitlab@970da10197cb70fdaec44986db65abb28c5d6723) ([merge request](gitlab-org/gitlab!104896))
- [Add job retry dropdown for manual jobs](gitlab-org/gitlab@c23979857e309cf9afa8c17302557efe098d6ea9) ([merge request](gitlab-org/gitlab!96199))
- [Add filtering option to `vulnerabilityGrades` field](gitlab-org/gitlab@9143fe23968feff7ad38840633c0e76adbed0a34) ([merge request](gitlab-org/gitlab!104537)) **GitLab Enterprise Edition**
- [Add Usage Type to SSH keys](gitlab-org/gitlab@49956fae286ed1f0f6ec50d381e3f539e7490bd2) ([merge request](gitlab-org/gitlab!104283))
- [Add wildcard search for Branches and Tags](gitlab-org/gitlab@cb84c6da535826eff2514b0430ea2ed6ecb5ed19) ([merge request](gitlab-org/gitlab!104451))
- [Add instance audit event for enabling admin mode](gitlab-org/gitlab@d1c82d518442865ab0ba259487a99a841b5d915d) ([merge request](gitlab-org/gitlab!104754)) **GitLab Enterprise Edition**
- [Add `/license/:id` REST API endpoint](gitlab-org/gitlab@9dc8416227bd61b2f4bbaee3716798cb4986a145) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/104071)) **GitLab Enterprise Edition**
- [Add work item notes widget](gitlab-org/gitlab@2008133c54716745c9527317f31333863bba47f1) ([merge request](gitlab-org/gitlab!102811))
- [Add `id_tokens` CI keyword](gitlab-org/gitlab@a0bcf1a48742448bb110d83262d1bdd0bc212378) ([merge request](gitlab-org/gitlab!103391))
- [Redis counter for streaming audit event types](gitlab-org/gitlab@d7169350a31f6a88fc9d914881fb9146f95d885b) ([merge request](gitlab-org/gitlab!103455)) **GitLab Enterprise Edition**
- [Add query parameter to query environments by environment_type](gitlab-org/gitlab@70b6a98bf069cbe9e22c7d4d64f5c78489299e16) ([merge request](gitlab-org/gitlab!103676))
- [Add work items hierarchy restrictions table](gitlab-org/gitlab@cccb79b87d63ff5a3f74b35c5abc93cb7194a2a8) ([merge request](gitlab-org/gitlab!103796))
- [Capture suggested reviewers accepted](gitlab-org/gitlab@65bc1d4a970bff412c7c0184f79b9183c243cd09) ([merge request](gitlab-org/gitlab!103152))
- [Add GraphQL Scan method to DastSiteProfile](gitlab-org/gitlab@10f80602770694366c708983e783d24719f53450) ([merge request](gitlab-org/gitlab!104640)) **GitLab Enterprise Edition**
- [Add /labels alias to /label quick action](gitlab-org/gitlab@4148682442a872751d334312d712b278fae1f1e6) ([merge request](gitlab-org/gitlab!102374))
- [Add a new `reviewed_by` variable for commit messages](gitlab-org/gitlab@573406753ed2d8b046ba201c96bd6770af585a51) ([merge request](gitlab-org/gitlab!101458))
- [Show divergence counts for a fork on project page](gitlab-org/gitlab@80d1ec0beabcae275c45d622a2d828ddf760d4f2) ([merge request](gitlab-org/gitlab!103814))
- [Add partition_id to ci_resources](gitlab-org/gitlab@8d990b53aefa6db058cb7b86a9fd487ee3bc324c) ([merge request](gitlab-org/gitlab!104567))
- [Tooltip for description edit button on tasks](gitlab-org/gitlab@6e6dfc799b3f770cf2d584ba41ee5f8ca43bfdee) ([merge request](gitlab-org/gitlab!104530))
- [Add skeleton loader to Product analytics dashboard](gitlab-org/gitlab@c8cc5bdebf043a61dcee23929452836fc2cc6446) ([merge request](gitlab-org/gitlab!102798)) **GitLab Enterprise Edition**
- [Add JSONB data type with indifferent access](gitlab-org/gitlab@7f35069546fc00628716d8b9c87836213fdfb94d) ([merge request](gitlab-org/gitlab!103663))
- [Add dast_pre_scan_verifications table](gitlab-org/gitlab@9ab33d07d381688c9ffa86453eb79f90f74eb320) ([merge request](gitlab-org/gitlab!103063))
- [Add Packages::Debian::ProcessPackageFileService](gitlab-org/gitlab@d9befce8504d7ebb89ed4e6e963ed81d4b25121b) by @sathieu ([merge request](gitlab-org/gitlab!101837))
- [Query change to include sub-folders in search](gitlab-org/gitlab@4250497f15bb5835de132044365debba75cc0948) ([merge request](gitlab-org/gitlab!102227))
- [Add package metadata tables and models](gitlab-org/gitlab@6cf955646fb9bbf04505630c9ecfe35d0fcb350f) ([merge request](gitlab-org/gitlab!102794))
- [Add a "reopen" tertiary action to the MR Closed Widget](gitlab-org/gitlab@1e870881190259b87875d35538d3890eccbd60a2) ([merge request](gitlab-org/gitlab!101828))
- [Track and display all types of invalid approval rules](gitlab-org/gitlab@db345281e254d8c51f3d16a3963a7c4b64e434b4) ([merge request](gitlab-org/gitlab!103474)) **GitLab Enterprise Edition**
- [Add index for namespaces](gitlab-org/gitlab@fcb09458feada039672a8345280a9408c07a44ee) ([merge request](gitlab-org/gitlab!103034))
- [Merge trains GET merge request API](gitlab-org/gitlab@14483252bff421cdf78f4c56eaa6261d2c189550) by @markus.ferrell ([merge request](gitlab-org/gitlab!102665)) **GitLab Enterprise Edition**
- [Add source_enterprise column to BulkImports table](gitlab-org/gitlab@968c2bc949b4747977769b78ee2b45d2835ddd86) ([merge request](gitlab-org/gitlab!104245))
- [Add partition_id to ci models referenced by fk](gitlab-org/gitlab@255492a984d60c95c75a70a2db5f5b0da49bc90d) ([merge request](gitlab-org/gitlab!103594))
- [Update project iterations query to accept sort](gitlab-org/gitlab@ad10716f2a0b9ccf81aebafd9e417d24d571e788) ([merge request](gitlab-org/gitlab!104186)) **GitLab Enterprise Edition**
- [Release Jira Connect application settings](gitlab-org/gitlab@ddf63c6e25aade7141f845b7f9cdf4ae7cde05c5) ([merge request](gitlab-org/gitlab!104150))

### Fixed (173 changes)

- [Add string validation to trigger:project](gitlab-org/gitlab@7fef43d466187ce9c5bf3fffdeae947cee47f943) ([merge request](gitlab-org/gitlab!107275))
- [Show dismissed finding for query](gitlab-org/gitlab@7a3e00d82fc960d83454f1b595959bbef1387873) ([merge request](gitlab-org/gitlab!107274)) **GitLab Enterprise Edition**
- [Fix max width for milestone widget for work items](gitlab-org/gitlab@fac9b1bf3e402b4f826df40ec56b211118c5aaed) ([merge request](gitlab-org/gitlab!107058))
- [Deduplicate geo:geo_project_sync jobs](gitlab-org/gitlab@5f892d5be21c6ba32d5cf26b0e4f8431669e2346) ([merge request](gitlab-org/gitlab!105941)) **GitLab Enterprise Edition**
- [Fix update templates Rake task for development environment](gitlab-org/gitlab@a5ebf9c64dd4e905459cf62bdd09f3133951658f) ([merge request](gitlab-org/gitlab!107278))
- [Only verify signatures which use the `git` namespace](gitlab-org/gitlab@8f239e4c9f894a349818cf4cb8e806c451c0c7cd) ([merge request](gitlab-org/gitlab!107268))
- [GraphQL: Fix off-by-1 JOB_COUNT_LIMIT limit](gitlab-org/gitlab@4b6d04f15c2248d4748cc4ceae1d038eb8068f3c) ([merge request](gitlab-org/gitlab!107243))
- [Fixes list view of group merge request](gitlab-org/gitlab@832e2ad0835da793c18891389c2fd82cecfe93e8) ([merge request](gitlab-org/gitlab!107205))
- [Fix GitHub PR comments are out of order after import](gitlab-org/gitlab@21addf2aa94e742911a53e64f2a7c0096fee6ed6) ([merge request](gitlab-org/gitlab!106477))
- [Fix serialized import_sources on application_settings](gitlab-org/gitlab@cf44405f781c1bcbd44fd1b62f806055e3369b71) ([merge request](gitlab-org/gitlab!107185))
- [Increase max limit on url_variables token length](gitlab-org/gitlab@1b44eb492c6f42417ff3d8c8d9bda8b3bbb89f92) ([merge request](gitlab-org/gitlab!107169))
- [Fix board sidebar in focus mode](gitlab-org/gitlab@f1cd01f2e58c9372ca4c8399e264f310fd926615) ([merge request](gitlab-org/gitlab!106763))
- [Add migration to fix approval_project_rules without protected branches](gitlab-org/gitlab@4d11def6f1ddd3062f779a9e64c51c441159a616) ([merge request](gitlab-org/gitlab!105589))
- [Fix race condition when syncing mutable data types in SSF](gitlab-org/gitlab@b859b85564968df6263cce2cdcf7f21c296c66ee) ([merge request](gitlab-org/gitlab!106480)) **GitLab Enterprise Edition**
- [Add transparent sso override feature flag](gitlab-org/gitlab@4e43b6610de64ad0600a86b35ee47cfad00f7423) ([merge request](gitlab-org/gitlab!107028)) **GitLab Enterprise Edition**
- [Add QA selector to all vulnerablity filters](gitlab-org/gitlab@d3f5c93f2abf81ba29403834efade519c156c67c) ([merge request](gitlab-org/gitlab!107155)) **GitLab Enterprise Edition**
- [Pluralize the entire sentence of "thanks alert"](gitlab-org/gitlab@854a4e272ac1078dab90b78da41443d0e8407902) by @luzhiyuan.deer ([merge request](gitlab-org/gitlab!106339)) **GitLab Enterprise Edition**
- [Add export_path in order to make export api](gitlab-org/gitlab@10cf5396548111a7464b3ab9738e00fa552804e9) ([merge request](gitlab-org/gitlab!106316)) **GitLab Enterprise Edition**
- [Adapt specs to not use admin unnecessarily](gitlab-org/gitlab@9af5adc86a8d0bf265431e62bac3561c051d4672) by @wwwjon ([merge request](gitlab-org/gitlab!106457))
- [Removed pre-set branch in revert modal](gitlab-org/gitlab@b0f7374f6be2f92e04b97cb47439c6ad0bd9c876) ([merge request](gitlab-org/gitlab!106107))
- [Fix empty vendor header for tool filter](gitlab-org/gitlab@aa7b95eb4a3c741372bf6984c324be5cdf065ab3) ([merge request](gitlab-org/gitlab!107055)) **GitLab Enterprise Edition**
- [Only refresh indexes that exist](gitlab-org/gitlab@7282f366d32969c54c26bce6200de4fc748473e2) ([merge request](gitlab-org/gitlab!106986)) **GitLab Enterprise Edition**
- [[332123] Fetch GitHub repos via GraphQL API (frontend)](gitlab-org/gitlab@de71cfe16b510c5d4cc9d2b17a7153757da1a3ce) ([merge request](gitlab-org/gitlab!105824))
- [[332123] Fetch GitHub repos via GraphQL API (backend)](gitlab-org/gitlab@c7945f994f41d16be4c2b6cbd42e279bc0c8952d) ([merge request](gitlab-org/gitlab!105824))
- [Update BulkImports models to failed state on exception](gitlab-org/gitlab@f9973f0abbc66ca21c6fdb58434387a3512051e7) ([merge request](gitlab-org/gitlab!106479))
- [Urlencode TF state name in init cmd modal](gitlab-org/gitlab@de22f17096cb54d3b2c42840802bf77e5ceb0779) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/106687))
- [Show only active milestones in the dropdown](gitlab-org/gitlab@21718fe60d8ecfe6d798dbe8347db21b16179268) ([merge request](gitlab-org/gitlab!106980))
- [Markdow-drawer top position fix](gitlab-org/gitlab@04b88a8d9ed9a47912373da920ae7723a1ecf023) ([merge request](gitlab-org/gitlab!106712))
- [Fixed output of error msg when editing a blob](gitlab-org/gitlab@474b77bdb86e370a9218d3aa41195453552caf32) ([merge request](gitlab-org/gitlab!106944))
- [Fix update servie desck with project_key](gitlab-org/gitlab@7f831e29be15d7df44c16de579b4c0571dcffc3b) by @lyb124553153 ([merge request](gitlab-org/gitlab!106117))
- [GraphQL: Fix N+1 issue in jobCount](gitlab-org/gitlab@f1ef8b15be17ceb0a800a25281cb124319de0786) ([merge request](gitlab-org/gitlab!106600))
- [Prevent reload of pipelines table on job run](gitlab-org/gitlab@0e7d4401e1dfaa28314f3f69407aa34189d2c56b) ([merge request](gitlab-org/gitlab!105872))
- [Allow support_bot assigning issues to epics](gitlab-org/gitlab@3c9767709f66431517e0c6b672720a2e69afee7b) ([merge request](gitlab-org/gitlab!104491)) **GitLab Enterprise Edition**
- [GraphQL: Fix N+1 issues with RunnerGroupsResolver](gitlab-org/gitlab@15eed3dfe304e1ca072568e16bd4733b6a07c75b) ([merge request](gitlab-org/gitlab!106627))
- [Ensure deploy tokens expires_at does not accept invalid dates](gitlab-org/gitlab@606a7ec51483368659478ad973991502b9681900) ([merge request](gitlab-org/gitlab!106475))
- [Rescue connection refused error](gitlab-org/gitlab@245153a4964960063a0ae310ebfb2b9c74b7bbe7) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/106629))
- [Raising error response for invalid identity](gitlab-org/gitlab@3fa555a3548b2729c4ca9c48aa4e632d218e58a0) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/106805)) **GitLab Enterprise Edition**
- [Improve query to fetch pipelines with given sha in scope of the project](gitlab-org/gitlab@ced3b3f80d65d66369f9c4c5cedd2ccaff3ccdb9) ([merge request](gitlab-org/gitlab!106793)) **GitLab Enterprise Edition**
- [Update prometheus-client-mmap to v0.17.0](gitlab-org/gitlab@fd2307708a3875a9dfa66e95dd8f8e201d8d77bb) ([merge request](gitlab-org/gitlab!106756))
- [GraphQL: Fix N+1 queries in RunnerJobsResolver](gitlab-org/gitlab@f58c4743a7f1533ac019c8f71a39d2128a3b68f1) ([merge request](gitlab-org/gitlab!106574))
- [Change relative position assigns for epic boards](gitlab-org/gitlab@9a4b178ea036e785c93776d55897f5c6905b851d) ([merge request](gitlab-org/gitlab!106730)) **GitLab Enterprise Edition**
- [Use `finding_data` to generate response](gitlab-org/gitlab@441cad8a96aadf07a82fc8bd1a8b6a8f3dcdf544) ([merge request](gitlab-org/gitlab!103652)) **GitLab Enterprise Edition**
- [Ensure Gitlab::Metrics::Subscribers::Ldap is loaded](gitlab-org/gitlab@d1249de328f78b2d4598be93fb479d9b0bdbfc8d) ([merge request](gitlab-org/gitlab!106803))
- [Show locked icon only for project runner](gitlab-org/gitlab@54eaa62acf35f0dcac296a0c6907ab7bd990b3da) ([merge request](gitlab-org/gitlab!106703))
- [Display an error when repository has an ambiguous head branch](gitlab-org/gitlab@0ef00adc6c6f9ced4cb79894564c1dc4a361290a) ([merge request](gitlab-org/gitlab!105843))
- [The packages_size metric is now handled by a counter attribute](gitlab-org/gitlab@a9f1e2269c77ef0863d22a9655a5bc33a50d5fcc) ([merge request](gitlab-org/gitlab!106144))
- [Remove feature flag ci_run_bridge_for_pipeline_duration_calculation](gitlab-org/gitlab@29079a985c4db3f189f2bf310469f32110ec4331) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/99473))
- [GraphQL: Fix N+1 issue in RunnerOwnerProjectResolver](gitlab-org/gitlab@9caec73f77cabf235728fc25479e0a23e3a463be) ([merge request](gitlab-org/gitlab!106626))
- [GraphQL: Fix N+1 issue in RunnerProjectsResolver](gitlab-org/gitlab@86756653e9037973c2e29005e5e87addbe27ece1) ([merge request](gitlab-org/gitlab!106625))
- [Do not reset fork visibility to private when possible](gitlab-org/gitlab@94971ea6bcebfbda3232214b638768d2ff090c76) by @KyleFromKitware ([merge request](gitlab-org/gitlab!106489))
- [Fix NPE when no DB replicas available](gitlab-org/gitlab@297a16fe9e61da0b0809879b412b775354dafb91) ([merge request](gitlab-org/gitlab!106184))
- [Fix help link not being used in storage card](gitlab-org/gitlab@14faba4f3de05e837ded05715158910dfd16952e) ([merge request](gitlab-org/gitlab!106556)) **GitLab Enterprise Edition**
- [Fix excessive page updates at GitLab migration](gitlab-org/gitlab@8beb1d719db87583ff3eb58d2606f2a1a9d5848f) ([merge request](gitlab-org/gitlab!106511))
- [Fix projects API preloader](gitlab-org/gitlab@4185e38ef750d02b376bf72f24504829fb3dfcc7) ([merge request](gitlab-org/gitlab!104324))
- [Fix markdown import attachments in GitHub Import](gitlab-org/gitlab@bd432cbb6f3f4e2d46e2313fd680714e1f54cf9e) ([merge request](gitlab-org/gitlab!106459))
- [Filter group_approvers in scan result policies by full_path](gitlab-org/gitlab@083a89ac39ef80989936d4b846423140a43db895) ([merge request](gitlab-org/gitlab!104408))
- [Return HTTP 400 for multipart header without boundary](gitlab-org/gitlab@ec5246bec35640090a9b80c555875487ea3e2cba) ([merge request](gitlab-org/gitlab!106420))
- [Remove disable_pagination_counts_on_jobs_api feature flag](gitlab-org/gitlab@60d55194acf147e7f3f668693a7c048d98ff8c36) ([merge request](gitlab-org/gitlab!106413))
- [Revert "Merge branch 'sc1-track-allowed-crossslot-ops' into 'master'"](gitlab-org/gitlab@cb30abdbd997d8795456d6af8ddf370123b805f6) ([merge request](gitlab-org/gitlab!106381))
- [Fix vulnerability counts height changing when loading new data](gitlab-org/gitlab@0fa9444003f7524cdf5d55f1126725b54e7fb77e) ([merge request](gitlab-org/gitlab!106377)) **GitLab Enterprise Edition**
- [Fix link to downstreams in MR](gitlab-org/gitlab@7e40d738b540c312d5d32bb1b3fded61471e1ed2) ([merge request](gitlab-org/gitlab!106355))
- [Prevent errors for conflicting pending escalations](gitlab-org/gitlab@1604b322b7bbaeecafb7fcc0584e2c46a9a1fe4a) ([merge request](gitlab-org/gitlab!100459)) **GitLab Enterprise Edition**
- [Avoid preview request if quantity is not valid](gitlab-org/gitlab@a950f1aaee1ce47be23535884b5733d310d60e0a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105799)) **GitLab Enterprise Edition**
- [Update check on purchase quantity for add-ons](gitlab-org/gitlab@739b56477df031898a96a4d6bb71eec07cc08421) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105676)) **GitLab Enterprise Edition**
- [Ensure TooManyIps exception returns 403 forbidden for GraphQL](gitlab-org/gitlab@6d0dbe314e456f7586aaabd8a0b7e8265183ec7a) ([merge request](gitlab-org/gitlab!106248))
- [Fixed a very small typo in GraphQL style guide](gitlab-org/gitlab@7bd8cb2ab9125b878032faf5c7e9c555a8b131c9) by @zillemarco ([merge request](gitlab-org/gitlab!106324))
- [Use sentence casing for Full report button in merge request widgets](gitlab-org/gitlab@f19768b5e5ba0db423bcd22e50381a471b5521ee) ([merge request](gitlab-org/gitlab!105710)) **GitLab Enterprise Edition**
- [Allow downloading files tracked with Git LFS via API](gitlab-org/gitlab@c7d2aabade27c4d24561c49f969bf2546782d1dd) ([merge request](gitlab-org/gitlab!104624))
- [Add dependent: :destroy to associations in project](gitlab-org/gitlab@ec08fa0a429e8fd3531e7891b3969370ee87f463) ([merge request](gitlab-org/gitlab!105333))
- [Switch from GlBadge to StrategyLabel for FeatureFlags](gitlab-org/gitlab@192edf136416cd286897437d3e6249e58b1c302a) ([merge request](gitlab-org/gitlab!105686))
- [Fix long strings in incident timeline to break into multiple lines](gitlab-org/gitlab@f4f1041bc378027199ad1a29b066a35133a5bcf6) ([merge request](gitlab-org/gitlab!105240))
- [Fix redirect when cancel GitHub OAuth](gitlab-org/gitlab@5553fd43788dea3d30bd31dac1b64dc9c6a08d43) ([merge request](gitlab-org/gitlab!104655))
- [Fix integration tests to display extra test data](gitlab-org/gitlab@959448515fe4a674cbbdb98d7ac99f3178c191a9) ([merge request](gitlab-org/gitlab!106106))
- [Fix scan approval when user does not have edit approval rule permission](gitlab-org/gitlab@88ba8c75056bd1bdb1450a22777540ea2b55caa5) ([merge request](gitlab-org/gitlab!105649)) **GitLab Enterprise Edition**
- [Version Check - Properly handle bad API response](gitlab-org/gitlab@c208209c17febed5dc7b1ef357782ed94021fe25) ([merge request](gitlab-org/gitlab!104302))
- [Adapt APIs to use policy instead of `admin?`](gitlab-org/gitlab@e9cb55e0fa1deef307adcb72fab3452189f5b48a) by @wwwjon ([merge request](gitlab-org/gitlab!105652))
- [Consider Feedback type when creating Vulnerabilities from pipeline](gitlab-org/gitlab@74dc36e8cb195e341334255e0d7ba7d8fd3e0536) ([merge request](gitlab-org/gitlab!106211)) **GitLab Enterprise Edition**
- [Fixes removal of "paused" parameter in URL](gitlab-org/gitlab@7964af8ead318f9bd455bd9ba394ce2b7c5d98cf) ([merge request](gitlab-org/gitlab!106208))
- [Fix corrupted `security_scans` statuses](gitlab-org/gitlab@a5a028b7dfda31456f7075b019ac892184cb0d49) ([merge request](gitlab-org/gitlab!105350))
- [Added correct call for setAssignees on FOSS](gitlab-org/gitlab@ee52446260f469dcaefe7bd9d65c55fbf012d81f) ([merge request](gitlab-org/gitlab!106155))
- [Make admin bot confirmed](gitlab-org/gitlab@f660ec5ac511d26a8fdd9a510173ab5e916a2843) ([merge request](gitlab-org/gitlab!106158))
- [Fixed wiki condition](gitlab-org/gitlab@3fa0a9d92f970090a3b2c346388cf5775416a670) ([merge request](gitlab-org/gitlab!103962))
- [Use pagination to limit the number of users returned](gitlab-org/gitlab@adec1aaf8bcbe65a906556654d6074b45f628cbf) ([merge request](gitlab-org/gitlab!106149))
- [Margin between commit widget and colors of programming language](gitlab-org/gitlab@722a09cf4ae9dbbcb84204ff01a37818edf1ef02) ([merge request](gitlab-org/gitlab!105489))
- [Fix padding](gitlab-org/gitlab@4bae557ceefd8ef2ab34140d9b0bed702151df0a) ([merge request](gitlab-org/gitlab!106154))
- [Validate variable key](gitlab-org/gitlab@e5c7e21935e3a0a068d4e8c07e42f1f185084ea3) ([merge request](gitlab-org/gitlab!105869))
- [Include detached partition tables in truncate_legacy_tables](gitlab-org/gitlab@341f931c75b6807e9025e0d58e95f33b632e9e57) ([merge request](gitlab-org/gitlab!103703))
- [Ensure SSO enforcement is only active when SAML is enabled](gitlab-org/gitlab@5a62f1b2628f4413ec4d301fcad0c287cccd387c) ([merge request](gitlab-org/gitlab!106067)) **GitLab Enterprise Edition**
- [Fix empty password submitting failure on admin editing user page](gitlab-org/gitlab@74785f0e960651725019343ea3d49577938139dd) by @qk44077907 ([merge request](gitlab-org/gitlab!99042)) **GitLab Enterprise Edition**
- [Fix auditor users to use filters in the audit event search bar](gitlab-org/gitlab@19461c91d5278ccea7f96a332885d5b4eeb651c7) ([merge request](gitlab-org/gitlab!106024)) **GitLab Enterprise Edition**
- [Update parsing to support v3 pagerduty](gitlab-org/gitlab@91081fbcffef3b347ec6a870af9342070127a07c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105624))
- [Use run_after_commit when triggering GraphQL subscription](gitlab-org/gitlab@498bfc8d1c1561e5075108874b2f9826e6968776) ([merge request](gitlab-org/gitlab!105997))
- [Fix filtering by release_tag when ordering by milestone](gitlab-org/gitlab@9cef4db33085810509859447203087668176aa34) ([merge request](gitlab-org/gitlab!105197))
- [Indicate that DAG limit can't be disabled](gitlab-org/gitlab@772ac2780eb683e96299c0ac73c131486dbf184b) by @Taucher2003 ([merge request](gitlab-org/gitlab!103827))
- [Hide marketing-related entries](gitlab-org/gitlab@42a38d5c7a3faf4b007fb6cea11117f76f8bb255) ([merge request](gitlab-org/gitlab!105220))
- [Fix agent unique user count](gitlab-org/gitlab@71828ea26c389d65850a805c3e39da8db508b4d8) ([merge request](gitlab-org/gitlab!105826))
- [Fix inclusion validation for CI entries](gitlab-org/gitlab@77840ecdd426f0758273d6a3952b418afdec7c13) ([merge request](gitlab-org/gitlab!105149))
- [Adapt PAT Finder to use policy instead of `admin?`](gitlab-org/gitlab@f077351f8d8026f76bf7a121670b3fdb4878a3d5) by @wwwjon ([merge request](gitlab-org/gitlab!105319))
- [Reflect the selected insights page in the dropdown](gitlab-org/gitlab@5ab5cb30876f8899c4a8a0bfa2b8494fa1fde1c4) ([merge request](gitlab-org/gitlab!105180)) **GitLab Enterprise Edition**
- [Adapt Ci::JobsFinder to use policy instead of `admin?`](gitlab-org/gitlab@4315a655bc0ca9701b7d4dd35b9f702164c370e6) by @wwwjon ([merge request](gitlab-org/gitlab!105099))
- [Conditionally disable fastupdate on GIN indexes (issues, merge_requests)](gitlab-org/gitlab@1eb90570319f43014dae095207358db5598016e8) ([merge request](gitlab-org/gitlab!105375))
- [Fix Todo GraphQL type which always had null project and group fields](gitlab-org/gitlab@d6fa2b8a00c9b0362bee03783011022b408e2f15) by @zillemarco ([merge request](gitlab-org/gitlab!105430))
- [Update pmg dropdown ci icon size](gitlab-org/gitlab@ee581cc24309f86db85da3415cc8eddffdd4213f) ([merge request](gitlab-org/gitlab!104914))
- [Lowercase package paths before generating links](gitlab-org/gitlab@0070e7caafaf76e232495472993f3955390c8531) ([merge request](gitlab-org/gitlab!105643))
- [Fixed the misalignment of the dropdown item](gitlab-org/gitlab@d71f6cd09c65a298d47469d655f236446fecf1b7) ([merge request](gitlab-org/gitlab!105642))
- [Show 100% complete if 0 expected documents](gitlab-org/gitlab@10a9ec65048608a0c450dab706b929e60f32c435) ([merge request](gitlab-org/gitlab!104883)) **GitLab Enterprise Edition**
- [Split ee and ce queries, uncomment specs](gitlab-org/gitlab@0132511572e4b787e45b04770278ae310b87f10d) ([merge request](gitlab-org/gitlab!105519))
- [Hide card actions on boards when user does not have edit permission](gitlab-org/gitlab@f7cc0c748ea9a9b36634fd57e85df8427b772910) ([merge request](gitlab-org/gitlab!105327))
- [Remove dast_api_scanner feature flag](gitlab-org/gitlab@1ec93965dd2e048452f09caabd09880737fc4897) ([merge request](gitlab-org/gitlab!102559))
- [Fix pages internal cache to not use app settings in the cache key](gitlab-org/gitlab@47cd736d21c2a062bd0c6463b49bf5dee3075fb0) ([merge request](gitlab-org/gitlab!102804))
- [Project cannot belong to bot user namespace](gitlab-org/gitlab@a1b79a45c154756e02bb3372a81448cc620ba1df) ([merge request](gitlab-org/gitlab!104905))
- [Adapt RoutesFinder to use policy instead of `admin?`](gitlab-org/gitlab@a239527d97735757033a65e04c5626b0d0630332) by @wwwjon ([merge request](gitlab-org/gitlab!105084))
- [Make Work Items breadcrumb icon and URL dynamic](gitlab-org/gitlab@aa796dc7ec35b2db45dcc111a135589a135b9191) ([merge request](gitlab-org/gitlab!105491))
- [Improve Dast site profile creation error message](gitlab-org/gitlab@7651694cad304f0f626366cdd17d9efdcea9f718) ([merge request](gitlab-org/gitlab!104266)) **GitLab Enterprise Edition**
- [Prevent service hooks from being disabled](gitlab-org/gitlab@d81cc9d25d23950fa04bc22dbdb68e27adfdaebf) ([merge request](gitlab-org/gitlab!105453))
- [Migrate away from select2 in User Preferences](gitlab-org/gitlab@c47f46a988a664490835e8d167fe473100a97327) ([merge request](gitlab-org/gitlab!105267))
- [Fix securityReportFinding when no pipeline finding](gitlab-org/gitlab@50c545281b3eed91d0ffabf8d80a13ecd7b92240) ([merge request](gitlab-org/gitlab!104432)) **GitLab Enterprise Edition**
- [[217925] LFS import in batches](gitlab-org/gitlab@29b34311e528fa3528ea383c350d3a97a2ce7d47) ([merge request](gitlab-org/gitlab!104575))
- [Allow authorization submit from Swagger UI documentations](gitlab-org/gitlab@fa2eda7cee66183f788d5a46c98dd6bb6ee82837) by @W_S ([merge request](gitlab-org/gitlab!105002))
- [Fix VulnerabilityScannerType to resolve scanners](gitlab-org/gitlab@6bb69c484e06a97fb011a792358201a06774d5b1) ([merge request](gitlab-org/gitlab!103060)) **GitLab Enterprise Edition**
- [Remove custom CORS controller for JiraConnect](gitlab-org/gitlab@d43e25f79e51eb8574e7f953812735b641f506f6) ([merge request](gitlab-org/gitlab!104937))
- [Fix NoMethodError when showing X.509 signature users](gitlab-org/gitlab@11cfdae0ba109e194565530995e9ccebd45917e8) ([merge request](gitlab-org/gitlab!105283))
- [Ignore scan_finding rule for MR against unprotected branches](gitlab-org/gitlab@ce3945dde8d45fab34009d6bf05d20efcc22b950) ([merge request](gitlab-org/gitlab!105246)) **GitLab Enterprise Edition**
- [Fix default value for pipeline logger observations](gitlab-org/gitlab@f4cdba3ff3e9d8938c39c53cada51f7a61d9a2a9) ([merge request](gitlab-org/gitlab!105241))
- [On user delete associate releases to ghost user](gitlab-org/gitlab@24747eed34b2d88410fe47f462be2bf78a957255) ([merge request](gitlab-org/gitlab!104853))
- [Use pajamas for SSH key delete button](gitlab-org/gitlab@54a9a192a7f51c067863d16268e4d4839bbdcf3b) ([merge request](gitlab-org/gitlab!105109))
- [Fix purging scans by `build_id`](gitlab-org/gitlab@e98ffb7f31be0d8fa1090be664d3cc1c6646352a) ([merge request](gitlab-org/gitlab!105190)) **GitLab Enterprise Edition**
- [Fixing quick action styling for draft notes](gitlab-org/gitlab@0b83a0264ee4abaf251577629414b60276704717) ([merge request](gitlab-org/gitlab!101046)) **GitLab Enterprise Edition**
- [Automatically locking newly created tables on the database](gitlab-org/gitlab@6a354b8395e6aa0b9bf7e50371089ee45b7cf7f0) ([merge request](gitlab-org/gitlab!99287))
- [Fix query timeout issues on `Security::Scans::PurgeWorker`](gitlab-org/gitlab@3303f069b2355fb85953af96c703a180c39bf8cd) ([merge request](gitlab-org/gitlab!104532))
- [Adapt UsersFinder to use policy instead of admin?](gitlab-org/gitlab@77bcbd4996e7cfe162ded0a096d3dfb0d3f92018) by @wwwjon ([merge request](gitlab-org/gitlab!105006))
- [Rapture source enterprise info & skip EE data when importing from CE](gitlab-org/gitlab@925f2a9bb91b1861d5b6ffa9ec5dbe1251aea2c9) ([merge request](gitlab-org/gitlab!104728))
- [Paginate group runners in CI/CD settings](gitlab-org/gitlab@34bba64233705a522304957ae76df4da7e61f2e3) ([merge request](gitlab-org/gitlab!104597))
- [Fixed skip option](gitlab-org/gitlab@a6c597dc70c2ddccb49807ea7ab679e23b5a87d0) ([merge request](gitlab-org/gitlab!104557))
- [Fix non menu-item button styles in dropdowns](gitlab-org/gitlab@b5e59b6d8a59d227d1aa428958010e5161f3af80) ([merge request](gitlab-org/gitlab!104798))
- [Sync scan result policies on link/unlink of policy project](gitlab-org/gitlab@f1af4bccd20db1a9886d796e39ce355f261daaa2) ([merge request](gitlab-org/gitlab!104630)) **GitLab Enterprise Edition**
- [Memoize Pages::LookupPath fields to prevent heavy recalculations](gitlab-org/gitlab@9347aebbb202182ea33bd20a5fe797b3be87ea0c) ([merge request](gitlab-org/gitlab!104891))
- [Fix: taskable item status locale issue](gitlab-org/gitlab@749d7b8f6bd58cfe473421520edab1972a3fbc7e) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!104194))
- [In 53fb7663 (Support structured error for UserCommitFiles,](gitlab-org/gitlab@2db3a441fd056d66a46f6dc005b296e7b29cd020) ([merge request](gitlab-org/gitlab!104280))
- [Fix localization for Outbound Requests Settings](gitlab-org/gitlab@ffe85c767d9236b5b488aecb81bf3e969ad69050) by @Taucher2003 ([merge request](gitlab-org/gitlab!104843))
- [Fix memory limit for RssMemoryLimit monitor](gitlab-org/gitlab@7d67a6bc9d8032194dd46f2b1245de622d22dd5b) ([merge request](gitlab-org/gitlab!104747))
- [Fix group deploy token access for Git LFS](gitlab-org/gitlab@8ffce8ca0c8c31624b2cb7bce342993d93d2cbc3) by @MariusSchiffer ([merge request](gitlab-org/gitlab!104529))
- [Add rescue to gracefully handle missing namespaces](gitlab-org/gitlab@98b984c3e9792d24bbb321b0fb01521e3cb1be0b) ([merge request](gitlab-org/gitlab!104252)) **GitLab Enterprise Edition**
- [Use indifferent_keys for WAL locations](gitlab-org/gitlab@fc51bd13f5bf06b62282a9e466d218f82962963f) ([merge request](gitlab-org/gitlab!104764))
- [Update colors in the user activity calendar](gitlab-org/gitlab@d8cb85e3f565dd79c4f7841144a75f118b7ad44a) ([merge request](gitlab-org/gitlab!101697))
- [Fix group transfer not transfering groups](gitlab-org/gitlab@b8f3d7b30b454578be72d982a7a66c4ec81bbf34) ([merge request](gitlab-org/gitlab!104722)) **GitLab Enterprise Edition**
- [Database saved audit events now stream with primary key id](gitlab-org/gitlab@df36acc159e98794806ae56856ca4a312f0a769c) ([merge request](gitlab-org/gitlab!103619)) **GitLab Enterprise Edition**
- [Fix scroll to line number range](gitlab-org/gitlab@617399d74b86dff1e66ec12dc5355439f1b979f8) ([merge request](gitlab-org/gitlab!104686))
- [Limit project download limit to group namespaces](gitlab-org/gitlab@8231cfde887cbb5a2bdd1d30710ce59ee981bb5c) ([merge request](gitlab-org/gitlab!104657))
- [Fix Sidekiq::Worker::EnqueueFromTransactionError in audit event stream](gitlab-org/gitlab@0c518f5f9d83dbf67766821720f8cc611f938ca0) ([merge request](gitlab-org/gitlab!104393)) **GitLab Enterprise Edition**
- [Fix Group SAML mismatched extern_uid redirect loop](gitlab-org/gitlab@b50a17a059c9ae0e435bf87419c56c72652e5d96) ([merge request](gitlab-org/gitlab!103687)) **GitLab Enterprise Edition**
- [Added classes to hide HR on mobile](gitlab-org/gitlab@27e0ef0f822d177564f1eb228a0e040f8aa3d972) ([merge request](gitlab-org/gitlab!104271))
- [Handle ambiguous reference error](gitlab-org/gitlab@b5c8c3b988f09a760d66ebe2eae4d59056325fea) ([merge request](gitlab-org/gitlab!103803))
- [Use ind_jsonb type class directly for ApplicationSetting](gitlab-org/gitlab@65b7b5a86aa27ae605c67f8af96110efc3d1d2b2) ([merge request](gitlab-org/gitlab!104490)) **GitLab Enterprise Edition**
- [Register custom Active Record types earlier during boot](gitlab-org/gitlab@12f011a785ffa267c441ab53b9250273d39ce955) ([merge request](gitlab-org/gitlab!104477))
- [Add security_policy_bot user for scan execution policies](gitlab-org/gitlab@87d093cf4629bbc101df2c29368fd1aec5bedd6b) ([merge request](gitlab-org/gitlab!103544)) **GitLab Enterprise Edition**
- [Fix Chat Integrations TEST endpoint](gitlab-org/gitlab@383969313c9e65899fbc8eca6c51e444b6942f11) ([merge request](gitlab-org/gitlab!104362))
- [GitLab Migration - fail early if export status on source is empty for 5m](gitlab-org/gitlab@7aef91e700aedf85a20f7c36f613d2ede587b720) ([merge request](gitlab-org/gitlab!103961))
- [Fix deleting protected branch](gitlab-org/gitlab@4e57cf82ae98049eb501fe42241ccd70a7b93fc0) ([merge request](gitlab-org/gitlab!104259))
- [Fix: kroki settings locale issue](gitlab-org/gitlab@a713127ba63ed41443c3e443b0ff56a052e9d052) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!104346))
- [Fix: spam locale issue](gitlab-org/gitlab@4c607f6da8ccea82909eb6cabb5232e2d6cb100e) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!104343))
- [Always hide the loader spinner when clicking a tab](gitlab-org/gitlab@47517a8e9e0c7c3808eaf59ad5f11377682b62e0) ([merge request](gitlab-org/gitlab!104201))
- [Validate UserDetail#website_url only on update](gitlab-org/gitlab@728c2755933237fba9e06e468893e4b349003391) ([merge request](gitlab-org/gitlab!104284))
- [Properly change the URL when changing MR tabs](gitlab-org/gitlab@4646eb8e98a59d368c5bfaa1496cdea107ad0736) ([merge request](gitlab-org/gitlab!104318))
- [Fix invite members shared examples](gitlab-org/gitlab@50a9dd8e7ce1fbce0c37f6ca3928a610931820b8) ([merge request](gitlab-org/gitlab!104312))
- [Show how many commits behind an MR is when merge controls are visible](gitlab-org/gitlab@6ad5c9d265d20236c3c0789673da61d61f03b89c) ([merge request](gitlab-org/gitlab!104290))
- [Document how to fix PDF views with LFS and proxy_download disabled](gitlab-org/gitlab@4d572a9650b0e4c3729a253e35e0aee13bcba367) ([merge request](gitlab-org/gitlab!104053))
- [Fix: todos due date locale issue](gitlab-org/gitlab@4a6294c97735fa88025ae3f7147e873b7ce12a94) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!104188))
- [Highligh classes tweak](gitlab-org/gitlab@b6663657bc4316379571a55e46e8e17acfc441b3) ([merge request](gitlab-org/gitlab!104106))
- [Fix: jobs table header locale issue](gitlab-org/gitlab@2d8e9aba5d5576aa54c2b8a4b8a22fac61c2a1db) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!104055))
- [Fix: locale on admin dashboard](gitlab-org/gitlab@6c819a2ebf63233e296b6e24d8724af06139df78) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!104052)) **GitLab Enterprise Edition**
- [Fixing misspelled stories file name](gitlab-org/gitlab@5e195f2689456421374a58f1d35dc0da90dd4411) ([merge request](gitlab-org/gitlab!104102))
- [Remove feature flag ci_retry_job_fix for retry job fix](gitlab-org/gitlab@5c4f615d81198d3f96da5fa8326cdb6b811d4cf2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/100712))

### Changed (261 changes)

- [Adjusting the default attachment size on self hosted instances](gitlab-org/gitlab@ffdeee8561a9c3e9c746d3f2b1e54738fe05b0e2) ([merge request](gitlab-org/gitlab!105396))
- [Doc changes for housekeeping documentation](gitlab-org/gitlab@4af6ebf6031d64e57d48d157c504752b599f4d1a) ([merge request](gitlab-org/gitlab!107147))
- [Add vulnerability in PipelineSecurityReportFinding](gitlab-org/gitlab@8b7cc064d8b2ac7dd8fd5fef6f1c0359b337fccc) ([merge request](gitlab-org/gitlab!106995)) **GitLab Enterprise Edition**
- [Make repository snapshotting configurable per replicable](gitlab-org/gitlab@425c2f51164b40091c48e53553e15068a0ad2e3e) ([merge request](gitlab-org/gitlab!107023)) **GitLab Enterprise Edition**
- [Associate iteration to a work item during creation](gitlab-org/gitlab@08dbf8c47ff558a168f2cca78783419d61292e79) ([merge request](gitlab-org/gitlab!107338))
- [Filter out insights charts based on settings](gitlab-org/gitlab@f6cfa47af2ac3ff259e858696e9a512f3cb197b1) ([merge request](gitlab-org/gitlab!105226)) **GitLab Enterprise Edition**
- [Refresh Slack app home with notifications](gitlab-org/gitlab@d8aa488ac0c917a699352446feede69502a26a81) ([merge request](gitlab-org/gitlab!107323)) **GitLab Enterprise Edition**
- [Allow Define Tags for Scan Execution Policies](gitlab-org/gitlab@8f34873cebac9e812549c4a268f14ea10cf2b28d) ([merge request](gitlab-org/gitlab!107214))
- [Switch to use a button click to start a new thread](gitlab-org/gitlab@72d24a17f84072a79a75e4087a2b9eb920766090) ([merge request](gitlab-org/gitlab!106762))
- [Update user preference Web IDE terminology](gitlab-org/gitlab@e580f22fbb43d2266e74940e489b2d6a62065422) ([merge request](gitlab-org/gitlab!107157))
- [Update dotnetcore project template](gitlab-org/gitlab@1abda41623e9168c819cb48306f5abddf3924d58) ([merge request](gitlab-org/gitlab!107279))
- [Sidebar - remove legacy code and feature flag refs](gitlab-org/gitlab@efecc33c776f6abd9fca3186793c8333fa542968) ([merge request](gitlab-org/gitlab!106229))
- [Show add activation code for all subscriptions](gitlab-org/gitlab@1a03d4be1a903b04f4e82ff715b96d0e92cbcde3) ([merge request](gitlab-org/gitlab!106492)) **GitLab Enterprise Edition**
- [Update site_profile to accept file path for graphql scans](gitlab-org/gitlab@905e9ff56ce29f812d6273611345d48d1e7e58ba) ([merge request](gitlab-org/gitlab!106767))
- [Update enabled default value from false to true](gitlab-org/gitlab@1798f5eae5ea29f93c2b0ca1b0d003ba7f11659b) ([merge request](gitlab-org/gitlab!102424))
- [Set GOGC for gitlab-metrics-exporter](gitlab-org/gitlab@0d489a4c3b7141d3ec0424b8c4f004fa2e67ca01) ([merge request](gitlab-org/gitlab!107201))
- [Run SAST and Dependency Scanning from enforced policies in same pipeline](gitlab-org/gitlab@772a190f516d0fc16efa159cd49083f995f015c6) ([merge request](gitlab-org/gitlab!107199)) **GitLab Enterprise Edition**
- [Migrate to ref_selector.vue](gitlab-org/gitlab@bc8c55eea7f3f397430a59ac296fa90bcb708c7b) ([merge request](gitlab-org/gitlab!106732))
- [Replace bootstrap dropdown](gitlab-org/gitlab@9bd49846b14b02451fd26db81b4879af2e551609) ([merge request](gitlab-org/gitlab!106896))
- [Change help page path for job timeouts](gitlab-org/gitlab@2fe7227966607e3ab74a8510ed6f3012dd22d878) by @Taucher2003 ([merge request](gitlab-org/gitlab!107141))
- [Add event type information for name attribute](gitlab-org/gitlab@217c1b657fd0c2cb129e25a44788aa8fc1b4970f) by @daelmo ([merge request](gitlab-org/gitlab!106079)) **GitLab Enterprise Edition**
- [Remove markup_rendering_timeout feature flag](gitlab-org/gitlab@e0d09e0b22dab5caa9783b6ab34b0f4523212af3) ([merge request](gitlab-org/gitlab!107117))
- [Store slack authorized scopes](gitlab-org/gitlab@206d6d634e2bf1fa289c35f2828a8142b1ecb7f5) ([merge request](gitlab-org/gitlab!105439))
- [Update permissions for epic quick actions](gitlab-org/gitlab@4e5461bf88fa45fd2a1a2fbfab42f33a6d7919a9) ([merge request](gitlab-org/gitlab!106558)) **GitLab Enterprise Edition**
- [Restrict access to a CI/CD tunnel to specific environments](gitlab-org/gitlab@f5296904b78725c20844f93ff801c220a9abbcaa) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105968))
- [Restrict changing of issue type](gitlab-org/gitlab@ee434c522dbf400da6d55af4ef08a3a6fbc4323e) ([merge request](gitlab-org/gitlab!107010))
- [Apply suggested documentation change](gitlab-org/gitlab@9d6b20cf4d838466f9e2b700c09e3247c53bd001) ([merge request](gitlab-org/gitlab!106694))
- [Remove feature flag ci_reuse_build_in_seed_context](gitlab-org/gitlab@233fd4314ef9ec1ce57eba924b95bdcb674b4bd3) ([merge request](gitlab-org/gitlab!107089))
- [Cascade partition_id to Ci::Resource](gitlab-org/gitlab@ca7ef300b6b81692eb358a487f11fa3f83d2780d) ([merge request](gitlab-org/gitlab!106431))
- [Add event name information for external status check changes](gitlab-org/gitlab@46f961b2b8302a70d49a79562893cb586a4cdd0d) by @daelmo ([merge request](gitlab-org/gitlab!106095)) **GitLab Enterprise Edition**
- [Squash housekeeping period options into a single one](gitlab-org/gitlab@1c2bf6aa5ab8dd2a35fff5c17e4f0802fd9ea946) ([merge request](gitlab-org/gitlab!106741))
- [Improve system note for alert resolution from incidents closing](gitlab-org/gitlab@a562e91018a26238fc77f9bbcd0cb1c44fc57246) ([merge request](gitlab-org/gitlab!106778))
- [Remove manage subscription button](gitlab-org/gitlab@a44f4cc590a3c2bc774238a946b00856d8f63685) ([merge request](gitlab-org/gitlab!106502)) **GitLab Enterprise Edition**
- [Remove stage-cell class](gitlab-org/gitlab@d084fe78d691463fb049e6598589664c6335160d) ([merge request](gitlab-org/gitlab!102704))
- [Flipped the `editable` flag on the form for Slack](gitlab-org/gitlab@086ee5972a00032cde1483c758966eeec543d06b) ([merge request](gitlab-org/gitlab!106804))
- [Improve CI config timeout error message and Update error title](gitlab-org/gitlab@e3a9b4c8c1603975d2058ea1bc148285dc233d58) ([merge request](gitlab-org/gitlab!106594))
- [Increase contrast ratio of buttons](gitlab-org/gitlab@955766419273bda441a44b33db17be9073a98d3d) ([merge request](gitlab-org/gitlab!106731))
- [Migrate trial's namespace selector away from select2](gitlab-org/gitlab@37e154b8c51222e96c37027488941d69a751def2) ([merge request](gitlab-org/gitlab!102336)) **GitLab Enterprise Edition**
- [Moves done button for to-dos on small devices](gitlab-org/gitlab@419acf083f74e600e3fedc22a009c032a99c485a) ([merge request](gitlab-org/gitlab!106678))
- [Remove gl-card related styles](gitlab-org/gitlab@48776c0dd61ac7fc0222553cd9c72cf7d8088844) ([merge request](gitlab-org/gitlab!106991))
- [Move title for todo to beginning of line](gitlab-org/gitlab@46076e18f703f4b008ec4bc7aeedcadcb0720708) ([merge request](gitlab-org/gitlab!106673))
- [This MR migrates Dropdown to Listbox](gitlab-org/gitlab@6b9f0283daea79e7e08186c7cd1a67e30d08064a) ([merge request](gitlab-org/gitlab!106506))
- [Do not enable advanced user search if the level is group or project](gitlab-org/gitlab@14cf846b2b8ae8a5d42f1be09db6af4dbb47febb) ([merge request](gitlab-org/gitlab!106972)) **GitLab Enterprise Edition**
- [Refactor group overview tabs empty state](gitlab-org/gitlab@d01f8b2093f1c3e4f3fc2c58d0435cbf407e8e26) ([merge request](gitlab-org/gitlab!105605))
- [Skip create project push rule](gitlab-org/gitlab@6a7ec5c65db02e3595e85ea9d43e629fefdfdb9d) by @lyb124553153 ([merge request](gitlab-org/gitlab!104558)) **GitLab Enterprise Edition**
- [Enable pipeline_tabs_vue by default](gitlab-org/gitlab@dbc329613e7be123b2428b39519e4c1a624c885e) ([merge request](gitlab-org/gitlab!106344))
- [Update permissions to add child epics](gitlab-org/gitlab@a4e86894626be06b59f5a8ee2c3df0dd24658676) ([merge request](gitlab-org/gitlab!106415)) **GitLab Enterprise Edition**
- [Removed hierarchy_db_restrictions flag](gitlab-org/gitlab@4e7ea58e36274b60d79246d1b0ac97bb4437a2d0) ([merge request](gitlab-org/gitlab!106938))
- [Support just one node version for from-source install](gitlab-org/gitlab@57fb6f380c044ad2ad2a81fc10c46ad584993560) ([merge request](gitlab-org/gitlab!106807))
- [Add resolved Indicator to CodeQuality MR Widget](gitlab-org/gitlab@58ea0b9fbe02d100dafeabaf2ba9fad5acfc1407) ([merge request](gitlab-org/gitlab!106571))
- [Improve NTP check converting to multi_check](gitlab-org/gitlab@6e4bec9780084190f420157d502fd26345e49094) ([merge request](gitlab-org/gitlab!105514)) **GitLab Enterprise Edition**
- [Exclude Bots from Billable Members on SaaS](gitlab-org/gitlab@b80d461efe2a249c60d35e1d791ac1131171d71d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/106281))
- [Update send_user_confirmation_email usage](gitlab-org/gitlab@936c94db896b43cd41b2d5fadabba824e80d30f1) ([merge request](gitlab-org/gitlab!104636))
- [Update UI text for push events](gitlab-org/gitlab@77b0a358fbb276c983a822e04961d8f9805acdfb) ([merge request](gitlab-org/gitlab!106023))
- [Migrate pajamas buttons in invitation template](gitlab-org/gitlab@35c95e03621ffbc659acf955313d920e6c585735) ([merge request](gitlab-org/gitlab!106699))
- [Coupon code input for new SaaS purchase](gitlab-org/gitlab@f4d53330e25b8639bb518b4d76fe973b9b929a30) ([merge request](gitlab-org/gitlab!106494)) **GitLab Enterprise Edition**
- [Remove quotes from hash keys](gitlab-org/gitlab@ebc7d887fdff00d67b022f749a449995dda8926e) by @daelmo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105791)) **GitLab Enterprise Edition**
- [Apply rubocop, lint and team suggestions](gitlab-org/gitlab@702c36288508d4024da9381d643acdcaaaf0e70c) by @daelmo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105791)) **GitLab Enterprise Edition**
- [Add event type information for branch_name_regex attribute](gitlab-org/gitlab@0b3818b81b65689a83ac1ef2e2d051d0d5d95451) by @daelmo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105791)) **GitLab Enterprise Edition**
- [Add event type information for commit_message_regex attribute](gitlab-org/gitlab@4ec818a9998dac6285e1ac367cb64d1a37296527) by @daelmo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105791)) **GitLab Enterprise Edition**
- [Add event type information for commit_message_negative_regex attribute](gitlab-org/gitlab@f9a567daa0f1b76c746037898b88e8db582a9102) by @daelmo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105791)) **GitLab Enterprise Edition**
- [Add event type information for author_email_regex attribute](gitlab-org/gitlab@af95073fdcdf4cc49c682bbdfc5ef2617dd4d7a7) by @daelmo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105791)) **GitLab Enterprise Edition**
- [Add event type information for file_name_regex attribute](gitlab-org/gitlab@c2fab4fc3f3b9ed0697d41f9fd36358caf451d8a) by @daelmo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105791)) **GitLab Enterprise Edition**
- [Add event type information for max_file_size attribute](gitlab-org/gitlab@c97dfe849071d84546ec44b7f5b12cd5c545511e) by @daelmo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105791)) **GitLab Enterprise Edition**
- [Migrate GlDropdown in source_branch_dropdown.vue to GlCollapsibleListbox](gitlab-org/gitlab@6260da120a10c3fe8c408bf9cf52c33083ad0f99) ([merge request](gitlab-org/gitlab!106526))
- [Add new project features to API](gitlab-org/gitlab@e71487595add44c62608eadfd826d87c09616944) ([merge request](gitlab-org/gitlab!106755))
- [Implement max limit for assigned issues count](gitlab-org/gitlab@49a6322fba56ed52279e0c1d373df8173b94a8a2) ([merge request](gitlab-org/gitlab!105759))
- [Include max_terraform_state_size_bytes in the Application Settings API](gitlab-org/gitlab@50a166ec7f3aef35919833bf7e1aabaf00595e59) ([merge request](gitlab-org/gitlab!106520))
- [Add syntax options drawer to topBar component](gitlab-org/gitlab@c042775880cee26d27e88892fa63775ca505d2d1) ([merge request](gitlab-org/gitlab!96014))
- [Increase partition size of `security_findings` table](gitlab-org/gitlab@816423d58be2425a092a8bdfa475f87c51d3adbd) ([merge request](gitlab-org/gitlab!106671)) **GitLab Enterprise Edition**
- [Ignore tags for child pipeline in scan execution policy](gitlab-org/gitlab@48ac30d4f8f805f35f90b645423602986685f5b2) ([merge request](gitlab-org/gitlab!106152)) **GitLab Enterprise Edition**
- [Simplify getFormattedScanners logic for vulnerability report tool filter](gitlab-org/gitlab@d47f3d40bd451c11ecbe65eaf2f96412aec75031) ([merge request](gitlab-org/gitlab!106382)) **GitLab Enterprise Edition**
- [Add disable personal access tokens to ApplicationSettings](gitlab-org/gitlab@beebe9e0af2e2e1816b4b8b6da347e5b44fb97b5) ([merge request](gitlab-org/gitlab!106025))
- [Bump kas version to v15.7.0](gitlab-org/gitlab@0583b6cc675e6bcd727c2fe65f9ef7e4b61adae2) ([merge request](gitlab-org/gitlab!106645))
- [Output gitaly addresses instead of gitaly storage directories](gitlab-org/gitlab@6db53fb9ae2227b2d7f76e99bb6fc0b90ace8e2e) ([merge request](gitlab-org/gitlab!106637))
- [Cleanup run_pipeline_graphql feature flag](gitlab-org/gitlab@7326e256f0ed9264a8f665e7c597bae96370772a) ([merge request](gitlab-org/gitlab!106038))
- [Update storage purchase messages](gitlab-org/gitlab@bbce13139d86c7cd9c35b32910768e98c15853d3) ([merge request](gitlab-org/gitlab!102012)) **GitLab Enterprise Edition**
- [Remove sync button in subscription details footer](gitlab-org/gitlab@61c86ba8cae7a1f8fd7e60e949291c34d3c72400) ([merge request](gitlab-org/gitlab!106507)) **GitLab Enterprise Edition**
- [Only run sampling for batched background migrations for the current MR](gitlab-org/gitlab@53c2b2557f09b6a399d16881a23f385787e565b8) ([merge request](gitlab-org/gitlab!105261))
- [Add `Remember me` in the SAML workflow](gitlab-org/gitlab@f52736d60fb57cc014f78c3ab6960fcdaa902cd2) ([merge request](gitlab-org/gitlab!103987)) **GitLab Enterprise Edition**
- [Remove skip trial links for trials/new](gitlab-org/gitlab@72b95891d037b87988bc420bca3844a466a720fc) ([merge request](gitlab-org/gitlab!105384)) **GitLab Enterprise Edition**
- [Unscope i18n strings that are incorrectly scoped in HAML files](gitlab-org/gitlab@a8652665535601d89b16e318f4837925d3caef0e) by @JonstonChan ([merge request](gitlab-org/gitlab!105944))
- [This MR migrates Dropdown to Listbox](gitlab-org/gitlab@5eb274598eb8416cadcbd3a9489d91f17e01938d) ([merge request](gitlab-org/gitlab!106385))
- [Add services and workers related to](gitlab-org/gitlab@89a6d8e6fad5ba84b43a25caf96a770573cacc1b) ([merge request](gitlab-org/gitlab!104365)) **GitLab Enterprise Edition**
- [Add api scope validation for access token](gitlab-org/gitlab@488092006f817bb60942a1ee1b66a5a9b9c7e3f3) ([merge request](gitlab-org/gitlab!105524))
- [Move todo state to beginning](gitlab-org/gitlab@9518ca9134791f7e073ddb168d4198c69535553e) ([merge request](gitlab-org/gitlab!106573))
- [Fix the delete container repositories background job](gitlab-org/gitlab@6446d14354571e6bf8f8baf3ef9828d953585aff) ([merge request](gitlab-org/gitlab!106563))
- [Removed milestone widget completely out of FF](gitlab-org/gitlab@4584512e23097f8a9cfdffa2a129c2ca5aa3922d) ([merge request](gitlab-org/gitlab!106399))
- [Show runner stats only when some runners are found](gitlab-org/gitlab@c25a705b317816433bfe555cd106a8adf4ba66dd) ([merge request](gitlab-org/gitlab!106331))
- [GitLab Upgrade Alert - Security Upgrade Alert Modal](gitlab-org/gitlab@4d96a61110e1cd1beecb24ecb2c38566ea7d7c61) ([merge request](gitlab-org/gitlab!105875))
- [Update global alert for notification read-only namespace](gitlab-org/gitlab@512e29be6f418e735c79428f00c27959ff29d7e8) ([merge request](gitlab-org/gitlab!103057)) **GitLab Enterprise Edition**
- [Add smaller thresholds for development environment](gitlab-org/gitlab@449e78455bddda86e59324452ecf1d9a038e11e8) ([merge request](gitlab-org/gitlab!106510)) **GitLab Enterprise Edition**
- [Remove GitHub Import rule from Danger](gitlab-org/gitlab@ebfd0cd4560b06a631d3bca7ae83af7d2feed5be) ([merge request](gitlab-org/gitlab!106500))
- [Use ALL_PROTECTED_BRANCHES text in rule editor for scan result policies](gitlab-org/gitlab@39d4502d705272973ad4092000f2ad046afbe897) ([merge request](gitlab-org/gitlab!105445)) **GitLab Enterprise Edition**
- [Improves layout of to do items](gitlab-org/gitlab@42b431a229cbbcac29c7336bee02ab93aef6de9f) ([merge request](gitlab-org/gitlab!99548)) **GitLab Enterprise Edition**
- [Remove adding Redis metrics from known_events](gitlab-org/gitlab@6158f0e91099b59bf1f3e5df05bfc30d0a912f1c) ([merge request](gitlab-org/gitlab!105277))
- [Remove ci_secure_files feature flag](gitlab-org/gitlab@21f04f3064d0e268adf73b8ad60540ec81ff4d11) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/106461))
- [Add max_terraform_state_size_bytes column to application_settings](gitlab-org/gitlab@509d652621173e3a5d87ffaa0f9790a3972688b4) ([merge request](gitlab-org/gitlab!106257))
- [Add index curator debug improvements](gitlab-org/gitlab@7fb0f8fbd5eb06d9c4f9ead69d3530f7bcea0ec3) ([merge request](gitlab-org/gitlab!106234)) **GitLab Enterprise Edition**
- [Set deduplication strategy :until_executed](gitlab-org/gitlab@19d8ceb4f6ed58a3bd3fe302177c2f5918a7043a) ([merge request](gitlab-org/gitlab!106452)) **GitLab Enterprise Edition**
- [This MR migrates button to pajamas component](gitlab-org/gitlab@6715d9cc0e08f12b5bf509ffbffe3c9ed1875ea8) ([merge request](gitlab-org/gitlab!106058))
- [Disable vulnerability feedback preloading when deprecated](gitlab-org/gitlab@7df57b9ab20b7501035b7cabfe20bdcce5c9cac2) ([merge request](gitlab-org/gitlab!106150)) **GitLab Enterprise Edition**
- [Improve UX of `Clear status after` field](gitlab-org/gitlab@fa01af3c720079ba1dff357801cd26f6440e6c98) ([merge request](gitlab-org/gitlab!105611))
- [Fix image filter tooltip and remove tooltip show delay](gitlab-org/gitlab@0a7201ca241ea504ff5408bb0223d0fc6ab71819) ([merge request](gitlab-org/gitlab!106387)) **GitLab Enterprise Edition**
- [Clean up image filter and cluster filter isLoading and error message](gitlab-org/gitlab@622a1f568b7ebaa2f381937254ccc06fb24f63da) ([merge request](gitlab-org/gitlab!106386)) **GitLab Enterprise Edition**
- [Add `Limitable` to project and group CI variables](gitlab-org/gitlab@d3e2be13cc152564f02c6789588e641a4b344890) ([merge request](gitlab-org/gitlab!106213))
- [Use CleanupTagsService in ContainerRepository::ContainerRepository](gitlab-org/gitlab@b6166e030e997a6551a3c7621cd222416286ab30) ([merge request](gitlab-org/gitlab!106148))
- [Create work item with iteration](gitlab-org/gitlab@a5c150c3bbc7aafc59ef221a7008d6e8dd9fb2fc) ([merge request](gitlab-org/gitlab!104658)) **GitLab Enterprise Edition**
- [Add filtering of pipelines by name to PipelinesFinder](gitlab-org/gitlab@6d45d54a8eaa2b6623f3777400ab11229752be09) ([merge request](gitlab-org/gitlab!105852))
- [Shows "No description" when description is missing](gitlab-org/gitlab@98e87be755e46d730dd03c4583a8919441443bf9) ([merge request](gitlab-org/gitlab!106288))
- [Move settings.scss to page_bundles](gitlab-org/gitlab@bbb79794e14ceb88ff4d8ff6db2d05b1c2bb0686) ([merge request](gitlab-org/gitlab!105812)) **GitLab Enterprise Edition**
- [Run model validations when importing from GitHub](gitlab-org/gitlab@a9b7948f44febfe91b450333c57f5785c3708601) ([merge request](gitlab-org/gitlab!105075))
- [Update button component in the security banner](gitlab-org/gitlab@4f1d97a79122a80fe5d3fa9152613743210cd58b) ([merge request](gitlab-org/gitlab!105863))
- [Ensure vulnerability issues are marked confidential](gitlab-org/gitlab@da146b00e29061710561a7a670258b0fa0c9094e) ([merge request](gitlab-org/gitlab!106066)) **GitLab Enterprise Edition**
- [Add Snowplow context to ecosystem_total_unique_counts_monthly events](gitlab-org/gitlab@73cd236f84ea60a6cd41eb31a3c5bf4ad833c75d) ([merge request](gitlab-org/gitlab!105455))
- [Adds feature_category attribute to BatchedMigrationJob](gitlab-org/gitlab@43c875c13f152a62580999c6ffa65428b909f839) ([merge request](gitlab-org/gitlab!105666))
- [Add a popover to uploads row in storage usage](gitlab-org/gitlab@cdaa49c48550afd637254ce7aab7a13ffdb06cc5) ([merge request](gitlab-org/gitlab!105270)) **GitLab Enterprise Edition**
- [Update parser gem to 3.1.3.0](gitlab-org/gitlab@1019d4f41aa5bbe6b5efd5b70abd70cbfd8b8c53) ([merge request](gitlab-org/gitlab!106222))
- [Enable display_merge_conflicts_in_diff feature flag by default](gitlab-org/gitlab@3bbaae16f6b074f641aa32b62ea3a8fc51c0cc69) ([merge request](gitlab-org/gitlab!105991))
- [Add index for health status ordering](gitlab-org/gitlab@6616ff30a370ba1cec68b8faf84bf835e7db1682) ([merge request](gitlab-org/gitlab!106036))
- [Replace the rocket icon with the deployments icon](gitlab-org/gitlab@c40310b2a15bca03029a5ff3809e8d57cce9d1a4) by @dabian.versalle ([merge request](gitlab-org/gitlab!105963))
- [Manual migration of `createFlash` to `createAlert`](gitlab-org/gitlab@8dbab8fe4bb8d3a703f1f8921541f084756bbb50) ([merge request](gitlab-org/gitlab!105885))
- [Move issuable.scss into page_bundles](gitlab-org/gitlab@8649269fcd1b0bb8a47802014504f0ef83d57724) ([merge request](gitlab-org/gitlab!105829)) **GitLab Enterprise Edition**
- [Add Helm version policy to agent instructions](gitlab-org/gitlab@d7c7757c4069a58f488810e30e1408f4324f9a73) ([merge request](gitlab-org/gitlab!105165))
- [Diagnostic reports: compress files](gitlab-org/gitlab@9972174ec7e26fa0f497137ebf4f208588b74f38) ([merge request](gitlab-org/gitlab!105115))
- [Update button on _todo partial to Pajamas component](gitlab-org/gitlab@a9dc8b1464542b27fd65b43e2fd8e2bc93c6f16f) ([merge request](gitlab-org/gitlab!105868))
- [Present all GitLab for Slack triggers as unchecked](gitlab-org/gitlab@d22d45a84e7be6bc348dcf5ec1f7ce1f3e799a74) ([merge request](gitlab-org/gitlab!106111)) **GitLab Enterprise Edition**
- [This MR migrates submit buttons to pajamas component](gitlab-org/gitlab@779bb4b8ec08bf16ac62a4e4af923353a6616ac9) ([merge request](gitlab-org/gitlab!106060))
- [Add correct event type information for user update service](gitlab-org/gitlab@c8098a258e765a286e9e5799ba040949506f846f) by @daelmo ([merge request](gitlab-org/gitlab!106086)) **GitLab Enterprise Edition**
- [Unscope i18n strings that are incorrectly scoped in Ruby files](gitlab-org/gitlab@ee86fb765367d2826259cff7e63e8991daf2c66c) by @JonstonChan ([merge request](gitlab-org/gitlab!105942))
- [Make existing scope use outbound](gitlab-org/gitlab@2f2ea07664e8841e2f4a797312371220244d3f46) ([merge request](gitlab-org/gitlab!102805))
- [Exit with failure code when sidekiq-cluster child process fails](gitlab-org/gitlab@49136d0c765bb2fe636292669b32265c65be1df5) ([merge request](gitlab-org/gitlab!105681))
- [Update the button component in the page domains](gitlab-org/gitlab@046fc3205df8f0f1524744ff180885947a9a163e) ([merge request](gitlab-org/gitlab!105830))
- [Add dependency_list_export model](gitlab-org/gitlab@ac16748711f9c550ea95787d2493b8b0c6add1be) ([merge request](gitlab-org/gitlab!104363)) **GitLab Enterprise Edition**
- [Convert invalid AR scope to class method](gitlab-org/gitlab@c9199e5ddc85a16844784b9cefaa0e0dce8c0f98) ([merge request](gitlab-org/gitlab!106063))
- [Delete repo immediately](gitlab-org/gitlab@a384167ae66b53e2041a4af311ffb7bb5eb91401) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105348))
- [Display createdAt in releases overview page when sorting by release date](gitlab-org/gitlab@67dd7d7c6266f1994b00c84eb440ca9e7a6a67aa) by @n0rdlicht ([merge request](gitlab-org/gitlab!105954))
- [Move `pipeline_editor` to `~/ci/`](gitlab-org/gitlab@a5665771cbe4084413eb1c087b30d4fe3622ea1e) by @ali_o_kan ([merge request](gitlab-org/gitlab!105362))
- [Replace 'pipeline' with 'quota' icon in user profile](gitlab-org/gitlab@ff5e6f4d40b19dbb7b94c57811fe1bf5f2cbf443) ([merge request](gitlab-org/gitlab!105442))
- [Add migration for unique scope links](gitlab-org/gitlab@73deea0b32f857d9914b2c2bf9c17fc42a824096) ([merge request](gitlab-org/gitlab!105926))
- [Scope i18n strings that are incorrectly unscoped](gitlab-org/gitlab@cc7efe9f3e1a2c05d422f0985cecfb7427f62856) by @JonstonChan ([merge request](gitlab-org/gitlab!105943))
- [Update vendored .NET Core project to match project template](gitlab-org/gitlab@66b4b268e19e252a0ae03f7aa8885adfd13e0ac1) by @JonstonChan ([merge request](gitlab-org/gitlab!105778))
- [Update vendored Rails project to match project template](gitlab-org/gitlab@3c1db6eddac1b25b615ae62c65120c644c9d9ff2) by @JonstonChan ([merge request](gitlab-org/gitlab!105775))
- [Update vendored Middleman project to match project template](gitlab-org/gitlab@cfdc74ecf7532f651d2865b980cfedbe074d2c9a) by @JonstonChan ([merge request](gitlab-org/gitlab!105776))
- [Update GitLab Pages to v1.64.0](gitlab-org/gitlab@ddf5f07e56ad34d6b2ebc8592df1f2ab4135987a) ([merge request](gitlab-org/gitlab!105867))
- [This MR adds GRAPHQL option](gitlab-org/gitlab@44cad08ebdae7b72da72cfc970c4aab1b3db2ad1) ([merge request](gitlab-org/gitlab!104648)) **GitLab Enterprise Edition**
- [Remove the `new` prefix in all `gl-new-dropdown-` instances](gitlab-org/gitlab@010bba182f36aa9b409a5a905290e38ea0f07ff0) by @gitlab-dependency-update-bot ([merge request](gitlab-org/gitlab!105756))
- [Disable pagination counts for Jobs API](gitlab-org/gitlab@73e1388473655e44a45062fde0e1768ea317e3d5) ([merge request](gitlab-org/gitlab!105814))
- [Batched bg migrations to pick feature-category from calling context](gitlab-org/gitlab@e4d61f4f0581288d6014db2314b91946f1f95805) ([merge request](gitlab-org/gitlab!105666))
- [Adapt Conan API to consider the package registry access level](gitlab-org/gitlab@fe2557472a3f7fb529bcfe3c7d17121f69a70eb0) by @wwwjon ([merge request](gitlab-org/gitlab!104589))
- [Set Sidekiq default max concurrency to 20](gitlab-org/gitlab@760c0af22e8d878a390d0c0d844f4e5950a87987) ([merge request](gitlab-org/gitlab!104989))
- [Refactor CodeQuality Finding Detail List](gitlab-org/gitlab@064b1ae3cc9877b7c701eaa66b5f3a81a18ac722) ([merge request](gitlab-org/gitlab!105562))
- [Add context to PostReceive and MergeRequestActivity Snowplow events](gitlab-org/gitlab@da4304d26fd61926219770d35bed046f2bffba70) ([merge request](gitlab-org/gitlab!104670))
- [Fix webhook redirects](gitlab-org/gitlab@0e2272ac8bddb294fff9dbe49dedfc5e30b95489) ([merge request](gitlab-org/gitlab!105703))
- [Bump doorkeeper-openid_connect to v1.8.3](gitlab-org/gitlab@8e0cffbd2525c3b416643cd978918a74c15fd28c) ([merge request](gitlab-org/gitlab!105784))
- [Update gitlab-shell to 14.14.0](gitlab-org/gitlab@fc06739d1df70ecbde48c4e210384f92b5e4f1af) ([merge request](gitlab-org/gitlab!105780))
- [Update remove to use Pajamas button component](gitlab-org/gitlab@95a0d64a5b71a69606603a4d07e80212f5ac9b6e) ([merge request](gitlab-org/gitlab!105745))
- [Introduce progress widget for work items](gitlab-org/gitlab@15de8fd609ddf1e97a0203b50a714d6f6b9a1ca7) ([merge request](gitlab-org/gitlab!104591))
- [Remove feature_flags/form.scss and .rollout-percentage classes](gitlab-org/gitlab@6a54cd83a6bdca6d08508fe25830e26966607746) ([merge request](gitlab-org/gitlab!105766))
- [Adjust alignment of Codequality inline Icons](gitlab-org/gitlab@48290143fc3eaad2ddfcb69d42f389e97156ff53) ([merge request](gitlab-org/gitlab!105733))
- [Adds index as a key to the cache key](gitlab-org/gitlab@cca21fba23c46703154e6ac9c8e3169a56a5d017) ([merge request](gitlab-org/gitlab!104885))
- [This MR request fix stuck validation](gitlab-org/gitlab@ea904f9e9e3838e562cace81099349e7206a975f) ([merge request](gitlab-org/gitlab!104643)) **GitLab Enterprise Edition**
- [Remove orphans for approval project and](gitlab-org/gitlab@a74471624a6ecc294420fd4e90b0b77817917a58) ([merge request](gitlab-org/gitlab!103659)) **GitLab Enterprise Edition**
- [This MR migrates submit buttons to pajamas component](gitlab-org/gitlab@5818c78c5990b1e38f51e324fb1a0e42fa312cd9) ([merge request](gitlab-org/gitlab!105660))
- [Redesign Package Registry project setting](gitlab-org/gitlab@bd74cb779152b9cbe5b9469ef373065a6d1ad2c6) by @wwwjon ([merge request](gitlab-org/gitlab!104350))
- [Block weak passwords by default and remove the feature flag](gitlab-org/gitlab@7fd81a7f926890d1c71703d499d7b628a253cd74) ([merge request](gitlab-org/gitlab!103702))
- [Support finished before and after in Deployments API](gitlab-org/gitlab@0ef5be11f2bba27c7edc657394801bfa71028eb9) ([merge request](gitlab-org/gitlab!105017))
- [Enable dependency proxy blob replication by default](gitlab-org/gitlab@5b0a9036c0882b2543fd11a8663f30c4659ff046) ([merge request](gitlab-org/gitlab!104420)) **GitLab Enterprise Edition**
- [Improve help-text for Monitor visibility setting](gitlab-org/gitlab@94ffe6314038ec6f0f5811bc059a67e034ea84dd) by @ali_o_kan ([merge request](gitlab-org/gitlab!105532))
- [Highlight go.sum files on client, add links](gitlab-org/gitlab@7a86007aa54eeb8781e888604f6e6bb6bf861f4c) ([merge request](gitlab-org/gitlab!104751))
- [This MR adds functionality to toggle sidebars](gitlab-org/gitlab@2ca4c10423a25983e9b28a6e1f82b327352689c1) ([merge request](gitlab-org/gitlab!102703)) **GitLab Enterprise Edition**
- [Remove th classes in job/sidebar/trigger table](gitlab-org/gitlab@121af4e45588b34999f9a907646f45fc747eacf3) ([merge request](gitlab-org/gitlab!105161))
- [Add last login to billable members sorting options](gitlab-org/gitlab@3c28784925cf0f42726759bcd0ab87aae855f451) ([merge request](gitlab-org/gitlab!105421)) **GitLab Enterprise Edition**
- [Renamed haml vars](gitlab-org/gitlab@d710cdf361b2bb09e657c3c369518e631bcb21d7) ([merge request](gitlab-org/gitlab!96013))
- [Move ee/reports/ to ee/ci/reports/](gitlab-org/gitlab@3afed2fc6109b04c61c702fa9ec0e301ef1eb519) by @ali_o_kan ([merge request](gitlab-org/gitlab!105338)) **GitLab Enterprise Edition**
- [Add data to the search context](gitlab-org/gitlab@e6d86e9e0659b399480bf4f5d51dc98e95bbbb24) ([merge request](gitlab-org/gitlab!96013))
- [Add last login date to billable members table](gitlab-org/gitlab@f78e3a26b1eb51ddf6650d81ae8b1382ef930275) ([merge request](gitlab-org/gitlab!105379)) **GitLab Enterprise Edition**
- [Move `~/ci_lint` to `~/ci/ci_lint`](gitlab-org/gitlab@f955cabbc3e75dd2cc50ff81cfec12643b5ca1cf) by @ali_o_kan ([merge request](gitlab-org/gitlab!105365))
- [Add documentation for Advanced Search and AWS permissions](gitlab-org/gitlab@d0519ded2d5e73c341660ef5e0ef6590bfc7c2d4) ([merge request](gitlab-org/gitlab!104631))
- [Remove default value for agent in policy editor](gitlab-org/gitlab@d01d221c7788129ac30594798bcf7ec16707fe3e) ([merge request](gitlab-org/gitlab!105441)) **GitLab Enterprise Edition**
- [Update copy in sign up enabled alert](gitlab-org/gitlab@84eb18ac753b28ba2d990c845846206669754245) ([merge request](gitlab-org/gitlab!103653))
- [Rename GitLab for Slack app in integration copy](gitlab-org/gitlab@a324ec202da6e90d2edcd5ec687d7ef33c9b6a15) ([merge request](gitlab-org/gitlab!105174)) **GitLab Enterprise Edition**
- [Increase limit on State Transitions comment column](gitlab-org/gitlab@b6e875e45a138f4eee304b31a463ccdd6e090ee5) ([merge request](gitlab-org/gitlab!104605))
- [Revised headings to be more consistent](gitlab-org/gitlab@ba40733e11d5d8a4f064c39236e1aec121db7268) ([merge request](gitlab-org/gitlab!104645))
- [Default enable FF for environments search within folders](gitlab-org/gitlab@95fdc50deea1f7d2489513824fa99fd22a35ef7b) ([merge request](gitlab-org/gitlab!105368))
- [Put Users category after Projects category](gitlab-org/gitlab@4019e3ceb13ca88594cb1f3683fd85deb8835311) ([merge request](gitlab-org/gitlab!105367))
- [Install two versions of Sentry Client SDK](gitlab-org/gitlab@7db1727f44c73c4f21c531131bf0571e0aa6363d) ([merge request](gitlab-org/gitlab!105324))
- [This MR adjusts padding for a sidebar content](gitlab-org/gitlab@6bfabf973cb3a956e297302ccaf6defcd905581d) ([merge request](gitlab-org/gitlab!104873)) **GitLab Enterprise Edition**
- [Improve hint for repository access](gitlab-org/gitlab@2d58543149eb8b19b638c98a0b0efda0c1ae0f18) ([merge request](gitlab-org/gitlab!104871))
- [Update agent installation command](gitlab-org/gitlab@539c386938b8ea19547c5a0910a8404be271eb31) ([merge request](gitlab-org/gitlab!105307))
- [Open api members](gitlab-org/gitlab@71c636d01e098fcf7775a0ae1f11692e05dd098d) ([merge request](gitlab-org/gitlab!104783))
- [Open api groups](gitlab-org/gitlab@6efb1bbdf1b7731724dddec5d066c9bad5285202) ([merge request](gitlab-org/gitlab!104789))
- [Remove the webhooks_failed_callout feature-flag](gitlab-org/gitlab@f940c98c5f3bfc89366df7c8727ddb3103f8e385) ([merge request](gitlab-org/gitlab!98346))
- [Update doorkeeper and doorkeeper-openid_connect gems](gitlab-org/gitlab@d55c83f73d926368fbbc1becbf587ea9e7aaef43) ([merge request](gitlab-org/gitlab!105110))
- [GitLab Upgrade Alert - Security Upgrade Alert](gitlab-org/gitlab@34da8529185daccb93a1b83c75cc3c337266fe14) ([merge request](gitlab-org/gitlab!102450))
- [Remove secure_files_metadata_parsers feature flag](gitlab-org/gitlab@5d9bdcf988f61724e1733f0733368244dcdbe8bb) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105266))
- [Add index for group paths](gitlab-org/gitlab@7c651a11ea146b18f986b0aba995f18a40897f71) ([merge request](gitlab-org/gitlab!105247))
- [Install two versions of Sentry](gitlab-org/gitlab@654836eccd71b768d9e06dbedfd8f99417a21133) ([merge request](gitlab-org/gitlab!102790))
- [This MR migrates submit buttons to pajamas component](gitlab-org/gitlab@292194f8cc136892b2f3e9f98dfa93ae7849d160) ([merge request](gitlab-org/gitlab!104920))
- [Fix error when pushing to a contributor's branch on a fork](gitlab-org/gitlab@b32c21e2d2af7b53817021883319073dbe9d8635) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105130))
- [Enhance load-error event handling for ZuoraSimple Component](gitlab-org/gitlab@3d40d0e644e327bd92627f15900c8b535872d40b) ([merge request](gitlab-org/gitlab!104646)) **GitLab Enterprise Edition**
- [Add mirror_branch_regex to projects and remote_mirrors](gitlab-org/gitlab@76bc8618dc3f8dd8f285c2e3b9ed182c20f59961) by @lyb124553153 ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/99201)) **GitLab Enterprise Edition**
- [Event type for framework is updated](gitlab-org/gitlab@a7c0170dd14a64d062099714dd26f3c4c6ba95aa) ([merge request](gitlab-org/gitlab!94711)) **GitLab Enterprise Edition**
- [Add limit to recent group activity numbers](gitlab-org/gitlab@54d5f2ffe5edd2046d7140387af96176d06f65fc) ([merge request](gitlab-org/gitlab!104281)) **GitLab Enterprise Edition**
- [Inactive project deletion now uses admin bot user account](gitlab-org/gitlab@15ebf7afd2e8fe098e083506889d0f767440368c) ([merge request](gitlab-org/gitlab!104946))
- [Limit group activity metrics value to 999](gitlab-org/gitlab@0355dc11c28c0058fc6bc465b0a486745774f83d) ([merge request](gitlab-org/gitlab!104797)) **GitLab Enterprise Edition**
- [Vertical Navigation counter over limit mark](gitlab-org/gitlab@0ac7efc401e9010beba42fee4dfced1d2f7cf6ab) ([merge request](gitlab-org/gitlab!104380))
- [This MR adds pre-scan verification sidebar](gitlab-org/gitlab@c238eb7564dc9fb91c8788121cc079a9fa58eb5f) ([merge request](gitlab-org/gitlab!102290)) **GitLab Enterprise Edition**
- [Enable require_approval_on_scan_removal by default](gitlab-org/gitlab@7fac2aa311b331dba3a34ffc4c3eeba0cf7aa774) ([merge request](gitlab-org/gitlab!104726)) **GitLab Enterprise Edition**
- [Add user autocompletion to search bar](gitlab-org/gitlab@7ad2f413a9a0920bf8baa9a292c34f241c480553) ([merge request](gitlab-org/gitlab!104708))
- [Advanced search for the users scope](gitlab-org/gitlab@c0092db4bba22cc663d2a903980efe31abceff15) ([merge request](gitlab-org/gitlab!102724)) **GitLab Enterprise Edition**
- [Avoid collisions of ids for stream only audit events](gitlab-org/gitlab@3c4426f8b9483f95b70c4993a0a361c8ea7ca57c) ([merge request](gitlab-org/gitlab!102972)) **GitLab Enterprise Edition**
- [Enabled locally hosted schema by default](gitlab-org/gitlab@3bdec4d8360548889eb80e88513ca93d35e77563) ([merge request](gitlab-org/gitlab!104399))
- [Open API events](gitlab-org/gitlab@dae7d9bfc707919c557b6fe8ded0617bcc3b9d23) ([merge request](gitlab-org/gitlab!103286))
- [Rename integration to GitLab for Slack app](gitlab-org/gitlab@b3a0d4eef2e25b1f48b90b598ace82b91259f2de) ([merge request](gitlab-org/gitlab!104902))
- [Enable usage_quotas_pipelines_vue by default](gitlab-org/gitlab@0bbbf739e3e53907fe2ba16f9ab31f81949b0c89) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/104679)) **GitLab Enterprise Edition**
- [Allow pipeline logger to instrument observations once](gitlab-org/gitlab@ba9759948782dec2f1c72cab251b5d8535adbb88) ([merge request](gitlab-org/gitlab!104593))
- [Add debug_trace to ci_builds_metadata](gitlab-org/gitlab@2386bef3d87bbce444cbd630be87e975fa69dd25) ([merge request](gitlab-org/gitlab!103998))
- [Show masked aws secret key if set for Advaced Search](gitlab-org/gitlab@62d2824e5ff025c4d845d8c26283cb7cc7632064) ([merge request](gitlab-org/gitlab!104608)) **GitLab Enterprise Edition**
- [Index users as part of indexing rake task](gitlab-org/gitlab@0f3d5dc50c37ca8aaf69887adf207f16f0672613) ([merge request](gitlab-org/gitlab!104680)) **GitLab Enterprise Edition**
- [Show more details in branch rules](gitlab-org/gitlab@2507596f1e673a74dd4314b9670efbbb598ee44a) ([merge request](gitlab-org/gitlab!104692))
- [Upgrade VersionSorter to 2.3.0](gitlab-org/gitlab@ccf9bc103fa7727fef4bdb155833402e56af6a76) ([merge request](gitlab-org/gitlab!104856))
- [Switch the order of info and navigation block on project detail page](gitlab-org/gitlab@8680cef9ff521c5944dcc468bcf5187db6cfed59) ([merge request](gitlab-org/gitlab!101590))
- [Improve stale runners cleanup toggle help text](gitlab-org/gitlab@7d8542d92071f6ef1702a59320edbf3fd2df8e97) ([merge request](gitlab-org/gitlab!104737)) **GitLab Enterprise Edition**
- [Adapt Composer API to consider the package registry access level](gitlab-org/gitlab@1775d9c8eaa794658f252ca184185a4ce3128221) by @wwwjon ([merge request](gitlab-org/gitlab!104367))
- [Add Gon variables when rendering devise two factor](gitlab-org/gitlab@279a7b095dafa53eb4c02b2b7d57af53c65bd809) by @icbd ([merge request](gitlab-org/gitlab!104469))
- [Set migration when when dismissing Findings](gitlab-org/gitlab@ef77efd5931750b491e0a3effe524ed781b3ee96) ([merge request](gitlab-org/gitlab!104830)) **GitLab Enterprise Edition**
- [Allow agents to authorize projects in the same user namespace](gitlab-org/gitlab@425da96eebb0884991b8dc17c570a45e1849f47d) ([merge request](gitlab-org/gitlab!104804))
- [Right align expand MR sidebar button on small-medium screens](gitlab-org/gitlab@1b85fe8e9b89c5579861a1e75e909b9e33ff9c8c) ([merge request](gitlab-org/gitlab!104785))
- [Remove web_hooks_disable_failed feature-flag](gitlab-org/gitlab@77adcd5a0768381d398ae96ac05bb58cf4465e9a) ([merge request](gitlab-org/gitlab!98339))
- [Add runtime warning for group and sub-group scan result policies](gitlab-org/gitlab@72b2f2e4b66d4ea50383842f45561165fa1145dc) ([merge request](gitlab-org/gitlab!104174)) **GitLab Enterprise Edition**
- [Skip auto-cancelation when child pipeline is created](gitlab-org/gitlab@675aa8b34c096271aa160bf652d40525f8c12ccd) ([merge request](gitlab-org/gitlab!104750))
- [Add Codequality multiple findings indicator](gitlab-org/gitlab@95ba1fb05cb2f594a3a9c6592031e6b17cecafb3) ([merge request](gitlab-org/gitlab!99526))
- [Make merger_requests documentation more consistent](gitlab-org/gitlab@38b065ad99eed534a50eb38b54577de271d46e98) ([merge request](gitlab-org/gitlab!104650))
- [Switched Web IDE to local schema for CI config](gitlab-org/gitlab@0952515e1558f7e47bbc06c0f7ac8e430393493c) ([merge request](gitlab-org/gitlab!104649))
- [Do not display package details if package's status is not default](gitlab-org/gitlab@97b94ea2faa8050234e02a8109d971548aa20ee8) ([merge request](gitlab-org/gitlab!100125))
- [Move the logic for determining which groups user search is performed on](gitlab-org/gitlab@64cb8bf12bd39ac80c52e553e1bae3d27b17abbe) ([merge request](gitlab-org/gitlab!104392))
- [Remove flag exemption for webhook rate limits](gitlab-org/gitlab@6b2114c56a6bc1f0dd32165fcd3393fa439843a2) ([merge request](gitlab-org/gitlab!104651))
- [Read GraphQL PackageLinks to render link to package details page](gitlab-org/gitlab@15229b334e82c20021cb6062547a1fe492d40e6a) ([merge request](gitlab-org/gitlab!102366))
- [Move from one-to-one to one-to-many for issue alert](gitlab-org/gitlab@649c9e83f2219f95fb046b2e500ddd30efc224b2) ([merge request](gitlab-org/gitlab!103364))
- [Paginate shared runners in CI/CD settings](gitlab-org/gitlab@759dab2c668938ab8c7ff31be0e2da7fb9747371) ([merge request](gitlab-org/gitlab!104564))
- [Make createAlert clears all previous alerts](gitlab-org/gitlab@adcf22cfc922cdb16b4fab83460abdcf26083831) ([merge request](gitlab-org/gitlab!104483))
- [Remove temp index from vulnerability_occurrences on id and scanner_id](gitlab-org/gitlab@f9c2df43746807986d77f1f418e7c612d61f0e4c) ([merge request](gitlab-org/gitlab!96180))
- [Add branch name to BranchCheck error message](gitlab-org/gitlab@e317cb74f24375e319fd3464ccbab62796b31564) ([merge request](gitlab-org/gitlab!104543)) **GitLab Enterprise Edition**
- [Remove use_introspect_parser feature flag](gitlab-org/gitlab@ae90e48c4c10e21bec43947164998ddd3c9dc1e5) ([merge request](gitlab-org/gitlab!104534))
- [Creates stages for fixtures 14_pipelines](gitlab-org/gitlab@81186c15ec38511ce0ad3a289baffbab397040fc) ([merge request](gitlab-org/gitlab!104279))
- [Test cases: Update empty state copy](gitlab-org/gitlab@518e425b53133939c0ec0cee76ed48e6e1683f3d) ([merge request](gitlab-org/gitlab!101302)) **GitLab Enterprise Edition**
- [Add arm64 URL for MacOS runner to Runner settings](gitlab-org/gitlab@7f78778da98e2266fcb9e085dd820fc0b9d27514) ([merge request](gitlab-org/gitlab!104168))
- [Fix LockedWarning error message when epic](gitlab-org/gitlab@53d82e45927c6aacec96d56e6df371a7b3309707) by @ali_o_kan ([merge request](gitlab-org/gitlab!104091))
- [Add default value to the scanner column within](gitlab-org/gitlab@b835e4c6e6b105b6e0c9846f3e750e402117f9cc) ([merge request](gitlab-org/gitlab!104405))
- [Adapt NuGet API to consider the package registry access level](gitlab-org/gitlab@d3b62ecc650c95434c7802704926a4c8bd29cc6f) by @wwwjon ([merge request](gitlab-org/gitlab!103975))
- [Improved project and group home page header](gitlab-org/gitlab@eef1de3c35964c9200a75233757aa03bc31ded46) by @zillemarco ([merge request](gitlab-org/gitlab!103419)) **GitLab Enterprise Edition**
- [Move container scanning template to Jobs folder](gitlab-org/gitlab@b606a6d23af1675f2fea482e43ecee9a9c554c31) ([merge request](gitlab-org/gitlab!103262)) **GitLab Enterprise Edition**
- [Add search curation to :elastic trait](gitlab-org/gitlab@faf16050536a74b944f8d12f30c624d978a54260) ([merge request](gitlab-org/gitlab!103795)) **GitLab Enterprise Edition**
- [Introduce timeout for SyntaxHighlight filter](gitlab-org/gitlab@f120ebb389398ae5af8dd496064ba95384f75eab) ([merge request](gitlab-org/gitlab!102819))
- [Sync UI content with tab label](gitlab-org/gitlab@8685ebc732d97daba03a5d669008ea55694c2bab) ([merge request](gitlab-org/gitlab!104229))
- [Schedules: Remove card from empty state](gitlab-org/gitlab@a243bb271d4733f90c85c4917edf4723d5534e02) ([merge request](gitlab-org/gitlab!101298))
- [Add index for sorting issues by health status](gitlab-org/gitlab@d9fa59d22bc335cd7e53cdb05f884930c65bdf97) ([merge request](gitlab-org/gitlab!104094))
- [Add inclusion parameter for Search::IndexCurator](gitlab-org/gitlab@f3afcc41f88e7f484f1ec1c734579765265d0d64) ([merge request](gitlab-org/gitlab!103951)) **GitLab Enterprise Edition**
- [Move location of binary for coverage fuzzing](gitlab-org/gitlab@11d5fddd7fe9faf4da5431cc0c002c14c4bbd07b) ([merge request](gitlab-org/gitlab!101168)) **GitLab Enterprise Edition**
- [Remove Sidekiq standalone references from systemd examples](gitlab-org/gitlab@adf4d90e7391e3659c428fc7836c9236def8a605) ([merge request](gitlab-org/gitlab!97694))

### Deprecated (4 changes)

- [Update deprecation documents](gitlab-org/gitlab@d38b82376fb09f5c473ee1b1b2fc33f86e26859a) ([merge request](gitlab-org/gitlab!104616))
- [Deprecation announcement for registration token reset](gitlab-org/gitlab@608fc47b673c8164463499be6e5c47ea750e70e4) ([merge request](gitlab-org/gitlab!104691))
- [Remove add_column_with_default](gitlab-org/gitlab@1abeaf5bec0afb5a44f77ffc5cd65171961131a0) ([merge request](gitlab-org/gitlab!103907))
- [Remove Timecop](gitlab-org/gitlab@4e66a098ae549e294edb6d8bd5581cc2018ccd84) ([merge request](gitlab-org/gitlab!104374))

### Removed (35 changes)

- [Remove project_list_filter_bar](gitlab-org/gitlab@d9d72e384964e04b6b5876cb250587e049f05973) ([merge request](gitlab-org/gitlab!105255))
- [Revert - multi_pipeline_scan_result_policies feature](gitlab-org/gitlab@87f7bf2c40542680e5a243b55a202685a21cf9d5) ([merge request](gitlab-org/gitlab!107111)) **GitLab Enterprise Edition**
- [Remove google code as an import source](gitlab-org/gitlab@fedd3d16337c3a17b76e610be550718edeb6138f) ([merge request](gitlab-org/gitlab!106466))
- [Removed metrics_dashboard_exhaustive_validations feature flag](gitlab-org/gitlab@d080f3dc6a3851f7cc91af6a95d84306cc1385b3) by @mhdasm3 ([merge request](gitlab-org/gitlab!105950))
- [Do not show "No license. All rights reserved" on repository pages](gitlab-org/gitlab@c6391a1ddc7f0ca1772b65eb0b53cf06c0589a10) by @zehkira ([merge request](gitlab-org/gitlab!106021))
- [Remove upgrade status badge in runner list](gitlab-org/gitlab@3932dba56988ec6d5a54a0b2382aa71d0a17ba68) ([merge request](gitlab-org/gitlab!106950)) **GitLab Enterprise Edition**
- [Remove Measurable feaure flags](gitlab-org/gitlab@9fa3dc1823923955b28e3164ec77b1536f2f3b37) ([merge request](gitlab-org/gitlab!106692))
- [Removes usage_data_diff_searches flag definition](gitlab-org/gitlab@583f8b0b134fd1ad17735788c57d5d39e1a1c43e) ([merge request](gitlab-org/gitlab!106610))
- [Remove Profile CI minutes usage old app](gitlab-org/gitlab@8d0dbcfc452d73f587dd7d81c47f2515a10ea853) ([merge request](gitlab-org/gitlab!105880)) **GitLab Enterprise Edition**
- [Remove broken metric for unique authors](gitlab-org/gitlab@7bb1f00914749e1fe1aca417c387e5e25f2270c5) ([merge request](gitlab-org/gitlab!106449))
- [Remove Group CI minutes usage old app](gitlab-org/gitlab@e06c27e7df62c15bafb92e973eb8117e0ad7eb83) ([merge request](gitlab-org/gitlab!105795)) **GitLab Enterprise Edition**
- [Remove remaining old ruby code for usage quotas - pipelines](gitlab-org/gitlab@62313adeadb02612c198153311a0f8e05a9b2fad) ([merge request](gitlab-org/gitlab!105723)) **GitLab Enterprise Edition**
- [Remove vulnerability management survey](gitlab-org/gitlab@a4e73be92c0adad0c9b3ad165f477b6c0dcee20e) ([merge request](gitlab-org/gitlab!106383)) **GitLab Enterprise Edition**
- [Remove usage_quotas_pipelines_vue feature flag](gitlab-org/gitlab@03aa39c3172253ded472b5f893bf277ddbac98a7) ([merge request](gitlab-org/gitlab!105487)) **GitLab Enterprise Edition**
- [Remove an old scope](gitlab-org/gitlab@8a8e18ee2edd6ddf9f24834d93f89f61a91a2f63) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/106303))
- [Removed prometheus_computed_alerts feature flag](gitlab-org/gitlab@9e0d372cd97ae8d3752e84fced0acdcfb02067fe) by @mhdasm3 ([merge request](gitlab-org/gitlab!105949))
- [Remove Flowdock integration](gitlab-org/gitlab@69b36af117bbdc1bd4001517a80e0121b2868703) ([merge request](gitlab-org/gitlab!102394))
- [Removed introductory tasks message](gitlab-org/gitlab@5a4aff8d298b42271b0a506f424429a49575240d) ([merge request](gitlab-org/gitlab!104000))
- [Drop deprecated experiment tables](gitlab-org/gitlab@46319ed4693508f19a45a4f0bf8f31ee4ab2b066) ([merge request](gitlab-org/gitlab!103933))
- [Removed feature flag for coverage_report](gitlab-org/gitlab@ca3611f14df25077ccdf11e9d9d647311c3aa521) ([merge request](gitlab-org/gitlab!105587))
- [Remove `disable_metric_dashboard_refresh_rate ` feature flag & feature](gitlab-org/gitlab@5427e0e1189fdd29311bc0ecf6f17a325b33963d) by @ali_o_kan ([merge request](gitlab-org/gitlab!105496))
- [Drop job_artifact_registry.success column](gitlab-org/gitlab@421c7b3bdcd4384a84a505445a3a9466287ba0d1) ([merge request](gitlab-org/gitlab!103216))
- [Remove Flowdock integration records](gitlab-org/gitlab@0f0d405970a511c6a46dd65eefdc983526e3b0af) ([merge request](gitlab-org/gitlab!105363))
- [Remove legacy ContainerRepository replication](gitlab-org/gitlab@d14db2e029f412537862b5ada0e182c4fb0824b9) ([merge request](gitlab-org/gitlab!96419))
- [Remove vulnerability report export button popover](gitlab-org/gitlab@f4f35bc1975c65b42850b450c849bcf8521d5027) ([merge request](gitlab-org/gitlab!104703)) **GitLab Enterprise Edition**
- [Remove banner that links Group Runners page](gitlab-org/gitlab@1669c6ecd8e4c0a41d4784c988294c1845d5ab1c) ([merge request](gitlab-org/gitlab!104864))
- [Remove another unused index on vulnerabilities](gitlab-org/gitlab@b251aa087b7a68446dcde838ecdd9114f66a717c) ([merge request](gitlab-org/gitlab!104618))
- [Remove unused index on vulnerabilities table](gitlab-org/gitlab@678ae486b26c9d1117609c1da45d940bf8e873ef) ([merge request](gitlab-org/gitlab!104617))
- [Remove global_search_error_rate_sli feature flag](gitlab-org/gitlab@bb02335723e7d84e373e43a263c1b1ef7063d7da) ([merge request](gitlab-org/gitlab!104701))
- [Remove unnecessary index for Feedback migration](gitlab-org/gitlab@6a9020a646233da4082bc15cbe206a4efe18f843) ([merge request](gitlab-org/gitlab!104599))
- [Revert "Merge branch 'mk/geo-fix-saml-redirect-after-sign-in' into 'master'"](gitlab-org/gitlab@d84a16c85d50ba7c9bc4c3b7dcc0391eb218a662) ([merge request](gitlab-org/gitlab!104466)) **GitLab Enterprise Edition**
- [Remove pagination_without_next_page_query FF](gitlab-org/gitlab@5b21184247365797a016d65bb55e1f1ef7caefb5) ([merge request](gitlab-org/gitlab!103908))
- [Remove `namespaces.tmp_project_id` column](gitlab-org/gitlab@baa202774c20136f29ccd92ed453e2f076db1fc9) ([merge request](gitlab-org/gitlab!104135))
- [Remove jira_raise_timeouts feature flag](gitlab-org/gitlab@621b819054bc6597885145c80593badb2b02a582) ([merge request](gitlab-org/gitlab!104200))
- [Remove feature flag root_statistics_worker_read_replica](gitlab-org/gitlab@9c948247b792817c5649398050acf9b4707dd3f1) ([merge request](gitlab-org/gitlab!103925))

### Security (17 changes)

- [HTML content injection in README file](gitlab-org/gitlab@c3b142051df97fbbbd315fb39d866aca3fb37e79)
- [Send resolved_address param to gitaly during repository import](gitlab-org/gitlab@6ff0e99b1fdb731e0d09409674601de45755908f)
- [Redact user emails from project webhook data](gitlab-org/gitlab@8281398fc53353b9741d7a0b810900cbaba108e5)
- [Sync canonical into security](gitlab-org/gitlab@051bceed6998bffcae0cad0974e879379d1f7851)
- [Deny all package permissions when group access is restricted by IP](gitlab-org/gitlab@d089aa324daba01c8d263d2777748727ac2c17bb)
- [Update security with canonical changes](gitlab-org/gitlab@874ef66cb208292f7330a6a30a66d1af77dd3fe7)
- [Cross-site scripting in Jira Integration](gitlab-org/gitlab@fee7f654f4c7200af4353abd25564daa6f394772)
- [Brings canonical changes into security master](gitlab-org/gitlab@ab53e40b78680d0ea9c94dc3e1da1b42b9187ab8)
- [Resolve merge confict of !103570](gitlab-org/gitlab@20523870c2fea35be84658b34ef78f1b6b33c2a8)
- [Prevent deploy token bypass for external authentication](gitlab-org/gitlab@797b5b9596bd09c458706c1689bc4121d2b70811)
- [Redact secret tokens from web-hook logs](gitlab-org/gitlab@5309278596498bf5c08024ef3fc671bec9d9acfe)
- [Protect web-hook secret tokens after changing URL](gitlab-org/gitlab@7ed35731fbf99012a198864e6f6ca5223f80bb6e)
- [Add defense in depth `escape` calls](gitlab-org/gitlab@879109c809098fb930bfefa3722eafad39eb1044) ([merge request](gitlab-org/gitlab!103066))
- [Update after_import to expire cache before removing prohibited branches](gitlab-org/gitlab@c070aff07e41aea89dff45728a23cc8e57f0151a)
- [Add size validation during nuspec file extraction](gitlab-org/gitlab@bd589e11562f508e4a05896dd0b8c0d09761994b)
- [Prevent unauthorized users from seeing Release information on tag pages](gitlab-org/gitlab@4731e2168c3e26115f909b400c8fc24927f9af33)
- [Disallow local URls for build_runner_session if dictated by app setting](gitlab-org/gitlab@5e494bbb7f278e8efb4545e6d191ffb9f62c511e)

### Performance (17 changes)

- [GraphQL: Preload merge_mequest if needed](gitlab-org/gitlab@4ae2669a4ddf843407b0cefde190bb3378570c2f) ([merge request](gitlab-org/gitlab!107075))
- [Improve billable users query](gitlab-org/gitlab@b4b68cc6398e3d8884f291d35373cbcc3e4153a4) ([merge request](gitlab-org/gitlab!104787))
- [Remove two unnecessary queries from Unleash endpoint](gitlab-org/gitlab@d6aa7c5aa4a991dbb2ae491605ee9bdc7d6b8dcd) ([merge request](gitlab-org/gitlab!105606))
- [Add worker to prune old export jobs](gitlab-org/gitlab@5e2c78ec094422b2645bc035aa92e0f18f269b92) ([merge request](gitlab-org/gitlab!102659))
- [Cache project integration records for hooks](gitlab-org/gitlab@c1a04ed4edd4563ff6c58c576ad7be45f1865c83) ([merge request](gitlab-org/gitlab!104062))
- [Cleanup ci_assign_job_token_on_scheduling feature flag](gitlab-org/gitlab@a0cc66c5c99021a050344e73099b4171566740c7) ([merge request](gitlab-org/gitlab!106168))
- [Fix preload_associations for projects](gitlab-org/gitlab@5a61c906378ae30dac78d8a78a0217bcb5b10dc4) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/105509)) **GitLab Enterprise Edition**
- [Use single request for runners list](gitlab-org/gitlab@ff020c71dcba1fd51d861da77f064e1a0d6b988e) ([merge request](gitlab-org/gitlab!105680))
- [Improve performance of CounterUserAuth metric](gitlab-org/gitlab@b777ed73d2acad9ab1c123366dd233191a7d7cc4) ([merge request](gitlab-org/gitlab!103434))
- [Allow IssuePolicy.can_read_confidential to be preloaded](gitlab-org/gitlab@e995cfc2a4d075bc44bea3f43261d2ad35688a75) ([merge request](gitlab-org/gitlab!105139))
- [Use EventedFileUpdateChecker as file_watcher](gitlab-org/gitlab@8126d186355cb4ec74ce0ffbe35c95513556b7e9) ([merge request](gitlab-org/gitlab!105145))
- [Remove conditional from line loop](gitlab-org/gitlab@bcc2041c55a651a534b4e7a8f15d553864d3752f) ([merge request](gitlab-org/gitlab!105106))
- [Remove additional loop from highlighter rendering](gitlab-org/gitlab@a5411ab3c293c6ddfa95680b2a0d834bcc7c5142) ([merge request](gitlab-org/gitlab!105106))
- [Faster feature flag readout](gitlab-org/gitlab@6dee8e0a5bf7917516eb218ff7ff8815d9eabc68) ([merge request](gitlab-org/gitlab!105106))
- [Preload access levels and nested fields using lookahead](gitlab-org/gitlab@b4a345681998f094bfc0d61e055973e2915b672e) ([merge request](gitlab-org/gitlab!103195)) **GitLab Enterprise Edition**
- [Remove lazy_load_commits feature flag](gitlab-org/gitlab@36e41cf5b88367bcb50bee682db12ad6d147958c) ([merge request](gitlab-org/gitlab!102501))
- [Limit Project.environments field call count](gitlab-org/gitlab@98d99083e04995c6938df6ede8cd809fe0b1344f) ([merge request](gitlab-org/gitlab!104196))

### Other (94 changes)

- [Remove the automated_email_provision feature flag](gitlab-org/gitlab@8585de9a4761f219f2d697a87e5f8ab2052bc01f) ([merge request](gitlab-org/gitlab!106953)) **GitLab Enterprise Edition**
- [Clean up split_operations_visibility_permissions feature flag](gitlab-org/gitlab@d59766262b438a7cf2f4a94943611385c38fca12) ([merge request](gitlab-org/gitlab!104158))
- [Fix RSpec/LeakyConstantDeclaration cop violations](gitlab-org/gitlab@c8d94cdb4d1de1a059547d57cfce2156fdda3e75) by @mhdasm3 ([merge request](gitlab-org/gitlab!106113))
- [Improve license text on subscription page](gitlab-org/gitlab@c703eee508ec7cbf8be7fa4bb8fde37f3b5fb25d) ([merge request](gitlab-org/gitlab!106471)) **GitLab Enterprise Edition**
- [Fix Style/ClassAndModuleChildren offenses](gitlab-org/gitlab@f6e65cada5a8bd702816f5a985ac58c9833276ec) by @mhdasm3 ([merge request](gitlab-org/gitlab!105914))
- [Refactor Workhorse failed request handling](gitlab-org/gitlab@97c69cc30910b47c3f322ef129b7e1ee3ed317de) ([merge request](gitlab-org/gitlab!106182))
- [Update /duplicate action description](gitlab-org/gitlab@8f9db43b4997a00caebdf07933a2ec38f017c719) ([merge request](gitlab-org/gitlab!106071))
- [Remove feature flag ci_update_unlocked_job_artifacts](gitlab-org/gitlab@7a7055eebc4279dccc1466ec063ae7b0b65161b9) ([merge request](gitlab-org/gitlab!106780))
- [Fix Style/StringConcatenation offenses](gitlab-org/gitlab@8e44bd640301eadeff822cf7de9859b00a4252c5) by @mhdasm3 ([merge request](gitlab-org/gitlab!105894))
- [Fix RSpec/LeakyConstantDeclaration cop violations](gitlab-org/gitlab@b887e718775dd3eee9091e15b7f2d50e5d4c6b85) by @mhdasm3 ([merge request](gitlab-org/gitlab!106115))
- [Fix RSpec/LeakyConstantDeclaration cop violations](gitlab-org/gitlab@c3d850b6fc0847bfa43ea1426b5c8ba7c5086e3a) by @mhdasm3 ([merge request](gitlab-org/gitlab!106112))
- [Making Gitlab::Database::Migration[2.1] the default migration version](gitlab-org/gitlab@e32473d4dd8af0ad63129ea42d8dd75dbef5f224) ([merge request](gitlab-org/gitlab!106078))
- [Background migration for environment tiers](gitlab-org/gitlab@ce5ee4705db6fe123fa8d28944d81b8e710ec619) ([merge request](gitlab-org/gitlab!105998))
- [Fix Rails/TimeZone offenses](gitlab-org/gitlab@56f2750c98f3976b77114827e2488b92a794ef74) by @mhdasm3 ([merge request](gitlab-org/gitlab!105769)) **GitLab Enterprise Edition**
- [Fix Rails/ActiveRecordCallbacksOrder offenses](gitlab-org/gitlab@5704ffab00372d0e84feff59e75b79d28fe44218) by @mhdasm3 ([merge request](gitlab-org/gitlab!105543))
- [Change copy of all report abuse links to 'Report abuse to administrator'](gitlab-org/gitlab@23745757ea6ef263e893f7f33ca75654e2a4e8a9) ([merge request](gitlab-org/gitlab!105182))
- [Use list_refs to implement find_all_branch_names and find_all_tag_names](gitlab-org/gitlab@344e0b316b49d96bd866bcfb1717ba982d013d60) ([merge request](gitlab-org/gitlab!106249))
- [Fix RSpec/LeakyConstantDeclaration cop violations](gitlab-org/gitlab@065b39cd3704f981a394b449611204c3df7fb33c) by @mhdasm3 ([merge request](gitlab-org/gitlab!106110))
- [Add popover to uploads cell in namespace storage](gitlab-org/gitlab@5b75d04a99a14a79a02539da657bc86a9fba597a) ([merge request](gitlab-org/gitlab!106280)) **GitLab Enterprise Edition**
- [Fix Style/RedundantRegexpEscape offenses](gitlab-org/gitlab@f32f252f3ee03a65bb0fd648a17da44fc3f1e76e) by @mhdasm3 ([merge request](gitlab-org/gitlab!105764))
- [Fix Style/EmptyMethod offenses](gitlab-org/gitlab@94a12baeb39a5ce5d35219537076f64f1d3e23f1) by @mhdasm3 ([merge request](gitlab-org/gitlab!105771))
- [Fix Rspec/ExampleWording offenses](gitlab-org/gitlab@ea8be6e9961f1069b933c29b0832ed522e0a099f) by @mhdasm3 ([merge request](gitlab-org/gitlab!105673))
- [Add back index_issues_on_work_item_type_id issues index](gitlab-org/gitlab@4e38a5f4f0b551f9e35fd83da1bb0c66c6dee70e) ([merge request](gitlab-org/gitlab!106224))
- [Changes Gitlab::UrlBlocker to make schemes a required field](gitlab-org/gitlab@97a3421410e03db2f2f61c9ae89843ac3e9812a6) ([merge request](gitlab-org/gitlab!104285))
- [Fixing Database/MultipleDatabases offenses in specs](gitlab-org/gitlab@4bd07ffe1d0d521468027d413ad5b9f8d05c6ba0) ([merge request](gitlab-org/gitlab!104886))
- [Remove purge_stale_security_findings feature flag](gitlab-org/gitlab@96998d31ffa4d3650442a7dc50eb0795d384577b) ([merge request](gitlab-org/gitlab!106166)) **GitLab Enterprise Edition**
- [Fix Style/IfUnlessModifier offenses](gitlab-org/gitlab@e08c757f837c238420bf1a9908217148c34699df) by @mhdasm3 ([merge request](gitlab-org/gitlab!105924))
- [Remove HeaderClone helper](gitlab-org/gitlab@49d4b98ef64411ec4b457cc2987233ba6f9d00a6) ([merge request](gitlab-org/gitlab!106015))
- [Use request.Clone for CI long polling](gitlab-org/gitlab@7852058ed28cadded0f07a1a16aa8ac7fd3c8a1c) ([merge request](gitlab-org/gitlab!106015))
- [Use director for reverse proxy headers](gitlab-org/gitlab@728118e81787aa2bfb1a0c40241c5d2a272fb55a) ([merge request](gitlab-org/gitlab!106015))
- [Fix Style/GuardClause offenses](gitlab-org/gitlab@e8ddcf14cc11836a49139fcc140297c33aa80d26) by @mhdasm3 ([merge request](gitlab-org/gitlab!105920))
- [Enable & Fix Layout/SpaceInsideParens](gitlab-org/gitlab@236046c0d900cb93ee9af1472ec9ef9c17e82610) by @mhdasm3 ([merge request](gitlab-org/gitlab!105777))
- [Fix Rspec/ScatteredLet offenses](gitlab-org/gitlab@83eb6fea1f1e0abcc8ee57e0219834b3c9465f6b) by @mhdasm3 ([merge request](gitlab-org/gitlab!105896))
- [Log when Gitlab::URLBlocker.validate! is used with blank scheme](gitlab-org/gitlab@3c5754b69c311f85feeaa6d5a5d8302640aebf47) ([merge request](gitlab-org/gitlab!103535))
- [Fix Gitlab/StrongMemoizeAttr offenses](gitlab-org/gitlab@5466d8471e9ae30f6330250288f6a8cffaa2df30) by @mhdasm3 ([merge request](gitlab-org/gitlab!105921))
- [Fix Style/KeywordParametersOrder offenses](gitlab-org/gitlab@79493c09ea2bbf69c59ea0cdaea4bb5518036ac9) by @hayanaaz.n ([merge request](gitlab-org/gitlab!105957))
- [Fix Style/KeywordParametersOrder offenses](gitlab-org/gitlab@6b8b73c064a88555334b69706c26ccaef138f360) by @mhdasm3 ([merge request](gitlab-org/gitlab!105762))
- [Fix Style/ExplicitBlockArgument offenses](gitlab-org/gitlab@760345dae4f9d535eb64de423c32de3a2a4aa657) by @mhdasm3 ([merge request](gitlab-org/gitlab!105767))
- [Fix Style/PercentLiteralDelimiters offenses](gitlab-org/gitlab@13fcc8c2a086bd5b849bf9cec986a9070386cdb8) by @mhdasm3 ([merge request](gitlab-org/gitlab!105925))
- [Fix Layout/FirstHashElementIndentation offenses](gitlab-org/gitlab@ca0effad5a12e45bc4539eb9fdf4cb905fc8fa21) by @mhdasm3 ([merge request](gitlab-org/gitlab!105916))
- [Fix Rspec/ExpectChange offenses](gitlab-org/gitlab@5586ec6b19c2a13ea5be81994d896885de38f3bf) by @mhdasm3 ([merge request](gitlab-org/gitlab!105911))
- [Fix Layout/SpaceInLambdaLiteral offenses](gitlab-org/gitlab@94aa2c80209dad8615b41b6c479700b7d97b7b35) by @mhdasm3 ([merge request](gitlab-org/gitlab!105905))
- [Fix Rspec/ReturnFromStub offenses](gitlab-org/gitlab@e2b5562d1fa708d9f659d5a56800d8d2e9ca5ab4) by @mhdasm3 ([merge request](gitlab-org/gitlab!105895))
- [Added delay for touch drag on board](gitlab-org/gitlab@3aaee637d9868c2720a99d13dbcc3db096c36bb5) ([merge request](gitlab-org/gitlab!104756))
- [Remove background_upload config setting](gitlab-org/gitlab@08716991d2703170fcbee1fd142df90b6f40dd81) ([merge request](gitlab-org/gitlab!105857))
- [Fix Rspec/DescribedClass offenses](gitlab-org/gitlab@ccb485d98e25a3a64e2c8aad90485d6f3122beef) by @mhdasm3 ([merge request](gitlab-org/gitlab!105772))
- [Remove actors_aware_gitaly_calls flag](gitlab-org/gitlab@9f94e4fcddbb7ed85f0112159e843c32ae3651aa) ([merge request](gitlab-org/gitlab!105788))
- [Fix Rspec/LetBeforeExamples offenses](gitlab-org/gitlab@616a79bb60aff9a2a1d49d369fddcd45ff98c13e) by @mhdasm3 ([merge request](gitlab-org/gitlab!105578))
- [Fix Rspec/HooksBeforeExamples offenses](gitlab-org/gitlab@ad18bfe1f937b2204d4c4c628ceeb7683fb1361a) by @mhdasm3 ([merge request](gitlab-org/gitlab!105761))
- [Fix Performance/BindCall offenses](gitlab-org/gitlab@1108060ee7a1d8cab095d186cb703225f9ea1c89) by @mhdasm3 ([merge request](gitlab-org/gitlab!105559))
- [Fix Style/IfInsideElse offenses](gitlab-org/gitlab@628b0ff545295e83d88cbb95e6d113cb2fee2944) by @mhdasm3 ([merge request](gitlab-org/gitlab!105414))
- [Fix Style/RedundantInterpolation offenses in app & ee](gitlab-org/gitlab@d12b30788d778eac7a39d061d4e1c07af5f20bd5) by @mhdasm3 ([merge request](gitlab-org/gitlab!102462))
- [Remove stub for obsolete config setting](gitlab-org/gitlab@809dde25360b5ed4ee18263b9e6115f5fb1bd856) ([merge request](gitlab-org/gitlab!105640))
- [Remove stub for obsolete feature flag](gitlab-org/gitlab@adfc0e03bc79a0ad712100e45ef23ad838a6cfbc) ([merge request](gitlab-org/gitlab!105640))
- [Cleanup work_item_type_id issues table backfill](gitlab-org/gitlab@5c2ea51c14f2ce6f059681487d36fb05470b6cd7) ([merge request](gitlab-org/gitlab!105285))
- [Remove feature flag "approval_rules_pagination"](gitlab-org/gitlab@9135faf8b28140f581c04f19e4d79ed1a84aa666) ([merge request](gitlab-org/gitlab!105278))
- [Remove duplicate Workhorse logging code](gitlab-org/gitlab@93055ea751c4abb778f3ad09f3e70e6f5c41b907) ([merge request](gitlab-org/gitlab!105385))
- [Add batched background mg to prune export jobs](gitlab-org/gitlab@af2d6cc8806da4974da48ee8a058ce7ed954280a) ([merge request](gitlab-org/gitlab!104862))
- [Remove ObjectStorage::BackgroundMove concern](gitlab-org/gitlab@aaccbaaeec4c0953c5e43dc8539f79c6c43db24b) ([merge request](gitlab-org/gitlab!105088))
- [Add service and worker to export projects in parallel](gitlab-org/gitlab@8d80a0c9c8420cac94db8633af267aeb6eea6f95) ([merge request](gitlab-org/gitlab!103844))
- [Add migration for jobs, update schema_migrations](gitlab-org/gitlab@9b3c36a06ac4e3365510f56e5e661e67362dd580) ([merge request](gitlab-org/gitlab!103551))
- [Add more logs into config_compose to track CI slowness](gitlab-org/gitlab@f39385d36dadce5c738c08f35411a838bf01e114) ([merge request](gitlab-org/gitlab!104088))
- [Adding API::Admin::BatchedBackgroundMigratioins to OpenApiV2 docs](gitlab-org/gitlab@ea5f58bbbb3d10cb100a5fd2f94a5de77671bb96) ([merge request](gitlab-org/gitlab!105205))
- [Remove unused issue trigram indexes](gitlab-org/gitlab@12e1aeba0f5eadb4664726b6676cff28a118bc4f) ([merge request](gitlab-org/gitlab!104667))
- [Enforce HTTP/HTTPS schemes in RestClient](gitlab-org/gitlab@0f082d4f9d3b3548851c98f7553e8eaf78487fbd) ([merge request](gitlab-org/gitlab!103683))
- [Enforce URL schemes in mirror services](gitlab-org/gitlab@8bd4f3e320be98575689354d234a62faab7864ae) ([merge request](gitlab-org/gitlab!103679)) **GitLab Enterprise Edition**
- [Enforce HTTP/HTTPS schemes in HTTPConnectionAdapter](gitlab-org/gitlab@dcbc255d448790ea7fad6c1c8abb31bec6a439db) ([merge request](gitlab-org/gitlab!103538))
- [Cleanup all Rubocop todo files that do not exist](gitlab-org/gitlab@f9f99d8eeff2537ce97444fd8aea4f79f5876416) ([merge request](gitlab-org/gitlab!105031))
- [Workhorse: simplify gRPC call metadata propagation](gitlab-org/gitlab@e71f63720b509fe5afadf47fadaddc19c508e077) ([merge request](gitlab-org/gitlab!105126))
- [Remove jira_connect_oauth_self_managed_setting flag](gitlab-org/gitlab@652033a4f5f375badbde372261705b8e546f7ddf) ([merge request](gitlab-org/gitlab!105070))
- [Validate NOT NULL constraint on issues.work_item_type_id column](gitlab-org/gitlab@28ec9c14ed8b7b61fa8e2d6dfa2b44a54efccecb) ([merge request](gitlab-org/gitlab!104154))
- [Workhorse: add call_metadata to GitalyServer](gitlab-org/gitlab@7ef6535d79c2b3015d8c7e0ca5c2c0f64c8c4972) ([merge request](gitlab-org/gitlab!104395))
- [Remove feature flag "subgroups_approval_rules"](gitlab-org/gitlab@b9844bd557b734addf6b5dc97c24026b4f5beed2) ([merge request](gitlab-org/gitlab!105007))
- [Verify method name in MailScheduler::NotificationServiceWorker](gitlab-org/gitlab@41f9cea8f8a51e7ac820a6464f8cae6b9717df30) ([merge request](gitlab-org/gitlab!104974))
- [Enable the feature flag by default](gitlab-org/gitlab@54232b0ef09d642e151cefdb9102ea20868e55e4) ([merge request](gitlab-org/gitlab!104951))
- [Add job artifacts api to OpenAPI](gitlab-org/gitlab@6bf295729776aec744fbecb2c75ea9d1386e5bca) ([merge request](gitlab-org/gitlab!104204))
- [Remove Repositories::TreeFinder inheritance](gitlab-org/gitlab@5ba1fce6273d9c59f6375bf14ddf3b11afb34ff4) ([merge request](gitlab-org/gitlab!104782))
- [Add link to PA docs on admin settings section](gitlab-org/gitlab@4b3cbbd1efe9030c8a0d20de0ad92516b5bbb230) ([merge request](gitlab-org/gitlab!104391)) **GitLab Enterprise Edition**
- [RuboCop: Enable previously disabled Rails/Pluck](gitlab-org/gitlab@c55bfdad749c7c4adeb64786b3fc495e41bae72a) by @edith007 ([merge request](gitlab-org/gitlab!94047))
- [Create a GitAbuse::BaseThrottleService](gitlab-org/gitlab@70790b69b08929aaa7fbe40f4aa466eb9928f8a9) ([merge request](gitlab-org/gitlab!102954)) **GitLab Enterprise Edition**
- [Remove feature flag](gitlab-org/gitlab@aae1f6c06ea9d14c07e092750a253dc49231e1d8) ([merge request](gitlab-org/gitlab!104845))
- [Run migrations for index](gitlab-org/gitlab@26799c41f1e13acf60870d0749c146b76df96e93) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/104234))
- [Remove ObjectStorage::BackgroundMoveWorker](gitlab-org/gitlab@660a349cea0ca3270cba344d70f6dc15cd69ae10) ([merge request](gitlab-org/gitlab!104724))
- [Update the language of the storage alerts copy](gitlab-org/gitlab@f4fa15b75c52bc9f5f0793a15f95b1f52389dfc6) ([merge request](gitlab-org/gitlab!104352)) **GitLab Enterprise Edition**
- [Remove background_upload documentation](gitlab-org/gitlab@4078c64296288ae1952dfc57fd6fc8a81cc06623) ([merge request](gitlab-org/gitlab!104612))
- [Remove background_upload from Package uploaders](gitlab-org/gitlab@7ee3b94993f62ce07bef6e5bc1ea17e4e84be5df) ([merge request](gitlab-org/gitlab!104610))
- [Mark background_upload metrics as broken](gitlab-org/gitlab@d5a871b63867c9404716dcdcfb71f7e061a2e17e) ([merge request](gitlab-org/gitlab!104609))
- [Adding partial index on project settings](gitlab-org/gitlab@cc3c2f85c0a8ad34dbadfc2942955612dcbe032e) ([merge request](gitlab-org/gitlab!103738))
- [Move the Etags check before writing the diff cache](gitlab-org/gitlab@19d710ad08e516986283d3b8780c9b25ffd74f27) ([merge request](gitlab-org/gitlab!104427))
- [Documenting DELETED_TABLES](gitlab-org/gitlab@97d492c68bbc0091876e8daa25c12d93b982d080) ([merge request](gitlab-org/gitlab!104407))
- [Update docs for predefined CI/CD variables](gitlab-org/gitlab@bdedafb6d3e426227e173161987c718ee2e2bb37) ([merge request](gitlab-org/gitlab!104182))
- [Enforces HTTP/HTTPS schemes in KubeClient](gitlab-org/gitlab@7cc32f43ab3d57e5ad9bc609b6473e0571453abe) ([merge request](gitlab-org/gitlab!103685))
- [Propagate RemoteIP to Gitaly via Workhorse](gitlab-org/gitlab@71da945c85931bac0263c193902dc1b54e2e62da) ([merge request](gitlab-org/gitlab!103635))
- [Documentation to reflect 100MB upload limit](gitlab-org/gitlab@33063bb26ab7699802ecb2b325cc8619d6fe7b86) ([merge request](gitlab-org/gitlab!103978))

## 15.6.6 (2023-01-12)

No changes.

## 15.6.5 (2023-01-12)

No changes.

## 15.6.4 (2023-01-09)

### Security (9 changes)

- [Avoid regex with potential for poorly performing backtracking](gitlab-org/security/gitlab@76052c2c1d89b47fe1a39d6a2118ced0d26d4e5f) ([merge request](gitlab-org/security/gitlab!2988))
- [Protect web-hook url variables after changing URL](gitlab-org/security/gitlab@55b7e051e4c6ca50ef1165130c465f1d11bd968f) ([merge request](gitlab-org/security/gitlab!2977))
- [Limit the size of user agent to reduce ReDos attack](gitlab-org/security/gitlab@b9e42f4fe131f4a17d24d69076444d68c6a31b18) ([merge request](gitlab-org/security/gitlab!2990))
- [Protect Sentry auth-token after changing URL](gitlab-org/security/gitlab@3b1d4ae2fbd1845d7659b21c65426275fb0b72d3) ([merge request](gitlab-org/security/gitlab!2984))
- [Delete project specific licenses when license policy is deleted](gitlab-org/security/gitlab@79142b8c727a3d43b3555c4600b0b6cb3e070ebe) ([merge request](gitlab-org/security/gitlab!2943))
- [Restrict user avatar availability based on visibility restrictions](gitlab-org/security/gitlab@15732554472373586769a8ca46c2b5cbf0b40783) ([merge request](gitlab-org/security/gitlab!2972))
- [Policy change to read and destroy token without license for .com](gitlab-org/security/gitlab@9219eab8a5180ae34bb92cbd52c5e7be0602b66d) ([merge request](gitlab-org/security/gitlab!2913))
- [Restrict Grafana API access on public projects](gitlab-org/security/gitlab@7a23bd7fe68a47ac5ae56c212d5ec3695631a4db) ([merge request](gitlab-org/security/gitlab!2958))
- [Fix "Race condition enables verified email forgery"](gitlab-org/security/gitlab@d0c0852118adaeb8e99f443c06769b9564294290) ([merge request](gitlab-org/security/gitlab!2963))

## 15.6.3 (2022-12-21)

No changes.

## 15.6.2 (2022-12-05)

### Added (1 change)

- [Finalize group member namespace id migration](gitlab-org/gitlab@0b8ccad1c8c4066ffb594c8181bb1a68ddde7fdf) ([merge request](gitlab-org/gitlab!105804))

### Fixed (4 changes)

- [Conditionally disable fastupdate on GIN indexes (issues, merge_requests)](gitlab-org/gitlab@302bea06dedf5939dcb618be945bbbb85fb4dd45) ([merge request](gitlab-org/gitlab!105804))
- [Hide marketing-related entries](gitlab-org/gitlab@628fb55b6d32d5f4739e07cbd3c60de69246107b) ([merge request](gitlab-org/gitlab!105804))
- [Fix memory limit for RssMemoryLimit monitor](gitlab-org/gitlab@4c040620cb5c84043d30587f95b4c2fc6149a3ed) ([merge request](gitlab-org/gitlab!105804))
- [Fix deleting protected branch](gitlab-org/gitlab@2c884c5162ca24dbc3fd3d1c156f426f81565800) ([merge request](gitlab-org/gitlab!105804))

## 15.6.1 (2022-11-30)

### Fixed (1 change)

- [Do not save PipelineMetadata if name is blank [15.6]](gitlab-org/security/gitlab@340cd5f74dbe8318105574303d49d6cda54b43bf) ([merge request](gitlab-org/security/gitlab!2947))

### Security (12 changes)

- [Send resolved_address param to gitaly during repository import](gitlab-org/security/gitlab@5b3540629cb8d113d96d721549be77ef35060c15) ([merge request](gitlab-org/security/gitlab!2938))
- [Add size validation during nuspec file extraction](gitlab-org/security/gitlab@d7048d0bf20574a5b1c926ac25b8c15504723da3) ([merge request](gitlab-org/security/gitlab!2935))
- [Cross-site scripting in Jira Integration](gitlab-org/security/gitlab@1419e9d1513d481472b89d36e9e22b7b20c3a5c5) ([merge request](gitlab-org/security/gitlab!2930))
- [Protect web-hook secret tokens after changing URL](gitlab-org/security/gitlab@d3df2d08f7ec59d2e4ebba64770c6b7309733d9b) ([merge request](gitlab-org/security/gitlab!2920))
- [HTML content injection in README file](gitlab-org/security/gitlab@c64a283ee09115d1edefb5fcd81a9766658757e4) ([merge request](gitlab-org/security/gitlab!2928))
- [Redact secret tokens from web-hook logs](gitlab-org/security/gitlab@bca8656f7a04759acec00170f9e3cabbdda45558) ([merge request](gitlab-org/security/gitlab!2916))
- [Prevent unauthorized users from seeing Release information on tag pages](gitlab-org/security/gitlab@f04b3cf159f40e98ea0d24df0ff168ae91522813) ([merge request](gitlab-org/security/gitlab!2927))
- [Update after_import to expire cache before removing prohibited branches](gitlab-org/security/gitlab@49de4ce145d00adecf33c19c8413a87e6bb0c904) ([merge request](gitlab-org/security/gitlab!2905))
- [Deny all package permissions when group access is restricted by IP](gitlab-org/security/gitlab@cca110162915b2cdca64181305bfed2044df2bba) ([merge request](gitlab-org/security/gitlab!2902))
- [Redact user emails from project webhook data](gitlab-org/security/gitlab@9148dd7f77cab086d696d56907d2cbbc921e0e6d) ([merge request](gitlab-org/security/gitlab!2934))
- [Disallow local URls for build_runner_session if dictated by app setting](gitlab-org/security/gitlab@1c98ba9dbe78e5969213e1a66f7b3922557e67ec) ([merge request](gitlab-org/security/gitlab!2924))
- [Prevent token bypass for extenal authorisation](gitlab-org/security/gitlab@95eb5d2f641d7a5329aca37f92792de02f115eb8) ([merge request](gitlab-org/security/gitlab!2929))

## 15.6.0 (2022-11-21)

### Added (150 changes)

- [Migration to backfill users into elastic index](gitlab-org/gitlab@dac35cd553a663861c205e832b48c7fc1eef80e8) ([merge request](gitlab-org/gitlab!102165)) **GitLab Enterprise Edition**
- [Enable Group-level Scan Result Policies feature by default](gitlab-org/gitlab@017af1e644434daa27763ab7f90788330de319c6) ([merge request](gitlab-org/gitlab!104083)) **GitLab Enterprise Edition**
- [Create the first dynamic partition for builds metadata](gitlab-org/gitlab@4de09a4b435fafa1595bb3808fe2c49357c278c8) ([merge request](gitlab-org/gitlab!102735))
- [Allows cascading package forward settings from admin to group](gitlab-org/gitlab@eb2a193b69a9b11adb1024a554705c3f84524cb6) ([merge request](gitlab-org/gitlab!103025))
- [Add enterprise information to Metadata API](gitlab-org/gitlab@6a9007f3286bf910b26a0a79e3dddca608920b04) ([merge request](gitlab-org/gitlab!103969))
- [Introduce a limit of 200 assignees to issues/MRs](gitlab-org/gitlab@511a6ae0568cfd76d6a96d86f88519c6a49db4af) ([merge request](gitlab-org/gitlab!103549))
- [Add a rake task to sanitize internal note todos](gitlab-org/gitlab@b9cafb101905f7b407fe493dca321b42d4221d69) ([merge request](gitlab-org/gitlab!87908))
- [Create Telesign services for phone verification](gitlab-org/gitlab@c37978eebc66c887d9a33284cff4c6aa4d3840c1) ([merge request](gitlab-org/gitlab!100494))
- [Add trend indicators to the Exec dashboard comparative table](gitlab-org/gitlab@71ee6dcc817552f7db456649bd700e38605991aa) ([merge request](gitlab-org/gitlab!103401))
- [Add database migrations for dependency proxy blobs in SSF](gitlab-org/gitlab@9237ac848c60b9c7daa8d692eeedecfa2a93acfd) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/101429)) **GitLab Enterprise Edition**
- [Bulk delete packages for package list](gitlab-org/gitlab@e690a6e329bca673c54eda5a3cf01460f9bba22b) ([merge request](gitlab-org/gitlab!103475))
- [Add global alert for non-owners read-only namespace](gitlab-org/gitlab@aaa6e4a25962847fa5e4757bcbc853e166cdb783) ([merge request](gitlab-org/gitlab!103375)) **GitLab Enterprise Edition**
- [[355137] Migrate MR review requests](gitlab-org/gitlab@f5159c0c538bbc6d04ea6f754a285f7ae02d16cc) ([merge request](gitlab-org/gitlab!102397))
- [Merge trains GET API](gitlab-org/gitlab@65965800a31f94153b19374c48ee0bcfc7a206bf) by @markus.ferrell ([merge request](gitlab-org/gitlab!102568)) **GitLab Enterprise Edition**
- [Add issue health status sorting to GraphQL](gitlab-org/gitlab@7158d58b7a875523af3438302d8f7bbf9e4f0e32) ([merge request](gitlab-org/gitlab!101529)) **GitLab Enterprise Edition**
- [Support for highlighting text in content editor](gitlab-org/gitlab@f5a59a4667b10a4796f6f61656c6c505eb5f5c33) ([merge request](gitlab-org/gitlab!100908))
- [Add UserCounts to the OpenAPI documentation](gitlab-org/gitlab@0a688ae5d281f731c20d2dad23be66479d6b1b23) ([merge request](gitlab-org/gitlab!102294))
- [Removes ci_variable_expansion_in_rules_exists](gitlab-org/gitlab@1d880b79f9ab92b686aa323e26ac9eb8589b2332) ([merge request](gitlab-org/gitlab!103916))
- [Add supporting index for Feedback migration](gitlab-org/gitlab@3340aaa7388f4faeb2f6414a82285e4e21bd7f9d) ([merge request](gitlab-org/gitlab!103347))
- [Add Projects::WikiRepository model](gitlab-org/gitlab@71e123f1fb14d04ee954c8e028a2b24f15424bf2) ([merge request](gitlab-org/gitlab!103399))
- [Support creation of Objective via work-items](gitlab-org/gitlab@e506244af48e9a6c4c9c34b2779eec7782673c04) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/10335)) **GitLab Enterprise Edition**
- [Add index to vulnerability reads to account for no status filtering](gitlab-org/gitlab@85fb6ca8a843d15f94f4ea6c7989d1e67bc1a89e) ([merge request](gitlab-org/gitlab!103033))
- [Add matchingBranchesCount to branch rules endpoint](gitlab-org/gitlab@d987ee4fd47bc17450b492aec14eaec90aa3b84e) ([merge request](gitlab-org/gitlab!99049))
- [Add keyboard shortcut for review requests page](gitlab-org/gitlab@60c6687149f651550473039d092431f5da6b28df) ([merge request](gitlab-org/gitlab!103531))
- [Add a service to create a merge request from a security finding](gitlab-org/gitlab@bb6f6da401bf15963efdb57a84f3693e89376ce3) ([merge request](gitlab-org/gitlab!96921)) **GitLab Enterprise Edition**
- [Add repository actor support to Feature api](gitlab-org/gitlab@d4ff33f41c396b6b81069783bdd16be16d033856) ([merge request](gitlab-org/gitlab!102744)) **GitLab Enterprise Edition**
- [Add API::Wikis to OpenAPI V2](gitlab-org/gitlab@cc7b623abd2ab31c1ba68ac6bb13800e9721e81d) ([merge request](gitlab-org/gitlab!101990))
- [Add top level securityReportFinding query](gitlab-org/gitlab@d29ef222b61177499f9b677134a75b9a408d7574) ([merge request](gitlab-org/gitlab!100871)) **GitLab Enterprise Edition**
- [Upgrade Pages to v1.63.0](gitlab-org/gitlab@5501266b85d5094eff52c529c30c5fb965efa90b) ([merge request](gitlab-org/gitlab!103710))
- [Log CI artifact size when downloaded via UI](gitlab-org/gitlab@bb7e222809d6142b9aaa940cc5b4d4967ff2048e) ([merge request](gitlab-org/gitlab!103695))
- [Branch rules status check integration](gitlab-org/gitlab@ca2a15e4623cb9316cef184b1d94dabce09156c7) ([merge request](gitlab-org/gitlab!103338))
- [Audit log when a merge request is merged with invalid approval rules](gitlab-org/gitlab@6c054929631f04d909eab73d6a4369ec1ace7103) ([merge request](gitlab-org/gitlab!103596))
- [Allow caching of mergeability checks](gitlab-org/gitlab@79fbb192f7ca17dc40f0b01c70d1acfa02d80500) ([merge request](gitlab-org/gitlab!103595))
- [Allow delete runners in bulk in group runner page](gitlab-org/gitlab@43617f6f9b88e0f8dcaa96828853a28633c37244) ([merge request](gitlab-org/gitlab!102304))
- [Support Google Cloud CDN for Web UI artifacts downloads](gitlab-org/gitlab@587a59563c9cc060a8fcf7f12340964659291839) ([merge request](gitlab-org/gitlab!102839))
- [Provide support for multiple approval rules](gitlab-org/gitlab@4aebc0d02a6a882051fc961a14e024cdaa0522a7) ([merge request](gitlab-org/gitlab!102556)) **GitLab Enterprise Edition**
- [API annotations for status checks apis](gitlab-org/gitlab@94f85ab01c692d899e28112a07b03e705297a3dd) ([merge request](gitlab-org/gitlab!102888)) **GitLab Enterprise Edition**
- [Save vulnerability findings data into `security_findings` table](gitlab-org/gitlab@83c8f85a0096fdb7a43e3ec6caf5b23934d8242c) ([merge request](gitlab-org/gitlab!103013)) **GitLab Enterprise Edition**
- [Re-enqueue update of epic cached counts](gitlab-org/gitlab@c89e6de71e17765b8081e22b1d266ba80bea3194) ([merge request](gitlab-org/gitlab!103359))
- [Add temporary column ci_project_monthly_usages.new_amount_used](gitlab-org/gitlab@9dea488211264a0c1a61552d2ee4c7980fbac1af) ([merge request](gitlab-org/gitlab!100630))
- [Fix robocop failures](gitlab-org/gitlab@a23948bed05cdb80203aed4ccc5f24a919868ae7) ([merge request](gitlab-org/gitlab!101017)) **GitLab Enterprise Edition**
- [Readd member namespace id not null](gitlab-org/gitlab@3a5a058bc64117463f787699d3544e4a422292c2) ([merge request](gitlab-org/gitlab!102843))
- [Add querystring sync component for vulnerability report](gitlab-org/gitlab@2e51a8f152eb7463a04c5f40c14793bebefa44b6) ([merge request](gitlab-org/gitlab!102714)) **GitLab Enterprise Edition**
- [Add `disable_download_button` settings for JH-only feature](gitlab-org/gitlab@b9c44a22de97eed9dfe6fe657386111eb4270e23) by @LXY1226 ([merge request](gitlab-org/gitlab!103147))
- [Truncate the title of the issue while creating from vulnerability](gitlab-org/gitlab@3fa61758545a0e06dc84ea7fd7cc8569282afb41) ([merge request](gitlab-org/gitlab!102040))
- [Add committer name check to push_rules](gitlab-org/gitlab@48b9380149567be5cfcd3ff62798cba0d19a2915) by @zhzhang93 ([merge request](gitlab-org/gitlab!101909)) **GitLab Enterprise Edition**
- [Add associations alert to `Delete user and contributions` modal](gitlab-org/gitlab@5848e293c4fc6367c08482f4bfbd3d1213f5b39f) ([merge request](gitlab-org/gitlab!102231))
- [Add API::VulnerabilityFindings to OpenApi V2](gitlab-org/gitlab@a6ca2e8a955712a7a80712f218e818c4c4225971) ([merge request](gitlab-org/gitlab!102821)) **GitLab Enterprise Edition**
- [Add `purl_type` to sbom_components](gitlab-org/gitlab@1cd6447d2fbbf7136e82fface917667189657cc9) ([merge request](gitlab-org/gitlab!100759))
- [Update deployment tags to only match the current deployment commit](gitlab-org/gitlab@13250726178564680803a37b7f7cfd8b4556c0a2) ([merge request](gitlab-org/gitlab!100861))
- [Add OpenApi documentation for CiLint](gitlab-org/gitlab@9ab2c561f36c888fc6850a76db20cc1e597351d7) ([merge request](gitlab-org/gitlab!102761))
- [Add external status checks failed MR widget](gitlab-org/gitlab@ba1a63712ba268e4df2c92e5e1c817c17475025e) ([merge request](gitlab-org/gitlab!103085)) **GitLab Enterprise Edition**
- [Realtime updates for task descriptions](gitlab-org/gitlab@90e46d86bef232de424310e531313c51ccbbceb7) ([merge request](gitlab-org/gitlab!102718))
- [Add API::ProjectSnippets to OpenAPI V2](gitlab-org/gitlab@df172cf9e0c994a013f3b6ad410b75b72feaa883) ([merge request](gitlab-org/gitlab!101988))
- [Update GroupActivityAnalytics docs for OpenAPI](gitlab-org/gitlab@6bfa4802f8264a2e9d711784e60089808617fadd) ([merge request](gitlab-org/gitlab!102417)) **GitLab Enterprise Edition**
- [Background migrations split and retry on ActiveRecord::QueryCanceled](gitlab-org/gitlab@64b34b2101e582d92a33d415b5cf368b66d9c413) ([merge request](gitlab-org/gitlab!103223))
- [Add externalStatusChecks to graphql endpoint](gitlab-org/gitlab@85be9f5c15937082a072206075dae97af2a4c217) ([merge request](gitlab-org/gitlab!97708)) **GitLab Enterprise Edition**
- [Include iteration on create issue page](gitlab-org/gitlab@1c705e5bbe993a34c295432c0218c3b261e02489) by @songhuangcn ([merge request](gitlab-org/gitlab!84861)) **GitLab Enterprise Edition**
- [Add Rss Memory Growth monitor for Watchdog](gitlab-org/gitlab@2718d5b0fb6ce8d553e95589e1aa1e1c7b854952) ([merge request](gitlab-org/gitlab!102300))
- [Rollout `incident_timeline_events_for_severity` feature flag](gitlab-org/gitlab@4534170d7f9314318f128eff2b4e5dc3b05ca10d) ([merge request](gitlab-org/gitlab!103192))
- [Add AddIndexOnPasswordLastChangedAtToUserDetails migration](gitlab-org/gitlab@b9fc1a2132d4c1a6ce81d25aea821d565b50b647) by @qt-gith ([merge request](gitlab-org/gitlab!102010))
- [Add API::PersonalAccessToken to OpenAPI V2](gitlab-org/gitlab@1e29f28fae2495cdba2b16a9f1a0c0a771e8a948) ([merge request](gitlab-org/gitlab!102316))
- [Add OpenAPI documentation for keys](gitlab-org/gitlab@17a0a3d78ea78b61e60aca84ade98a99a3fc4349) ([merge request](gitlab-org/gitlab!102467))
- [Added pagination to Other Versions packages list](gitlab-org/gitlab@0bc3f7b920bc4ee0e8edcdcf512e2308d08590e3) by @geriley ([merge request](gitlab-org/gitlab!102476))
- [Contribution analytics, expose user contributions](gitlab-org/gitlab@cf5ee2355304a98dcbb80b0cd3b2e0ca19b58548) ([merge request](gitlab-org/gitlab!101765)) **GitLab Enterprise Edition**
- [Add limited capacity job to destroy container repositories](gitlab-org/gitlab@8633eafdf834b635ba94eab9805e535c8aded9bb) ([merge request](gitlab-org/gitlab!101946))
- [Add create mutation for timeline event tags](gitlab-org/gitlab@e63402632859bb9b2b5a8ac410171a941f9aeef9) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/102870))
- [Allow Releases to be published without giving access to source code](gitlab-org/gitlab@bd4f4c6d9bc32adf518aa266821d70de492f1ab5) ([merge request](gitlab-org/gitlab!100170))
- [Import 'Allow force pushes - everyone' GitHub branch protection rule](gitlab-org/gitlab@98d522c911c797be5ea94313977187b73aeacf59) ([merge request](gitlab-org/gitlab!101794))
- [Recreate async index for vulnerability reads location image](gitlab-org/gitlab@a8e2d24cdba3cc89f9b33f8d090490ef2c25e29e) ([merge request](gitlab-org/gitlab!103016))
- [Add product analytics admin section](gitlab-org/gitlab@d433d0e0cad4fb7e5d8702894c57aa9c05f02d54) ([merge request](gitlab-org/gitlab!101542)) **GitLab Enterprise Edition**
- [Add API::PersonalAccessTokens::SelfInformation to OpenAPI V2](gitlab-org/gitlab@1a2353b2530c3559b01917311e124d58602c45b6) ([merge request](gitlab-org/gitlab!102465))
- [Added temporary index for uploads_size](gitlab-org/gitlab@6e9a0e60967af4219c49b18ddd6661413453f5cb) ([merge request](gitlab-org/gitlab!102976))
- [Create GroupCommitEmail model and database table](gitlab-org/gitlab@639e00f6a870fa25311f4723322a86d19c9a525f) ([merge request](gitlab-org/gitlab!101832))
- [Track users updating milestone for work items](gitlab-org/gitlab@839f38c0018ccfbfb0ed0d09a239bafd51ae82a8) ([merge request](gitlab-org/gitlab!102495))
- [Add GIT_SUBMODULES_DEPTH variable documentation](gitlab-org/gitlab@3edeb11e2f3a689e57d634f0998abc8c10fde323) by @bollenn ([merge request](gitlab-org/gitlab!101289))
- [Add the Geo::ProjectWikiRepositoryRegistry model](gitlab-org/gitlab@40fb40d0e93f6d91baaa46ea4da35ee649f4ba6b) ([merge request](gitlab-org/gitlab!101294)) **GitLab Enterprise Edition**
- [Add the registry table to track replication/verification state](gitlab-org/gitlab@7455a6540986df1a67a2961e121c114d0970752b) ([merge request](gitlab-org/gitlab!101294)) **GitLab Enterprise Edition**
- [Adds search bar to Usage Quotas > Storage tab](gitlab-org/gitlab@1d85722bf122d02b18b64de0fc02572d1276aff7) ([merge request](gitlab-org/gitlab!100290)) **GitLab Enterprise Edition**
- [Map 'Require review from Code Owners' GitHub rule with GitLab setting](gitlab-org/gitlab@5bd3fa153969ccee3ea8e5e3758c6c8794f76c3e) ([merge request](gitlab-org/gitlab!102582)) **GitLab Enterprise Edition**
- [Add error message to insights when query times out](gitlab-org/gitlab@9556b3b2c3219cca62b5f6db9e2e3f5f6e3dd0b7) ([merge request](gitlab-org/gitlab!102754)) **GitLab Enterprise Edition**
- [Add OpenAPI documentation for Keys](gitlab-org/gitlab@96a834489c88da3e9041d25c858cb82343b927e6) ([merge request](gitlab-org/gitlab!102466))
- [Add create service, finder for tags](gitlab-org/gitlab@42d37919419d20ca4d6a869d3cf78a48dc927b92) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/100537))
- [Add `findings_data` column to `security_findings` table](gitlab-org/gitlab@8118768893a36783041173861385be160fac8bfe) ([merge request](gitlab-org/gitlab!102423))
- [Add default_preferred_language to application_settings](gitlab-org/gitlab@a42959675dd3eaee3d7054d6a4e55391ac94eca7) by @icbd ([merge request](gitlab-org/gitlab!102612))
- [Prepare for uuid type change](gitlab-org/gitlab@bfc98707c343808040a19b992d93f76891fe8726) ([merge request](gitlab-org/gitlab!99040))
- [Event type information for group merge request setting updates](gitlab-org/gitlab@ca28e6bfe411f45193355a1287ebf73dffa056c0) ([merge request](gitlab-org/gitlab!102256)) **GitLab Enterprise Edition**
- [Implemented get RPM repository files endpoint](gitlab-org/gitlab@c4630bfd3ea7f83cd93b29bdf4bf57421254d695) by @Mshab ([merge request](gitlab-org/gitlab!98545))
- [Allow OR params in GraphQL issue resolvers](gitlab-org/gitlab@dd644f7fbe8808f9694eb5915ae88216f4d162ca) ([merge request](gitlab-org/gitlab!102148))
- [Add API::Suggestions to OpenAPI V2](gitlab-org/gitlab@b71a15887f8571c6ddbd499db9d3b6a13ba6518e) ([merge request](gitlab-org/gitlab!102128))
- [Add API::ResourceAccessToken to OpenAPI V2](gitlab-org/gitlab@b8e78ba057795a8180c77da45bc82dd446b4d9cb) ([merge request](gitlab-org/gitlab!102269))
- [Add project headers to release notifications](gitlab-org/gitlab@9557cbe2b22439459b05875d35340644c7893d20) ([merge request](gitlab-org/gitlab!102657))
- [Implement Check constraint preventing redundant state transitions](gitlab-org/gitlab@7299f6f3e3ab96a73db9d4596bdb9bd2b56a3160) ([merge request](gitlab-org/gitlab!102025))
- [Add status checks must succeed setting to project merge request settings](gitlab-org/gitlab@55536015c94ebfd291585db28d67df4a7bfb67e2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/102278)) **GitLab Enterprise Edition**
- [Add commit_committer_name_check to push_rules](gitlab-org/gitlab@5f7f27eb4243e5cdf9dc72da9715acfa4fa25f1a) by @zhzhang93 ([merge request](gitlab-org/gitlab!102359))
- [Add 'mirror_branch_regex' to 'project_settings' and 'remote_mirrors'](gitlab-org/gitlab@6a0e1c05cba5713c30ff7e2ee30a2cd04baf4ae0) by @lyb124553153 ([merge request](gitlab-org/gitlab!98904))
- [Allow setting max PG replicas rails process connects to](gitlab-org/gitlab@26443affec01da28c416389e0304b96605198982) ([merge request](gitlab-org/gitlab!101994))
- [Add query param to remove deprecated GraphQL schema items](gitlab-org/gitlab@233aee81fbf7630faad0177fca114dd20d72852c) by @fabsrc ([merge request](gitlab-org/gitlab!100422))
- [Adds ml candidate and experiment lists](gitlab-org/gitlab@143e60aa5fa2917aa91c72a6c26a588e3c471d17) ([merge request](gitlab-org/gitlab!98664))
- [Add detailed_merge_status to web hooks](gitlab-org/gitlab@e865141dcdfbed50a543360675b32ad6e8f25cfa) ([merge request](gitlab-org/gitlab!102365))
- [Add API annotations for Product Analytics APIs](gitlab-org/gitlab@6e627eaacfead0ff25e93652a1f6700bf4aa8184) ([merge request](gitlab-org/gitlab!102151)) **GitLab Enterprise Edition**
- [Add a foreign key on `Project#creator_id`](gitlab-org/gitlab@305a1b3899e473562e1097134391931999d6abf6) ([merge request](gitlab-org/gitlab!102519))
- [Enable `dast_api_scanner` feature flag](gitlab-org/gitlab@3887be70fc122a86e03ef24bb03858134a116dda) ([merge request](gitlab-org/gitlab!101193)) **GitLab Enterprise Edition**
- [Add detailed_merge_status to REST API](gitlab-org/gitlab@e8e9a2f9a162bdfaa69079d677609cef2b1b2ce3) ([merge request](gitlab-org/gitlab!101724))
- [Add anon and file-backed RSS metrics](gitlab-org/gitlab@e01edcff00a51dc35ab326242f837c7e52485749) ([merge request](gitlab-org/gitlab!102395))
- [Add GraphQL subscription for milestone assignment](gitlab-org/gitlab@44951e16600c3f4872bfb67f7820b4e701a2835e) ([merge request](gitlab-org/gitlab!102357))
- [Add API::MergeRequestDiffs to OpenApi V2](gitlab-org/gitlab@983225a2ded99f3c979d0e134fcdf7aa295c6cb6) ([merge request](gitlab-org/gitlab!102132))
- [Add confidential quick command for epics](gitlab-org/gitlab@2e8e35d1ac533e7ba9fcdd11159ce9cbf9c05935) ([merge request](gitlab-org/gitlab!101760))
- [Add secure schemas version 15.0.4](gitlab-org/gitlab@ac83f83da57f08c3173aad8f2bb5da7a326fa4da) ([merge request](gitlab-org/gitlab!102329))
- [Migration and model for audit event type streaming filter](gitlab-org/gitlab@7c04cd638a8fdbb87fdb32ed49df6858033d7711) ([merge request](gitlab-org/gitlab!100024))
- [Configure branch name for creating MR from an issue](gitlab-org/gitlab@bd8cbf36ec2f3d863c34a3771298c15a5524de8a) ([merge request](gitlab-org/gitlab!93108))
- [GraphQL: add commit signature field](gitlab-org/gitlab@14a39dd7556b9153a664177544fb7cb86a812dde) by @brianjaustin ([merge request](gitlab-org/gitlab!96305))
- [Add admin OAuth limit setting](gitlab-org/gitlab@16ad45f248fcd5796c05d7d028f2703e9bf05ac3) ([merge request](gitlab-org/gitlab!100960))
- [Add work item milestone widget](gitlab-org/gitlab@308bf829b1a96133a5f984b0dd04c3c1014ab84e) ([merge request](gitlab-org/gitlab!101605))
- [Add take ownership mutation](gitlab-org/gitlab@f854dba9b73758c3a5387db8c5309c45166cef77) ([merge request](gitlab-org/gitlab!101386))
- [Expose id field for protected ref API entities](gitlab-org/gitlab@4bdbfb1fe6614d4af61706e55ab70158c6fe7af2) ([merge request](gitlab-org/gitlab!102032))
- [Lock tables for partitioning](gitlab-org/gitlab@5d4cdd112bcd8f018dce333550834cbcf7089c4a) ([merge request](gitlab-org/gitlab!101769))
- [Add assignRunner to user permissions](gitlab-org/gitlab@710c38e5743d10a0459071423ae3002b3223cbf9) ([merge request](gitlab-org/gitlab!102047))
- [Add index for id on scan finding approval_merge_request_rules](gitlab-org/gitlab@fb93f26f63de49a840584ff9585d97e31c8c4e55) ([merge request](gitlab-org/gitlab!102115))
- [Add languages field to GraphQL Project type](gitlab-org/gitlab@6e2d74847a466cfea9f918e5a996ae6720711558) by @fabsrc ([merge request](gitlab-org/gitlab!100536))
- [Add metrics for users creating MRs with applied scan result policies](gitlab-org/gitlab@848025f7ed75741a921c990ce7a4a2f3665ee142) ([merge request](gitlab-org/gitlab!99954))
- [Update(webhook): support both wildcard & regex](gitlab-org/gitlab@cd3e20d3fb40b7355edab3a2f8b2152eb5d69a9f) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!100517)) **GitLab Enterprise Edition**
- [Improve CRM contacts quick actions suggestions](gitlab-org/gitlab@02de747e571d8aadeef6bc5fe21a57d96a859f14) by @zillemarco ([merge request](gitlab-org/gitlab!98979))
- [Add JC proxy_url application setting](gitlab-org/gitlab@1a49491a6a75d2d744509c8c51dd184c25e646f1) ([merge request](gitlab-org/gitlab!98437))
- [Add instrumentation for cache efficiency metrics](gitlab-org/gitlab@a46c4a383c11214d9d16fd743b092f7df82e6a8a) ([merge request](gitlab-org/gitlab!96382))
- [Add info popover MR security report widget](gitlab-org/gitlab@fbb3417a5056e11af052453eb1473353621cd98f) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/98980)) **GitLab Enterprise Edition**
- [Add descending index for vulnerability reads group filters](gitlab-org/gitlab@2d8fba6da0b2e671bfae02f86d3a9848ff7898fb) ([merge request](gitlab-org/gitlab!101788))
- [Allow epics having child issues from different group hierarchies](gitlab-org/gitlab@d60ff53e135e8b3ca8e28b1142d66e89da7c3969) ([merge request](gitlab-org/gitlab!101539)) **GitLab Enterprise Edition**
- [Add API::AccessRequests to OpenAPI V2](gitlab-org/gitlab@8b669046c7ed1507b7ce7b943e598b8b3cc50021) ([merge request](gitlab-org/gitlab!100527))
- [New API endpoint to display the user's count of associations](gitlab-org/gitlab@1a7cf67c3388375194867453bc3a14a1a8757cde) ([merge request](gitlab-org/gitlab!100429))
- [Add Rake task to migrate queued jobs](gitlab-org/gitlab@e8bb3a068a6a68b15d85db97f54579a04d3f1fb4) ([merge request](gitlab-org/gitlab!101348))
- [Cascading settings for package forwarding](gitlab-org/gitlab@bff66c2c927ccb255b3f665fc1f32cea5f159fe8) ([merge request](gitlab-org/gitlab!100456))
- [Add database and model support for "Group-level Protected Branches"](gitlab-org/gitlab@6e1d09dd48a2b820cd239773dc6ca8b5c07d5de3) by @songhuangcn ([merge request](gitlab-org/gitlab!90040))
- [Added the ability to move issues in bulk](gitlab-org/gitlab@ae0c896e33ce9c6b805dbdc8f0408aa17e6f1b56) by @zillemarco ([merge request](gitlab-org/gitlab!95688))
- [Enables MLFlow artifact storage](gitlab-org/gitlab@83174912689ea36679a06aed8765308e8212832b) ([merge request](gitlab-org/gitlab!101251))
- [Update issue references during GitLab Migration](gitlab-org/gitlab@efddde087abcbaf45607d755d6e115c9d3808faf) ([merge request](gitlab-org/gitlab!100452))
- [Add product_analytics_enabled application setting](gitlab-org/gitlab@cb93bfece21e3ae2ef6697ddec05a3f2e90a2469) ([merge request](gitlab-org/gitlab!100683))
- [Allow filtering work items by status widget](gitlab-org/gitlab@93fa0a66bf536e249b9129613a848a46c2d5ee0e) ([merge request](gitlab-org/gitlab!100045)) **GitLab Enterprise Edition**
- [Backfill project namespace metadata](gitlab-org/gitlab@a8040d61494552165d90a43a6e9315cbc65d100a) ([merge request](gitlab-org/gitlab!101327))
- [Group owners to disable 2FA auth for members](gitlab-org/gitlab@77ffe1c80d2b79a6ff22936f864d9c7496baae4e) ([merge request](gitlab-org/gitlab!99129)) **GitLab Enterprise Edition**
- [Add GraphQL APIs for updating the group's default compliance framework](gitlab-org/gitlab@e953df098dc194a3e9e7de0bf6b871848784b272) ([merge request](gitlab-org/gitlab!101502)) **GitLab Enterprise Edition**
- [Add metrics for user merge request with assigned security policy project](gitlab-org/gitlab@c027151d27b1d0e5bb150671662b2c6c33ba530e) ([merge request](gitlab-org/gitlab!99966))
- [Partition ci_builds_metadata table](gitlab-org/gitlab@029d6960e3d4d537435f2e3cf997d10ef61479ee) ([merge request](gitlab-org/gitlab!100115))
- [Add AI Assist allowed status endpoint](gitlab-org/gitlab@aa4f4bacda28a67d396197b591510f9211b5c886) ([merge request](gitlab-org/gitlab!100500)) **GitLab Enterprise Edition**
- [Add duration and queued duration to runner jobs](gitlab-org/gitlab@941bef7028620ec13c143cb2f6b0ad49fc37274a) ([merge request](gitlab-org/gitlab!101246))
- [Trigger mergeRequestMergeStatusUpdated when MR gets approved/unapproved](gitlab-org/gitlab@fa58d75a3dd7ad92dc2e5720d09302fbb46a81f0) ([merge request](gitlab-org/gitlab!101351))
- [Add basic JSON helpers](gitlab-org/gitlab@877aec3dc8f0442b10f5c5facb96b0c91603a5ca) ([merge request](gitlab-org/gitlab!101231))
- [Graphql query for deployment approval summary](gitlab-org/gitlab@35eef71c2d4070e9f013128f3190b96dce64d0db) ([merge request](gitlab-org/gitlab!97102))
- [Add unprotectAccessLevels to EE graphql endpoint](gitlab-org/gitlab@5213ca066d6b32f4d6ce3743bfae0584772857d2) ([merge request](gitlab-org/gitlab!99277)) **GitLab Enterprise Edition**
- [Pull mirror GET API](gitlab-org/gitlab@74e6e606d1326da456d4716f98c78bf0d2fb160e) by @markus.ferrell ([merge request](gitlab-org/gitlab!101104)) **GitLab Enterprise Edition**

### Fixed (131 changes)

- [Improve delete merged branches modal UX](gitlab-org/gitlab@206d6a88de217578e914d0efd532f127968c204d) ([merge request](gitlab-org/gitlab!102644))
- [Use project full_path and project iterations query rather than group](gitlab-org/gitlab@d5e940880c2c326a4a92584eebb38c951b1dce10) ([merge request](gitlab-org/gitlab!103725))
- [Fix: new merge request locale issue](gitlab-org/gitlab@e1d68b89ba63261a4d290749c5571da3fcdbe83b) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!104061))
- [Do not allow forward usage of .strong_memoize_attr()](gitlab-org/gitlab@709a119e53dfeb1a9ea8be14e3a56976cbb23d2b) by @KyleFromKitware ([merge request](gitlab-org/gitlab!103699))
- [Fix: devops adoption locale issue](gitlab-org/gitlab@5e086027b863eaa813d03a0487e6af057b4ba41f) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!104058)) **GitLab Enterprise Edition**
- [Don't use redundant validation in ChangedLabel importer](gitlab-org/gitlab@eae858a207e0142043c96cb67bd960f229f09fe3) ([merge request](gitlab-org/gitlab!103800))
- [Fix: pipeline minigraph wrong offset issue](gitlab-org/gitlab@ef416d74cbb4f1a28596cef818c46da7ebf143e1) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!103598))
- [Do not allow the last direct owner to leave top-level group](gitlab-org/gitlab@3b1e1fdf3a4b70ac8e35216ffa9f2046a8e6f42b) ([merge request](gitlab-org/gitlab!103686))
- [Convert relative repository file link into absolute link](gitlab-org/gitlab@24bb35e73ac7492a9e7376f949da326bc303eb5a) by @wwwjon ([merge request](gitlab-org/gitlab!103621))
- [GitHub integration: use unique context for each pipeline](gitlab-org/gitlab@6c1ae5b57b8f4a6fc028e5726a82be21efae63fe) by @KyleFromKitware ([merge request](gitlab-org/gitlab!102564)) **GitLab Enterprise Edition**
- [Fix sub-language highlighting](gitlab-org/gitlab@f9f3ecefd4c6e1f8c1f61c2a954714cb97d952a8) ([merge request](gitlab-org/gitlab!103873))
- [Improve statistic calculation for Vulnerabilities](gitlab-org/gitlab@f7efa710932a35830ab77d92d099f224dabcd280) ([merge request](gitlab-org/gitlab!102816)) **GitLab Enterprise Edition**
- [Fix OpenAPI V2 document generation](gitlab-org/gitlab@e69a1bc5f26355cf6e4aa69a19bf04d75ca8d09e) ([merge request](gitlab-org/gitlab!103917))
- [Ensure Gitlab::Json::RailsEncoder fails the same on invalid UTF-8](gitlab-org/gitlab@40e2715442a3a76af6ebd0ad28cfe361f68386e0) ([merge request](gitlab-org/gitlab!103515))
- [Set max limit to items in suggestions to 15](gitlab-org/gitlab@39ec130e5c5aa86527dd21581bdf8681a3dd91cb) ([merge request](gitlab-org/gitlab!103877))
- [Ignores ingress fetch failure for k8s less than 1.19](gitlab-org/gitlab@93303454664617d9bf4f07b1c01ef3bcc0540b01) ([merge request](gitlab-org/gitlab!103413))
- [Fix tabbing issue on the agents' list](gitlab-org/gitlab@c25694fbb1c96957a1bce6e1252a2321dd15b31f) ([merge request](gitlab-org/gitlab!103002))
- [Allow SCIM deprovision when user is not a group member](gitlab-org/gitlab@df0f7ed578c65ee2bfbc31441574b1fd84e3ec65) ([merge request](gitlab-org/gitlab!103246)) **GitLab Enterprise Edition**
- [Dont fail RepositoryImportWorker when ImportService returns an error](gitlab-org/gitlab@5571073764dfd8cbe48b4a4b3acebc38cdefdd8d) ([merge request](gitlab-org/gitlab!103009)) **GitLab Enterprise Edition**
- [Fix Environment Nil error in allowed_agents API](gitlab-org/gitlab@71430d82dc2084e4e1c7e5e4d33ff8eb58ddf185) ([merge request](gitlab-org/gitlab!103578))
- [Handle case where selecting a tree entry parent may not have a tree](gitlab-org/gitlab@b9a46597a90527cd2f723207df371884c569d6f3) ([merge request](gitlab-org/gitlab!103684))
- [Keep job expanded while deleting artifact from it](gitlab-org/gitlab@cc221247502817847bf2aa99d75b28104e99f8fc) ([merge request](gitlab-org/gitlab!102576))
- [Increase X509 subject attribute column limit](gitlab-org/gitlab@9f83dabc37a9656902d5287e37a1ca9737b90eca) by @L11R ([merge request](gitlab-org/gitlab!97487))
- [Guard On-call Schedule and Escalation Policies URLs if disabled](gitlab-org/gitlab@7b2f4f685ed984ebca48d7003265dec86b6cf54e) ([merge request](gitlab-org/gitlab!103651)) **GitLab Enterprise Edition**
- [Update oj-introspect to 0.7.1](gitlab-org/gitlab@9cab68929c280a3ae826342b8c5afb23429cbb34) ([merge request](gitlab-org/gitlab!103647))
- [Fix 500 error when tag_name or ref_name are empty](gitlab-org/gitlab@f0b8f758bb71defc263f5130029a9d053f3c3df8) ([merge request](gitlab-org/gitlab!103603))
- [Add auto-scrolling to dropdown during keyboard nav](gitlab-org/gitlab@a5041dec94ccea144f453ac036dae6b58404184d) by @kbal11 ([merge request](gitlab-org/gitlab!101578))
- [Fix a link to incident management configuration docs](gitlab-org/gitlab@f7580dd4c6cb5455d3b391a15dd95ef17afcd85e) ([merge request](gitlab-org/gitlab!103612)) **GitLab Enterprise Edition**
- [Fix undefined method error when merge request is missing](gitlab-org/gitlab@ca092452af0ee747b6d8927299500bd0d4414caf) ([merge request](gitlab-org/gitlab!103602))
- [GraphQL: Fix error when bulk deleting runners](gitlab-org/gitlab@440f0e2a6e6534d4b91b37e5dc73e87acbb81bf4) ([merge request](gitlab-org/gitlab!102521))
- [Correct text colours on the dark-mode billing page](gitlab-org/gitlab@39f903a09f5e62bb3d57dbb414d36c6170438e54) ([merge request](gitlab-org/gitlab!101320)) **GitLab Enterprise Edition**
- [Revert Sidekiq default routing rules](gitlab-org/gitlab@e75c2fa0a444f99b9761220408aba5180d19425a) ([merge request](gitlab-org/gitlab!103483))
- [Allow rollout of older deployment jobs if it's the same SHA](gitlab-org/gitlab@4b9096344b20dd77101e6d16808d08b926e8f9ec) ([merge request](gitlab-org/gitlab!103363))
- [Remove "currently" from some UI text](gitlab-org/gitlab@1ebb2d1da249696fb5691bce95e6377ff738b388) ([merge request](gitlab-org/gitlab!103081))
- [Prevent impersonation of users with expired passwords](gitlab-org/gitlab@3f34a1b6e0033e9ea8399f4cbf2bf172cd106a36) ([merge request](gitlab-org/gitlab!103068))
- [Geo: Fix redirect to secondary after SAML sign in](gitlab-org/gitlab@aed46ad6709c34e0baa3c42e0876f0c76baa3936) ([merge request](gitlab-org/gitlab!101321)) **GitLab Enterprise Edition**
- [Show group access tokens in admin cred inventory](gitlab-org/gitlab@ee2be9a78c886e57c8ce8041764a5e8bf881db66) ([merge request](gitlab-org/gitlab!102959)) **GitLab Enterprise Edition**
- [Show link to Terms of Use on Sign In only if terms exist](gitlab-org/gitlab@2dafa8103ec67887b17d43c64588d962be39fcc3) by @wwwjon ([merge request](gitlab-org/gitlab!103366))
- [Associate iteration with work item only when the FF is on](gitlab-org/gitlab@106d1a1e8476362c124591e7dfd977aa3acf57e4) ([merge request](gitlab-org/gitlab!102977))
- [Fix redeploy button behavior](gitlab-org/gitlab@8dc84349e0fc0251dcacc3271778dbce4ecc85fb) ([merge request](gitlab-org/gitlab!102787))
- [Improve source file syntax highlighting](gitlab-org/gitlab@fe64830f9dea599ed42aa39bfb9a254347fa904f) ([merge request](gitlab-org/gitlab!103328))
- [Update create merge request service to be compatible with transactions](gitlab-org/gitlab@38c3b4054e22830dcf99fc1a9fc316cd5d641678) ([merge request](gitlab-org/gitlab!102907))
- [Allow links to be opened from Swagger UI](gitlab-org/gitlab@36326e6148dc261ac710d07f1c3de37a8ae47040) ([merge request](gitlab-org/gitlab!102845))
- [Update `cache` keyword for the JSON schema](gitlab-org/gitlab@387e4c8036d5bbd764c4b2a7b354b5e75767c4df) ([merge request](gitlab-org/gitlab!103007))
- [Fix pipeline state machine when retrying](gitlab-org/gitlab@cfc2b5b2c54c4822be1a0e260e7283db285d9998) by @qt-gith ([merge request](gitlab-org/gitlab!98967))
- [Clean up feature flag ajax_new_deploy_token](gitlab-org/gitlab@307c1776a89c3109b2f4b19e82c4d2c4f21b4a74) ([merge request](gitlab-org/gitlab!101306))
- [Fix checkboxes on work item descriptions](gitlab-org/gitlab@5c43cdd9ed1e58aaca82dfbff36f42e123acc511) ([merge request](gitlab-org/gitlab!101364))
- [Fix `TF_STATE_NAME` default value in Terraform ci templates](gitlab-org/gitlab@8ff236fe61bc3b0ed83c1bd6ae53fb1d6cbfd5a7) ([merge request](gitlab-org/gitlab!103128))
- [Fix artifacts available for terraform template latest](gitlab-org/gitlab@f5e3df17f9a7f0926ad47877882325ed2c1298e6) by @benjamincerigo ([merge request](gitlab-org/gitlab!99496))
- [Allow '..' in resource group keys for use in the API](gitlab-org/gitlab@1d685f41397fd5ea257de3795d994246e00ba35f) ([merge request](gitlab-org/gitlab!103018))
- [Avoid streaming audit events when there is no change](gitlab-org/gitlab@0f7bdfaa04db5bf9442471e11960ebbe574f4bbe) ([merge request](gitlab-org/gitlab!102525)) **GitLab Enterprise Edition**
- [Remove the foreign key on `Project#creator_id`](gitlab-org/gitlab@39c1de721e6dc2fa76b20db74ae0f16dc9098867) ([merge request](gitlab-org/gitlab!102991))
- [Update broken heading link](gitlab-org/gitlab@3a43f82ecf84ef64682a83ab881cda64fed46d7b) ([merge request](gitlab-org/gitlab!102955)) **GitLab Enterprise Edition**
- [Update verification state in the project_wiki_repository_state](gitlab-org/gitlab@61be1e3ba17415c7a041487a041724b56707aa5a) ([merge request](gitlab-org/gitlab!102941)) **GitLab Enterprise Edition**
- [Avoid empty metadata render in container registry](gitlab-org/gitlab@f69aaf92d732bf7e9f13fe5a5541fb3142bc4148) ([merge request](gitlab-org/gitlab!102900))
- [Add partial index for `security_scans` on `id` for non-purged records](gitlab-org/gitlab@8c2a2c152de9ff52f68616df05050456d57eefd2) ([merge request](gitlab-org/gitlab!102648))
- [Fix support for `nil` values for push rules validations](gitlab-org/gitlab@42d9d12aa15cb44c96170c4e7af797a193c5f87c) ([merge request](gitlab-org/gitlab!102856)) **GitLab Enterprise Edition**
- [Update pg_query to v2.2.0](gitlab-org/gitlab@6f95e827415c7a1b0777c21902560d87555d10ad) ([merge request](gitlab-org/gitlab!102830))
- [Allow underscores in full text search query](gitlab-org/gitlab@801c53f63112913b1830d4b2f49fb590afaa1aec) ([merge request](gitlab-org/gitlab!102827))
- [Add project information to scanner for authorize](gitlab-org/gitlab@6fd9983355cc5e4325892d75a5d6078e1915616a) ([merge request](gitlab-org/gitlab!102795)) **GitLab Enterprise Edition**
- [Use the same sanitize method for advanced and basic search](gitlab-org/gitlab@053f132c4fd6c0fd5d0eee53ead93efbf51e3973) ([merge request](gitlab-org/gitlab!102799)) **GitLab Enterprise Edition**
- [Prevent rewriting of joined table in statements to make queries work](gitlab-org/gitlab@1b25635757368db03fe4a710271bc878e8286aa3) ([merge request](gitlab-org/gitlab!102387))
- [Hide delete branch button when user doesn't have permission](gitlab-org/gitlab@5c3547025507767875a959988280d3c2006c1450) ([merge request](gitlab-org/gitlab!101806))
- [Bump the size of elastic query for getting migrations](gitlab-org/gitlab@433b9fcd95ee38dcb53bec74f7e006269b593020) ([merge request](gitlab-org/gitlab!102515)) **GitLab Enterprise Edition**
- [Fix markdown editor autofocus behavior](gitlab-org/gitlab@83285b368fc7cde889f51a70184233cca38748fb) ([merge request](gitlab-org/gitlab!102555))
- [Issue: Fix spacing on emoji status in title](gitlab-org/gitlab@20ef1b1d9d921b62484eae31141b89f94bfedd21) ([merge request](gitlab-org/gitlab!102752))
- [Add Hashie::Array to allowed YAML serialization classes](gitlab-org/gitlab@a63644a535f09877db3fc20489364afedbee4234) ([merge request](gitlab-org/gitlab!102663))
- [Keep milestone status when a project is transferred](gitlab-org/gitlab@a8ebcbe36a9042db40a994a2bd5f006971160d54) ([merge request](gitlab-org/gitlab!101547))
- [Fix MR notes not showing author badges](gitlab-org/gitlab@753e814022699563712b00c89f598775d6fa0020) ([merge request](gitlab-org/gitlab!102474))
- [Handle events that target vulnerabilities](gitlab-org/gitlab@8472eceae6962d0558d0d78ddd542eb6d74cc262) ([merge request](gitlab-org/gitlab!100922)) **GitLab Enterprise Edition**
- [Iterations bug fixed for task without a parent](gitlab-org/gitlab@b4186e0fb821c14e632d1edeec8acd2ecd085101) ([merge request](gitlab-org/gitlab!102616))
- [Audit security policy project changes](gitlab-org/gitlab@d9964accc7d76b1dd7cce484963d7a24fb6d20d0) ([merge request](gitlab-org/gitlab!102154)) **GitLab Enterprise Edition**
- [Update loading state styling](gitlab-org/gitlab@b7f18c9e061a6c84a5569e7c843b3cc98cbdb61b) ([merge request](gitlab-org/gitlab!102055))
- [Allow all http and https sources for media-src](gitlab-org/gitlab@71cb6cd57b394a37c23224ea613c31ce30c758f9) ([merge request](gitlab-org/gitlab!102344))
- [Prevent search for when under 3 characters](gitlab-org/gitlab@d4e79c3ff1d96ec0f64f1dac4f12c9d7bc85b0ee) ([merge request](gitlab-org/gitlab!101540))
- [Fix merge request header button alignment](gitlab-org/gitlab@09d3dc86fe5c81ad808462bcd5fc9c10d2d84a78) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/102074))
- [Gracefully ignore non-string search parameters](gitlab-org/gitlab@cde790b31dccb3cf1f0ddf07094b78943e6fb16d) ([merge request](gitlab-org/gitlab!101886))
- [Ensure additional_params is passed through](gitlab-org/gitlab@1a4f7b78ae50b12c2ef340bce516d458e8a9245c) ([merge request](gitlab-org/gitlab!100402))
- [Approvers group does not persist after adding it to the approval rules](gitlab-org/gitlab@a415ccd4d4c0b23b17a320292101387fe410826b) ([merge request](gitlab-org/gitlab!102323))
- [Container Repository, implement delete event](gitlab-org/gitlab@12c9e03d324caa2a8da758bb5b055240d4a7a992) ([merge request](gitlab-org/gitlab!98926)) **GitLab Enterprise Edition**
- [Test coverage: Extract source path OS-agnostically](gitlab-org/gitlab@4177267f0be72fec9cf2c88c8ab4e0fdb4b8e5fa) ([merge request](gitlab-org/gitlab!102295))
- [Fix Opensearch compatibility check](gitlab-org/gitlab@18245754743e0bcd6cdafaeb52bf9b26b02b5c2a) ([merge request](gitlab-org/gitlab!102285)) **GitLab Enterprise Edition**
- [Support Markdown in Jupyter output](gitlab-org/gitlab@8c17d4e2a7270201e85a5362e55d7f5f92fe6fb0) ([merge request](gitlab-org/gitlab!102275))
- [Nullify `created_projects` relation on User delete](gitlab-org/gitlab@54dabb9dc6d88dfc91d08f9df7008b695279b391) ([merge request](gitlab-org/gitlab!102163))
- [Refetch stage jobs in job log](gitlab-org/gitlab@04671b378d9ae190348d62ce84e2fe3f5a2067b4) ([merge request](gitlab-org/gitlab!102050))
- [Hide Tree view button on epics for Premium](gitlab-org/gitlab@f036fc63ead83f4f966d39213fff47c94cdd15b0) ([merge request](gitlab-org/gitlab!101463)) **GitLab Enterprise Edition**
- [Fix to allow empty array of associatedProjects](gitlab-org/gitlab@28b303313918d0c4b725d3d4548045f372986550) ([merge request](gitlab-org/gitlab!102041))
- [Correctly position tree view with performance bar](gitlab-org/gitlab@61527482482bccf9c8f0c74edae67868863f767c) ([merge request](gitlab-org/gitlab!102262))
- [Remove deprecated attribute from cve_value logic](gitlab-org/gitlab@36f05e8f4762da6ff05701eb45011d18fd0bb505) ([merge request](gitlab-org/gitlab!101367)) **GitLab Enterprise Edition**
- [Show play button on environment detail page to deployment-only users](gitlab-org/gitlab@2324cec21c6508e3c52c2aea43d984b40b501f64) ([merge request](gitlab-org/gitlab!102222)) **GitLab Enterprise Edition**
- [Fix GitHub company name on import page](gitlab-org/gitlab@789bccd401cd6a455d4c8c869c0193d6cdb9b262) by @Taucher2003 ([merge request](gitlab-org/gitlab!102039))
- [Adds block to label dropdown](gitlab-org/gitlab@00a6b482372e6d45643901498a22ac461762ef1c) ([merge request](gitlab-org/gitlab!102198))
- [Handle password manager auto-fill-then-submit](gitlab-org/gitlab@3eb5d69c3dab0f5175a29999ba74ff4a6ed427a1) ([merge request](gitlab-org/gitlab!102029)) **GitLab Enterprise Edition**
- [Add auditor access for group CI/CD Analytics](gitlab-org/gitlab@bae4113931eb8fd0bfa3af871477483ef4ff3eec) ([merge request](gitlab-org/gitlab!102147)) **GitLab Enterprise Edition**
- [Fix comment preview of issuable link+ on epics](gitlab-org/gitlab@c51f324c126e515fda2dbafe05b6bd87141c3cf2) ([merge request](gitlab-org/gitlab!101715)) **GitLab Enterprise Edition**
- [Wrap artifact names](gitlab-org/gitlab@a17b4083ead5d6d945e7de0bc6ca458882f1c647) ([merge request](gitlab-org/gitlab!101827))
- [Fix Jira namespace subscription bug](gitlab-org/gitlab@f883d9ae2f54b1c0ffa0c50ebd08f63936b5eca9) ([merge request](gitlab-org/gitlab!102076))
- [Add auditor access for group container registry](gitlab-org/gitlab@b24e0ddcd227dd28c2934776a14228999c6a7247) ([merge request](gitlab-org/gitlab!102017)) **GitLab Enterprise Edition**
- [Include version suffix in agent install command](gitlab-org/gitlab@d43f627a170f046eaa596cdb9e130f72f5e3a161) ([merge request](gitlab-org/gitlab!101991))
- [Fix audit event date-range inputs responsiveness](gitlab-org/gitlab@534f7e6930c8412aa07d6c7a995b20654691ec4a) ([merge request](gitlab-org/gitlab!101926)) **GitLab Enterprise Edition**
- [Truncate Legacy Tables should error on multiple-shared databases](gitlab-org/gitlab@49819f999beb817582c710b0ecaf68231569815c) ([merge request](gitlab-org/gitlab!101959))
- [Fix: locale on commits detail page](gitlab-org/gitlab@da1f24246f24de3590ab988db934a81b29a3d819) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!101213))
- [Fix header create new button vertical alignment](gitlab-org/gitlab@44be3620d079f81d3ee56ef3d3bc85324c351a39) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/101820))
- [Add ability for top-level group owners to unban subgroup members](gitlab-org/gitlab@a913ccd337fae24f7c2d0dde12c7c5da995f86ad) ([merge request](gitlab-org/gitlab!101026))
- [Improve mobile layout of MR widget](gitlab-org/gitlab@52d75abe2f2e838244fed89df964d3c95eec8c01) ([merge request](gitlab-org/gitlab!100956))
- [Vertically align MR badge and branch info](gitlab-org/gitlab@ee561a8f68918c2068b45b082be85a3390a856d1) ([merge request](gitlab-org/gitlab!101800))
- [Fix issues with some scopes not being sent during token creation](gitlab-org/gitlab@be69cd51d09cdd47dc9433df13ee5e18e9b4a36a) ([merge request](gitlab-org/gitlab!101635))
- [Optimize UnestedInFilters query rewriter](gitlab-org/gitlab@5f0172f70dc7c1df9f9c854ebfdbc972c7e7fc15) ([merge request](gitlab-org/gitlab!101703))
- [GitLab Version - Fix nested links in help dropdown](gitlab-org/gitlab@86c9b88f0a8ceb06c3c900e48c217ee9680a93f8) ([merge request](gitlab-org/gitlab!101426))
- [Fixing cotaining => containing typo](gitlab-org/gitlab@b395d7d7f5d886d9cc3aa879172dbbc919bdf921) ([merge request](gitlab-org/gitlab!101723))
- [Show re-deploy/rollback button to deployment-only users](gitlab-org/gitlab@de3ad515f5ce9201e8709c7f18a8d723f046978e) ([merge request](gitlab-org/gitlab!101400)) **GitLab Enterprise Edition**
- [Prevent web_hooks.recent_failures overflowing](gitlab-org/gitlab@3d55430f965eee49d0913f3ea5d3aa7f34de23c3) ([merge request](gitlab-org/gitlab!101509))
- [Fix Ci::RegisterJobService return value](gitlab-org/gitlab@e9446c1dddc140fdadf5a135ebcb66c5fc47aaf5) ([merge request](gitlab-org/gitlab!101682))
- [Fix design management styling in MR diff](gitlab-org/gitlab@c4def698f50b48f3e8c80b87469b0182cfbe5de3) ([merge request](gitlab-org/gitlab!101680))
- [Updated bulk move issues milestone in the docs](gitlab-org/gitlab@4cef30324a5e3a3e1145c8a8e59afaf8a3c4261e) by @zillemarco ([merge request](gitlab-org/gitlab!101644))
- [Disable commenting on lines that will fail to save the comment](gitlab-org/gitlab@b0c6e076f69449ef1152c6cb40f48ef63024ebba) ([merge request](gitlab-org/gitlab!100102))
- [Preload indexing records in batches](gitlab-org/gitlab@6b01330a5a2442a295469e7e374b9a56e3a494a9) ([merge request](gitlab-org/gitlab!101636)) **GitLab Enterprise Edition**
- [Show mergedYaml content whenever available](gitlab-org/gitlab@e43dbc5d6cb8b92b2f1f66f5ea4feaa181a099d9) ([merge request](gitlab-org/gitlab!100425))
- [Ensure schemas are up-to-date after migration tests complete](gitlab-org/gitlab@673e6eca297bb3c476b89ce8c74617aa5e978ce1) ([merge request](gitlab-org/gitlab!101613))
- [Admin email form - disable submit until required fields are completed](gitlab-org/gitlab@3784680625fbe8bb2fd0269ed6a49e5cf9257ef5) ([merge request](gitlab-org/gitlab!100353)) **GitLab Enterprise Edition**
- [Update scrolling issue](gitlab-org/gitlab@7447812ffdd2ddf53f799add0f75748c7ec8ad9a) ([merge request](gitlab-org/gitlab!101587))
- [Specify certificates when connecting to KAS using TLS](gitlab-org/gitlab@71f477b7e86bdb19eca46e7af4796d1190070eb5) ([merge request](gitlab-org/gitlab!101571))
- [Fix vertical alignment of system note icon](gitlab-org/gitlab@36bff2d998096f59b8800784d7194f68a05a3705) ([merge request](gitlab-org/gitlab!101111))
- [Fix wrong behavior when CI keyword "when" is an array](gitlab-org/gitlab@cf12e658fb7f282b77a3e9670ed7526ec1d97572) ([merge request](gitlab-org/gitlab!101350))
- [Updates the PlayBuildService to use can_enqueue](gitlab-org/gitlab@110dc52d66b37832919000d8fe3fbdde9bd68654) ([merge request](gitlab-org/gitlab!97706))
- [Add terms disclaimer to Group SAML sign in page](gitlab-org/gitlab@f02ef37ba942e1a4be3513c7827e5e58085cbc8d) ([merge request](gitlab-org/gitlab!100046)) **GitLab Enterprise Edition**
- [Allow dashes in datadog site](gitlab-org/gitlab@f3716afe9003ec3da894256f2d0bb72f807af332) ([merge request](gitlab-org/gitlab!101097))
- [Fix flaky tests for git rate-limiting services](gitlab-org/gitlab@0eb64aecbc9d203b89bb1fe1913353566886fbee) ([merge request](gitlab-org/gitlab!95468)) **GitLab Enterprise Edition**
- [Paths that aren't strings are considered invalid](gitlab-org/gitlab@84d7cacf83d9318569851b553d9569ee35dfc5c3) ([merge request](gitlab-org/gitlab!96388))
- [Fix: locale on create protected tag page](gitlab-org/gitlab@a5bce5779c2b5b07754e43402b466f9520a6ef19) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!101337)) **GitLab Enterprise Edition**
- [Delete state transtions with no state change](gitlab-org/gitlab@653b8cc6d8f9ae9f1d3ceb215d7534e7c2a19626) ([merge request](gitlab-org/gitlab!100992))

### Changed (195 changes)

- [Clean up ci_variable_settings_graphql ff](gitlab-org/gitlab@f85e47a0b7b865d3ce37868efedb9afb6db812a7) ([merge request](gitlab-org/gitlab!103942))
- [Improve user impersonation button UX](gitlab-org/gitlab@566694788186a9e0e7607d2c544f74609c5f9759) by @geriley ([merge request](gitlab-org/gitlab!103831))
- [Remove unusable feature flag](gitlab-org/gitlab@6dd9b11881ba72f3254b78eb0ff58e3f8069062f) ([merge request](gitlab-org/gitlab!104231))
- [Remove index_user_callback feature flag](gitlab-org/gitlab@59e9fb6cf42e1b1e0fa39328e3a232339a294c6c) ([merge request](gitlab-org/gitlab!104199))
- [Fix a typo in suggestions REST API doc](gitlab-org/gitlab@e5b1a93ed02414e76146e2176f9e9fb7acff6ed3) ([merge request](gitlab-org/gitlab!104190))
- [Service account list links back to Google Cloud Console](gitlab-org/gitlab@eb78c6c282b1650306256a948b823f00b4aa2f30) ([merge request](gitlab-org/gitlab!103919))
- [Removed duplicated build package information](gitlab-org/gitlab@f8f496ae1b3a50a1732fe32ce307e964a0ed0a59) ([merge request](gitlab-org/gitlab!104034))
- [Pass search curation flag to elasticsearch indexer](gitlab-org/gitlab@68cb2113f9f584b9ec3ed72a437f6f8e54059088) ([merge request](gitlab-org/gitlab!103832)) **GitLab Enterprise Edition**
- [Disable spellcheck on CI variables value field](gitlab-org/gitlab@fcb52a19a9781e582b68b1bf91cb8027432127d2) ([merge request](gitlab-org/gitlab!102975))
- [Change validation for name in scan finding approval rules](gitlab-org/gitlab@19e44370e1f79d941cf7f6b0b50972d5c96d9b1d) ([merge request](gitlab-org/gitlab!103449))
- [Update merge request loading error message](gitlab-org/gitlab@9cd5e018167273840bcc7bb43a7f413988b5729c) ([merge request](gitlab-org/gitlab!103303))
- [Enable watchdog by default for Puma](gitlab-org/gitlab@73d2519f298ff3f5d3921aa998c884a6e81707b2) ([merge request](gitlab-org/gitlab!103472))
- [This MR transfers method to vue_shared](gitlab-org/gitlab@dddb82484b824a255c5e7a6ebe30bea5e1f92f1b) ([merge request](gitlab-org/gitlab!104105)) **GitLab Enterprise Edition**
- [Add highlight.js plugin to highlight podspec.json files](gitlab-org/gitlab@e0dd1ef547ee4892781d9972cb390247c8a2b292) ([merge request](gitlab-org/gitlab!103606))
- [Add status checks and approval rules to branch details](gitlab-org/gitlab@62323642e57251558d2313d73e527d1f73e7a761) ([merge request](gitlab-org/gitlab!103928))
- [Remove misleading strong emphasis in MR widget for vulnerabilities](gitlab-org/gitlab@381872e29b5dc9f43e38439c7df71b75cb0be5ca) ([merge request](gitlab-org/gitlab!103485)) **GitLab Enterprise Edition**
- [Locked files: Update copy and UI](gitlab-org/gitlab@eb0fc620e7a8ad1ad9f6ba442662db5f469d26f8) ([merge request](gitlab-org/gitlab!101114)) **GitLab Enterprise Edition**
- [Update topics open api](gitlab-org/gitlab@53bf2904614a5119fe29f4c2bda11ea15da4672a) ([merge request](gitlab-org/gitlab!103273))
- [Remove project-key-support conditional](gitlab-org/gitlab@bacc67775c87569ed3b07a99a0e7ba01b33aaf19) ([merge request](gitlab-org/gitlab!102674))
- [Enable split_operations_visibility_permissions by default](gitlab-org/gitlab@d4ed94918bb28e39a6b9ce766219bb5752d03247) ([merge request](gitlab-org/gitlab!103993))
- [Hide env scope field in Admin CI/CD variables](gitlab-org/gitlab@bd422e0d2582f1479815a17f3bc0cd0196f43c33) ([merge request](gitlab-org/gitlab!103970))
- [Add updated_at datetime to billable users blocks](gitlab-org/gitlab@d0fcdf8826d96493133be3e90f2c2ec5aca10a1d) ([merge request](gitlab-org/gitlab!102529)) **GitLab Enterprise Edition**
- [Add dry_run parameter to Search::IndexCurator](gitlab-org/gitlab@8880b434ab5d93cea3dd6061f2a21e639c2ca4db) ([merge request](gitlab-org/gitlab!103959)) **GitLab Enterprise Edition**
- [Add namespace to token access](gitlab-org/gitlab@8aa7e00e054e36ea8007848b9956058f22eaf5d7) ([merge request](gitlab-org/gitlab!102786))
- [Implement AccessLevel User and Group types with limited fields](gitlab-org/gitlab@bce982e9369a754316507d792296965b2f2eabf8) ([merge request](gitlab-org/gitlab!103191)) **GitLab Enterprise Edition**
- [Update suggestions REST API documentation and include batch_apply](gitlab-org/gitlab@e482dc26324b825aa1e4d4b94d452dfa44a07942) ([merge request](gitlab-org/gitlab!103875))
- [Add max_seats_used_changed_at index](gitlab-org/gitlab@0ac7830577169eb995d75d047ac10c2af05ccc7d) ([merge request](gitlab-org/gitlab!102928))
- [Add title to runner delete error alert](gitlab-org/gitlab@037f69a5ed3da94e12dbc93c6c3eb2e9df5e70f0) ([merge request](gitlab-org/gitlab!102535))
- [Enable `use_introspect_parser` feature flag by default](gitlab-org/gitlab@76e6a4f5aac25c33a14d39809effa316ac39ff94) ([merge request](gitlab-org/gitlab!103680)) **GitLab Enterprise Edition**
- [Add highlight.js plugin to highlight podspec.json files](gitlab-org/gitlab@5193fa1c3b701fb33ddeb4d2940259d07ed057c2) ([merge request](gitlab-org/gitlab!103385))
- [Adapt Maven API to consider the package registry access level](gitlab-org/gitlab@db62147314a9c76502e03376a767be7300782c1c) by @wwwjon ([merge request](gitlab-org/gitlab!102993))
- [Contributes to https://gitlab.com/gitlab-org/gitlab/-/issues/376870](gitlab-org/gitlab@c63981889d5c9baa00687b645848a02bc89913b4) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/102402))
- [Adapt npm API to consider the package registry access level](gitlab-org/gitlab@4dbced4800ab800fb8e7a7c2415f2c7678c0a6fc) by @wwwjon ([merge request](gitlab-org/gitlab!103185))
- [Refactor vulnerability report status filter](gitlab-org/gitlab@9ac5f29691115ebe94c9d1c33664da1a604367c5) ([merge request](gitlab-org/gitlab!103088)) **GitLab Enterprise Edition**
- [Add pipeline name to Slack pipeline messages](gitlab-org/gitlab@ec509fbd34084d5967df1073ce74fbc5deeae0e1) ([merge request](gitlab-org/gitlab!103892))
- [Remove Sidekiq jobs migration in 15.6](gitlab-org/gitlab@f955e4ede5a0722559820e02bee25ad30fbd5701) ([merge request](gitlab-org/gitlab!103889))
- [Add new field `webUrl` to VulnerabilityType](gitlab-org/gitlab@b76c11a1e29267d4f65707009dff5f0badd100f6) ([merge request](gitlab-org/gitlab!103880)) **GitLab Enterprise Edition**
- [Drop use_cdn_with_job_artifacts_ui_downloads feature flag](gitlab-org/gitlab@f74b3572df568595a9cad3620fadd0d102b0ade9) ([merge request](gitlab-org/gitlab!103857))
- [Pass column name to mount_file_store_uploader](gitlab-org/gitlab@cb2717b56d5ac00b0abefbe1d5543bcd8254a70b) by @sathieu ([merge request](gitlab-org/gitlab!100212))
- [Support structured error for UserCommitFiles](gitlab-org/gitlab@53fb76630360443df1f1bfefb43447b61bfbec14) ([merge request](gitlab-org/gitlab!101958))
- [This MR alert message for pre-scan verification](gitlab-org/gitlab@e017dc67ca419f951f620ef0ab52d11acb146868) ([merge request](gitlab-org/gitlab!102389)) **GitLab Enterprise Edition**
- [Update messages for CI include validation errors ](gitlab-org/gitlab@297b2a4577845c8b319c3df38e0f0226d843ad65) ([merge request](gitlab-org/gitlab!103390))
- [Allow using different icons for the help popover](gitlab-org/gitlab@31eba73d61a1c6084d8e5224edf2f638ee5f671f) ([merge request](gitlab-org/gitlab!103745))
- [Hide webhook value in chat integrations](gitlab-org/gitlab@1ee634be0ebdaef358ae542732d70328fce6890d) ([merge request](gitlab-org/gitlab!103458))
- [Fixed broken links](gitlab-org/gitlab@fe8053f7aaf678106745aa7a4dd4aa9ba9844cd3) ([merge request](gitlab-org/gitlab!103289))
- [Update global alert for read-only namespace](gitlab-org/gitlab@c41e0f50f247b1d881b88a5f1eedfd70a07e19dc) ([merge request](gitlab-org/gitlab!102909))
- [Open api invitations](gitlab-org/gitlab@09290de69f0942f02023291dd6450f590961076e) ([merge request](gitlab-org/gitlab!103277))
- [Add new field webUrl to Code Quality Reports API response](gitlab-org/gitlab@39f0657bf8c7c6d2bb883c99afe5dd15a7d27b2f) ([merge request](gitlab-org/gitlab!101191)) **GitLab Enterprise Edition**
- [Skip create rule for group when creating group](gitlab-org/gitlab@64a354f1eb55a123032ad64f96d344aa954f0393) by @lyb124553153 ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/103144)) **GitLab Enterprise Edition**
- [Remove trigger_mr_subscription_on_merge_status_change feature flag](gitlab-org/gitlab@d281a575c9ae7257c9438b8ed3f432e30827a5d5) ([merge request](gitlab-org/gitlab!103575))
- [Open api badges](gitlab-org/gitlab@1a586f61f717147ec7780e0de20c2d4d0f639af2) ([merge request](gitlab-org/gitlab!103282))
- [Clean up temporary code that fixed the wrongly backfilled `expire_at`](gitlab-org/gitlab@76e84c04fe6301139e02c05c193b67facc329646) ([merge request](gitlab-org/gitlab!88392))
- [Project events open api](gitlab-org/gitlab@7eab80e9cae91c149c80f5d0d99a76435406dbf5) ([merge request](gitlab-org/gitlab!103276))
- [Remove temporary index on project_features](gitlab-org/gitlab@0afbcb192866afb32179c5f49bb0280481ffd32e) ([merge request](gitlab-org/gitlab!103425))
- [Move usage_quotas/pipelines directory](gitlab-org/gitlab@a55a0d92941f765f3c261824cd34b627b9d78067) ([merge request](gitlab-org/gitlab!103407)) **GitLab Enterprise Edition**
- [Update CI/CD variable value textarea maxRow to 10](gitlab-org/gitlab@fee5d6e1dc11017905a374bb1b340de0f3e638d8) ([merge request](gitlab-org/gitlab!103221))
- [Require security approval when scans are removed in MR](gitlab-org/gitlab@cbff3afd8a3d0da7720fe4ac0784f6a823a39197) ([merge request](gitlab-org/gitlab!102631))
- [Fix SSO enforcement for public projects](gitlab-org/gitlab@9805a7e27562f3a9dd33157dc88e8708915c7067) ([merge request](gitlab-org/gitlab!102104)) **GitLab Enterprise Edition**
- [Remove highlighting from new issues](gitlab-org/gitlab@d4a011f579a6129bd33fefae402679812212d916) ([merge request](gitlab-org/gitlab!102937))
- [Add highlight.js plugin to highlight gemfiles](gitlab-org/gitlab@e3139c28a94accacfa87e368147c94d88d6ee639) ([merge request](gitlab-org/gitlab!103134))
- [Include database name in Unsupported PostgreSQL warning](gitlab-org/gitlab@da1e418508d1c7caa2785ff110c5badfc761c732) ([merge request](gitlab-org/gitlab!103183))
- [Update star_count on hooks and user state transitions](gitlab-org/gitlab@5a03cf3a9acb1b82686dab9c4a4b1e8dcf45d361) by @bufferoverflow ([merge request](gitlab-org/gitlab!100023))
- [Polish the UI for the projects list](gitlab-org/gitlab@dc5fa1601e19a99d899f0d58966ef5cd96a86968) ([merge request](gitlab-org/gitlab!100231))
- [Change job limit message](gitlab-org/gitlab@8a73438130ece6ee653b4d0988d358821e349d54) ([merge request](gitlab-org/gitlab!103051)) **GitLab Enterprise Edition**
- [This MR migrates submit buttons to pajamas component](gitlab-org/gitlab@8d485fc78afdf2becebf8dd04ef31ccbfa43b104) ([merge request](gitlab-org/gitlab!103379)) **GitLab Enterprise Edition**
- [Search Page Vue vertical navigation](gitlab-org/gitlab@cc1f8f03619188e99eb65da12e308425e70e51b2) ([merge request](gitlab-org/gitlab!102660))
- [Add h1 to user profile page](gitlab-org/gitlab@35ba4a85e3d8042792924b54114687d20a189009) ([merge request](gitlab-org/gitlab!103380))
- [Add `raw` to CI variable REST endpoints](gitlab-org/gitlab@b19df12c1b09e9ce5ebe2f6fac8aeb4daa8162c7) ([merge request](gitlab-org/gitlab!103023))
- [Refactor vulnerability report image filter tooltip into image filter](gitlab-org/gitlab@ff80a0d939547d9c9da5a10c8dded395005f84e2) ([merge request](gitlab-org/gitlab!103345)) **GitLab Enterprise Edition**
- [Search Page Vue vertical navigation](gitlab-org/gitlab@f311634cfde8fd77ef4fdef7b9b7e857d97faad9) ([merge request](gitlab-org/gitlab!97823))
- [Add notes summary into csv export](gitlab-org/gitlab@12ab71ec0d9291cb00c49af4dc2f63ea19c52bc7) ([merge request](gitlab-org/gitlab!102270)) **GitLab Enterprise Edition**
- [This MR adds stepped list for pre-scan verification](gitlab-org/gitlab@75feeec9166fc521506e97c158cb19da10c08731) ([merge request](gitlab-org/gitlab!101257)) **GitLab Enterprise Edition**
- [Migrate email_confirmation_setting value](gitlab-org/gitlab@d2f3b098f546618ae827329bb2b36bb860af4e93) ([merge request](gitlab-org/gitlab!102697))
- [Move usage_quotas/ci_minutes_usage directory](gitlab-org/gitlab@2931529203bcc62a25157e5110dd449280fddf65) ([merge request](gitlab-org/gitlab!103252)) **GitLab Enterprise Edition**
- [Bump gitlab-metrics-exporter version](gitlab-org/gitlab@24e7caba9adcae9d3dd4e11e920ea34d88397807) ([merge request](gitlab-org/gitlab!103207))
- [Exclude Sidekiq retry errors from reportable Sentry events](gitlab-org/gitlab@f60ec86f2e22f3ee8d36fa3cf3f87e4fc41ea13d) ([merge request](gitlab-org/gitlab!103035))
- [Removes unused feature flag](gitlab-org/gitlab@3cf77d46fcf7346b9dde4b870d3abe114dd9b9d7) ([merge request](gitlab-org/gitlab!102652))
- [Improve error handling of runners bulk deletion](gitlab-org/gitlab@18059056daa56afa1ddfa66e57093304e2789d48) ([merge request](gitlab-org/gitlab!102617))
- [Enabled `purge_stale_security_findings` flag by default](gitlab-org/gitlab@8db7902e1c4b70ef034798bcfe241085fdcdf51a) ([merge request](gitlab-org/gitlab!103182)) **GitLab Enterprise Edition**
- [Update toggle description button to pajamas](gitlab-org/gitlab@a1076a07f7a3b94cd0b84eb63fa2ab2f4ba5bb68) ([merge request](gitlab-org/gitlab!103174))
- [Update delete milestone button to pajamas](gitlab-org/gitlab@39cf98982f3f8e4f2b455c5631f39c0609200f8e) ([merge request](gitlab-org/gitlab!103173))
- [Add tooltip to issue header ellipsis button](gitlab-org/gitlab@a1bd358fce55df5bc72495854b3963d66dc3a3ed) ([merge request](gitlab-org/gitlab!102686))
- [Recognize 'time' for time tracking quick actions](gitlab-org/gitlab@891944f4e1ba0c5d5313505d92ec274a9d9d67c7) by @Taucher2003 ([merge request](gitlab-org/gitlab!103124))
- [Add custom context to active_users_project_repo event](gitlab-org/gitlab@a3bec3b1f8eafd50f69a38f60f49254fceafdc59) ([merge request](gitlab-org/gitlab!102580)) **GitLab Enterprise Edition**
- [Move API::BroadcastMessages endpoint](gitlab-org/gitlab@eaf1ab50659abb37d566017439ac5e8cbebcd993) ([merge request](gitlab-org/gitlab!102100))
- [Enable new test summary widget](gitlab-org/gitlab@58d1f5c13f558c44b99d805a72159f668f2389fc) ([merge request](gitlab-org/gitlab!101666))
- [Squelch "Can't verify CSRF token authenticity" messages](gitlab-org/gitlab@0a8ec00568ba0553316013a27f5c4316df0c9f80) ([merge request](gitlab-org/gitlab!102933))
- [Update access levels from protected branch api](gitlab-org/gitlab@687683868d6a12be443eb62881db30ddcdb57805) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/102898)) **GitLab Enterprise Edition**
- [Add search index curation](gitlab-org/gitlab@5696c52fc139cd011140f7597f7fb9d5e245c221) ([merge request](gitlab-org/gitlab!98809)) **GitLab Enterprise Edition**
- [Remove End-of-Support analyzers from SAST config UI](gitlab-org/gitlab@e9506e382bc6cab2e7a964166aeaea1b5c9ddbf3) ([merge request](gitlab-org/gitlab!102691))
- [Bump gitlab-metrics-exporter version](gitlab-org/gitlab@8831d36d1bb0905b806b3b1c67604bbd3dd2ab55) ([merge request](gitlab-org/gitlab!102995))
- [Add a keyword mapping for username](gitlab-org/gitlab@11c642ff5fb5986eb35ce1cc2ad0f93bba8ddf0b) ([merge request](gitlab-org/gitlab!102965)) **GitLab Enterprise Edition**
- [Add job to /api/v4/job/allowed_agents context](gitlab-org/gitlab@2c6dd8d1e4389e1504fe22f00559aeaf1466f9e7) ([merge request](gitlab-org/gitlab!102960))
- [Email says user was banned only when auto-ban setting is enabled](gitlab-org/gitlab@3f3db8287834fe72b18c88bb57fcee01abc05b15) ([merge request](gitlab-org/gitlab!101890)) **GitLab Enterprise Edition**
- [Move pipeline_schedules directory](gitlab-org/gitlab@e7dd6318b664f0fc616f724afcaf3c5708b0e10e) ([merge request](gitlab-org/gitlab!102931))
- [Track wiki verification in the project_wiki_repository_registry table](gitlab-org/gitlab@140807704bd9aaccdac743e19c23eaecaeafbe7c) ([merge request](gitlab-org/gitlab!101294)) **GitLab Enterprise Edition**
- [Track wiki replication in the project_wiki_repository_registry table](gitlab-org/gitlab@d131dba955b03fc7616d43766fbec8eac62203ce) ([merge request](gitlab-org/gitlab!101294)) **GitLab Enterprise Edition**
- [Add validationStartedAt to DastSiteProfileType](gitlab-org/gitlab@991df6b3e2334125a9afcdd3ed319079c1d5a58a) ([merge request](gitlab-org/gitlab!102884)) **GitLab Enterprise Edition**
- [Remove GitHub Import from database codeowners](gitlab-org/gitlab@5d68ea310f5116b7ad070b485ca776e91876e003) ([merge request](gitlab-org/gitlab!102890))
- [Drop Go 1.17 support and mandate Go 1.18](gitlab-org/gitlab@d786dbc76b401d9103bc6e6543c3cb49f5190120) ([merge request](gitlab-org/gitlab!102802))
- [Adapt Go API to consider the package registry access level](gitlab-org/gitlab@9a3e284c5bc6bc6652547d5b353bf76139a8ff62) by @wwwjon ([merge request](gitlab-org/gitlab!98080))
- [Limit all Sentry responses for Error Tracking](gitlab-org/gitlab@a258d5d97144eae3d07e294abcc9a50f6df04b58) ([merge request](gitlab-org/gitlab!101050))
- [Remove refactor_code_quality_extension feature flag](gitlab-org/gitlab@3ab02ad6bb87e4518bee8214eb722b1cde90fa14) ([merge request](gitlab-org/gitlab!102447))
- [Rename columns and add tooltip to path column](gitlab-org/gitlab@b4a610d5f0780b2593bb668406c6517590b0c45b) ([merge request](gitlab-org/gitlab!101914))
- [Add i18n support to default brand title](gitlab-org/gitlab@48dff6e8be91b85eeac52d04745ddb8b2544f6fd) by @icbd ([merge request](gitlab-org/gitlab!102362))
- [Removed work_items_hierarchy ff](gitlab-org/gitlab@aefe5c026cea44728daa196d555d3e87dca4cb23) ([merge request](gitlab-org/gitlab!102221))
- [Add token endpoint to the alllowed sources](gitlab-org/gitlab@49e2f7460a35968f552eadf0ef97c2821c24bbe2) ([merge request](gitlab-org/gitlab!102781))
- [Highlight Godeps.json on client](gitlab-org/gitlab@8b262729f6f30e03cde7eb0f087b0e4038a999a1) ([merge request](gitlab-org/gitlab!102188))
- [Enable lazy_load_commits feature flag by default](gitlab-org/gitlab@1dae8db249c294a2204d0ff77bf8f08c33da01d8) ([merge request](gitlab-org/gitlab!102759))
- [Display incident's severity name and label in timeline events](gitlab-org/gitlab@7546b38896496a166ca81ab728a9b56f62bfbdb9) ([merge request](gitlab-org/gitlab!102747))
- [Change timeline event length validation to 280 on user input](gitlab-org/gitlab@cccc22710bdfc02900640854a97e1bb80ab8650a) ([merge request](gitlab-org/gitlab!102630))
- [Reduce cleanup package registry worker cadence to every hour](gitlab-org/gitlab@08e8038bff2e62f4a5cde4edf7c52870c7e31bda) ([merge request](gitlab-org/gitlab!102739))
- [Removed work_items_hierarchy definition](gitlab-org/gitlab@cea2b2b375b4bd8b9382dd3c7109e627259e4a6f) ([merge request](gitlab-org/gitlab!101062))
- [Migrate Sidekiq jobs outside of current routing rules](gitlab-org/gitlab@587bd60e6642c16d92d6bd1366c9876f5343c6a5) ([merge request](gitlab-org/gitlab!100392))
- [Drop ci_job_artifacts_cdn feature flag](gitlab-org/gitlab@ee5f7e93cb1a09bd00f04bb8ebfbf17a56da06f9) ([merge request](gitlab-org/gitlab!102472))
- [Update related items empty states](gitlab-org/gitlab@19f363bf73723e70602b35cc0e77358bae645979) ([merge request](gitlab-org/gitlab!102598))
- [Remove stroke from contrib calender](gitlab-org/gitlab@8bf3a2da4d0d0452693211cc3604f975d64b3e83) ([merge request](gitlab-org/gitlab!102645))
- [Move ci_minutes_usage directory](gitlab-org/gitlab@557b732c0179d3a7d32b73e47a1ec1edf9ca931e) ([merge request](gitlab-org/gitlab!102666)) **GitLab Enterprise Edition**
- [Adding metadata to Secure Files API response](gitlab-org/gitlab@5a2a0e492fa8dca5cc79ed6141632aa97ac1c58e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/102639))
- [Change the wording of retry button for passed jobs](gitlab-org/gitlab@4a57bf24e9bc200b4f6014ad81a335018becaff9) ([merge request](gitlab-org/gitlab!101601))
- [This MR migrates legacy html button to Pajamas button](gitlab-org/gitlab@38c32299b66fedeae1aa133b66c5aee537bcd7eb) ([merge request](gitlab-org/gitlab!91954))
- [Updated the placeholder logic for trigger fields](gitlab-org/gitlab@9e10cdc8736459559d1be8ee201600105310ce7b) ([merge request](gitlab-org/gitlab!102409))
- [Backward compatible behavior in alert management client side router](gitlab-org/gitlab@76deea9406342d2440d0b9ee6241ce1279b7adab) by @dannyelcf ([merge request](gitlab-org/gitlab!101835))
- [Add feature flags user lists endpoints to OpenApi v2 docs](gitlab-org/gitlab@f8a0da7a4cd0bb46853f87692b90cea332f17a00) ([merge request](gitlab-org/gitlab!102210))
- [Add Objective and Keyresult to work item types](gitlab-org/gitlab@11df9a80e9c747741aca35a1da121aadd3bdef53) ([merge request](gitlab-org/gitlab!101324))
- [Remove `dast_ui_redesign` feature flag](gitlab-org/gitlab@69f3ec92b107afd394b591d4fff9a75dea828c82) ([merge request](gitlab-org/gitlab!101647))
- [Update documentation for troubleshooting limited job pipelines](gitlab-org/gitlab@6907b853f7d664641ecd03f78a9f4873293bc3a5) ([merge request](gitlab-org/gitlab!101966))
- [Mask the "Secret token" input in the webhook form](gitlab-org/gitlab@81f7bd3e24a445d891c10a578f3a1923c13653d5) ([merge request](gitlab-org/gitlab!101775))
- [Add MigrateSharedVulnerabilityScannersV2 background migration](gitlab-org/gitlab@9efbbac88ddd0d3200ed988c49163fcbec351d90) ([merge request](gitlab-org/gitlab!98319))
- [Use full-text search with in param](gitlab-org/gitlab@51fc091f5a257cb31d29fbd76d0994eeab309df0) ([merge request](gitlab-org/gitlab!101565))
- [Add new columns into vulnerability export](gitlab-org/gitlab@38b457d2bfceb4c80df03c3df29e26fc1b5f9ff5) ([merge request](gitlab-org/gitlab!102415)) **GitLab Enterprise Edition**
- [Improve UX for release assets screen](gitlab-org/gitlab@3a5d8856932d6792902955c66eeadb89166aa970) ([merge request](gitlab-org/gitlab!102023))
- [Guard for when user index migration has not been completed](gitlab-org/gitlab@327acab0ca0cc4baff6ab7b0570b2b8442750ab3) ([merge request](gitlab-org/gitlab!102306)) **GitLab Enterprise Edition**
- [Use inline error when adding existing item to linked items](gitlab-org/gitlab@8d434e2f8f9b70b25c4afe92b0e163fd36387ed7) ([merge request](gitlab-org/gitlab!102356))
- [Remove project_id from sprints](gitlab-org/gitlab@eb757ef2eebddf4395bc7e2cb462fbdf1061a036) ([merge request](gitlab-org/gitlab!101722))
- [Re-linked Preview tab to live-preview on .md files](gitlab-org/gitlab@19e64f9dd5825651ad99b44e4d81b580fdc7ad58) ([merge request](gitlab-org/gitlab!102189))
- [Move and refactor PATCH endpoint](gitlab-org/gitlab@de5c7d79661805738fd32501344b81f9e83bfa75) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/101903))
- [Moving default branch setting to branch default](gitlab-org/gitlab@b6f304a2be5188c0a2ad34d663c30b888fcdb28c) ([merge request](gitlab-org/gitlab!102265))
- [Update CI/CD variables table](gitlab-org/gitlab@0f6ff24474509cedf549460fe8747fdc37658fea) ([merge request](gitlab-org/gitlab!100979))
- [Add has_many alerts association to issues](gitlab-org/gitlab@5677054f93f42fccff7e729e06b883ac0ad4b61f) ([merge request](gitlab-org/gitlab!102043))
- [Update user cap description](gitlab-org/gitlab@87e7013cd4f4a94b8290fcf46d90e68f8b4a9548) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/101795)) **GitLab Enterprise Edition**
- [Change order of items in deployment sidebar](gitlab-org/gitlab@3fa92dc8f0102e93f2b93d75a9f6e6a296da2b15) ([merge request](gitlab-org/gitlab!102184))
- [Clean up and tie PBKDF2+SHA512 user passwords to FIPS](gitlab-org/gitlab@8912eed31312053fdb4b490c44d45bba5121e433) ([merge request](gitlab-org/gitlab!101691))
- [Create a user elasticsearch index and index users](gitlab-org/gitlab@de09d146123b9b8b312d6bf958a2ee13d1d7928b) ([merge request](gitlab-org/gitlab!101326))
- [Update CLI messages when action is rejected due to storage limit](gitlab-org/gitlab@a9029e499c633296c587e46698ef8b12ca4dfd17) ([merge request](gitlab-org/gitlab!100503)) **GitLab Enterprise Edition**
- [Improve issuable confirm modal](gitlab-org/gitlab@471f47613e909b403f085eb4b271ab12705b3840) by @ali_o_kan ([merge request](gitlab-org/gitlab!100181))
- [Update gitlab-labkit to v0.26.0](gitlab-org/gitlab@ecd7c09ae7811c60be692652de79838a70ba067d) ([merge request](gitlab-org/gitlab!102142))
- [Display formatted health status in issue sidebar](gitlab-org/gitlab@72f98d2a9307de9f2dd690d688f1bb22e8912d37) ([merge request](gitlab-org/gitlab!102124)) **GitLab Enterprise Edition**
- [Backfill existing user_details fields from users table](gitlab-org/gitlab@5278c29b67ab9bddf14689f1f16b118a454c672c) by @brianjaustin ([merge request](gitlab-org/gitlab!101830))
- [Allow rollback with Prevent Outdated Deployment Job feature](gitlab-org/gitlab@5764df8cf3bacafe15e7aef9ecc6006eec8c1099) ([merge request](gitlab-org/gitlab!101904))
- [Add details to security finding type](gitlab-org/gitlab@7dafa0e43becfd7b7fa8f2f9cc0b8869b56bd842) ([merge request](gitlab-org/gitlab!99546)) **GitLab Enterprise Edition**
- [Remvs redundant var `temp_deployment_associations`](gitlab-org/gitlab@e6c4dd13d66db46f485454e25c11b71d29f6bd8b) by @afzal442 ([merge request](gitlab-org/gitlab!101933))
- [This MR adds summary component to a drawer](gitlab-org/gitlab@86c71290650ae62d5c299133d9e1ca8e4e85abc7) ([merge request](gitlab-org/gitlab!100937)) **GitLab Enterprise Edition**
- [Replace token indices in ci_runners table](gitlab-org/gitlab@dc41f5b5b788bc92e72c8a690d816b50ed652b25) ([merge request](gitlab-org/gitlab!101734))
- [Revisit padding in test suite report table](gitlab-org/gitlab@87987d02f94ae7a864bd0ea707f08d2d9aff0f8d) ([merge request](gitlab-org/gitlab!101292))
- [Remove min_access_level check](gitlab-org/gitlab@c25d94d68e0bc0ebde3ad050fc5a25bdf2729c26) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/100916))
- [Add back in migration](gitlab-org/gitlab@ec34247e5366d160efa22ff6efc4b7d0c1b29ffd) ([merge request](gitlab-org/gitlab!99080))
- [Enable masking the newly created access tokens](gitlab-org/gitlab@f4486b0775c832debeb3c095d339d4f88ef7f604) ([merge request](gitlab-org/gitlab!101385))
- [Update cluster management project template](gitlab-org/gitlab@91e82d75c45ce9ae5c6694a870fc455427f07cb6) ([merge request](gitlab-org/gitlab!102001))
- [Remove agent_authorization_include_descendants feature flag](gitlab-org/gitlab@39a44f126ffd1187241c10eeaef0a885b86ecd61) ([merge request](gitlab-org/gitlab!100238))
- [Drop fingerprint column from sbom sources](gitlab-org/gitlab@7897e825f7420eee6198a4a4870b189e00f4b47b) ([merge request](gitlab-org/gitlab!101506))
- [Update commit note action buttons](gitlab-org/gitlab@f720302f3ed74e677a2cfee3a2b203dd6885cc5a) ([merge request](gitlab-org/gitlab!101662))
- [Add DeletePackageModal shared component](gitlab-org/gitlab@38227e68b1e1375cefac857ac76bec6e758eb84a) by @ali_o_kan ([merge request](gitlab-org/gitlab!100439))
- [Display container image shortened path](gitlab-org/gitlab@99f289a78d7705fbfeb5c37bfb56cc8721ef35f7) ([merge request](gitlab-org/gitlab!101897))
- [Update VSA max date range tooltip text](gitlab-org/gitlab@570db7ee456e1b12edfd90dcf71fb22ceeee7075) ([merge request](gitlab-org/gitlab!101876))
- [Less padding for sidebar subfolders on diffs](gitlab-org/gitlab@a391364960b93847d10422be4f546f544c2b7067) ([merge request](gitlab-org/gitlab!101626))
- [Add DAST_API_EXCLUDE_URLS variable for api scans](gitlab-org/gitlab@941f266ad5f9878132a809cf7db5deffa571ee4d) ([merge request](gitlab-org/gitlab!101528)) **GitLab Enterprise Edition**
- [Adapt PyPI API to consider the package registry access level](gitlab-org/gitlab@cd383b4ab548e639b24473dfae8d44db523f36a8) by @wwwjon ([merge request](gitlab-org/gitlab!100260))
- [Allow only project/group reporters to read confidential notes](gitlab-org/gitlab@60e406b072e436909229da90e7ac5812105d1e74) ([merge request](gitlab-org/gitlab!98588))
- [Update elastic search filter for confidential notes](gitlab-org/gitlab@4ee3cb1f949595ca7950aaa52c467fc105e8dd0c) ([merge request](gitlab-org/gitlab!101102)) **GitLab Enterprise Edition**
- [GitLab Version - Event naming changes](gitlab-org/gitlab@5e8b96e67b7a5589baa4cbefb8f0e55d7b5b6abc) ([merge request](gitlab-org/gitlab!101545))
- [Add `environment` keyword to deploy jobs in CI/CD templates](gitlab-org/gitlab@8433a28f996331a8642012a1d5ad3a838850b0f2) by @anshulriyal ([merge request](gitlab-org/gitlab!100958))
- [Add a meaningful event name for path in Project](gitlab-org/gitlab@391c397677ffe1a7f6de8180a6c03e63e505a5af) ([merge request](gitlab-org/gitlab!100770)) **GitLab Enterprise Edition**
- [Improve alert management client-side router usage](gitlab-org/gitlab@e652c9ae18ed68103d1b074a25b16d2a84c526e6) by @dannyelcf ([merge request](gitlab-org/gitlab!101439))
- [Add email confirmation setting enum](gitlab-org/gitlab@e126544f5f452cab0fc9b4f3b028cc2d86bd5365) ([merge request](gitlab-org/gitlab!101564))
- [Update dependency auto-build-image to v1.21.0](gitlab-org/gitlab@ecef3e8a3e6c2e7d711be039c48e7d47159ab5f1) ([merge request](gitlab-org/gitlab!101679))
- [Group SAML Group Sync retains default membership](gitlab-org/gitlab@a7f7292869952ef3979a982fb72f1c86a64a3699) ([merge request](gitlab-org/gitlab!101646)) **GitLab Enterprise Edition**
- [Stop returning alerts from prometheus alerts endpoint](gitlab-org/gitlab@53b9c7c69879d2111b987021f8a0fe2d7c765f24) ([merge request](gitlab-org/gitlab!100840))
- [Update dependency auto-deploy-image to v2.42.1](gitlab-org/gitlab@ade2d0a8a47247f6d257cdc9005b07c9f845f33c) ([merge request](gitlab-org/gitlab!101475))
- [Adds package registry migration survey banner](gitlab-org/gitlab@91ebb8241a3831dd19ea768a3d4e9e615d5f856c) ([merge request](gitlab-org/gitlab!100784))
- [Create merge_request_diff asynchronously](gitlab-org/gitlab@1c2ea6fc98b043d431f4c5cb3c7f9700d766d8b2) ([merge request](gitlab-org/gitlab!100390))
- [Extract values  and add them to constants](gitlab-org/gitlab@a88ef3dbd055ec10178ab0e255bb9d29ff5309ec) by @TrueKalix ([merge request](gitlab-org/gitlab!101245))
- [Remove remove_extra_primary_submenu_options feature flag](gitlab-org/gitlab@76a2e99d65d6d1f72634c80c3f9931d084cb3264) ([merge request](gitlab-org/gitlab!101183))
- [Remove new_navbar_layout feature flag](gitlab-org/gitlab@4649c24b11f85054dbb061f6ff9b420904ff5f25) ([merge request](gitlab-org/gitlab!101182))
- [Add support for group level scan result policies](gitlab-org/gitlab@ac386b24469714ecb897b57cac36d6fc91cae6f8) ([merge request](gitlab-org/gitlab!98829)) **GitLab Enterprise Edition**
- [Update various buttons to use pajamas component](gitlab-org/gitlab@9b780f0dbecb0bd0835a0b68eae561c3ee706e24) ([merge request](gitlab-org/gitlab!101456))
- [Add API_REQUEST_HEADERS variable for api scans](gitlab-org/gitlab@81ee4a620c33dafbd3d9937f0f26bd59a7e52a58) ([merge request](gitlab-org/gitlab!101559)) **GitLab Enterprise Edition**
- [Show only active users on Starrers page of a project](gitlab-org/gitlab@d7e1cbd85d016e1b072ef2f80fa76af31d19e511) by @wwwjon ([merge request](gitlab-org/gitlab!101526))
- [Cleanup admin/subscription page tables](gitlab-org/gitlab@3b6263f622e4a876307ceaf6b8e5fbf21cdebb96) ([merge request](gitlab-org/gitlab!101479)) **GitLab Enterprise Edition**
- [Change "Self monitoring" to "Self-monitoring"](gitlab-org/gitlab@afb0298b1854d3f48605b5482b0f777927e1403a) by @scootergrisen ([merge request](gitlab-org/gitlab!101423))
- [Optimise remediation ingestion with bulk insertion](gitlab-org/gitlab@175b174c457759850b28990f8b87eb99575a5090) ([merge request](gitlab-org/gitlab!100948)) **GitLab Enterprise Edition**
- [Rename ci_pipeline_metadata.title to name](gitlab-org/gitlab@4b4b83436b26513b3b4114c2d15f6fbe49185ab0) ([merge request](gitlab-org/gitlab!101196))
- [Remove unnecessary horizontal lines](gitlab-org/gitlab@dcea6fd105bc7b3c04e54a10c9613e5a0b0ce0dd) ([merge request](gitlab-org/gitlab!100981))
- [Clean up logged_out_marketing_header](gitlab-org/gitlab@fbc6abd4e4c5ae55074b9d066db74dd55d881fe1) ([merge request](gitlab-org/gitlab!99969))
- [Remove without_deleted param](gitlab-org/gitlab@e4e077b7e22e10beaf4ed28833c51530644d42d6) ([merge request](gitlab-org/gitlab!98871))

### Deprecated (2 changes)

- [Deprecation notice for `merge_status` field](gitlab-org/gitlab@7b22cf06dfdcc0fc04466f6f8a88c918f4413439) ([merge request](gitlab-org/gitlab!103953))
- [Deprecate registration token in Runner Operator](gitlab-org/gitlab@c2f9b3f4c64593c260d81c9f7c3a0e975d62994a) ([merge request](gitlab-org/gitlab!103793))

### Removed (6 changes)

- [Remove temp index invalid member](gitlab-org/gitlab@9c7973a88dca4e1ba2308b28927615dd49f17478) ([merge request](gitlab-org/gitlab!102849))
- [Remove unused method to check if we should re-download data](gitlab-org/gitlab@6f3de9487d42c73603761c60a95d5ff6a07de8a6) ([merge request](gitlab-org/gitlab!101294)) **GitLab Enterprise Edition**
- [Remove missing_security_scan_types feature flag](gitlab-org/gitlab@55cc130c39ade50160690325dffa760029bde83e) ([merge request](gitlab-org/gitlab!102248))
- [Remove old product analytics features](gitlab-org/gitlab@3167ff1e0d908fc0b414a7021302c22d3fe9b145) ([merge request](gitlab-org/gitlab!101500))
- [Remove temp index on approval_merge_request_rules](gitlab-org/gitlab@36982ed0584b566f0aee3c7448f7f42adff8ea79) ([merge request](gitlab-org/gitlab!101523))
- [Remove new layout feedback banner](gitlab-org/gitlab@a196aa8c771c6e174601106e02124edbe4d8a879) ([merge request](gitlab-org/gitlab!101482))

### Security (13 changes)

- [Handle JSON input correctly for swagger-ui](gitlab-org/gitlab@e295fe2442fdbb2dd38be0ebfd3b52462f6c8f6d) ([merge request](gitlab-org/gitlab!102774))
- [Redact confidential references in Jira issue descriptions](gitlab-org/gitlab@18301bf90468c822b652e5ebc450c2ea99e11e59) ([merge request](gitlab-org/gitlab!102774))
- [Forbid reading emojis on internal notes](gitlab-org/gitlab@a5f92c5ad071af7ffc849583bd77b33c2a33e26a) ([merge request](gitlab-org/gitlab!102774))
- [Fix Running Upstream Pipelines Jobs Without Permission](gitlab-org/gitlab@bf25b1b79835b0612c680d54b6e43fffc8b8ff00) ([merge request](gitlab-org/gitlab!102774))
- [Same-site redirect vulnerability](gitlab-org/gitlab@56662e670325c8914a39c2fd884c4158fa5bc75a) ([merge request](gitlab-org/gitlab!102774))
- [Update Gitaly Version](gitlab-org/gitlab@8a7e2e8b3fd30c48990d41c28d020fcf6104c638) ([merge request](gitlab-org/gitlab!102774))
- [Resolve users can view audit events from other members](gitlab-org/gitlab@024defe34c80ddafd8d397f6786b44612573e2a7) ([merge request](gitlab-org/gitlab!102774))
- [Add a redirect wall before artifact redirect to pages](gitlab-org/gitlab@f182581690b345d0fd8497a6140df4d8cc053a18) ([merge request](gitlab-org/gitlab!102774))
- [Sandbox swagger-ui to prevent injection attacks](gitlab-org/gitlab@ef63d406e90370cbe87053c1983347d65bf5e6ef) ([merge request](gitlab-org/gitlab!102774))
- [BYPASS: Stored-XSS with CSP-bypass via scoped labels' color](gitlab-org/gitlab@d104139ddcc42e106ac6b90ac16f57bd0fe3448d) ([merge request](gitlab-org/gitlab!102774))
- [Fix external project permission when using CI prefill variables](gitlab-org/gitlab@a27bd86def9bc9e90ecd5b1c63334a18dc6f909e) ([merge request](gitlab-org/gitlab!102774))
- [Path traversal fix for Secure Files](gitlab-org/gitlab@e3475d819652d39d1434aa5d187d35be937b0179) ([merge request](gitlab-org/gitlab!102774))
- [Add length limit to addressable URLs](gitlab-org/gitlab@2814aec34752a1e14815032b469e9e273847a112) ([merge request](gitlab-org/gitlab!102774))

### Performance (22 changes)

- [Remove `group_overview_tabs_vue` feature flag](gitlab-org/gitlab@1b9c1fcf215c7c3184496ab7d68a6a04b28bc97b) ([merge request](gitlab-org/gitlab!103545))
- [Use efficient in operator query for fetching group & project activities](gitlab-org/gitlab@a886eb68803e262e40ecd8f54dab835197a04a41) ([merge request](gitlab-org/gitlab!103896))
- [Add in_product_marketing_emails index](gitlab-org/gitlab@3f3bef3488971a3fdb144dc06856f7aff3799437) ([merge request](gitlab-org/gitlab!100606))
- [Cleanup cache_unleash_client_api feature flag](gitlab-org/gitlab@8d7972a42bc186ba5f48d2ccc3465b08f6964c99) ([merge request](gitlab-org/gitlab!103724))
- [Memoize Project#has_group_hooks? check](gitlab-org/gitlab@42f52e386c792ff2d92ee9e6755ae04d75191d6f) ([merge request](gitlab-org/gitlab!103509)) **GitLab Enterprise Edition**
- [Only build MR hook data when needed](gitlab-org/gitlab@6cab9462e14c3a1289c544162ef0755fdc5a749f) ([merge request](gitlab-org/gitlab!103454))
- [Fix Projects list API preloaders](gitlab-org/gitlab@e0d412bc7a0fff2e52702887462a405fdee043c5) ([merge request](gitlab-org/gitlab!96108))
- [Switch transfer group dropdown to API data source](gitlab-org/gitlab@34530809ebb72ec64f8b60d8df695fc54bd74794) ([merge request](gitlab-org/gitlab!101808))
- [Remove duplicate_jobs_cookie feature flag](gitlab-org/gitlab@a20a0f9c13da4cb4b2e6102156cd7d0bc250c233) ([merge request](gitlab-org/gitlab!102646))
- [Remove user_destroy_with_limited_execution_time_worker feature flag](gitlab-org/gitlab@461b5efdc103b19425c2361eeb71c9ee594e3dec) ([merge request](gitlab-org/gitlab!99975))
- [Use partial GIN index for non-latin issue searches](gitlab-org/gitlab@cad6db1129441eb59fc3bc3df80aaacefd71dc77) ([merge request](gitlab-org/gitlab!102962))
- [Improve performance of MR changes count](gitlab-org/gitlab@b4943dd46dc8837c59ad7163faf93e035d88d710) ([merge request](gitlab-org/gitlab!102964))
- [Improve issue search performance for recent items](gitlab-org/gitlab@27e51673286b851c4ab3db5826382538d308393c) ([merge request](gitlab-org/gitlab!102866))
- [Change ActiveSupport::JSON to use Gitlab::Json](gitlab-org/gitlab@a3ab2ba56159b1f02c73c8b7775361224bcf14c1) ([merge request](gitlab-org/gitlab!101060))
- [Add GhostUserMigration#consume_after column](gitlab-org/gitlab@2579b5b44a8ce5ecb03ea2c640471656fa5ac783) ([merge request](gitlab-org/gitlab!101360))
- [Render first chunk immediately](gitlab-org/gitlab@1e17889deeb723b9d78ced2888f5dedcc4db5a2b) ([merge request](gitlab-org/gitlab!102520))
- [Memoize Project#has_active_integrations? check](gitlab-org/gitlab@11f1e541db579d4516f597d50b09bae45b949b7c) ([merge request](gitlab-org/gitlab!102496))
- [Replace Sidekiq JSON methods with Gitlab::Json](gitlab-org/gitlab@64159f4fb41f3be37bb3e7f6538e3de0306635a9) ([merge request](gitlab-org/gitlab!102037))
- [Optimize source viewer rendering](gitlab-org/gitlab@920e6482471d51f536e22050c30551c789b21f0e) ([merge request](gitlab-org/gitlab!101942))
- [Add server-side pagination to SearchFilesByName](gitlab-org/gitlab@5816ad4d588a2b711f82c41c5d19d2dba739ae7e) ([merge request](gitlab-org/gitlab!101784))
- [Optimize source viewer rendering](gitlab-org/gitlab@f08e859758bf9d39d4d4efce67e4b87565fae4c9) ([merge request](gitlab-org/gitlab!101625))
- [Disable fastupdate on issues and merge_requests GIN indexes](gitlab-org/gitlab@bc6397c7ff50c66badcc932894c811bb68521d55) ([merge request](gitlab-org/gitlab!101556))

### Other (60 changes)

- [Fix Style/Next offenses](gitlab-org/gitlab@2493f6b70e30a30d7e2374b20b0c422dd183e0c5) by @mhdasm3 ([merge request](gitlab-org/gitlab!102088))
- [Propagate feature flag actors in all Gitaly RPC services](gitlab-org/gitlab@a7dbf3aaf8d5173e123c55ee38e49e325a2f051e) ([merge request](gitlab-org/gitlab!103513))
- [Add migration for new index](gitlab-org/gitlab@e4b491a189588ee79dc92897161987913e634082) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/103661))
- [Enforce HTTP/HTTPS schemes in Octokit Middleware](gitlab-org/gitlab@30ba861c7f6bcef534eee184b7093d629ff072cd) ([merge request](gitlab-org/gitlab!103537))
- [RuboCop: Enable previously disabled Rails/ContentTag](gitlab-org/gitlab@b27b91b165a542fe52b957b2667423bd60ca8f28) by @edith007 ([merge request](gitlab-org/gitlab!94015))
- [RuboCop: Enable previously disabled Rails/LexicallyScopedActionFilter](gitlab-org/gitlab@2260a4366a3cb6dd7a2af0c9977493880e9c4ffe) by @edith007 ([merge request](gitlab-org/gitlab!94040))
- [Remove `ci_job_jwt` feature flag](gitlab-org/gitlab@f5b8291aaafbc05ebb995053eaf83cfe2f98d468) ([merge request](gitlab-org/gitlab!103797))
- [Stop tracking errors when deleting branches](gitlab-org/gitlab@6009cd9183afe4da3a9dbef7c3086dd5e186600a) ([merge request](gitlab-org/gitlab!103841))
- [Improve the specs in `invitations_spec.rb`](gitlab-org/gitlab@58ff63134ca7f119c339599180cb44e228efcafd) ([merge request](gitlab-org/gitlab!103758))
- [Prepare removal of old issue trigram indexes](gitlab-org/gitlab@d791a12b1dd06ec882495973873d77a130b85495) ([merge request](gitlab-org/gitlab!103733))
- [Propagate user_id to Gitaly via gRPC metadata](gitlab-org/gitlab@38e8ff48e046976bbb1af9243edbb73b6b6f91cc) ([merge request](gitlab-org/gitlab!103648))
- [Remove experiment_users table](gitlab-org/gitlab@2624b57aad0cc414e68e9d0e9fc9c17d271d249b) ([merge request](gitlab-org/gitlab!102337))
- [Removed realtime labels FF](gitlab-org/gitlab@20ec05f6f22cdf43912d604945a0455ffdefe6a5) ([merge request](gitlab-org/gitlab!103199))
- [Add more logs for CI config external files V2](gitlab-org/gitlab@9e5de43bb1eaf27ae01189c8145cde1877eed3f3) ([merge request](gitlab-org/gitlab!103160))
- [Removes truncate_long_blobs_in_search flag](gitlab-org/gitlab@fa331b1967e1c1b0aab8e586f1313e762e59b4b0) by @sd5869 ([merge request](gitlab-org/gitlab!103493))
- [Deprecate merge_status from api and webhooks](gitlab-org/gitlab@85df56481b9b03ea12d1fe0bc22d9ae98ed7e9f6) ([merge request](gitlab-org/gitlab!103326))
- [Add post migration for deleting tag data](gitlab-org/gitlab@9c80079f6bdb6208bdc675ae1a03d58213cbc27e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/103086))
- [Propagate feature flag actors in Gitaly RPC calls](gitlab-org/gitlab@fb1b6f7896ab7affdb4f765755cd5e3862108efb) ([merge request](gitlab-org/gitlab!101218)) **GitLab Enterprise Edition**
- [Add new job for solely deleting branchs from gitaly](gitlab-org/gitlab@c83fec69706520da30ce7a1a8dbd53bbfba82290) ([merge request](gitlab-org/gitlab!102208))
- [Update invisible_captcha gem from 1.1.0 to 2.0.0](gitlab-org/gitlab@338e3e30666ad48cb13f7591f11c1075bc1443e8) ([merge request](gitlab-org/gitlab!103307))
- [Updated OAuth example links to https](gitlab-org/gitlab@4ed9b899169224c92e938db275c0b953f245e5f7) by @zillemarco ([merge request](gitlab-org/gitlab!103071))
- [Documentation changes for latest release and release asset download API](gitlab-org/gitlab@3f77459536bd5fbb265958a10cd7241dcde3ce55) by @zillemarco ([merge request](gitlab-org/gitlab!102368))
- [RuboCop: Enable Style/Lambda and change to `EnforcedStyle: literal`](gitlab-org/gitlab@1c18c3de089062725ff62e4ef7e25f446fe78738) by @edith007 ([merge request](gitlab-org/gitlab!94317))
- [Validate environment_id foreign key on deployments table](gitlab-org/gitlab@7dd58b03b780612cd2326ba6065205982844f678) ([merge request](gitlab-org/gitlab!103062))
- [RuboCop: Disable Rails/HasManyOrHasOneDependent permanently](gitlab-org/gitlab@2749dd76f44ba846510d44254e6d9bd6740fc484) by @edith007 ([merge request](gitlab-org/gitlab!94024))
- [Add more logs for CI config external files](gitlab-org/gitlab@b5ac255128f8053af0ce7cf270104ba19018caf9) ([merge request](gitlab-org/gitlab!102638))
- [Put requirements filter by test reports under feature flag](gitlab-org/gitlab@f9d9d0ab1f90b7950fa1bfa6f26e801a32e02332) ([merge request](gitlab-org/gitlab!102921)) **GitLab Enterprise Edition**
- [Removes ipynb_semantic_diffs feature flag](gitlab-org/gitlab@2a1ac9aad4d7f462f0e6ec6b2a3aa04230597351) ([merge request](gitlab-org/gitlab!95373))
- [Add rubocop cop Graphql/EnumNames](gitlab-org/gitlab@3e1039d3adfd1b1c302c540c2c0aa718d9006e1f) by @fabsrc ([merge request](gitlab-org/gitlab!102204))
- [Stub license to fix JH integration factory spec](gitlab-org/gitlab@ed6eed8e2351dcfa3bf4784693c2dda89af82036) by @chaomao ([merge request](gitlab-org/gitlab!101900))
- [Change DuplicateJobs cookie key](gitlab-org/gitlab@49455db9712bd29835fc60fa8fa7652900539c17) ([merge request](gitlab-org/gitlab!102778))
- [Fix Style/RedundantInterpolation offenses in spec/](gitlab-org/gitlab@e7b714692c274333d231873eed62886562ad443a) by @mhdasm3 ([merge request](gitlab-org/gitlab!102094))
- [Add index to support filtering issues by last test report state](gitlab-org/gitlab@3d1aa63310188448721528351b124e9c81d72b93) ([merge request](gitlab-org/gitlab!101522))
- [Remove externally_stored_diffs_caching_export feature flag](gitlab-org/gitlab@1c94cfdc8f9074a0b1c1647d30411ffe08b53f8f) ([merge request](gitlab-org/gitlab!102390))
- [Consolidate Wiki model methods](gitlab-org/gitlab@f44013d12533b8314a2e43787a9d74e27af422e2) ([merge request](gitlab-org/gitlab!102511)) **GitLab Enterprise Edition**
- [Ensure that requirement belongs to same project of work item](gitlab-org/gitlab@dda05780d6e3adef8f9ec61d1f1f6480d1803af6) ([merge request](gitlab-org/gitlab!101792)) **GitLab Enterprise Edition**
- [Fix Style/CaseLikeIf offenses](gitlab-org/gitlab@7f6b5e53b1a4892e64f0f98fe4ab75fa955ecae5) by @mhdasm3 ([merge request](gitlab-org/gitlab!102086))
- [Another attempt to create issue trigram indexes](gitlab-org/gitlab@945cbff1d5c130b7f315ae9df83608539935b091) ([merge request](gitlab-org/gitlab!102353))
- [Update fogbugz gem to 0.3.0](gitlab-org/gitlab@6886a314e21bad2be9bcd4b36e7cbcb280f231f2) ([merge request](gitlab-org/gitlab!102195))
- [Edit pipeline-triggers API annotation](gitlab-org/gitlab@553887c3962c38432d7833fd7f46c77859426b24) ([merge request](gitlab-org/gitlab!101127))
- [Remove FF ci_stop_expanding_file_vars_for_runners](gitlab-org/gitlab@b344a7c2242087b5963d28a3bc5176a7a7ba0f3d) ([merge request](gitlab-org/gitlab!102160))
- [Remove FF ci_requeue_with_dag_object_hierarchy](gitlab-org/gitlab@46de201f9e8b2680b28ad5a83ce19c1d67045ab5) ([merge request](gitlab-org/gitlab!102157))
- [Remove outdated gocloud.dev backport](gitlab-org/gitlab@afc7069720009ccb4239ac87c36929d278ea0c2c) ([merge request](gitlab-org/gitlab!101956))
- [Use MessagePack for DuplicateJobs cookies](gitlab-org/gitlab@baa1e88a9da46ef996d6bc6f58d29791b89580e4) ([merge request](gitlab-org/gitlab!101925))
- [Improve Upgrade Path tool visibility](gitlab-org/gitlab@d7692d0d2f93da061d3621e734f7a700a518396f) by @zillemarco ([merge request](gitlab-org/gitlab!101774))
- [Expose the raw attribute of ci-variables models](gitlab-org/gitlab@313a5b37fd6731bc68e8dc7851cf259eb4e16573) ([merge request](gitlab-org/gitlab!100020))
- [Cleanup task system note renaming background migration](gitlab-org/gitlab@75e541badc607f9aa5c7bd77543d538fd7a7046e) ([merge request](gitlab-org/gitlab!101428))
- [Change DuplicateJobs Redis format](gitlab-org/gitlab@1cb3e2f0aa55a317d1a783b8021177650f7c7b9c) ([merge request](gitlab-org/gitlab!100851))
- [Move work item weight counters to CE](gitlab-org/gitlab@5ffd5371efe40ff662ca762cf378ccb7d925aa61) ([merge request](gitlab-org/gitlab!101319))
- [Update graph button to pajamas](gitlab-org/gitlab@660977f848702706fec2d3ae821b4e7f44674052) ([merge request](gitlab-org/gitlab!101675))
- [Remove unused haml file that was moved to Vue](gitlab-org/gitlab@66b09fdb478bef4e7cd56a0a28273ec9b98e3060) ([merge request](gitlab-org/gitlab!101668))
- [Remove default-enabled hash_oauth_tokens feature flag](gitlab-org/gitlab@7cbf22275bf248e602894052ecdc450004463e89) ([merge request](gitlab-org/gitlab!101657))
- [Remove 'audit_event_streaming_git_operations' feature flag](gitlab-org/gitlab@b0547f7607181f7ba183ea0d5a84a0ff6d7f17e3) ([merge request](gitlab-org/gitlab!101583))
- [Update profile buttons to pajamas](gitlab-org/gitlab@d713ad4b48e53ea16ea8a7ec5fedffed07e060cb) ([merge request](gitlab-org/gitlab!98875))
- [Remove disable_load_entire_blob_for_diff_viewer feature flag](gitlab-org/gitlab@016d03e41299870329d1b34a0d369a4502ad18cd) ([merge request](gitlab-org/gitlab!101391))
- [Move the stale etag check before highlighting cache](gitlab-org/gitlab@a3220c7f71fc783c7d75a216b2d106bbedd12444) ([merge request](gitlab-org/gitlab!101421))
- [Add variable name to file-variable logging](gitlab-org/gitlab@f45e58a172131b479c4eb838dd2ec2e342edde73) ([merge request](gitlab-org/gitlab!101513))
- [Add delay when performing refresh with delay](gitlab-org/gitlab@736dcda28c106d820c3f29fd21a25e45c936cd38) ([merge request](gitlab-org/gitlab!101369))
- [Update Gitlab Shell to 14.13.0](gitlab-org/gitlab@691262f5c25c17efcfa50307862afa66d07366a4) ([merge request](gitlab-org/gitlab!101372))
- [Migrate card to Pajamas](gitlab-org/gitlab@10577294ed64b13d7668be0c2041ec133e8f7f87) ([merge request](gitlab-org/gitlab!98861)) **GitLab Enterprise Edition**

## 15.5.9 (2023-01-12)

No changes.

## 15.5.8 (2023-01-12)

No changes.

## 15.5.7 (2023-01-09)

### Security (10 changes)

- [Avoid regex with potential for poorly performing backtracking](gitlab-org/security/gitlab@c3f8d8c93e99ac3f226668086bfbf21739b02a0e) ([merge request](gitlab-org/security/gitlab!2989))
- [Protect web-hook url variables after changing URL](gitlab-org/security/gitlab@8a18fea752a2759938b4c3d28516b6ed9386404f) ([merge request](gitlab-org/security/gitlab!2978))
- [Limit the size of user agent to reduce ReDos attack](gitlab-org/security/gitlab@293db707009b7dd133a9a55b25892506013062fd) ([merge request](gitlab-org/security/gitlab!2991))
- [Only allow safe params for diff helper](gitlab-org/security/gitlab@0c5de464c1d062103d6bc81cca45f7298929ca68) ([merge request](gitlab-org/security/gitlab!2951))
- [Protect Sentry auth-token after changing URL](gitlab-org/security/gitlab@a2c3380748eb3aa36f23c74f1666c741fafec635) ([merge request](gitlab-org/security/gitlab!2986))
- [Delete project specific licenses when license policy is deleted](gitlab-org/security/gitlab@312a28196df206b501861b6528b4b6fcaf7cc686) ([merge request](gitlab-org/security/gitlab!2896))
- [Restrict user avatar availability based on visibility restrictions](gitlab-org/security/gitlab@f7b5c0a57b64c15edb0f555dd53c26b9d6147f0e) ([merge request](gitlab-org/security/gitlab!2973))
- [Policy change to read and destroy token without license for .com](gitlab-org/security/gitlab@b51bc20ba07d8ef3d339aeacd1b0f904521f4158) ([merge request](gitlab-org/security/gitlab!2914))
- [Restrict Grafana API access on public projects](gitlab-org/security/gitlab@d9798aa2d31ddef9ed6fedfc7b32bc8a8bac76bc) ([merge request](gitlab-org/security/gitlab!2959))
- [Fix "Race condition enables verified email forgery"](gitlab-org/security/gitlab@95e65f637ed193b9c8b3c39af58a9bc0d552bad2) ([merge request](gitlab-org/security/gitlab!2962))

## 15.5.6 (2022-12-07)

No changes.

## 15.5.5 (2022-11-30)

### Security (11 changes)

- [Send resolved_address param to gitaly during repository import](gitlab-org/security/gitlab@768edcdca74fa09f7ba50c324aacd86fb71ed7e7) ([merge request](gitlab-org/security/gitlab!2939))
- [Add size validation during nuspec file extraction](gitlab-org/security/gitlab@27f79d015684896b66e0418db253613e3efa1df7) ([merge request](gitlab-org/security/gitlab!2936))
- [Cross-site scripting in Jira Integration](gitlab-org/security/gitlab@efcb2fc3110b7cf997b3e1a1e173e6462a54f208) ([merge request](gitlab-org/security/gitlab!2931))
- [Protect web-hook secret tokens after changing URL](gitlab-org/security/gitlab@00b75ba0c52c10a578091ad89440e8ae78cbe066) ([merge request](gitlab-org/security/gitlab!2921))
- [Redact secret tokens from web-hook logs](gitlab-org/security/gitlab@27699db7e44e7808f5ec415860ed03c55ae554b0) ([merge request](gitlab-org/security/gitlab!2917))
- [Prevent unauthorized users from seeing Release information on tag pages](gitlab-org/security/gitlab@112d45bdba5e0d34f77eec1ffaf86443e28b2c8c) ([merge request](gitlab-org/security/gitlab!2926))
- [Update after_import to expire cache before removing prohibited branches](gitlab-org/security/gitlab@5e84ca50689dceb7614e181ee7addbc3671dc935) ([merge request](gitlab-org/security/gitlab!2904))
- [Deny all package permissions when group access is restricted by IP](gitlab-org/security/gitlab@23a8ba46641053317c45f58037499235438b5ad8) ([merge request](gitlab-org/security/gitlab!2901))
- [Redact user emails from project webhook data](gitlab-org/security/gitlab@9f49c4d34fffd598af19d2db548281847855f987) ([merge request](gitlab-org/security/gitlab!2907))
- [Disallow local URls for build_runner_session if dictated by app setting](gitlab-org/security/gitlab@087415cf7a780c97b1d4055590858a98c673c64b) ([merge request](gitlab-org/security/gitlab!2867))
- [Prevent token bypass for extenal authorisation](gitlab-org/security/gitlab@96a6193a6e03bd1f76c2792cca404d2e672dfcf4) ([merge request](gitlab-org/security/gitlab!2884))

## 15.5.4 (2022-11-11)

### Fixed (3 changes)

- [Allow links to be opened from Swagger UI documentations](gitlab-org/gitlab@d0ee1589e00a695764a942e711dfe1be405f011c) ([merge request](gitlab-org/gitlab!103772))
- [Add Hashie::Array to allowed YAML serialization classes](gitlab-org/gitlab@b450aae9dbc1a0cbe124de8e3643842a11a1ee77) ([merge request](gitlab-org/gitlab!103772))
- [Revert Sidekiq default routing rules](gitlab-org/gitlab@f1db2eefe1d5039b220d4368dc25dbe5ad9060a1) ([merge request](gitlab-org/gitlab!103643))

## 15.5.3 (2022-11-07)

### Fixed (1 change)

- [Fix Opensearch compatibility check](gitlab-org/gitlab@c7094017eb6fae71c0b8441a04f6927ed69025ea) ([merge request](gitlab-org/gitlab!103157)) **GitLab Enterprise Edition**

## 15.5.2 (2022-11-02)

### Security (11 changes)

- [Redact confidential references in Jira issue descriptions](gitlab-org/security/gitlab@b6df9d1e4e0c996655a41831fbfae8f457fe1e6b) ([merge request](gitlab-org/security/gitlab!2870))
- [Forbid reading emojis on internal notes](gitlab-org/security/gitlab@0015523a32c38c184ffef9067d9952d0ef54e3f2) ([merge request](gitlab-org/security/gitlab!2854))
- [Same-site redirect vulnerability](gitlab-org/security/gitlab@7fd87a5f0b8317d45171fb565c198cda4e65fa34) ([merge request](gitlab-org/security/gitlab!2878))
- [BYPASS: Stored-XSS with CSP-bypass via scoped labels' color](gitlab-org/security/gitlab@2f1777b305d632b3256076967a798dab65fe6bf4) ([merge request](gitlab-org/security/gitlab!2860))
- [Fix Running Upstream Pipelines Jobs Without Permission](gitlab-org/security/gitlab@9b3f469da7c0295eb12120027a45ac04f76cdad5) ([merge request](gitlab-org/security/gitlab!2881))
- [Add length limit to addressable URLs](gitlab-org/security/gitlab@82ffc5825c9a7761d787c66b8c4a1593b3330c50) ([merge request](gitlab-org/security/gitlab!2856))
- [Add a redirect wall before artifact redirect to pages](gitlab-org/security/gitlab@41a4480b3302ba8a67e94de5420d41298d258585) ([merge request](gitlab-org/security/gitlab!2875))
- [Sandbox swagger-ui to prevent injection attacks](gitlab-org/security/gitlab@432913f802a093b67f2e5d46cc51b5f13bb16590) ([merge request](gitlab-org/security/gitlab!2857))
- [Fix external project permission when using CI prefill variables](gitlab-org/security/gitlab@ec872da0ab949f447aec35d64d1db45b5d25b7fd) ([merge request](gitlab-org/security/gitlab!2853))
- [Resolve users can view audit events from other members](gitlab-org/security/gitlab@34ffe2e88fa462b055f22d6af84fdb93a62fa575) ([merge request](gitlab-org/security/gitlab!2855))
- [Path traversal fix for Secure Files](gitlab-org/security/gitlab@568c36b34a884cc877b6292b340de9da66537bc8) ([merge request](gitlab-org/security/gitlab!2858))

## 15.5.1 (2022-10-24)

### Fixed (2 changes)

- [Batch records when preloading for indexing](gitlab-org/gitlab@43f0f24d5985ab2d731ab022aa5a498cfee5789b) ([merge request](gitlab-org/gitlab!101927)) **GitLab Enterprise Edition**
- [Specify certificates when connecting to KAS using TLS](gitlab-org/gitlab@f445f3f11d93eef56793fc116c7b2f1a4d030701) ([merge request](gitlab-org/gitlab!101927))

## 15.5.0 (2022-10-21)

### Added (159 changes)

- [Render labels correctly in content editor](gitlab-org/gitlab@638d82853f69babb1cdab437c5ae5c7befbb0c8d) ([merge request](gitlab-org/gitlab!101027))
- [Add "use_legacy_web_ide" to "user_preferences"](gitlab-org/gitlab@a5fc40397368786dd6596ae36768967382585f50) ([merge request](gitlab-org/gitlab!98945))
- [Set default compliance framework during project creation](gitlab-org/gitlab@bdcce8e14ed51e58b03a4b5eea623915d17fafad) ([merge request](gitlab-org/gitlab!100959)) **GitLab Enterprise Edition**
- [Expose `created_by` in the Users API](gitlab-org/gitlab@d235f2cead5e0505660612b207a722fb57d6a82a) ([merge request](gitlab-org/gitlab!93092))
- [Add models for tag and tag links](gitlab-org/gitlab@ae345a3d0df94f98a67354585395fbcd6646305b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/100271))
- [Adding migration for backfilling namespaces metadata](gitlab-org/gitlab@5ff5b728057411fd3f71b66f8cd1325c4706b771) ([merge request](gitlab-org/gitlab!98513))
- [Add metrics for projects with applied scan result policies](gitlab-org/gitlab@a078b5a8f37c654bbff240f95bc8636fc1e5861e) ([merge request](gitlab-org/gitlab!99955)) **GitLab Enterprise Edition**
- [Moved label and date widgets out of FF](gitlab-org/gitlab@46951293e36801a3ac1609f941427f3ec8df315d) ([merge request](gitlab-org/gitlab!101117))
- [Add GraphQL field to preview billable user changes](gitlab-org/gitlab@282f335d0b86674d90a6b42329037b9ce09a0819) ([merge request](gitlab-org/gitlab!90195)) **GitLab Enterprise Edition**
- [Additional Gitlab::Json method aliases](gitlab-org/gitlab@457279cf874b89cb9ab837810785d1019c38cffb) ([merge request](gitlab-org/gitlab!101286))
- [Enhance review app modal instructions](gitlab-org/gitlab@1ee8b02d94061b282a3f47d10c9582107a805217) ([merge request](gitlab-org/gitlab!95004))
- [[18052] Gitlab import: Issue attachments](gitlab-org/gitlab@db828d5c6098e51b0106480cafc4e244bef57144) ([merge request](gitlab-org/gitlab!100510))
- [Namespace package forward settings in GraphQL](gitlab-org/gitlab@60a6a487ba96311af92884e690db7c8e326180f0) ([merge request](gitlab-org/gitlab!100526))
- [Allow automatic runner authentication token rotation](gitlab-org/gitlab@75433d818a0b122dbc78f7c5e92405610f2c1943) ([merge request](gitlab-org/gitlab!100990))
- [Add RaspberryPi OS 11 (Bullseye) to the list of supported OS](gitlab-org/gitlab@b4e860fbdc6872393c0f3109cf4abec919dd05fe) ([merge request](gitlab-org/gitlab!93731))
- [Add bulk destroy mutation for Packages](gitlab-org/gitlab@95ed1338b612f1bb9b7f718142da25258112b432) ([merge request](gitlab-org/gitlab!100386))
- [Add approvalProjectRules to graphql endpoint](gitlab-org/gitlab@77c5ce871bb642686a36dc210249237a82898548) ([merge request](gitlab-org/gitlab!97196)) **GitLab Enterprise Edition**
- [Track work item iteration update](gitlab-org/gitlab@29345820151539f97e8dc4a2950cc8ad8373cb88) ([merge request](gitlab-org/gitlab!98539)) **GitLab Enterprise Edition**
- [Add environment key to pages jobs](gitlab-org/gitlab@3a15ef9af4040dc9050d0585059dc97474214a58) by @k0jak ([merge request](gitlab-org/gitlab!100447))
- [Sync profile fields to user_details and truncate](gitlab-org/gitlab@cd253bf5ce356fc55b6fb094e0a7135f6ab9b7c0) by @brianjaustin ([merge request](gitlab-org/gitlab!95107))
- [[373705] Configurable optional stages list API](gitlab-org/gitlab@75993222a1c2e40b7186983edfb007babce2356c) ([merge request](gitlab-org/gitlab!98930))
- [Add scan file path to dast site profile](gitlab-org/gitlab@580bd236c34c504f363a207e9cbfae7a0273aae5) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79279))
- [Removed upload_size from storage_size](gitlab-org/gitlab@8ef85dc9b59f8db4acb9b2e05c29ca32411d4b05) ([merge request](gitlab-org/gitlab!94970)) **GitLab Enterprise Edition**
- [Add GIT_SUBMODULE_PATHS documentation](gitlab-org/gitlab@e2a37ca9228a48ed302885967519561abe69f169) by @bollenn ([merge request](gitlab-org/gitlab!100881))
- [Show edited at for work item descriptions](gitlab-org/gitlab@22d1bab4a5c3037add44f938a87b6ea245a27e7f) ([merge request](gitlab-org/gitlab!98523))
- [Add health status filter on issue boards](gitlab-org/gitlab@f7646c9d6b11c2c3f30c558e5a748974bec72f64) ([merge request](gitlab-org/gitlab!100695)) **GitLab Enterprise Edition**
- [Autogenerate OpenApi using grape-swagger](gitlab-org/gitlab@5dc470ddb9aa09c5e7b7dd51db157eb67d471217) ([merge request](gitlab-org/gitlab!98681))
- [Create API to fetch all Github organizations for the user](gitlab-org/gitlab@e90b9396ef4ecdb54f9fdb53c70f79861adc34f2) ([merge request](gitlab-org/gitlab!97688))
- [Only merge when all the status checks have passed](gitlab-org/gitlab@a472212cbee49cd20ffc52a3785ec21c74fbd8e8) ([merge request](gitlab-org/gitlab!96765))
- [Improved CRM contacts autocomplete service to include state and set](gitlab-org/gitlab@0ea5b97e7d3bd8bf5ec93277d0ecd7f945a1e109) by @zillemarco ([merge request](gitlab-org/gitlab!100264))
- [Add metrics for groups with assigned security policy project](gitlab-org/gitlab@32502861a410cae7778b345a0c810259bfd7ea26) ([merge request](gitlab-org/gitlab!99957)) **GitLab Enterprise Edition**
- [Add metrics for merge requests witj applied scan result policies](gitlab-org/gitlab@e26844aac2577b3c28f0d32990fbbec8173d4ca2) ([merge request](gitlab-org/gitlab!99958)) **GitLab Enterprise Edition**
- [Enable JWT authentication for Gitlab Shell](gitlab-org/gitlab@a4f7e1509c92eaa4218b3e42d857965ae00e980d) ([merge request](gitlab-org/gitlab!100929))
- [Add new storage type for DSL field](gitlab-org/gitlab@8f8f893bf0c8f4648d127795f6f23304160dbd5a) ([merge request](gitlab-org/gitlab!100924))
- [Prepare async index for index on author_id and id in merge_requests](gitlab-org/gitlab@67852706dbcb57acf698d00277647540dd9a6359) ([merge request](gitlab-org/gitlab!100921))
- [Map 'Require pull request before merging' GitHub rule with access_levels](gitlab-org/gitlab@01be4d0e450c5ac038b542b60337162feb2e53ab) ([merge request](gitlab-org/gitlab!97065))
- [Add default_compliance_framework_id column to namespace_settings table](gitlab-org/gitlab@88f4e467f050964089eb5fbfffea14b0bba575c8) ([merge request](gitlab-org/gitlab!100609))
- [Autocomplete support for work items](gitlab-org/gitlab@d5dcc6cc9bccb7a0c01fa7c4ebdda21089d035bf) ([merge request](gitlab-org/gitlab!100783))
- [Feature password expiration migration](gitlab-org/gitlab@4ab12e85c6a3dfe185f7ced42f03f164e4ce5644) by @qt-gith ([merge request](gitlab-org/gitlab!100519))
- [Disable creation of all types of personal tokens with FIPS enabled](gitlab-org/gitlab@99a78b874f73bae4535d2b3221b12b39ab5ce885) ([merge request](gitlab-org/gitlab!98702)) **GitLab Enterprise Edition**
- [After a milestone from the new release form, redirect back](gitlab-org/gitlab@c1b9e558bf8430456b4e786c8d359d55d793b54e) ([merge request](gitlab-org/gitlab!100715))
- [Add cancel projects import from github](gitlab-org/gitlab@72ef0376ca731cfb11bcd04d67a446865ab75baa) ([merge request](gitlab-org/gitlab!98931))
- [Support for suggestions in content editor](gitlab-org/gitlab@578f5c2f661a642962716572c04bdf368f0736f8) ([merge request](gitlab-org/gitlab!100791))
- [Prepare index async for merge requests on author and target project id](gitlab-org/gitlab@b6a2f090df53e1dd7e54771be213a5005496a400) ([merge request](gitlab-org/gitlab!100769))
- [Add an owner of a runner to the runners list](gitlab-org/gitlab@698962c32925366d2eff5815f0c88a9c80c8aaf1) ([merge request](gitlab-org/gitlab!100166))
- [Trigger mergeRequestMergeStatusUpdated when MR gets closed](gitlab-org/gitlab@9ffe2e4b1dd238f244f97ed0676b942eb72969f9) ([merge request](gitlab-org/gitlab!100794))
- [Add support for quick actions in content editor](gitlab-org/gitlab@6dc4fd6f2147751655f5c1730c8411905e351626) ([merge request](gitlab-org/gitlab!100688))
- [Allow admins to limit registration of project and group runners](gitlab-org/gitlab@209a840dd73d70117701b19e0e102e5f484e1c91) ([merge request](gitlab-org/gitlab!100663))
- [Speed up usage ping count for projects with incident SLAs enabled](gitlab-org/gitlab@d6eae3b9ff2ff2feef80f80c25ad36d0c4a46e89) ([merge request](gitlab-org/gitlab!100718))
- [Include release ci variables](gitlab-org/gitlab@af492a330dfb59472c3fbaca76fff5dcc3967c7b) ([merge request](gitlab-org/gitlab!98447))
- [Map 'Require signed commits' GH rule with project's push_rule attribute](gitlab-org/gitlab@9591759274225f8ca4f47840ed67450e4b1564cf) ([merge request](gitlab-org/gitlab!97273))
- [Adding remaining MLFlow endpoints](gitlab-org/gitlab@2d302b81d7caa19d3630a40fbc2f32754a746689) ([merge request](gitlab-org/gitlab!98106))
- [Add pipelineScheduleDestroy mutation](gitlab-org/gitlab@1cfb325d47b2cb71da76d620056234c953383647) by @batu ([merge request](gitlab-org/gitlab!97854))
- [Add Push Rule for DCO Signoff](gitlab-org/gitlab@3f4af565a071ec598d7d0c1b0b805ce9e731b7be) ([merge request](gitlab-org/gitlab!98810)) **GitLab Enterprise Edition**
- [Add jitsu key to project when created](gitlab-org/gitlab@8c1c57e83de27d4610945c3f2deac86a102a39b8) ([merge request](gitlab-org/gitlab!97978))
- [Add metrics for projects with assigned security policy project](gitlab-org/gitlab@54bc554d4a3841b4f755dd79149281750427d5e0) ([merge request](gitlab-org/gitlab!99956)) **GitLab Enterprise Edition**
- [Consume Google Cloud Services within GitLab](gitlab-org/gitlab@347870a0a7977f39a9c1c7f373b085c88652b688) ([merge request](gitlab-org/gitlab!100545))
- [Update requirement verification status mutation](gitlab-org/gitlab@9aa28e36f7e2e8d96df6ea0a24aac166daa9ef8a) ([merge request](gitlab-org/gitlab!98313))
- [Filter group runners by tags](gitlab-org/gitlab@6f76d933e5563fd3447ef1cc9f894ea51d928282) ([merge request](gitlab-org/gitlab!100010))
- [[18052] Support img tags in GitHub markdown attachment importers](gitlab-org/gitlab@ce4f3a8e76a8bc4ed45bab8d3b7d9e928260da5d) ([merge request](gitlab-org/gitlab!100508))
- [[18052] Gitlab import: note attachments](gitlab-org/gitlab@5e466e467b21a6279a1de0356a1b89642ee131d0) ([merge request](gitlab-org/gitlab!97547))
- [Authentication in private registry in code quality](gitlab-org/gitlab@2621f4c02d131b77e4b65433ade81c32a3985fed) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/95686))
- [Add user preference to turn off automatically adding a new list item](gitlab-org/gitlab@5229fc38c351ac6bea1cc37731d82f1b59690175) ([merge request](gitlab-org/gitlab!90280))
- [Add free_user_cap_over_limit_notified_at to NS details](gitlab-org/gitlab@c3f0524c7da33bbc05dafc57d95b3309ad94fb57) ([merge request](gitlab-org/gitlab!100460))
- [Add Geo::ProjectWikiRepositoryState model](gitlab-org/gitlab@a2fbfa7172c0379294d0288eeb2dd96dd3b85cd1) ([merge request](gitlab-org/gitlab!99253)) **GitLab Enterprise Edition**
- [Add project_wiki_repository_states table](gitlab-org/gitlab@62f80673668f3a49f34a79288f5d610bb8d8bcd1) ([merge request](gitlab-org/gitlab!99253))
- [Delete orphaned operational vulnerabilities](gitlab-org/gitlab@b4157334a29b9fc99c6a36518ae1b54b0450067c) ([merge request](gitlab-org/gitlab!98907))
- [Add migrated_to_state_transition column](gitlab-org/gitlab@dca8ae9a7ed931d238b156b3973bf8f6d00cbc83) ([merge request](gitlab-org/gitlab!99999))
- [Destroy invalid members](gitlab-org/gitlab@ac56b073ac2e7dfeb1616ac031304abd0520ed85) ([merge request](gitlab-org/gitlab!99467))
- [Add advanced settings support to import projects Vue app](gitlab-org/gitlab@03697d14027ede4f6e8b8db3a6204ca84cac82c5) ([merge request](gitlab-org/gitlab!100278))
- [Allow admins to delete runners in bulk](gitlab-org/gitlab@c966c058515f67c5014545981d1988d4ec8e1a47) ([merge request](gitlab-org/gitlab!100273))
- [Trigger mergeRequestMergeStatusUpdated when MR marked as draft/ready](gitlab-org/gitlab@92399356fa26dbf5a9e72b5725300cf28d41a59f) ([merge request](gitlab-org/gitlab!100250))
- [Create tmp index members on id where namespace id null](gitlab-org/gitlab@31f333bf18a6d6e514128a39eef384ae96a85508) ([merge request](gitlab-org/gitlab!100123))
- [Add avatar to user dropdown items](gitlab-org/gitlab@f65aa07a2320eebfc5433bb794481787d2383051) ([merge request](gitlab-org/gitlab!99480))
- [Enable issuable_description_updated subscription in GraphQL](gitlab-org/gitlab@32df7740860b402820a7cc730e78b92101a9d708) ([merge request](gitlab-org/gitlab!100208))
- [Add project_wiki_repository_states table](gitlab-org/gitlab@4a99f659613c72762e7a18b8adb89242a038645f) ([merge request](gitlab-org/gitlab!99168))
- [Add health filter for board lists](gitlab-org/gitlab@81c6b06ffb48528cea7d31e5f3f6e45d96bee7db) ([merge request](gitlab-org/gitlab!100178)) **GitLab Enterprise Edition**
- [Add labels widget input to work item update mutation](gitlab-org/gitlab@0d750ccbb73641d95d217708e98f11a9f24c784a) ([merge request](gitlab-org/gitlab!100098))
- [Show empty state for external CI config in pipeline editor](gitlab-org/gitlab@cb28520a1cb1583ef1687da37e66e098ae887915) ([merge request](gitlab-org/gitlab!98647))
- [Add inbound_job_token_scope to ci cd settings](gitlab-org/gitlab@111ce11ae9df4726293fbe43552cba3ab65067e7) ([merge request](gitlab-org/gitlab!99032))
- [Remove FF email_for_two_factor_otp_failure](gitlab-org/gitlab@66796002bf6de33f5952e1e063d4ccb860846e9e) ([merge request](gitlab-org/gitlab!100114))
- [Add DORA4 charts to Insights by default](gitlab-org/gitlab@efb28d6c98230bf8a77ca8a66432fb3f76197700) ([merge request](gitlab-org/gitlab!99225)) **GitLab Enterprise Edition**
- [Add the ability to sort iterations by due date](gitlab-org/gitlab@cd4a8bf0d83ec6a12cdc5c1a05c80d0b71b7a9c1) ([merge request](gitlab-org/gitlab!98952)) **GitLab Enterprise Edition**
- [feat: Add resolved_on_default_branch index to vuln reads](gitlab-org/gitlab@368f51aceb6895af811cf7e395bb0840a42e11b8) ([merge request](gitlab-org/gitlab!100044))
- [Add glm values for trials](gitlab-org/gitlab@a99100b45768b854fc05cde1df92db7968ff4bcb) ([merge request](gitlab-org/gitlab!98572))
- [Add isDefault to BranchRule type objects in GraphQL endpoint](gitlab-org/gitlab@bbbcb9b6385369b641309637b61edd9dfc626623) ([merge request](gitlab-org/gitlab!98852))
- [Remove forward_deployment_enabled feature flag](gitlab-org/gitlab@f7f97f6e1b5d97c8e280acfeac46c95d81844a5d) ([merge request](gitlab-org/gitlab!99984))
- [RpmRepositoryFile model with uploader and spec](gitlab-org/gitlab@f392f35e829fb8b022f7acf305b5803568659fc4) ([merge request](gitlab-org/gitlab!97484))
- [Add X-Gitlab-Instance header to webhooks](gitlab-org/gitlab@dd4d8638aa9bffb8f43af0df7944412594fbebcd) ([merge request](gitlab-org/gitlab!99945))
- [Add support for emojis suggestions](gitlab-org/gitlab@793ad40b90bdccb12199f74fd6e32ac4addfe889) ([merge request](gitlab-org/gitlab!99471))
- [Add Scheduled badge to pipeline detail view](gitlab-org/gitlab@79c1fb6dbcc98d605e3a8a9ef5eb675fbbea5ceb) by @Taucher2003 ([merge request](gitlab-org/gitlab!99537))
- [Add migration for direction column of ci scope](gitlab-org/gitlab@cb1c0988ff67a5c5b98b4d9f6672a72fa6326a45) ([merge request](gitlab-org/gitlab!98673))
- [Trigger mergeRequestReviewersUpdated when reviewer state change](gitlab-org/gitlab@2fbc6220d32ec5797aac5d1024508f8115ff8ae1) ([merge request](gitlab-org/gitlab!98953))
- [REST API filter issues by any/none health status](gitlab-org/gitlab@b5186974b756e42fe1c6678b979697a70c3d4c15) ([merge request](gitlab-org/gitlab!99209)) **GitLab Enterprise Edition**
- [Add mailer with templates](gitlab-org/gitlab@6d03a6d034334f306f07c6e610bf4ec043450f42) ([merge request](gitlab-org/gitlab!95865)) **GitLab Enterprise Edition**
- [Enable Releases feature toggle](gitlab-org/gitlab@cc99de39a41acafdabab81d4ec2d8740ad8faa4a) ([merge request](gitlab-org/gitlab!99045))
- [Disable all types of personal access tokens when FIPS enabled](gitlab-org/gitlab@44433b601d79c7a028f0375e0b084fba9bc85173) ([merge request](gitlab-org/gitlab!97299)) **GitLab Enterprise Edition**
- [Add resource groups API endpoint to list upcoming jobs](gitlab-org/gitlab@52f3c76aa3c8def53ffe7c4f82049c76363c5548) ([merge request](gitlab-org/gitlab!99027))
- [Enable skip_default_scope_for_events FF by default](gitlab-org/gitlab@3ccf648e2ea14a24ab74397d4b770cabe0711f04) ([merge request](gitlab-org/gitlab!99230))
- [Add suppport for suggestions in content editor](gitlab-org/gitlab@3be46069fdb1bb6ecaa9dee258d4278134dc4f5f) ([merge request](gitlab-org/gitlab!90753))
- [Trigger mergeRequestReviewersUpdated subscription when reviewers change](gitlab-org/gitlab@bcacf60b7be1eb9d25ec0479620781c7b59222e0) ([merge request](gitlab-org/gitlab!98941))
- [Shift  `can_create_group` to ApplicationSetting](gitlab-org/gitlab@7d11d710a650590ca37f047392206f5938460e78) ([merge request](gitlab-org/gitlab!96746))
- [Create table and model to store user's phone number validations](gitlab-org/gitlab@431e31d370226f0019a26e3813bfde711da65058) ([merge request](gitlab-org/gitlab!97762))
- [Map 'Require conversation resolution' GitHub rule with project setting](gitlab-org/gitlab@00e0bc0cac08817ab850f4bfa3f8372c8db30d59) ([merge request](gitlab-org/gitlab!98107))
- [Add ci_pipeline_metadata table to hold title strings](gitlab-org/gitlab@c8bfacd3161205f2325b3c47c5f566bdeb58c7fd) ([merge request](gitlab-org/gitlab!97139))
- [Add and fill foreign key for approval rules](gitlab-org/gitlab@84a0389959f20e8cc3a5bac2935caa5c792712ea) ([merge request](gitlab-org/gitlab!97270)) **GitLab Enterprise Edition**
- [Add timing when we use caching in certain api/controller endpoints](gitlab-org/gitlab@7d7122f1ee5d09912183e08521d3cefc3a792a94) ([merge request](gitlab-org/gitlab!99035))
- [Add timing for mergeability checks](gitlab-org/gitlab@39cd0190ad263ab7c6b70fd8b318df15a37f2489) ([merge request](gitlab-org/gitlab!99036))
- [Support GraphQL subscription for iteration assignment](gitlab-org/gitlab@b34d63a301ab25c991bfc94995bb00056724a3c8) ([merge request](gitlab-org/gitlab!98536)) **GitLab Enterprise Edition**
- [Add unprotectAccessLevels to EE graphql endpoint](gitlab-org/gitlab@b30483683aa7a082a73dd452c18332697967d007) ([merge request](gitlab-org/gitlab!96694)) **GitLab Enterprise Edition**
- [Jitsu/GitLab Connection PoC](gitlab-org/gitlab@d69ea144d285ddcc7e0bbe7014a87b9da27e8f31) ([merge request](gitlab-org/gitlab!95999))
- [Project setting for suggested Reviewers](gitlab-org/gitlab@d04e9c5403a7cc7a5f3a693f4f63c78feba75f3a) ([merge request](gitlab-org/gitlab!97376))
- [Add CI_JOB_NAME_SLUG predefined CI variable](gitlab-org/gitlab@8cbcf9ca9be9d180f568ccecf27d6bcd6ed056cc) by @jdoubleu ([merge request](gitlab-org/gitlab!94169))
- [Allow users to create annotated tags from release](gitlab-org/gitlab@8c8ad574e082928f20d118ce58078a0dd4c114a0) ([merge request](gitlab-org/gitlab!98448))
- [Allow autosaving wiki content](gitlab-org/gitlab@2a6e232a62a2a235bf64aa74a691784a5fa0fdfa) ([merge request](gitlab-org/gitlab!97221))
- [Send email notification when a personal access token is revoked](gitlab-org/gitlab@fbe9afe952c8624e1960d11f69d93ce466f0c318) ([merge request](gitlab-org/gitlab!98911))
- [GraphQL: Add ALL_AVAILABLE membership value](gitlab-org/gitlab@4f0d8443d8424a993145c6926aaf4104aacb0927) ([merge request](gitlab-org/gitlab!96770))
- [Include tag specific additional CI variables](gitlab-org/gitlab@3e6b681ee501e4818a86650580b97eadc5c2738d) ([merge request](gitlab-org/gitlab!98349))
- [Prepares ci_builds_metadata to partitioning](gitlab-org/gitlab@182d3e84aa66380d8b6efcf0f7964e6ebf672c24) ([merge request](gitlab-org/gitlab!97926))
- [Email user when their 2FA OTP attempt is wrong](gitlab-org/gitlab@cb972761814d43498181f2682f0c972cd574352f) ([merge request](gitlab-org/gitlab!98507))
- [Backfill epic cache counts](gitlab-org/gitlab@d5f847a90e2d9d9aae910a3ce4f7b7460c476805) ([merge request](gitlab-org/gitlab!97351))
- [Adds log-parameter and log-batch MLFlow endpoints](gitlab-org/gitlab@0571e6e10c43021a0e93c4a0ac530cc91db32221) ([merge request](gitlab-org/gitlab!97815))
- [Prepare async index for vulnerability reads location image](gitlab-org/gitlab@569450b5d8a4e642562e2c04aa2801b1e92ddfe5) ([merge request](gitlab-org/gitlab!98474))
- [Add issuableDescriptionUpdated to the GQL subscription type](gitlab-org/gitlab@97fb6d7bceeddaad1db7b3873777784cb2a3ad40) ([merge request](gitlab-org/gitlab!98458))
- [Expose if user can mark notes as confidential](gitlab-org/gitlab@b229921bb31a6141324c2f3de8be2ebd1b91f31c) ([merge request](gitlab-org/gitlab!98707))
- [Add Any and None options to filter issues by health status](gitlab-org/gitlab@393e590e8844a011b84659c4c62bd43f72739978) ([merge request](gitlab-org/gitlab!98386))
- [Expose BulkImports::Failure#exception_message in the API](gitlab-org/gitlab@e47a443d913c5f3533c019eda29c60a7254de997) ([merge request](gitlab-org/gitlab!98665))
- [Add real time capability for work item assignees widget](gitlab-org/gitlab@dfc46b67a0022a70ac8c981fe136f2def635f865) ([merge request](gitlab-org/gitlab!98492))
- [Support secure schemas version 15.0.2](gitlab-org/gitlab@308aaa3fc5e32deae80e18a96799458a223eb143) ([merge request](gitlab-org/gitlab!98587)) **GitLab Enterprise Edition**
- [Add X-Gitlab-Instance header to webhooks](gitlab-org/gitlab@198f641481659c28a2bcc3cb2f76d98eb530e8c1) ([merge request](gitlab-org/gitlab!98624))
- [Display blocking items on Roadmap](gitlab-org/gitlab@fda93117389514c22607050e02edc131a745347b) ([merge request](gitlab-org/gitlab!98392))
- [Fetch Iteration widget as well for work items type task](gitlab-org/gitlab@780fd15bcd4f93c39d4d9ff6dea613b25bbcc298) ([merge request](gitlab-org/gitlab!98316))
- [Add unique indexes to facilitate bulk upserts](gitlab-org/gitlab@7ca654a19625442ff0dab32c00fccd962c41300c) ([merge request](gitlab-org/gitlab!96575))
- [Add note when child epic gets moved](gitlab-org/gitlab@09015cfdbd5add5c1dc01cc29b21b817ed65b694) ([merge request](gitlab-org/gitlab!98325)) **GitLab Enterprise Edition**
- [Add jobs endpoint](gitlab-org/gitlab@308d926167e7133a859182bdf4aff1afe05a3e82) by @TrueKalix ([merge request](gitlab-org/gitlab!98533))
- [Add glm values for trials](gitlab-org/gitlab@6b3118e3cb6d5c4293bcbee9c5472f95d8e2c529) ([merge request](gitlab-org/gitlab!96784))
- [Allow epics having child issues from different group hierarchies](gitlab-org/gitlab@2f4256e3bfbf1d5c8a56c32aac066c6845b9d787) ([merge request](gitlab-org/gitlab!97159)) **GitLab Enterprise Edition**
- [Schedule index removal for ci_builds_metadata](gitlab-org/gitlab@f26d8a55bc791b718b866c8d93cfba2a3cad0f04) ([merge request](gitlab-org/gitlab!98429))
- [Add GET /personal_access_tokens/self endpoint](gitlab-org/gitlab@39c63ee83369bf5353256a6b95f3116728edd102) ([merge request](gitlab-org/gitlab!98104))
- [Add a timeline event preview markdown endpoint](gitlab-org/gitlab@123296a44a6b36369709d392c41b2ed98beda386) ([merge request](gitlab-org/gitlab!96540))
- [Add indexes to ci_builds_metadata](gitlab-org/gitlab@9a5e8c3e06487896502ad5b3d7163f8128de93d6) ([merge request](gitlab-org/gitlab!98170))
- [Metrics for GitLab for Jira App](gitlab-org/gitlab@7f80098fddca43c386a7c4b2ca4d785e246aac16) ([merge request](gitlab-org/gitlab!97674))
- [Display permission alert on epic tree count popovers](gitlab-org/gitlab@855539b65b68a1885c6901918f3ea896234c7b71) ([merge request](gitlab-org/gitlab!96210)) **GitLab Enterprise Edition**
- [Add issue resource_iteration_events to Project Import/Export](gitlab-org/gitlab@2e48aa277337dd218a7389f3eb8c0178db6f56f7) ([merge request](gitlab-org/gitlab!96883)) **GitLab Enterprise Edition**
- [Use Google CDN if enabled for CI job artifacts](gitlab-org/gitlab@611ccae9c09849c807e9ad1690f0904de224bb94) ([merge request](gitlab-org/gitlab!98010))
- [Adds LogMetric endpoint to MLFlow](gitlab-org/gitlab@570d435892cb2bc39efba2e38a1b5d3afe50e846) ([merge request](gitlab-org/gitlab!97394))
- [Frontend for Environment Search](gitlab-org/gitlab@aaabd802d72a76e7bfc34e9774bb422a4129d5c4) ([merge request](gitlab-org/gitlab!97834))
- [Add pipeline_schedule GraphQL type](gitlab-org/gitlab@649c370cc59297b8cab01e24b498e41751b8a388) ([merge request](gitlab-org/gitlab!96715))
- [Added straight mode to compare view](gitlab-org/gitlab@659f0ce91eca4a5489df847647e52671fa91b612) by @DracoBlue ([merge request](gitlab-org/gitlab!80031))
- [Show Slack App Home](gitlab-org/gitlab@6aaaf589d2c2dadd17e8110971185847384da3a6) ([merge request](gitlab-org/gitlab!98297))
- [Show “Merged date” sort option for dashboard MRs](gitlab-org/gitlab@9cd4a015ff8e076733d6d8df0af5beec83e191fe) ([merge request](gitlab-org/gitlab!98244))
- [Extend GraphQL query for protected environments](gitlab-org/gitlab@049d98963e88d502b8b272fa12a12513d6bccd50) ([merge request](gitlab-org/gitlab!96221)) **GitLab Enterprise Edition**
- [Add source_id to BulkImports::Entity table](gitlab-org/gitlab@121591e3ef13690ba139d975b3ceffcf65f84d25) ([merge request](gitlab-org/gitlab!98197))
- [Add filters for PAT](gitlab-org/gitlab@4ddb2ad0b79789e91f7b7a3f0e493d0219ec8aa8) by @TrueKalix ([merge request](gitlab-org/gitlab!93565))
- [Add group shares in group transfer locations API](gitlab-org/gitlab@4ff81f280e0f03aa373898992c64304503646582) ([merge request](gitlab-org/gitlab!98190))
- [Add any, none filters for issue health status](gitlab-org/gitlab@3c1f8a151e9cb3fca33a13b3ce66f38ad7161ba8) ([merge request](gitlab-org/gitlab!97614))
- [Add any, none filters for issue health status](gitlab-org/gitlab@2e52c5a8e2005a85736c489baf80e890060997cb) ([merge request](gitlab-org/gitlab!97614))
- [Add REST API filters for issue health status](gitlab-org/gitlab@dea5345eafa0832420974dabac33f4cfcff90d83) ([merge request](gitlab-org/gitlab!97727))
- [Add REST API filters for issue health status](gitlab-org/gitlab@2ea4d85a6a3d38f9312c3f91f758b0c7c6dec296) ([merge request](gitlab-org/gitlab!97727))

### Fixed (164 changes)

- [Fix: locale on sidebar items when collapsed](gitlab-org/gitlab@a07d403a43c87002cc038207b7005e1e8235d003) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!101014)) **GitLab Enterprise Edition**
- [Don't fail project export if upload file doesn't exist](gitlab-org/gitlab@96fc6e42b6ea59942ab1cd14a80176f69481850e) ([merge request](gitlab-org/gitlab!101253))
- [Prevent JobArtifactsDestroy whilst refreshing](gitlab-org/gitlab@816a370d4f036e3906eb08f2584751d3430a398a) by @leetickett ([merge request](gitlab-org/gitlab!98419))
- [GitLab Version - Properly track link clicks](gitlab-org/gitlab@f2f2f3ba8ccaf5ee9b50b45de4dd97dbf6a5ad32) ([merge request](gitlab-org/gitlab!100978))
- [Fix naming issue with Test Summary widget](gitlab-org/gitlab@98e6cca2ead62be85982de8a63f61be4ef899bbf) ([merge request](gitlab-org/gitlab!101285))
- [Ensure current user owns table to partition](gitlab-org/gitlab@db15059f9b4975b05ba0dab381c97e794abcc2cf) ([merge request](gitlab-org/gitlab!100889))
- [Check for path traversals in the debian distribution regex](gitlab-org/gitlab@afe19c00b1d467df7dba24c7ccd7e556bcd52d2f) by @sathieu ([merge request](gitlab-org/gitlab!100041))
- [Fix spurious requests when viewing PDF blobs](gitlab-org/gitlab@09521e346c0b225e093d9fa37c827849e564a683) ([merge request](gitlab-org/gitlab!99492))
- [Pass additional_params to search API logging](gitlab-org/gitlab@ed00a23caec56bf778d21c05b74ff8e790978330) ([merge request](gitlab-org/gitlab!101047))
- [Fix scoped label styles in activity feed](gitlab-org/gitlab@3b534bb54018abe1ce762e716325556e0ca30b3c) ([merge request](gitlab-org/gitlab!101040))
- [Gitlab Migration - retry ExportRequest & RequestStatus network requests](gitlab-org/gitlab@1865da48e6cb5927a1a797121b5dd3bdfb2cad82) ([merge request](gitlab-org/gitlab!100869))
- [Fix 500 error when namespace path is a negative integer](gitlab-org/gitlab@f6c1e2f44fabe10fbfc15b9bb59829fe2cc3d78c) ([merge request](gitlab-org/gitlab!101206))
- [Prevent outdated deployments from running before execution](gitlab-org/gitlab@8f07ea6c773d52c21e7fbc373b3d4dbc705243fc) ([merge request](gitlab-org/gitlab!100983))
- [Persist page size for group migration](gitlab-org/gitlab@6d772285bc17e93e15f5525c5e964b5c4d74d740) ([merge request](gitlab-org/gitlab!101179))
- [Use configured namespace when generating Kubeconfig](gitlab-org/gitlab@ecabf92e50ec9a53b3363b41cf9dc8eaec5d9fec) ([merge request](gitlab-org/gitlab!93423))
- [Add the labels to the cache key for merge request api](gitlab-org/gitlab@9d47ce44863993668f372c5cc0be2fc041114d6d) ([merge request](gitlab-org/gitlab!101137))
- [Don’t append base to links with old wiki path](gitlab-org/gitlab@f0b8e53874572fbfddbfd9d04d34c699b2d25779) ([merge request](gitlab-org/gitlab!101107))
- [Ensure schemas are up-to-date after migration tests complete](gitlab-org/gitlab@a93da703bc26c8601e82535d48299f18cf123b1d) ([merge request](gitlab-org/gitlab!100455))
- [Fix broken trial registration spec](gitlab-org/gitlab@0575517be2379ee423461d4bd63f72d8e763db1b) ([merge request](gitlab-org/gitlab!101091)) **GitLab Enterprise Edition**
- [Fixed commit messages not wrapping when too long](gitlab-org/gitlab@93da5b21b0c63cd6faa2c259e54095ebb600b034) by @zillemarco ([merge request](gitlab-org/gitlab!101093))
- [Hide Reviewers Edit Button when no permissions](gitlab-org/gitlab@60ad24396b87ecca014bbc01954b1272b261b65f) by @Taucher2003 ([merge request](gitlab-org/gitlab!101054))
- [Allow grouping more than 1 label of same scope in iteration reports](gitlab-org/gitlab@5ee3b6cf085dd659726cd974d6d31d9c54140cf0) ([merge request](gitlab-org/gitlab!100950))
- [Fix site profile edit with empty fields](gitlab-org/gitlab@ccca1a1aa2fec649ff31b3bdb76b88b28998bebd) ([merge request](gitlab-org/gitlab!100797)) **GitLab Enterprise Edition**
- [Fix remove epic modal to include children info](gitlab-org/gitlab@8e7bd204eb7166992e817d1c9c6f4c53621baa40) ([merge request](gitlab-org/gitlab!101009)) **GitLab Enterprise Edition**
- [Fix: locale on todo filter](gitlab-org/gitlab@f8dfc1071957bb653482f8e298c1f487804eab69) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!101001)) **GitLab Enterprise Edition**
- [Remove auto_accept_terms from OAuth::User](gitlab-org/gitlab@e03eb105ff4b851f6773f7918205db819e3228a2) ([merge request](gitlab-org/gitlab!99193))
- [Fix alignment of internal note header](gitlab-org/gitlab@5d1d7a42a8a5f00e2d228150404bc8e7a810364b) ([merge request](gitlab-org/gitlab!100867))
- [Fix glm param dropping in the company controller](gitlab-org/gitlab@aa1fa51980adaaaee4976b02ac9fe9ebd6e29d82) ([merge request](gitlab-org/gitlab!100754)) **GitLab Enterprise Edition**
- [GitLab Version - Properly import on dashboard](gitlab-org/gitlab@5ef3b8365d54bb41a9b5145f7adedee019b844e2) ([merge request](gitlab-org/gitlab!100955))
- [Fix internal note background styling when using dark mode](gitlab-org/gitlab@b2bf38d46115d4ddc070817cb85e67032b06bdf5) ([merge request](gitlab-org/gitlab!100920))
- [Fix alignment issues on agent activity list](gitlab-org/gitlab@129caf5a4b01799dfab1301829ae0a0c6c78a04c) ([merge request](gitlab-org/gitlab!100918))
- [Add internal_id allocation for GitHub Import](gitlab-org/gitlab@32d53f0883fd26e1a7d893dc0b6874562866e209) ([merge request](gitlab-org/gitlab!100670))
- [Show error when removing epic or issue from epic](gitlab-org/gitlab@916bcd283241fef7cf2271e128c38b99e3181c14) ([merge request](gitlab-org/gitlab!100898))
- [Fix: admin subscription time format locale issue](gitlab-org/gitlab@31084852b2b341c0407f0b1aa2cc8fb4545390cf) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!100534)) **GitLab Enterprise Edition**
- [Fix mis-alignment of the action buttons in extensions](gitlab-org/gitlab@81536d3a4de5ff7b48f193846c72cd460b0acfbb) ([merge request](gitlab-org/gitlab!100127))
- [Support username in assign push options](gitlab-org/gitlab@2d19871ace076cbeffe7b0920244b8e993637572) ([merge request](gitlab-org/gitlab!99195))
- [Enable read_runner permission for auditors, also for instance runners](gitlab-org/gitlab@7273a5149d1023561d47f2d4ee41080e6faa87fa) ([merge request](gitlab-org/gitlab!100497)) **GitLab Enterprise Edition**
- [Enable read_group_all_available_runners permission for auditors](gitlab-org/gitlab@815f1098922c4baac73187d6d5671541f359ee55) ([merge request](gitlab-org/gitlab!100497)) **GitLab Enterprise Edition**
- [fix: Improve shell variable quoting in Coverage-Fuzzing templates](gitlab-org/gitlab@567156dbea6546f207228e28e55e78b526147abd) ([merge request](gitlab-org/gitlab!100762))
- [Fix grammatical error in exclusive keys validator](gitlab-org/gitlab@c7d58af45ada83c1bc5df97bfe6c78f9a4a60ce9) ([merge request](gitlab-org/gitlab!100716))
- [Do not show banner if SM subscription is renewed](gitlab-org/gitlab@243da42a56e947996f5c59a7f7079996a7994960) ([merge request](gitlab-org/gitlab!100187)) **GitLab Enterprise Edition**
- [Remove and add ci_job_variables.raw](gitlab-org/gitlab@55a9c2633d71a6a16f3a1fdfa9ac594a8846923b) ([merge request](gitlab-org/gitlab!100705))
- [Fix feature flag file location](gitlab-org/gitlab@ea8efcb2989b88047b75a49da76be9462a3c14b2) ([merge request](gitlab-org/gitlab!100580)) **GitLab Enterprise Edition**
- [Fix markdown for iteration description](gitlab-org/gitlab@1f31a1ef4cdcf2f774065c7dae635a201a9c35f9) ([merge request](gitlab-org/gitlab!100646)) **GitLab Enterprise Edition**
- [Fix line height on project and group lists](gitlab-org/gitlab@d211194c70c872dcdf1ddf7b450075ec63311438) ([merge request](gitlab-org/gitlab!98608))
- [Allocate InternalId for importing issues](gitlab-org/gitlab@bca781f97c52cce09232f21d233386ea33bc6839) ([merge request](gitlab-org/gitlab!99145))
- [Remove outdated migration steps](gitlab-org/gitlab@5a06bb52e87f576e359fd0a5b073aad7a66a7eb5) ([merge request](gitlab-org/gitlab!100584))
- [Add scrolling support for jupyter notebooks](gitlab-org/gitlab@be3cde97119c940b2d9841fefe3821d7f6cc79d3) ([merge request](gitlab-org/gitlab!100581))
- [Fix HLJS multi-line-rendering](gitlab-org/gitlab@8c782ebc16afb7b8a52c31bea32b3403815c6751) ([merge request](gitlab-org/gitlab!100566))
- [Fix runner instructions with disabled registration](gitlab-org/gitlab@7f350f513a91944f0a6a5d3c940e55214360d6c1) ([merge request](gitlab-org/gitlab!100391))
- [Fix RunnerPolicy to allow group maintainers to see shared runners](gitlab-org/gitlab@35e0c798c59f84295ce405d4dadfde662f466dda) ([merge request](gitlab-org/gitlab!100327))
- [Fix Wiki feature raises exception when titles start with ~](gitlab-org/gitlab@ac3c76779dae9063de5f8444f7c64f860766f3da) ([merge request](gitlab-org/gitlab!100567))
- [Fix duplicate key errors during GitHub Import](gitlab-org/gitlab@8811faf7157c35837aac6870348f35ed7c24a506) ([merge request](gitlab-org/gitlab!99493))
- [Fix case where Merge Request change tab shows incorrect number](gitlab-org/gitlab@0a3d35423bb3899542b80deb2810ae1bf068bb30) by @hyperhtml ([merge request](gitlab-org/gitlab!100243))
- [Avoid loading entire blob without limit for displaying diffs](gitlab-org/gitlab@4c3c470292b751558e37ea507513edec5939c8cb) ([merge request](gitlab-org/gitlab!99029))
- [Migrate bulk sidebar subscriptions dropdown to pajamas](gitlab-org/gitlab@7cfd5fd2ae5d876cd9074225ec62fda5ff948573) ([merge request](gitlab-org/gitlab!100444))
- [Add bottom margin to "Protect a tag" card](gitlab-org/gitlab@2fe5694c486c89ebb1400fccdd5d4b7c24578094) ([merge request](gitlab-org/gitlab!100423))
- [Fix epic items not loading for signed out users](gitlab-org/gitlab@77dc763208b2de7ce5a91faa2467df24e5a54aef) ([merge request](gitlab-org/gitlab!100183)) **GitLab Enterprise Edition**
- [fix: Don't fetch environments on Admin variables page](gitlab-org/gitlab@7e2e8cd84f1b4222463c6b624959303eca4a0068) ([merge request](gitlab-org/gitlab!100403))
- [Render markdown for snippets if links contain hash to anchor](gitlab-org/gitlab@00eab5f52c9e182682ef533c89228a06741f12f7) by @fabsrc ([merge request](gitlab-org/gitlab!100395))
- [Enable the FF ci_requeue_with_dag_object_hierarchy](gitlab-org/gitlab@3edfaba4b42f0ced5e33fbef00e31152676a1a1d) ([merge request](gitlab-org/gitlab!100400))
- [Fix closing of external issues](gitlab-org/gitlab@470af621748ce74f08333763bbb465c9509ca869) ([merge request](gitlab-org/gitlab!100172))
- [Improve error message when providing an invalid deploy key](gitlab-org/gitlab@84c2ee9280c11d22a2e2e43a780c041238086214) by @davebarr ([merge request](gitlab-org/gitlab!92780))
- [Fix indentation of children epics on Roadmap](gitlab-org/gitlab@75c5d094fa5bf04debf27b78e22bf910a9a35af9) ([merge request](gitlab-org/gitlab!100359)) **GitLab Enterprise Edition**
- [Use custom logo on sign in page again](gitlab-org/gitlab@3be2eb14d939a862005bb4f4e39a5eac2119487b) by @wwwjon ([merge request](gitlab-org/gitlab!98898))
- [Fix lock retries for the partition helper](gitlab-org/gitlab@757b40c7f2a32ac359f3abb84228e34d7d8f49cf) ([merge request](gitlab-org/gitlab!100169))
- [Fix alignment issues of resolved with issue system note](gitlab-org/gitlab@3276e1daed12a63c18b6b4ae24d1d2e50abe4c22) ([merge request](gitlab-org/gitlab!100345))
- [This MR fixes cron parsing bug](gitlab-org/gitlab@ff85e9e8bdf09c1eb8362dd8237eab454e27f309) ([merge request](gitlab-org/gitlab!99267)) **GitLab Enterprise Edition**
- [Don't change escalations if neither status nor policy changed](gitlab-org/gitlab@0e13f4f85a6033bdae56bc54bafbf5eaa96c9f58) ([merge request](gitlab-org/gitlab!100316)) **GitLab Enterprise Edition**
- [Hide Analytics features based on project settings](gitlab-org/gitlab@9608ef13ad7cee2d63bd18ccfacb7707ad41ff74) ([merge request](gitlab-org/gitlab!100257))
- [Set default link color to blue-500](gitlab-org/gitlab@6d47797b5a522e69bd4a815b03638e35fd89c9e2) ([merge request](gitlab-org/gitlab!100113))
- [Fix project create service to use known columns](gitlab-org/gitlab@47025b5f21d9199c66aaafde84645278829070c1) ([merge request](gitlab-org/gitlab!99097)) **GitLab Enterprise Edition**
- [Fix alignment on changed line in multiline suggestion comment](gitlab-org/gitlab@0a10c70d5197ece5ff02538de6fc356786af6f6a) ([merge request](gitlab-org/gitlab!100213))
- [fix: Compare email addresses case insensitively](gitlab-org/gitlab@521a05eae652e365ddf0fa76f04bc00d191eea7c) by @DerAstronaut ([merge request](gitlab-org/gitlab!99115))
- [Deal with multiple filters in query builder](gitlab-org/gitlab@f2bad1f3fef329b151a2b547559fee4879aa107f) ([merge request](gitlab-org/gitlab!99246)) **GitLab Enterprise Edition**
- [Better memoize BulkImports::ExportStatus#export_status](gitlab-org/gitlab@09d9c9aa84e7fdd7e3dbf937ace8ff823cc5d27e) ([merge request](gitlab-org/gitlab!100186))
- [Fix variables alignment](gitlab-org/gitlab@5486d9b6d66bba1b620e4ddbb16d6d42c82bb1aa) ([merge request](gitlab-org/gitlab!100177))
- [Add retriable exceptions & dont raise if wiki is disabled](gitlab-org/gitlab@84089400306352ee7f7732d33aab7deb66232c6e) ([merge request](gitlab-org/gitlab!99275))
- [Fix encoding issues with plantuml blocks](gitlab-org/gitlab@49757ee0d1a5c35b89ec2fdbf6297d70b3b90108) ([merge request](gitlab-org/gitlab!99946))
- [Removing single quotes to avoid harbor help text being rendered as math](gitlab-org/gitlab@03f9711dd9388347e4d69f5b28e25fa692a6fd20) by @orozot ([merge request](gitlab-org/gitlab!98902))
- [Show notifications toggle when mr merged](gitlab-org/gitlab@4b69a5eaebfc689aba2ae7a7fcf5c602e73cd3ac) by @leetickett ([merge request](gitlab-org/gitlab!99703))
- [Fix 500 errors in Projects::AutocompleteSourcesController](gitlab-org/gitlab@e2bf82df42172a0a60da14b5c40b9138a5197a84) ([merge request](gitlab-org/gitlab!99700))
- [Add missing tooltip for deployment name](gitlab-org/gitlab@996e5f97f7ad8e582ddcb7517631e81e3f0a83d7) ([merge request](gitlab-org/gitlab!98916))
- [Fix ES settings form localization](gitlab-org/gitlab@6f7f5c39528ba441432898615915f75921b31043) by @Taucher2003 ([merge request](gitlab-org/gitlab!99541)) **GitLab Enterprise Edition**
- [Add WikiLinkFilter to AsciiDocPipeline](gitlab-org/gitlab@2efc9a2822d0bd29e0ceeeddf920b067fde88f39) ([merge request](gitlab-org/gitlab!99514))
- [Fix serialization of tables in Content Editor](gitlab-org/gitlab@f9bac3effb5b1170091f858320a45615dbca58a2) ([merge request](gitlab-org/gitlab!99520))
- [Prevent creation of duplicate deploy tokens on page refresh](gitlab-org/gitlab@abc93c805ff90abdadc259297f44c80d71d6fa62) ([merge request](gitlab-org/gitlab!98459))
- [Fix two expand buttons on MR widgets when page width is narrow](gitlab-org/gitlab@b234209ef8c631ef0226b3bfbebe0a3497e346dd) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/99064))
- [Avoid linking CVE IDs as  Jira tickets](gitlab-org/gitlab@fc3216a59226c7239161273023ed15c79bb3d55f) by @kelunik ([merge request](gitlab-org/gitlab!97939))
- [Hide `Contributors` menu item](gitlab-org/gitlab@b84efdd49628ab0094d2e64388811b2f2a8d3314) by @TrueKalix ([merge request](gitlab-org/gitlab!99279))
- [Fix ExternalDatabaseChecker tests for geo and PG11](gitlab-org/gitlab@177843b53ac54f6262d726bcf3a3a9703133be29) ([merge request](gitlab-org/gitlab!99223))
- [When getting container repository tags, use a fixed page size](gitlab-org/gitlab@54858bfe8b6161a2e58b9efaff9a79880f999741) ([merge request](gitlab-org/gitlab!99248))
- [This MR closes drawer when project changed](gitlab-org/gitlab@076116148ce1f743fffddce2cffebe33f765239b) ([merge request](gitlab-org/gitlab!98481)) **GitLab Enterprise Edition**
- [Fix REST/GRAPHQL APIs handling TODOs WorkItem target](gitlab-org/gitlab@28b297980600e13d86eb2de2f8214cc9ee67a5fd) ([merge request](gitlab-org/gitlab!98866))
- [Remove usage of Geo::FileRegistryRemovalWorker worker](gitlab-org/gitlab@45d5794992a3683abd814d8cf09f4219d87a2afd) ([merge request](gitlab-org/gitlab!99156)) **GitLab Enterprise Edition**
- [Avoid runaway queue growth of Geo::DestroyWorker](gitlab-org/gitlab@31e3b7e6dc70b9379d3a9dfe9460f0b3885e7d2c) ([merge request](gitlab-org/gitlab!99156)) **GitLab Enterprise Edition**
- [Fix initial value set on TimezoneDropdown](gitlab-org/gitlab@23f59072aa7d1486093bbbcc60d202690e24af88) ([merge request](gitlab-org/gitlab!98998))
- [Fix the epics search query for displaying roadmap](gitlab-org/gitlab@96c08813df5e6ed9fa2122c820be0e56c6476829) ([merge request](gitlab-org/gitlab!98722)) **GitLab Enterprise Edition**
- [Allow auditors read-only access to Alerts](gitlab-org/gitlab@767c659e05ea335f3e90e87d5a31cf411f70ee6e) ([merge request](gitlab-org/gitlab!98614)) **GitLab Enterprise Edition**
- [Fix flash margin in Web IDE](gitlab-org/gitlab@1143ce4a5bce2d22ab9e576e3fbd00350de9f6d0) ([merge request](gitlab-org/gitlab!98943))
- [Discussion: Fix font-size and highlight](gitlab-org/gitlab@7e14eaead7f4f7d312eda67c63cd86b076b750b7) ([merge request](gitlab-org/gitlab!98973))
- [Add missing licensed feature flag to frontend](gitlab-org/gitlab@d10cb1cdfad1e49125b7b0aecf2db819ac859758) ([merge request](gitlab-org/gitlab!99024)) **GitLab Enterprise Edition**
- [Update project member styles in GFM](gitlab-org/gitlab@86c9165c2ce75bfda0b4f016fe7a9f6543125fdb) ([merge request](gitlab-org/gitlab!98405))
- [ExternalDatabaseChecker to support CI Database](gitlab-org/gitlab@bd6667e41266b80185464ed8c5314f1eb47623b5) ([merge request](gitlab-org/gitlab!98214))
- [Allow multiple drafts on a single line in MR reviews](gitlab-org/gitlab@b3920e178f5118b4d477cd67a671ea1b5087b963) ([merge request](gitlab-org/gitlab!98494))
- [Add the diverged commits when displaying the merge controls](gitlab-org/gitlab@6d997710637535cfe2f8d466101babd56a357571) ([merge request](gitlab-org/gitlab!98712))
- [Fix DAST profile names for group security policies](gitlab-org/gitlab@96fb02177eb8fcb22bc821b4021f0bb2ea3db594) ([merge request](gitlab-org/gitlab!96225)) **GitLab Enterprise Edition**
- [Changes how project export tarballs are uploaded to an external website](gitlab-org/gitlab@b23939ed617484e95be021409fc799a4bbec99d4) ([merge request](gitlab-org/gitlab!99038))
- [NuGet case-insensitive version search](gitlab-org/gitlab@a96ca9eb339ea2daaa3d1f5947b293a7630038e3) ([merge request](gitlab-org/gitlab!98382))
- [Hide add oncall schedule buttons for unauthorized users](gitlab-org/gitlab@c6c3e9ac29b20fa7abdef145ecdffd0266b6fa0a) ([merge request](gitlab-org/gitlab!97023))
- [Fix CI JSON schema for variables](gitlab-org/gitlab@345c3e45beec1c17f8edb176364a6ae2a7405fc8) ([merge request](gitlab-org/gitlab!98690))
- [Fix 500 errors when sorting by merged date with approvers](gitlab-org/gitlab@2accf53461c18f82491e51ebc68176ce2189d60b) ([merge request](gitlab-org/gitlab!98731))
- [Apply push rules to squash commit messages](gitlab-org/gitlab@6fce0d0eb3a76b693468a2866a4a519bed877692) ([merge request](gitlab-org/gitlab!98686)) **GitLab Enterprise Edition**
- [Update GitLab Migration to use source_id when requesting relation export](gitlab-org/gitlab@dc0b0c7b7e7a31507e58b134817d4b0765dc52c5) ([merge request](gitlab-org/gitlab!98234))
- [LockWrites Rake Task to support DRY_RUN mode](gitlab-org/gitlab@4fc239e0e46df2716e74a20d3a0b381dc9570535) ([merge request](gitlab-org/gitlab!98768))
- [Hide harbor registy in menu if uncheck active](gitlab-org/gitlab@c1a520a1056462ae8b177f2014f4d1d24d16eb9e) by @orozot ([merge request](gitlab-org/gitlab!98921))
- [Fix wrong CLRF rendering](gitlab-org/gitlab@6ec51fa9656dfccbc873e728e7cb2d53fbb6ac24) by @TrueKalix ([merge request](gitlab-org/gitlab!98918))
- [Exclude tiers if a protected environment exist from creation form](gitlab-org/gitlab@bcb0cf97c4d6966ed3ffac12da30a638d0e391da) ([merge request](gitlab-org/gitlab!98699)) **GitLab Enterprise Edition**
- [Hide MR Callout when MRs disabled for project](gitlab-org/gitlab@e5bc57a46aa44bf7b5e843d34c8ca89d8312e78b) by @Taucher2003 ([merge request](gitlab-org/gitlab!98879))
- [Use toolbar buttons for indent/outdent](gitlab-org/gitlab@72bd58b49ab19aa43c6802189bb0be985da4e32d) ([merge request](gitlab-org/gitlab!98111))
- [Fix unlocking previous pipeline artifacts](gitlab-org/gitlab@5a8864ee9eeba1aeb8b4f23f74d557bda90b4fa5) ([merge request](gitlab-org/gitlab!98693))
- [Fix alignment issues on agent activity list](gitlab-org/gitlab@790ad85d53029ac938e3b3dae69540ad88ff4435) ([merge request](gitlab-org/gitlab!98323))
- [Improve work item detail accessibility](gitlab-org/gitlab@3396a128bc104553c9b39e4216d1bd5f081db771) ([merge request](gitlab-org/gitlab!98216))
- [Render form submit button using Pajamas::ButtonComponent](gitlab-org/gitlab@3b5ba95ba5544a5af7a78aad7b0eb113cd10216b) ([merge request](gitlab-org/gitlab!98779))
- [Render form submit button using Pajamas::ButtonComponent](gitlab-org/gitlab@c9791839514832e277c00e849a2afabf103b2706) ([merge request](gitlab-org/gitlab!98774)) **GitLab Enterprise Edition**
- [Rescue exception when exporting MR diffs](gitlab-org/gitlab@5cd4a893c181bb68fa88593726ea87811686cfed) ([merge request](gitlab-org/gitlab!98680))
- [Set BulkImports::Tracker as skipped if entity is failed](gitlab-org/gitlab@2eb14653d007e062c660151add64946b6720b59a) ([merge request](gitlab-org/gitlab!98676))
- [Monkey patch Licensee::License to properly cache](gitlab-org/gitlab@d61b084295bd8fee2f2ebfdac6891b4baffc7b34) ([merge request](gitlab-org/gitlab!98638))
- [License overview incorrectly shows 'Expired: never' for expired license](gitlab-org/gitlab@3abf32f0cfc37c3731be4f2cc408221db9cc4358) ([merge request](gitlab-org/gitlab!96673)) **GitLab Enterprise Edition**
- [Update `View latest projects` and `View latest groups` links](gitlab-org/gitlab@ba1eee0ad8b02862926bee2bc88451b45afdf1f5) ([merge request](gitlab-org/gitlab!98591))
- [Reloading the classes runs the LoadBalancer again](gitlab-org/gitlab@f8fb0301dcbbe820714601d6ed274ccd7bbee5b3) ([merge request](gitlab-org/gitlab!98590))
- [Revert "Merge branch 'toon-no-more-licensee' into 'master'"](gitlab-org/gitlab@cdebd72eaf730446dc1a9cfe1c2a54f87dbc4f9a) ([merge request](gitlab-org/gitlab!98584))
- [Fix escaping for references with special characters](gitlab-org/gitlab@961bdd9b6dd4e1addc2ada5e9f2f7c0d2d903b34) ([merge request](gitlab-org/gitlab!98564))
- [Do not save duplicate notes when importing pipelines](gitlab-org/gitlab@8bbf83378b367924b5a64737c31608f292cae4e4) ([merge request](gitlab-org/gitlab!97988))
- [Add shortcuts and permalink updater to vue blob controls](gitlab-org/gitlab@6f56e1a86440e3d53887b734168f39a4713c1c62) ([merge request](gitlab-org/gitlab!98470))
- [Show tasks in dashboard issue list](gitlab-org/gitlab@0228cfc2b79f025d471d5de14875b847314ff18c) ([merge request](gitlab-org/gitlab!98502))
- [Simplify line link](gitlab-org/gitlab@54b0429e850a59de8dfba45b05191e2bea6b17ff) ([merge request](gitlab-org/gitlab!98515))
- [Update custom tag reference in CI schema](gitlab-org/gitlab@196f4809abfa5a89e646afa4feabeebc3cf813bc) ([merge request](gitlab-org/gitlab!98512))
- [Ensure that stage name and record are in sync for page deployments](gitlab-org/gitlab@fa110c43d89dae0d6c97d82d28785669fdbcf2c0) ([merge request](gitlab-org/gitlab!98506))
- [Fix bugs around file attach button](gitlab-org/gitlab@88cb11f2555e44ba40f72e885eda93b06f13e8b5) ([merge request](gitlab-org/gitlab!98499))
- [Keep pipeline editor commit info when changing tabs](gitlab-org/gitlab@b4863bbdff9b0c6769566ae2df5e64877ae5b980) ([merge request](gitlab-org/gitlab!98464))
- [Fix wrong `inverse_of` in `vulnerability_state_transitions` association](gitlab-org/gitlab@cd7cd1ad8d7ab244474273586a8025751c76e487) ([merge request](gitlab-org/gitlab!98451))
- [Fix label events being grouped incorrectly](gitlab-org/gitlab@5b4e4d94484cb62f769070bfa1173f0dc2c74646) ([merge request](gitlab-org/gitlab!98449))
- [Resolve failure path issue on creating leads](gitlab-org/gitlab@4a42d7f6a4ebed4caee09591395cdadc336cdb43) ([merge request](gitlab-org/gitlab!98232)) **GitLab Enterprise Edition**
- [Filter all settings sections and show empty state if no results](gitlab-org/gitlab@8d4ed030a9763179c0cb1ff6eb72d69699adf8b7) ([merge request](gitlab-org/gitlab!96873))
- [Avoid preloading nil root_ancestor in ProjectRootAncestorPreloader](gitlab-org/gitlab@dd07740d4b6514842a95f7eaefff3002fe2b49cd) ([merge request](gitlab-org/gitlab!97864))
- [Fix undismissable error alert on contact list](gitlab-org/gitlab@11a023e31b6f3583b6fe4d314587d85dd0f2fda1) by @leetickett ([merge request](gitlab-org/gitlab!96247))
- [Remove attach file button from toolbar](gitlab-org/gitlab@6c183572524d4491f38e2f06859db40b746bd464) ([merge request](gitlab-org/gitlab!98401)) **GitLab Enterprise Edition**
- [Remove vulnerability approval rules](gitlab-org/gitlab@79324022c54960c0da6319debceab1f499b16739) ([merge request](gitlab-org/gitlab!96385)) **GitLab Enterprise Edition**
- [Fix N+1 queries when fetching labels of child epics](gitlab-org/gitlab@8504996bee0a122cd90bd88a87bf8ad81e006bf6) ([merge request](gitlab-org/gitlab!97705)) **GitLab Enterprise Edition**
- [Add navbar to empty search results](gitlab-org/gitlab@b3d03f2135cd1abbb72409fe03fb8262824de148) ([merge request](gitlab-org/gitlab!98024))
- [Show emoji in user_popover when status text is empty](gitlab-org/gitlab@f369bc31263fdbed4edf4542b9ef6f68e11cb831) by @n0rdlicht ([merge request](gitlab-org/gitlab!98212))
- [Only focus search in dropdown if it has artifacts](gitlab-org/gitlab@c4ba4700ec1dabf622ec18b1ca515e128641a942) ([merge request](gitlab-org/gitlab!97714))
- [Improve specs](gitlab-org/gitlab@ba31812af82f08f8e1ee1fe25be098bf7789183f) ([merge request](gitlab-org/gitlab!98302))
- [Replace visitUrl with Gl-Link in ci-badge-link](gitlab-org/gitlab@fcfe74b0a4f37c31776a92e0dfd3a4114245a97c) by @leetickett ([merge request](gitlab-org/gitlab!97601))
- [Move the index removal migration to a regular migration](gitlab-org/gitlab@98ff5235e27d28e95466e6d0da7b2cd8df1d1eba) ([merge request](gitlab-org/gitlab!98337))
- [Sorted project members by user name](gitlab-org/gitlab@8d744198b359f7c296fb3094498cafea91577f40) ([merge request](gitlab-org/gitlab!98305))
- [Only mark vulnerabilities on default branch as disappeared](gitlab-org/gitlab@17fab4554feba8875701b6a17d1c0c4e4ab1fa3d) ([merge request](gitlab-org/gitlab!98247)) **GitLab Enterprise Edition**
- [Allow read-only access to escalation policies for auditors](gitlab-org/gitlab@5184eb65d4c84ac39b17d84b711e8d75f18d6e38) ([merge request](gitlab-org/gitlab!98269)) **GitLab Enterprise Edition**
- [Fix codeowners for sections with the same patterns](gitlab-org/gitlab@dd5630afeae7a97a8ad72f01e5b309d950ccd451) ([merge request](gitlab-org/gitlab!98194))
- [Fix: locale on project repo settings](gitlab-org/gitlab@59aa97ae0d8a6b4adae79957dd6eefb57dd92793) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!98040)) **GitLab Enterprise Edition**
- [Use the MR data to determine if the branch was deleted](gitlab-org/gitlab@fd3868967dac6eee7f9957ae1db634d351e460ca) ([merge request](gitlab-org/gitlab!98011))
- [Make Wiki operations target default branch instead of HEAD](gitlab-org/gitlab@ac7e2ef8978d1b79edd7d40082b3dd54c9b18856) ([merge request](gitlab-org/gitlab!97701))
- [Fix spacing in commit view of MR](gitlab-org/gitlab@016d0f0b2824fa5734b823fe07358ad929b77997) ([merge request](gitlab-org/gitlab!97334))

### Changed (194 changes)

- [Update google-protobuf to v3.21.7](gitlab-org/gitlab@559a7ec54852c0d580a622578ace3647e1949d88) ([merge request](gitlab-org/gitlab!101437))
- [Add validationStartedAt to DastSiteValidationType](gitlab-org/gitlab@05d17bf3a10b7228ecdd977d1b2f460642978928) ([merge request](gitlab-org/gitlab!101290)) **GitLab Enterprise Edition**
- [Allow specifying document types to reindex](gitlab-org/gitlab@e4fa6a95734ceb1bfd8b7ba666d6c448069ff3b8) ([merge request](gitlab-org/gitlab!100424)) **GitLab Enterprise Edition**
- [Changes dormant user setting input minimum to 90 days](gitlab-org/gitlab@d526d3253d6cefede1d0ee475ee1b2eb7926ec3a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/100793))
- [Fix an issue where the delete button would always delete the fist item](gitlab-org/gitlab@b4689994caf4b8ace5fdedb0c22bdfb73fe666d2) ([merge request](gitlab-org/gitlab!101197))
- [Migrate old sidekiq queues](gitlab-org/gitlab@daa069d25cb4be42d0a2ac2b9cbd7220bbaa4b3a) ([merge request](gitlab-org/gitlab!98102))
- [Update sign in preview page and new label page](gitlab-org/gitlab@d41539cc5f6718205e0c6429aefa13a27506b911) ([merge request](gitlab-org/gitlab!101304))
- [Permit to create/update/delete protected branches without repository](gitlab-org/gitlab@8f6e29d96526c22c263eae6d8a6d0c6dfaf3d057) ([merge request](gitlab-org/gitlab!97958))
- [Use issue type in user activity for issue or work item events](gitlab-org/gitlab@e2975fdb72c047654a10248fe5b1633b543620bf) ([merge request](gitlab-org/gitlab!101297))
- [Track wiki verification in the project_wiki_repository_states table](gitlab-org/gitlab@7a39ee03be3b95ba038ee348f4900145d95dd0aa) ([merge request](gitlab-org/gitlab!100640)) **GitLab Enterprise Edition**
- [Fix alert text for rate limiting](gitlab-org/gitlab@ff768c236de8df0ca127e651c5810b37aaa1dbc5) ([merge request](gitlab-org/gitlab!100895))
- [Remove RubyProf in favor of StackProf from Gitlab::Profiler](gitlab-org/gitlab@27a49f5a52e77b03450eb8b33b5306c876ba597a) ([merge request](gitlab-org/gitlab!100936))
- [This MR adds agents option for humanized rules](gitlab-org/gitlab@dce4770f0ca6d14ef50ec592a40d0a2444ef81a9) ([merge request](gitlab-org/gitlab!98383)) **GitLab Enterprise Edition**
- [Revert changes to manual actions on environments](gitlab-org/gitlab@a86d0d7c22c2778e75b714a0522ddf5f9fdcdf0a) ([merge request](gitlab-org/gitlab!98787))
- [Show copy button for unsafe external URLs](gitlab-org/gitlab@a48147784c736f1cd4f468fb913c1c3d1025a225) ([merge request](gitlab-org/gitlab!100874))
- [Removes experimental feature flag](gitlab-org/gitlab@3e03318ad1bb3d8001df427da3ac91b575aa0e35) ([merge request](gitlab-org/gitlab!100704))
- [This MR adds agents option for schedule rule component](gitlab-org/gitlab@59554210d7f89a65e0d34c9462d0d7daa2fcb860) ([merge request](gitlab-org/gitlab!98238)) **GitLab Enterprise Edition**
- [Reset form button if error encountered](gitlab-org/gitlab@5ae90b02063b2a677740e9d1f4932207051c7911) ([merge request](gitlab-org/gitlab!100174))
- [Remove runners_finder_all_available feature flag](gitlab-org/gitlab@8c418e7e9e6e4eb5f9517756abfc6d412090cf85) ([merge request](gitlab-org/gitlab!101099))
- [This MR adds new pre-scan verification status](gitlab-org/gitlab@5229be7c53c7b2a6f142ba8a2d54b9d74e8358ef) ([merge request](gitlab-org/gitlab!100593)) **GitLab Enterprise Edition**
- [Update pact to v1.63 and rack-test to v2.0.2](gitlab-org/gitlab@5f11fbe8315eb26eb966ec123eb254e3bed5ed25) ([merge request](gitlab-org/gitlab!99206))
- [Add pipeline iid to pipeline event webhook](gitlab-org/gitlab@f8b92798e6a4bf1d8e9f27cd1e1429a9f7183efc) by @fabsrc ([merge request](gitlab-org/gitlab!100524))
- [Make releases_access_level equal repository_access_level when higher](gitlab-org/gitlab@5466e9db630697d646654600cb1645d864735120) ([merge request](gitlab-org/gitlab!100751))
- [Search Page Layour change](gitlab-org/gitlab@b68a550068f765c0f23ca1cbb1419f5955fac291) ([merge request](gitlab-org/gitlab!97820))
- [Let go get response http semantic status code](gitlab-org/gitlab@c3869997c9533852cbe7531886a2771fee0551f6) by @icbd ([merge request](gitlab-org/gitlab!95991))
- [Render a dotted line for missing DORA insights data](gitlab-org/gitlab@ab9d4fc3178dd363b3ab76647c05546bffb17387) ([merge request](gitlab-org/gitlab!98301)) **GitLab Enterprise Edition**
- [Add finder for scan result policies and update](gitlab-org/gitlab@f019412379c670f147ae426f108a928466b470e8) ([merge request](gitlab-org/gitlab!100149)) **GitLab Enterprise Edition**
- [Update "last used" date for PATs if used in git operations](gitlab-org/gitlab@bf507761c65dbe3050060a8d0561ae0bb780f46a) by @fabsrc ([merge request](gitlab-org/gitlab!100690))
- [Allow to toggle inbound job token](gitlab-org/gitlab@11c89b5655c6ab665c69a24718613203f5527180) ([merge request](gitlab-org/gitlab!99165))
- [Extend scan_finding rules to group level](gitlab-org/gitlab@f18c44343f9d17e33a0bcc6fb4c3a488b9475554) ([merge request](gitlab-org/gitlab!98548)) **GitLab Enterprise Edition**
- [Update IDE pipeline styling](gitlab-org/gitlab@500a9c8f6865a08c640ca7c9532b727d74b8e6a0) ([merge request](gitlab-org/gitlab!100325))
- [Shows project storage limit notifications only to owners](gitlab-org/gitlab@e8476799228fcacb68beb722db513ac48d320949) ([merge request](gitlab-org/gitlab!100031)) **GitLab Enterprise Edition**
- [Exposed current_sign_in_at as last login at for billable members](gitlab-org/gitlab@79d7d9fb32b827b29463d53bb67e2f26d4e3c48a) ([merge request](gitlab-org/gitlab!100709)) **GitLab Enterprise Edition**
- [Correct copy on Project Access Token scope page](gitlab-org/gitlab@b77394a2a6cfd05afd61be8396cc506d306697f4) ([merge request](gitlab-org/gitlab!100129))
- [Improve SAML SSO wording](gitlab-org/gitlab@259442d5d2a285b5fee5b67815e7619e12ead0e5) ([merge request](gitlab-org/gitlab!99252))
- [Add browseArtifactsPath to GraphQL CiJob](gitlab-org/gitlab@cbd546af09ea7023ddae20433890aa4f56e476dd) ([merge request](gitlab-org/gitlab!99276))
- [GitLab Version - Badge Tracking](gitlab-org/gitlab@74e450daadb6ede81888789096793e05746e2e51) ([merge request](gitlab-org/gitlab!99301))
- [Fix: notify locale on project was not exported email](gitlab-org/gitlab@35b4d25b763f9dd6070153d9e258f3e30882a5c4) by @qt-gith ([merge request](gitlab-org/gitlab!96680))
- [Adding .mobileprovision file parser to Project-level Secure Files](gitlab-org/gitlab@d62fda8ea76437a43ee63458a8b53b8ae4065526) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/100477))
- [Add columns about MR checks to namespace_settings](gitlab-org/gitlab@4d7a68855e637561e4dadc6e21b35b523fa305d8) by @luzhiyuan.deer ([merge request](gitlab-org/gitlab!100544))
- [Convert Octokit response in Github Integration to hash](gitlab-org/gitlab@1983903ac917f49b16885911ce4e264f98f2bb4e) ([merge request](gitlab-org/gitlab!100440)) **GitLab Enterprise Edition**
- [Adding .p12 file parser to Project-level Secure Files](gitlab-org/gitlab@b0553ea52083da6956fa9945cad0dddec1d7075a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/100465))
- [Updates Config::Entry::Variable value to support array](gitlab-org/gitlab@f39f15fa23199007593f998563fcbd1c7fb7d477) ([merge request](gitlab-org/gitlab!98223))
- [Update Jitsu authenticator to production endpoint](gitlab-org/gitlab@d0251af60f3e73f1922df0a1db377e4d7285c51d) ([merge request](gitlab-org/gitlab!99978)) **GitLab Enterprise Edition**
- [Remove confusing runners summary text](gitlab-org/gitlab@b0fbde25f80b8c1f06143fc6df62e9286f54e3fd) ([merge request](gitlab-org/gitlab!100736))
- [Replace release notes form in new tag page with a link](gitlab-org/gitlab@a99e50a8cdb24a5b53ab707fbac929a8496c58e3) ([merge request](gitlab-org/gitlab!99533))
- [Fix issue header alignment](gitlab-org/gitlab@8d8506826a194e5bb40c51db700ed6600ade0984) ([merge request](gitlab-org/gitlab!100764))
- [Reduce the size of the initial backoff duration for web-hooks](gitlab-org/gitlab@846e778169c0d7fd7c8d3e3a874fe67104a5ca84) ([merge request](gitlab-org/gitlab!98982))
- [Store future subscriptions on instance activation](gitlab-org/gitlab@15b72c788ae8f8ad18ece38099f427447abe0799) ([merge request](gitlab-org/gitlab!98802)) **GitLab Enterprise Edition**
- [Expose licenses in dependencies API](gitlab-org/gitlab@20c147167b8a4c154c453b61aab96a53894d9661) ([merge request](gitlab-org/gitlab!90754)) **GitLab Enterprise Edition**
- [Allow `/page` to be used in description on incident creation](gitlab-org/gitlab@a881d0c9df685607a434edb56d7d52f11490f866) ([merge request](gitlab-org/gitlab!100028))
- [Update Work item cannot be accessed](gitlab-org/gitlab@36ff898bd4051381d350f0be269c7bf103b87309) ([merge request](gitlab-org/gitlab!97903))
- [Add localization to markdown actions](gitlab-org/gitlab@64ca0f258890354de60675e976027bad1f6f89e3) ([merge request](gitlab-org/gitlab!100128))
- [Fix padding for draft notes](gitlab-org/gitlab@da433fd6f89d72fbe3f5d658bfce2b3ceb5094e2) ([merge request](gitlab-org/gitlab!100196))
- [Moves classes into variables](gitlab-org/gitlab@b50173b87bc196646bba62af528c2a23a9744a96) ([merge request](gitlab-org/gitlab!100565))
- [Improves modal copy when deleting page assets leads to package deletion](gitlab-org/gitlab@cf8d3de78973d32fed83049c14fe845d9aad1b13) ([merge request](gitlab-org/gitlab!100384))
- [Remove container_registry_new_cleanup_service feature flag](gitlab-org/gitlab@32cc9a2997ceeaaab18a444edec60156922251bf) ([merge request](gitlab-org/gitlab!100551))
- [Global Search vertical navigation search helper](gitlab-org/gitlab@7726da6ac36d3144dd3e963bb90d6065b42cf475) ([merge request](gitlab-org/gitlab!100263)) **GitLab Enterprise Edition**
- [Add approver for group level scan result policies](gitlab-org/gitlab@ea1e4db53a9318096af63830d2842c532ad9f22e) ([merge request](gitlab-org/gitlab!100130)) **GitLab Enterprise Edition**
- [Nullify duplicate runner authentication tokens](gitlab-org/gitlab@468c34371198e1a5396bd64ec6aff3686086d9d1) ([merge request](gitlab-org/gitlab!98689))
- [This MR adds new feature flag for DAST pre-scan verification](gitlab-org/gitlab@67d528a5da3625af0a0aec3688f9c82b094869e1) ([merge request](gitlab-org/gitlab!100322)) **GitLab Enterprise Edition**
- [Secure Files Metadata Parser](gitlab-org/gitlab@507fa48b4624112f2a0c12e885cc73ab33c2e355) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/99046))
- [Update alert and incident table styles](gitlab-org/gitlab@34a340890ee6a4c39e315f17e8d09c803924d89a) by @briankabiro ([merge request](gitlab-org/gitlab!98033))
- [Govern Metric Updates](gitlab-org/gitlab@567950da193fb607ea0894a07d31bcacf16f824b) ([merge request](gitlab-org/gitlab!98858)) **GitLab Enterprise Edition**
- [Productivity Analytics - Migrate url-sync mixin](gitlab-org/gitlab@081de58e7724db86d7b83ae8f8635c85495fdae2) by @ali_o_kan ([merge request](gitlab-org/gitlab!99487)) **GitLab Enterprise Edition**
- [Update max helm charts to 1000](gitlab-org/gitlab@8d2b848816159a617739f99bf66d264efe54bddb) ([merge request](gitlab-org/gitlab!99517))
- [Update shared runners summary text](gitlab-org/gitlab@bd2c75c7ad4726f5be68649a71bced1cf2b4ebde) ([merge request](gitlab-org/gitlab!100432))
- [Enable float values in cost factor](gitlab-org/gitlab@a6ef7a28e4f5f9e9a8c8d1cbbbe68e68b57c5d86) ([merge request](gitlab-org/gitlab!98353)) **GitLab Enterprise Edition**
- [Improve MergeService log messages](gitlab-org/gitlab@3accdc24281dd66a3d32f59857eb67502c4a414d) ([merge request](gitlab-org/gitlab!100381))
- [Update dependency auto-deploy-image to v2.39.0](gitlab-org/gitlab@3595ba02425fcfb497c741a349ad5efd04bd26c6) ([merge request](gitlab-org/gitlab!100374))
- [Don't pre-fill markdown table with cells in issue](gitlab-org/gitlab@636690c6e873508b54bffd4b3613df9bee1093c0) ([merge request](gitlab-org/gitlab!100342))
- [Remove ci_destroy_unlocked_pipeline_artifacts feature flag](gitlab-org/gitlab@f9787e7d3770f2d39ec66fffe6c9686c8b29ccd2) ([merge request](gitlab-org/gitlab!100336))
- [Show view-only audit events filter for users with the developer role](gitlab-org/gitlab@4c12301ec007cd7d0a1a27e4cc5de654299d99b4) ([merge request](gitlab-org/gitlab!97945)) **GitLab Enterprise Edition**
- [Remove participant status from epic participants](gitlab-org/gitlab@b94629639523e7ad54de38e012bfc241fe0315a1) ([merge request](gitlab-org/gitlab!100126))
- [Improve copy on delete modale in package](gitlab-org/gitlab@3c856e9ac9e599e4b6bd37917f58779f160b7a07) by @ali_o_kan ([merge request](gitlab-org/gitlab!100289))
- [Prevent login using autogenerated passwords](gitlab-org/gitlab@c8ab8420c651cd50f7eda47209a8f834d4e7abe4) ([merge request](gitlab-org/gitlab!99031))
- [Replace Wiki service list_pages by normal repository RPCs](gitlab-org/gitlab@e4817094a7f1f6305a211a8f687a862252d495b5) ([merge request](gitlab-org/gitlab!96461)) **GitLab Enterprise Edition**
- [Update dependency auto-deploy-image to v2.38.1](gitlab-org/gitlab@fa5ca5d2e67e1d8eb69def097819eb71a56ee5e5) ([merge request](gitlab-org/gitlab!100269))
- [Show warning if code search mappings are outdated](gitlab-org/gitlab@d5d227da3e08b06ccc817280169717e89e2f3751) ([merge request](gitlab-org/gitlab!99254)) **GitLab Enterprise Edition**
- [Replace Wiki service find_page RPC by normal repository RPCs](gitlab-org/gitlab@8e44c21ff45b44c9bc4837ecc3bb868b653399b0) ([merge request](gitlab-org/gitlab!96461))
- [Replace Wiki service find_page RPC by normal repository RPCs](gitlab-org/gitlab@af1a3956abc5ff2e6fdf11e03823be3ce386eb9c) ([merge request](gitlab-org/gitlab!96461))
- [Replace Wiki service find_page RPC by normal repository RPCs](gitlab-org/gitlab@4df3e03b40dfea5ad301c9ae4dffcadd8853ae31) ([merge request](gitlab-org/gitlab!96461))
- [Update UI text in insights dropdown list + dropdown sizing](gitlab-org/gitlab@1a157cb7d0a8e74a2dd97b0af1d0a2d04406cbbb) ([merge request](gitlab-org/gitlab!99134)) **GitLab Enterprise Edition**
- [Change design comments cancel confirmation](gitlab-org/gitlab@8a77d69b1271e154fb833b92add8f23f6b513735) ([merge request](gitlab-org/gitlab!98776))
- [Debian package API: do not enqueue jobs directly](gitlab-org/gitlab@f4c9e7e61e1e2e9e4c12a6ecc8af103930260813) by @sathieu ([merge request](gitlab-org/gitlab!100215))
- [Fixes top padding for skeleton notes](gitlab-org/gitlab@21f7ca326e46ff30b253907ff972bd2e2cfe029d) ([merge request](gitlab-org/gitlab!99474))
- [Remove user attributes from notes](gitlab-org/gitlab@b0da4374517dcf6ce2cc82b560b81e4870e82744) ([merge request](gitlab-org/gitlab!95796)) **GitLab Enterprise Edition**
- [Use inline code for varaiables in harbor text](gitlab-org/gitlab@afd482670179d932b74d1353164de8b407532a24) ([merge request](gitlab-org/gitlab!100207))
- [Deprecate AWS `host` connection parameter](gitlab-org/gitlab@c26e40ca773bae62d7b01f705e04aa85856855ec) ([merge request](gitlab-org/gitlab!100206))
- [Migrate card component - user list in admin page](gitlab-org/gitlab@5f302e24e3770bce9c6b109a1a451523e1e189ba) ([merge request](gitlab-org/gitlab!98765))
- [Pull apart emoji and activity controls](gitlab-org/gitlab@2d85e23307ba6d5c16283d7d0bc2fce66325588f) ([merge request](gitlab-org/gitlab!96260)) **GitLab Enterprise Edition**
- [Exclude loopback and link local addresses from Google CDN use](gitlab-org/gitlab@adad442735ba71ef6dca27590c3dc48552fb1a47) ([merge request](gitlab-org/gitlab!100193))
- [Update runner settings styling](gitlab-org/gitlab@7a9fae4a9a937aa855e12d0da15ca4e72fb6d110) ([merge request](gitlab-org/gitlab!99039))
- [Enforce active jobs limit earlier in pipeline creation](gitlab-org/gitlab@3e4785c8fcdbb7cd36f031e252401a8b778b2e79) ([merge request](gitlab-org/gitlab!100184))
- [Adapt Helm API to consider the package registry access level](gitlab-org/gitlab@df150a839e9070b92c4d9422a64328d3ec8ce4ae) by @wwwjon ([merge request](gitlab-org/gitlab!97951))
- [Adapt Generic Packages to consider the package registry access level](gitlab-org/gitlab@a84bce8a5ecee164a8327b3ed1b897ac33900ec4) by @wwwjon ([merge request](gitlab-org/gitlab!97838))
- [Global Search vertical navigation search helper](gitlab-org/gitlab@381e80e0254373a9bf03009e06ed47c0d1269a87) ([merge request](gitlab-org/gitlab!97784))
- [Enabled realtime labels FF](gitlab-org/gitlab@c655d5a59c2e1bca18ca4da99961030d65b5d523) ([merge request](gitlab-org/gitlab!99108))
- [Hide `Action` column when revokePath is missing](gitlab-org/gitlab@4d16b1281f621eb9b1a1cc091dc0015a25f97512) ([merge request](gitlab-org/gitlab!99464))
- [Remove use_gitaly_pagination_for_refs feature flag](gitlab-org/gitlab@d322db353151340a5e65d5f677147d8057f7def1) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/99967))
- [Upgrade Sourcegraph integration to 0.0.82](gitlab-org/gitlab@d1da145f0d4335e1828b2198a445533dad6e642f) by @philipp-spiess ([merge request](gitlab-org/gitlab!99127))
- [Do not show blocked states](gitlab-org/gitlab@f63594cff6f7c662f687a28944d91f5fd724acdb) ([merge request](gitlab-org/gitlab!99270)) **GitLab Enterprise Edition**
- [Remove iteration_cadences FF](gitlab-org/gitlab@b6d917accd0630cd3fb8ddd4ebfc6f9c7c567059) ([merge request](gitlab-org/gitlab!93252)) **GitLab Enterprise Edition**
- [Update colors in the user activity calendar](gitlab-org/gitlab@67eb6a20d6d23dc944b7835e40fe9dc555d92165) ([merge request](gitlab-org/gitlab!99160))
- [Tighten Google CDN URL config requirements](gitlab-org/gitlab@b54f29f42128372d5fe9a74e431dcb49c54e37a1) ([merge request](gitlab-org/gitlab!100033))
- [Geo - Update no subscription banner message](gitlab-org/gitlab@ae33203fb139b4dd02115b61f5b3a5efe071654d) ([merge request](gitlab-org/gitlab!100004)) **GitLab Enterprise Edition**
- [Geo - Update URL text to External URL](gitlab-org/gitlab@0c539a438dc93c088c89beddae60dca464a86f8c) ([merge request](gitlab-org/gitlab!100016)) **GitLab Enterprise Edition**
- [Update unknown ci_pipeline_artifacts.locked column values](gitlab-org/gitlab@66d3f2935932860fbfac42c0e338bfca44127b66) ([merge request](gitlab-org/gitlab!99182))
- [Add codeowners collapse, use vue component instead of haml](gitlab-org/gitlab@fd9307dc5257a2ea936d5cd1e231348ae44a3d96) ([merge request](gitlab-org/gitlab!99100)) **GitLab Enterprise Edition**
- [Fixes highlighting color for first diff reply](gitlab-org/gitlab@d9f09c806e809e31dde8f99bc27f26ebadbbbd1a) ([merge request](gitlab-org/gitlab!99485))
- [Change Version API to mirror Metadata API](gitlab-org/gitlab@2ca4474a0e7e08cccf148b96ea6c05812c3b59bf) ([merge request](gitlab-org/gitlab!99176))
- [Reduced lease from 1.5hrs to 1 hr](gitlab-org/gitlab@3f81dd3b95b853213cb9e49a9244e5a495199e63) ([merge request](gitlab-org/gitlab!99226))
- [Update extensions in Gitpod configuration](gitlab-org/gitlab@1120edd1259a9484933d3fd4213fb8aacb3fc4ad) by @gtsiolis ([merge request](gitlab-org/gitlab!95867))
- [Geo: Migrate Container Registry replication to use SSF](gitlab-org/gitlab@9781bca2f4f53b1a4d0b1d2ec49a10dc591d7f85) ([merge request](gitlab-org/gitlab!93690)) **GitLab Enterprise Edition**
- [Do not user select2 for mirror user id](gitlab-org/gitlab@bcab533d8a6501166bda20a61b8700fe6d58196d) ([merge request](gitlab-org/gitlab!98824))
- [Don't pre-fill markdown table with cells](gitlab-org/gitlab@5d5779f620369690954169fa923d713027c61a74) ([merge request](gitlab-org/gitlab!98784))
- [Fix invalid runner REST v4 deprecations](gitlab-org/gitlab@5e40a0ac33d657a94a58d825744bb8c5408259b0) ([merge request](gitlab-org/gitlab!99221))
- [Harmonise warning message in Settings < Variables](gitlab-org/gitlab@c7e72347eb22517bd6922a50cd7a0e5ca3d52e60) by @ali_o_kan ([merge request](gitlab-org/gitlab!99000))
- [Update trial status popover title](gitlab-org/gitlab@792477e69743225e02a317f0ba0784e994e716f2) ([merge request](gitlab-org/gitlab!98606)) **GitLab Enterprise Edition**
- [Harmonise warning message in Settings < Pipeline triggers](gitlab-org/gitlab@a67ae90e4f79673eed3aad639a6c9557dcd5d185) by @ali_o_kan ([merge request](gitlab-org/gitlab!99009))
- [Add tmp indx null member namespace id](gitlab-org/gitlab@8b89fdc8ec20fab46b8ee85af9304913bb4677f9) ([merge request](gitlab-org/gitlab!99212))
- [Default on :operational_vulnerabilities_filters ff](gitlab-org/gitlab@414d300a8bb46ea633a7160f08cb8b4062c602ca) ([merge request](gitlab-org/gitlab!99318))
- [Default on :scan_execution_rule_mode feature flag](gitlab-org/gitlab@7259ebb10210c6293fd9f55316fca75deef93d48) ([merge request](gitlab-org/gitlab!99298))
- [Remove dropdown to add members from admin area](gitlab-org/gitlab@8da55104a7184e6ddb1b5921b41b6e85fbeddee4) ([merge request](gitlab-org/gitlab!99057))
- [Update cards in the milestone view](gitlab-org/gitlab@9a813389e62f6b5050803f5ae56847aad783ab72) ([merge request](gitlab-org/gitlab!98794))
- [Ensure PostgreSQL versions are memoized at start of tests](gitlab-org/gitlab@3a83e8e21334b1222efc9d438fb6ed3209c204a3) ([merge request](gitlab-org/gitlab!99197))
- [Allow to submit wiki form using ctrl enter](gitlab-org/gitlab@e93833dec307d4e410ff22b6fc19135bc3ad5fb1) ([merge request](gitlab-org/gitlab!99169))
- [Store dependency scanning SBoMs as reports](gitlab-org/gitlab@b8b7a8eeef337059ee9d93878630741370e80e37) ([merge request](gitlab-org/gitlab!99126))
- [ref_service: Clean up find_local_branches_response](gitlab-org/gitlab@7a5946a02689a544705284969d8927488a9d1f16) ([merge request](gitlab-org/gitlab!98755))
- [Do not restrict epics child issues group structure](gitlab-org/gitlab@06146e8e8f2733821ccde2419afe2ef90ae1e0ad) ([merge request](gitlab-org/gitlab!99047)) **GitLab Enterprise Edition**
- [This MR stores list of form fields in constant](gitlab-org/gitlab@182d6e755672f2819533fa15e6ebd801cf984295) ([merge request](gitlab-org/gitlab!99054)) **GitLab Enterprise Edition**
- [Use Pajamas alert component for Rails flash](gitlab-org/gitlab@ddccbf42eb579d4c3853087b6cf0e2fcb22c08f0) ([merge request](gitlab-org/gitlab!98358))
- [Update code analyzers](gitlab-org/gitlab@b701a8e6b951f31f96dcc3999a2df3f160a71613) ([merge request](gitlab-org/gitlab!96785)) **GitLab Enterprise Edition**
- [Migrate groups' projects settings card to ViewComponent](gitlab-org/gitlab@a2be1f8bd30c5549c711723ea8ab3c137b84422f) ([merge request](gitlab-org/gitlab!98806))
- [Harmonise warning in Protected environments](gitlab-org/gitlab@670aa51e874183306d54294dde5844272281a9bd) by @ali_o_kan ([merge request](gitlab-org/gitlab!98977)) **GitLab Enterprise Edition**
- [Migrate to GlButton](gitlab-org/gitlab@3a6885697dda618e62623e4346898b961777a878) ([merge request](gitlab-org/gitlab!89930)) **GitLab Enterprise Edition**
- [GraphQL: Rename verification status to status](gitlab-org/gitlab@2fbf829af2aa4b0d76c4a61426c69b986d3c2852) ([merge request](gitlab-org/gitlab!98488)) **GitLab Enterprise Edition**
- [Hides cleanup policy admin notification while loading](gitlab-org/gitlab@95565dd0b953c74edbe0ec1d00d9f2b8bb49be9a) ([merge request](gitlab-org/gitlab!98552))
- [Refetch deployments on user interaction](gitlab-org/gitlab@2b0fdedf03f51fc0d2fd2ec4ff9fe7363e705ac6) ([merge request](gitlab-org/gitlab!98596))
- [Migrate groups "Protect environment" card to ViewComponent](gitlab-org/gitlab@15d70ae3799ed6c6458fc5a1beaf457bb8a8b798) ([merge request](gitlab-org/gitlab!98800)) **GitLab Enterprise Edition**
- [Allow updating users.pronouns property in REST API](gitlab-org/gitlab@805fdb8e4d2eed1bd563e45185b9b03e92126928) by @drumm ([merge request](gitlab-org/gitlab!99019))
- [Migrate "Protect a tag" card to ViewComponent](gitlab-org/gitlab@7b6a08b41b4deef12f6bb6d3a9d6ce5baab94c2c) ([merge request](gitlab-org/gitlab!98807))
- [Migrate "Protect environment" card to ViewComponent](gitlab-org/gitlab@73eaa5ea5ae91fe781aa3e386d1b95c57b5a8249) ([merge request](gitlab-org/gitlab!98795)) **GitLab Enterprise Edition**
- [Hide delete button when user cannot delete runner](gitlab-org/gitlab@8c091f7776508982e1f44355088da62c041cf9be) ([merge request](gitlab-org/gitlab!97819))
- [Adding metadata and expires_at to Secure Files](gitlab-org/gitlab@bc5eb4669c741d617887e3082c60875150a94a0b) ([merge request](gitlab-org/gitlab!98586))
- [Limit maximum number of child epics](gitlab-org/gitlab@468869f638f61a3a1b6e682382bb399e846d8654) ([merge request](gitlab-org/gitlab!98757)) **GitLab Enterprise Edition**
- [Remove tmp_index_system_note_metadata_on_attention_request_actions](gitlab-org/gitlab@46a2b5d0afa860caf52b0d41a0d337538bf98660) ([merge request](gitlab-org/gitlab!98745))
- [Rename WebHook service_id to integration_id](gitlab-org/gitlab@b06fccf615a4fa688fcc97ba3bd527339e1564e7) ([merge request](gitlab-org/gitlab!92073))
- [Migrate issue/MR bulk edit checkboxes to be Pajamas compliant](gitlab-org/gitlab@9829c8c07b1863ee0685b407496420bb96271edb) ([merge request](gitlab-org/gitlab!98848))
- [Migrate LDAP `Remember me` checkbox to be Pajamas compliant](gitlab-org/gitlab@0dc52928cd26d9dee42b25225e664148819f4de2) ([merge request](gitlab-org/gitlab!98835))
- [Migrate OmniAuth `Remember me` checkbox to be Pajamas compliant](gitlab-org/gitlab@84a045f04634d6b619b14cb71527de5492633674) ([merge request](gitlab-org/gitlab!98834))
- [Update dependency auto-deploy-image to v2.38.0](gitlab-org/gitlab@7182939e5d0bfa464e63ed110d7dc8abc41d3a92) ([merge request](gitlab-org/gitlab!98831))
- [Migrate card component - admin note in admin area](gitlab-org/gitlab@62288a13914873da67678c4d3be704974b21be04) ([merge request](gitlab-org/gitlab!98805))
- [Migrate pj component - card in the profile SSH page](gitlab-org/gitlab@f529e2c995e4bb5de4d5cdd4f7a3f18eb134813a) ([merge request](gitlab-org/gitlab!98759))
- [Allow updating users.commit_email property in REST API](gitlab-org/gitlab@f84b908b6b4495b318fd70fc79742411142aa7a3) by @drumm ([merge request](gitlab-org/gitlab!98764))
- [Migrate custom attributes card to ViewComponent](gitlab-org/gitlab@51fbe53d0dd10061960010044304339918844fd7) ([merge request](gitlab-org/gitlab!98792))
- [Add new alert for creating new top-level group](gitlab-org/gitlab@6b4a856c8a1ba45a1647e786c5bb66a4cc4b4ede) ([merge request](gitlab-org/gitlab!95826))
- [Autofocus on Markown Editor](gitlab-org/gitlab@9423284170b4e2ba3bb84c1ed2170324e44866af) ([merge request](gitlab-org/gitlab!98710))
- [Removes spacing from system and discussion notes](gitlab-org/gitlab@55d1ddd84435517aba6b8799fb6d3ac056fb70f5) ([merge request](gitlab-org/gitlab!95824)) **GitLab Enterprise Edition**
- [Remove temp index that no longer needed](gitlab-org/gitlab@06a3e08ffd5d7116bdee6dd20412beaebb5393b8) ([merge request](gitlab-org/gitlab!98743))
- [Update deployment rollback buttons](gitlab-org/gitlab@0d6a340bdb638c35a71273cf0ebf6c196029fe15) ([merge request](gitlab-org/gitlab!98739))
- [Remove unused db fields from assignees](gitlab-org/gitlab@aa493b0eaf58261d4623d8df64d0f97aee7e4e80) ([merge request](gitlab-org/gitlab!98298))
- [Remove unused styles on subscription seats table](gitlab-org/gitlab@0be7980d62cf50f695e56bdbc22827830afe8fdb) ([merge request](gitlab-org/gitlab!98742)) **GitLab Enterprise Edition**
- [Drop ci_update_unlocked_job_artifacts feature flag](gitlab-org/gitlab@fcbfee5a38d59d2eb66e85ca1e79bc0a465602b7) ([merge request](gitlab-org/gitlab!98725))
- [Update `Busy` checkbox copy](gitlab-org/gitlab@10fc01287a78faafe4744d87c212c5510f55f16a) ([merge request](gitlab-org/gitlab!98714))
- [Update dependency auto-build-image to v1.19.0](gitlab-org/gitlab@d79571ff7f747d58210b7a249e6cd320f1f8decd) ([merge request](gitlab-org/gitlab!92591))
- [Update successful purchase banner](gitlab-org/gitlab@b9b33751d8522954014d0ff46b25bda7479d9075) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/96220)) **GitLab Enterprise Edition**
- [Remove cleanup_extract_mr_diff_deletions feature flag](gitlab-org/gitlab@d588c05e003c3d7b084f9a2fb9bf1d039df4f0cf) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/98555))
- [Default-enable :hash_oauth_tokens feature flag](gitlab-org/gitlab@0d15144ba9e8e46d8961ab255ad248feb12761f3) ([merge request](gitlab-org/gitlab!98242))
- [GitLab Version - Badge CTA](gitlab-org/gitlab@a6bf5ea299f846e610378b52c3d49cbd0660feac) ([merge request](gitlab-org/gitlab!98376))
- [Backfill internal column on notes](gitlab-org/gitlab@f65aca834a7169c04d9ddf221585d20279f0aaac) ([merge request](gitlab-org/gitlab!98433))
- [Block userless CI](gitlab-org/gitlab@dc63fe0dcdb399aac611f313d2bca156600275ef) ([merge request](gitlab-org/gitlab!98567))
- [Remove cache_issue_sums flag](gitlab-org/gitlab@b62b32e01f245714b12bf7c8a845e041dfc44a93) ([merge request](gitlab-org/gitlab!97634)) **GitLab Enterprise Edition**
- [Do not treat warnings as errors](gitlab-org/gitlab@4e777bf0ff74a46538f15a7c6acf76977b160761) ([merge request](gitlab-org/gitlab!97808)) **GitLab Enterprise Edition**
- [Add warning when Token Access disabled](gitlab-org/gitlab@6bbfa3c0f83f5b2314322b7ad07e8ca7337bab1c) by @ali_o_kan ([merge request](gitlab-org/gitlab!98123))
- [Add reject_non_dco_commits to push_rules](gitlab-org/gitlab@bcbc2813c1541ec2e65a5d17d19d7623d263efcf) ([merge request](gitlab-org/gitlab!97938))
- [Added parameter to participants query](gitlab-org/gitlab@71658dd00b1d4e9efa5b35dbe09427db3ce3341e) ([merge request](gitlab-org/gitlab!98520))
- [Rename timeline event note's validation error message](gitlab-org/gitlab@fd5718c96de9bc6623690e5f814a873a18d82207) ([merge request](gitlab-org/gitlab!97920))
- [Remove tmp idx null project namespace id](gitlab-org/gitlab@0788d9a46f6bc673f106c65ad9fbebac32b38940) ([merge request](gitlab-org/gitlab!98387))
- [Hide subgroup milestones on Roadmap when filtered by group](gitlab-org/gitlab@2c4eccf5413b49280aed99c32ba7567a5460b989) ([merge request](gitlab-org/gitlab!98495)) **GitLab Enterprise Edition**
- [Remove unused updated_state_by_user_id from merge_request_reviewers](gitlab-org/gitlab@3c6a3bac9beb3467a939d486c11b0f699967f650) ([merge request](gitlab-org/gitlab!98299))
- [Add index on internal notes](gitlab-org/gitlab@1715ee208c1657eab35976c1ede86ff34042b78e) ([merge request](gitlab-org/gitlab!98435))
- [Remove multiple iteration cadences license check](gitlab-org/gitlab@35b201761e67a9f39a77dc94bbf0517836341918) ([merge request](gitlab-org/gitlab!98404)) **GitLab Enterprise Edition**
- [Check feature flag in bulk imports API for consistency](gitlab-org/gitlab@74b59548758664ca487694af0a021857dce64a87) ([merge request](gitlab-org/gitlab!98398))
- [Enable auditor access to group runners](gitlab-org/gitlab@e0796d71c1d9b882f11fec4e705e852fce46ad4e) ([merge request](gitlab-org/gitlab!98129))
- [GitLab Version - Increase cache life](gitlab-org/gitlab@904907ccb3ab221a54b23a48ac631858689128b3) ([merge request](gitlab-org/gitlab!95747))
- [Adds last downloaded date to package registry UI](gitlab-org/gitlab@2df7af2546ec1e8a86c84b3272ed8425ed50fe20) ([merge request](gitlab-org/gitlab!96862))
- [Drop tmp_index_user_callouts_on_attention_request_feature_names](gitlab-org/gitlab@3037d46f4f16d4188f5d36bc534ad6a652dab841) ([merge request](gitlab-org/gitlab!98300))
- [Clean up successful experiment promote_mr_approvals_in_free](gitlab-org/gitlab@497d95f92808987537ba4d216c06f7d5ff9fa162) ([merge request](gitlab-org/gitlab!97728))
- [Add iteration to Issues Analytics table](gitlab-org/gitlab@6aa0944f9c39064d4b529b5a2c2822e73ea7e6d7) by @ali_o_kan ([merge request](gitlab-org/gitlab!98250)) **GitLab Enterprise Edition**
- [Finalize member namespace id cleanup](gitlab-org/gitlab@fda055a8437d1c7c324959fcadedcaec5207d90f) ([merge request](gitlab-org/gitlab!97781))
- [Remove allow non-blocking member refresh feature flag](gitlab-org/gitlab@a0e96150c37e722dda5e64aa4d677bbf688278c3) ([merge request](gitlab-org/gitlab!98108)) **GitLab Enterprise Edition**
- [Ignore fingerprint column on sbom_sources](gitlab-org/gitlab@0ceb684433fc142e97c80dac546de7d650441189) ([merge request](gitlab-org/gitlab!97989))
- [Clean up `read_package_policy_rule` feature flag](gitlab-org/gitlab@45990d45cbe34f93d744fff95109f7610b79724b) by @wwwjon ([merge request](gitlab-org/gitlab!96767))

### Removed (18 changes)

- [Remove contraint check_508774aac0](gitlab-org/gitlab@72110d54f7d17816cba40655704b38b6dc97b814) ([merge request](gitlab-org/gitlab!101339))
- [Remove default_scope for the Event model](gitlab-org/gitlab@abbea54b4e49fb70648a28247a5a8149a67f0998) ([merge request](gitlab-org/gitlab!101208))
- [Drop free user cap columns from namespace settings](gitlab-org/gitlab@262ea65244edfa5641f00babf7d02695faa10a09) ([merge request](gitlab-org/gitlab!100875))
- [Remove FF override_group_level_protected_environment_settings_permission](gitlab-org/gitlab@bf469a52560e113b45b54672eaa3785fadf0dcb9) ([merge request](gitlab-org/gitlab!98880))
- [Remove Feature Flag for artifacts reports junit](gitlab-org/gitlab@b20ce0641548a7c42130ef4cbea967ad0db9c1ef) ([merge request](gitlab-org/gitlab!100591))
- [Geo Sites - Remove Current Site Badge](gitlab-org/gitlab@15087f6e8b7341f767ce811f78d78035d53823e4) ([merge request](gitlab-org/gitlab!100030)) **GitLab Enterprise Edition**
- [Revert "Merge branch 'pages-lets-encrypt-ecdsa' into 'master'"](gitlab-org/gitlab@12505eaa534db561a5f158077463ba9381f98a2f) ([merge request](gitlab-org/gitlab!99948))
- [Remove incident_resource_links_widget feature flag](gitlab-org/gitlab@3ae289647f68dc7f355430266debdaffde0e005e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/100118)) **GitLab Enterprise Edition**
- [Delete remove invalid member migrations](gitlab-org/gitlab@39c59ab5bec79c5f3275471c18db3072c4d84f51) ([merge request](gitlab-org/gitlab!99231))
- [Drop index on ci_builds_metadata](gitlab-org/gitlab@c0eddd21d076dfe791db0322d1a58b8644776c6b) ([merge request](gitlab-org/gitlab!99483))
- [Remove unused partial](gitlab-org/gitlab@d7cf9e61c213ee8a22c00bbeea1d423603a816f1) ([merge request](gitlab-org/gitlab!98814))
- [Remove unused VSA label_ids param](gitlab-org/gitlab@e842860989ef9a03d59891537c7ffa777a381f80) ([merge request](gitlab-org/gitlab!98434)) **GitLab Enterprise Edition**
- [Remove WorkItemUpdateWidgets mutation from GraphQL API](gitlab-org/gitlab@d1963a4e71ffb55455d7652a53994d532274118f) ([merge request](gitlab-org/gitlab!98377))
- [Remove application limits for Jira import](gitlab-org/gitlab@70946f4d261d90af5ead38c5ac25d89e39d09f8e) ([merge request](gitlab-org/gitlab!98171))
- [Remove global_search_custom_slis feature flag](gitlab-org/gitlab@9b6448e950bf3a814b21b8d25d560910e354d6bc) ([merge request](gitlab-org/gitlab!98322))
- [Remove contribution_analytics_optimized_base_query](gitlab-org/gitlab@020c72eb727860511ac4358fbc8e9ad18a8caa3e) ([merge request](gitlab-org/gitlab!98306)) **GitLab Enterprise Edition**
- [Remove unused experience_level DB column](gitlab-org/gitlab@b5d2d44d0dee6857179433214aa6f5b2526aa144) ([merge request](gitlab-org/gitlab!98164))
- [Remove legacy memory killer](gitlab-org/gitlab@abbb37b56a38c17e409f7ade3b4a86e0e8821d68) ([merge request](gitlab-org/gitlab!97965))

### Security (19 changes)

- [Fix CVE-2022-32149 in workhorse dependency](gitlab-org/gitlab@6b4b2df5152c85f50627e5a9fd7cd38a1e155e38) ([merge request](gitlab-org/gitlab!100828))
- [Validate the scheme of project import URLs](gitlab-org/gitlab@42e556b39c012ac445953ea3229475052d343232) ([merge request](gitlab-org/gitlab!99185))
- [Respect instance level rule for editing approval rules](gitlab-org/gitlab@fc7549c169063849d835fa254e8a17aae78349fa) ([merge request](gitlab-org/gitlab!99289))
- [Update TodoPolicy to handle confidential notes](gitlab-org/gitlab@82da30efbba3d95336640ff5b8a0da47c1e0121e) ([merge request](gitlab-org/gitlab!99289))
- [Fixes XSS in widget extensions](gitlab-org/gitlab@c35b35be2eec36b82d9695c9f56147a5b7ff7c2f) ([merge request](gitlab-org/gitlab!99289))
- [Redact user's private email in group member event webhook](gitlab-org/gitlab@41f100fa2af5f1a5ff153860f6eec2aedde7a322) ([merge request](gitlab-org/gitlab!99289))
- [Sanitize Url and check for valid numerical errorId in error tracking](gitlab-org/gitlab@c2850529bd23c1ba3d458f90de29f49078177ca3) ([merge request](gitlab-org/gitlab!99289))
- [Manually sync canonical to security](gitlab-org/gitlab@eb667cd4526c08878d094f52c9c4e779a433c9b2) ([merge request](gitlab-org/gitlab!99289))
- [Fix conflict between canonical and security](gitlab-org/gitlab@7bb03eaee2e6a4f9979e9179f364927e1afa204c) ([merge request](gitlab-org/gitlab!99289))
- [Enforce group IP restriction on Dependency Proxy](gitlab-org/gitlab@c9c44b512fb110ff0d005f687033fa6fc83e95dc) ([merge request](gitlab-org/gitlab!99289))
- [Prevent serialization of sensible attributes from JsonCache](gitlab-org/gitlab@4a22ee6afb9cbf6203e245c9874edbfa79ccbba8) by @jbobadilla-ext ([merge request](gitlab-org/gitlab!99289))
- [Restrict max duration to 1 year for trace display](gitlab-org/gitlab@4cd825f74a1fe1a92e767e288da2f494bcfd4dea) ([merge request](gitlab-org/gitlab!99289))
- [Forbid creating a tag using default branch name](gitlab-org/gitlab@1c29e523329d761a55a083601482d7cbf3ca120d) ([merge request](gitlab-org/gitlab!99289))
- [Add security protection for Github](gitlab-org/gitlab@cf62321df4e71c0e1eb222cf39d967bfbaa65b13) ([merge request](gitlab-org/gitlab!99289))
- [Redact secrets from WebHookLogs](gitlab-org/gitlab@2c32d522e5d5d97cbe2f4e58824c7ad37c919d3e) ([merge request](gitlab-org/gitlab!99289))
- [Prevent users creating issues in ay project via board/issues controller](gitlab-org/gitlab@1228faf62f41a90148a2662cc9481094ed901fba) ([merge request](gitlab-org/gitlab!99289))
- [Use UntrustedRegexp for upload rewriter](gitlab-org/gitlab@4786dded6c2b75acf0646fdd162e022725e88877) ([merge request](gitlab-org/gitlab!99289))
- [Fix leaking emails in WebHookLogs](gitlab-org/gitlab@a3f3915373cdb7f8facaa3272556052df3ecda40) ([merge request](gitlab-org/gitlab!99289))
- [Validate httpUrlToRepo to be http or https only](gitlab-org/gitlab@fb6784d2474b80b812ca0acfe00a959a70c39603) ([merge request](gitlab-org/gitlab!99289))

### Performance (19 changes)

- [Avoid query for next page check](gitlab-org/gitlab@a145d713b647f9849a24fe18e6a041f624fc1e0d) ([merge request](gitlab-org/gitlab!101232))
- [Refactor BitBucket importer](gitlab-org/gitlab@1ddc97c7cf4961d6a996b44a0cddec60719bde9f) ([merge request](gitlab-org/gitlab!99516))
- [Nullify and delete some user associations in batches](gitlab-org/gitlab@5db49f7664660cebed21a6fc25fb835a95ead375) ([merge request](gitlab-org/gitlab!101098))
- [Nullify merge request metrics user in batches on user deletion](gitlab-org/gitlab@68dca76235bd7de0654751185e32a1db43c0bdee) ([merge request](gitlab-org/gitlab!101016))
- [Nullify merge request and user associations in batches on user deletion](gitlab-org/gitlab@bd135d23c5c541c9ecfc3b370d01ec2d592c6553) ([merge request](gitlab-org/gitlab!100962))
- [Removing feature flag config files](gitlab-org/gitlab@bfc9327443b77fcb3047c75fa1c824941957d4d0) ([merge request](gitlab-org/gitlab!100025))
- [Fix N+1 when loading labels on issue, epic, mrge_request lists](gitlab-org/gitlab@0d31734943b10b4987b4d0ec0229888e3f8a092d) ([merge request](gitlab-org/gitlab!99117))
- [Fix labels N + 1 query in WorkItemsResolver](gitlab-org/gitlab@16ff1e903a0a1b343aa7d4c083cafd8db32a362c) ([merge request](gitlab-org/gitlab!100218))
- [Remove n+1 queries for participants policy checks](gitlab-org/gitlab@1d04aca8e55f2686b119331bf33cdf506e7c496a) ([merge request](gitlab-org/gitlab!98116))
- [Fix votes N+1 when loading issues, epics, merge requests lists](gitlab-org/gitlab@fe176d3ef340ce5ef3a47c6d80e8642d9b781b9e) ([merge request](gitlab-org/gitlab!99010))
- [Ensure primary key index is used for Geo::Replicable](gitlab-org/gitlab@b5ffe6d024bfd20541d9c8b663bdc25eed4e5678) ([merge request](gitlab-org/gitlab!98704)) **GitLab Enterprise Edition**
- [Remove feature flags related to diff highlight expiration](gitlab-org/gitlab@ce33cf22be9c7aba70c1163533de02860774642f) ([merge request](gitlab-org/gitlab!98772))
- [Destroy unlocked and expired pipeline artifacts](gitlab-org/gitlab@9731cb487196767b0ea04f429e122e06dbcb0c31) ([merge request](gitlab-org/gitlab!98633))
- [Load all license details from Gitaly](gitlab-org/gitlab@a52f9574d492969462b15591392028752c6a77dc) ([merge request](gitlab-org/gitlab!98638))
- [Load all license details from Gitaly](gitlab-org/gitlab@b37b0d5b4bceed05e1ff90185d3e1771a91d028f) ([merge request](gitlab-org/gitlab!77041))
- [Avoid N+1 in GraphQL WorkItemsResolver](gitlab-org/gitlab@9e5123a3feea5f1f52fa0ab8161041cbc7f6a1ad) ([merge request](gitlab-org/gitlab!97722))
- [Add delay during project authorizations refresh](gitlab-org/gitlab@4f4bdab4d8358a2cba7b4825937ca524f1bb844d) ([merge request](gitlab-org/gitlab!97805))
- [Enable background closure of issues from commit messages](gitlab-org/gitlab@478a79d48a95f00c2780e72e4f9fb2e3b8aace7a) ([merge request](gitlab-org/gitlab!98222))
- [Fix Workhorse Redis Sentinel role checks](gitlab-org/gitlab@644759728ff35f4f804555b622b85d35e4be50c8) ([merge request](gitlab-org/gitlab!97698))

### Other (63 changes)

- [Add logging for file variable expansion](gitlab-org/gitlab@d4f8834e1c74933d16f45bd28483213c469e37c5) ([merge request](gitlab-org/gitlab!101022))
- [Remove gitlab_shell_jwt_token feature flag](gitlab-org/gitlab@754b2b80ca9b9beb8b6afded888705443dd0939d) ([merge request](gitlab-org/gitlab!101274))
- [Deploy tiers named nonprod no longer marked as production](gitlab-org/gitlab@17ed77da9903c21d5c6917d5f17bcb0b00ce0cca) ([merge request](gitlab-org/gitlab!96852))
- [Remove FF `gl_listbox_for_sort_dropdowns`](gitlab-org/gitlab@54294e18fb3a38cefd4ca0c48c4ccc41eadba1bd) ([merge request](gitlab-org/gitlab!100747))
- [Remove duplicated read_confidential_notes policy](gitlab-org/gitlab@98653e591f3829a185cc81620f1bc812300a5957) ([merge request](gitlab-org/gitlab!101216))
- [Drop index_notes_on_note_gin_trigram index where exists](gitlab-org/gitlab@be3fb41d456edd7b366e6df8ee3a41569606625f) ([merge request](gitlab-org/gitlab!101103))
- [Add diagnostic reports uploader](gitlab-org/gitlab@3c13a0744e440bfd4d678cb81a7e7cd2deddd2fa) ([merge request](gitlab-org/gitlab!100693))
- [Clean up legacy Gitaly Wiki RPCs in Rails](gitlab-org/gitlab@df9ec360785f6e0a55a6878a4277e0e9ee3a957a) ([merge request](gitlab-org/gitlab!100821)) **GitLab Enterprise Edition**
- [Add message and importer type to logs](gitlab-org/gitlab@9d5d1ce7123662c729b9007104481ed314b6347f) ([merge request](gitlab-org/gitlab!100734))
- [Update task system note background migration batch sizes](gitlab-org/gitlab@3d76d21d666acb4831abca69e7d4268d889fa249) ([merge request](gitlab-org/gitlab!100457))
- [RuboCop: Enable previously disabled Rails/ActiveRecordCallbacksOrder](gitlab-org/gitlab@35dfc5a203d50e2601728a39b2f2612d876226c9) by @edith007 ([merge request](gitlab-org/gitlab!94014))
- [RuboCop: Enable previously disabled Style/SoleNestedConditional](gitlab-org/gitlab@420be342fcdd0bc7cecc20af2e05fac24b300def) by @edith007 ([merge request](gitlab-org/gitlab!94352))
- [RuboCop: Enable previously disabled Rails/InverseOf](gitlab-org/gitlab@1aa548b69cdceb00b3b4ebb1e40a7d67ee2e06c2) by @edith007 ([merge request](gitlab-org/gitlab!94037))
- [RuboCop: Enable previously disabled Rails/RedundantForeignKey](gitlab-org/gitlab@e8ce8c53032cd838517c8673180787dbb950a0d1) by @edith007 ([merge request](gitlab-org/gitlab!94055))
- [RuboCop: Enable previously disabled Style/KeywordParametersOrder](gitlab-org/gitlab@4a81681f87c63b8f53ae27a42c1dc764b113eb63) by @edith007 ([merge request](gitlab-org/gitlab!94120))
- [RuboCop: Enable previously disabled Style/NumericLiteralPrefix](gitlab-org/gitlab@5fed5d2538f0f17edc848c3c4839a4b954a4f11f) by @edith007 ([merge request](gitlab-org/gitlab!94327))
- [RuboCop: Enable previously disabled Rails/IndexWith](gitlab-org/gitlab@89dcef761ce974fc997a06fdaed1bcfc38924cd2) by @edith007 ([merge request](gitlab-org/gitlab!94035))
- [Add bulk_import_id to bulk_import logs](gitlab-org/gitlab@2c978680d6405c9851980808d6289d8366d5c22b) ([merge request](gitlab-org/gitlab!100611))
- [RuboCop: Enable previously disabled Style/SingleArgumentDig](gitlab-org/gitlab@2c1412674f4cad011b3a8945098c466db715a70d) by @edith007 ([merge request](gitlab-org/gitlab!94351))
- [Use bulk_import_entity_id in all logs](gitlab-org/gitlab@5fd1aa5ba64171e76186b7b1ac1d0f37621c6919) ([merge request](gitlab-org/gitlab!100307))
- [Prepare partial non-latin index for issues](gitlab-org/gitlab@761e14a11c17c3fe7746883a098a91bc8536f7b0) ([merge request](gitlab-org/gitlab!100398))
- [Remove incident_timeline feature flag](gitlab-org/gitlab@af661f9094e234db7f1b04ee17c417294cd4dc1b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/100122))
- [Enable wiki feature flags by default](gitlab-org/gitlab@bfa43b6ddc32a00fc0ca5e3fa4e1f2518ab51841) ([merge request](gitlab-org/gitlab!100560))
- [Ignore column with typo on NamespaceDetails](gitlab-org/gitlab@1a1642604cda851defe6663e033cca0589e583bf) ([merge request](gitlab-org/gitlab!100538))
- [Remove the about your company feature flag and commit code](gitlab-org/gitlab@197483dc65191a4b313458e837f3575a3daba16d) ([merge request](gitlab-org/gitlab!100324)) **GitLab Enterprise Edition**
- [Remove block_emails_with_failures feature flag](gitlab-org/gitlab@08c6db4253e41d9295d49c6e04751d259bac82a1) ([merge request](gitlab-org/gitlab!100380))
- [Removes the `gl_avatar_for_all_user_avatars` FF](gitlab-org/gitlab@53c1491ad466ade505c71d413b50b469c4b0defc) ([merge request](gitlab-org/gitlab!99271))
- [Remove the non supported google_client_email](gitlab-org/gitlab@ad4603acd454c15057fc1f84f62ef7a7855f0f98) ([merge request](gitlab-org/gitlab!98534))
- [Remove background trial application feature flag](gitlab-org/gitlab@cc4f17f7f628939fffc7f0b46ce26796ff039114) ([merge request](gitlab-org/gitlab!99536))
- [Remove the FF ci_project_pipeline_config_refactoring](gitlab-org/gitlab@b73930f627102d5af2b3f95f94014aabd9ffadf5) ([merge request](gitlab-org/gitlab!98990))
- [Add snowplow event tracking to group imports](gitlab-org/gitlab@3dd8ad3b0574c502b48a3839eb36531813aa563b) ([merge request](gitlab-org/gitlab!99144))
- [Add columns for package forward cascade settings](gitlab-org/gitlab@a027075214652d9f4bfaf35ef0b8b0c65de699ec) ([merge request](gitlab-org/gitlab!99274))
- [Update profile page buttons to pajamas](gitlab-org/gitlab@42bb9ce0108c4f73969031aebe3b81ed04c0317d) ([merge request](gitlab-org/gitlab!98874))
- [Increase branch expiry from 10 minutes to 60](gitlab-org/gitlab@f920fade55ba9b0c7dd108834b21ca0d1162cd46) ([merge request](gitlab-org/gitlab!99249))
- [Revert "Merge branch '371986-introduce-ff' into 'master'"](gitlab-org/gitlab@d0866206c5cf02e415e960fdbfea28f3659b2f14) by @kwiebers ([merge request](gitlab-org/gitlab!99149))
- [Bump Gitlab Shell to v14.12.0](gitlab-org/gitlab@b6682d56755c78fc09ab2a26238fe68e59ee9888) ([merge request](gitlab-org/gitlab!99093))
- [Remove unused members awaiting index](gitlab-org/gitlab@fe65b2832f15afa2b00eaf6a4dda9224b3cccdce) ([merge request](gitlab-org/gitlab!98715))
- [Change card to Pajamas](gitlab-org/gitlab@5ae210cb4ae0bd948ddf9a7d279b596b669609df) ([merge request](gitlab-org/gitlab!98839))
- [RuboCop: Enable previously disabled Style/StringLiteralsInInterpolation](gitlab-org/gitlab@43d649eb6c4e1ff9bb2e6a47ecce948f373823af) by @edith007 ([merge request](gitlab-org/gitlab!94362))
- [Validate entity type used in Gitlab Migration](gitlab-org/gitlab@f0f783603ca3c50fd49cce77ea8e3ab092d5af60) ([merge request](gitlab-org/gitlab!98972))
- [Modifications to `adding delay` logic](gitlab-org/gitlab@cd76bcaa0da999ca19ef54085b7996b5fad063e0) ([merge request](gitlab-org/gitlab!98428))
- [Remove unnecessary card component](gitlab-org/gitlab@a134dd20535c32959676feccc37c6b8c06c7a9fb) ([merge request](gitlab-org/gitlab!98811))
- [Remove orphan project bots](gitlab-org/gitlab@41940c182745c5565ac51a30ebe70fa59f3a8d23) ([merge request](gitlab-org/gitlab!98562))
- [Remove FF ci_rules_changes_compare](gitlab-org/gitlab@5fb00ca239abfffd2923a42272bf4d7db669bb95) ([merge request](gitlab-org/gitlab!98662))
- [Remove and add raw of ci-variables tables with new default](gitlab-org/gitlab@0bb49b14dbac61d2148b7246c914d157ba75f14d) ([merge request](gitlab-org/gitlab!98527))
- [Ignore unused columns on requirements](gitlab-org/gitlab@d3e04a5c0a97bfbd1bb57abc3b057a5748514884) ([merge request](gitlab-org/gitlab!97183)) **GitLab Enterprise Edition**
- [Remove trace column from ci_builds table](gitlab-org/gitlab@7d508fea6b33e5599d36449bcc2a478387d98ceb) ([merge request](gitlab-org/gitlab!98646))
- [Remove unused free user cap data feature flag](gitlab-org/gitlab@2383c6c3a0b56807be05f25aacc25abfeca64084) ([merge request](gitlab-org/gitlab!98612)) **GitLab Enterprise Edition**
- [Limit the number of active jobs early in the pipeline creation](gitlab-org/gitlab@f919ce40b66aca158301e390c32286997a0ef115) ([merge request](gitlab-org/gitlab!97814)) **GitLab Enterprise Edition**
- [GraphQL fetch stage by id](gitlab-org/gitlab@ddbbeda93991ad3f5cafabf5d8f415ac3e01f56b) ([merge request](gitlab-org/gitlab!98511))
- [RuboCop: Enable previously disabled Style/AccessorGrouping](gitlab-org/gitlab@6f9b0ec33fd22fc7fdb4f4c24d340c4f0aebdd82) by @edith007 ([merge request](gitlab-org/gitlab!94071))
- [RuboCop: Enable previously disabled Style/EmptyMethod](gitlab-org/gitlab@0e52d0f5bb702b3d54b86998d41a33577858cc0e) by @edith007 ([merge request](gitlab-org/gitlab!94087))
- [RuboCop: Enable previously disabled Rails/FilePath](gitlab-org/gitlab@a542d666e05fe3e218d8fda756589c36fbb1d139) by @edith007 ([merge request](gitlab-org/gitlab!94021))
- [RuboCop: Enable previously disabled Style/ExplicitBlockArgument](gitlab-org/gitlab@1dadf941e39fa00522168a0f42b59e2df27338d1) by @edith007 ([merge request](gitlab-org/gitlab!94090))
- [Use Gitlab UI empty state in Roadmap](gitlab-org/gitlab@fbcfcff8254422d94dbe103137249601a2f6f61f) by @rajatgitlab ([merge request](gitlab-org/gitlab!98510)) **GitLab Enterprise Edition**
- [Cleanup task system note renaming background migration](gitlab-org/gitlab@f24cbea2c633b0602e02f026d22cef8cf6ed9d1f) ([merge request](gitlab-org/gitlab!98479))
- [RuboCop: Enable previously disabled Style/CaseLikeIf](gitlab-org/gitlab@14a2daf336f808fe788d14363543831740dfaaa5) by @edith007 ([merge request](gitlab-org/gitlab!94080))
- [RuboCop: Enable previously disabled Rails/HelperInstanceVariable](gitlab-org/gitlab@e349f55644637ef29765e239d2c1befdae7cd287) by @edith007 ([merge request](gitlab-org/gitlab!94027))
- [Add dashboard limit to enable free user management](gitlab-org/gitlab@2004d928d8039ae134135f0234c115bf32b7fcf7) ([merge request](gitlab-org/gitlab!95855))
- [Decommission BatchPopQueueing class](gitlab-org/gitlab@7084f16fe7f9c95473bf79e598296c6ebb51632a) ([merge request](gitlab-org/gitlab!98423))
- [Remove create_approval_todos_on_mr_update FF](gitlab-org/gitlab@7251da6b615d6aa2da649121f9e860aece1961c3) ([merge request](gitlab-org/gitlab!98084))
- [Add environment keyword to pages job](gitlab-org/gitlab@73af406f9101da0a2f076ac023de5dfd60c85445) by @edith007 ([merge request](gitlab-org/gitlab!98283))
- [Remove feature flag ci_variables_refactoring_to_variable](gitlab-org/gitlab@f5d1e8277fb8c326082e58536aeae21ab3fd289c) ([merge request](gitlab-org/gitlab!97967))

## 15.4.6 (2022-11-30)

### Security (11 changes)

- [Send resolved_address param to gitaly during repository import](gitlab-org/security/gitlab@6f1547edf1540be3f5cbb03e1ae210e8a0fd2bab) ([merge request](gitlab-org/security/gitlab!2940))
- [Add size validation during nuspec file extraction](gitlab-org/security/gitlab@23109b73e8e2570d53401ff97deb893d61764ee1) ([merge request](gitlab-org/security/gitlab!2937))
- [Cross-site scripting in Jira Integration](gitlab-org/security/gitlab@11182e3f7dfb288473bd6974e80b0caf22b838d8) ([merge request](gitlab-org/security/gitlab!2932))
- [Protect web-hook secret tokens after changing URL](gitlab-org/security/gitlab@693efefacfbc960b9b9725aef482759e635c9233) ([merge request](gitlab-org/security/gitlab!2922))
- [Redact secret tokens from web-hook logs](gitlab-org/security/gitlab@28fae3d04c458602a04bf01bc34cf81ff05b897d) ([merge request](gitlab-org/security/gitlab!2918))
- [Prevent unauthorized users from seeing Release information on tag pages](gitlab-org/security/gitlab@c766fbf97b931f767e98c6c734aa273e85045766) ([merge request](gitlab-org/security/gitlab!2925))
- [Update after_import to expire cache before removing prohibited branches](gitlab-org/security/gitlab@178b2e45a5792480854d50cdb19b6cafeb38b30d) ([merge request](gitlab-org/security/gitlab!2903))
- [Deny all package permissions when group access is restricted by IP](gitlab-org/security/gitlab@d2e007409076a96eaef6a0ae3256a63260e019f7) ([merge request](gitlab-org/security/gitlab!2900))
- [Redact user emails from project webhook data](gitlab-org/security/gitlab@28a93bd8a7d4e55720031e7195c9c2e73ed5056d) ([merge request](gitlab-org/security/gitlab!2908))
- [Disallow local URls for build_runner_session if dictated by app setting](gitlab-org/security/gitlab@581da1e429952d50ac6762423c2be8bc7fbd957b) ([merge request](gitlab-org/security/gitlab!2868))
- [Prevent token bypass for extenal authorisation](gitlab-org/security/gitlab@e47447744cfe3b7e91b411c7ac64b20f916222a8) ([merge request](gitlab-org/security/gitlab!2887))

## 15.4.5 (2022-11-15)

### Fixed (1 change)

- [Revert Sidekiq default routing rules](gitlab-org/gitlab@b8b62286bc660decc83dad6295b121e134451924) ([merge request](gitlab-org/gitlab!103641))

## 15.4.4 (2022-11-02)

### Security (12 changes)

- [Datadog API key leak by changing integration URL](gitlab-org/security/gitlab@15e90bacccbc5146411c7a4ac3400470d3985c18) ([merge request](gitlab-org/security/gitlab!2865))
- [Redact confidential references in Jira issue descriptions](gitlab-org/security/gitlab@8b60fe8c3150348973a9d3ad79d781614db47103) ([merge request](gitlab-org/security/gitlab!2871))
- [Forbid reading emojis on internal notes](gitlab-org/security/gitlab@ec9b40a9e9d3c91dc690d74d76187e41b5884ff9) ([merge request](gitlab-org/security/gitlab!2836))
- [Same-site redirect vulnerability](gitlab-org/security/gitlab@de86e0b20c34d1475ab7535bc3ed0d7a21727a20) ([merge request](gitlab-org/security/gitlab!2879))
- [BYPASS: Stored-XSS with CSP-bypass via scoped labels' color](gitlab-org/security/gitlab@52e8105445cdba63be5c4e866cb289d13b6d6e7c) ([merge request](gitlab-org/security/gitlab!2861))
- [Fix Running Upstream Pipelines Jobs Without Permission](gitlab-org/security/gitlab@ad2fe7b8555fd568944718f5fb087de8de7b2425) ([merge request](gitlab-org/security/gitlab!2882))
- [Add length limit to addressable URLs](gitlab-org/security/gitlab@8c44b371bd120979b339e4e5dbb7208fb048eadd) ([merge request](gitlab-org/security/gitlab!2829))
- [Add a redirect wall before artifact redirect to pages](gitlab-org/security/gitlab@837c0f2245847c43d6cfd8f1d7860e46ffacfe18) ([merge request](gitlab-org/security/gitlab!2812))
- [Sandbox swagger-ui to prevent injection attacks](gitlab-org/security/gitlab@90567191fae7f7d84d001e52f0adc11155dc564f) ([merge request](gitlab-org/security/gitlab!2849))
- [Fix external project permission when using CI prefill variables](gitlab-org/security/gitlab@ae39f2b5a5a27b6e85ef642b768963b7ed018a14) ([merge request](gitlab-org/security/gitlab!2822))
- [Resolve users can view audit events from other members](gitlab-org/security/gitlab@f819d033a190b2b5f7d635395575e5472b1fe8e7) ([merge request](gitlab-org/security/gitlab!2842))
- [Path traversal fix for Secure Files](gitlab-org/security/gitlab@bd138464ee5fa71755f2b4d9b9aaaa3c8017a165) ([merge request](gitlab-org/security/gitlab!2848))

## 15.4.3 (2022-10-19)

### Fixed (4 changes)

- [Sign in: use custom logo again](gitlab-org/gitlab@5822562c4c3508927e3b217749867736e91316f3) ([merge request](gitlab-org/gitlab!101235))
- [Fix closing of external issues](gitlab-org/gitlab@1302f992e3706b698c983961f596fcab03704c3f) ([merge request](gitlab-org/gitlab!101235))
- [Sign in: use custom logo again](gitlab-org/gitlab@d760473a022ef485be7e258ab5fc406f05a127a4) ([merge request](gitlab-org/gitlab!101235))
- [Fix REST/GRAPHQL APIs handling TODOs WorkItem target](gitlab-org/gitlab@f4157b08596040bbc504292c4a75fe2100aa570c) ([merge request](gitlab-org/gitlab!100081))

## 15.4.2 (2022-10-04)

### Fixed (1 change)

- [Ensure that stage name and record are in sync for page deployments](gitlab-org/gitlab@ce58ec2ef959bd35ddbc6992560a163c8fc4f145) ([merge request](gitlab-org/gitlab!100037))

## 15.4.1 (2022-09-29)

### Security (15 changes)

- [Redact user's private email in group member event webhook](gitlab-org/security/gitlab@f556c625f37d1be801b54c5a1ff3dd37434d48e4) ([merge request](gitlab-org/security/gitlab!2809))
- [Redact secrets from WebHookLogs](gitlab-org/security/gitlab@7101edbc7fc27e2d2d23b8f9f84611943b310b71) ([merge request](gitlab-org/security/gitlab!2805))
- [Forbid creating a tag using default branch name](gitlab-org/security/gitlab@ba3e62fc30f475b9334440409f5bad481b3c5dd6) ([merge request](gitlab-org/security/gitlab!2798))
- [Sanitize Url and check for valid numerical errorId in error tracking](gitlab-org/security/gitlab@fba573834091aec7bde7856bfddd080cc74fb3ae) ([merge request](gitlab-org/security/gitlab!2819))
- [Add security protection for Github](gitlab-org/security/gitlab@6265bdb12496d34f30d9ae6889288c6857fd4fd0) ([merge request](gitlab-org/security/gitlab!2803))
- [Fix leaking emails in WebHookLogs](gitlab-org/security/gitlab@7580a2d62cd421b5176a3ce7f23c7d192e69989e) ([merge request](gitlab-org/security/gitlab!2806))
- [Restrict max duration to 1 year for trace display](gitlab-org/security/gitlab@e1162719cc9e62692c911c992175d6ef3b5f996f) ([merge request](gitlab-org/security/gitlab!2817))
- [Use UntrustedRegexp for upload rewriter](gitlab-org/security/gitlab@fde2bb115242a9af3678e5c8547c7c9ccd2b0c1e) ([merge request](gitlab-org/security/gitlab!2790))
- [Validate httpUrlToRepo to be http or https only](gitlab-org/security/gitlab@d56ebc1a207618ec846e6ee2c842d3a5019444b7) ([merge request](gitlab-org/security/gitlab!2811))
- [Respect instance level rule for editing approval rules](gitlab-org/security/gitlab@dc5dd5be3f3f681ca499d3a59eb469bd12dad51b) ([merge request](gitlab-org/security/gitlab!2796))
- [Prevent users creating issues in ay project via board/issues controller](gitlab-org/security/gitlab@e0b09653ff468b65a73155a2e28077a0e94dc7e8) ([merge request](gitlab-org/security/gitlab!2781))
- [Prevent serialization of sensible attributes from JsonCache](gitlab-org/security/gitlab@d1842119756b8a69a5d1b14ebd902dc2f4b24dbf) ([merge request](gitlab-org/security/gitlab!2818))
- [Update TodoPolicy to handle confidential notes](gitlab-org/security/gitlab@cddab943af028c4653dacdd832be5e3e8ac778d3) ([merge request](gitlab-org/security/gitlab!2833))
- [Enforce group IP restriction on Dependency Proxy](gitlab-org/security/gitlab@fff740c7ab046c5e8ef6495ffa3b45228e11841a) ([merge request](gitlab-org/security/gitlab!2801))
- [Fixes XSS in widget extensions](gitlab-org/security/gitlab@459becb7a1b0336ddf67f867eecbdf37d579f881) ([merge request](gitlab-org/security/gitlab!2832))

## 15.4.0 (2022-09-21)

### Added (162 changes)

- [Add git tags from last deployment to environment detail page](gitlab-org/gitlab@dd9fbfc75790666b2ff3aff0dc45d2ddfc1695ae) ([merge request](gitlab-org/gitlab!96060))
- [Background worker for suggested reviewers](gitlab-org/gitlab@38048811859fa714a5f2dcb79e38877f99b3460f) ([merge request](gitlab-org/gitlab!97622))
- [Maven request forwarding](gitlab-org/gitlab@80c6b14a94c96eb9772786b669249512ae6bfb86) ([merge request](gitlab-org/gitlab!85299))
- [Add edited by information to GraphQL WorkItem type](gitlab-org/gitlab@4be6e1c75b511c2e4173517b0e57b1f9c534b8ba) ([merge request](gitlab-org/gitlab!97328))
- [RPM initial upload and package creation](gitlab-org/gitlab@b1f7bf75fe40ab26d1ffa50d20b07ae426b30b9f) ([merge request](gitlab-org/gitlab!96940))
- [Add codeOwnerReviewRequired to EE](gitlab-org/gitlab@8bd7af46e98e2ee3b4680e01e6817cc968a7c865) ([merge request](gitlab-org/gitlab!96693)) **GitLab Enterprise Edition**
- [Added REST APIs to fetch latest release and download release assets](gitlab-org/gitlab@09faee593310ed2c5965788cb1efbebfbd7690f8) by @zillemarco ([merge request](gitlab-org/gitlab!92607))
- [Add iterations cadences to Gitlab Migration](gitlab-org/gitlab@9aa3c847a7a838f887c1ccdd8af0aedbfb322052) ([merge request](gitlab-org/gitlab!96570)) **GitLab Enterprise Edition**
- [Expose user and group for branch protection access levels in EE](gitlab-org/gitlab@5a96b284a5985a1192f3a63856d07640e704e3b9) ([merge request](gitlab-org/gitlab!96301)) **GitLab Enterprise Edition**
- [Add cluster_agent_id and image to GraphQL vulnerabilitySeveritiesCount](gitlab-org/gitlab@1e8223d08bd2103a99e10b5e8a93888ae9fa0616) ([merge request](gitlab-org/gitlab!98168)) **GitLab Enterprise Edition**
- [Add unique index to ci_builds_metadata](gitlab-org/gitlab@f84cbd4a20b86d596d405afb9b9d099996aa425b) ([merge request](gitlab-org/gitlab!97924))
- [Add job field to ProjectType](gitlab-org/gitlab@442fc9f599032672cea48385377a29962a03ac1e) ([merge request](gitlab-org/gitlab!97400))
- [Enable search option for environments](gitlab-org/gitlab@9e4fade945ea26a151ccbc081fbdd3c8a657335d) ([merge request](gitlab-org/gitlab!97832))
- [Added markdown support for solution](gitlab-org/gitlab@1ccfa0ea7385dd2f1280addff29588d54fb27abe) ([merge request](gitlab-org/gitlab!95858)) **GitLab Enterprise Edition**
- [Support delivery of emails using Microsoft Graph API](gitlab-org/gitlab@5a413f7c48df0c2c28de86ee56f3b874a53323ef) ([merge request](gitlab-org/gitlab!97372))
- [Expose CI variable limits through GraphQL](gitlab-org/gitlab@2496be70c2cb7a049d37538db542d628449beece) ([merge request](gitlab-org/gitlab!97707))
- [Add checkbox supported by Autosave and autosave confidential in Issuable form ](gitlab-org/gitlab@29c1df949e84265a3aeb737cd16e1bf4b037355f) by @ali_o_kan ([merge request](gitlab-org/gitlab!97237))
- [Backfill namespace_id on issues table](gitlab-org/gitlab@fd3abd01d1ed223fa233045601888e970e681d1e) ([merge request](gitlab-org/gitlab!91921))
- [Add issue resource_iteration_events to Project Import/Export](gitlab-org/gitlab@c4f4e2c2b59d26b00011bbbda7f5df6cc2f9350d) ([merge request](gitlab-org/gitlab!96184)) **GitLab Enterprise Edition**
- [Enabling feature flag immediate_delete_subgroup_api by default](gitlab-org/gitlab@0db8710accec0363e9aec1814e880824ceb952e0) ([merge request](gitlab-org/gitlab!98027))
- [Add harbor registry tags page](gitlab-org/gitlab@319dd8ec9c317c7fb75b95c57d0020ae1353da17) by @orozot ([merge request](gitlab-org/gitlab!95931))
- [Add the resource state events REST API endpoint for epics](gitlab-org/gitlab@b64b2b8944536ec66d1063fc3ed26f04c9b663ef) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/97554)) **GitLab Enterprise Edition**
- [Add last_downloaded_at to packages](gitlab-org/gitlab@e9bba3ece35167622755f5428233d6453b4e022c) ([merge request](gitlab-org/gitlab!97143))
- [Documentation of Move to start/end of list actions](gitlab-org/gitlab@cf73d679243c1fe6321df4a3507cdeb01ceffd9a) ([merge request](gitlab-org/gitlab!97094))
- [Add monthly count_user_auth metric](gitlab-org/gitlab@a72ad9e9458067ed7e70a3d65d4a5850d0844ddb) ([merge request](gitlab-org/gitlab!97725))
- [Add auth_type to jwt controller tokens](gitlab-org/gitlab@835bbb241583f32d426793477c2dde088756c953) ([merge request](gitlab-org/gitlab!97904))
- [Add column to store over user limit notification status](gitlab-org/gitlab@105b1808b7a977677930fea57d55c33413c8db91) ([merge request](gitlab-org/gitlab!97517))
- [Domain Verification MVC](gitlab-org/gitlab@0a7775eb3ccd878b880dde41102ba4d650a58189) ([merge request](gitlab-org/gitlab!95407)) **GitLab Enterprise Edition**
- [Add default project for epics](gitlab-org/gitlab@0a5e350e8c0df7c98d396abc9caae31cb7bef733) ([merge request](gitlab-org/gitlab!97498)) **GitLab Enterprise Edition**
- [Extend packages project policy to consider access level](gitlab-org/gitlab@f9a3eacc5b465405a46a7fb77cb1313cf7a4e15f) by @wwwjon ([merge request](gitlab-org/gitlab!97001))
- [Add system note service for resource links](gitlab-org/gitlab@746625a161de9427374774812c7e0c169d785936) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/96937))
- [Add group shares in group transfer locations API](gitlab-org/gitlab@d05cc2a34ad12ac5edf8eb70c48e018c413578f0) ([merge request](gitlab-org/gitlab!96347))
- [Removes group_ip_restrictions_allow_global feature_flag](gitlab-org/gitlab@bdce5a2f4b7d2dae2683177d1662c3ad8c8cea3a) ([merge request](gitlab-org/gitlab!97268))
- [GraphQL query for last and upcoming deployment](gitlab-org/gitlab@d9b5a672e87c68aab0eb144d90b03653986d7352) ([merge request](gitlab-org/gitlab!97098))
- [Add clear status after dropdown to profile set status form](gitlab-org/gitlab@f99409d2377285fe68dde02d27bb5110a2d203be) ([merge request](gitlab-org/gitlab!96800))
- [Migrate merge request review_requested/removed events](gitlab-org/gitlab@f1fa496c959245dacfe0f797f93392912291cdf9) ([merge request](gitlab-org/gitlab!94171))
- [Memoize search_environments finder](gitlab-org/gitlab@05326cfa0c8d4455d3822a7e012c70791f7d320e) ([merge request](gitlab-org/gitlab!97015))
- [Add state field to environments varchar name index](gitlab-org/gitlab@c8bd5f81c251cc4eee48d7003e473b14b8f41e93) ([merge request](gitlab-org/gitlab!97015))
- [Add version sort to tags API](gitlab-org/gitlab@40a4c992d9c6d81a4cebfe00052e6333f69e3654) ([merge request](gitlab-org/gitlab!95150))
- [Show better errors from GraphQL on Releases](gitlab-org/gitlab@47a723eb81ae1e85fc02a283ef65a6ee0a86076a) ([merge request](gitlab-org/gitlab!96586))
- [Debian Acquire-By-Hash (to avoid Hash Sum Mismatch errors)](gitlab-org/gitlab@956f1aaea82dcb794090e604f101e0e4c2217f07) by @sathieu ([merge request](gitlab-org/gitlab!96947))
- [Add cube proxy API request](gitlab-org/gitlab@89d8ed00a3f033d25e293088ec86df2efba3a685) ([merge request](gitlab-org/gitlab!96250))
- [Adds endpoints for MLFlow client Run entity](gitlab-org/gitlab@398493c671a9e99b15f7df1b85ab57fee9efebc5) ([merge request](gitlab-org/gitlab!97003))
- [Optimize the pending todos check query](gitlab-org/gitlab@830cab0786528d112146f6933f672272294512c1) ([merge request](gitlab-org/gitlab!97641))
- [Load more for task assignees when user scrolls](gitlab-org/gitlab@ff06bf3647ac222ed45a61a65c263c47d37bf6f0) ([merge request](gitlab-org/gitlab!96632))
- [Add pushAccessLevels to graphql endpoint](gitlab-org/gitlab@5d6f94226c303dcb9527fe345edc9aeeb73ce53d) ([merge request](gitlab-org/gitlab!96300))
- [Add mergeAccessLevels to graphql endpoint](gitlab-org/gitlab@b4965666b3cdf570b04aa5745ef5ab6ee9e9f7e5) ([merge request](gitlab-org/gitlab!96174))
- [Support variable expansion on environment auto_stop_in](gitlab-org/gitlab@9c9f6b9d02d842b617ad33bbe145ebd048515ed1) ([merge request](gitlab-org/gitlab!96044))
- [Add dismissal_reason to StateTransitions](gitlab-org/gitlab@7886e02b7954023ab2fbc448e4e2cbbbb6873276) ([merge request](gitlab-org/gitlab!97485))
- [Add branchProtection under project.branchRules in graphql endpoint](gitlab-org/gitlab@668405690422e37c701d30f6b928a7ba9983710a) ([merge request](gitlab-org/gitlab!95925))
- [Updates container registry project settings](gitlab-org/gitlab@558c2aeff40e4f46ecbae66709ae15300bad17a4) ([merge request](gitlab-org/gitlab!96799))
- [Add support for semantic versioning tags sort](gitlab-org/gitlab@f238e872666dc21cf1ad67f5001ef7ce28ab3345) ([merge request](gitlab-org/gitlab!95090))
- [New GraphQL mutation for dismiss security finding](gitlab-org/gitlab@541bf4b803dc9adee09b4c9b3a29765c5913de3b) ([merge request](gitlab-org/gitlab!93302)) **GitLab Enterprise Edition**
- [Add rpm package type](gitlab-org/gitlab@4aac17b0a5f5691c13c5b82b22751b372291ba8e) ([merge request](gitlab-org/gitlab!96278))
- [Update groups api to accept parameter for ip_restriction_range](gitlab-org/gitlab@23faab455417a58ae456d5e614f20bd07215429d) ([merge request](gitlab-org/gitlab!96397)) **GitLab Enterprise Edition**
- [Allow users to filter issues by health status](gitlab-org/gitlab@0527842f35485b686d62d83dfab69eae165fdae1) ([merge request](gitlab-org/gitlab!97105))
- [Moved assignees to work_items feature flag](gitlab-org/gitlab@34d296b815f39ede2a1a047e012700393be4b7c8) ([merge request](gitlab-org/gitlab!95522))
- [Add support for Google CDN](gitlab-org/gitlab@191f65c2d4b72593973b217a5d061c04d73f25da) ([merge request](gitlab-org/gitlab!96336))
- [Use ListCommits rpc to fetch context commits](gitlab-org/gitlab@2fe0dcffd253e7a516d3202df69a82d2197b4a3b) by @akumar1503 ([merge request](gitlab-org/gitlab!90559))
- [Create international phone input component in Vue](gitlab-org/gitlab@8b601e60cbe3887eddfb50b98f231d470826c1a8) ([merge request](gitlab-org/gitlab!96529)) **GitLab Enterprise Edition**
- [Create ultimate feature removal banner](gitlab-org/gitlab@7193da1f27038aba3052d8a85e22a87f8d442a11) ([merge request](gitlab-org/gitlab!94271))
- [Add basic DORA configuration model](gitlab-org/gitlab@a74622c2cdf9b9e828b86a4a50d2edc4059192f8) ([merge request](gitlab-org/gitlab!96561))
- [Autosave due_date in Issuable form](gitlab-org/gitlab@3a5189a758ab55a064ea480c1b2f08df4a1d38fa) by @ali_o_kan ([merge request](gitlab-org/gitlab!97379))
- [Remove not allowed epics properties from issue CSV export](gitlab-org/gitlab@eeb23b5bbc08fb1c91b6bd59be0d274035949ee9) ([merge request](gitlab-org/gitlab!96710)) **GitLab Enterprise Edition**
- [Add View entire blame button](gitlab-org/gitlab@0fff583f5d808ac2f96961e7419876383d871888) ([merge request](gitlab-org/gitlab!97405))
- [Support $…$ and $$…$$ syntax math in markdown](gitlab-org/gitlab@d942e4d88d9bddfed901e4d604d9b3f8255b8e21) ([merge request](gitlab-org/gitlab!94111))
- [Add integration status area to the agent details](gitlab-org/gitlab@916bc3889da6d7a3dff4be391a27258ddb933308) ([merge request](gitlab-org/gitlab!97144)) **GitLab Enterprise Edition**
- [Add support for sorting project and group members Graphql resolvers](gitlab-org/gitlab@97bdf4ca77759e40ed43ea0d3f93d8bc2979981b) ([merge request](gitlab-org/gitlab!97092))
- [Add id, size and expiry to GraphQL Job Artifact](gitlab-org/gitlab@79cb541b8cc00f170ed43e360d1accc7178ccc4e) by @leetickett ([merge request](gitlab-org/gitlab!97129))
- [Add count field to the GraphQL EpicConnection type](gitlab-org/gitlab@d107fe3757e5309d8da2803d5291d659fe81ebfd) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/96776)) **GitLab Enterprise Edition**
- [Add instrumentation for MAU visiting environments pages](gitlab-org/gitlab@4667eae9a595d814578df01c7fa4ee6cd5f1e638) ([merge request](gitlab-org/gitlab!97063))
- [Add edit confirmation popover in sidebar dropdown widget](gitlab-org/gitlab@5e255a2f0e95cbb3b1a04a5025982347afd87de9) ([merge request](gitlab-org/gitlab!96872)) **GitLab Enterprise Edition**
- [Adding graphQL parameters for move to start and end for boards](gitlab-org/gitlab@8329b64030a1ab3e11bd5aa2d1e627a38fcc3762) ([merge request](gitlab-org/gitlab!96125))
- [Autosave weight in Issuable form](gitlab-org/gitlab@b14acb9ca5a30c6e9c2133a932d25075b0552085) by @ali_o_kan ([merge request](gitlab-org/gitlab!96899)) **GitLab Enterprise Edition**
- [Move embedded Zoom calls to Linked Resources](gitlab-org/gitlab@0777cd3002c51f5766a8f349e9e69c6e640bde8a) ([merge request](gitlab-org/gitlab!95588)) **GitLab Enterprise Edition**
- [Allow the creation of scan result policies](gitlab-org/gitlab@5a6fbe7f5a3899eeaaf02a847b5e5d2b9ab84d68) ([merge request](gitlab-org/gitlab!96563)) **GitLab Enterprise Edition**
- [Add ArtifactDestroy GraphQL mutation](gitlab-org/gitlab@5562883393ce20200f46777afb68e5f6d721c304) by @leetickett ([merge request](gitlab-org/gitlab!96425))
- [Introduce backend updates for toggle of diff preview](gitlab-org/gitlab@640fb496732d8d4bd63dfd5e0b06b812f3e1bf4c) by @joe-snyder ([merge request](gitlab-org/gitlab!89150))
- [Add a search bar to the list of assigned projects](gitlab-org/gitlab@d33265f34044ed01848dde46a69c62ffeb7ec1e1) ([merge request](gitlab-org/gitlab!96999))
- [GraphQL: Add resolver to runner projects](gitlab-org/gitlab@a0f73de8cc5caa559e6c9909bebac78460e0f417) ([merge request](gitlab-org/gitlab!96386))
- [Add partition_id column to selected CI database tables](gitlab-org/gitlab@d7d6efe12d962b68085acff413abbca2299caf28) ([merge request](gitlab-org/gitlab!96856))
- [Adds first endpoints for MLFlow Integration](gitlab-org/gitlab@bcca7cbb3d7fa6a0340e654c9d21e62a13677d85) ([merge request](gitlab-org/gitlab!95689))
- [Add index to todos the improve query performance](gitlab-org/gitlab@bc0d8a0172f3ccfb5027d1b45e72a1ca9a04bc6f) ([merge request](gitlab-org/gitlab!97025))
- [Graphql query for environment information](gitlab-org/gitlab@0376a74c924d0d814714f620599ba64442d9f978) ([merge request](gitlab-org/gitlab!97099))
- [Allow admins to merge topics [API]](gitlab-org/gitlab@788cb9ec0e59d73c19b42467e86b708b9dc760bd) by @wwwjon ([merge request](gitlab-org/gitlab!95501))
- [Add autosave on design notes](gitlab-org/gitlab@379d683631fe16c17a8e79d55af9a1ff2f60a782) ([merge request](gitlab-org/gitlab!96494))
- [Add new Katalon ci/cd template for partnership program](gitlab-org/gitlab@b666446e02304ea2b6630e05d150a749b5a4a875) by @philip.becker ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/86484))
- [Add JobArtifactsDestroy GraphQL mutation](gitlab-org/gitlab@5eca99c054c0ca14a10261354a84504091cd674e) by @leetickett ([merge request](gitlab-org/gitlab!96431))
- [Default-enable Pipeline Wizard for pages](gitlab-org/gitlab@3a09e6338cdc9e64da5cde2af03e1ebfba10d0b2) ([merge request](gitlab-org/gitlab!97037))
- [Add a work item widget for iteration](gitlab-org/gitlab@d682dbf77ab45e18a97ae0bb8ec88e16f267d69f) ([merge request](gitlab-org/gitlab!96736)) **GitLab Enterprise Edition**
- [Expose dates where DORA data is missing](gitlab-org/gitlab@a5aa4fc1d104d08624f40dddb73e9cb55cf8a815) ([merge request](gitlab-org/gitlab!96527)) **GitLab Enterprise Edition**
- [Rollout shimo integration](gitlab-org/gitlab@6be7fb717d63bcd887cb38694ca34d5258d0059d) by @icbd ([merge request](gitlab-org/gitlab!95161))
- [Add streaming audit event for work item and MR deletion](gitlab-org/gitlab@f5054716b8504d6fd0e89831a1fbafd3e643de8d) ([merge request](gitlab-org/gitlab!96773))
- [Add mutation to move to start / end of board lists](gitlab-org/gitlab@ab9c8dbc2d2de013ee448b0191d460114619d04a) ([merge request](gitlab-org/gitlab!95906))
- [Migration for creating ghost_user_migrations table](gitlab-org/gitlab@e77535b283db3c96a490cf9df9add0d548c206bf) ([merge request](gitlab-org/gitlab!95473))
- [Add pipelined Redis commands to performance bar](gitlab-org/gitlab@1ef7f978e35cd9250a5ef2450e582878628858f1) ([merge request](gitlab-org/gitlab!94373))
- [Add hasEpic to issue type](gitlab-org/gitlab@3ff08589888b06626ae2833b4c81dbbddd8bc2db) ([merge request](gitlab-org/gitlab!96255)) **GitLab Enterprise Edition**
- [Add id, size and expiry to GraphQL Job Artifact](gitlab-org/gitlab@18f264a75caec72918371f7c5ecef222ba9feeb3) by @leetickett ([merge request](gitlab-org/gitlab!96422))
- [Make Short Sha in Deployments Page a Link](gitlab-org/gitlab@081ba1c56b9a204a9ce967e10f09acc4c732b5e2) ([merge request](gitlab-org/gitlab!96581))
- [Add harbor registry list page](gitlab-org/gitlab@95d4e201f1b90943b66e4932126b09e13ca550a2) by @orozot ([merge request](gitlab-org/gitlab!82784))
- [Monitor memory growth in memory-watchdog](gitlab-org/gitlab@d233174c3292a16c96bf636e42b5b05fd935fad3) ([merge request](gitlab-org/gitlab!96241))
- [Enable `escape_gitaly_refs` by default](gitlab-org/gitlab@3e7bcc1f79cc08a5648cf48143b373dc84ce987e) ([merge request](gitlab-org/gitlab!96682))
- [Add Debian endpoints for Sources](gitlab-org/gitlab@85498977a5a687f9480889d4ca1154024bf42354) by @sathieu ([merge request](gitlab-org/gitlab!71918))
- [Add Debian endpoints for D-I Packages](gitlab-org/gitlab@32b646a4d443c43f6adabcfeaf0e3e8c52aeac8f) by @sathieu ([merge request](gitlab-org/gitlab!71918))
- [Add support for task item status tooltip](gitlab-org/gitlab@3cba766af094334950ad508bcb51262fe24e80e7) ([merge request](gitlab-org/gitlab!96251))
- [Support Group Avatar Removal in REST API](gitlab-org/gitlab@b212c782d07e682271643eeb33e0e13ea0591426) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/96421))
- [Align namespace of DeployAccessLevel model](gitlab-org/gitlab@7fde5bdb710d81a68d8939656389c8bb494dc677) ([merge request](gitlab-org/gitlab!96351))
- [Show epics blocking info on list & boards](gitlab-org/gitlab@7a94c59aae538f26a22d1f1c6237cc0ac9716356) ([merge request](gitlab-org/gitlab!89316)) **GitLab Enterprise Edition**
- [Create API endpoint to update a protected environment](gitlab-org/gitlab@ba0c0be1a73de086b7077bf679943e68d1d3397b) ([merge request](gitlab-org/gitlab!95914)) **GitLab Enterprise Edition**
- [Add work item weight widget subscription](gitlab-org/gitlab@83a8f7999db35a393859f07ec80a1971dc9615b7) ([merge request](gitlab-org/gitlab!96371))
- [Add security finding dismiss service](gitlab-org/gitlab@eaa3e799094277f7b5aa02863d7165e8397f9359) ([merge request](gitlab-org/gitlab!96168)) **GitLab Enterprise Edition**
- [Add branchRules to project in graphql endpoint](gitlab-org/gitlab@d6f8deda701407725e0a8043cdd54628a511fb83) ([merge request](gitlab-org/gitlab!95583))
- [Introduce etag caching for diff batches endpoint](gitlab-org/gitlab@63dfa9b06f0d343352ec943790651e242b785c3e) ([merge request](gitlab.com/gitlab-org/gitlab/-/merge_requests/96456))
- [Set forked source cost factor to .008](gitlab-org/gitlab@a750452c556e5232e82d65fff89f5f288ee04f1c) ([merge request](gitlab-org/gitlab!96190)) **GitLab Enterprise Edition**
- [Add auto_ban_user_on_excessive_projects_download to group settings](gitlab-org/gitlab@9e49cf109b5c289408b11ecab7c8d170ac2176fe) ([merge request](gitlab-org/gitlab!94159))
- [Support GraphQL subscription for weight update](gitlab-org/gitlab@b4b9bcc761731918ea7b769c35d3ffd6eac033f1) ([merge request](gitlab-org/gitlab!93993)) **GitLab Enterprise Edition**
- [Utilize dormant user period in application settings](gitlab-org/gitlab@96f04ae63b948b9585ad296c20cc0df3603e7328) by @joe-snyder ([merge request](gitlab-org/gitlab!95496))
- [Extend deployments graphql query for index page](gitlab-org/gitlab@15c76231c6ed88030ebf08b686a3c8191d7f36c9) ([merge request](gitlab-org/gitlab!95792))
- [Add resource events to Import/Export](gitlab-org/gitlab@d71b379b49f5a7368e69c7cab9cab090d5484d1c) ([merge request](gitlab-org/gitlab!96033)) **GitLab Enterprise Edition**
- [Add sorting/filtering/paging to CRM organizations](gitlab-org/gitlab@b7a530c44306b8dc0191b6d671901669053af3a4) by @leetickett ([merge request](gitlab-org/gitlab!95658))
- [Add helper method to prevent default action on submit in feature specs](gitlab-org/gitlab@521bcc63b742cc865dddfc0a1bcab8e5275a5271) by @mehulsharma ([merge request](gitlab-org/gitlab!96002))
- [Backfill values for cluster_agents.has_vulnerabilities](gitlab-org/gitlab@2039cd08157eca9238af8d25c3f18936e07b9207) ([merge request](gitlab-org/gitlab!90276))
- [Display health status on issue board cards](gitlab-org/gitlab@e12e518a978bdd8631a1f38895b9736b3abd508c) ([merge request](gitlab-org/gitlab!95771))
- [Adds a Cleanup class for unused still-active Personal Access Tokens](gitlab-org/gitlab@cb10135353e5ed9c59344a4d00dd9d7851dc36de) ([merge request](gitlab-org/gitlab!95340))
- [Relate `BroadcastMessage` and `Namespace` models](gitlab-org/gitlab@e9dc58b253cb150bccf27ba9b50835c8b40ea10a) ([merge request](gitlab-org/gitlab!95913))
- [Adds CiConfigVariableType to ProjectType](gitlab-org/gitlab@e26fda1125a7f9bc57a29c50c070514faa0e952a) ([merge request](gitlab-org/gitlab!93387))
- [Update Import/Export for iterations cadences](gitlab-org/gitlab@2a8315e4e588b325013d7f4fbe0dfda7a0f33f51) ([merge request](gitlab-org/gitlab!95918)) **GitLab Enterprise Edition**
- [Record cache data about api/web cache helpers](gitlab-org/gitlab@4d7f19aad7b114ff65110b105ccca32b336e156d) ([merge request](gitlab-org/gitlab!94966))
- [Add clusterAgent.vulnerabilityImages to GraphQL API](gitlab-org/gitlab@b6b53821ad12c5abf877852513756ffddfb36141) ([merge request](gitlab-org/gitlab!95383)) **GitLab Enterprise Edition**
- [Allow to specify the fields to search for when querying work items](gitlab-org/gitlab@40b8edeec1e92a8161005369a16359f78a0952ce) ([merge request](gitlab-org/gitlab!95268)) **GitLab Enterprise Edition**
- [Support lowercase query string status](gitlab-org/gitlab@2fcb2ebc30c1c7b92f5e9db651a316f8c6789fb6) ([merge request](gitlab-org/gitlab!96089))
- [Add new instance setting to UI and controller](gitlab-org/gitlab@26c8d415981f9ff901e8ca126bc8692032f0e2ce) ([merge request](gitlab-org/gitlab!92218))
- [Support Project Avatar removal in REST API](gitlab-org/gitlab@d612f34e9b4b8702fbad710db72e3e2a0d88f204) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/92604))
- [Add external_url field to Environment GraphQL Type](gitlab-org/gitlab@388e63b015b95042498bd12440543fd3052f74e6) by @Taucher2003 ([merge request](gitlab-org/gitlab!95843))
- [Introduce REST API for group transfer locations](gitlab-org/gitlab@dc8358a5aeaec18c42e695627b135fd0a5167d43) ([merge request](gitlab-org/gitlab!95675))
- [Show alert for email exposure for service desk](gitlab-org/gitlab@1d80b958181340faf7a42bd7509615685fb53139) ([merge request](gitlab-org/gitlab!95919))
- [Add work type icon to boards and color gray for icons](gitlab-org/gitlab@c447ccac08a82d1a7ca7681559064c2d2b3c6ba4) ([merge request](gitlab-org/gitlab!95671))
- [Implement Vuln Scanner reportTypeHumanized for easier frontend use](gitlab-org/gitlab@e0b27b50b8e1d4142203104142495826b7a0ee06) ([merge request](gitlab-org/gitlab!93208)) **GitLab Enterprise Edition**
- [REST API for project transfer locations](gitlab-org/gitlab@ad8a8d09606c1c8648df5df844d88a51951b80a8) ([merge request](gitlab-org/gitlab!95572))
- [Re-introduce manual iteration management](gitlab-org/gitlab@3daf9f8509e8bc98f9dc4a693cd254eb5b4415fa) ([merge request](gitlab-org/gitlab!94768)) **GitLab Enterprise Edition**
- [Add GraphQL query for deployment details](gitlab-org/gitlab@275073165ec43d90b3434c826d8a36295bb18478) ([merge request](gitlab-org/gitlab!95681))
- [Add auto_ban_user_on_excessive_projects_download to application settings](gitlab-org/gitlab@eeef1a1f3a0615663853ae5adc3418ec1034bff9) ([merge request](gitlab-org/gitlab!94153))
- [Add support for snippet spam](gitlab-org/gitlab@423e7036c94a53804c506898c168fb66df815b8c) ([merge request](gitlab-org/gitlab!90080))
- [Added loading state to "Commit changes" button in the single file editor](gitlab-org/gitlab@a887b17203f8aefd942aa7545d0e1928b6ba17df) by @payal-jain ([merge request](gitlab-org/gitlab!94211))
- [Allow admins to merge topics [frontend]](gitlab-org/gitlab@c57c261a4bfe1cb1bba897f0fde9ed948ded1474) by @wwwjon ([merge request](gitlab-org/gitlab!95261))
- [Fetch child epics with colour when FF is enabled](gitlab-org/gitlab@06b9a1d23502c8d1f6101b70ea4ea274d5015a5d) ([merge request](gitlab-org/gitlab!92055)) **GitLab Enterprise Edition**
- [Thread Google Chat messages by topic](gitlab-org/gitlab@f137d4ca3720b531efcdf9030cac6fec026e5dd4) by @csarva ([merge request](gitlab-org/gitlab!92610))
- [Add query string filtering](gitlab-org/gitlab@7e1c4a17426a882660bc0a4b6d5b9c03dfd1df75) ([merge request](gitlab-org/gitlab!95740))
- [Add Vulnerabilities Finding Create Issue mutation](gitlab-org/gitlab@bf4a43a9707b828b5c4c984c4c3ac9310c2fbc7a) ([merge request](gitlab-org/gitlab!86830)) **GitLab Enterprise Edition**
- [Add selected state for ellipsis button in last commit](gitlab-org/gitlab@09bb8214ec69975a669b8e768c9f2f8c98b2f40e) ([merge request](gitlab-org/gitlab!95032))
- [Set public open source cost factor to .5](gitlab-org/gitlab@ac876bd6496f8238f2dc5c742b705f4d8cb63f2f) ([merge request](gitlab-org/gitlab!95705)) **GitLab Enterprise Edition**
- [Add GraphQL query for deployments](gitlab-org/gitlab@64be1a1331cc07421b06804933c6c664c7406156) ([merge request](gitlab-org/gitlab!95255))
- [Support line chart for DORA charts](gitlab-org/gitlab@c9f7c96e71dddafd042ad9f7f061f163e95a6cbb) ([merge request](gitlab-org/gitlab!95591)) **GitLab Enterprise Edition**
- [Add GraphQL custom emoji schema, flagged](gitlab-org/gitlab@0c964b70dfed5ebd644a940f542a1c7b7ec8bccc) ([merge request](gitlab-org/gitlab!95416))
- [Provide ability to move a board card to the top/bottom of the list](gitlab-org/gitlab@bcec772529f65b323a8e29b192e7874f0ed5590d) ([merge request](gitlab-org/gitlab!93669))
- [Enables track_work_items_activity feature flag by default](gitlab-org/gitlab@268f90547b538cf3bc0d550d4f0a7bf832964966) ([merge request](gitlab-org/gitlab!95654))
- [Add GraphQL sort/filter/page crm organizations](gitlab-org/gitlab@342a27315653559815532186c1800a223d0a36e3) by @leetickett ([merge request](gitlab-org/gitlab!95368))
- [Track CI/CD Tunnel usage](gitlab-org/gitlab@0dd8d6c5908091424b65efdc34d40037dda70dda) ([merge request](gitlab-org/gitlab!95648))
- [Add present on default branch to project_id_and_id_active_cis index](gitlab-org/gitlab@ff812dd41e92ed9d35b5d69314568a2f380e601f) ([merge request](gitlab-org/gitlab!90426))
- [Log JWT authentication failures](gitlab-org/gitlab@ffbfaf2173293fedf31f1add333be53336a5013c) ([merge request](gitlab-org/gitlab!95565))
- [Show tooltip on hover on work item icons](gitlab-org/gitlab@1752660efd85f839143fe57f418c485c1ee6fceb) ([merge request](gitlab-org/gitlab!95563))
- [Add Iteration Cadences to Group Import/Export](gitlab-org/gitlab@92d433ccda4efc50677d0f21d3b0fd8cb4fa5471) ([merge request](gitlab-org/gitlab!95372)) **GitLab Enterprise Edition**

### Fixed (163 changes)

- [Remove vulnerability approval rules](gitlab-org/gitlab@3f8f2309d7717157f90a298a502fa2f1fcf30df1) ([merge request](gitlab-org/gitlab!96293)) **GitLab Enterprise Edition**
- [Fix default date timezone for VSA](gitlab-org/gitlab@16dc337f38b3abeab32357245d6c7018c6b9550d) ([merge request](gitlab-org/gitlab!97106))
- [Fixing Deduplication of ProcessSyncEventsWorkers](gitlab-org/gitlab@27ce7b29958bb9022dd2779e302ad8360d9acc1a) ([merge request](gitlab-org/gitlab!97718))
- [List groups from group shares on project transfer](gitlab-org/gitlab@849ab5557f96e4dfb40be035803f86bbbe3a2237) ([merge request](gitlab-org/gitlab!98191))
- [Remove extra padding on every 8th participant in sidebar](gitlab-org/gitlab@fcc0416124c95d79eddf18c3cc3b3b1083f285ad) ([merge request](gitlab-org/gitlab!98001))
- [Handle large offset more gracefully](gitlab-org/gitlab@43c1df2b305a1ccd0c38b96584cadda786c79441) ([merge request](gitlab-org/gitlab!97553))
- [Show add button when user has sufficient permissions](gitlab-org/gitlab@57218a5226d3cfb1497ba77dd201dc213da47949) ([merge request](gitlab-org/gitlab!97782)) **GitLab Enterprise Edition**
- [Don't show View entire blame button for a single blame page](gitlab-org/gitlab@dc9b94f76e241a799dadf78435ef908c40a80b70) ([merge request](gitlab-org/gitlab!98049))
- [Resolve web hook edit page timeout](gitlab-org/gitlab@1b875cac2eae89ca8be288251efb1c4eec2360ac) ([merge request](gitlab-org/gitlab!98046))
- [Fix selective code owner removals](gitlab-org/gitlab@730da89701b56ac098c0d8d70b2d98b6a29f6e5f) by @leetickett ([merge request](gitlab-org/gitlab!96933))
- [Fix gitaly ref replication on project fork](gitlab-org/gitlab@44f8f29ff9731d1f011a015d8b8066d725415653) ([merge request](gitlab-org/gitlab!97210))
- [Add a new ability for reading billable members](gitlab-org/gitlab@f26c03909120b7de26b88bdd4f56ab7c2c587434) ([merge request](gitlab-org/gitlab!97686)) **GitLab Enterprise Edition**
- [Fill missing dates on VSA duration chart](gitlab-org/gitlab@111c3489523717445dbe9c28ffb4a2e6fe0cb55e) ([merge request](gitlab-org/gitlab!97230)) **GitLab Enterprise Edition**
- [Resetting form doesn't affect submit button](gitlab-org/gitlab@18d431663205874dab0480e596752903509bf011) ([merge request](gitlab-org/gitlab!97480))
- [Fix group IP allowlist update bug](gitlab-org/gitlab@000fdd31fe7f30491d12228aafa673b6056a951e) ([merge request](gitlab-org/gitlab!97768)) **GitLab Enterprise Edition**
- [Fix 500 error sorting merge requests with approvers by milestone](gitlab-org/gitlab@c53867248589c0a56bf9f2f59e7cffc38a7454a3) ([merge request](gitlab-org/gitlab!97726))
- [Show test reports immediately on pipeline tests tab](gitlab-org/gitlab@c9e8dff4ba3acc2af45fd33fa881f83fc25f7934) ([merge request](gitlab-org/gitlab!97494))
- [Improve fast-forward merge service reliability](gitlab-org/gitlab@3a32634a9bc880d98f3b3f8ab7099d86b9498338) ([merge request](gitlab-org/gitlab!97871))
- [Fixes spacing for issue widgets](gitlab-org/gitlab@219a108b07f99c9262aac24e6cbc176faf598cfc) ([merge request](gitlab-org/gitlab!97629)) **GitLab Enterprise Edition**
- [Fix feature flag link in related feature flags](gitlab-org/gitlab@193b6f7091893dec80911dcabcdf83206cf03aa6) ([merge request](gitlab-org/gitlab!97861)) **GitLab Enterprise Edition**
- [Fixes spacing for design management](gitlab-org/gitlab@4c6f80040d088222c6213cf52aceff7a5b7aab8e) ([merge request](gitlab-org/gitlab!97631))
- [Fix json payload for external status check feature](gitlab-org/gitlab@b4514086c5168591fa9f80323e2c78dfd0759401) ([merge request](gitlab-org/gitlab!97821)) **GitLab Enterprise Edition**
- [Fix group name in memberships export email](gitlab-org/gitlab@05bb570d350ec98da6ffaf6d18ae87327136e93d) ([merge request](gitlab-org/gitlab!97665)) **GitLab Enterprise Edition**
- [Prevent error when user has approved the merge request](gitlab-org/gitlab@6b5895aa4d6d13075a28df593f2676f2483307ff) by @batu ([merge request](gitlab-org/gitlab!97448))
- [Fix: locale issues on repository settings](gitlab-org/gitlab@f61d64b677fb3c11ca2e3fb743c079e20d83d102) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!97786)) **GitLab Enterprise Edition**
- [Create authroizations record for personal projects](gitlab-org/gitlab@173e32655c7ef30a6b3f9725938d1420015441f9) ([merge request](gitlab-org/gitlab!97118))
- [Remove search bar from project/group hook log pages](gitlab-org/gitlab@00409b5d76cbf3b08e1801ac34470d01a128e514) ([merge request](gitlab-org/gitlab!95973))
- [Fix: milestones sidebar locale issue](gitlab-org/gitlab@99a787c93d4ddfb44077e6f5ea5a611c60a650d5) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!97741)) **GitLab Enterprise Edition**
- [Geo: Avoid runaway queue growth](gitlab-org/gitlab@c3a0355351d0bf57cd15118d66501fa831b8012a) ([merge request](gitlab-org/gitlab!97442)) **GitLab Enterprise Edition**
- [Use distinct location fingerprints for manually created vulnerabilities](gitlab-org/gitlab@474acee857d74a6adb7f8464ad46954f28a38c61) ([merge request](gitlab-org/gitlab!97720)) **GitLab Enterprise Edition**
- [Add flex wrap tp prevent aws logo from overflowing](gitlab-org/gitlab@d88c1f464bf2d127348d4eba7d4356e04a42a7c1) by @beverett ([merge request](gitlab-org/gitlab!94498))
- [Add db fixtures for providers](gitlab-org/gitlab@93c183fb344dcac98fe22124041dece065c08cfd) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/95953)) **GitLab Enterprise Edition**
- [CI npm template: Fix comparison of pre-release versions](gitlab-org/gitlab@cc59396a7e654518f64dd56de02af6ab503e57a6) by @the_s ([merge request](gitlab-org/gitlab!97357))
- [Update the Changes tab with the real file count when it loads](gitlab-org/gitlab@68c56126f3a9adaee9317bfa7214fc993c055aa1) ([merge request](gitlab-org/gitlab!96205))
- [Override ancestor icon background for dark mode](gitlab-org/gitlab@ebdb36fb58590a92ddeabfdedde19832d0d4c741) ([merge request](gitlab-org/gitlab!97621))
- [Use first day of week in roadmap](gitlab-org/gitlab@e1b8e4834f2d19446d934a4ba95e4b6d08538746) ([merge request](gitlab-org/gitlab!97623)) **GitLab Enterprise Edition**
- [Prevent outdated manual deployment jobs from being ran](gitlab-org/gitlab@7eaf7b5206da80a6f50d653b4e7f6ef7c9eaf91e) ([merge request](gitlab-org/gitlab!97171))
- [Remove unintended "#" from push_to_merge_request_email](gitlab-org/gitlab@489c07afb9f599482554ed542e4933e9ff0a096c) ([merge request](gitlab-org/gitlab!97555))
- [Fix trial applying bug in .com](gitlab-org/gitlab@dbda37b92dfa4c6025f7077932be5b5a6d114c32) ([merge request](gitlab-org/gitlab!97558)) **GitLab Enterprise Edition**
- [Fix paste markdown feature in Content Editor](gitlab-org/gitlab@9bb5bc27851d1118e8d9aaa7e45a690fad54313d) ([merge request](gitlab-org/gitlab!97538))
- [Improve VSA edit modal responsiveness](gitlab-org/gitlab@a223acc262f8d5a282af0e335d5c20eea1854a98) ([merge request](gitlab-org/gitlab!97387)) **GitLab Enterprise Edition**
- [Give blob header buttons correct spacing](gitlab-org/gitlab@916855a595bfdd43c03861f32aaaa256a4e3d615) ([merge request](gitlab-org/gitlab!97524))
- [Fix GitHub import un/assigned events](gitlab-org/gitlab@42afcb30a6c3fde10b7fc843c8845e95298134bf) ([merge request](gitlab-org/gitlab!97069))
- [Fix deploy freezes when period overlaps with itself](gitlab-org/gitlab@0366c3d1b8a97573d6c8b9d89e156f29dbb8833c) ([merge request](gitlab-org/gitlab!97474))
- [Hide Auto DevOps button on the project page](gitlab-org/gitlab@c294f5fd9b8a571102c2a44899a75b7d22d28bcd) ([merge request](gitlab-org/gitlab!97242))
- [Show visibility level when creating subgroup](gitlab-org/gitlab@d020b5a946711f073b5844946c7815378f2bfe70) ([merge request](gitlab-org/gitlab!97224))
- [Remove hidden checkboxes when not needed](gitlab-org/gitlab@f8402ad55ab74f0720a81580013402dce482619e) ([merge request](gitlab-org/gitlab!97380))
- [Ensure the VSA duration chart renders all dates](gitlab-org/gitlab@5f8fbcb4990b15fb7ec0a0347fcd73af73e5fb36) ([merge request](gitlab-org/gitlab!96634)) **GitLab Enterprise Edition**
- [Fix: pipeline reports missing secret detection report](gitlab-org/gitlab@f542bec855296720fde3840ac1ec392e48d85ca0) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!96841)) **GitLab Enterprise Edition**
- [Fix: repository analytics time rendering locale issue](gitlab-org/gitlab@18dfa0c4ad77c62c9ede847408a0c5ebf0074b20) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!97369)) **GitLab Enterprise Edition**
- [Geo: Realign concurrency limits](gitlab-org/gitlab@293195c6c3d11a96a5dc68d4b8ad25f045a4d7b9) ([merge request](gitlab-org/gitlab!96934)) **GitLab Enterprise Edition**
- [This MR fixes bug with missing banner](gitlab-org/gitlab@d322d14138233964f9b42c0ec67ffb46ee51b458) ([merge request](gitlab-org/gitlab!97050))
- [Fix environment auto stop in assignment when former value present](gitlab-org/gitlab@37e0becee88f4da0e8219077c88eab74f5ffc271) ([merge request](gitlab-org/gitlab!97425))
- [Fix: locale on reviewer sidebar](gitlab-org/gitlab@e60e37ea5b9c1f18a980ea50bb28303de7117e21) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!97018))
- [Fix sha argument passing of ProjectType.ci_config_variables](gitlab-org/gitlab@32bc27c2f2275ac8df95ca736ee8d8ded207c29d) ([merge request](gitlab-org/gitlab!97166))
- [Sort timeline events by occurred_at then by id](gitlab-org/gitlab@cfde27acbdd0e066589728f7f59c4f94a88676eb) ([merge request](gitlab-org/gitlab!96626))
- [Return 0 when credit_card_validation.holder_name is nil](gitlab-org/gitlab@4c9ef3b0ce7f27bb673cb2f81ef84ca7306cc3df) ([merge request](gitlab-org/gitlab!97081))
- [Fix: locale on assignee sidebar](gitlab-org/gitlab@a8798caefd860db9108796afc199f1633d12271f) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!97012))
- [Fix padding for text editors](gitlab-org/gitlab@f0401ac8022f0eb09e149791d648962f37ac5f45) ([merge request](gitlab-org/gitlab!97257)) **GitLab Enterprise Edition**
- [Switch 'b' shortcut to not ever focus or click an in-page element](gitlab-org/gitlab@ba7516b35ce21fb55c858e1a0740f3a9f827f945) ([merge request](gitlab-org/gitlab!95637))
- [Fix boards switcher for unauthorized user](gitlab-org/gitlab@ffd538c9c8d87e755d5c8ea274c72630accf8866) ([merge request](gitlab-org/gitlab!97209))
- [Fix subgroup support for approval rules](gitlab-org/gitlab@9d607b26acc6bfac12a377ba5232cbe06fc22c8d) ([merge request](gitlab-org/gitlab!96657)) **GitLab Enterprise Edition**
- [Handling Database Timeouts in gitlab:db:truncate_legacy_tables:*](gitlab-org/gitlab@34f950ced268acc38a670e1963b51ed3b28c6d9f) ([merge request](gitlab-org/gitlab!96576))
- [Fix: new compare merge request locale issues](gitlab-org/gitlab@17ca2fc585dc5af8e5abed510979f783c53d270a) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!97084))
- [Removed detached prefix from mr pipelines](gitlab-org/gitlab@f1e6cffaca85f486cf208c1ae81f754a0801ad92) by @leetickett ([merge request](gitlab-org/gitlab!97021))
- [Prevent race condition when jobs acquire resource groups](gitlab-org/gitlab@15f5d957bb6f4cb9d47661e2806be93747439f05) ([merge request](gitlab-org/gitlab!96786))
- [Invalidate the merge request cache when assignee/reviewer changes](gitlab-org/gitlab@3ed1e8f26991401ec745dae195dd342c3475ceff) ([merge request](gitlab-org/gitlab!96860))
- [Fix stage name escaping in pipeline views](gitlab-org/gitlab@82c2a55e74337cd082dd32981fae9605f2787a5b) by @fabsrc ([merge request](gitlab-org/gitlab!96869))
- [Fix wrapping in source files](gitlab-org/gitlab@81ddd10525c415fe1d8fcd4d27af5e41c7fb9893) ([merge request](gitlab-org/gitlab!96888))
- [Call .length rather than .size so another query isn't executed](gitlab-org/gitlab@8a0f5b7a015dd102ea6d914d161fe712fa08dd75) ([merge request](gitlab-org/gitlab!96769))
- [Trigger hooks when updating assignees via GraphQL](gitlab-org/gitlab@46c10dd2437dabdad33e2c71c5db1960a588850f) ([merge request](gitlab-org/gitlab!96726))
- [Multiline blockquote leading/trailing newline](gitlab-org/gitlab@b96c029bff512352881f7658c3cfabec49a65e54) ([merge request](gitlab-org/gitlab!95967))
- [Update region codes on gtag analytics](gitlab-org/gitlab@75e5d5d0e5bfa78c8550cb200f0d5ec6c359dd24) ([merge request](gitlab-org/gitlab!95650))
- [Fix oauth password to not be forced to be lowercase](gitlab-org/gitlab@6d279a74ab8e814a1abae4cbaebcc67a0f10e6da) by @mtan-gitlab ([merge request](gitlab-org/gitlab!96442))
- [Update squash commit SHA outside of merge method](gitlab-org/gitlab@12b7988976a50dbb60012271b6b602eaddc702b8) ([merge request](gitlab-org/gitlab!96806))
- [Fix visual regression in top toolbar](gitlab-org/gitlab@7fab72d5bc787e41554cde87f079f1f6205af2ab) ([merge request](gitlab-org/gitlab!95626))
- [Improve toolbar performance](gitlab-org/gitlab@837c2ddaccf27742d7a826bb686765b7902cecdd) ([merge request](gitlab-org/gitlab!95626))
- [Clean up orphaned invited members](gitlab-org/gitlab@66478d170fe0050bd06d52248f54256ae37367b9)
- [Fix parsing commit trailers without specified email](gitlab-org/gitlab@ac218dfdbd3e3030fa4870cd745b39b3a31cad68) ([merge request](gitlab-org/gitlab!96791))
- [Fix link bubble menu bug](gitlab-org/gitlab@261596d709774fb9ab94ad622133212e9af55014) ([merge request](gitlab-org/gitlab!95954))
- [Remove any broken symlink before creating it for .gitlab_shell_secret](gitlab-org/gitlab@ac65596e8160103c9c02240eafd0b92830172d36) ([merge request](gitlab-org/gitlab!96775))
- [Use FIFO as pending builds strategy for group runners](gitlab-org/gitlab@06c30825126291df9e91e5426f6127f77ab7eaaa) by @wwwjon ([merge request](gitlab-org/gitlab!94815))
- [Fix 500 error for Commits API](gitlab-org/gitlab@d0749f2e3a39d29cdc0df2b566948f1baa648440) ([merge request](gitlab-org/gitlab!96768))
- [Fixed note buttons spacing on issues](gitlab-org/gitlab@0618fa5473a0de1336b421133ac62c6166c47a64) by @zillemarco ([merge request](gitlab-org/gitlab!96750))
- [Fix markdown tabs alignment on issue/MR create pages](gitlab-org/gitlab@f7c392905e03253cba1512895a7aacc25c53b86f) ([merge request](gitlab-org/gitlab!96720))
- [Geo: Fix redirects of LFS transfer downloads](gitlab-org/gitlab@5ada5356d1ccfc67169a84fa7eedee76bb09616b) ([merge request](gitlab-org/gitlab!95974)) **GitLab Enterprise Edition**
- [Fixes todo button in sticky header not working](gitlab-org/gitlab@8fe1cb2e4405fc98ff1299d1c6ed1059e9c864d2) ([merge request](gitlab-org/gitlab!96643))
- [Fix start_line/end_line link values](gitlab-org/gitlab@e5312c60660ce556f10ff250c42eedb3dae98eed) ([merge request](gitlab-org/gitlab!96580)) **GitLab Enterprise Edition**
- [Fix page javascript after a deploy token got created](gitlab-org/gitlab@3c912ddb5c000f01bd2172a5690ae999674abb22) ([merge request](gitlab-org/gitlab!96671))
- [Fix for broken tag/branch switcher](gitlab-org/gitlab@29c119aec34e463ed57eb46557ae6bbd393de833) ([merge request](gitlab-org/gitlab!96564))
- [Use dynamic select dropdown on forks form](gitlab-org/gitlab@b1370d6bbb7b7a989b39ad956d5146410ba28638) ([merge request](gitlab-org/gitlab!92363))
- [Fix/Add css selector](gitlab-org/gitlab@e9f188e1420fcca8ddc108347de63bb2e6d46edb) by @TrueKalix ([merge request](gitlab-org/gitlab!95171))
- [Fix/Add css selector](gitlab-org/gitlab@1cbb78d4a8a438ab5a988b19e2d17016b93aefff) by @TrueKalix ([merge request](gitlab-org/gitlab!95178))
- [Enable geo_batch_count feature flag](gitlab-org/gitlab@af7d9861d222c8b141cb4e0795a9b5241d69156c) ([merge request](gitlab-org/gitlab!96574)) **GitLab Enterprise Edition**
- [Save repository size limit set in admin group page correctly](gitlab-org/gitlab@88566c55bd2d2f101b9d3575d9a0d6d041569d5b) ([merge request](gitlab-org/gitlab!96193)) **GitLab Enterprise Edition**
- [Fix incorrect job artifacts expire_at](gitlab-org/gitlab@94099c2b22dc5a0a20a1602749e3a042e9b7d4c7) ([merge request](gitlab-org/gitlab!89318))
- [Fix language mapping in the Source Viewer](gitlab-org/gitlab@a567b2f04b7bbdac52b0cb8f692a9ca2f2089534) ([merge request](gitlab-org/gitlab!96043))
- [Fix SVGs not rendering in issuables](gitlab-org/gitlab@6ff8a04cf1087b14e656e76a624c01198107474f) ([merge request](gitlab-org/gitlab!96398))
- [Do not prefill new form again with successfully created deploy token](gitlab-org/gitlab@dfa031ff4380ee2c497f5261fd06ea5839f96fb2) ([merge request](gitlab-org/gitlab!95477))
- [Fix custody report CSV for projects inside subgroup](gitlab-org/gitlab@693982937b30a9a1f8d1ce0afcefc34fdc694e62) ([merge request](gitlab-org/gitlab!96396)) **GitLab Enterprise Edition**
- [Fix not showing "job dependencies" view when all jobs are bridges](gitlab-org/gitlab@b7976b54aac2555e3e600e5201829532a735d0e7) ([merge request](gitlab-org/gitlab!89660))
- [Fix 'Assign yourself' visibility for users without permissions](gitlab-org/gitlab@d10bb9a9b246cf854ebebd553d0d23f331088c2e) by @zillemarco ([merge request](gitlab-org/gitlab!96378))
- [Fix missing metadata for system notes](gitlab-org/gitlab@09ec6dc0e0da4d9511c16470df56183e336513b4) ([merge request](gitlab-org/gitlab!96272))
- [Fix: issue list assignees label translation](gitlab-org/gitlab@9d587a0ba9780cd1388c9e78c27712dfc105750b) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!95891))
- [Board card location row breaks incorrectly fix](gitlab-org/gitlab@224cd1e0467a0ce45639d46d97c5b3574a217388) ([merge request](gitlab-org/gitlab!96330))
- [Add screen reader only text to content editor dropdowns](gitlab-org/gitlab@2868c30075958b6471aacef48982e3a1b6b16799) ([merge request](gitlab-org/gitlab!96296))
- [Handle the exception in case of large yml](gitlab-org/gitlab@e4efa43f0471cf13c4d4a3dc6cd25e6b692dec8b) ([merge request](gitlab-org/gitlab!94192)) **GitLab Enterprise Edition**
- [Fix empty state MR pipeline run](gitlab-org/gitlab@b9f5e5337031cbb7e7da9d691dc26e3efb898d19) ([merge request](gitlab-org/gitlab!96200))
- [Fix: merge request editing page wrong translations](gitlab-org/gitlab@650e0fff8741b4d3927612cfe4fd7aee3282f689) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!96003))
- [Update 2FA requirements async for group members](gitlab-org/gitlab@1aa065f1cfc3da548c24a699a41373b4d99662b2) ([merge request](gitlab-org/gitlab!95424))
- [Add missing runner variables to predefined list](gitlab-org/gitlab@fc7336f649b46ac402f7cbf5770c198ce6839e54) by @bbodenmiller ([merge request](gitlab-org/gitlab!93133))
- [Fix search_files_by_name escaping names twice](gitlab-org/gitlab@f4b74eb15d4dbaea446daa1989a2b96ff62bb159) ([merge request](gitlab-org/gitlab!95672))
- [Automatically remove leading spaces in project names](gitlab-org/gitlab@e56b0649cadd5dd5957f77f9657568ed768bb744) ([merge request](gitlab-org/gitlab!95952))
- [Fix clear icon alignment](gitlab-org/gitlab@ddcf97140f1485089a460149f363787946761568) ([merge request](gitlab-org/gitlab!96169))
- [Prevent invalid characters from causing diffs to error out](gitlab-org/gitlab@2642ebbcdc966562a9ce80ae9db476d2f866cc81) ([merge request](gitlab-org/gitlab!96192))
- [Removing mixin from mr widget pipeline](gitlab-org/gitlab@a953759a9d489a7f25d02052410b719fc34dece5) ([merge request](gitlab-org/gitlab!96189))
- [Alter when to send releasedAt when release created](gitlab-org/gitlab@78df38e392d0f9b5d67ea4b60308c4e1b9876c87) ([merge request](gitlab-org/gitlab!96183))
- [Fix broken UI text in selector in dashboard milestones](gitlab-org/gitlab@f80d241b193587e11b85662f9e024e9b9f1a07b2) by @tnir ([merge request](gitlab-org/gitlab!96171))
- [Ensure the VSA form loading state is rendered](gitlab-org/gitlab@64335ee973aaca21ef0356f7d756fa9fc90fcb3c) ([merge request](gitlab-org/gitlab!95343)) **GitLab Enterprise Edition**
- [Fix hash order issue test in DORA reducer](gitlab-org/gitlab@5c4c0d21968f69f8f84b2f4dc2f077f92bd5998d) ([merge request](gitlab-org/gitlab!96161)) **GitLab Enterprise Edition**
- [Improve the performance of bubble menus](gitlab-org/gitlab@efba65a89a6d470db1302f23520b78b5282318d8) ([merge request](gitlab-org/gitlab!95732))
- [Fix missing project for included remote file including with rules:exists](gitlab-org/gitlab@e4e0ca6ed12c5c311a2b1f51d1701b57c8f72ca3) ([merge request](gitlab-org/gitlab!96138))
- [Fix NoMethodError in IssueResolverArguments](gitlab-org/gitlab@37a5cb376de7c09ae02f519bce6e3ff83cd0c008) ([merge request](gitlab-org/gitlab!96149))
- [Include reserved report_approvers rule names as](gitlab-org/gitlab@1649515cacb2a678b36fc43d7008723969e66ce9) ([merge request](gitlab-org/gitlab!96140)) **GitLab Enterprise Edition**
- [Fix board sidebar links color](gitlab-org/gitlab@93505421d938f8b6a66a5034022aa3e4824bd474) ([merge request](gitlab-org/gitlab!96107))
- [Fix hardcode text on new branch page](gitlab-org/gitlab@4fadebbdbde4d46ee1da068eba95133b2d2cf6aa) by @icbd ([merge request](gitlab-org/gitlab!95791))
- [Fix nested ordered task list styling in issue description](gitlab-org/gitlab@147f117bc11dca64a69a084cb0a3919a075165b8) ([merge request](gitlab-org/gitlab!95799))
- [Add gray color on component icon to fix all use cases](gitlab-org/gitlab@9aca6689d8641c9300de7199fbde11f0b6d1f7ff) ([merge request](gitlab-org/gitlab!95980))
- [Fix fetching epics when changing sort option](gitlab-org/gitlab@87f0c2921bfdb6dc8ed04ceeb74e63fb6966e549) ([merge request](gitlab-org/gitlab!95978))
- [Fix timelog type policy check](gitlab-org/gitlab@cb87176051f7f0abcbed3afae3d21c87d5ca12eb) by @leetickett ([merge request](gitlab-org/gitlab!96017))
- [Remove extra space after dismissing free cap alert](gitlab-org/gitlab@b1096f5d1e3d44dad42d582cc9b663506c3bf8b0) ([merge request](gitlab-org/gitlab!96077)) **GitLab Enterprise Edition**
- [Localize dateformat text](gitlab-org/gitlab@5d8a65289598dc8ed5dfa103b3e24946ba3f472d) ([merge request](gitlab-org/gitlab!95492))
- [Improve blame link feature](gitlab-org/gitlab@a7f2ebae1b22602339f5bd6c2e2006be2da0d666) ([merge request](gitlab-org/gitlab!95962))
- [Skip file removal if GitLab managed replication is disabled](gitlab-org/gitlab@76f7e413ec36f72196ba8e5cf10fb9be5f5f83ea) ([merge request](gitlab-org/gitlab!95937)) **GitLab Enterprise Edition**
- [Fixed fullPath for assignees and labels](gitlab-org/gitlab@818e6eaf7b7686873ee412306145e30de60bb41f) ([merge request](gitlab-org/gitlab!95932))
- [Open task in new window when doing ctrl/cmd+click](gitlab-org/gitlab@f26167fe3b53596d6799a72799849c9f45fa29d5) ([merge request](gitlab-org/gitlab!96024))
- [Upgrade three.js dependency](gitlab-org/gitlab@a6c1066191cc8a8e759617310d0e4eac8015a1c4) ([merge request](gitlab-org/gitlab!95994))
- [Fix issue searches using Russian characters](gitlab-org/gitlab@5763d4c8b0793f2bdfbd27c6cf88bb6eee8e8575) ([merge request](gitlab-org/gitlab!96005))
- [Fix: untranslated merge request consent box](gitlab-org/gitlab@88f9e12b4a3d657921bd4498938fe7bc7d211d38) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!95993))
- [Remove redundant class name from group template](gitlab-org/gitlab@2afbf0c771b76d194c9fe1d5db90912293c2262c) by @tnir ([merge request](gitlab-org/gitlab!94462))
- [Added lowercase to the actual con-reg api call](gitlab-org/gitlab@5a908aff6fe2932cab9df26b2f84ba5ca121bbaa) ([merge request](gitlab-org/gitlab!95923))
- [Fixed alignment of MR activity dropdowns on mobile](gitlab-org/gitlab@592d46ffebc1180df9301e12aa204b5fc7b1e5ee) by @zillemarco ([merge request](gitlab-org/gitlab!95715))
- [Handle all uploads instead of a hardcoded list](gitlab-org/gitlab@e588f0e910adc771903a55130ff9df482776a593) ([merge request](gitlab-org/gitlab!95587))
- [Bypass earliest date validation in importing of iteration cadences](gitlab-org/gitlab@1959672609f03ace6c4e9c873dde9a79ea87df2a) ([merge request](gitlab-org/gitlab!95872)) **GitLab Enterprise Edition**
- [Fix Geo removing uploads on object storage](gitlab-org/gitlab@59cce76ac68a6fc0549f9a98e8f1bbde81fc7dca) ([merge request](gitlab-org/gitlab!95130)) **GitLab Enterprise Edition**
- [Set all attachments to Content-Type application/octet-stream](gitlab-org/gitlab@d77bb599a6287fa0a90b932df53243a439a87b95) ([merge request](gitlab-org/gitlab!95859))
- [Do not update approval rules for merge request](gitlab-org/gitlab@91753d421635fcb6d087405a77b8571ce2b5dee5) ([merge request](gitlab-org/gitlab!95727)) **GitLab Enterprise Edition**
- [Rake Task gitlab:db:lock_writes more efficient](gitlab-org/gitlab@9c9970a027dd2e9a32aab34468cf2e11ad73a6f6) ([merge request](gitlab-org/gitlab!95728))
- [Update subscription service for new hashed OAuth tokens](gitlab-org/gitlab@3b169c6739bb2589350f061e61ab395eb9cfefef) ([merge request](gitlab-org/gitlab!95647)) **GitLab Enterprise Edition**
- [Ignore accents in search term when searcing issues](gitlab-org/gitlab@8ffa3144cfd230e768797ac3ade452318c15c2ce) ([merge request](gitlab-org/gitlab!95262))
- [Update Oj to v3.13.21](gitlab-org/gitlab@866dbfb1d4cb0df414679b20338a2f23aea240d8) ([merge request](gitlab-org/gitlab!95822))
- [Make compliance report email `html_safe`](gitlab-org/gitlab@519c7683d8bcf784e2bb965f28fe856653fecad7) ([merge request](gitlab-org/gitlab!95578))
- [Quick fix for the move to position](gitlab-org/gitlab@cf52ecf5c62e110b9b3c56010c3b0ced56a37f4f) ([merge request](gitlab-org/gitlab!95777))
- [Fix Redis pipeline/multi-exec deprecation errors](gitlab-org/gitlab@7957211eafd09c215dea4f854c5f4b403de48bc8) ([merge request](gitlab-org/gitlab!95402))
- [Geo: Fix registry backfilling](gitlab-org/gitlab@b3ee8ce858a7386c33e576431fd395fe1f11e4fb) ([merge request](gitlab-org/gitlab!87720)) **GitLab Enterprise Edition**
- [Fix user recent activity links for work item actions](gitlab-org/gitlab@59a2abe050440ea9020a3d80609410189a3af481) ([merge request](gitlab-org/gitlab!95738))
- [Restore transaction block while extracting sync](gitlab-org/gitlab@f73a430c0704dbee936055b1eb206581ec2eb261) ([merge request](gitlab-org/gitlab!95400)) **GitLab Enterprise Edition**
- [Fix issue description list item reordering indentation](gitlab-org/gitlab@83bfd9271c35467252d7603b9b75d90074e164aa) ([merge request](gitlab-org/gitlab!95487))
- [Fix boards alignment and dark mode issues](gitlab-org/gitlab@fdeec5e0f0bebdbf72fca8d513f378b3ea05e7ea) ([merge request](gitlab-org/gitlab!95026))
- [Fix visual bugs from !95073](gitlab-org/gitlab@510b2d9638e060d51ef69025fbab07561f867e22) ([merge request](gitlab-org/gitlab!95638))
- [Fix CI/CD legacy variables fetching group projects](gitlab-org/gitlab@2432e4d89f4a4df403a8e435eb74ca4db4749679) ([merge request](gitlab-org/gitlab!95624))
- [Hide copy failed tests button when endpoint returns null files](gitlab-org/gitlab@a880fbead69e7d421710acef2ea2ef12cc2de52b) ([merge request](gitlab-org/gitlab!95558))
- [Fix detection of URLs in markdown selection](gitlab-org/gitlab@4e7190b4f94273b8abf51147c1909b63efb97079) ([merge request](gitlab-org/gitlab!95353))

### Changed (167 changes)

- [Rename last_run_date to next_run_date](gitlab-org/gitlab@d5f107d679116f60cfc2d0563f1fb323cac36be7) ([merge request](gitlab-org/gitlab!91074))
- [Update pg_query to v2.1.4](gitlab-org/gitlab@91a037f7c17a0a61e0416833d34cefcd06538281) ([merge request](gitlab-org/gitlab!98274))
- [Convert issues analytics table to graphql](gitlab-org/gitlab@b85f0a86da91ce50c2d4070cf2eacf5271a6bd46) by @ali_o_kan ([merge request](gitlab-org/gitlab!97955)) **GitLab Enterprise Edition**
- [Hash Oauth application secrets](gitlab-org/gitlab@e0452a432d8424b72e2531edf93b1d96332bbf98) ([merge request](gitlab-org/gitlab!96252))
- [Fix: notify locale on new user email](gitlab-org/gitlab@92f17aba68cb8e1c584b4b245e5a13a82c19476d) by @qt-gith ([merge request](gitlab-org/gitlab!96732))
- [Cleanup attention request related system notes](gitlab-org/gitlab@2231abbc1f92d8f6d4342ddf651e543f532dcc65) ([merge request](gitlab-org/gitlab!97753))
- [Remove temp index group membership namespace id](gitlab-org/gitlab@8d5ef9e45a40d9a475dd2d260f1c6a65797ff889) ([merge request](gitlab-org/gitlab!93324))
- [Add graphql feature flag for job_app](gitlab-org/gitlab@a7af150a2109ffc9282b17fcf0d45f77be1884cb) ([merge request](gitlab-org/gitlab!96703))
- [Account for inherited runners in RunnerPolicy](gitlab-org/gitlab@4298966270e3ba2474e3527f7fa4a1d781cb7ca9) ([merge request](gitlab-org/gitlab!97263))
- [Allow job token configuration while disabled](gitlab-org/gitlab@d4e7795c37ec1a057c1eef0013b143b4529fb01d) by @ali_o_kan ([merge request](gitlab-org/gitlab!96661))
- [Use a stacked layout for runners list](gitlab-org/gitlab@272b381d6b71d2347703b89104816935ee2734d1) ([merge request](gitlab-org/gitlab!98004))
- [Adjust codequality inline severity icon](gitlab-org/gitlab@81f9bdc01cbf1af403c46246fcb68de2d1240c71) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/96472)) **GitLab Enterprise Edition**
- [Add project harbor registry feature flag](gitlab-org/gitlab@7e45ed04402d0e5fc08fc82cf89f373827cfa45f) by @orozot ([merge request](gitlab-org/gitlab!98060))
- [Fix: notify locale on pipeline fixed email](gitlab-org/gitlab@66f8bed1f662c4e78c514130b2b9b8d8020c6091) by @qt-gith ([merge request](gitlab-org/gitlab!96730))
- [Hide information for blocked user in popover](gitlab-org/gitlab@65ef9b86a4092270963b6e59cc22aa35cff7fcce) ([merge request](gitlab-org/gitlab!97670))
- [Add new MR environment auto-stop logic](gitlab-org/gitlab@7c6383a74b1e17235c58b40d9ae85ba6122c8165) ([merge request](gitlab-org/gitlab!96827))
- [Add epoch column to rpm metadata](gitlab-org/gitlab@7fb9a35ffc4b31457455ddab26da2c4eb759d998) ([merge request](gitlab-org/gitlab!97710))
- [Merge branch '359067-rename-package-files-to-assets' into 'master'](gitlab-org/gitlab@312798606324084ff1d3c426e18c06b7a2ede154) ([merge request](gitlab-org/gitlab!93962))
- [Add bot badge in user list for admins](gitlab-org/gitlab@e63b0c1ec04d0d2ea5ef7762e97995e4176ae220) ([merge request](gitlab-org/gitlab!97584))
- [Issuable title updates no longer update last_edited values](gitlab-org/gitlab@66f216011ccb4c8e6fe338d5ceb86f9b339047c9) ([merge request](gitlab-org/gitlab!97721))
- [Move Google IP fetch into a separate service with rate limiting](gitlab-org/gitlab@0535ff53a0673a07661aaa9bfd3900a74a7bee0a) ([merge request](gitlab-org/gitlab!97709))
- [Fix: notify locale on remote mirror update failed email](gitlab-org/gitlab@cba01daeeb1639902dbd2d46da1b44950a3e1867) by @qt-gith ([merge request](gitlab-org/gitlab!96636))
- [Enable restyle_login_page by default](gitlab-org/gitlab@2aa2242efd1bd88447bd9f7115dde70d7e1950fe) ([merge request](gitlab-org/gitlab!97499))
- [Changed draft text](gitlab-org/gitlab@c198956c5c834b36bfe2f135bf8f23d56b9d611c) by @mehulsharma ([merge request](gitlab-org/gitlab!96629))
- [Use default project for epic issue creation](gitlab-org/gitlab@c56d15622ec0e4ab225c57e0b1d7a279e33f321c) ([merge request](gitlab-org/gitlab!97513)) **GitLab Enterprise Edition**
- [Add bot badge in project and group member lists](gitlab-org/gitlab@1dcabb6a83bb273739919ed5ed3c0c84e0de67e2) ([merge request](gitlab-org/gitlab!97583))
- [Feat(Subscripion activation): add error handling](gitlab-org/gitlab@5a9ac6d454b3228b536d212ce955202274ccf748) ([merge request](gitlab-org/gitlab!95807)) **GitLab Enterprise Edition**
- [Adds redirection when cleanup policy is saved](gitlab-org/gitlab@16addf6d8842431a4eaee13ace73dcb12c79cc7b) ([merge request](gitlab-org/gitlab!97085))
- [GraphQL Max Call field extension](gitlab-org/gitlab@9d0cedfaf68b71d0874cef7f8a7a21e18f47fb5e) ([merge request](gitlab-org/gitlab!95885))
- [Update SubscriptionUpgradeInfoCard title when group is in a trial](gitlab-org/gitlab@246d95f7d763cd027fd9e9b47fe977c143825d39) ([merge request](gitlab-org/gitlab!97250)) **GitLab Enterprise Edition**
- [Move file editor CSS to its own page bundle](gitlab-org/gitlab@d0bad14bcd4a86394a69e205c5c4204b958e89cf) ([merge request](gitlab-org/gitlab!97862))
- [Remove the markdown_corrected_blockquote](gitlab-org/gitlab@51f8cab8a86fb9dfa5c30cf62ddebefc41f455b0) ([merge request](gitlab-org/gitlab!97859))
- [Unlock CI pipeline artifacts when pipeline is unlocked](gitlab-org/gitlab@4cff4b9bd362fb0a59119b1557a4e78e94c92562) ([merge request](gitlab-org/gitlab!97228))
- [Updated show work item page title](gitlab-org/gitlab@8513fb267bb9de1ac3723c1476e49303f939fcfb) ([merge request](gitlab-org/gitlab!94834))
- [Remove exess buttons](gitlab-org/gitlab@4d8d947fcbb3d44e73ad9662adcfb203ef6cb102) ([merge request](gitlab-org/gitlab!97389))
- [Update default initializer value for Sidekiq routing_rules](gitlab-org/gitlab@270941d79b60971e21d120063bb4aeb28a9e89c9) ([merge request](gitlab-org/gitlab!97908))
- [Update Service Desk settings help text](gitlab-org/gitlab@dcd1058845a64b43f2cd86e5f596056516fa56cb) ([merge request](gitlab-org/gitlab!97463))
- [Update Service Desk settings help text](gitlab-org/gitlab@f0d622a23d6355c8b87ad45f0eb636c66c26d410) ([merge request](gitlab-org/gitlab!97346))
- [Mass update legacy Slack integrations](gitlab-org/gitlab@4d8b0ffe316a9fb1de0c3e29a847ad6dcd75e49a) ([merge request](gitlab-org/gitlab!97734))
- [Update third party login styles](gitlab-org/gitlab@ba5438feb39c3006b139e468b12d5bdb595fd4d5) ([merge request](gitlab-org/gitlab!97232))
- [Narrow the definition of an OSS contribution](gitlab-org/gitlab@f5c53637e3710f1bd4f8fb2cb7db98e716a728cb) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/97713))
- [Allow to sort tags by semantic version](gitlab-org/gitlab@9e5bfce2d5e2badfd05bcc0b8198568c43653e8e) ([merge request](gitlab-org/gitlab!95095))
- [Splits feature flag for removing note attributes](gitlab-org/gitlab@e2a7b297ec69de78d76e667c0efc9e422fc57b59) ([merge request](gitlab-org/gitlab!97520)) **GitLab Enterprise Edition**
- [Rename last_used_before scope to last_used_before_or_unused](gitlab-org/gitlab@6eaa6cf5bf6655b089f93c92383786a801fcca46) by @TrueKalix ([merge request](gitlab-org/gitlab!97636))
- [Add prefix comment on note in backend](gitlab-org/gitlab@fb15bc0d67a6c553e30e6e337c3057713ff1bfd7) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/97473))
- [Update license compliance docs](gitlab-org/gitlab@ae5b5233585729980f010f3645f1a3a15c8b6142) ([merge request](gitlab-org/gitlab!97417)) **GitLab Enterprise Edition**
- [Add setting for max pages custom domains per project](gitlab-org/gitlab@74f9042b8965f0e5008d7a5cdab481309ad8c064) ([merge request](gitlab-org/gitlab!95610))
- [This MR enables feature flag](gitlab-org/gitlab@dc9b0bbc2215bbd0fd2fff471e5caa4cfcb88db1) ([merge request](gitlab-org/gitlab!96678)) **GitLab Enterprise Edition**
- [Simplify primary navigation bar and align global search to the left](gitlab-org/gitlab@325c6dc89f3f2e74bbe5da707c9e9b51576c6ed7) ([merge request](gitlab-org/gitlab!96932))
- [Simplify primary navigation by removing infrequently used options](gitlab-org/gitlab@5c0ad0b8d229dd41fcbf259e7d2236b3b56685be) ([merge request](gitlab-org/gitlab!96931))
- [Removed vuln training message](gitlab-org/gitlab@fb43545d8109462911d3026d26659e48043a513b) ([merge request](gitlab-org/gitlab!97540)) **GitLab Enterprise Edition**
- [Removed and-Separators with comma-separators](gitlab-org/gitlab@8cd7188390cc6be6327f2c51a2d26668fb378141) by @anshulriyal ([merge request](gitlab-org/gitlab!94134))
- [Cleanup «New tag» page](gitlab-org/gitlab@57d5c134148d745a38f7b8267f26814bf147c96f) ([merge request](gitlab-org/gitlab!97495))
- [Pipeline job pill alignment](gitlab-org/gitlab@df7a7e94913f4a800e9e30c163c8edb79c84864c) ([merge request](gitlab-org/gitlab!97505))
- [Update controller update to allow clean MD render](gitlab-org/gitlab@f79f6e1086abc59bc36aa9156745deeb2982e030) ([merge request](gitlab-org/gitlab!95938))
- [Lower the default Rails.cache ttl to 8 hours](gitlab-org/gitlab@e63fee03348cb7b9d16bcfd94f2db20f4e8b79d7) ([merge request](gitlab-org/gitlab!97374))
- [Improve account limit settings text](gitlab-org/gitlab@ffb0113e24f67eb87b017679e23c52014e97d93c) ([merge request](gitlab-org/gitlab!97456))
- [Update dependency auto-deploy-image to v2.37.0](gitlab-org/gitlab@82b4785d0a6121f3be1cb7586d7c2228f8fe1cde) ([merge request](gitlab-org/gitlab!94920))
- [Improve UI text of FloC setting](gitlab-org/gitlab@95f2df1b66d50441dad67fc85478eb8e58617f7a) ([merge request](gitlab-org/gitlab!97204))
- [Fix: notify locale on push to merge request email](gitlab-org/gitlab@e3db01096b67084041a08eba555b826269970f09) by @qt-gith ([merge request](gitlab-org/gitlab!96642))
- [Remove extra whitespace in buildkite.rb](gitlab-org/gitlab@b76a9501d534fe2d57c30b20cb78b0fa426071ff) ([merge request](gitlab-org/gitlab!93620))
- [Update group runners Edit page look and feel](gitlab-org/gitlab@5a61d5897711d8f4e748d655cdedd7571a5c1fae) ([merge request](gitlab-org/gitlab!97393))
- [Update removal date in clusters deprecation alert](gitlab-org/gitlab@144d07e6cc0757747aecd5c8398525d0874ad096) ([merge request](gitlab-org/gitlab!97383))
- [Replace the term homepage with dashboard](gitlab-org/gitlab@411ae4e78b4814ae5bfc4fc0fc16223b48cf9907) ([merge request](gitlab-org/gitlab!96579))
- [Dropzone: Change border-radius to default radius](gitlab-org/gitlab@ed8f3cd132129f03a178d37043cee5d4c87d8e89) ([merge request](gitlab-org/gitlab!97146))
- [Call update_web_hook! for buildkite when ensuring ssl validation](gitlab-org/gitlab@88ac00442e5cdcc7ae1e9a2366cf2072f9776eb2) ([merge request](gitlab-org/gitlab!93620))
- [Update copy text for self metrics toggle](gitlab-org/gitlab@a2a19f33bb21d3302a3e020ea779f46a975840df) ([merge request](gitlab-org/gitlab!97164))
- [Add locked column to Ci::PipelineArtifact](gitlab-org/gitlab@c730b7c5a784c5602fa7375c2bb3fd7ba02cd99b) ([merge request](gitlab-org/gitlab!97194))
- [Advanced Search: Index label_ids for issues](gitlab-org/gitlab@3b7edbe464f75b77cffb6359ea9518ed3318d1dc) ([merge request](gitlab-org/gitlab!96153)) **GitLab Enterprise Edition**
- [Remove after_save callback to create integration webhooks](gitlab-org/gitlab@1f2c8e25c790999942ba093e8df9e4041bfc3e1f) ([merge request](gitlab-org/gitlab!93620))
- [Replace Wiki service find_page RPC by normal repository RPCs](gitlab-org/gitlab@0ed0882a8ae22040c3166a7842884330ba7baf11) ([merge request](gitlab-org/gitlab!95897))
- [Add column 'branch_filter_strategy' to 'web_hooks'](gitlab-org/gitlab@93eeb88f37d15ecbe32ccfc3587663ca5a08d37e) by @luzhiyuan.deer ([merge request](gitlab-org/gitlab!97132))
- [First pass legacy license compliance widget removal](gitlab-org/gitlab@369585475e26223dbef213195bfe794ed40eb51b) ([merge request](gitlab-org/gitlab!96948)) **GitLab Enterprise Edition**
- [Remove file edit actions from blame view](gitlab-org/gitlab@e863572c48b68156b7e810a83f7f0d10eca4cdd7) ([merge request](gitlab-org/gitlab!96554))
- [Fix: notify locale on resolved all discussions email](gitlab-org/gitlab@f5e4b1418646be79409074da268d2ed37eb8e494) by @qt-gith ([merge request](gitlab-org/gitlab!96500))
- [Handle 429 response for the integration testing](gitlab-org/gitlab@ca5b7e945da4e4580c50ad56ab2ccc15def49b5d) ([merge request](gitlab-org/gitlab!96871))
- [Improve bulk issue creation on epics](gitlab-org/gitlab@5eb6924a11e092863999e95609a70e96fb93c877) ([merge request](gitlab-org/gitlab!96879)) **GitLab Enterprise Edition**
- [Limit number of branches/tags loaded from Gitaly](gitlab-org/gitlab@0aa8beb1faaeadaebb50048f4c1f9df25937be22) ([merge request](gitlab-org/gitlab!97137))
- [EE Group Settings General headers expand on click](gitlab-org/gitlab@6424e196b80b9ee08e99efd248c2b396db6bbc15) by @quatauta ([merge request](gitlab-org/gitlab!97032)) **GitLab Enterprise Edition**
- [Fix case of DAST UI text](gitlab-org/gitlab@03587ecb2b3e824bd013d492123cd1ad6ac95498) ([merge request](gitlab-org/gitlab!96725)) **GitLab Enterprise Edition**
- [Fix migration type](gitlab-org/gitlab@5f4088d656d0b63112ec52f4f50ad21d94b22cc7) ([merge request](gitlab-org/gitlab!97067))
- [Update packages registries menu as sentence case](gitlab-org/gitlab@fd0c9526a98e1d9ea9b7278fc45b8b051a5295f4) by @parkourkarthik ([merge request](gitlab-org/gitlab!95575))
- [Allow tokens with any scope to use the self-revocation API](gitlab-org/gitlab@15356d6895d87f1608d3128bf0b0e15e8d689a92) by @fabsrc ([merge request](gitlab-org/gitlab!94463))
- [Update Runner UI badges](gitlab-org/gitlab@d54cf964a603fe49124f7ea086e70a6276842fb7) ([merge request](gitlab-org/gitlab!95720))
- [Add days as unit to VSA duration chart](gitlab-org/gitlab@2d077b091e22087ae36278793be761dd18d2643e) ([merge request](gitlab-org/gitlab!96358)) **GitLab Enterprise Edition**
- [Do not show revoke button if revoke_path is absent](gitlab-org/gitlab@25a6439e8f0321c1dd3cd03dbd1ce0de9ec98526) ([merge request](gitlab-org/gitlab!96276))
- [Change code block border-radius to default](gitlab-org/gitlab@969384f5aa5a710f717b3b2d3e1db1e280ac445a) ([merge request](gitlab-org/gitlab!96886))
- [Hide mirror repos list when not available](gitlab-org/gitlab@7cce6189b77edfb6ce9fdad386ad386413d53ff0) by @parkourkarthik ([merge request](gitlab-org/gitlab!94939))
- [Modify scope to avoid table join](gitlab-org/gitlab@2bb70eb02443cb36c0c74f931a96446eaa07c4fe) ([merge request](gitlab-org/gitlab!95580))
- [Conclude the combined registration experiment](gitlab-org/gitlab@95c16a23b5fe6601341c619b735a623802c6903d) ([merge request](gitlab-org/gitlab!95755)) **GitLab Enterprise Edition**
- [Cleans up the edit form for issuables](gitlab-org/gitlab@0a6ff8892de2fe08e6c9001ef24aa54b680e4383) ([merge request](gitlab-org/gitlab!96018))
- [This MR adds warning modal for unsaved changes](gitlab-org/gitlab@84e82bb90f6ec6d1a9e3499f5026dcd126ffa39f) ([merge request](gitlab-org/gitlab!94213)) **GitLab Enterprise Edition**
- [Destroy invalid project members](gitlab-org/gitlab@3a3a3a7fc008555234fe73ea0a777ee637640b90) ([merge request](gitlab-org/gitlab!95881))
- [Update successful plan purchase message and variant](gitlab-org/gitlab@5f41e57dabcaa2d2965717ffef9d11d8686f8a08) ([merge request](gitlab-org/gitlab!96674)) **GitLab Enterprise Edition**
- [Remove s3_omit_multipart_urls feature flag](gitlab-org/gitlab@4ba376fabf4e187474e08eba1a2726641005aca3) ([merge request](gitlab-org/gitlab!96411))
- [Feat: Increase stats margin on the project home page](gitlab-org/gitlab@c1d5009e0f48d92238e33dc9b65c8c6e5b14c4fa) by @nadia_sotnikova ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/96524))
- [Add vulnerability_advisories and vulnerable_component_versions tables](gitlab-org/gitlab@9317c8cb0f7afdd05b292a28977f734240d829e0) ([merge request](gitlab-org/gitlab!95622))
- [Update blocking issues system note text](gitlab-org/gitlab@0f1faa413f6c493008d043dcdcb8f27df9972fc4) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/95636)) **GitLab Enterprise Edition**
- [Refactored time tracking widget to be more reactive](gitlab-org/gitlab@c3902eaeec8f93cb25326b623ffffe8606cb27f8) by @zillemarco ([merge request](gitlab-org/gitlab!92234))
- [Use the standard dynamic segment for Debian packages](gitlab-org/gitlab@638f9b15ffd06ff07015e4fd779deaaf2a9cee4a) by @sathieu ([merge request](gitlab-org/gitlab!93036))
- [Add similar credit cards counts to external PVS payload](gitlab-org/gitlab@dafded912147d52bd55521e397a76a5d77a9977a) ([merge request](gitlab-org/gitlab!96264))
- [Edit profile tooltip for style compliance](gitlab-org/gitlab@37caf393dc2beeb153b8c010c411b459ff56b62b) ([merge request](gitlab-org/gitlab!96209)) **GitLab Enterprise Edition**
- [Reset access token form selectively](gitlab-org/gitlab@929dc1cc34a9150bf0b8d7f214f6b6efea7fb9d0) ([merge request](gitlab-org/gitlab!96379))
- [Show an additional warning text on SaaS for removing license](gitlab-org/gitlab@c68d777b7b3b6b1eb7c6ab8fbae936f30e23b5e4) ([merge request](gitlab-org/gitlab!96185)) **GitLab Enterprise Edition**
- [Change text Elasticsearch to OpenSearch in AWS search service config](gitlab-org/gitlab@2787a9352aab996a60ccdadc4fbd511130c51dee) ([merge request](gitlab-org/gitlab!96413)) **GitLab Enterprise Edition**
- [Update stackprof to v0.2.21](gitlab-org/gitlab@75aba050c06cc54afec9ccf6c5b38afcfe3ec3bd) ([merge request](gitlab-org/gitlab!96113))
- [Hide Register Runner button when user is not permitted to do the action](gitlab-org/gitlab@697eec1d89bd84887d2ed5ba4342118824cde738) ([merge request](gitlab-org/gitlab!92396))
- [Update case for Manually added text](gitlab-org/gitlab@51e25b43029fd6e0e04f050954da7112124b0bae) ([merge request](gitlab-org/gitlab!96281)) **GitLab Enterprise Edition**
- [Show deployment approval options for read access](gitlab-org/gitlab@4aaf6526b24a89502a86eff06725d3fb846349fe) ([merge request](gitlab-org/gitlab!95071))
- [Always show deployment approval options](gitlab-org/gitlab@7c824813ec65561bc6f1aa88ec73e5505b5aa78f) ([merge request](gitlab-org/gitlab!95071)) **GitLab Enterprise Edition**
- [Updates UI for package duplicate settings](gitlab-org/gitlab@51a6d3755e31aff8002e02283ce90d6a68ee9e5b) ([merge request](gitlab-org/gitlab!95193))
- [Clarify lifetime setting that affects all tokens](gitlab-org/gitlab@b1cb11ba5b0d880d461e2661cc9344c7a34e2bb0) ([merge request](gitlab-org/gitlab!96181)) **GitLab Enterprise Edition**
- [Add environment tier to allowed agents API response](gitlab-org/gitlab@668f4b56639c6598945a69b97dc146b7b863c6ca) ([merge request](gitlab-org/gitlab!95441))
- [Removes spacing from system note](gitlab-org/gitlab@92b9ba647043f2252a88ca3445ae97967a9e3754) ([merge request](gitlab-org/gitlab!95800))
- [Hide create project tile for some users](gitlab-org/gitlab@21b38d3ec9c56dd404dca66c12ec8bf79344246a) ([merge request](gitlab-org/gitlab!95726))
- [Remove FF for seat count usage alerts](gitlab-org/gitlab@5516d5a669cbf1388c52d89271295a4a7241de11) ([merge request](gitlab-org/gitlab!95775)) **GitLab Enterprise Edition**
- [Adds skeleton loader to Usage Quotas Seats page](gitlab-org/gitlab@0335c2f31bf0cfd3981505d551794823ce110307) ([merge request](gitlab-org/gitlab!91716)) **GitLab Enterprise Edition**
- [Expose ci_job_token_scope_enabled in job API](gitlab-org/gitlab@8ac85bb3fe977ba337e3999ad722a93501682c5f) by @paulbry ([merge request](gitlab-org/gitlab!95105))
- [Remove the Show Details button for Deployments](gitlab-org/gitlab@17cf1f4b55ad7df2947d565c6511236c4abd6abc) ([merge request](gitlab-org/gitlab!95955))
- [Changes column width on package side by side settings](gitlab-org/gitlab@7a899347f5c604e107ee5f12cb3aa1610a161742) ([merge request](gitlab-org/gitlab!96162))
- [Update tabs line-height to match Pajamas](gitlab-org/gitlab@2ba05a69ceade68a3981610d8289f028d4eba839) ([merge request](gitlab-org/gitlab!96156))
- [Event type information in saml auth audit event stream](gitlab-org/gitlab@6853f9cc84aad036974676ba8087fd2d157f51c6) ([merge request](gitlab-org/gitlab!95172)) **GitLab Enterprise Edition**
- [Extend approvers_select component to group level](gitlab-org/gitlab@ce9adc28d368b3ad7d80693630eb742f47a45fc7) ([merge request](gitlab-org/gitlab!95196)) **GitLab Enterprise Edition**
- [Updated copy around tasks](gitlab-org/gitlab@b94c7dc192d3ae159da3948367528c86b8d9e00b) ([merge request](gitlab-org/gitlab!95529))
- [Move Slack Events code to EE](gitlab-org/gitlab@a40a1502bec3434c8668ee5eb9aa42e4aa784527) ([merge request](gitlab-org/gitlab!96094)) **GitLab Enterprise Edition**
- [Add description_html to SecurityReportFindingType](gitlab-org/gitlab@3d6e6c959dec9129645e71bff4fb3bffb48bfccf) ([merge request](gitlab-org/gitlab!96079)) **GitLab Enterprise Edition**
- [Update Puma to v5.6.5](gitlab-org/gitlab@4e6ca70f8a9643449d1f77744eae3e248842db45) ([merge request](gitlab-org/gitlab!95987))
- [Disallow the rebase without pipeline on certain settings](gitlab-org/gitlab@e5e5e937c0a26edd7714dbda6ed7ccd88ac60996) ([merge request](gitlab-org/gitlab!95736))
- [Rename existing task system notes](gitlab-org/gitlab@8f7e96a8a1798a30df8f740ed3fa074ebaf999b9) ([merge request](gitlab-org/gitlab!95631))
- [Dont generate pipeline reports if the base pipeline is not complete](gitlab-org/gitlab@7435602ba923319c14e46798250db57db34ff943) ([merge request](gitlab-org/gitlab!93229))
- [Add generic cost factor logging](gitlab-org/gitlab@96ee0f1854c57ac47b63135b3de86b9fb24424fd) ([merge request](gitlab-org/gitlab!95845)) **GitLab Enterprise Edition**
- [Update error message](gitlab-org/gitlab@df7b2fd595396d5cc10aa66552ed3f9a86d9901c) ([merge request](gitlab-org/gitlab!95946)) **GitLab Enterprise Edition**
- [Update breadcrumbs of packages and registries under settings](gitlab-org/gitlab@37f4d3f90bc5388286a85e028dc0869380842a3f) by @parkourkarthik ([merge request](gitlab-org/gitlab!95554))
- [Add prefix to trigger tokens](gitlab-org/gitlab@4c44cb600b3a82dc9ab1c0cc06b60581fe04e8cd) ([merge request](gitlab-org/gitlab!95968))
- [Remove execute_build_hooks_inline feature flag](gitlab-org/gitlab@a05ba200c088234686f3632db4022a3bfbf00238) ([merge request](gitlab-org/gitlab!95712))
- [Autocomplete dropdown optimization](gitlab-org/gitlab@90450a9947f5f7cf362fe9c45e345fb73cd1884a) ([merge request](gitlab-org/gitlab!94058))
- [Fix canary badge styling](gitlab-org/gitlab@3f271cb56aa796023be114e55cc5f4bb1fc5f65e) ([merge request](gitlab-org/gitlab!95277))
- [Enable async_after_approval feature flag](gitlab-org/gitlab@ffdc7bd77ced8ced74c33b65bcb5fc9f3b934007) ([merge request](gitlab-org/gitlab!95677))
- [Combine sort and filter into one dropdown](gitlab-org/gitlab@cc30f9bdc26ffdc9058ff35fee36f154b8a93a7a) ([merge request](gitlab-org/gitlab!92072))
- [Use static terraform-images version in Terraform template](gitlab-org/gitlab@8c4a6de3705f532726693e74b252c2c0d4371003) ([merge request](gitlab-org/gitlab!95883))
- [Don't create `EE::Member` audit events when there is no change](gitlab-org/gitlab@b8f9c99a1409e92832984005cdea15cca8fc0ccb) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/95508)) **GitLab Enterprise Edition**
- [Update haml-lint to v0.40.1](gitlab-org/gitlab@6ef8517a5467122aced5f8f24f4589d275bc576c) ([merge request](gitlab-org/gitlab!95870))
- [Highlight runner name and move locked icon](gitlab-org/gitlab@e28dd5825ef8e7119f0b0a1cef89579ef10427db) ([merge request](gitlab-org/gitlab!95693))
- [Update thrift to v0.16.0](gitlab-org/gitlab@ab38c0933ae8a3f6bde0062f89ef1bf3ea824625) ([merge request](gitlab-org/gitlab!95838))
- [Use ProtectedBranch service to destroy the branch](gitlab-org/gitlab@5bd75706602d8fd2852b652530b1a3c7cc0c1080) ([merge request](gitlab-org/gitlab!95702))
- [Extract 'read_package' rule into separate policy](gitlab-org/gitlab@a406799420e410928d4595b02a02abca3f1d032c) by @wwwjon ([merge request](gitlab-org/gitlab!90963))
- [Remove self managed wiki notes](gitlab-org/gitlab@970df8b2c02e231548559064021afa2a9f8dce33) ([merge request](gitlab-org/gitlab!88545))
- [This MR adds schedule rule component](gitlab-org/gitlab@d8096ef8a8f629dcdd00b389514599a51680eaec) ([merge request](gitlab-org/gitlab!95192)) **GitLab Enterprise Edition**
- [Change the way autoclosing issues is checked](gitlab-org/gitlab@340dbccb04790c473e31a06770ac192123aef33c) ([merge request](gitlab-org/gitlab!95614))
- [Reduce header and footer height of comments](gitlab-org/gitlab@bc5d40c13952d3d2f13fa0f0633042f490f2cfb4) ([merge request](gitlab-org/gitlab!95772))
- [Update redis gem to v4.7.1](gitlab-org/gitlab@e3b5ecd35f9b72d4e4c11a47db3c816a389400cc) ([merge request](gitlab-org/gitlab!95402))
- [Update Cluster Managed project template](gitlab-org/gitlab@a09f430dccfdd89a42c81d843502052686c6cacf) ([merge request](gitlab-org/gitlab!95643))
- [Redesign runners stats](gitlab-org/gitlab@73dba9e929ee9db518f751fc2c6f276d41013d21) ([merge request](gitlab-org/gitlab!95509))
- [Allow verification token when creation external audit event destination](gitlab-org/gitlab@dc46f0874fdb95a69fdc3f3b4e37decc5d06d0ff) ([merge request](gitlab-org/gitlab!94936)) **GitLab Enterprise Edition**
- [Replace native date input field to `GlDatePicker`](gitlab-org/gitlab@6bc608fcca99adc3108eb8b2eccd3ee102820c14) ([merge request](gitlab-org/gitlab!93467))
- [Geo Replicables - Enhaced Empty States](gitlab-org/gitlab@4a45847fce79887c0e1f5a81d8d0bbb9bb9cd5a8) ([merge request](gitlab-org/gitlab!95113)) **GitLab Enterprise Edition**
- [Consolidate pipeline mini graph code](gitlab-org/gitlab@9a03bea1809c2f9274b76772e2a87f83c4ba3d07) ([merge request](gitlab-org/gitlab!91612)) **GitLab Enterprise Edition**
- [Move Group Push Rules to Settings/Repository](gitlab-org/gitlab@c53f2b605719e8f3929ab38f0da1ebb7a9e66ce4) ([merge request](gitlab-org/gitlab!92977)) **GitLab Enterprise Edition**
- [Query group descendants using comparison operators](gitlab-org/gitlab@9799c67fb18e0811a1256d00c03fa631146ba764) ([merge request](gitlab-org/gitlab!94004))
- [Disable DAST profile name field when configured](gitlab-org/gitlab@75bbfcd4b460daec844cab9a792f0caaa329974a) ([merge request](gitlab-org/gitlab!94188)) **GitLab Enterprise Edition**
- [Add job logs collection to Datadog Integration](gitlab-org/gitlab@c3305a2de47399dc3b2e11d70c88e9bded5dc31d) by @AdrianLC ([merge request](gitlab-org/gitlab!89548))
- [Reorganize runner tags in runners table](gitlab-org/gitlab@78b7316cd0294cb49988e4c8c8437490d0dd0d08) ([merge request](gitlab-org/gitlab!95460))
- [Add support for MulanPSL-2.0 in license detection](gitlab-org/gitlab@67b2a3b5388752a23cdd838f0ef06627f994ea5e) by @tnir ([merge request](gitlab-org/gitlab!94948))
- [Destroy invalid group membership records](gitlab-org/gitlab@65dbfd39815a9211fcf39ed10ee431501cd06d6d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80253))
- [Allow Invite button to be enabled by default](gitlab-org/gitlab@1bfa8c18de1705ceb0dafa373a50de6c27c38557) ([merge request](gitlab-org/gitlab!95527))
- [Add skip_users as param for members rest api](gitlab-org/gitlab@88166066340bbfb0978dc5414b75fbbfd9f7abf5) ([merge request](gitlab-org/gitlab!95195)) **GitLab Enterprise Edition**
- [Rename web_hooks service_id to integration_id](gitlab-org/gitlab@a627b1bcc55908d16fbe60d99dab0072dc90a262) ([merge request](gitlab-org/gitlab!95335))

### Deprecated (5 changes)

- [Deprecate draft quick action toggle](gitlab-org/gitlab@fe4549783dedac09cc5abd5e356e34ddf2faf9e3) ([merge request](gitlab-org/gitlab!96794))
- [Add feature flag for /draft toggle](gitlab-org/gitlab@ee1c73ed2f32067c51be11a9c3714aee8bd59290) ([merge request](gitlab-org/gitlab!92654))
- [GraphQL: Deprecate RunnerMembershipFilter](gitlab-org/gitlab@5e97c2e04f830bdd9c9626ed04b8ede7fa55069e) ([merge request](gitlab-org/gitlab!97127))
- [Document CS environment variable deprecations](gitlab-org/gitlab@3bb34b006484a87c87628d327d0345a243a39126) ([merge request](gitlab-org/gitlab!96172))
- [Deprecate security related `confidence` fields](gitlab-org/gitlab@23001ffa2abe40638247f456e1334687fd2c6e40) ([merge request](gitlab-org/gitlab!96361)) **GitLab Enterprise Edition**

### Removed (17 changes)

- [Remove unused VSA aggregation DB columns](gitlab-org/gitlab@07f6285afc6f9c614bfaf22012d34ba8736f09ce) ([merge request](gitlab-org/gitlab!98201))
- [Analyzer consolidation in SAST CI template](gitlab-org/gitlab@7752a7a6deea2724563bb09d5b53e31c2f020b7c) ([merge request](gitlab-org/gitlab!97216)) **GitLab Enterprise Edition**
- [Remove free user cap awaiting user logic](gitlab-org/gitlab@ed673d8ca878f389551e5049b91ae7fda5c7d5f7) ([merge request](gitlab-org/gitlab!96582))
- [Remove nonexistent index from schema](gitlab-org/gitlab@40b55826b4be12a1c3b59d502b3ce92762f95076) ([merge request](gitlab-org/gitlab!96401))
- [Remove awaiting members from billable user finder](gitlab-org/gitlab@3ff90056a0479be36164882e79d76fbd886678af) ([merge request](gitlab-org/gitlab!96925)) **GitLab Enterprise Edition**
- [Put DAST Basic-auth option behind feature flag](gitlab-org/gitlab@c9329e0eef2e3dec9940fd7a2081254dbb627161) ([merge request](gitlab-org/gitlab!96877)) **GitLab Enterprise Edition**
- [Weekend migration for dropping an empty index](gitlab-org/gitlab@b94439a154112f9dd88ad16bc28df9e4d4deb324) ([merge request](gitlab-org/gitlab!96400))
- [Remove pipeline insights experiment](gitlab-org/gitlab@ce7363d07bfc6f968b79571ab697be4c771e9433) ([merge request](gitlab-org/gitlab!95951))
- [Remove mr_attention_requests feature flag](gitlab-org/gitlab@523c4c8fffc62d97bef7444d93f0b5fc7a13f9a6) ([merge request](gitlab-org/gitlab!95446))
- [Remove temporary todos index for attention request](gitlab-org/gitlab@8a8ec206960fd2e292d6ba6576bef92130dfc01f) ([merge request](gitlab-org/gitlab!96228))
- [Remove unused /scan_execution_policies internal API](gitlab-org/gitlab@e702c38d039cff94dbcca7214b1affd22b793c86) ([merge request](gitlab-org/gitlab!96083)) **GitLab Enterprise Edition**
- [Drop Project#build_coverage_regex](gitlab-org/gitlab@ab50d40b9ee40d0282ece9605537bebf84b8000a) ([merge request](gitlab-org/gitlab!95908))
- [Remove other_role column from user_details](gitlab-org/gitlab@aee1474ea5aeeb55e69ab3b0691ab7355196bcd1) ([merge request](gitlab-org/gitlab!95889))
- [chore: Cleanup report_artifact_build_completed FF](gitlab-org/gitlab@fc3be99490e156198c82b7f0dbf93486b30de97c) ([merge request](gitlab-org/gitlab!95823))
- [Remove the use_vsa_aggregated_tables FF](gitlab-org/gitlab@8505c2db6cb04d6c3130c28fec420a4b26f57e7d) ([merge request](gitlab-org/gitlab!94945)) **GitLab Enterprise Edition**
- [Deprecations in SAST template](gitlab-org/gitlab@973f70cdc6586b93cafbe6e8f533e8484f4758d4) ([merge request](gitlab-org/gitlab!92325))
- [Remove tmp_index_merge_requests_draft_and_status](gitlab-org/gitlab@9b0d550a563a898bb5726dcc2c6aba30c7587ea3) ([merge request](gitlab-org/gitlab!90524))

### Security (19 changes)

- [No overriding methods for Sawyer class](gitlab-org/gitlab@089d1cac03d8b21d89fad09c3e791c9358489157)
- [Optimize handling repositories with huge trees](gitlab-org/gitlab@b4a91d2d0ecd9d5024976cce69d7e406626d0c7d)
- [HTML escape the label background color](gitlab-org/gitlab@513066c360bcfaa8d5cd40795f7d98d46b9e1e44)
- [Fix unauthorized GFM references in Incident Timeline](gitlab-org/gitlab@8c59e44edffd6ebcb798d533476797ee91b4de51)
- [Sandbox jupyter notebook HTML output](gitlab-org/gitlab@56bbf33ef15557cc6bde32a432539866a8c4a38c)
- [Prevent long loops when generating suggested branch name](gitlab-org/gitlab@754ee30016139b6315acef874707b2e1618cad15)
- [Validate description length for snippets](gitlab-org/gitlab@34d02079a31a1ba28f8206a1c5c0f84056b705c1)
- [Prevent brute force vuln for Git over HTTP(S) requests](gitlab-org/gitlab@2a7449f6d903a5b87fa48d9667133f01f1267033)
- [Replaced smooshpack to fix the vulnerability in LivePreview](gitlab-org/gitlab@83fe17cf45176103afa14641e361ac227d61e147)
- [Check for pathological markdown input](gitlab-org/gitlab@01992b9884bbe86dffba0550f3b2be0466141897)
- [Update package auth for group IP allowlist](gitlab-org/gitlab@1c59c4a8b945138d3c7ee678ece1c9a709cfcbca)
- [IDOR in Zentao integration issue show page](gitlab-org/gitlab@85fa1ffac02579954aefd3fcf664eab532d1e170)
- [Patch VULNDB-255039 (potential Rack cache poisoning)](gitlab-org/gitlab@848d7a0cd095c564f258beb6ab4786cf8c28131e)
- [Don't show pipeline status](gitlab-org/gitlab@f0bb4d181acd1ea5f90de91babf605d952bd5ce8)
- [Parse commit trailers without using regexp](gitlab-org/gitlab@f1854753c3cc923615e311e218dc9e581e781ea1)
- [Sanitize img attributes in Banzai::Filter::ImageLinkFilter](gitlab-org/gitlab@99a451bd4a279eaf77befd5c2bfc646128e7ddb8)
- [Validate if values to be saved in Redis can be converted to string](gitlab-org/gitlab@cc8d3e3efdcb919439317d010f1949b92de92e19)
- [Enable SSL certification verification by default with Fog access](gitlab-org/gitlab@ee6b07e70351c7cb81e0704ac0659dd4afc57857) ([merge request](gitlab-org/gitlab!95514))
- [Update diffy to v3.4.2](gitlab-org/gitlab@b3e685df7b090e0161e3d1ea4791f346a430127f) ([merge request](gitlab-org/gitlab!95485))

### Performance (19 changes)

- [Optimize GraphQL next page check](gitlab-org/gitlab@cd9c2c0697bcd10f7b878bf9fe574946f8cd7707) ([merge request](gitlab-org/gitlab!97509))
- [Introduce rate-limiting for namespace exists API](gitlab-org/gitlab@6179f66d298c738bdb6a999f0f907aedadcedb41) ([merge request](gitlab-org/gitlab!98188))
- [Optimize contribution analytics queries](gitlab-org/gitlab@0080b3bdc2c70ba9a8c2d2c310f7894cabcd51b0) ([merge request](gitlab-org/gitlab!98028)) **GitLab Enterprise Edition**
- [Broadly restrict downstream pipeline tree size](gitlab-org/gitlab@8467414dbf6acf1da8e1807d002a5c35775d48c5) ([merge request](gitlab-org/gitlab!95857))
- [Remove ci_namespace_mirrors sync_children_namespaces](gitlab-org/gitlab@d9838f3c276e249f21ee4abb23a1e6c43e6173e2) ([merge request](gitlab-org/gitlab!96194))
- [Remove Workhorse pubsub feature flags](gitlab-org/gitlab@9e129af6c8cc3d224fea741f33f7f4cee7570d49) ([merge request](gitlab-org/gitlab!97646))
- [Place trial creation on user registration in background](gitlab-org/gitlab@459acb51b9ce12b18d730df276abf60d3b78fec1) ([merge request](gitlab-org/gitlab!96807)) **GitLab Enterprise Edition**
- [Speed up environments search](gitlab-org/gitlab@5e0ede982e6780a4c9acfcb029bce27f3ef24b7d) ([merge request](gitlab-org/gitlab!96774))
- [Refactor diff_view to include diff_line](gitlab-org/gitlab@b299f8533e1d609aa0a8c91831f280e8d0a38ec6) ([merge request](gitlab-org/gitlab!96454))
- [Enable async project authroizations by default](gitlab-org/gitlab@8fcf6aecff58c9b1ea89590f08701c7e264c9000) ([merge request](gitlab-org/gitlab!96650))
- [Remove the feature flag remove_branch_caching_feature_flag](gitlab-org/gitlab@27962c00497ab87b1b8d9c14b00b7749411359ac) ([merge request](gitlab-org/gitlab!96748))
- [Add performance optimization for Insights queries](gitlab-org/gitlab@388b55b7a99648109b6ded44c98204362f824967) ([merge request](gitlab-org/gitlab!95935))
- [Introduce rate-limiting for namespace exists API](gitlab-org/gitlab@d5e5d8697aa3646b45c992e2425d1fcd1425c9d1) ([merge request](gitlab-org/gitlab!96133))
- [Place learn gitlab creation into background and measure](gitlab-org/gitlab@a0a991563ea8ccbf5e7d019488412dda4496bcd2) ([merge request](gitlab-org/gitlab!95629)) **GitLab Enterprise Edition**
- [Prevent CounterJobWorker from exceeding 300 seconds](gitlab-org/gitlab@c687279ac003e24c236beca9d4470f14ad6e6cce) ([merge request](gitlab-org/gitlab!95466))
- [Fix N+1 in runner jobs API](gitlab-org/gitlab@6871b9b96f43420062f0849acfa546ab55635373) ([merge request](gitlab-org/gitlab!95887))
- [Update container repositories migration index](gitlab-org/gitlab@10b20473a6f49e413383c4ee0049277015a22ac6) ([merge request](gitlab-org/gitlab!95871))
- [Drop database_async_index_creation feature flag](gitlab-org/gitlab@00a8dc5a0ac510d235c9632c52027410604947cd) ([merge request](gitlab-org/gitlab!95570))
- [Skip repository disconnect if project is pending delete](gitlab-org/gitlab@212c1e07a92d0393a2ff82facd40855636b551bf) ([merge request](gitlab-org/gitlab!93006))

### Other (54 changes)

- [RPM initial upload and package creation](gitlab-org/gitlab@3aa4ee895879364eefc157b116d9be6f1d6269ec) ([merge request](gitlab-org/gitlab!97587))
- [Remove feature flags for tracking jetbeans and cli api requests](gitlab-org/gitlab@22791eee184a81d15d198d5aa0acc927fb198052) ([merge request](gitlab.com/gitlab-org/gitlab/-/merge_requests/98078))
- [Helper to convert a table to its first partition](gitlab-org/gitlab@76088d6bf6feb7ed9eacd8430fbd0d9a9ccf9a7f) ([merge request](gitlab-org/gitlab!96815))
- [Workhorse: Bump gitaly version](gitlab-org/gitlab@8a87e4ef9913d1f31bc55f17ecc814fa997274c6) ([merge request](gitlab-org/gitlab!98089))
- [RuboCop: Enable previously disabled Style/BarePercentLiterals](gitlab-org/gitlab@9bb15926760bbf825a9b32fca9037e14a80a5afd) by @edith007 ([merge request](gitlab-org/gitlab!94078))
- [Enable FF ci_stop_expanding_file_vars_for_runners](gitlab-org/gitlab@52ba68d06526b0d13f27bacd03da8435b50ff06a) ([merge request](gitlab-org/gitlab!98038))
- [Add internal column to notes](gitlab-org/gitlab@e4be938c3bc2b911cad684e0eb483b76575e7188) ([merge request](gitlab-org/gitlab!97253))
- [Clean up attention_requested states](gitlab-org/gitlab@aaf7b77f0e6cbc55a38f12dc574a53512c79af6a) ([merge request](gitlab-org/gitlab!97010))
- [Reschedule work_item_type backfill on issues](gitlab-org/gitlab@5ae56311fe282f0deb35c5fde0b61576b0b434e6) ([merge request](gitlab-org/gitlab!96591))
- [Disable ultimate for projects less than 1 MB in size](gitlab-org/gitlab@cd8e978ac3f02b5c1d515356d2bab402cda7457e) ([merge request](gitlab-org/gitlab!97140))
- [Remove duplicated % in sprintf](gitlab-org/gitlab@1cdb176563040f7875b2bea213827fe0873656e6) ([merge request](gitlab-org/gitlab!95613))
- [Update the Harbor registry doc](gitlab-org/gitlab@8960f6308c899d046f9accce3dfe99662d8c821a) by @zhaoqi01 ([merge request](gitlab-org/gitlab!97362))
- [Remove FF group_level_protected_environment_settings_permission](gitlab-org/gitlab@6d0466828203decaba145ba2a702e6c0d8f4c810) ([merge request](gitlab-org/gitlab!95939))
- [Cleanup rebalance_issues feature flag](gitlab-org/gitlab@21fd2344210c163fa242550db09e25e72e2be1a6) ([merge request](gitlab-org/gitlab!97644))
- [Quarantine flaky test in redis_interceptor_spec.rb](gitlab-org/gitlab@c84b65f039b4b04a8ca672ddc13d4e28ba694660) ([merge request](gitlab-org/gitlab!97568))
- [Remove find_epics_performance_improvement feature flag](gitlab-org/gitlab@3cbef9517a13f10b416459cb6653c19bc98e3e02) ([merge request](gitlab-org/gitlab!97537)) **GitLab Enterprise Edition**
- [Add menu headers in primary navigation dropdown](gitlab-org/gitlab@59d0bfc380b3277d2d6daea316ecc09736ca9c5f) ([merge request](gitlab-org/gitlab!96924))
- [Remove redis caching for diff_batches endpoint](gitlab-org/gitlab@d8e9680fd0b156e70d1df9a2f271ff36e662fe4d) ([merge request](gitlab-org/gitlab!97355))
- [Update the Harbor registry doc](gitlab-org/gitlab@24515cb7db500a293fe5762c074938d4ad4447e9) by @zhaoqi01 ([merge request](gitlab-org/gitlab!97362))
- [Remove unnecessary gl-alert-dismiss class](gitlab-org/gitlab@61504d4e9ecebca946fdeaa943b52c0dedb6af7d) ([merge request](gitlab-org/gitlab!97433))
- [Add the Harbor registry doc](gitlab-org/gitlab@c409b8eb7bd7cd4d444a15a60bd127c7a8842870) by @zhaoqi01 ([merge request](gitlab-org/gitlab!97362))
- [Remove GITLAB_LEGACY_BACKGROUND_UPLOADS](gitlab-org/gitlab@83980495ef512ffc6afcc5a7b8369ea5f40f03b7) ([merge request](gitlab-org/gitlab!97170))
- [Remove user callouts that are related to attention request](gitlab-org/gitlab@ca82ad35799b07072da8b3c530fe16a0a9f95c9d) ([merge request](gitlab-org/gitlab!96740))
- [Add not null constraint for board recent visits columns](gitlab-org/gitlab@2362f3553ef5ce4b3e7517ec747077bbd0b88c2e) ([merge request](gitlab-org/gitlab!96705))
- [Remove feature flag `inactive_projects_deletion`](gitlab-org/gitlab@3af90fb938bcaa0a8caecf70c85f0fc446d8cfd2) ([merge request](gitlab-org/gitlab!96803))
- [Remove reads from ci_builds.stage](gitlab-org/gitlab@99a0530b34d620b818b27d799d4c53569851396a) ([merge request](gitlab-org/gitlab!97030))
- [Improve error message while validating config/database.yml](gitlab-org/gitlab@b91e55166e7069956106594be51f9f6adf21e4cf) ([merge request](gitlab-org/gitlab!97058))
- [Delete the FF ci_variable_for_group_gitlab_deploy_token](gitlab-org/gitlab@8c4c9c314743829debfa7763b407bd036e51c912) ([merge request](gitlab-org/gitlab!96648))
- [Geo: Remove geo_file_transfer_validation FF](gitlab-org/gitlab@25fd50651bf2f9519322fc1e75b48b18782ee9bf) ([merge request](gitlab-org/gitlab!96836)) **GitLab Enterprise Edition**
- [Create partitioned `security_findings` table](gitlab-org/gitlab@0728b4c565cb7df93dcb84c9d9e7ba6c0e5e48c7) ([merge request](gitlab-org/gitlab!93558))
- [Prevent updating requirement deprecated attributes](gitlab-org/gitlab@b06aad0bf611f57e0e7aa58010bc21484bd7d2e0) ([merge request](gitlab-org/gitlab!95506)) **GitLab Enterprise Edition**
- [Finalize removal of incorrect issue indexes](gitlab-org/gitlab@5cea3b23ef76eb4a4a1f2d092bcfbb4ea7943862) ([merge request](gitlab-org/gitlab!96743))
- [Refactor Groups Rest API to use workhorse for avatar upload](gitlab-org/gitlab@b50749d099da0e0fa7432d23eeaac8f414f05bbd) by @tuxtimo ([merge request](gitlab-org/gitlab!96381))
- [Fix flaky tests in ee/spec/models/ee/group_spec.rb](gitlab-org/gitlab@d66b2f58deeb217672789372d61669c9de76aadd) ([merge request](gitlab-org/gitlab!96313)) **GitLab Enterprise Edition**
- [Change copy on issues empty state for logged users](gitlab-org/gitlab@fffc77825e3cde0dd5dfa9622fdb726be6be9812) by @pjjakubowska ([merge request](gitlab-org/gitlab!96430)) **GitLab Enterprise Edition**
- [Remove not null constraint for confidence columns](gitlab-org/gitlab@998f2661a92c60125fc18c98d61b03823c599912) ([merge request](gitlab-org/gitlab!96268))
- [Add extended open issues index](gitlab-org/gitlab@27a1763895ce15ea341c28888a4a83928f2e9aab) ([merge request](gitlab-org/gitlab!96274))
- [Use the new mergeability check framework](gitlab-org/gitlab@8ed5d5080fa3e995dca736fdca372b4cb61f7d14) ([merge request](gitlab-org/gitlab!95916))
- [Migrate cadence start date to automation start date](gitlab-org/gitlab@b84a2d54ffac9b6949cae59a0418914ab213c475) ([merge request](gitlab-org/gitlab!95571))
- [Cleanup old work item type id backfill on issues table](gitlab-org/gitlab@0d22ebe8bee78304372c3e0bbb59d23b3ead28b5) ([merge request](gitlab-org/gitlab!96198))
- [Vertically align the revoke button](gitlab-org/gitlab@1dbd8999bd8d89689f0001749e6cda8b7b1baeb9) ([merge request](gitlab-org/gitlab!96289))
- [Remove registry deploy_token feature flag](gitlab-org/gitlab@46e92973c6442de613874f61725549980be84eb8) ([merge request](gitlab-org/gitlab!96389))
- [Remove code to limit inviting groups in hierarchy for free user cap](gitlab-org/gitlab@9d381d3017aeddaef5c37a59c2538189e6c4140f) ([merge request](gitlab-org/gitlab!95812))
- [Use keyset pagination for Tags API](gitlab-org/gitlab@ad6a31d8cad19f97d39ecba50351d0ccee51bf61) ([merge request](gitlab-org/gitlab!96259))
- [Rake Task to truncate Legacy tables on Main and CI Database](gitlab-org/gitlab@37f231d6e366a5cfba9fec6a052a3805d1812958) ([merge request](gitlab-org/gitlab!94252))
- [Remove the feature flag ci_docker_image_pull_policy](gitlab-org/gitlab@b436386708ff8e395027f71c583e641f10393365) ([merge request](gitlab-org/gitlab!96245))
- [Move data-reference-type attribute into a constant](gitlab-org/gitlab@77441654e69e8995aaf0d524c0a86518fd2d0f7f) ([merge request](gitlab-org/gitlab!96075))
- [Improve how fields can bre preloaded for WidgetInterface](gitlab-org/gitlab@1b605f1e36ae138f9e913501187c54a692ec8100) ([merge request](gitlab-org/gitlab!95290))
- [Avoid using group's web_url in issue_analytics QA](gitlab-org/gitlab@1357d4cbf390d604a7d9f651e65627a07729621e) by @tnir ([merge request](gitlab-org/gitlab!95311))
- [Update trial alert to follow design system](gitlab-org/gitlab@557e0100a489bc11801b728beb511908d4cb7f8a) ([merge request](gitlab-org/gitlab!95844)) **GitLab Enterprise Edition**
- [Fix group authorization when searching epics](gitlab-org/gitlab@7614aea2bcbca7cafa23e1e8ec4cabbe05c6c2bb) ([merge request](gitlab-org/gitlab!95731)) **GitLab Enterprise Edition**
- [Drop unused security findings index](gitlab-org/gitlab@0fbee5c0d4eb896547f695326f6e1ce081f34a47) ([merge request](gitlab-org/gitlab!95450))
- [Improve specs with shared examples](gitlab-org/gitlab@dd3f2ecd882e89511eaa927102fc4101f684a38f) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/95539)) **GitLab Enterprise Edition**
- [Fix Style/Next offenses](gitlab-org/gitlab@bdf877063ba1d8d4df1216f7875905343d9e5e33) ([merge request](gitlab-org/gitlab!93329))

## 15.3.5 (2022-11-02)

### Security (12 changes)

- [Datadog API key leak by changing integration URL](gitlab-org/security/gitlab@3a8868210a210f07e08324a328e937fd818e34d3) ([merge request](gitlab-org/security/gitlab!2864))
- [Redact confidential references in Jira issue descriptions](gitlab-org/security/gitlab@97178d0d8e1af412b949e81b5f53d8d9cf07371b) ([merge request](gitlab-org/security/gitlab!2872))
- [Forbid reading emojis on internal notes](gitlab-org/security/gitlab@7684247b947b946e2865ec61a2f7eddd9a25daf7) ([merge request](gitlab-org/security/gitlab!2838))
- [Same-site redirect vulnerability](gitlab-org/security/gitlab@4c0737d57b9d9f5f86ffdd5b0c25f9805d05d5f7) ([merge request](gitlab-org/security/gitlab!2880))
- [BYPASS: Stored-XSS with CSP-bypass via scoped labels' color](gitlab-org/security/gitlab@a72e2384e95ed083a139252d51b6638fe4128c14) ([merge request](gitlab-org/security/gitlab!2862))
- [Fix Running Upstream Pipelines Jobs Without Permission](gitlab-org/security/gitlab@f6545466e181f3688d5ed67023cd0f1bd6220a7c) ([merge request](gitlab-org/security/gitlab!2883))
- [Add length limit to addressable URLs](gitlab-org/security/gitlab@411bba8ac053211906d40d24b9fdb2c565d33f62) ([merge request](gitlab-org/security/gitlab!2830))
- [Add a redirect wall before artifact redirect to pages](gitlab-org/security/gitlab@2b9a6ccddb77cab46217ef0fd633af2f32548313) ([merge request](gitlab-org/security/gitlab!2813))
- [Sandbox swagger-ui to prevent injection attacks](gitlab-org/security/gitlab@3b8771478b8615d24794fc49195b5f2f8257df0c) ([merge request](gitlab-org/security/gitlab!2850))
- [Fix external project permission when using CI prefill variables](gitlab-org/security/gitlab@107e583c97b39951c08728fdff1b44e8c6fa7f6f) ([merge request](gitlab-org/security/gitlab!2823))
- [Resolve users can view audit events from other members](gitlab-org/security/gitlab@cdcd5ed72312dfddcd3e91ae824188a0dd88e745) ([merge request](gitlab-org/security/gitlab!2843))
- [Path traversal fix for Secure Files](gitlab-org/security/gitlab@90bbaaa1ce2d0978cf89fabf1f302da1f9f938df) ([merge request](gitlab-org/security/gitlab!2847))

## 15.3.4 (2022-09-29)

### Security (15 changes)

- [Redact user's private email in group member event webhook](gitlab-org/security/gitlab@172b8a57bd4acca14d65a4b7a5fd021babacb146) ([merge request](gitlab-org/security/gitlab!2794))
- [Redact secrets from WebHookLogs](gitlab-org/security/gitlab@7394ab9b32a7bd83b98f93e904312e469f34cd9c) ([merge request](gitlab-org/security/gitlab!2737))
- [Forbid creating a tag using default branch name](gitlab-org/security/gitlab@1b556c33aa11c32994be562cfea0ff2e5e13a54e) ([merge request](gitlab-org/security/gitlab!2799))
- [Sanitize Url and check for valid numerical errorId in error tracking](gitlab-org/security/gitlab@2a5a51b5b2839963fe7084261c8a7fcc6f09f19c) ([merge request](gitlab-org/security/gitlab!2785))
- [Add security protection for Github](gitlab-org/security/gitlab@bc23f46dba26bcdf0c773c24081e4ae3597bf751) ([merge request](gitlab-org/security/gitlab!2802))
- [Fix leaking emails in WebHookLogs](gitlab-org/security/gitlab@a31a652c331877e0f97269310ec5f1bc6266398f) ([merge request](gitlab-org/security/gitlab!2807))
- [Restrict max duration to 1 year for trace display](gitlab-org/security/gitlab@b62fd774b6f311988c7e10f3544f2aeabeab85d1) ([merge request](gitlab-org/security/gitlab!2815))
- [Use UntrustedRegexp for upload rewriter](gitlab-org/security/gitlab@2eea36acbc5687aa9806946861e73f2fb11a9654) ([merge request](gitlab-org/security/gitlab!2791))
- [Validate httpUrlToRepo to be http or https only](gitlab-org/security/gitlab@0b340ef6d6e54804445916f5b1fa53185de4b1f7) ([merge request](gitlab-org/security/gitlab!2760))
- [Respect instance level rule for editing approval rules](gitlab-org/security/gitlab@2d2a7b8652dbd1085fe1bfc0b69138aecdeaf9c8) ([merge request](gitlab-org/security/gitlab!2782))
- [Prevent users creating issues in ay project via board/issues controller](gitlab-org/security/gitlab@559b23e6942a650cafa358ea96b7ee549f76fbd6) ([merge request](gitlab-org/security/gitlab!2780))
- [Prevent serialization of sensible attributes from JsonCache](gitlab-org/security/gitlab@f712d58af3aeb3f0fe1c56a290188e19fce72ad6) ([merge request](gitlab-org/security/gitlab!2771))
- [Update TodoPolicy to handle confidential notes](gitlab-org/security/gitlab@6bd37cd0595bbf4c744a5b212fc41181c9dc88ef) ([merge request](gitlab-org/security/gitlab!2748))
- [Enforce group IP restriction on Dependency Proxy](gitlab-org/security/gitlab@cc42b5e91e04e77ade63f1fdb91e88b998c156f7) ([merge request](gitlab-org/security/gitlab!2764))
- [Fixes XSS in widget extensions](gitlab-org/security/gitlab@1d10849c7eee6207435bfd223e1f8639b2816c1e) ([merge request](gitlab-org/security/gitlab!2759))

## 15.3.3 (2022-09-01)

### Fixed (5 changes)

- [Skip file removal if GitLab managed replication is disabled](gitlab-org/gitlab@dbec61270621df70775c98946d09deca913bd187) ([merge request](gitlab-org/gitlab!96556)) **GitLab Enterprise Edition**
- [Geo: Fix redirects of LFS transfer downloads](gitlab-org/gitlab@98092958c879d1dc9dda0ba2953ba548aa0b93c0) ([merge request](gitlab-org/gitlab!96654)) **GitLab Enterprise Edition**
- [Improve blame link feature](gitlab-org/gitlab@163cadb49f96951a0f747d61a8cd1cb92b7d4296) ([merge request](gitlab-org/gitlab!96654))
- [Bypass earliest date validation in importing of iteration cadences](gitlab-org/gitlab@66f56eb2551a302d80ca0891ff0bddec1c84f025) ([merge request](gitlab-org/gitlab!96654)) **GitLab Enterprise Edition**
- [Fix user recent activity links for work item actions](gitlab-org/gitlab@9d9368545847cf558fad26a64b216a00b2db36b4) ([merge request](gitlab-org/gitlab!96654))

## 15.3.2 (2022-08-30)

### Security (17 changes)

- [No overriding methods for Sawyer class](gitlab-org/security/gitlab@397aa9e269676f4ab3dfba4c3ba8fef131b5b4bd) ([merge request](gitlab-org/security/gitlab!2754))
- [Update Oj to v3.13.21](gitlab-org/security/gitlab@15f86c00b579ad1b4aeedd395f9239e8229c6f8b) ([merge request](gitlab-org/security/gitlab!2730))
- [Prevent long loops when generating suggested branch name](gitlab-org/security/gitlab@1479c9e2a0444794ea274b07e0f59e8a50ced6ee) ([merge request](gitlab-org/security/gitlab!2743))
- [IDOR in Zentao integration issue show page](gitlab-org/security/gitlab@92fdf89045bf294d4ee0338ba3f26c91094a073e) ([merge request](gitlab-org/security/gitlab!2740))
- [Patch VULNDB-255039 (potential Rack cache poisoning)](gitlab-org/security/gitlab@383c926cc8aa4e2c4273556a181e1ddc1b71049f) ([merge request](gitlab-org/security/gitlab!2697))
- [HTML escape the label background color](gitlab-org/security/gitlab@1e43656560fbc13907af72d5d4f696df95d7f49c) ([merge request](gitlab-org/security/gitlab!2719))
- [Sandbox jupyter notebook HTML output](gitlab-org/security/gitlab@3ade5f2fadbb0c15d9e5a14306d0a79136a8f23e) ([merge request](gitlab-org/security/gitlab!2710))
- [Fix unauthorized GFM references in Incident Timeline](gitlab-org/security/gitlab@2e18b59472b5a43921d39433e60038b0f254d123) ([merge request](gitlab-org/security/gitlab!2707))
- [Optimize handling repositories with huge trees](gitlab-org/security/gitlab@4bfaca71c8d8f663242138049cf5639e69326bbb) ([merge request](gitlab-org/security/gitlab!2706))
- [Parse commit trailers without using regexp](gitlab-org/security/gitlab@c15b2cd9b5e572a9bbc7c0c5cb7c9511f1a04ead) ([merge request](gitlab-org/security/gitlab!2699))
- [Check for pathological markdown input](gitlab-org/security/gitlab@2fd5e1133e1acd82cdb524f059b554976cd68f51) ([merge request](gitlab-org/security/gitlab!2733))
- [Replaced smooshpack to fix the vulnerability in LivePreview](gitlab-org/security/gitlab@114637f8f0d9add00914ac3e4562419b0f1b4f63) ([merge request](gitlab-org/security/gitlab!2739))
- [Update package auth for group IP allowlist](gitlab-org/security/gitlab@7e830349a8425dbab65ce92d3e8ebd0afa734381) ([merge request](gitlab-org/security/gitlab!2686))
- [Don't show pipeline status](gitlab-org/security/gitlab@1b5fbb9bcb4dde12a2af075e45407cbc6109494d) ([merge request](gitlab-org/security/gitlab!2712))
- [Sanitize img attributes in Banzai::Filter::ImageLinkFilter](gitlab-org/security/gitlab@22ece3568d6b3aed305ed97aab9fdbb22ca068e8) ([merge request](gitlab-org/security/gitlab!2722))
- [Validate description length for snippets](gitlab-org/security/gitlab@24592d39d7b8956a0e712026e5b988a82d37e771) ([merge request](gitlab-org/security/gitlab!2702))
- [Prevent brute force vuln for Git over HTTP(S) requests](gitlab-org/security/gitlab@fcff307eff525d15e835e65e0e3e3a2395f0b840) ([merge request](gitlab-org/security/gitlab!2716))

## 15.3.1 (2022-08-22)

### Security (1 change)

- [Validate if values to be saved in Redis can be converted to string](gitlab-org/security/gitlab@e8a4aeff901363923a5ddff3f7c6b654abf2b125) ([merge request](gitlab-org/security/gitlab!2723))

## 15.3.0 (2022-08-19)

### Added (147 changes)

- [Added delete release audit event](gitlab-org/gitlab@0a3e82f0501632068061aba81b3c970be461c42a) by @patnaikshekhar ([merge request](gitlab-org/gitlab!94793))
- [Adds data models for ML Experiment Tracking](gitlab-org/gitlab@aaf6b690c6225c5b7a439d00abadf513b14a2ab3) ([merge request](gitlab-org/gitlab!95168))
- [Allow access to project-level packages API with CI job token](gitlab-org/gitlab@85fd642c62443953e03d16e38fed8bf15bc29021) by @nejc ([merge request](gitlab-org/gitlab!91437))
- [Add tooltip on task item confidential badge](gitlab-org/gitlab@e54d32170d72d0d2e33cac06264a18cb7fd53150) ([merge request](gitlab-org/gitlab!95552))
- [Add recent events to group hooks](gitlab-org/gitlab@a6a9334080759e705810d894158ac5abc365d2d8) ([merge request](gitlab-org/gitlab!94145)) **GitLab Enterprise Edition**
- [Add parent_full_path to GraphQL WorkItemType](gitlab-org/gitlab@55e07a3c42593e64a17cf806ddf05a1df4aece62) ([merge request](gitlab-org/gitlab!95224))
- [Enable job log search](gitlab-org/gitlab@83b278d492b44a138dd74b04133c83663046b86d) ([merge request](gitlab-org/gitlab!95519))
- [Update task item status icon & add tooltip support](gitlab-org/gitlab@40d2c373f3388cb5b4c3a4f234011f4b0e96d250) ([merge request](gitlab-org/gitlab!95345))
- [Expose work item timestamps in GraphQL](gitlab-org/gitlab@81b1402e47caacea887598e55c79c35c10e152d4) ([merge request](gitlab-org/gitlab!95507))
- [Add sorting/filtering/paging to CRM contacts](gitlab-org/gitlab@bec4924983f4fb90b7a8fadc1cceee0c0db74e9a) by @leetickett ([merge request](gitlab-org/gitlab!95408))
- [Make fork targets searchable](gitlab-org/gitlab@494620b3a8f315e9e1fa167eae83362733cdfaef) ([merge request](gitlab-org/gitlab!95479))
- [Add MR Approvals to Project Import/Export](gitlab-org/gitlab@799bd79995c3dffaa0a089b388198b9c10e806d0) ([merge request](gitlab-org/gitlab!94858))
- [Add alpha detailed_mergeability_status attribute to graphql](gitlab-org/gitlab@ae33513b4b6c6a80d7e4129a14b53c8a9e237042) ([merge request](gitlab-org/gitlab!94104))
- [Add documentation link for project and group insights](gitlab-org/gitlab@8dc08c91a0a6bf0ff4412a0f166d036a0763164e) ([merge request](gitlab-org/gitlab!95440)) **GitLab Enterprise Edition**
- [Add GraphQL epic list metadata weight (Alpha)](gitlab-org/gitlab@2d4503851b9e04494d20bf87fd14ff867ae9bd9c) ([merge request](gitlab-org/gitlab!95436)) **GitLab Enterprise Edition**
- [Add GraphQL timelog categories Alpha schema](gitlab-org/gitlab@a0a89027583a2c49a064bdf06a0bed79b81632f8) ([merge request](gitlab-org/gitlab!95418))
- [Display SCIM identities in the identity table](gitlab-org/gitlab@e9f032ed9a322b58bc36f098e4d83d9f06838e7b) ([merge request](gitlab-org/gitlab!91922)) **GitLab Enterprise Edition**
- [Provide GraphQL API for select in fork form](gitlab-org/gitlab@c83715b572edf152317fbb1ea267f1e5cd6764f8) ([merge request](gitlab-org/gitlab!94991))
- [Add Fortify on Demand (FoD) SAST template](gitlab-org/gitlab@c4899c50af39e17a630f5987655a19d3d2e55773) ([merge request](gitlab-org/gitlab!91956))
- [Add GraphQL sort/filter/page crm contacts](gitlab-org/gitlab@5e33a9a1eba04dd5049d0ba20f2eaf36bce80031) by @leetickett ([merge request](gitlab-org/gitlab!94217))
- [Add support for owasp](gitlab-org/gitlab@2668eb22da6d4c80165b4ee19add3f7fe2fb6e4d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/92957)) **GitLab Enterprise Edition**
- [Surface work item type in popovers, work item detail view, issue lists](gitlab-org/gitlab@471818226357a6efd76866fb8ee57c26a725b065) ([merge request](gitlab-org/gitlab!92738)) **GitLab Enterprise Edition**
- [Update task children icon and display count](gitlab-org/gitlab@3eff2651a59f8f7a52a76528c0538b5f959f89bf) ([merge request](gitlab-org/gitlab!95129))
- [Track CI build failures with Snowplow](gitlab-org/gitlab@7940944175f400bc75e213acb9a896c2f99c4ad6) ([merge request](gitlab-org/gitlab!92637))
- [Rollout Datadog logs collection](gitlab-org/gitlab@90f777bb1b6f509146584740b360b2096e24f6b8) ([merge request](gitlab-org/gitlab!95312))
- [Update Web IDE tooltip](gitlab-org/gitlab@0b848cb86af7605ecbb99d39eaf17823dc33973e) ([merge request](gitlab-org/gitlab!94989))
- [Add pause logic to Jira imports](gitlab-org/gitlab@3082fdca0c0b600fd684ba8c4c034b9b88d1358b) ([merge request](gitlab-org/gitlab!93577))
- [Support conversion to and from manual cadence via API](gitlab-org/gitlab@2042e5c0a98294d0078af3a95d62d320888a684b) ([merge request](gitlab-org/gitlab!94494)) **GitLab Enterprise Edition**
- [Add support for updating task confidentiality](gitlab-org/gitlab@ce6559d011b1bb62867a41ae57f1d7a937d8f2f3) ([merge request](gitlab-org/gitlab!94059))
- [Add variables to RetryJob mutation](gitlab-org/gitlab@f022c4e42e661a9590bfa092e83ed5d50fafa6c7) ([merge request](gitlab-org/gitlab!92700))
- [Add MR reviewers to Project Import/Export](gitlab-org/gitlab@cd495ac9a679ee9b7c2ec52e2be0081cbe914bb8) ([merge request](gitlab-org/gitlab!94400))
- [Hash OAuth access tokens](gitlab-org/gitlab@08d02d4b55c1a2f5135baf055c121dd0d75c447a) ([merge request](gitlab-org/gitlab!91501))
- [Add Pumble integration](gitlab-org/gitlab@539581afbd26c6d8f226920ba3d61fd32787814a) by @vojko.pribudic ([merge request](gitlab-org/gitlab!93623))
- [Add support for toggling contact/org states](gitlab-org/gitlab@328eee5e78af5f2077dc576ab6d73ab1cae9e25f) by @leetickett ([merge request](gitlab-org/gitlab!94275))
- [Add internal API to fetch policies_configuration for agent](gitlab-org/gitlab@e24e64131b2000aefc2d9bff091ad1a671100e27) ([merge request](gitlab-org/gitlab!94218)) **GitLab Enterprise Edition**
- [Implement mergeRequestSetReviewers mutation](gitlab-org/gitlab@a0295e812f26fa19509b3a8e7866cd89928f828d) ([merge request](gitlab-org/gitlab!94294))
- [Allow to merge topics [backend]](gitlab-org/gitlab@76fa9d006375ebe9cdc655b8fc9169e1ad9625f6) by @wwwjon ([merge request](gitlab-org/gitlab!91767))
- [Add cyclonedx to job validation schema](gitlab-org/gitlab@6c9e9b3a300f54750245ac8931d8d8fc1efda9c7) ([merge request](gitlab-org/gitlab!94241))
- [Pause batched migrations when WAL pending archive above a threshold](gitlab-org/gitlab@d18535056bebb1fd3d561c3d83ddf69e44f82640) ([merge request](gitlab-org/gitlab!84555))
- [Add `id_tokens` field to `ci_builds_metadata`](gitlab-org/gitlab@5d1e73547238fb91a8369fdb649cf4f68ebae219) ([merge request](gitlab-org/gitlab!94878))
- [Show inherited permission in protected environment](gitlab-org/gitlab@81315a9f33c7f28a1172f99fc48908ac9feaf77a) ([merge request](gitlab-org/gitlab!93207))
- [Add merge request assignees to Import/Export](gitlab-org/gitlab@f6f21ac80a406a69f2d91d01ff20c54a0ce21060) ([merge request](gitlab-org/gitlab!94311))
- [Add async index on ci job artifacts](gitlab-org/gitlab@dc0a4428628097b2982bebbe2ba3c8041e935ef6) ([merge request](gitlab-org/gitlab!95038))
- [Add present on default branch to project_id, id index](gitlab-org/gitlab@f60f8dbe38437489791a118cbeeaefdffeda39a7) ([merge request](gitlab-org/gitlab!90175))
- [Add CI_TEMPLATE_REGISTRY_HOST to predefined CI variables](gitlab-org/gitlab@09062ba31054739034a4705642263362edd56e60) by @zhzhang93 ([merge request](gitlab-org/gitlab!94293))
- [Add state transition entry](gitlab-org/gitlab@421f55f2a5e71980034b7bdaa22a50caba77c104) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/95097)) **GitLab Enterprise Edition**
- [Create banner and tool tip](gitlab-org/gitlab@a5d852910e0cc14b3b9d6585dae70db13151ae67) ([merge request](gitlab-org/gitlab!93703)) **GitLab Enterprise Edition**
- [Add timestamp fields to project_statistics table](gitlab-org/gitlab@c8ff3b42a01348001a97f236c3f630fac8b5c6a2) ([merge request](gitlab-org/gitlab!94186))
- [Add database migration to update deletion adjourned period](gitlab-org/gitlab@4befe1a932f1bb8699a62643fd4499be56467a17) ([merge request](gitlab-org/gitlab!93098))
- [Add CI/CD setting for Run pipelines in the parent project](gitlab-org/gitlab@98d8f21b0e2c3c4357bd37e5a883bfab0f0524d1) ([merge request](gitlab-org/gitlab!94302))
- [Add dormant user period setting to application settings](gitlab-org/gitlab@b9874f9c9120b17f7040c4b5187f62f8ee5b61d2) by @joe-snyder ([merge request](gitlab-org/gitlab!94383))
- [Add extra information to issue popover](gitlab-org/gitlab@3da11b4216a4171779e957a1a3e40dbb799d80ef) ([merge request](gitlab-org/gitlab!91805))
- [Allow Linked items widget to be collapsible](gitlab-org/gitlab@3b09aabc22f54ca589b993f9b9c59b0885d13e37) ([merge request](gitlab-org/gitlab!94934))
- [Add comment to vulnerability_state_transitions](gitlab-org/gitlab@929e8a80ff928f9d3c6405746b12bd931dcbc6f0) ([merge request](gitlab-org/gitlab!94277))
- [Merge branch 'feat/mr_webhooks' into 'master'](gitlab-org/gitlab@44b434e08b40a7264ff2db46125bb29a1b809392) ([merge request](gitlab-org/gitlab!93663))
- [feat: Update SAST-IaC.lates template to support MR pipelines](gitlab-org/gitlab@284c019bbd083b12df956f9fbc7e9f344ae9da53) ([merge request](gitlab-org/gitlab!94429))
- [Enable FF ci_rules_changes_compare](gitlab-org/gitlab@b40529f766bd39b06faff24fd2c51fc6ee39badf) ([merge request](gitlab-org/gitlab!94855))
- [api: Expose merge request reviewers](gitlab-org/gitlab@0e328e3ec296ddc5809be34508006f3758f111a4) ([merge request](gitlab-org/gitlab!93388))
- [Allow SE Vue component to install exts](gitlab-org/gitlab@d820ef8f8d43d021c9df2e3157578ac81930f8b7) ([merge request](gitlab-org/gitlab!94307))
- [Support updatable automatic scheduling start date](gitlab-org/gitlab@71191b59bb1d6cd1fa1bc7b082852a1e7297a689) ([merge request](gitlab-org/gitlab!93244)) **GitLab Enterprise Edition**
- [Add CreateFromFindings Service](gitlab-org/gitlab@af628b885d469c26d97cb402f913b46bcd1cefa4) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/87473)) **GitLab Enterprise Edition**
- [Support the DORA data source from Insights](gitlab-org/gitlab@713a16816a2d0979732f194bfe157119dd650a15) ([merge request](gitlab-org/gitlab!93544)) **GitLab Enterprise Edition**
- [Add "Scroll to first failure" button](gitlab-org/gitlab@dce7c2fa0aa5d3c886f4e1b553cd0b29f70dece8) ([merge request](gitlab-org/gitlab!91098))
- [Allow deletion of deployments via the API](gitlab-org/gitlab@b46778a977ccceef9719f8e5265d45d4b4524d30) ([merge request](gitlab-org/gitlab!94880))
- [Add search box to artifacts dropdown](gitlab-org/gitlab@18b442accca9366b451becd5be509f6eeb2ebc0d) ([merge request](gitlab-org/gitlab!94859))
- [Add release link to the tag show page](gitlab-org/gitlab@40f4cb3e5d1cf199a24750379f6b74d2a8ad592c) ([merge request](gitlab-org/gitlab!93563))
- [Add author_id column to vulnerability_state_transitions table](gitlab-org/gitlab@b1007147301b58460007e0be066a2974c8ab440d) by @svdj ([merge request](gitlab-org/gitlab!93135))
- [Add upgrade status filter for group runners](gitlab-org/gitlab@962665246b83a687a9e2b1100b35841bf7dfbd01) ([merge request](gitlab-org/gitlab!93555)) **GitLab Enterprise Edition**
- [Replaced local mutation with real mutation](gitlab-org/gitlab@db725d88abb02cdc2b06ce1b8392a2caac2162e7) ([merge request](gitlab-org/gitlab!93448))
- [Remove the custom_headers_streaming_audit_events_ui feature flag](gitlab-org/gitlab@800239180dd1f03f06a146aabcdcadae93535efd) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/93814)) **GitLab Enterprise Edition**
- [Display table of contents in content editor](gitlab-org/gitlab@ef273fcb306ed5710b92e1e53f16056ddf1fbe92) ([merge request](gitlab-org/gitlab!92246))
- [Allow omniauth username claim to be configurable](gitlab-org/gitlab@6489292dd61cbd4d4f636d525fa8442fb7f7fb49) ([merge request](gitlab-org/gitlab!89379))
- [Add Authentication options](gitlab-org/gitlab@bc2ecb23b05e45aacf5ceef4aa5c83ae4aa5d0e8) ([merge request](gitlab-org/gitlab!92856)) **GitLab Enterprise Edition**
- [Add the environment keyword CI/CD template](gitlab-org/gitlab@14fbf32673ac7a024f279929c32f15b46415aab5) ([merge request](gitlab-org/gitlab!94212))
- [Enables mr_review_submit_comment by default](gitlab-org/gitlab@9ddc5f42f7f61b6f06138279d28e50f839af349a) ([merge request](gitlab-org/gitlab!94208))
- [GraphQL: Add bulkRunnerDelete mutation](gitlab-org/gitlab@5ad903b147c8ed2705e428c6a273ed085c1fdf55) ([merge request](gitlab-org/gitlab!93583))
- [Add support for selective code owner resets](gitlab-org/gitlab@e6aed8d93fdcd0eafd81a58651c5b1ae29ddaab1) by @leetickett ([merge request](gitlab-org/gitlab!90578))
- [Add all protected branches option to project-level MR approval rules](gitlab-org/gitlab@83b0851adac3882a3c1fa639404bfdc1d1e332d3) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/93459)) **GitLab Enterprise Edition**
- [Add `without_projects` parameter to Topics API](gitlab-org/gitlab@cecdc701ac988f7b78f2ae2a7273e8e24f42e487) by @wwwjon ([merge request](gitlab-org/gitlab!91977))
- [Bulk delete package files](gitlab-org/gitlab@a09323f4ff109aa77befc5289dbae1fce3df7b8b) ([merge request](gitlab-org/gitlab!93169))
- [Add tracking of unique CI Tunnel interactions from KAS](gitlab-org/gitlab@ff61c5c95fce22857556cfc78b7484603df49f35) ([merge request](gitlab-org/gitlab!92300))
- [Allow users to manage Owners via UI](gitlab-org/gitlab@716fd5a1d0cb7ff7f274e42d714226a88e396f26) ([merge request](gitlab-org/gitlab!81393))
- [Enable Changelog API commit limitation by default](gitlab-org/gitlab@66d8f2396cbcd7273c82a3eeb72e1d99befc0662) ([merge request](gitlab-org/gitlab!94075))
- [Support filtering registries by verification status via GraphQL](gitlab-org/gitlab@29bcfffa00cd2aca453a10b573a6ed804ffde18c) ([merge request](gitlab-org/gitlab!93507)) **GitLab Enterprise Edition**
- [Introduce project setting for enforcing auth check on image uploads](gitlab-org/gitlab@3963c06587e5b92ae26a6ec2542ebfef83a3a7ef) ([merge request](gitlab-org/gitlab!93073))
- [Add index for PAT filter](gitlab-org/gitlab@4681ea2eb6a2c7600d1acb085b14a80ef3cc6f1a) by @TrueKalix ([merge request](gitlab-org/gitlab!93562))
- [Exposed timelog categories through GraphQL](gitlab-org/gitlab@16d320377be063f2cdfcc8c2f257721d713547c1) by @zillemarco ([merge request](gitlab-org/gitlab!88462))
- [Add cyclonedx report type](gitlab-org/gitlab@e154ecdfad5162443330ed7e0253000eb7a1c7b4) ([merge request](gitlab-org/gitlab!91510)) **GitLab Enterprise Edition**
- [Backup/Restore Rake Tasks to support Decomposed Database](gitlab-org/gitlab@f3829389dba238a68a8acb6e42acfc0da5993a04) ([merge request](gitlab-org/gitlab!91508))
- [Create service to delete runners in bulk](gitlab-org/gitlab@5d7f48ba36213901fb8bfe5265b7ebc0b87fe466) ([merge request](gitlab-org/gitlab!93573))
- [GraphQL docs: Show descriptions for `:alpha` items](gitlab-org/gitlab@5097ced579dcea3e4b43d9843aba3d28766aea00) ([merge request](gitlab-org/gitlab!93624))
- [Support filtering registries by replication status via GraphQL](gitlab-org/gitlab@0b1045a58c6d0d3735566b1b259eed637197f698) ([merge request](gitlab-org/gitlab!93408)) **GitLab Enterprise Edition**
- [Add RedisCommands::Recorder to detect N+1 commmands in Redis](gitlab-org/gitlab@f696f670005435472354a3dc0c01aa271aef9e32) ([merge request](gitlab-org/gitlab!93180))
- [Event type info in group deploy token audit events](gitlab-org/gitlab@71ff84cac461e0b3ff1a5a465db7d9b198fa7c5d) ([merge request](gitlab-org/gitlab!93091)) **GitLab Enterprise Edition**
- [Clean up simulate_pipeline feature flag](gitlab-org/gitlab@9eaa2e9d791860982c7a69dee35b8ea95610d39c) ([merge request](gitlab-org/gitlab!93628))
- [Show warning when sharing public project with internal group](gitlab-org/gitlab@99020f694b6735f07345a37fcc7c6caa5b3b46a3) ([merge request](gitlab-org/gitlab!92946))
- [Added support for links to markdown file code lines](gitlab-org/gitlab@adab8b775eec561f267809de16b12e4d56c6ec93) by @zillemarco ([merge request](gitlab-org/gitlab!91810))
- [Better Vuln Feedback pagination implementation per review](gitlab-org/gitlab@7599c5fa57be8f111fe97f74a357db29e0dfd1d2) ([merge request](gitlab-org/gitlab!92339)) **GitLab Enterprise Edition**
- [Add `ProtectedBranches::CacheService` for efficient caching](gitlab-org/gitlab@8aebc640e0d9f76cd5348b69a66d57572c56b691) ([merge request](gitlab-org/gitlab!92922))
- [Index vulnerability reads on filter columns for group-level queries](gitlab-org/gitlab@82b97d81a24e3ed39a97b660425de537f439ae20) ([merge request](gitlab-org/gitlab!93535))
- [Show runner projects description and ownership](gitlab-org/gitlab@71a70784cbb9ef9f3ba77b1ffd632ea2d7d15ec5) ([merge request](gitlab-org/gitlab!93275))
- [Upgrade Pages to v1.62.0](gitlab-org/gitlab@6b921fc497f197bc8888fec4244ca65410ca3fc5) ([merge request](gitlab-org/gitlab!93514))
- [Allow to create tables with JSON](gitlab-org/gitlab@98e19ceec1f8156c234df01e2f7987e3032a6fe9) ([merge request](gitlab-org/gitlab!86353))
- [Add unique_project_download_limit_allowlist to namespace_settings](gitlab-org/gitlab@44828c534c55ae8dc48eeb7c75c74e6bb4f005bc) ([merge request](gitlab-org/gitlab!92970))
- [Add Snowplow database changes tracking](gitlab-org/gitlab@32e1113dd48cdc8fd971f852a0d337f5b063797a) ([merge request](gitlab-org/gitlab!92079))
- [Add graphql mutation for deleting file uploads](gitlab-org/gitlab@a1b7007190e5c54e43fc3d6fbcfa68671a95c62a) ([merge request](gitlab-org/gitlab!92791))
- [Vuln Feedback optional pagination review suggestions](gitlab-org/gitlab@a27c49aa8680f9d814fe4016afbd63c8003c5873) ([merge request](gitlab-org/gitlab!92339)) **GitLab Enterprise Edition**
- [Add memory killer running jobs to prometheus](gitlab-org/gitlab@4dad3facb3b2aa401532089f504c1b6d09920b23) ([merge request](gitlab-org/gitlab!92800))
- [Warn before closing the Diffs if there's a pending batch review](gitlab-org/gitlab@49e38e13c226b0ef46d619debfbef2e7e8ca9689) ([merge request](gitlab-org/gitlab!92044))
- [Add models for customizable roles](gitlab-org/gitlab@888e60590e6a7107f88762a3389532b3911f2daf) ([merge request](gitlab-org/gitlab!92152))
- [Add project-link to vulnerability details](gitlab-org/gitlab@5d0fae67d53236144ea31965a584f249e28f87ae) ([merge request](gitlab-org/gitlab!91959)) **GitLab Enterprise Edition**
- [Added service to create timelogs](gitlab-org/gitlab@fe4445d1946771adc201c9f5fb89df773b2050ee) by @zillemarco ([merge request](gitlab-org/gitlab!92153))
- [Implement API to get details of pipelines within a schedule](gitlab-org/gitlab@c5b2ddbe909a9ee03a0126d2805035d989a4938b) ([merge request](gitlab-org/gitlab!93093))
- [Make query nesting for the insights YAML](gitlab-org/gitlab@fe88184c852e5cc78711798d7ebe5b3f1d5628f7) ([merge request](gitlab-org/gitlab!92521)) **GitLab Enterprise Edition**
- [Arrange the indices and PK of security_findings table](gitlab-org/gitlab@c7c215c2a2cf3071658b0c1e69be9c985c1ea17e) ([merge request](gitlab-org/gitlab!92588))
- [Create and edit releases for tags with new form](gitlab-org/gitlab@948257f986784c22e385a50a267a1e50e0fe6aa5) ([merge request](gitlab-org/gitlab!92892))
- [Add validation to Default Branch Image when parsing CS vulnerability](gitlab-org/gitlab@79de3ed722937a9ec4e7fb469289c31fb686ea17) ([merge request](gitlab-org/gitlab!93047)) **GitLab Enterprise Edition**
- [Add account age to MR experience survey](gitlab-org/gitlab@32f649a8f5ef4d54f3523e9c92c89ed77059e37d) ([merge request](gitlab-org/gitlab!92688))
- [DOMPurify: Allow links `target` attribute securely](gitlab-org/gitlab@7b9dfe26cd19c21371b89502c6f93db64cb3c36b) ([merge request](gitlab-org/gitlab!92751))
- [Initial add of indeterminate checkboxes to GLFM](gitlab-org/gitlab@3137f1c0311b01326988453b2bf99bce97cf3ae1) ([merge request](gitlab-org/gitlab!85982))
- [Add ability to delete deployments via the API](gitlab-org/gitlab@aea6180d179d726d9fe2801982d599bd8023a4da) ([merge request](gitlab-org/gitlab!92378))
- [Add ability for group owner to unban banned users in a group](gitlab-org/gitlab@314dae9d1b21e771f5d36d88e0c6433e2357f174) ([merge request](gitlab-org/gitlab!92413)) **GitLab Enterprise Edition**
- [Implement Vuln Feedback count route to enable intelligent pagination](gitlab-org/gitlab@5b6f701fc3dc26ac284c2e9160ea2fc23f2327ec) ([merge request](gitlab-org/gitlab!92339)) **GitLab Enterprise Edition**
- [Enable non-default pagination for vulnerability feedback index](gitlab-org/gitlab@5907081a1091b913ed8612da54f8742b768146bd) ([merge request](gitlab-org/gitlab!92339)) **GitLab Enterprise Edition**
- [Add labels support to incident timeline events](gitlab-org/gitlab@e1e9496a07bc536fa0ddeea922a522ec6f51f381) ([merge request](gitlab-org/gitlab!92887))
- [New Audit Event for custom HTTP header changes](gitlab-org/gitlab@c342e08b9b05e7fe603fc600da31b323d714e668) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/92068)) **GitLab Enterprise Edition**
- [Introduce an onboarding view for GitLab Pages](gitlab-org/gitlab@6c8eebf89185ee53c1e572a469655e25760bc123) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78276))
- [Add a service to turn a security finding into a vulnerability](gitlab-org/gitlab@2df13c72f637e630fdec8ea49c4754df67fdce06) ([merge request](gitlab-org/gitlab!88949)) **GitLab Enterprise Edition**
- [Add `namespace_id` to `vulnerability_reads` table](gitlab-org/gitlab@b05ca13113de3d2fb56ce2894b636779978d28ec) ([merge request](gitlab-org/gitlab!92926))
- [Create annotated tags in CI using the release:tag_message keyword](gitlab-org/gitlab@e2b2e355bd6ba376ac272184cd50f1d6eaa69e57) ([merge request](gitlab-org/gitlab!92703))
- [Show deployment approval comments](gitlab-org/gitlab@ea3ed54e85d3f1f4ec9244093d19bcc0afcff658) ([merge request](gitlab-org/gitlab!93033)) **GitLab Enterprise Edition**
- [Enable performant artifact expiration by default](gitlab-org/gitlab@cb68f41685fe7f457c254c0dfc9e94f58a7fef2f) ([merge request](gitlab-org/gitlab!92931))
- [Add benchmark timing to search api](gitlab-org/gitlab@c7c1881e050bfe43d85e9b13b50bdec7777232a2) ([merge request](gitlab-org/gitlab!92676))
- [Add async index destruction](gitlab-org/gitlab@427cc411497f7fce53683fe1229ff100c7669041) ([merge request](gitlab-org/gitlab!92328))
- [Import github 'un/assigned' issue events](gitlab-org/gitlab@85220c644fdb57377e0cb578ff0c98656b855777) ([merge request](gitlab-org/gitlab!90134))
- [Add mem_total_bytes gauge to Prometheus](gitlab-org/gitlab@42e6c8b964328e889c099fbe4a7f4359f79ca459) ([merge request](gitlab-org/gitlab!92785))
- [Add background migration to backfill casted_cluster_agent_id](gitlab-org/gitlab@5f31f561378430cb3600d9a8904bf117d6d140de) ([merge request](gitlab-org/gitlab!89915))
- [Move agent GitOps access check to core](gitlab-org/gitlab@3efc2451c2ad79adacb25d1c72be686a2d807690) ([merge request](gitlab-org/gitlab!92626))
- [Add access token information to API log](gitlab-org/gitlab@12f5efa7faff4e2f8d6217b4121f3111ba939165) ([merge request](gitlab-org/gitlab!92608))
- [Expose verification timestamps](gitlab-org/gitlab@a52326e85f282d4e3e1e8876ad594aec1b9f846c) ([merge request](gitlab-org/gitlab!92701)) **GitLab Enterprise Edition**
- [Show pipeline parsing error in the Vulnerability Report](gitlab-org/gitlab@25f8750c47eb693087cbd030affd86372728f2f2) ([merge request](gitlab-org/gitlab!92043)) **GitLab Enterprise Edition**
- [Event type information in deploy key audit event](gitlab-org/gitlab@4f1b936b17d4b7f5dc62585702e7dd5a67f83fb1) ([merge request](gitlab-org/gitlab!92219)) **GitLab Enterprise Edition**
- [Import github 'de/milestoned' issue events](gitlab-org/gitlab@c838edcabb914a8f80dfba2201ad29d053bbe27a) ([merge request](gitlab-org/gitlab!89681))
- [Show a badge that a release is historical](gitlab-org/gitlab@ccd6449416bed2480bdf27539447a537dbef6baa) ([merge request](gitlab-org/gitlab!92123))
- [Support variables in the project property of triggers](gitlab-org/gitlab@f59c6e0ac8aa91ac51173f8b189d69d843c51b7f) ([merge request](gitlab-org/gitlab!92346))
- [Allow last issue board to be deleted via API](gitlab-org/gitlab@18cf8c652e2e1f0f93eba62524f9ebfa1a4324b1) by @tuxtimo ([merge request](gitlab-org/gitlab!92603))
- [Enable linear queries](gitlab-org/gitlab@69ce6d67fcad6261d439565cc8cd062e75714b5f) ([merge request](gitlab-org/gitlab!92402))

### Fixed (128 changes)

- [Prevent errors saving alerts with non-string inputs for string fields](gitlab-org/gitlab@4286900819340e0f5d5f1712645b75c99d1eb48c) ([merge request](gitlab-org/gitlab!95406))
- [Unify Personal Access Token expiration behavior](gitlab-org/gitlab@76e25df649f8022995045d7590e31d66a7905c0e) ([merge request](gitlab-org/gitlab!93504))
- [Fix the Consistency Check Maximum Function](gitlab-org/gitlab@83f771a0ed5c3db043ef3b421a46578069481977) ([merge request](gitlab-org/gitlab!94853))
- [Add blame link to the file blob view](gitlab-org/gitlab@2e21e4a7a05eea21af1ebde0d10f9c9c9d107f1e) ([merge request](gitlab-org/gitlab!92538))
- [Fix JS error and UI for manual vulnerabilities](gitlab-org/gitlab@48f853a91b0c014789e922600cd67e052dff2001) ([merge request](gitlab-org/gitlab!95179)) **GitLab Enterprise Edition**
- [Refresh task list on parent confidentiality change](gitlab-org/gitlab@84e335fff5f45ee7462fcef0d085d9f9d8b11394) ([merge request](gitlab-org/gitlab!95392))
- [Fix board sidebars enter animation](gitlab-org/gitlab@ba958756588bb572f24a5ba5e8767f21b06dbff4) ([merge request](gitlab-org/gitlab!95134))
- [Fix spelling of "address" in several places](gitlab-org/gitlab@7dec6e4c8b2d21f955a4c8e1e98e6eecf77d253d) ([merge request](gitlab-org/gitlab!95403))
- [Restore label on the email field](gitlab-org/gitlab@6671c116668c5a4a3b5ba2feabde62cf00b8af20) ([merge request](gitlab-org/gitlab!95401))
- [Fix stale user highest role stats on dormant user deactivation](gitlab-org/gitlab@99af7e02d8fb3e2105a9086e57acff9259efe08f) ([merge request](gitlab-org/gitlab!93935))
- [Exclude vulnerable dependencies from go.mod](gitlab-org/gitlab@a97092bc56f2d1fb1d55b4d149a937fff910e1d8) ([merge request](gitlab-org/gitlab!95395))
- [Show failure message when task list fails to load](gitlab-org/gitlab@9794e3ff416206f56f4607d12e676b6c8223f356) ([merge request](gitlab-org/gitlab!95111))
- [Fix 500 error when Commit action is missing](gitlab-org/gitlab@45d548f1c4af9e1eb7d0e142db6020e7240a163f) ([merge request](gitlab-org/gitlab!95280))
- [Show work items correctly on activity feed](gitlab-org/gitlab@88a64d189a37619b305f4b5a1136da0c16f9e10b) ([merge request](gitlab-org/gitlab!93811))
- [Expire protected branches cache after branch cache expiration](gitlab-org/gitlab@ead0bb6839a37501b7cba4c04d39c4a2c175f125) ([merge request](gitlab-org/gitlab!95167))
- [Shifting blank line right should add spaces](gitlab-org/gitlab@38e091880e85db2fd72ff16a381bb142d50ebfd8) ([merge request](gitlab-org/gitlab!94718))
- [docs: Add notice for libravatar in FIPS mode](gitlab-org/gitlab@a88345f37cab90b46a52b9445dbea1620f86761c) by @tnir ([merge request](gitlab-org/gitlab!94475))
- [Accept pending invitations for SSO signups](gitlab-org/gitlab@a7c263b2c2a06e12a1e08b885c633a06615cc765) ([merge request](gitlab-org/gitlab!94921))
- [Set correct default for ApplicationSetting#personal_access_token_prefix](gitlab-org/gitlab@9e5e9f55b519cf3919e186e4ded0617ccb3ae1f8) ([merge request](gitlab-org/gitlab!95163))
- [Fix global search code search results](gitlab-org/gitlab@ec78716a0a29f1a8cdd8192e519709084164326b) ([merge request](gitlab-org/gitlab!94179))
- [Ensure errors deleting a deployment are always returned as bad request](gitlab-org/gitlab@f0af854c2d154f09a40ddbc8ce1c39e6d5d1d11b) ([merge request](gitlab-org/gitlab!94974))
- [Use Gitlab::Utils::UsageData to count replicables](gitlab-org/gitlab@b410089acb574acb3d4fd6bbeb62ee4d38c517d1) ([merge request](gitlab-org/gitlab!95001)) **GitLab Enterprise Edition**
- [Fix namespace icon for images with transparent background](gitlab-org/gitlab@3753c6e2e6837a7e66a78b6493682db6cb64b1a9) ([merge request](gitlab-org/gitlab!92810))
- [Truncate long issue title in tasks](gitlab-org/gitlab@6df68c1bb9c10193fdfcda3d4ae0842e7a0f5385) ([merge request](gitlab-org/gitlab!94165))
- [Fix productivity analytics not filters](gitlab-org/gitlab@d293153f9851f1ee65ab50201b635f85ae1f768b) ([merge request](gitlab-org/gitlab!93149)) **GitLab Enterprise Edition**
- [Fix passing of dry_run to pipeline simulation](gitlab-org/gitlab@d443f0d6565d19457e5f3c808eaad330abba3746) ([merge request](gitlab-org/gitlab!94923))
- [Fix overflow in second navbar in group detail top](gitlab-org/gitlab@97da5afc4276ab17e306712c1b359d1acb2d540c) by @tnir ([merge request](gitlab-org/gitlab!94464))
- [Remove extra space in create MR diff](gitlab-org/gitlab@1c0995dedd3df3641c51074db535685b4ea16f19) ([merge request](gitlab-org/gitlab!94987))
- [Geo: Ensure one MetricsUpdateWorker runs at a time](gitlab-org/gitlab@c33c000bbc11b82b17fc783da9fbf2408a3987ff) ([merge request](gitlab-org/gitlab!94999)) **GitLab Enterprise Edition**
- [Update commits entry point in Discussions API documentation](gitlab-org/gitlab@304284d3ebfb36f74171d73c017dd606453dec9a) by @ivan23kor1 ([merge request](gitlab-org/gitlab!94428))
- [Fix 500 from `ci_variables` field](gitlab-org/gitlab@73fb30b73063e474aa7855eabde158f53252952e) ([merge request](gitlab-org/gitlab!94961))
- [Move admin_protected_environment policy to owners alone](gitlab-org/gitlab@693d025c13c2d451aca96fb8b8b9f91eef3ad2b9) ([merge request](gitlab-org/gitlab!92801)) **GitLab Enterprise Edition**
- [Ignore key modifiers except meta for shifting text](gitlab-org/gitlab@47860e7e8b20f688750c09041addc2222670e936) ([merge request](gitlab-org/gitlab!94266))
- [Fix VSA consistency worker cursor generator](gitlab-org/gitlab@6eb6dc571110af20ce64baf55077659da395eb9a) ([merge request](gitlab-org/gitlab!94797)) **GitLab Enterprise Edition**
- [Add merge_status to merge request cache key](gitlab-org/gitlab@2ebbf5924c8c7c804f9ae44243dda669fea9c055) ([merge request](gitlab-org/gitlab!92868))
- [Clarify Description for SSO enforcement for Git activity in groups](gitlab-org/gitlab@17d0149c7a5aa1995373e620bca8cfac7ac94c3c) ([merge request](gitlab-org/gitlab!94324)) **GitLab Enterprise Edition**
- [Sanitize sort params in Roadmap](gitlab-org/gitlab@420575b2f2f0b76f5c46db7b6cfcf6a68a1ef628) ([merge request](gitlab-org/gitlab!94318)) **GitLab Enterprise Edition**
- [Fix issue description list item reordering indentation](gitlab-org/gitlab@f9d4a95bca0feed7a600cadc1351fa9cb43855ab) ([merge request](gitlab-org/gitlab!93451))
- [Update pull mirror interval wording](gitlab-org/gitlab@53748785c7da882768904bde7ecb2ca03822ea75) by @orozot ([merge request](gitlab-org/gitlab!92774)) **GitLab Enterprise Edition**
- [Disable toggle editing mode while content editor loads](gitlab-org/gitlab@fc7b8bb55935b6de888ae54a261498bf6e7a9ab5) ([merge request](gitlab-org/gitlab!94280))
- [Update scoped labels template to fix tooltips](gitlab-org/gitlab@f6ecbd7cbfe81f0a9eda7782f8da56eb704eb0a0) ([merge request](gitlab-org/gitlab!94336))
- [Bump Oj to v3.13.20 to fix illegal instruction errors](gitlab-org/gitlab@a689e7334be9ad94bc630517d3d89b7bfe823068) ([merge request](gitlab-org/gitlab!94765))
- [Handle timeout in Gitlab::Ci::RunnerReleases](gitlab-org/gitlab@e428425cf79d18ca7428f5e171cb61d79eb6a72b) ([merge request](gitlab-org/gitlab!94178))
- [Redirect back after rejecting a pending user](gitlab-org/gitlab@52cd84c94986620dd209a6a11f24c262721ced79) ([merge request](gitlab-org/gitlab!94360))
- [Fix the merged at dates being used by the compliance report](gitlab-org/gitlab@576e6dc4bef8d0458398c3510121c9d3d12553f3) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/93643)) **GitLab Enterprise Edition**
- [Fix VersionInfo.parse when receiving VersionInfo](gitlab-org/gitlab@4f16534a13bc4051a487baf947af21995b0bac70) ([merge request](gitlab-org/gitlab!94219))
- [Follow redirects when doing network requests with `BulkImports::Http`](gitlab-org/gitlab@dcbafb5b91abe9f3d48c1cdda7161c9a8d25edd3) ([merge request](gitlab-org/gitlab!92799))
- [Fix rename_column_concurrently to work with decomposed DB](gitlab-org/gitlab@1bb6be1fa2f8912509e3cc0467a49ecae688f688) ([merge request](gitlab-org/gitlab!93224))
- [Fixed return value when token not found](gitlab-org/gitlab@bf74f5cc4689e3d15fde6163bd4e230a0a663249) by @TrueKalix ([merge request](gitlab-org/gitlab!93650))
- [This adds a dependency condition to the base auto merge service](gitlab-org/gitlab@ecb0cb563e4339b4fc807ced7ce1a6d57d82fc85) ([merge request](gitlab-org/gitlab!92851)) **GitLab Enterprise Edition**
- [Add present on default branch to common_finder_query index](gitlab-org/gitlab@2fc2a77716edca2700319b33f6aa60afed17fde2) ([merge request](gitlab-org/gitlab!89460)) **GitLab Enterprise Edition**
- [Fix missing file upload progress in GFM footer](gitlab-org/gitlab@12c575042a699a596b3252114cf8bad2d54336f3) ([merge request](gitlab-org/gitlab!94036))
- [Update api endpoint for approval rules](gitlab-org/gitlab@4666ae916ab5e0b1dbe1966bb5f878134439107c) ([merge request](gitlab-org/gitlab!93392)) **GitLab Enterprise Edition**
- [Handle race condition in creating alerts](gitlab-org/gitlab@ada8fa2bf1c181023f5dfa3352850d6967c9ecbe) ([merge request](gitlab-org/gitlab!93743))
- [Restrict to upgrade status filters to Ultimate](gitlab-org/gitlab@eace3b02c63a86366c39b4853e335fd96bb0363c) ([merge request](gitlab-org/gitlab!93557)) **GitLab Enterprise Edition**
- [Better format MR failed to merge error message in mr widget failed vue](gitlab-org/gitlab@6263c3a65d0f2eb707d0768f97fc7ca3e7269c65) ([merge request](gitlab-org/gitlab!93227))
- [Fix OpenAPI viewer for dark mode](gitlab-org/gitlab@659f4bc695f5b53e9f5a7767eaf0880f1945c6b8) by @fabsrc ([merge request](gitlab-org/gitlab!93818))
- [Reverts the datadog fields DSL refactor](gitlab-org/gitlab@714c76048b545a6262812495ebde052609054e33) ([merge request](gitlab-org/gitlab!93734))
- [Fix spacing for pipeline editor header buttons](gitlab-org/gitlab@438e5f0d3964613b39849ebfb0e4d382abd41dd1) by @Anna_pds31 ([merge request](gitlab-org/gitlab!93619))
- [Change the order of search autocomplete items](gitlab-org/gitlab@d6f8653681f8af8a97236acec95bda4bf71c92aa) ([merge request](gitlab-org/gitlab!93721))
- [Fix paginatable namespace search where users can create projects](gitlab-org/gitlab@f21acc77ba497e12f096e84a75d3a483f2c9c811) ([merge request](gitlab-org/gitlab!93723))
- [Use updated docs link for the Validate tab popover](gitlab-org/gitlab@dec39164f55bb7d8db214f9a88697d1274db35ac) ([merge request](gitlab-org/gitlab!93660))
- [Upgrade Oj to v3.13.19 to fix a seg fault](gitlab-org/gitlab@af297fb9bcb1ca56868702611c6cfa7997b4f37f) ([merge request](gitlab-org/gitlab!93611))
- [Do not group env and folders that share a name on the project env page](gitlab-org/gitlab@83bdf0e522eecb322c8903d269cb000327bb18a3) ([merge request](gitlab-org/gitlab!93568))
- [Gracefully handle nil created_at values in CI pipelines](gitlab-org/gitlab@3f3b5e6b33dd5a45bbd18c9af32e9a3aa4ad82dd) ([merge request](gitlab-org/gitlab!93589))
- [Fix emoji autocomplete when leading with a space](gitlab-org/gitlab@76a82a8fb3bf057cf110cfbed070b03668f63746) ([merge request](gitlab-org/gitlab!93572))
- [Don't allow negative values for pagination](gitlab-org/gitlab@75256bdee832e45650ea3f4bacac9e3a47f0a7b6) ([merge request](gitlab-org/gitlab!93571))
- [Fix `publish_event` rspec helper](gitlab-org/gitlab@9e1a5a08155831e937b8ff55a251ca758032b0cc) ([merge request](gitlab-org/gitlab!93485))
- [Ensures we fetch the stage events when there are no value streams](gitlab-org/gitlab@45ba743625d2f11278b2edebde3103faa9f7670e) ([merge request](gitlab-org/gitlab!93541)) **GitLab Enterprise Edition**
- [Fix CI artifact sizes not logged for some runner endpoints](gitlab-org/gitlab@c87dc647d1121f5e02136d97292bf02a1b9ebe4d) ([merge request](gitlab-org/gitlab!93502))
- [Remove inaccessible artifacts from release evidence](gitlab-org/gitlab@e368b24aa67440984e9ebf125ec0acb0c0fb78d0) ([merge request](gitlab-org/gitlab!93548)) **GitLab Enterprise Edition**
- [Hide ip address label when ip address is missing](gitlab-org/gitlab@40eeea7376faa2ef7ba473c3359bc96ee5c579b3) ([merge request](gitlab-org/gitlab!93378))
- [Use `unnested_in_filters` for Group-level vulnerability reads finder](gitlab-org/gitlab@5543d2295ff46837ce66363e1f8b863cf0c3abe7) ([merge request](gitlab-org/gitlab!93373)) **GitLab Enterprise Edition**
- [Clean build directory before `gitlab:gitaly:install` Rake task](gitlab-org/gitlab@5fc9077af06ef2828af031d41cba0e84d02392dc) ([merge request](gitlab-org/gitlab!93119))
- [Ensures we show the count of selected projects](gitlab-org/gitlab@8086aa98c263a2297d7a4e7caff49dad5775df0a) ([merge request](gitlab-org/gitlab!92509)) **GitLab Enterprise Edition**
- [Add auditor access for group runners](gitlab-org/gitlab@62c328e46d4ef5831a557dcc1943a8055af60bb2) ([merge request](gitlab-org/gitlab!91553)) **GitLab Enterprise Edition**
- [Fix: notify locale on merge request unmergeable](gitlab-org/gitlab@14e98ec263e751fc328b809ddd4f8bde112643ce) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!92855))
- [Fix pipeline cancellation not cascading to children](gitlab-org/gitlab@a5a27dc889f5b668a92651509c055708d75725c2) ([merge request](gitlab-org/gitlab!93484))
- [Check group last owner before assigning default membership role](gitlab-org/gitlab@1a9baa7dfc108f58c5aca2c09e64caa168b33514) ([merge request](gitlab-org/gitlab!93310)) **GitLab Enterprise Edition**
- [Fix CI_ENVIRONMENT_TIER if tier is updated](gitlab-org/gitlab@d530efad4e02447b8140c0a77d1c6e947c2a1e69) ([merge request](gitlab-org/gitlab!93199))
- [Fix issues board list movements](gitlab-org/gitlab@c4e5628b169194f198650a18f3468437b54d58e7) ([merge request](gitlab-org/gitlab!93222))
- [Expose DAST artifact directory](gitlab-org/gitlab@250f4bb4edf586f44f43ac6f52a6474e0c5710c9) ([merge request](gitlab-org/gitlab!89469)) **GitLab Enterprise Edition**
- [Add present on default branch to project id and id index](gitlab-org/gitlab@dca12b4021ba613501f144a74d44a36770717761) ([merge request](gitlab-org/gitlab!89283)) **GitLab Enterprise Edition**
- [Do not show user popover when user is not signed in](gitlab-org/gitlab@675cc3ee69575cd6aab48d20f493a9146e7d95e7) ([merge request](gitlab-org/gitlab!93386))
- [Attempting to delete last package file directs user to delete package](gitlab-org/gitlab@514fa05b0679f46dea450bd246173401d7cb7ac8) ([merge request](gitlab-org/gitlab!93153))
- [Tags search does not work with Gitaly pagination](gitlab-org/gitlab@277e59309a69356997f976fd86363d0657aa4f3f) ([merge request](gitlab-org/gitlab!93372))
- [Fix ActiveRecord::StaleObjectError where pipeline is updated twice](gitlab-org/gitlab@f9a66a8de99e16b4bfcba965c3f4ba5c7ab5dcbe) ([merge request](gitlab-org/gitlab!93237))
- [Fixed link on Pages page](gitlab-org/gitlab@5ca5c72c01c9dcf8fe0a90d1f14f54acaf5c3372) ([merge request](gitlab-org/gitlab!93331))
- [Fix URLs in `user_auto_banned_email`](gitlab-org/gitlab@174d2c549279e4cf9db4683b74fec75959277784) ([merge request](gitlab-org/gitlab!93076)) **GitLab Enterprise Edition**
- [Prevent new line insertion while attaching a file](gitlab-org/gitlab@90fc553ed368fcfc5e079146a912cb3e6bed6b76) ([merge request](gitlab-org/gitlab!93341))
- [Gracefully handle missing project feature row in API](gitlab-org/gitlab@8e2ec84447302530de3657352d52471be8d56d45) ([merge request](gitlab-org/gitlab!93326))
- [Make repository analytics graphs responsive](gitlab-org/gitlab@ccc5ad5e9783d024bbe094408f81f16171f97727) ([merge request](gitlab-org/gitlab!93335))
- [Add two more classes allowed for YAML deserialization](gitlab-org/gitlab@10667b34db90a4f7632b5d4500d225b5d21c7167) ([merge request](gitlab-org/gitlab!93320))
- [Fix RescheduleBackfillImportedIssueSearchData migration](gitlab-org/gitlab@348a84cc7d33830474e42aef7da198e0959941cc) ([merge request](gitlab-org/gitlab!93311))
- [Show mr pipeline tab when pipelines are enabled](gitlab-org/gitlab@48496d7612f9536bf1df775c351591b40cd16460) ([merge request](gitlab-org/gitlab!92697))
- [Add tracking event for rendering the error details page content](gitlab-org/gitlab@e15dbbe344ef61c62195f81030d138e6e2e1e7f7) ([merge request](gitlab-org/gitlab!93045))
- [Prevent guests from assigning issues from notes](gitlab-org/gitlab@c748fd6fa18c4fc93b51c0ba7c22708cb45b1701) by @zillemarco ([merge request](gitlab-org/gitlab!92652))
- [Update vulnerabilities Finder to filter on present on default branch](gitlab-org/gitlab@5fcffa3f70da429a38c030c18f1ac8cb32705202) ([merge request](gitlab-org/gitlab!89145))
- [Upgrade oj to v3.3.18 to fix illegal instruction errors](gitlab-org/gitlab@8dfd398e166d13982c1e65090d6b0ff59c21fe05) ([merge request](gitlab-org/gitlab!93241))
- [Fix: notify locale on member invite accepted email](gitlab-org/gitlab@61c798cc48618bf32d7f07918e89144167830121) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!92734))
- [Fix atwho keypress cancel Issue](gitlab-org/gitlab@74f1b6442e0f0b04d8672b872fc219bf0c90e455) ([merge request](gitlab-org/gitlab!91829))
- [Fix pipeline cancel to also cancel child pipelines](gitlab-org/gitlab@1c69f650d4191af41afccbbd4d04b617460727a9) ([merge request](gitlab-org/gitlab!82511))
- [Replace magic string to constant](gitlab-org/gitlab@5ea6404ddec6e7d9ea854ae783ae2d44feb6f9e9) by @orozot ([merge request](gitlab-org/gitlab!92261)) **GitLab Enterprise Edition**
- [Disable rate limiting when transferring epics](gitlab-org/gitlab@c3d1dd15c0d8f1087d835b1ee4f112b27490c6dd) ([merge request](gitlab-org/gitlab!93130)) **GitLab Enterprise Edition**
- [Remove duplicated false positives alert](gitlab-org/gitlab@dd31b3b3abfc93060a1db596ebcbc1504a594e83) ([merge request](gitlab-org/gitlab!93131)) **GitLab Enterprise Edition**
- [Use GitLab UI Tooltip for Environment Metrics Link](gitlab-org/gitlab@ec546cb37ca351d332716865e7207fcec289d7fc) ([merge request](gitlab-org/gitlab!93120))
- [Fix workflow rules changes when not using paths](gitlab-org/gitlab@f274b343ecd8ba94cf06939af8051f77968fc455) ([merge request](gitlab-org/gitlab!92867))
- [Enable read on demand permission for auditor](gitlab-org/gitlab@a9aba05970886bf409db2eb08a25a47cc9d6ef81) ([merge request](gitlab-org/gitlab!88381)) **GitLab Enterprise Edition**
- [Prevent default template from overwriting autosave](gitlab-org/gitlab@59a03b33c46debd88f12c07968041a8889f814de) ([merge request](gitlab-org/gitlab!92517))
- [The rake task gitlab:db:lock_writes should not lock shared databases](gitlab-org/gitlab@70cfd2b4eed4b1d49fe885e722f54ae18cf60ed9) ([merge request](gitlab-org/gitlab!92928))
- [Fix extra leading space in task title created from checklist](gitlab-org/gitlab@0fecab201dc37a31e02784166e045f7d519d12c4) ([merge request](gitlab-org/gitlab!92865))
- [GraphQL: Return latest job in Pipeline.job](gitlab-org/gitlab@0e4e93be62e667f5f4e5328ef3dc3543782c9080) by @roblabla ([merge request](gitlab-org/gitlab!92085))
- [Fix missing relative_url_root settings update](gitlab-org/gitlab@d7c7a2ddb108b8c7dc3d4d2810d25560cd8721fc) ([merge request](gitlab-org/gitlab!92978))
- [Fix timestamp of "cloned from" system note](gitlab-org/gitlab@cd98b9aed4a1bc78e7e09fb1a2fe8e6a579db24e) ([merge request](gitlab-org/gitlab!92770))
- [Use `CREATE OR REPLACE FUNCTION` to define vulnerability reads triggers](gitlab-org/gitlab@a64be4234e8e8ef9b0c50b1b5307e8011e884cfe) ([merge request](gitlab-org/gitlab!92941))
- [Handle ldap blocking when no servers exist](gitlab-org/gitlab@5156d590cf48821ea9c488a9de37c3870156da55) ([merge request](gitlab-org/gitlab!92092)) **GitLab Enterprise Edition**
- [Select upstream  project by default when creating MR from fork](gitlab-org/gitlab@87ccd882bcdbf3b2ef7ed500bea68c7c30c61f95) ([merge request](gitlab-org/gitlab!91911))
- [Fixes time in container registry partial cleanup tooltip](gitlab-org/gitlab@c8575f34ccd54455dcce97b25fee3c373a032099) ([merge request](gitlab-org/gitlab!92243))
- [Fix epic transfer when transfering a project](gitlab-org/gitlab@1c2f8389bf19bdc815d7cfc12a2fd380334f303f) ([merge request](gitlab-org/gitlab!92889)) **GitLab Enterprise Edition**
- [Return an error if merge request fails to merge](gitlab-org/gitlab@e304096bd7acbcebacd176c17558e970d6f9e8c2) ([merge request](gitlab-org/gitlab!92572))
- [Fix graphql double fetch](gitlab-org/gitlab@d918e672ba0017c36b41d244779a1188a1a1a300) ([merge request](gitlab-org/gitlab!92798))
- [Do not copy awarded emoji when cloning issues](gitlab-org/gitlab@dc1c2be8b72da5161e9be1646f04ec1628d6fd9f) ([merge request](gitlab-org/gitlab!92766))
- [Fixes alignment of package details files action column](gitlab-org/gitlab@81d259a533cb7e358f89e0a038131872255edd54) ([merge request](gitlab-org/gitlab!92681))
- [Prohibit maintainers from starting trial subscription](gitlab-org/gitlab@5145b9efe28ae294c789884a75b3f5d4b3af240a) ([merge request](gitlab-org/gitlab!92554)) **GitLab Enterprise Edition**
- [Fix incorrect Runner#with_upgrade_status scope](gitlab-org/gitlab@adbaa0fe75ee6f6a645e1980dfc98c1388bc997b) ([merge request](gitlab-org/gitlab!92578))
- [Take lease in UpdateProjectStatisticsWorker](gitlab-org/gitlab@c51569d2e0d5f476b9d745d2a30b463a44e65c63) ([merge request](gitlab-org/gitlab!92470))
- [Fix system note timestamp for moved issue](gitlab-org/gitlab@c87c7ce014467b2b7e879794c3f33f9506c0a822) ([merge request](gitlab-org/gitlab!92397))
- [List groups from group shares on project transfer](gitlab-org/gitlab@d30998f5174746bd3a8d1dde0b06f31495c35ad1) ([merge request](gitlab-org/gitlab!90127))

### Changed (182 changes)

- [Escaping the header search bar closes dropdown](gitlab-org/gitlab@06ee70a5efe37f52be0c0d98c1bd24db2d533048) ([merge request](gitlab-org/gitlab!91980))
- [Support owasp security training](gitlab-org/gitlab@fd9ad6e7f596f6aed26a860fdab231afb782af3a) ([merge request](gitlab-org/gitlab!93377))
- [Updated incorrect UI link](gitlab-org/gitlab@9ce6ea7d7c5abd469068a59c865794f0404aa6cf) ([merge request](gitlab-org/gitlab!95292))
- [Fixed outdated runners link](gitlab-org/gitlab@3abab1705dd076c6f40bd1b7e37b935a7bbbe10f) ([merge request](gitlab-org/gitlab!95301))
- [Set skip_rugged_auto_detect to default to true](gitlab-org/gitlab@7f429cd8e13469c80e6e602d1b29aec7f1189d70) ([merge request](gitlab-org/gitlab!95445))
- [Render failed job item pills with different background in Pipeline view](gitlab-org/gitlab@f37edc5ab0e5eb9f5a3f37529b3ba2a48c82ac30) ([merge request](gitlab-org/gitlab!91543))
- [Add background to internal notes](gitlab-org/gitlab@c00683c1bf96af282b53156ab55a73a87a5bda1e) ([merge request](gitlab-org/gitlab!95176))
- [Disabled related items expand button when no items](gitlab-org/gitlab@a06d24d37b7cc6fc7c19dc4b1d111d7a2a98f454) ([merge request](gitlab-org/gitlab!95431))
- [Add collapsing for many invite modal errors](gitlab-org/gitlab@82957e3f79936277ba0b76eab80f7031a90293a8) ([merge request](gitlab-org/gitlab!94199))
- [Disable Rugged auto-detection by default](gitlab-org/gitlab@623ebdf3e30545e1fcc47069cba9008791bcbc7b) ([merge request](gitlab-org/gitlab!95330))
- [Enable rebase without ci](gitlab-org/gitlab@31603f0fcfd96f402f2842b81ed10dd656a1c1bc) ([merge request](gitlab-org/gitlab!95387))
- [Avoid usage of toBeTruthy/toBeFalsy in iterations_spec.js](gitlab-org/gitlab@76869a2ba5b31c278a85853a872577c9f861930a) by @anshulriyal ([merge request](gitlab-org/gitlab!95101))
- [Default enable group level protected environment settings](gitlab-org/gitlab@071d9932f35067b5e98c36a2bf51019086a9b846) ([merge request](gitlab-org/gitlab!95367))
- [Remove duplicated help link in top bar](gitlab-org/gitlab@311040e85d944062f35c6742b8c25cd78863847a) ([merge request](gitlab-org/gitlab!95221))
- [Rename methods and variables for clarity and legibility](gitlab-org/gitlab@8971052f23bfcb57d903876b34379531f5be1da6) ([merge request](gitlab-org/gitlab!94949))
- [Simplify project_statistics test for column size](gitlab-org/gitlab@d1c13d1ef2dc36c04ff1397b30ed1a8a702e3f6b) ([merge request](gitlab-org/gitlab!95344))
- [Improvements to the audit events streaming UI](gitlab-org/gitlab@52d401680adce3367e6f8b9062f2888757163a3e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/93183)) **GitLab Enterprise Edition**
- [Generate chain of custody CSV reports asyncronously](gitlab-org/gitlab@057e6410cbdc20e91812d66eb7bcec52243877b1) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/94332)) **GitLab Enterprise Edition**
- [Dart.gitlab-ci.yml: Switch to new docker image for Dart](gitlab-org/gitlab@bc416c56e2ff35349e560833c4d81239bb4556c5) by @mcmahonjohn ([merge request](gitlab-org/gitlab!77791))
- [Add tooltip to Tanuki logo](gitlab-org/gitlab@5869b076f5b81f1f8e2f209ee697c332ed07c93d) ([merge request](gitlab-org/gitlab!95271))
- [Validate with latest vendored patch schema version](gitlab-org/gitlab@0a2c0bbb79d8891ca86272822b657261e1d9a8ef) ([merge request](gitlab-org/gitlab!94265)) **GitLab Enterprise Edition**
- [Migrate project branches cards to use pajamas](gitlab-org/gitlab@87d6f40d30b867840b6846b2659e6ef438479569) ([merge request](gitlab-org/gitlab!94841))
- [Show project homepage only in group page package registry view](gitlab-org/gitlab@6717db1efbc222d6ef8a53726cc3e98fd20f16d1) by @parkourkarthik ([merge request](gitlab-org/gitlab!94206))
- [Release changes for CI Secure Files Geo Replication](gitlab-org/gitlab@fbefccc4e1a76608ec227af115dab88ca6b1d0ed) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/95219)) **GitLab Enterprise Edition**
- [Increase animation speed of sticky issue header](gitlab-org/gitlab@0245bd6a9759e31fc7208234a8c858e439d0f208) ([merge request](gitlab-org/gitlab!95220))
- [Docs: Remove Debian 9 from supported os list](gitlab-org/gitlab@5814fd8303488d6e9550b57d3e20e0cd8432ec40) ([merge request](gitlab-org/gitlab!95197))
- [Refactor runner pagination](gitlab-org/gitlab@e7607760ac8e2454be98734147e60040bb72bd80) ([merge request](gitlab-org/gitlab!94100))
- [Enable update_vuln_identifiers_flag by default](gitlab-org/gitlab@5c94606de792a7e47832eeed5ba1eab279631628) ([merge request](gitlab-org/gitlab!95120))
- [Preload and cache child work items](gitlab-org/gitlab@3d526db5ce42ffab5c8decd8bbc52c1605d1675c) ([merge request](gitlab-org/gitlab!95068))
- [Rename service_id to integration_id](gitlab-org/gitlab@91fd661bf128410912441c293559c48b7f058356) ([merge request](gitlab-org/gitlab!91991))
- [Update linked items widget header](gitlab-org/gitlab@85f476bd4b1f8bf6f0898ed67e56019c27274823) ([merge request](gitlab-org/gitlab!94285))
- [Rename service_id to integration_id](gitlab-org/gitlab@50e04a8875413e5c48578e4431fb9ab60a3bcccc) ([merge request](gitlab-org/gitlab!92021))
- [Find superset of descendant scope queries](gitlab-org/gitlab@6c2ea2cb0a3f117fb284bca365ce7265aec6838e) ([merge request](gitlab-org/gitlab!94002))
- [Adds user callouts dismissed by Project](gitlab-org/gitlab@0d4f023f902a9d03f21cd73aea7e6af018b26b3c) ([merge request](gitlab-org/gitlab!94144))
- [Update linked item buttons to match tasks](gitlab-org/gitlab@962a5fd89e73a0c6048766747f1e28a8c96c8d5a) ([merge request](gitlab-org/gitlab!95121))
- [Speed up sidebar transition](gitlab-org/gitlab@07940c86ef584680a9d78452f203ea957fad7bf5) ([merge request](gitlab-org/gitlab!95005))
- [Geo Replicables - Add margin to pagination](gitlab-org/gitlab@e3e0fa6f7dc8acabdbee9fcc81a4a563c8e47ebd) ([merge request](gitlab-org/gitlab!95099)) **GitLab Enterprise Edition**
- [Fixed outdated text](gitlab-org/gitlab@67cd3b306c2b948f3ab11d931e49ee3f109e6348) ([merge request](gitlab-org/gitlab!93609))
- [Event type for squash commit template is updated](gitlab-org/gitlab@d7f89022a2d404ca079d231e1743e40f32162e50) by @abhi_arora ([merge request](gitlab-org/gitlab!94767)) **GitLab Enterprise Edition**
- [Rename IssueTrackerData service to integration](gitlab-org/gitlab@342280af2d4bb5b0d9726267ee01d2c3588cdb72) ([merge request](gitlab-org/gitlab!92242))
- [Rename IssueTrackerData service to integration](gitlab-org/gitlab@82493d3a6ba6dbbd6e963eb1b8b9685472ff76af) ([merge request](gitlab-org/gitlab!92251))
- [Mark pull mirroring for projects without the license as hard-failed](gitlab-org/gitlab@2785d10ea035643302ebeac06e9a939a8c75c46b) ([merge request](gitlab-org/gitlab!94983)) **GitLab Enterprise Edition**
- [Geo Replicables - True Up Projects Statuses](gitlab-org/gitlab@8390966ffc4263c4071078bde9cbcb35b1e1b1d1) ([merge request](gitlab-org/gitlab!94226)) **GitLab Enterprise Edition**
- [Change cost factor for open source](gitlab-org/gitlab@cf41d479ffe3fd6b9ba10cd0f0be3073924d315a) ([merge request](gitlab-org/gitlab!93046)) **GitLab Enterprise Edition**
- [Reformat the user identity table](gitlab-org/gitlab@c92c94d97971f3cadad402ed49513d283e829375) ([merge request](gitlab-org/gitlab!91280)) **GitLab Enterprise Edition**
- [Remove backend code for attention request notifications](gitlab-org/gitlab@72be9ac23d2d62fe14ea7fd6a6d5c238e4566333) ([merge request](gitlab-org/gitlab!94295))
- [Frontend changes from task to checklist item](gitlab-org/gitlab@b94428857bf79e28049a67af45c11b87489ef554) ([merge request](gitlab-org/gitlab!93328))
- [Add missing skip_ci param](gitlab-org/gitlab@19455d7823ae3421b9a2301efc626dbc9406e57a) ([merge request](gitlab-org/gitlab!94257))
- [Remove description html text limit](gitlab-org/gitlab@1ff8f24bfb0acca1abb8b4cd5e7216796e505904) ([merge request](gitlab-org/gitlab!94897))
- [Remove temp index on project membership namespace id](gitlab-org/gitlab@47564bf21718794ce9097bce46716c7da5e3e00c) ([merge request](gitlab-org/gitlab!93325))
- [Remove temp index on project membership namespace id](gitlab-org/gitlab@3c1bf7de645eef1ee5998a7ae3d0df9899c07df6) ([merge request](gitlab-org/gitlab!93325))
- [Remove attention request related API references](gitlab-org/gitlab@1107099c08d129325376333a5f9c057fe8d0ce89) ([merge request](gitlab-org/gitlab!94151)) **GitLab Enterprise Edition**
- [Moved `View in admin area` button tooltip placement to top](gitlab-org/gitlab@78b7490d36b6f290fd05cbdde21577d9e2943d57) by @PaarthAgarwal ([merge request](gitlab-org/gitlab!94082))
- [Auditor for FOSS edition](gitlab-org/gitlab@179fd549e0923543304a3e9d7800d8f062f1fd09) ([merge request](gitlab-org/gitlab!94032)) **GitLab Enterprise Edition**
- [Use branches bulk creation for Pull Mirroring](gitlab-org/gitlab@81f96f623e488a4243296d2f75db74aa8f100139) ([merge request](gitlab-org/gitlab!94971))
- [Update custom card to Pajamas compliant alert](gitlab-org/gitlab@ad182dbb6e49e6ce41b995c46a61fce0eec09da2) ([merge request](gitlab-org/gitlab!94947))
- [Update Users API call was not updating auditor flag for user](gitlab-org/gitlab@c6c27d89593ec63393219060f7662d5f1ea683e6) ([merge request](gitlab-org/gitlab!93486)) **GitLab Enterprise Edition**
- [Change response of the api PUT /merge when branch unmergable](gitlab-org/gitlab@6697df226608c5c3a9392150c525f55db6e369a9) ([merge request](gitlab-org/gitlab!94164))
- [Get highest level member on members all API call](gitlab-org/gitlab@9b9abb8f37a62a4465ef705f31f96a8ce11bc2e1) ([merge request](gitlab-org/gitlab!94161))
- [Add a tooltip to merge requests shortcut](gitlab-org/gitlab@648891c06ce1b38b1b5a88116bdce4a3970bc866) ([merge request](gitlab-org/gitlab!94890))
- [Enable MR discussions HTTP caching by default](gitlab-org/gitlab@0466a94824ca68fdb77bc9af7251d1b1ba77c91f) ([merge request](gitlab-org/gitlab!94168))
- [Remove description field from new blank project creation](gitlab-org/gitlab@92454ad3b27151c809bd489f538ab51aadb20dbc) ([merge request](gitlab-org/gitlab!93726))
- [Fixed backfill code to burst root_namespace cache](gitlab-org/gitlab@49ffe10239f8c57eb8096dd10dd3e3e13e5ddfae) ([merge request](gitlab-org/gitlab!93546))
- [Update project pages usage card to be pajamas compliant](gitlab-org/gitlab@4bfbe3d04a49ae1af425d4538422c11e1c5b80a5) ([merge request](gitlab-org/gitlab!93205))
- [Remove settings_ci_cd.scss file](gitlab-org/gitlab@6ea605f34b601dd148d58b2a626fd6af76eb62ba) ([merge request](gitlab-org/gitlab!93948))
- [Migrate pages domains card to use pajamas compliant version](gitlab-org/gitlab@806eb506188b0a64def153edbbfbc163a27625d5) ([merge request](gitlab-org/gitlab!93417))
- [Event type for framework is deleted](gitlab-org/gitlab@1bdb1a627e3df1fb2fe646bdd4ef11427e960fff) ([merge request](gitlab-org/gitlab!94693)) **GitLab Enterprise Edition**
- [Event type for allow merge on skipped pipeline](gitlab-org/gitlab@b77178aea4d073bbb316b622bc32360fe458f13e) ([merge request](gitlab-org/gitlab!94509)) **GitLab Enterprise Edition**
- [Event type for squash option updated](gitlab-org/gitlab@3170575311cf6ebad4477511ab099303673984e5) ([merge request](gitlab-org/gitlab!94527)) **GitLab Enterprise Edition**
- [Add checkbox ViewComponent that can be use outside of form builder](gitlab-org/gitlab@e63a3ac23ba3eedf50e8f47d8dadc7dabaf78878) ([merge request](gitlab-org/gitlab!91111))
- [Change task list item system note from task to checklist item](gitlab-org/gitlab@ce1223c95ca299451d4d729ad70ecce6656af6b1) ([merge request](gitlab-org/gitlab!94136))
- [Order security_findings by scan_id](gitlab-org/gitlab@21f9bf4da976d7297a5fc5f924e9a1ddcd9f95e9) ([merge request](gitlab-org/gitlab!93886)) **GitLab Enterprise Edition**
- [Updated retry pipeline jobs button tooltip](gitlab-org/gitlab@969e6a78279404ff83d4fe191f5f35441c987aed) by @zillemarco ([merge request](gitlab-org/gitlab!94046))
- [Create a preflight check for MigrationWorker](gitlab-org/gitlab@51c447f651bc2ea123697417bed176d6159bc3af) ([merge request](gitlab-org/gitlab!93560)) **GitLab Enterprise Edition**
- [Create NamespaceDetails table](gitlab-org/gitlab@9a82661d99a6a3745d77d4d26e3092f7d159c258) ([merge request](gitlab-org/gitlab!82958))
- [Update QR code helper to gl-card utility](gitlab-org/gitlab@72546fb0e2beff9f5dfe2bbac222136235fba1f3) by @yo ([merge request](gitlab-org/gitlab!94312))
- [Create ci_runner_versions record on demand](gitlab-org/gitlab@be0b0c801b41d0778ab3a6e1f3935ec9151e53aa) ([merge request](gitlab-org/gitlab!93191))
- [Moved the package tags to the sub-header](gitlab-org/gitlab@b062c0281b0ca3d816f1980b44c925a9f57398e5) by @zillemarco ([merge request](gitlab-org/gitlab!94050))
- [Updates package project settings to use side-by-side layout](gitlab-org/gitlab@bc54ba420b962592d00feceaf7730cffcfd15084) ([merge request](gitlab-org/gitlab!93653))
- [Remove duplicate association in has_web_hook_shared_examples](gitlab-org/gitlab@abb188c64930fcb7a48a92aee4836b750e3dbee2) ([merge request](gitlab-org/gitlab!94200))
- [Update gitlab-license gem to the latest version](gitlab-org/gitlab@56874b01238307b6d6de4ef77daa70e41be159ba) ([merge request](gitlab-org/gitlab!94053))
- [Update plan widgets grey backgrounds](gitlab-org/gitlab@dd25ade5904b1d3fa9735aac716051c249d8c9c3) ([merge request](gitlab-org/gitlab!94279))
- [Use primary btn variant for finish review dropdown](gitlab-org/gitlab@15c21428c4479e0e514871efb8092a565c4e23f0) ([merge request](gitlab-org/gitlab!94229))
- [Remove service_hook link from SlackMattermostNotifier](gitlab-org/gitlab@b28fc59cc615fdf0863a072635729437fc2963d8) ([merge request](gitlab-org/gitlab!94200))
- [Move webhook association from Integration model](gitlab-org/gitlab@a15cee4aa64495787fb706e595fb7450f994098a) ([merge request](gitlab-org/gitlab!94200))
- [Improve false positive alert UX](gitlab-org/gitlab@9d940d94041f712ae54ca9a584ab4e2fa30969ea) ([merge request](gitlab-org/gitlab!93605)) **GitLab Enterprise Edition**
- [Update dependency auto-deploy-image to v2.33.0](gitlab-org/gitlab@ac54df9fd89e711c8e3c4eb04fa319613acc13eb) ([merge request](gitlab-org/gitlab!92592))
- [Changes styling of timeline icons](gitlab-org/gitlab@5d1d2201d5bb244bc32be2cbec8c6530fad7f5dd) ([merge request](gitlab-org/gitlab!92679))
- [Add invite token indications for partial failure](gitlab-org/gitlab@a99d1e7aa25850bccd7b248df0e30f430afe0d9f) ([merge request](gitlab-org/gitlab!90076))
- [Rename ReplicableStateEnum to ReplicationStateEnum](gitlab-org/gitlab@897ed749fef36c4c90a8b0c4c3f47ae35b9e0f86) ([merge request](gitlab-org/gitlab!94057)) **GitLab Enterprise Edition**
- [Replace remove with close on operations dashboard](gitlab-org/gitlab@3eb53eb150ea8f0cd2feef549c2d6603612c8fc6) ([merge request](gitlab-org/gitlab!93730))
- [Move topics location on project overview](gitlab-org/gitlab@cb076477bb3a7476c55f5074487f7135a5a810bf) ([merge request](gitlab-org/gitlab!93739))
- [Added gl-flex-basis-third style to the cluster creation page](gitlab-org/gitlab@1e36991307de1a2fab03d856f7cfa7e513a34102) by @NIKU-SINGH ([merge request](gitlab-org/gitlab!94114))
- [Use GlSegmentedControl to switch between Rich/Source text editor](gitlab-org/gitlab@64092fbc0523cfe6fccaac5015d799f19417bb95) by @shamvi050801 ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/91093))
- [Update preview assets for copy and terminology consistency](gitlab-org/gitlab@2c70d0010dd6d9f7cca83a4d9d6ce4e79178d69d) ([merge request](gitlab-org/gitlab!93260))
- [Repositioned the insert suggestion button for better visibility](gitlab-org/gitlab@6199ce900378612bd712654a5635910280400fd6) by @zillemarco ([merge request](gitlab-org/gitlab!94085))
- [Add Google Authenticator to 2FA page](gitlab-org/gitlab@7cc380a473e2f4a8e11ef60b98efd83c0abab548) ([merge request](gitlab-org/gitlab!89111))
- [Geo Replication - Last verified data](gitlab-org/gitlab@b136876747e9f722c0183ef29361290bdc6133e5) ([merge request](gitlab-org/gitlab!93877)) **GitLab Enterprise Edition**
- [Geo Replicables - Unboxing the UI](gitlab-org/gitlab@82c54fc5c2c44ca4d03102028b688549d4918ce7) ([merge request](gitlab-org/gitlab!90923)) **GitLab Enterprise Edition**
- [Migrate `form_errors` in saml_providers](gitlab-org/gitlab@7778eebf609cea4ddf561dc9863c237d1ee708fc) ([merge request](gitlab-org/gitlab!93817)) **GitLab Enterprise Edition**
- [Use refreshed look and feel in group runner view](gitlab-org/gitlab@56821bedc447e1ba3cd6c1dda15fbc132cb4b140) ([merge request](gitlab-org/gitlab!92214))
- [Refactor description for the IP allow list field](gitlab-org/gitlab@74e39f1af7074dce855801ba86516752f076c182) ([merge request](gitlab-org/gitlab!93355))
- [Improve ancestor scope queries](gitlab-org/gitlab@e79df7b88f0542bc5ba65db44eb076c87828b784) ([merge request](gitlab-org/gitlab!94003))
- [Clean up audit_event_streaming_git_operations_deploy_key flag](gitlab-org/gitlab@7452cc0973736dc1a37fad0b0846c4192ec8c43b) ([merge request](gitlab-org/gitlab!93999))
- [Refactor hook log index view](gitlab-org/gitlab@8f491a3437d92605695ee913a79176d0a44cab32) ([merge request](gitlab-org/gitlab!93616))
- [Fix warning when user is unable to create project](gitlab-org/gitlab@3670f0bef91f695f30fe217aae21a2daf8556817) ([merge request](gitlab-org/gitlab!91610))
- [Add cloud-based 2FA apps to documentation](gitlab-org/gitlab@42c3c4de44e636a793e9e6663087c8b9dbe66123) ([merge request](gitlab-org/gitlab!93209))
- [Add MigrateSharedVulnerabilityScanners batched migration job](gitlab-org/gitlab@d2228de693afb231fda4b8bb04239552ba853fce) ([merge request](gitlab-org/gitlab!89127))
- [Fix approval visible groups detection](gitlab-org/gitlab@437ac5c75f0a5168bdb3036b9b29a94009083117) ([merge request](gitlab-org/gitlab!93898))
- [Update PyPI package page with access token docs link](gitlab-org/gitlab@d472790d235b710223ddb438eae947e72b43bada) by @brianjaustin ([merge request](gitlab-org/gitlab!93138))
- [Migrate project nothing to compare card to be pajamas compliant](gitlab-org/gitlab@5f72996780321a525113973fa0d9a361209a9984) ([merge request](gitlab-org/gitlab!93428))
- [Add info message to Operations Dashboard](gitlab-org/gitlab@d9850a425f681c4f2bc20dbf4ec774907e1a3d38) ([merge request](gitlab-org/gitlab!93353)) **GitLab Enterprise Edition**
- [Do not display 'Clear cache' dropdown when user isn't permitted to do it](gitlab-org/gitlab@43fc5517781820781d768f1f6b48f6d348037102) ([merge request](gitlab-org/gitlab!90971))
- [Verify LFS OID](gitlab-org/gitlab@7349524a63f693e486a48f760fdc61a34c3d13c6) ([merge request](gitlab-org/gitlab!93708))
- [Make ssh_signatures.key_id nullable](gitlab-org/gitlab@9155fa65ffd839d03e8008277e90b23973686731) ([merge request](gitlab-org/gitlab!93395))
- [Forbid calls with potential to take long sleeps](gitlab-org/gitlab@d69feb0dcf74ab928fdd904f82cae4b7a1e669ec) ([merge request](gitlab-org/gitlab!93220))
- [Sync approvals required after syncing rules](gitlab-org/gitlab@9994aee6d3bc116e7be9d46aac0ae92851efaeda) ([merge request](gitlab-org/gitlab!92947)) **GitLab Enterprise Edition**
- [Update metrics settings alert to pajamas](gitlab-org/gitlab@6a38d9684c2be6f53bb5dce6beab2161cdd3e8c1) ([merge request](gitlab-org/gitlab!93604))
- [Enable paginated_mr_discussions feature by default](gitlab-org/gitlab@64ea93ed862af1511a7d1a42201a9ed6fd3f1f3f) ([merge request](gitlab-org/gitlab!93640))
- [Removed incorrect spacing used by btn-margin-5 variable](gitlab-org/gitlab@3d4d90f699aca308209e3d590e4b8b0d1ac1f542) ([merge request](gitlab-org/gitlab!89894))
- [Allow Sbom::Occurence.component_version to be nullable](gitlab-org/gitlab@e288b0e5c7a6795e7cab6bba7f6075d6ca0547e7) ([merge request](gitlab-org/gitlab!93293))
- [This MR adds header with status of DAST scan](gitlab-org/gitlab@0b4266d94b3491fbbff273bdfa3d32c24857e684) ([merge request](gitlab-org/gitlab!90551)) **GitLab Enterprise Edition**
- [Update alerts to pajamas design system](gitlab-org/gitlab@afccbb5c44cf2df18ebe5a7bec691d1bea5a37f7) ([merge request](gitlab-org/gitlab!93526))
- [Move and rename SAML troubleshooting page](gitlab-org/gitlab@2b8ec43ec498d26a160751c0a768b39a500d9b7a) ([merge request](gitlab-org/gitlab!93170))
- [GraphQL: Rename CiRunnerUpgradeStatusType](gitlab-org/gitlab@c59af0528a411d3fe36e65116880aa8ed59002dc) ([merge request](gitlab-org/gitlab!92891))
- [Move feedback issue](gitlab-org/gitlab@4a648fccce13aae773275e3bf6dd51c6e173036e) ([merge request](gitlab-org/gitlab!93471))
- [This MR allows user to see saved profiles](gitlab-org/gitlab@4f5e535a66725e50098eee7b2eee2191df3a1c4d) ([merge request](gitlab-org/gitlab!93238)) **GitLab Enterprise Edition**
- [Add upgrade status badges in runners](gitlab-org/gitlab@f5aa28a1e1db8bc92ef90ea9dc724afcfcfe146d) ([merge request](gitlab-org/gitlab!91905)) **GitLab Enterprise Edition**
- [This MR adds pipeline rule component](gitlab-org/gitlab@ef6741369b5fb19e9a6338503ce5bf20bce76be9) ([merge request](gitlab-org/gitlab!93054)) **GitLab Enterprise Edition**
- [Migrate pages no domains card to be pajamas compliant](gitlab-org/gitlab@c4501cbb5dffe03b67cc38dd24c413df6ee300ea) ([merge request](gitlab-org/gitlab!93422))
- [Migrate commit list card to be pajamas compliant](gitlab-org/gitlab@e40b0b95065e1e3029649324ef9dbe5c97a51741) ([merge request](gitlab-org/gitlab!93429))
- [Migrate admin notes view partial card to use pajamas compliant version](gitlab-org/gitlab@6b6e9f6a09fab6c908353ef8673ff3b9337d315f) ([merge request](gitlab-org/gitlab!93425))
- [Migrate pages access card to use pajamas compliant version](gitlab-org/gitlab@b0160b2a37997df7817e5b068f60a12c065302c2) ([merge request](gitlab-org/gitlab!93251))
- [Apply secure defaults for access tokens](gitlab-org/gitlab@975e62aded13c78baea6bb458fad540f6404efaa) ([merge request](gitlab-org/gitlab!93128))
- [Update design of security approvals in mr approval settings](gitlab-org/gitlab@60729b96d5087eb4dc755c96725cb57f6e3312e2) ([merge request](gitlab-org/gitlab!93309)) **GitLab Enterprise Edition**
- [Align runner details when viewing runner](gitlab-org/gitlab@7de9a38b56c82f5d76774e64688856c569e51523) ([merge request](gitlab-org/gitlab!92235))
- [Change how ownership works in pipeline schedules](gitlab-org/gitlab@076363d4452a64fdfe33e7ac15475e0a0dbe8a55) ([merge request](gitlab-org/gitlab!92706))
- [Order list of latest users by descending signup date](gitlab-org/gitlab@89cebea96858afeae857346142060d31416037b0) by @axel-loewe ([merge request](gitlab-org/gitlab!92347))
- [Convert email badges to a list](gitlab-org/gitlab@f3dbda3d08d53803df52be767b0ba2a6c7435030) ([merge request](gitlab-org/gitlab!93362))
- [Update subgroup creation page](gitlab-org/gitlab@94d004f0dcd5b95faab5e49877f623a01542cee6) ([merge request](gitlab-org/gitlab!91583))
- [Validate timeline event note on update](gitlab-org/gitlab@0b1751741c7005cf88d241128169fd137da853f0) ([merge request](gitlab-org/gitlab!93346))
- [Change runner cron job to run daily](gitlab-org/gitlab@90653ac0e3e159ed3b3a24de36bed7cfd93b453b) ([merge request](gitlab-org/gitlab!93172))
- [Clean up soft_validation_on_external_url feature flag](gitlab-org/gitlab@f553a8a466693c3989c6107177f0ea9f8b32c33b) ([merge request](gitlab-org/gitlab!93159))
- [Collect metrics from all pull mirrors](gitlab-org/gitlab@d6e0a7de11c97e5c79ce4b048d6ac1bc5e282e4e) ([merge request](gitlab-org/gitlab!93290)) **GitLab Enterprise Edition**
- [Create folder for Logs to prepare for nesting of other pages](gitlab-org/gitlab@f8590adba84222cf8b7626d50f77a22cb840d233) ([merge request](gitlab-org/gitlab!93136))
- [Update docker logo path](gitlab-org/gitlab@9d9023262c69cc810d4a7bc11cc581c5e27acc97) ([merge request](gitlab-org/gitlab!92265))
- [Set required nullable for weight argument](gitlab-org/gitlab@30b7c8ae151e6fac7fccdee6d3a4d09d3021cf65) ([merge request](gitlab-org/gitlab!92864)) **GitLab Enterprise Edition**
- [Update UX for attaching files in GFM input fields](gitlab-org/gitlab@9c6fade711a16afa9d0f3f33d76f8ce673341a32) ([merge request](gitlab-org/gitlab!92680))
- [Do not disable cadence start date field](gitlab-org/gitlab@313de7a231da1aa5790e0b7450ef557494dfae5d) ([merge request](gitlab-org/gitlab!92967)) **GitLab Enterprise Edition**
- [Fix ES client for nil password](gitlab-org/gitlab@cc7334b44df0193324750bb756e95b69a3a1fb8b) ([merge request](gitlab-org/gitlab!93184)) **GitLab Enterprise Edition**
- [Imported and used the monaco API explicitly](gitlab-org/gitlab@5eef43d05ef0fe9172cce8eace53023d22632bf7) ([merge request](gitlab-org/gitlab!89049))
- [Modifies storage email notifications delivery](gitlab-org/gitlab@bf29e82e592f2ae106da23e653a9720215ae8de9) ([merge request](gitlab-org/gitlab!92419)) **GitLab Enterprise Edition**
- [Update google-protobuf to v3.21.3](gitlab-org/gitlab@f9bcdf86b2c8ea9c75482dace154e0bcbb2e4f48) ([merge request](gitlab-org/gitlab!93122))
- [Adding Geo support of Project-level Secure Files](gitlab-org/gitlab@3bd7723b017f1961d50b7c22d57ee39608887c53) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/91430)) **GitLab Enterprise Edition**
- [Update new list on boards page to match Pajamas specs](gitlab-org/gitlab@653f612d46c0c46d350af5462684347311e56f6c) ([merge request](gitlab-org/gitlab!92899))
- [Move deployment approval from popover to modal](gitlab-org/gitlab@734b93110b8a4a657685ea91437f1903c9b56fae) ([merge request](gitlab-org/gitlab!93033)) **GitLab Enterprise Edition**
- [Trigger KeepAroundRefsCreatedEvent event only if SHAs are passed](gitlab-org/gitlab@82274eb2c0bfbd5a356a7bd4f07c0faaf4d74e23) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/92201)) **GitLab Enterprise Edition**
- [Update Salesforce logo for OAuth](gitlab-org/gitlab@2eb22ddd04ba9ad4c42a46f809b02c8aa93ddaf0) ([merge request](gitlab-org/gitlab!93037))
- [Add loading icon to audit event pages](gitlab-org/gitlab@64d22a5cecdb421d3b2d5aa6eb6080bee4f64db7) ([merge request](gitlab-org/gitlab!93101)) **GitLab Enterprise Edition**
- [Generate links for escaped content](gitlab-org/gitlab@1507aa26f4a045dbf028ac0f9d7eb76d1f9d5827) ([merge request](gitlab-org/gitlab!93078))
- [Update External wiki to use sections](gitlab-org/gitlab@89712de99d58a52f7c62a2f331a15757cfd1ae18) ([merge request](gitlab-org/gitlab!93066))
- [Update JWT OAuth logo](gitlab-org/gitlab@32de99510c62ea9afdd3fbca3bc002e5a0b85ea2) ([merge request](gitlab-org/gitlab!93022))
- [Use #use_open_file for Packages::Debian::ExtractDebMetadataService](gitlab-org/gitlab@b234d27300831e153ceaaf6c554aeb22055d29df) by @sathieu ([merge request](gitlab-org/gitlab!93023))
- [Adjust buckets for Pull Mirroring metrics](gitlab-org/gitlab@2902a8cc386b39e53654fd1944a4fab32a40c11d) ([merge request](gitlab-org/gitlab!93018)) **GitLab Enterprise Edition**
- [Bump Gitlab Shell to 14.10.0](gitlab-org/gitlab@a22d1e8bb1a261df934ca0b2d3eb8e385d51b8c8) ([merge request](gitlab-org/gitlab!92991))
- [Update database migration helper](gitlab-org/gitlab@05e65893d89c7d766242f27034c63c4f58a580d6) ([merge request](gitlab-org/gitlab!92660))
- [Drop /api/v4 suffix in GitLab OmniAuth documentation](gitlab-org/gitlab@1508ab3f8a5d9cdc858f06b9b7934833bea14f49) ([merge request](gitlab-org/gitlab!92943))
- [Add Gitlab Contribution Cost Factor](gitlab-org/gitlab@dc505a0eb18323ac5c4850f203070284504cfe4f) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/92584)) **GitLab Enterprise Edition**
- [Update Discord notifications to use sections](gitlab-org/gitlab@23198235f79c3d0923072a165507eab71597e592) ([merge request](gitlab-org/gitlab!92971))
- [Updated Linked issues to Linked items](gitlab-org/gitlab@6600c249f2fb372a6c200af488b86ffa4dc2ef45) ([merge request](gitlab-org/gitlab!90928))
- [Synchronize vulnerability findings temporary index](gitlab-org/gitlab@bff4c71b65aceef55deb955cf51bc4f7370e2ede) ([merge request](gitlab-org/gitlab!92329))
- [Allow pagination=none for recursive tree API](gitlab-org/gitlab@fa57631212c0ca820c46a5033c721f4fabb6d280) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/92624))
- [Remove log messages](gitlab-org/gitlab@fe1a361fd15e63d00500268a28a4e18d336a5876) ([merge request](gitlab-org/gitlab!92904))
- [Default enable linear root ancestor query](gitlab-org/gitlab@c892b0ec2a44937a2c755f48e14f54431c685e39) ([merge request](gitlab-org/gitlab!92853))
- [Add new move to project modal](gitlab-org/gitlab@52993f46ef86c306129df1c5cac1b0ca3e5b70fa) ([merge request](gitlab-org/gitlab!92121))
- [Migrate card class to Pajamas::CardComponent](gitlab-org/gitlab@5dd2b58aa2fda6527ae7a80bfc677c65f8efa85f) ([merge request](gitlab-org/gitlab!91761))
- [Updates puma to 5.6.4](gitlab-org/gitlab@a84e75d3335869511aa8d8817cf106d8a07d8fd7) ([merge request](gitlab-org/gitlab!84118))
- [Remove `personal_access_tokens_scoped_to_projects` feature flag](gitlab-org/gitlab@1af015b1317ce391851c3736898c8e1979640d64) ([merge request](gitlab-org/gitlab!92689))
- [Enable feature flag `approval_rules_pagination`](gitlab-org/gitlab@6c975658fd69088c26ca4bc5c2a831be47a10dde) ([merge request](gitlab-org/gitlab!91882))
- [Bump to major version 3 for kics](gitlab-org/gitlab@b59d4c6373efd3bb461c0a23e921505f6cacc13f) ([merge request](gitlab-org/gitlab!92475))
- [Use the latest pipeline for a branch instead of](gitlab-org/gitlab@34f1514e9f03b7fd78e240a002f3ec198fb1455f) ([merge request](gitlab-org/gitlab!92125)) **GitLab Enterprise Edition**
- [Add allowlisted users to Abuse::ExcessiveProjectsDownloadBanService](gitlab-org/gitlab@b7b03246eca2240090cb75e7c7b0024fbcb6538a) ([merge request](gitlab-org/gitlab!91181)) **GitLab Enterprise Edition**

### Deprecated (3 changes)

- [Deprecate confidential attribute for notes](gitlab-org/gitlab@599c7a834963ed9943ac266f851c10fc57220700) ([merge request](gitlab-org/gitlab!95043))
- [Add deprecation warning for Redis 5](gitlab-org/gitlab@286042f75fe34f686aada3144c873b960a7021b2) by @tnir ([merge request](gitlab-org/gitlab!93990))
- [Remove build_coverage_regex from project](gitlab-org/gitlab@16aa4b399910657215cd9f3de2525a45384fcbd8) ([merge request](gitlab-org/gitlab!94028))

### Removed (15 changes)

- [Disable support for delayed project deletion for personal projects](gitlab-org/gitlab@62440d9e4d2429405f21b3d41ffb4f7cadeef905) ([merge request](gitlab-org/gitlab!95495)) **GitLab Enterprise Edition**
- [Removed unused graphql field issuesCount](gitlab-org/gitlab@c9cc2b8cb1fbed5967575f0810f27391c2e90549) ([merge request](gitlab-org/gitlab!89587)) **GitLab Enterprise Edition**
- [Remove shared runner usage tab](gitlab-org/gitlab@05c851cb48eb9b537c8a91da005e15c3612f729e) ([merge request](gitlab-org/gitlab!94978))
- [Remove clients column](gitlab-org/gitlab@74c4ce409bc79825c0b0fb70deba946998c882d1) ([merge request](gitlab-org/gitlab!94972))
- [Remove sorting vulnerabilities by report_type](gitlab-org/gitlab@8135d66c26b8c330d74c1e8f7c5c0fbb27a392c2) ([merge request](gitlab-org/gitlab!94796)) **GitLab Enterprise Edition**
- [Remove `additional_amount_available` column](gitlab-org/gitlab@d0ff52f84f2c54398f60521cc450cb2045fd2554) ([merge request](gitlab-org/gitlab!94798))
- [Removes ci_retry_downstream_pipeline feature flag](gitlab-org/gitlab@9b01d52e51ff3893931f5a7d3a21faddd87f0787) ([merge request](gitlab-org/gitlab!93838))
- [Remove the use_keyset_aware_user_search_query FF](gitlab-org/gitlab@da36b5dab67386e7770086a8d7f8ea585a52632f) ([merge request](gitlab-org/gitlab!93449))
- [Remove uncached_mr_attention_requests_count feature flag](gitlab-org/gitlab@25432b4c26172fda5e3fa52f3f2c5961c14cad42) ([merge request](gitlab-org/gitlab!93431))
- [Remove the new_graphql_keyset_pagination FF](gitlab-org/gitlab@d2c298cdf59e0733560b6991edb183286323b055) ([merge request](gitlab-org/gitlab!92221))
- [Remove pat and ssh enforcement database columns](gitlab-org/gitlab@10ef4a56a34d7f7a1d33d5187b9ba2bb889eabbf) ([merge request](gitlab-org/gitlab!92759))
- [Remove sorting vulnerabilities by state](gitlab-org/gitlab@4bcee38829ebe2eb8b854ac9c5aeaa8839158537) ([merge request](gitlab-org/gitlab!92968)) **GitLab Enterprise Edition**
- [Remove unused semver column on ci_runners](gitlab-org/gitlab@61988376e5f36836ce05d21295a3a78c6ce53435) ([merge request](gitlab-org/gitlab!92806))
- [Drop migrated_to_new_structure column](gitlab-org/gitlab@f1f84190916177e42a25356bd460fae1236809d4) ([merge request](gitlab-org/gitlab!91383))
- [Remove streaming_audit_event_headers feature flag](gitlab-org/gitlab@762084515afba113a41c4b53db1c1ec1f9443553) ([merge request](gitlab-org/gitlab!92900)) **GitLab Enterprise Edition**

### Security (22 changes)

- [Drop soft enforcement of restricted YAML deserialization classes](gitlab-org/gitlab@203947ec61710bef2cd3761c03825f5d8062bd6a) ([merge request](gitlab-org/gitlab!94301))
- [Add additional condition to accept invitation](gitlab-org/gitlab@ab6a8d10b837acca4ada99d3ce25b4fde9569d29)
- [Prevent users who cannot admin a public project from viewing deploy keys](gitlab-org/gitlab@7f37133a0589744b73b63027b050f55d726eeac2)
- [Protect Grafana and Sentry integrations](gitlab-org/gitlab@9be7ba5e17e53de15a632eabbba75b3c9447782c)
- [Check permissions when filtering by contact or organization](gitlab-org/gitlab@6a43b24062256244e3394e12eccc6d5f08f34bf6)
- [Maintainer can change the visibility of Project and Group](gitlab-org/gitlab@673f39103d5bebb6e9caf0a54020e185b6a69575)
- [Protect integration secrets](gitlab-org/gitlab@d3b339b1c90b2dcd1c06236814d81d9906780ee3)
- [Fix IDOR in Jira issue show action](gitlab-org/gitlab@3ffd8a8a229d0912bf15865244a9235cd84803d8)
- [Do not link unverified secondary emails with any users](gitlab-org/gitlab@8dc17acc7e4dbc2b007670ca9d373de7534ccd2b)
- [Update gitaly version](gitlab-org/gitlab@08036ab63b3a43abfcc06d9f48e97ca4f1d9e0a7)
- [Update Rails to v6.1.6.1](gitlab-org/gitlab@c10bfb87583a8a750d88f582d2655b86935cf0a5) ([merge request](gitlab-org/gitlab!92400))
- [Update version of Gitaly](gitlab-org/gitlab@120c36dc04891825e87274f28c22214cfaf5a2cd)
- [Remove group_bot_user and group_access_token after group delete](gitlab-org/gitlab@66a96ac838efcc672cc3e505d8cfc521a2e4dd12)
- [Security datadog integration leaking](gitlab-org/gitlab@e4d79c0dca103cec6f275c9d2ea662d226fe3181)
- [Add html_escape to build_details_entity](gitlab-org/gitlab@7a21e5f26bfd259e378ec3298408a181b27bc512)
- [Remove todos from confidential notes when user loses access](gitlab-org/gitlab@f74fab12f709ffa5276183932caa130b6110e694)
- [Remove feature flag `ci_yaml_limit_size`](gitlab-org/gitlab@a9d98223ece3602977d7333897213d785370a226)
- [Forbid exchanging access token for ROP flow to users required 2FA setup](gitlab-org/gitlab@7c830e6c177d05bf1c6056360cf385020cbadbde)
- [Use author to run subscribed pipeline](gitlab-org/gitlab@bfdd48401252427dbea8069fdeb1de582c97e7cd)
- [Update GITLAB_PAGES_VERSION](gitlab-org/gitlab@f2fbcd3b41c9809ecfa36f5fd4c116061b1adf36)
- [Remove prohibited branches after project import](gitlab-org/gitlab@ab4aa0a04b03cd8aeb12d3d6e05098febd98868c)
- [Limit proxied requests to Grafana API](gitlab-org/gitlab@d8c1e63f11a686ec00e85a527e80a446b4c7b501)

### Performance (12 changes)

- [Prevent n+1s when fetching epics on big group hierarchies](gitlab-org/gitlab@051fa487354d3c2d534d03dbc1a744c4ae66f0da) ([merge request](gitlab-org/gitlab!93601)) **GitLab Enterprise Edition**
- [Move transfer project namespace dropdown to GraphQL](gitlab-org/gitlab@5ad75640e6d0c07591c1c6ef27915305085a2c7e) ([merge request](gitlab-org/gitlab!91538))
- [Cleaup import_relation_object_persistence feature flag](gitlab-org/gitlab@adb446a6ebce3982a8f2958ecfae626354bb44a4) ([merge request](gitlab-org/gitlab!94309))
- [Expire branch cache for bulk creation only once](gitlab-org/gitlab@8f02f68e16b864d83c713a4b58342296cd84fa3b) ([merge request](gitlab-org/gitlab!94069))
- [Add index to fix integration metrics performance](gitlab-org/gitlab@79a42159015daea2484fd65dbd666b29d2b08f31) ([merge request](gitlab-org/gitlab!93831))
- [Improve loading of blobs from paginated diffs](gitlab-org/gitlab@c96d1cfdafa45c1dce6537bf60bfec4c0714137d) ([merge request](gitlab-org/gitlab!92648))
- [Skip extra VSA requests when theres no value stream](gitlab-org/gitlab@5e88695686c0c6676903f4624ebc8ceb8d135ddb) ([merge request](gitlab-org/gitlab!92503)) **GitLab Enterprise Edition**
- [Increase rendered elements while loading large files](gitlab-org/gitlab@b49b2eb353a58cae6b440fc11863cfd2c15ad263) ([merge request](gitlab-org/gitlab!93094))
- [Improve participants loading performance](gitlab-org/gitlab@938ccf01c0ac999ff78b287ba8ecfa188bec3491) ([merge request](gitlab-org/gitlab!92058))
- [Improve blob rendering time](gitlab-org/gitlab@b0bd4e167c5b1424c70284de7945a38e899c9531) ([merge request](gitlab-org/gitlab!92987))
- [Generate links to dependencies in gemspec files](gitlab-org/gitlab@3c40ae14aff836caaf0e4ea2ae67f0552e6cca85) ([merge request](gitlab-org/gitlab!92763))
- [Refresh smaller TTL for highlighting diffs cache](gitlab-org/gitlab@0a70c73334a72abfbc95254f5993033bc13014f9) ([merge request](gitlab-org/gitlab!92456))

### Other (70 changes)

- [Track pipeline simulation in the pipeline editor](gitlab-org/gitlab@5241aa16f225ab4495aa81cdf7cb5f9ce2feddb9) ([merge request](gitlab-org/gitlab!95141))
- [Create Imageable concern for CI Image and Service config](gitlab-org/gitlab@643f2fedbe23df1eedd6e085eac9af1935cbdc25) by @ali_o_kan ([merge request](gitlab-org/gitlab!95175))
- [Remove feature flag lfk_automatic_partition_dropping](gitlab-org/gitlab@248b19bccf468ab91a00f68544f7297da571c4d1) ([merge request](gitlab-org/gitlab!95295))
- [Clean up attention request related todos](gitlab-org/gitlab@67c7d7a137201bb77db3b573eca3721bc5f88810) ([merge request](gitlab-org/gitlab!94008))
- [Update google-cloud-env from 1.5.0 to 1.6.0 in /qa](gitlab-org/gitlab@d847c9c9018789aee3fda5c5dec4cfca295ab1eb) by @tnir ([merge request](gitlab-org/gitlab!94201))
- [Cleanup feature flags and env vars for cross_database_modification](gitlab-org/gitlab@6bdd3f06c5725315d1d1c7a14e5ce768ab26284f) ([merge request](gitlab-org/gitlab!95124))
- [Backfill project import level on namespace settings](gitlab-org/gitlab@6fb557377d3c32e84dbf8d08ceed06e402dc8ff6) ([merge request](gitlab-org/gitlab!93202))
- [Improve Import/Export logs](gitlab-org/gitlab@a8db7be3d9b90f1f3069687c2225a1429183d8be) ([merge request](gitlab-org/gitlab!94251))
- [RuboCop: Enable previously disabled Style/IfInsideElse](gitlab-org/gitlab@450447f68c7cfd300a823009123ae435c73994d6) by @edith007 ([merge request](gitlab-org/gitlab!94117))
- [RuboCop: Enable previously disabled Style/PercentLiteralDelimiters](gitlab-org/gitlab@b4dcbd3a634a8d1e1fb973c3be337fb67543c0fa) by @edith007 ([merge request](gitlab-org/gitlab!94329))
- [RuboCop: Enable previously disabled Style/FormatString](gitlab-org/gitlab@db491faccf7e4d6d0bb6701b384525e453a35852) by @edith007 ([merge request](gitlab-org/gitlab!94092))
- [RuboCop: Enable previously disabled Style/EmptyElse](gitlab-org/gitlab@fda2e6dde69fb5602d11ec81e92fc2705fd15ffa) by @edith007 ([merge request](gitlab-org/gitlab!94103))
- [RuboCop: Enable previously disabled Style/GuardClause](gitlab-org/gitlab@793463a7b561f4b18a567b4e017dc70bf8755666) by @edith007 ([merge request](gitlab-org/gitlab!94099))
- [RuboCop: Enable previously disabled Style/RedundantInterpolation](gitlab-org/gitlab@59df47d4c4e3ae6d937229d234b61189f6320ed7) by @edith007 ([merge request](gitlab-org/gitlab!94331))
- [RuboCop: Enable previously disabled Style/IfUnlessModifier](gitlab-org/gitlab@78d63086b1106530bd820da4044fdb37086ca89b) by @edith007 ([merge request](gitlab-org/gitlab!94119))
- [RuboCop: Enable previously disabled Style/RedundantRegexpEscape](gitlab-org/gitlab@82e263563a8f121c3cdfcb90bf68fa89e4204a9e) by @edith007 ([merge request](gitlab-org/gitlab!94334))
- [RuboCop: Enable previously disabled Style/RedundantSelf](gitlab-org/gitlab@2e0f058771e78564977118b005751e36b0820d31) by @edith007 ([merge request](gitlab-org/gitlab!94342))
- [RuboCop: Enable previously disabled Style/StringConcatenation](gitlab-org/gitlab@4b7cfe1b8358c96984775119fe041c2012f41678) by @edith007 ([merge request](gitlab-org/gitlab!94357))
- [Add links to instance fingerprints](gitlab-org/gitlab@65a5822f9a083c471cd7eb18687612d7b58a4f41) by @TrueKalix ([merge request](gitlab-org/gitlab!93162))
- [RuboCop: Enable previously disabled Style/HashAsLastArrayItem](gitlab-org/gitlab@bf22dd9499b0997283c72b2e831362d89261d52c) by @edith007 ([merge request](gitlab-org/gitlab!94112))
- [RuboCop: Enable previously disabled Style/HashEachMethods](gitlab-org/gitlab@7e556c55ce92ad11deeebea1b0f951a73ed50b12) by @edith007 ([merge request](gitlab-org/gitlab!94115))
- [RuboCop: Enable previously disabled Style/SymbolProc](gitlab-org/gitlab@90f424f8f54d670577df0b6fb5596b2d65d343d9) by @edith007 ([merge request](gitlab-org/gitlab!94372))
- [Add yml definitions for metric](gitlab-org/gitlab@b9ce99c18e0497713e406b616492f5ffcc0ebe7a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/94048))
- [Update "working with uploads" dev docs](gitlab-org/gitlab@cf049a3d46798d1e74ce38883e685460cc249989) ([merge request](gitlab-org/gitlab!89852))
- [Schedule index removal for security findings](gitlab-org/gitlab@05373c570126833c2487028cfd1eba0f4e8c3f3e) ([merge request](gitlab-org/gitlab!94773))
- [Switch back to license_finder and update to 7.0.1](gitlab-org/gitlab@9d26aef20e23487d96f5bf12e8b21dd72fc1124f) by @tnir ([merge request](gitlab-org/gitlab!94964))
- [No-op migrations to backfill namespace/project mirror tables](gitlab-org/gitlab@6fc453bead7e665229a592db59f895d8a2103887) ([merge request](gitlab-org/gitlab!93538))
- [RuboCop: Enable previously disabled Style/Next](gitlab-org/gitlab@0f1f67971459e8deaa8cca74d5f4f14d9b6b5f4e) by @edith007 ([merge request](gitlab-org/gitlab!94325))
- [RuboCop: Enable previously disabled Style/MissingRespondToMissing](gitlab-org/gitlab@9868dc1982ecaeb81cee9b4186d68b37f6c47cba) by @edith007 ([merge request](gitlab-org/gitlab!94321))
- [Remove feature flag incremental_repository_backup](gitlab-org/gitlab@fbc3c14bab38af4cf710d4c06d6747e4e46c61cf) ([merge request](gitlab-org/gitlab!93645))
- [Exclude gin and bluemonday package from dependencies](gitlab-org/gitlab@563163f762aa128266181b46ec9d2969f5c32d13) ([merge request](gitlab-org/gitlab!94305))
- [Update octokit from 4.21.0 to 4.25.1 in /qa](gitlab-org/gitlab@c2cd51c69c8d5b9169277b5373c592b9713ee2a2) by @tnir ([merge request](gitlab-org/gitlab!94205))
- [Update signet from 0.14.0 to 0.17.0](gitlab-org/gitlab@96d0cbaf1dbd92c640152188e462f63b304b1355) by @tnir ([merge request](gitlab-org/gitlab!94202))
- [Update google-cloud-env from 1.5.0 to 1.6.0](gitlab-org/gitlab@4297a35edb2eda21e84d6ebfe2f6b40a575eccbf) by @tnir ([merge request](gitlab-org/gitlab!94194))
- [Update acme-client from 2.0.9 to 2.0.11](gitlab-org/gitlab@cd81685d847a97338eef55344a64251ce82254d5) by @tnir ([merge request](gitlab-org/gitlab!94193))
- [Disable ultimate features for public projects with 1 member and no repo](gitlab-org/gitlab@abed55e6f4322012801db806b31fd80ac0218941) ([merge request](gitlab-org/gitlab!92984))
- [Rollout use_redis_hll_instrumentation_classes ff](gitlab-org/gitlab@3208ac5aa2704e318691266102b45e796e701d21) ([merge request](gitlab-org/gitlab!93456))
- [Update Jira Deployment Type](gitlab-org/gitlab@b6f2aa81264ddf6d4ef0e237e60638473bf7ae67) by @lenikadali ([merge request](gitlab-org/gitlab!93213))
- [Remove RequirementsManagement::CreateRequirementService](gitlab-org/gitlab@f35e66031cf5770842b3bc30245fe9b0929168c8) ([merge request](gitlab-org/gitlab!93226)) **GitLab Enterprise Edition**
- [Improve gravatar service administration docs](gitlab-org/gitlab@87472c45841484a63be19eac9d2f3c3576b6a91a) by @tnir ([merge request](gitlab-org/gitlab!94051))
- [Use update_work_item mutation for removing WI](gitlab-org/gitlab@f6f2e2151966aaf49165f9b1e66d218ca7ec2af5) ([merge request](gitlab-org/gitlab!94000))
- [Remove enforce_security_report_validation flag](gitlab-org/gitlab@af6178e1bcb9058e85cb06dccd61b86f58f3a639) ([merge request](gitlab-org/gitlab!92992))
- [Add partial GIN indexes for issues table](gitlab-org/gitlab@8e279a24b63b3832cfdef4eb55d637cf4625458f) ([merge request](gitlab-org/gitlab!92739))
- [Convert final angle icons to chevrons](gitlab-org/gitlab@5e7dd09ef46e29727c21f0780097b511e09d2bcb) ([merge request](gitlab-org/gitlab!93592))
- [Removing the FF remove-fix_sliding_list_partitioning](gitlab-org/gitlab@f5381d87c4473d549e0ce2be60168fd0f7dfa6c3) ([merge request](gitlab-org/gitlab!93584))
- [Remove highlight_diffs_optimize_memory_usage feature flag](gitlab-org/gitlab@174686274f2d07a2f6cfabb7a094fdff6dc52afb) ([merge request](gitlab-org/gitlab!93443))
- [Reschedule migration to remove ultimate license from non-public projects](gitlab-org/gitlab@f926008d9b3b9ac0eab3cc8abeece3310caafc52) ([merge request](gitlab-org/gitlab!93099))
- [Decrease the urgency of unleash endpoint](gitlab-org/gitlab@45ddfe8f54c240de981d8101d3dfb3220d12e466) ([merge request](gitlab-org/gitlab!93070))
- [Delete FF ci_fix_rules_if_comparison_with_regexp_variable](gitlab-org/gitlab@3e607808889f0fae1e720bb243c2e110ca964a65) ([merge request](gitlab-org/gitlab!93223))
- [Bump yajl-ruby gem version](gitlab-org/gitlab@de1933bd8859cb7c33e2581fc889dde725262d6c) ([merge request](gitlab-org/gitlab!93389))
- [Remove analytics_devops_adoption_codeowners feature flag](gitlab-org/gitlab@30f89cbb3f92e01c4851f2f92b957d8e9df17cec) ([merge request](gitlab-org/gitlab!93086)) **GitLab Enterprise Edition**
- [Reference forked, FIPS-compatible NGINX](gitlab-org/gitlab@ec91d7457268e7bd6a97b8e5e9f302f0b2360f2f) ([merge request](gitlab-org/gitlab!92707))
- [Revert "Merge branch 'mmj-async-all-project-auth-refreshes' into 'master'"](gitlab-org/gitlab@46b3f71e717e76aba7479b573916fc5d97f47ee4) ([merge request](gitlab-org/gitlab!93332))
- [Update cluster details alert to pajamas](gitlab-org/gitlab@8fd7822dd81e3690e3e3a27399075be607bb4545) ([merge request](gitlab-org/gitlab!93315))
- [Remove pending builds covering index](gitlab-org/gitlab@653f7cc8d4c9aab419c7c83bd251c69f19378577) ([merge request](gitlab-org/gitlab!92877))
- [Disable ultimate features for public projects with no issues and no repo](gitlab-org/gitlab@85bc86c680552bc903f21d1ed89090a829e3bc9b) ([merge request](gitlab-org/gitlab!93090))
- [No-op old migration disable_job_token_scope_when_unused](gitlab-org/gitlab@f34a07627dbd18fb52dbf70c83030a635966eb8b) ([merge request](gitlab-org/gitlab!92395))
- [No-op old migration associate_existing_dast_builds_with_variables](gitlab-org/gitlab@e57c348591d45b20de07596bd93104c8d57933dc) ([merge request](gitlab-org/gitlab!92395))
- [No-op old migration copy_ci_builds_columns_to_security_scans2](gitlab-org/gitlab@08011855a360562b0066a779ae4ec18f768808bb) ([merge request](gitlab-org/gitlab!92395))
- [Backfill the `namespace_id` of existing `vulnerability_reads` records](gitlab-org/gitlab@d39498e32a20f5007215001790549866a9204a55) ([merge request](gitlab-org/gitlab!93110))
- [Delete FF ci_expand_environment_name_and_url](gitlab-org/gitlab@e6f4715cbebec84b11b7e5ce89f88ea11023e0ca) ([merge request](gitlab-org/gitlab!93218))
- [Add start_date to issues table](gitlab-org/gitlab@e28cd153b9e35051be20db5d9e21a6f77b91144c) ([merge request](gitlab-org/gitlab!92953))
- [Use utility classes in test report](gitlab-org/gitlab@5f0a684e12a6eb645fd4084e8f7498fe233dd949) ([merge request](gitlab-org/gitlab!92815))
- [Prepare partial issue trigram indexes](gitlab-org/gitlab@c713fadef7bdf5abfb80f4d072f9f5328c2eaa00) ([merge request](gitlab-org/gitlab!93002))
- [Remove FF batch_load_environment_last_deployment_group](gitlab-org/gitlab@7026445b3b1eaed089064cbb7d17a78d667bde4b) ([merge request](gitlab-org/gitlab!92976))
- [Update user API docs to better indicate SaaS availability](gitlab-org/gitlab@2933172dd3633f4fd44286c71b7072234a100455) by @zillemarco ([merge request](gitlab-org/gitlab!92975))
- [Remove token column from ci_builds table](gitlab-org/gitlab@a00890b7ac4240c4704697b087473ac20588c043) ([merge request](gitlab-org/gitlab!92894))
- [Drop unused index on ci_builds](gitlab-org/gitlab@31b5d0992dc73b88a37430f50b20f9d5308dee3c) ([merge request](gitlab-org/gitlab!92747))
- [Remove FF import_release_authors_from_github](gitlab-org/gitlab@c4d6871e4438a1626d688856903778623138f671) ([merge request](gitlab-org/gitlab!92686))
- [Remove unused feature](gitlab-org/gitlab@0ef95d341e4a15150d6ccb3d104ebbe064aa062a) ([merge request](gitlab-org/gitlab!92753))

## 15.2.5 (2022-09-29)

### Security (16 changes)

- [Geo: Do not delete object stored files when not GitLab managed](gitlab-org/security/gitlab@340554d933823b0424e16318673ccd6a82e87d35) ([merge request](gitlab-org/security/gitlab!2775))
- [Redact user's private email in group member event webhook](gitlab-org/security/gitlab@dcc5fd6bcef40109c92e0faa34bf52b568465e80) ([merge request](gitlab-org/security/gitlab!2795))
- [Redact secrets from WebHookLogs](gitlab-org/security/gitlab@e53429f776d06b9881f20a000d1a2b40e2f13a2c) ([merge request](gitlab-org/security/gitlab!2657))
- [Forbid creating a tag using default branch name](gitlab-org/security/gitlab@ff172ca5d5550d3ff263efaef9ce18b6b78cbfbb) ([merge request](gitlab-org/security/gitlab!2800))
- [Sanitize Url and check for valid numerical errorId in error tracking](gitlab-org/security/gitlab@2d983dc2b99f387c1e30312cb452cf21a4aa6f27) ([merge request](gitlab-org/security/gitlab!2786))
- [Add security protection for Github](gitlab-org/security/gitlab@9f6d284039431f1376c4be03f5d364e12090fbc7) ([merge request](gitlab-org/security/gitlab!2804))
- [Fix leaking emails in WebHookLogs](gitlab-org/security/gitlab@7e0e629f7559ad1ad7375a4ab94748febe5fd1ef) ([merge request](gitlab-org/security/gitlab!2808))
- [Restrict max duration to 1 year for trace display](gitlab-org/security/gitlab@2df0b5b9978b09bbc95efbea5f227e3afaa220c7) ([merge request](gitlab-org/security/gitlab!2816))
- [Use UntrustedRegexp for upload rewriter](gitlab-org/security/gitlab@c0bd5867a091ed7d04e19a6598c2e112daca4861) ([merge request](gitlab-org/security/gitlab!2792))
- [Validate httpUrlToRepo to be http or https only](gitlab-org/security/gitlab@98ee48505898f3b5535587c0081292d82b94009e) ([merge request](gitlab-org/security/gitlab!2761))
- [Respect instance level rule for editing approval rules](gitlab-org/security/gitlab@7157ddbaf6be664a708b24f59be541d7e16fbbd6) ([merge request](gitlab-org/security/gitlab!2783))
- [Prevent users creating issues in ay project via board/issues controller](gitlab-org/security/gitlab@55b2ba96fa53b2aa3e8de889bc05671339f7aa76) ([merge request](gitlab-org/security/gitlab!2779))
- [Prevent serialization of sensible attributes from JsonCache](gitlab-org/security/gitlab@809aff4805a2916425f7ec0cd995101140f663f8) ([merge request](gitlab-org/security/gitlab!2772))
- [Update TodoPolicy to handle confidential notes](gitlab-org/security/gitlab@b95b1bc4ea7b5d69ff02283789c68f821ec54cee) ([merge request](gitlab-org/security/gitlab!2749))
- [Enforce group IP restriction on Dependency Proxy](gitlab-org/security/gitlab@4342542081be434e013110f9dd456b5caf286464) ([merge request](gitlab-org/security/gitlab!2765))
- [Fixes XSS in widget extensions](gitlab-org/security/gitlab@e3d4d46967e72f12645d08ef1879223a1ec2d398) ([merge request](gitlab-org/security/gitlab!2675))

## 15.2.4 (2022-08-30)

### Security (18 changes)

- [No overriding methods for Sawyer class](gitlab-org/security/gitlab@fafcaf91c510ace5c3fc845197fa71d2ad8943cc) ([merge request](gitlab-org/security/gitlab!2755))
- [Update Oj to v3.13.21](gitlab-org/security/gitlab@e14f62112f51315288f3f08108b59cf40ab5635e) ([merge request](gitlab-org/security/gitlab!2729))
- [Bump yajl-ruby gem version](gitlab-org/security/gitlab@ad7469e802aff36989276bd77afcebf9bcb8a545) ([merge request](gitlab-org/security/gitlab!2689))
- [Prevent long loops when generating suggested branch name](gitlab-org/security/gitlab@f8f1631a7751b40444debbd69188187c895d2ad6) ([merge request](gitlab-org/security/gitlab!2744))
- [IDOR in Zentao integration issue show page](gitlab-org/security/gitlab@01004871400564e5b18a2efa4f6d87c8ca37db5c) ([merge request](gitlab-org/security/gitlab!2741))
- [Patch VULNDB-255039 (potential Rack cache poisoning)](gitlab-org/security/gitlab@a951318f5870e8f35c742eab58132c63d6d36198) ([merge request](gitlab-org/security/gitlab!2694))
- [HTML escape the label background color](gitlab-org/security/gitlab@de115e3b0896aa1504882d3230b5427506fee3e2) ([merge request](gitlab-org/security/gitlab!2720))
- [Sandbox jupyter notebook HTML output](gitlab-org/security/gitlab@67aeba4ae4c95d2668d0428cb66d263ee4247b68) ([merge request](gitlab-org/security/gitlab!2711))
- [Fix unauthorized GFM references in Incident Timeline](gitlab-org/security/gitlab@f091bc238efa1d669c1257aa146339f4b1134a0c) ([merge request](gitlab-org/security/gitlab!2708))
- [Optimize handling repositories with huge trees](gitlab-org/security/gitlab@9969c2cabccef2367631498f38ab8d0b19cf9da3) ([merge request](gitlab-org/security/gitlab!2666))
- [Parse commit trailers without using regexp](gitlab-org/security/gitlab@9bd64457525313a949f151fd27f2954ff71e399d) ([merge request](gitlab-org/security/gitlab!2700))
- [Check for pathological markdown input](gitlab-org/security/gitlab@c05642874c38e4d914297ad788a07c42b77b6b1e) ([merge request](gitlab-org/security/gitlab!2732))
- [Replaced smooshpack to fix the vulnerability in LivePreview](gitlab-org/security/gitlab@e48df65563c6c66fd6d89fb7bf626bdf8b465cc0) ([merge request](gitlab-org/security/gitlab!2662))
- [Update package auth for group IP allowlist](gitlab-org/security/gitlab@eb7b9e646732cc3590e00d5694d5a662e71c9f99) ([merge request](gitlab-org/security/gitlab!2684))
- [Don't show pipeline status](gitlab-org/security/gitlab@a5962d9ee7aec4f86a982f2d686a690806df6f15) ([merge request](gitlab-org/security/gitlab!2680))
- [Sanitize img attributes in Banzai::Filter::ImageLinkFilter](gitlab-org/security/gitlab@ee68b29c2199e1c399a4d0065ed53c50592e54a0) ([merge request](gitlab-org/security/gitlab!2676))
- [Validate description length for snippets](gitlab-org/security/gitlab@e9e4c3b3109590a5c12ecb2f25e4641dd408ce36) ([merge request](gitlab-org/security/gitlab!2703))
- [Prevent brute force vuln for Git over HTTP(S) requests](gitlab-org/security/gitlab@aab24e532b8c0b9e8acc90e7954434519e19b908) ([merge request](gitlab-org/security/gitlab!2717))

## 15.2.3 (2022-08-22)

### Security (2 changes)

- [Validate if values to be saved in Redis can be converted to string](gitlab-org/security/gitlab@427c7818b229fd45b10cb5de9ea6cc7c451dd4da) ([merge request](gitlab-org/security/gitlab!2724))
- [Fix CSS selector used in specs](gitlab-org/security/gitlab@47bb40d097e2b05ecdbeebf6bdbe6eb9b6db1c7b) ([merge request](gitlab-org/security/gitlab!2727))

## 15.2.2 (2022-08-01)

### Fixed (6 changes)

- [Upgrade Oj to v3.13.19 to fix a seg fault](gitlab-org/gitlab@758dff584369303f4176a96ac130954724a0e9f5) ([merge request](gitlab-org/gitlab!93652))
- [Gracefully handle nil created_at values in CI pipelines](gitlab-org/gitlab@492a3dcf6c37f8968282a93cf485f2358ecd7943) ([merge request](gitlab-org/gitlab!93652))
- [Fix CI artifact sizes not logged for some runner endpoints](gitlab-org/gitlab@97ca5e38b1917239bb62cbd338eb689a0ff15fbb) ([merge request](gitlab-org/gitlab!93652))
- [Fix RescheduleBackfillImportedIssueSearchData migration](gitlab-org/gitlab@015e908479a44276833e5bb40d6bd613c394f460) ([merge request](gitlab-org/gitlab!93652))
- [Upgrade oj to v3.3.18 to fix illegal instruction errors](gitlab-org/gitlab@5caf005e1315f7acd145bcbb6d5ced5281a10e56) ([merge request](gitlab-org/gitlab!93652))
- [Use `CREATE OR REPLACE FUNCTION` to define vulnerability reads triggers](gitlab-org/gitlab@dbfa0d51a1851e940ad243f720cbfe1e25c76111) ([merge request](gitlab-org/gitlab!93652))

### Changed (1 change)

- [Fix ES client for nil password](gitlab-org/gitlab@9bd4fa109c06959f5e9b4668c85327e3503bf55a) ([merge request](gitlab-org/gitlab!93652)) **GitLab Enterprise Edition**

## 15.2.1 (2022-07-28)

### Security (18 changes)

- [Security datadog integration leaking](gitlab-org/security/gitlab@49ec4f1a982ba1798461fad8a0f053b21c8ce8bf) ([merge request](gitlab-org/security/gitlab!2643))
- [Prevent users who cannot admin a public project from viewing deploy keys](gitlab-org/security/gitlab@1ff5d27ad0574fd5304114ddcc2f0e312d6bd29c) ([merge request](gitlab-org/security/gitlab!2640))
- [Add additional condition to accept invitation](gitlab-org/security/gitlab@90ad2f07ff08c1da02600af0c2cfe3fdd20a6856) ([merge request](gitlab-org/security/gitlab!2656))
- [Update GITLAB_PAGES_VERSION](gitlab-org/security/gitlab@bf54d6fa66c4981d75410591e8370c721f2f68e5) ([merge request](gitlab-org/security/gitlab!2615))
- [Add html_escape to build_details_entity](gitlab-org/security/gitlab@9cfafde666f0f33fb110d585652ea0db4afee340) ([merge request](gitlab-org/security/gitlab!2636))
- [Check permissions when filtering by contact or organization](gitlab-org/security/gitlab@bf32322d55bf148901b45aa4ae3a7daecdd4ed24) ([merge request](gitlab-org/security/gitlab!2644))
- [Use author to run subscribed pipeline](gitlab-org/security/gitlab@36addfe325af0780cff649ad43a9cd18d22367e3) ([merge request](gitlab-org/security/gitlab!2616))
- [Remove prohibited branches after project import](gitlab-org/security/gitlab@96f8f0a30b8bce1c51c3e39808baf74ba6504b33) ([merge request](gitlab-org/security/gitlab!2590))
- [Remove feature flag `ci_yaml_limit_size`](gitlab-org/security/gitlab@fe4b00b9ce8db49b12a7c59c9a8bd2260cbd8f53) ([merge request](gitlab-org/security/gitlab!2602))
- [Maintainer can change the visibility of Project and Group](gitlab-org/security/gitlab@91d953642a41305c2a8907ac252af370a837c5ab) ([merge request](gitlab-org/security/gitlab!2619))
- [Do not link unverified secondary emails with any users](gitlab-org/security/gitlab@84e5ba9eb2c7bbc97d6527333bb8142cbe481304) ([merge request](gitlab-org/security/gitlab!2651))
- [Forbid exchanging access token for ROP flow to users required 2FA setup](gitlab-org/security/gitlab@979f5c2c2b4421e8a8c002a4fffb59f4df80967b) ([merge request](gitlab-org/security/gitlab!2622))
- [Remove todos from confidential notes when user loses access](gitlab-org/security/gitlab@fa1d6002710610f6d59f6cdb3548fdde700121f2) ([merge request](gitlab-org/security/gitlab!2632))
- [Remove group_bot_user and group_access_token after group delete](gitlab-org/security/gitlab@5b27afb5b25e102799df73d314035e059a116b91) ([merge request](gitlab-org/security/gitlab!2633))
- [Protect Grafana and Sentry integrations](gitlab-org/security/gitlab@73fb74cd4fd96178c0ed89a9b3286e145e6c44fc) ([merge request](gitlab-org/security/gitlab!2639))
- [Protect integration secrets](gitlab-org/security/gitlab@66f9732bead5e561c868c3e258431235fa189d62) ([merge request](gitlab-org/security/gitlab!2638))
- [Fix IDOR in Jira issue show action](gitlab-org/security/gitlab@7a65af5f948724784054d126ab1749c3595f31c6) ([merge request](gitlab-org/security/gitlab!2647))
- [Limit proxied requests to Grafana API](gitlab-org/security/gitlab@cf9a43d06a3daaac1dcb53805d5fbcda45e96c70) ([merge request](gitlab-org/security/gitlab!2606))

## 15.2.0 (2022-07-21)

### Added (171 changes)

- [Add user id to profile page](gitlab-org/gitlab@b91b90f623b1f1b71f3348bd624c518fddd262ae) by @TrueKalix ([merge request](gitlab-org/gitlab!92212))
- [[API] Get endpoint for latest TF module version](gitlab-org/gitlab@ba125b4692d966ae7c8d04a19f1b367238127731) by @renehernandez ([merge request](gitlab-org/gitlab!92450))
- [Adds package cleanup policy project settings](gitlab-org/gitlab@4c9ffd9067248b5eba1d0a2b043804c815ba166b) ([merge request](gitlab-org/gitlab!90783)) **GitLab Enterprise Edition**
- [Display users that have been banned in a namespace](gitlab-org/gitlab@855aae5300cb939bf490088a3a2518566c21edd3) ([merge request](gitlab-org/gitlab!91465)) **GitLab Enterprise Edition**
- [Introduce :gitlab_geo schema for Geo tracking DB](gitlab-org/gitlab@b5525d97a7308d32ac64892549d2e79a4f1a0ea8) ([merge request](gitlab-org/gitlab!85842)) **GitLab Enterprise Edition**
- [Add request-URL to vulnerability details](gitlab-org/gitlab@ba2648db8318cdcad4f6db15921469fc238f676c) ([merge request](gitlab-org/gitlab!91342)) **GitLab Enterprise Edition**
- [Add link to change failure rate chart from tile](gitlab-org/gitlab@39e800f40efbcc30b726d97ec6ac85828316eb3e) ([merge request](gitlab-org/gitlab!92529))
- [Add watchdog to observe memory fragmentation](gitlab-org/gitlab@e4d58c89189909dc1eb042bba77d3767056f4699) ([merge request](gitlab-org/gitlab!91910))
- [Add background jobs for cleanup policies for packages](gitlab-org/gitlab@ba99ba6a2902ae33fd9ef8302bb892e204314b17) ([merge request](gitlab-org/gitlab!89055))
- [Adds sidekiq_jobs_interrupted counter](gitlab-org/gitlab@e2c9d2ed52054e737b54095e8b20bb90106f1238) ([merge request](gitlab-org/gitlab!92560))
- [Add timeline feature to incidents](gitlab-org/gitlab@bd4714317073b74b4e831eb69440cb4be562f826) ([merge request](gitlab-org/gitlab!92345))
- [Respect parent namespace for gitlab migration](gitlab-org/gitlab@ae56020be41e092c355b07af7f5351cce3904397) ([merge request](gitlab-org/gitlab!90899))
- [Allow users to delete releases from edit page](gitlab-org/gitlab@112e8a88022d096e61da08133cf41b789ea262f4) ([merge request](gitlab-org/gitlab!91929))
- [Add verification token to audit events streams list](gitlab-org/gitlab@b8b3cb5bd6f6d75dd2d88e53af020f0ca1a8d095) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/90799)) **GitLab Enterprise Edition**
- [Add index on security_findings(uuid id DESC)](gitlab-org/gitlab@d8fb8e55899b21a4ca7dc4f4136c313b867db295) ([merge request](gitlab-org/gitlab!91885))
- [Add `environment_scope` to `VariableType`](gitlab-org/gitlab@9766d47115af34ef6a21a7bb3e3fd9d71b2700b9) ([merge request](gitlab-org/gitlab!91913))
- [Add `manual_variables` field to `JobType`](gitlab-org/gitlab@6085719b4d127d456c97d4c319519746a738983f) ([merge request](gitlab-org/gitlab!91819))
- [Work Items - Tasks First Time Experience](gitlab-org/gitlab@fb80a08fdf4c2e2313655a29ae5ccad3a4a7ea55) ([merge request](gitlab-org/gitlab!91866))
- [Add unique contraint for parent link work_item_id](gitlab-org/gitlab@c6e4c29a126ad84278cd09801f9701cb34f15329) ([merge request](gitlab-org/gitlab!92523))
- [Upgrade GitLab Pages to 1.61.0](gitlab-org/gitlab@898f22481d790dddcecf040d838866e37933fe94) ([merge request](gitlab-org/gitlab!92543))
- [Event type information in approval rule audit event streaming](gitlab-org/gitlab@5a0223ae11ac4eeae516319bdea32ae601121468) ([merge request](gitlab-org/gitlab!89939)) **GitLab Enterprise Edition**
- [Include epic color widget on epic board sidebar](gitlab-org/gitlab@6a62171386d7a9a4a4ecca8fa4ff3817588847e4) by @espadav8 ([merge request](gitlab-org/gitlab!91879)) **GitLab Enterprise Edition**
- [Hash passwords with PBKDF2+SHA512](gitlab-org/gitlab@4ee628f7179e07b19718f6c768d2af162656da6c) ([merge request](gitlab-org/gitlab!91622))
- [Add upgrade status filter to runners](gitlab-org/gitlab@9c9ed344c538ec4a7f6bf9aff9877544858e910f) ([merge request](gitlab-org/gitlab!91689)) **GitLab Enterprise Edition**
- [Preview free user cap only for specific namespaces](gitlab-org/gitlab@9cda29ff2d5cfc688104762f147e8fa7d35ef46d) ([merge request](gitlab-org/gitlab!92223))
- [Add frontend form password complexity validation](gitlab-org/gitlab@5304dbcfc89d2ee9a26d923cecbed4ca5c5bde19) ([merge request](gitlab-org/gitlab!90956)) **GitLab Enterprise Edition**
- [Pipeline Performance insights](gitlab-org/gitlab@0163ccfafc6e304f7607c662e2306fb8ba9fb5ee) ([merge request](gitlab-org/gitlab!91823))
- [Add `partition_number` and related indices to `security_findings` table](gitlab-org/gitlab@7712894bbdbc51867c6a656acdeef1cd47d1f309) ([merge request](gitlab-org/gitlab!91683))
- [Enable the `use_unnested_queries` by removing the FF globally](gitlab-org/gitlab@3103dd78016c93c4133156012a7fb68a99884569) ([merge request](gitlab-org/gitlab!92433)) **GitLab Enterprise Edition**
- [Allow passing arrays of labels in Epic GraphQL mutations](gitlab-org/gitlab@22bce9c81246d6c551127482c687829990bde786) by @espadav8 ([merge request](gitlab-org/gitlab!91888)) **GitLab Enterprise Edition**
- [Add GraphQL support for removing namespace bans](gitlab-org/gitlab@004b5da49eff7cee50f43a63f20d3ca5f30711ec) ([merge request](gitlab-org/gitlab!92020)) **GitLab Enterprise Edition**
- [Copy failed spec names to clipboard from MR widget](gitlab-org/gitlab@b6180dd3503daf1d883b5a60e1960ba52d1f58f3) ([merge request](gitlab-org/gitlab!91552))
- [Add 3 dot menu in work item link](gitlab-org/gitlab@5dedf44a7e43dc5764f215e4e5bd7ac6b0308d72) ([merge request](gitlab-org/gitlab!91564))
- [Add frontend form password complexity validation](gitlab-org/gitlab@58decbc3ff1c607dafc6438e9cfee1ccb1da426a) ([merge request](gitlab-org/gitlab!85765)) **GitLab Enterprise Edition**
- [Event type information for ci variable audit event](gitlab-org/gitlab@a72299162f608c88c00323bdce64c4e1077817f3) ([merge request](gitlab-org/gitlab!91983)) **GitLab Enterprise Edition**
- [Limit number of project and group CI variables](gitlab-org/gitlab@6e11c4dab7871aa19a1f0394597a3e1a738ce43b) ([merge request](gitlab-org/gitlab!88940))
- [Adding search bar to group MR search with no results](gitlab-org/gitlab@a77c587923131fde5556e900147109cd64a2327a) ([merge request](gitlab-org/gitlab!92272))
- [Expose CI_MERGE_REQUEST_TARGET_BRANCH_PROTECTED as CI Variable](gitlab-org/gitlab@f741b9785c146b2f4bca6bc6553f2eaac60f5f86) by @Taucher2003 ([merge request](gitlab-org/gitlab!91617))
- [Add Members page link to Project settings](gitlab-org/gitlab@0b0d6a03c4f2e91e92fc8f73fcdf61fa2bf80fbd) ([merge request](gitlab-org/gitlab!91700))
- [Add the packages execute cleanup policy service](gitlab-org/gitlab@905a38235fe7969196a0df765d18831acf9f9852) ([merge request](gitlab-org/gitlab!90395))
- [Consume new id format for security training](gitlab-org/gitlab@6a97457697e84291aa4a5145bc617a51dafa0ef8) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/92050)) **GitLab Enterprise Edition**
- [Generate package.json links](gitlab-org/gitlab@8401d39616386ece2e8a4ca73f833ffd2ab98e23) ([merge request](gitlab-org/gitlab!91886))
- [Introduce new jobs table](gitlab-org/gitlab@bddcdd54f318763215892c41e73f57a6a73da196) ([merge request](gitlab-org/gitlab!92239))
- [Event type information in streaming access token audit events](gitlab-org/gitlab@39e368d37b399e9458abee4786821b47c76eaa0e) ([merge request](gitlab-org/gitlab!92225)) **GitLab Enterprise Edition**
- [Enable use_keyset_aware_user_search_query FF](gitlab-org/gitlab@2123dc4630b385f2136a0ad31c07b062f21b2a5b) ([merge request](gitlab-org/gitlab!92321))
- [Add Vulnerabilities::MergeRequestLink model](gitlab-org/gitlab@5a49d5426780e3ec1d2a1310740cac484f8611a4) ([merge request](gitlab-org/gitlab!92096))
- [Add vulnerability_merge_request_links table](gitlab-org/gitlab@7c87d65681d61aad81f6d1698cd035429e722270) ([merge request](gitlab-org/gitlab!92096))
- [Add group audit event keyset pagination](gitlab-org/gitlab@87ef7a9a58746c271312abf28e486c8ef94d1e05) ([merge request](gitlab-org/gitlab!91869)) **GitLab Enterprise Edition**
- [Event type information in protected branch audit event stream](gitlab-org/gitlab@a1f6bd7789ec93e59a512645788b3cb3e107ba26) ([merge request](gitlab-org/gitlab!92074)) **GitLab Enterprise Edition**
- [Ensure namespace_id is set when issue is saved](gitlab-org/gitlab@e02866fe5fe6ee75a84fe3372840a0a540f59ddf) ([merge request](gitlab-org/gitlab!91387))
- [Upgrade GitLab Pages to 1.60.0](gitlab-org/gitlab@65f51b3865258329d0ada53da9289ed52ad48b2b) ([merge request](gitlab-org/gitlab!92312))
- [Add evidence fields to Vulnerability Issue template](gitlab-org/gitlab@9154cdd754a78e6ae625192656a35e6076dfdcd1) ([merge request](gitlab-org/gitlab!81268)) **GitLab Enterprise Edition**
- [Add error_tracking_access_token to application settings](gitlab-org/gitlab@8587ac65fa180372cfd6c2b1c7d44800563b3707) ([merge request](gitlab-org/gitlab!91928))
- [Include commit message templates when forking project](gitlab-org/gitlab@823568d2a0793b1d745bdc79d073bf6d68d001ef) by @nejc ([merge request](gitlab-org/gitlab!92281))
- [Create new rake task with Advanced Search integration details](gitlab-org/gitlab@704d49747f6d2ae1d54acaab52165778dd82fc66) ([merge request](gitlab-org/gitlab!91243)) **GitLab Enterprise Edition**
- [Periodically reconcile ci_runner_versions](gitlab-org/gitlab@ce05e28041dba1afbd2cb82f85bf65a63e0e95ad) ([merge request](gitlab-org/gitlab!91554))
- [Cleanup BackfillDraftStatusOnMergeRequests migration](gitlab-org/gitlab@9dc0026c34bbf1e227e7bdd5508859536f937bc8) ([merge request](gitlab-org/gitlab!92119))
- [Implement granular access for Protected Tags API](gitlab-org/gitlab@63a69499b07a96ccc3aff8c3241f26e5ed7a3cdb) ([merge request](gitlab-org/gitlab!92116)) **GitLab Enterprise Edition**
- [[issue-354239] Import github 'renamed' issue events](gitlab-org/gitlab@1d571cad9452ad262a66b765232eff7cd033e014) ([merge request](gitlab-org/gitlab!89851))
- [Format multiple quick actions with <br> for MD preview](gitlab-org/gitlab@9db8c7b2d1836b73317a7a072ca62be9502e8000) by @espadav8 ([merge request](gitlab-org/gitlab!92147))
- [Track when user uses a verify action on an environment](gitlab-org/gitlab@0857a78ea72ea419b7779e11e358ecc31de93161) ([merge request](gitlab-org/gitlab!91925))
- [Add sbom_occurrences table and model](gitlab-org/gitlab@183fe70be9cb5f08fb4fb93bbc905a1c61e98027) ([merge request](gitlab-org/gitlab!90814))
- [Expose historical_release in GraphQL API](gitlab-org/gitlab@ee8fedfb6a68755c95cd4868d48e193665c5a9d7) ([merge request](gitlab-org/gitlab!92120))
- [GraphQL: Add upgrade_status filter](gitlab-org/gitlab@55b99c2a8b21da72e9e2792ca82f484de50ebc4b) ([merge request](gitlab-org/gitlab!91682))
- [Add update of the number of required approvals](gitlab-org/gitlab@03d4c40246aef196ea909da4008c3ed3134d4af7) ([merge request](gitlab-org/gitlab!91276)) **GitLab Enterprise Edition**
- [Add BanFromNamespaceService and policies to prevent read access](gitlab-org/gitlab@02dac439b0d8549e6495bb4832d4cb35824d1bc8) ([merge request](gitlab-org/gitlab!91294)) **GitLab Enterprise Edition**
- [Disable legacy OpenSource license for inactive public projects](gitlab-org/gitlab@286c4d8993a5c35ae40cba5166a07282b0895d84) ([merge request](gitlab-org/gitlab!91038))
- [Enable coverage report from child pipelines](gitlab-org/gitlab@6708e73825575d8642ed309051b83104353d5518) ([merge request](gitlab-org/gitlab!91968))
- [Add praefect list virtual storages subcommand documentation](gitlab-org/gitlab@e520abd4b8d40ee0cdc47884df46ad67dfd62eb2) ([merge request](gitlab-org/gitlab!89936))
- [Show epic colours on epic boards](gitlab-org/gitlab@4be40b3481156438022be8922007c4c346fbf345) by @espadav8 ([merge request](gitlab-org/gitlab!90979)) **GitLab Enterprise Edition**
- [Create index on security_findings asynchronously](gitlab-org/gitlab@e3047d1509d84191749f28a74f25d3a03c39f03b) ([merge request](gitlab-org/gitlab!91884))
- [Add tooltip to Colour label on new epic page](gitlab-org/gitlab@db27a159b0302ebad242e154315b292979942955) by @espadav8 ([merge request](gitlab-org/gitlab!90821)) **GitLab Enterprise Edition**
- [[issue-354235] Import github 'un/labeled' issue eventsq:](gitlab-org/gitlab@f1b3fe6d93e929d209567c53c3a604550881023c) ([merge request](gitlab-org/gitlab!89550))
- [Add vulnerableMethod to vulnerability details](gitlab-org/gitlab@90226cb7955eef44e33b5c7ff6e2c1ec00c2ba13) ([merge request](gitlab-org/gitlab!91841)) **GitLab Enterprise Edition**
- [Add metrics for runner authentication success/failure](gitlab-org/gitlab@ba0fd0e556e1caa7ff9499190abea367c54c2f01) by @KyleFromKitware ([merge request](gitlab-org/gitlab!91420))
- [Add a service to promote security findings to vulnerability findings](gitlab-org/gitlab@fe080870d68055f62f592d315e8118516e9e6a4e) ([merge request](gitlab-org/gitlab!88472)) **GitLab Enterprise Edition**
- [Add deployment tier to CI_JOB_JWT](gitlab-org/gitlab@550dd6f03243e762fae50b42a4b6139eae73456f) ([merge request](gitlab-org/gitlab!91099))
- [Stream audit event for project group link create/destroy/update actions](gitlab-org/gitlab@9f4c562f9e9f59e3e110c04408c7ac90a6b0e55f) by @zhanglinjie ([merge request](gitlab-org/gitlab!90955)) **GitLab Enterprise Edition**
- [Add import_creation_level to namespace settings](gitlab-org/gitlab@9ef7baaff28a3c230858e89d1240290c1a95110f) ([merge request](gitlab-org/gitlab!91875))
- [[API] Get endpoint for a specific TF module version](gitlab-org/gitlab@9dc611bfb4219f272625cc38c28f2c7847acc52e) by @renehernandez ([merge request](gitlab-org/gitlab!90932))
- [Add security report ingestion information to dashboard seed data](gitlab-org/gitlab@0cd6961b42e6f4ee54e5ecb456ed145cbf43ac1d) ([merge request](gitlab-org/gitlab!91368))
- [Add heap fragmentation metric](gitlab-org/gitlab@57e7e0b0a709d2d51e8af6a8053eb60de86d3d51) ([merge request](gitlab-org/gitlab!91487))
- [Add the 'first_contribution' attribute to the MR webhook event](gitlab-org/gitlab@892e8817850aa3d09c8394e94a9ce14ee4c285d9) ([merge request](gitlab-org/gitlab!91606))
- [Add GitLab Error Tracking to /admin settings](gitlab-org/gitlab@39b26b46623156fdabbefbd480dea0300d0d1b45) ([merge request](gitlab-org/gitlab!91148))
- [Add NamespaceBan model](gitlab-org/gitlab@67cdc67d42a02aa9f7c308045a8034be7203682b) ([merge request](gitlab-org/gitlab!91271))
- [Stream audit event on project fork](gitlab-org/gitlab@5884d2353f0b8a2a14f8ce0ea8eece29c43d1822) by @zhanglinjie ([merge request](gitlab-org/gitlab!90916)) **GitLab Enterprise Edition**
- [Adds change failure rate charts to ci/cd analytics](gitlab-org/gitlab@14f5996f813ba712abfd9286be0cf861246d4ccc) ([merge request](gitlab-org/gitlab!90890)) **GitLab Enterprise Edition**
- [Add 'never' option to auto_stop_in for an environment](gitlab-org/gitlab@16b00330a51865f69bfaa46be7b35ab9382d627b) ([merge request](gitlab-org/gitlab!90514))
- [Submit rename/new modal in web IDE on enter](gitlab-org/gitlab@99936ee8eefea2aa7d12642437931e012279242e) by @leetickett ([merge request](gitlab-org/gitlab!91462))
- [Add namespace_id column to issues table](gitlab-org/gitlab@17d12fcb8cc71c7d6b22c38a88dbf5c467a87881) ([merge request](gitlab-org/gitlab!91262))
- [Add canceled state to import state and stage methods](gitlab-org/gitlab@f6d0a6f17d8fc243462eaee188e2ede03b0270bf) ([merge request](gitlab-org/gitlab!91559))
- [Add approved_by_usernames param to merge request api](gitlab-org/gitlab@c5ab0522cacea7b10b79a9cace8718b08879591c) ([merge request](gitlab-org/gitlab!91072)) **GitLab Enterprise Edition**
- [Stream audit event on merge request create](gitlab-org/gitlab@453a159a80f80806df5844d80bb6815d370e1a34) by @zhanglinjie ([merge request](gitlab-org/gitlab!90911)) **GitLab Enterprise Edition**
- [Add `topic_id` attribute to Projects API](gitlab-org/gitlab@fecc2bfdde110d07de4eb34f41c89672b0a34c90) by @wwwjon ([merge request](gitlab-org/gitlab!91023))
- [Add due_date and improve CSV issue import docs](gitlab-org/gitlab@4ddf802cd229959db42f054e039efc329f083d8d) by @leetickett ([merge request](gitlab-org/gitlab!91317))
- [Add page size selector to issues list having options for 20, 50 and 100](gitlab-org/gitlab@a2e26070175d12eae45083e22dbdc4b1c8080ff7) ([merge request](gitlab-org/gitlab!91019))
- [Added BackgroundMigration for ProjectStatistics](gitlab-org/gitlab@33490443c6bbaa8201415ab31470d8f2c6771bae) ([merge request](gitlab-org/gitlab!89865))
- [Add settings for rate limiting unique project downloads per namespace](gitlab-org/gitlab@ce5084ae6245218462489dbbb045572fcfa05c2c) ([merge request](gitlab-org/gitlab!89996))
- [Add crashType to vulnerability details](gitlab-org/gitlab@262b1a4534065495986472efc61a7a05a5fa1d11) ([merge request](gitlab-org/gitlab!90947)) **GitLab Enterprise Edition**
- [Add security trial actions](gitlab-org/gitlab@90d269cbb5d28e9744d88638c771da09021e79a0) ([merge request](gitlab-org/gitlab!90478))
- [GraphQL: lists the groups to where a project can be transferred to](gitlab-org/gitlab@aac69b0b546af2a32a731715ec20fe6ee6be6de2) ([merge request](gitlab-org/gitlab!91476))
- [Require email verification](gitlab-org/gitlab@9c7820cc29e1cfed0a3a19c07adba61976838cf9) ([merge request](gitlab-org/gitlab!86352))
- [Added Civo logo to the create cluster page](gitlab-org/gitlab@f84c3e94f3c6d0a10c17f19f97b943ff8b6307b1) ([merge request](gitlab-org/gitlab!91526))
- [Add super/subscript support in content editor](gitlab-org/gitlab@62fa4d9ae5fa99d4c7378cac4e7a4133944cd87d) ([merge request](gitlab-org/gitlab!91574))
- [Add cycle and lead times time series endpoint](gitlab-org/gitlab@29ca7c540975527d426d13f29ffb7cda341ef971) ([merge request](gitlab-org/gitlab!91029))
- [Improved search bar tokens for CRM contacts and organizations](gitlab-org/gitlab@d284910ab43ae46f7fb1f7e6482c0d07a66a1201) by @zillemarco ([merge request](gitlab-org/gitlab!90598))
- [Add ci_runner_versions table](gitlab-org/gitlab@ad889756a6954e5bc0478ef475afd12f863bf5b1) ([merge request](gitlab-org/gitlab!90982))
- [Add sbom_sources table and model](gitlab-org/gitlab@02400b716048f3a26d378421b39dd9c37d92edbb) ([merge request](gitlab-org/gitlab!90812))
- [Displays the queued duration of a job](gitlab-org/gitlab@4fff9077c52be36f35a2cfa03d82265c06fefebc) ([merge request](gitlab-org/gitlab!91087))
- [Disable Conan registry in FIPS mode](gitlab-org/gitlab@718e144aed3abdba3f4cae5f012675c72deeae0e) ([merge request](gitlab-org/gitlab!91452))
- [Allow editing of the released at date for Releases](gitlab-org/gitlab@0c2c44ad32ee964093ebaa6c357a6b1d711007f4) ([merge request](gitlab-org/gitlab!90924))
- [Query `vulnerability_reads` by the cartesian product of given filters](gitlab-org/gitlab@785339d2626162ce87afe9c5c1a96ce1be019e61) ([merge request](gitlab-org/gitlab!90207)) **GitLab Enterprise Edition**
- [Extend the DAST-Default-Branch-Deploy template to support ECS](gitlab-org/gitlab@494369760ff6140a7332078d4cf43d935d9e4f43) ([merge request](gitlab-org/gitlab!90730)) **GitLab Enterprise Edition**
- [Add project export relations models to Import/Export](gitlab-org/gitlab@f6eff4b829c5febec4f5f8d2654bb65c3468f346) ([merge request](gitlab-org/gitlab!90624))
- [Add false-positive alert to vulnerability details](gitlab-org/gitlab@2861f02312348b2672f282564ca0ffa60e655ac0) ([merge request](gitlab-org/gitlab!91254)) **GitLab Enterprise Edition**
- [[epic 354234] Import github closed issue events](gitlab-org/gitlab@80fee71f93754ea557e3d8bf8394a56aacd915ef) ([merge request](gitlab-org/gitlab!89134))
- [Include inherited group links on project members page](gitlab-org/gitlab@a8dd0cd0bc54106843ddd6c8ea76361bf5f98552) by @wwwjon ([merge request](gitlab-org/gitlab!89513))
- [Add crashState to vulnerability details](gitlab-org/gitlab@0d4fdd1f3d21380ee16aa694bbc363f6d2aa55c7) ([merge request](gitlab-org/gitlab!90816)) **GitLab Enterprise Edition**
- [Add has_vulnerabilities argument to ClusterAgent GraphQL API](gitlab-org/gitlab@68e0a6f2730737f971266b0f495ab1f8ed61f44f) ([merge request](gitlab-org/gitlab!90266)) **GitLab Enterprise Edition**
- [Support TLS in dedicated metrics servers](gitlab-org/gitlab@c74a1a97d1552bb43488fbadd4d7e4fc2723f6a6) ([merge request](gitlab-org/gitlab!89648))
- [Add "all protected branches" as a project approval](gitlab-org/gitlab@3dfbcbb37d3ac4ef6471981ebaa8c9f60a6823cf) ([merge request](gitlab-org/gitlab!89048)) **GitLab Enterprise Edition**
- [Add instrumentations for average number of approvals required](gitlab-org/gitlab@5d09d6c07c512a3954f48d21987dca41584c83ea) ([merge request](gitlab-org/gitlab!90089)) **GitLab Enterprise Edition**
- [Add VariableType and variables fields](gitlab-org/gitlab@28cc1df14cc129060adb711304ef61e58a1382c1) ([merge request](gitlab-org/gitlab!89652))
- [Enable ci_docker_image_pull_policy](gitlab-org/gitlab@4151012faabb1c493fc98488604a636546778067) ([merge request](gitlab-org/gitlab!91403))
- [Add member limit banner to usage quota seats page](gitlab-org/gitlab@0d96760e48a377f6c89945b10d27df493831f5c1) ([merge request](gitlab-org/gitlab!89233)) **GitLab Enterprise Edition**
- [Add Pages::PageDeployedEvent](gitlab-org/gitlab@f22add3fc4fdc17b09c4cb65f38c93b6c9937743) ([merge request](gitlab-org/gitlab!89160))
- [Added ability to sort issues by closed date on frontend](gitlab-org/gitlab@72683d186110fb3ec0c7193159692520ff59aa9a) by @zillemarco ([merge request](gitlab-org/gitlab!90570))
- [Enable streaming audit event headers by default](gitlab-org/gitlab@a201691860eed75ff0ae544b70f1153583fbd69e) ([merge request](gitlab-org/gitlab!91216)) **GitLab Enterprise Edition**
- [Add freeUserCapEnforced field to Group type](gitlab-org/gitlab@f55f760b5c8385964e2593ef5ff5914e12200e8a) ([merge request](gitlab-org/gitlab!90739)) **GitLab Enterprise Edition**
- [Finalise member_namespace_id migration](gitlab-org/gitlab@06d3a58eab75d195a51ac37b735741b49d60e24b) ([merge request](gitlab-org/gitlab!91147))
- [Provide deletion of project topics in UI](gitlab-org/gitlab@bdbf86ed45d6b667033676ca820da5179dfcc8e1) by @wwwjon ([merge request](gitlab-org/gitlab!90779))
- [Add SBoM Component tables and models](gitlab-org/gitlab@e4631ac355de462b5672c51eb7e1bc05ad396ecf) ([merge request](gitlab-org/gitlab!90809))
- [Add columns for operations toggle split](gitlab-org/gitlab@a36d6faabd800ff48733b02c6714b82f7f8e8bbe) ([merge request](gitlab-org/gitlab!89089))
- [Add multiple tiers aggregaion to DORA API](gitlab-org/gitlab@c0a0751ec1857efcdca7c6e9cac311f8c05a5f5c) ([merge request](gitlab-org/gitlab!90711)) **GitLab Enterprise Edition**
- [Enable Blame page pagination by default](gitlab-org/gitlab@2004a27f35394a23952f18a9e7a08e68a631a994) ([merge request](gitlab-org/gitlab!91067))
- [Return build failure_reason in pipeline's webhooks](gitlab-org/gitlab@ccbab9401f57b00f123971473f2178932405bd35) by @albertvaka ([merge request](gitlab-org/gitlab!90727))
- [Enable highlight_js by default](gitlab-org/gitlab@4ed2c720380a1c599fdcca181b3c9825b1c8477f) ([merge request](gitlab-org/gitlab!87423))
- [Ban user when they exceed projects download limit within a time period](gitlab-org/gitlab@61a815be64911ce46c04dfd63271b66f7014f82e) ([merge request](gitlab-org/gitlab!87872)) **GitLab Enterprise Edition**
- [Remove temporary index and validate constraint on routes table](gitlab-org/gitlab@abdedd5a5054f186dd7d2a31f5a0772c089c46ef) ([merge request](gitlab-org/gitlab!88637))
- [Enable closed_as_duplicate_of in issues API](gitlab-org/gitlab@4c13ae015afa73af5ae9550c9db05e120bc928fd) ([merge request](gitlab-org/gitlab!90457))
- [Add colour widget to epic create form and epic sidebar](gitlab-org/gitlab@8b257251f3fba5966612f46685be796efb6a4bc1) by @espadav8 ([merge request](gitlab-org/gitlab!90144)) **GitLab Enterprise Edition**
- [Reject Maven md5 requests in FIPS mode](gitlab-org/gitlab@4e91c2fc11bb39d3db05ed19d79d3316b3051568) ([merge request](gitlab-org/gitlab!90951))
- [Add clusterAgents field to Project/Group/Security Dashboard GraphQL API](gitlab-org/gitlab@dc73bdf3dc8a0a443fa55725aad65423aef2f7b5) ([merge request](gitlab-org/gitlab!89357)) **GitLab Enterprise Edition**
- [[API] Endpoint to download latest Terraform module version](gitlab-org/gitlab@e503398158ad281b2d789d7644ded71176761de6) by @renehernandez ([merge request](gitlab-org/gitlab!90575))
- [Add schedule delay for RepositoryUpdateMirrorWorker](gitlab-org/gitlab@216dee6862d6540f3c21d1f66b50106a676e91c6) ([merge request](gitlab-org/gitlab!90749))
- [Finalize cleanup orphaned routes migration](gitlab-org/gitlab@b2631f4c6a3b931cb36f2c53b9698b7c557431f3) ([merge request](gitlab-org/gitlab!88629))
- [Add GraphQL API to list resource links](gitlab-org/gitlab@f9bcf559d379ff49706b6079eb29e3d4b36fa475) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/90279)) **GitLab Enterprise Edition**
- [Add GraphQL API to delete resource links](gitlab-org/gitlab@dbba74d177896577539219d007f0ed04e8ed5bd7) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/89991)) **GitLab Enterprise Edition**
- [Add documentation for CWE 209.2](gitlab-org/gitlab@2f4bf7baf792637f390f462541b2199a900f65db) ([merge request](gitlab-org/gitlab!90785))
- [Prevent users from using known insecure public key](gitlab-org/gitlab@5ccc4f8708c231ca1645c5531e4570af76dfdf2d) ([merge request](gitlab-org/gitlab!90720))
- [Add Query.todo(id) to GraphQL API](gitlab-org/gitlab@24ab73a5727a3b4f6e7717826e8b5fe77764fcc6) by @Taucher2003 ([merge request](gitlab-org/gitlab!90852))
- [Link cc from service desk emails to CRM contacts](gitlab-org/gitlab@46b9925b5ff7eadb9c0734a055de9b1132ad0c64) by @leetickett ([merge request](gitlab-org/gitlab!90008))
- [Add git abuse rate limit settings for admins](gitlab-org/gitlab@789dd0d2b9f097585a218058786bb36315908442) ([merge request](gitlab-org/gitlab!87980))
- [Make ECS Review apps work with DAST](gitlab-org/gitlab@0047582f285d2835a35199f63ceabc7ef0bd5980) ([merge request](gitlab-org/gitlab!90265)) **GitLab Enterprise Edition**
- [Always respect namespace_id for OAuth-based importers](gitlab-org/gitlab@240e9c11db556e4f9eb9905e7720f31b5b5c8cdc) ([merge request](gitlab-org/gitlab!90418))
- [Allow ci_separated_caches to be updated from API](gitlab-org/gitlab@679c41fdd02c78adcf292d1126db7f095bbb2bc6) by @Taucher2003 ([merge request](gitlab-org/gitlab!90399))
- [Persist markdown editor type in wikis](gitlab-org/gitlab@a2c1629e6ba4cb2950b768c6644c64e2732a8ac5) ([merge request](gitlab-org/gitlab!90694))
- [Add filtering security policies to return only inherited policies](gitlab-org/gitlab@28ac021e0c2d5706a4aa5fdf428f4341b758b020) ([merge request](gitlab-org/gitlab!90242)) **GitLab Enterprise Edition**
- [Add a toggle for opt-in JWT to project settings](gitlab-org/gitlab@697d81bd9c8b7df8a409bbd29c08c69de0f59cac) ([merge request](gitlab-org/gitlab!90132))
- [Add an overflow button in content editor](gitlab-org/gitlab@e966c30f401bf522e4e73ceab80c037214899566) ([merge request](gitlab-org/gitlab!90505))
- [Render link-name on vulnerability details](gitlab-org/gitlab@500a63ac5a106a4c44d18d39d14ca290b1f7b3cd) ([merge request](gitlab-org/gitlab!90337)) **GitLab Enterprise Edition**
- [Add state transition entry](gitlab-org/gitlab@13cc0c92873d72f3f99aa0fbb63d7f129b981549) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/90646)) **GitLab Enterprise Edition**
- [Implement `/metadata` REST API endpoint](gitlab-org/gitlab@f4f2034849cc7e10836b7ca72f6ade092949ba53) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/87622))
- [Added previously prepared indexes for issues to sort on closed_at](gitlab-org/gitlab@d735f5c0fd9fd4990dac1688b06676edec429051) by @zillemarco ([merge request](gitlab-org/gitlab!90632))
- [GraphQL: Add lazy load for blocking epics count](gitlab-org/gitlab@3e027955b6f7245358d4bf2ded635c8c85a7b881) ([merge request](gitlab-org/gitlab!90367)) **GitLab Enterprise Edition**
- [Add PATCH /users/:id/disable_two_factor API](gitlab-org/gitlab@cbed09fbc3c406f211593ef3eb72143d21a27a03) ([merge request](gitlab-org/gitlab!88799))
- [Display disabled card state for non ultimate users](gitlab-org/gitlab@11a8cd7c4226dec3fbda06b6c705acdfd0676f0b) ([merge request](gitlab-org/gitlab!88050))
- [Update Rails project template with BUNDLE_FROZEN](gitlab-org/gitlab@487f4b9bc073933bb33f716c32cadd458b1c0dcc) ([merge request](gitlab-org/gitlab!90503))
- [Enable rebalance_issues feature flag by default](gitlab-org/gitlab@f77e4b74499b65cc4f4e956bfe579ca1b935c1f0) ([merge request](gitlab-org/gitlab!90499))
- [Make FF default enabled and fix additional N+1 queries](gitlab-org/gitlab@cdeffd4624b9b0938d80c3b635f51b1ccf57e85b) ([merge request](gitlab-org/gitlab!90388))
- [Enable feature flag 'tag_list_keyset_pagination' by default](gitlab-org/gitlab@11886c3cee58a1408789da9cbc87f0d2b4432f7c) ([merge request](gitlab-org/gitlab!90391))

### Fixed (149 changes)

- [Fix move deploy keys during project imports in FIPS mode](gitlab-org/gitlab@88787a721258da635bafc100173e9da2e8766d08) ([merge request](gitlab-org/gitlab!92809))
- [Fixes container registry popover not displaying on all rows](gitlab-org/gitlab@f54d70800156371317fe2e7f36073aa80d7a2946) ([merge request](gitlab-org/gitlab!92244))
- [Fixed some alignments on the pipeline page](gitlab-org/gitlab@e496240dde8b20a3ad1bb1c441c0ce9e22304e71) by @zillemarco ([merge request](gitlab-org/gitlab!92453))
- [Group audit event keyset pagination order](gitlab-org/gitlab@83cfbb55548e7fe0f4de73e70a7a41513643aa0f) ([merge request](gitlab-org/gitlab!92657)) **GitLab Enterprise Edition**
- [Fix blob binary state detection for preloaded files](gitlab-org/gitlab@3eacfa773a5f9fa844650421da66a5d444545414) ([merge request](gitlab-org/gitlab!92095))
- [Don't allow notes created_at too much in past](gitlab-org/gitlab@c8d2a7192f6a14987de9e341675d80585f0ad5d2) ([merge request](gitlab-org/gitlab!92568))
- [Remove full stops from end of checkboxes](gitlab-org/gitlab@fdde2bcf896fd614a208f7afe62abcb8e2411d4b) ([merge request](gitlab-org/gitlab!92687)) **GitLab Enterprise Edition**
- [Fixed some margins and widths on the issue page](gitlab-org/gitlab@10a17d0f8633b0635df2477f9ae8725cbdc1bcc3) by @zillemarco ([merge request](gitlab-org/gitlab!92012))
- [GraphQL: Fix filtering for INVALID runners](gitlab-org/gitlab@2ff417537941413c7e7154027a2309ead2d4631a) ([merge request](gitlab-org/gitlab!92537)) **GitLab Enterprise Edition**
- [Update approval count options to include 0](gitlab-org/gitlab@d41da4c3e199e6be788f8606ae1508f6ac6cfeea) ([merge request](gitlab-org/gitlab!92694)) **GitLab Enterprise Edition**
- [Fix description list item reorder for incidents](gitlab-org/gitlab@80f0376610b575bac596fddbd75bead5f5d73193) ([merge request](gitlab-org/gitlab!92670))
- [Prefer non-expired licenses first](gitlab-org/gitlab@33f8c5b081ac2da159f0e3f48537c29836894b62) ([merge request](gitlab-org/gitlab!90293)) **GitLab Enterprise Edition**
- [Fix AR scopes to support keyset pagination](gitlab-org/gitlab@86fb3473e2f3890c417f04bc2f896a04e5fa3502) ([merge request](gitlab-org/gitlab!92409))
- [Fixed loading spinner misalignment on fork page](gitlab-org/gitlab@52d62de79aa22c27e1d0ecec44a7500350830110) by @zillemarco ([merge request](gitlab-org/gitlab!92154))
- [Fixes all visible mentions of work items in UI](gitlab-org/gitlab@ec6d32712a2b0675246c243568c236ebd3151fdd) ([merge request](gitlab-org/gitlab!92029))
- [Fix gitlab project imports releases having nil authors](gitlab-org/gitlab@0875e79222534fcf145b3b0d52288ff04e244342) ([merge request](gitlab-org/gitlab!91994))
- [Track description change when creating a task from markdown](gitlab-org/gitlab@2309dd3d3f6e38ffce30e7988b3fc1fe4a04f1ad) ([merge request](gitlab-org/gitlab!92474))
- [Add second event handler oninput to help mitigate the issue](gitlab-org/gitlab@c4b826509c5c1d3b39f13ec9942a89dea683aa0a) ([merge request](gitlab-org/gitlab!92446))
- [Retain checklist item when deleting task](gitlab-org/gitlab@f29f9a1c2cf399bee0f8f9814be8a7143be3ec00) ([merge request](gitlab-org/gitlab!92478))
- [Fix recommendation for unpublished runner release](gitlab-org/gitlab@b283c88d4bbf273a852c5a04a30f562542f7e04c) ([merge request](gitlab-org/gitlab!92465))
- [Change color for inherited classes](gitlab-org/gitlab@a5599119bab4429112a1415ced665ba358e97a68) ([merge request](gitlab-org/gitlab!92353))
- [Improved layout of the create merge request's contribution section](gitlab-org/gitlab@66ed10138c918bc80b8d994a147f91fa08be2c88) by @zillemarco ([merge request](gitlab-org/gitlab!92156))
- [Corrected the logic on duplicate package toggles](gitlab-org/gitlab@ccba7ace80cc59f2e6f90587d599f74ffd798d39) ([merge request](gitlab-org/gitlab!92435))
- [Corrected the logic on duplicate package toggles](gitlab-org/gitlab@9997e150805e69feddc9a5549ca62f38e7b988a1) ([merge request](gitlab-org/gitlab!92435))
- [Made paths lowercase for deduplicated_size api](gitlab-org/gitlab@45e9c82b94d36fb79691fbc2ce10f66175ab48f5) ([merge request](gitlab-org/gitlab!92337))
- [Use current time as created_at when cloning issues](gitlab-org/gitlab@c4f45c35778491fd51f034bb1752c6cff233dfeb) ([merge request](gitlab-org/gitlab!91591))
- [Properly fail LDAP logins if GitLab user not persisted](gitlab-org/gitlab@811f5cc1dcb584bc08defc59988d0e01cda92a9a) ([merge request](gitlab-org/gitlab!92139))
- [Fix artifact empty state](gitlab-org/gitlab@0002d5224ff6dcd27b44625f0f67097711b895ea) ([merge request](gitlab-org/gitlab!92069))
- [Fix attribute validations for the `Vulnerabilities::FindingLink` model](gitlab-org/gitlab@3983c4c90803e07a93599720ced4fe70ccedff41) ([merge request](gitlab-org/gitlab!92374)) **GitLab Enterprise Edition**
- [Don't fail StoreSecurityReportsWorker if the pipeline does not exist](gitlab-org/gitlab@0d5c2cf42c5957d60e909cd6e8f48cf3f86bf4d1) ([merge request](gitlab-org/gitlab!92368)) **GitLab Enterprise Edition**
- [Refactor Header Search bar event handlers out of requestIdleCallback](gitlab-org/gitlab@3967eec3b1c86aecc95ab58aa88f2e90300177e2) ([merge request](gitlab-org/gitlab!92222))
- [Delete MR files separately on project deletion](gitlab-org/gitlab@9fe95b29dea95bf291ee6a8a2ffa7ce0e1e5dd14) ([merge request](gitlab-org/gitlab!92175))
- [Aligns order of sidebar items in bulk update](gitlab-org/gitlab@440df59985768e0a8d9be74f585ef280b2788c74) ([merge request](gitlab-org/gitlab!92076))
- [Make /merge quick action to work in GraphQL via createDiffNote](gitlab-org/gitlab@e8a52fdf635d3cc5f63ebc8bf900e8bd6bac54da) ([merge request](gitlab-org/gitlab!92319))
- [Migration to correct vulnerability state](gitlab-org/gitlab@53ff5dae1795b9d2751b3cb2801765a625bb9232) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/91851))
- [Add blame link to the file blob view](gitlab-org/gitlab@d15898c3b92001c6344e4da696a97e72f39b80e5) ([merge request](gitlab-org/gitlab!91395))
- [Fix deploy keys breaking protected branch dropdown in FIPS mode](gitlab-org/gitlab@6c2adbb0d0555e3594850cd8b30d2c6bae477682) ([merge request](gitlab-org/gitlab!91627))
- [Fix scrolling to anchor tags on wiki pages](gitlab-org/gitlab@a79224aed6239c7cfa303960e9d931169ee60406) ([merge request](gitlab-org/gitlab!92142))
- [Fix double scroll in labels dropdown on MR sidebar](gitlab-org/gitlab@445717724c0daa369eea7b311b17e086cc3eaf3d) ([merge request](gitlab-org/gitlab!91984))
- [Retrieve pageSize from local storage as soon as possible](gitlab-org/gitlab@90ab0a39ee15606bfef6f4f420dc650c21c090b6) ([merge request](gitlab-org/gitlab!92030)) **GitLab Enterprise Edition**
- [Make dark scroll bar in Chromium-based browsers](gitlab-org/gitlab@defc634929cf619cc4faab7fd3097b4e4d2a903e) by @rakleed ([merge request](gitlab-org/gitlab!91482))
- [Fix the sentry URL in the CSP](gitlab-org/gitlab@2d15aa94404aa29133ad099ac6c4ccd084906efe) ([merge request](gitlab-org/gitlab!92041))
- [Fix exception when Group relation is empty](gitlab-org/gitlab@417fab2c2142c058f987bdf19902784d90d54ca6) ([merge request](gitlab-org/gitlab!91998)) **GitLab Enterprise Edition**
- [Mark environments as available when restarting a deployment build](gitlab-org/gitlab@091b851d9a9184334b26a1d2175c3c74552cc70f) ([merge request](gitlab-org/gitlab!91273))
- [Fix streaming audit event for sub group event and project destroy event](gitlab-org/gitlab@f97c296bfa37aa416dc1894d1f60b5717b079551) by @zhanglinjie ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/90771)) **GitLab Enterprise Edition**
- [Fix the broken member search GraphQL query](gitlab-org/gitlab@3f7ffe337b94101b014fe551859d68b893481fcb) ([merge request](gitlab-org/gitlab!91764))
- [Default project path to empty when creating from group template](gitlab-org/gitlab@abc8407bcbe8c4274d82b6e2ba01ef4edfdfc7b9) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/91511)) **GitLab Enterprise Edition**
- [Fix broken syntax highlight for shell scripts](gitlab-org/gitlab@3bfa6d78122f895c1c46005065a8aed06b1c8f51) ([merge request](gitlab-org/gitlab!91975))
- [Parse conflict lines with CRLF endings correctly](gitlab-org/gitlab@6d34ed5fa694fd146e83c2df3fbc231d6c6bd8f3) ([merge request](gitlab-org/gitlab!91736))
- [Fix broken external links](gitlab-org/gitlab@4c60027b5645fd30633503a47ae1ba374f46f56c) by @leetickett ([merge request](gitlab-org/gitlab!91946))
- [Load TLS intermediate certificates in metrics exporter](gitlab-org/gitlab@a17f46a2b01758b599470dac2f33c5b0faf571ae) ([merge request](gitlab-org/gitlab!91955))
- [Render 404 when Jira issue not found](gitlab-org/gitlab@a38447cba1d98abad2f8983ccc1553edbed52b17) ([merge request](gitlab-org/gitlab!91520)) **GitLab Enterprise Edition**
- [Fix: notify locale on changed milestone email](gitlab-org/gitlab@2b271738b0aff4f10173cc052719602504123b6f) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!91664))
- [Correcting the spelling of 'receive'](gitlab-org/gitlab@77967e3ea8a8ff747a42613f78d9a07e56247e17) ([merge request](gitlab-org/gitlab!91935))
- [Update diffs export for backwards compatibility](gitlab-org/gitlab@69b36e8ee61426444b4206b3509e15ace0c8ae18) ([merge request](gitlab-org/gitlab!91877))
- [Fix pagniator issue in different timezone](gitlab-org/gitlab@fbed95360c7bd9650c5780cf915f2c8fe2bc995b) by @chaomao ([merge request](gitlab-org/gitlab!91730)) **GitLab Enterprise Edition**
- [Handle errors fetching GitLab Runner releases](gitlab-org/gitlab@71a3678eafa2b01c8acaf4227c70599e15e12ee7) ([merge request](gitlab-org/gitlab!91580)) **GitLab Enterprise Edition**
- [Fix creating epic in scoped epic board](gitlab-org/gitlab@f1efa4c1e0481ab3febfdc8f5fbe3a101be7fc7c) ([merge request](gitlab-org/gitlab!91542)) **GitLab Enterprise Edition**
- [Fixed small misalignment on releases card footer](gitlab-org/gitlab@31e6235b22f4a3dbc3808fb006865d0e83fece67) by @zillemarco ([merge request](gitlab-org/gitlab!91742))
- [Do not allow to override jobs defined by Security Policies](gitlab-org/gitlab@cc9ac073dd736b6a741ef8f4247352fe215717ad) ([merge request](gitlab-org/gitlab!91525)) **GitLab Enterprise Edition**
- [Remove stray gl-mt-2 from Label input on new epic page](gitlab-org/gitlab@82e871138fceb6e0bade98ef93eff20971d3af2e) by @espadav8 ([merge request](gitlab-org/gitlab!89625))
- [Fix contributing to EE link](gitlab-org/gitlab@17206bf82a529fefe78dc05b30d59766479b5428) by @leetickett ([merge request](gitlab-org/gitlab!91825))
- [Fix scss syntax highlighting](gitlab-org/gitlab@127b9371e508557a4fdb1a2835d3a496abfc3046) ([merge request](gitlab-org/gitlab!91780))
- [Fix BulkImport pipeline retries](gitlab-org/gitlab@24b06139f2a4cbff2ba97fe7119f944bcf85c275) ([merge request](gitlab-org/gitlab!90936))
- [Fix group access dropdown failure if no subgroups are available](gitlab-org/gitlab@a307ae6f2381573844b39fe9d30380eed5a46030) ([merge request](gitlab-org/gitlab!91635)) **GitLab Enterprise Edition**
- [License feature availability checks in Auditor](gitlab-org/gitlab@0f95d4a60105e38e15d7117c3b7749f408a72769) ([merge request](gitlab-org/gitlab!90885)) **GitLab Enterprise Edition**
- [Fix 500 error for Tags API when repository is missing](gitlab-org/gitlab@7b96f31d11a0d31a6ca3e0661c0ac09fa79f4459) ([merge request](gitlab-org/gitlab!91708))
- [Fix group name conflict when migrating groups via BulkImport](gitlab-org/gitlab@01236e0c0bab4206f516d811dd69078171d4c44a) ([merge request](gitlab-org/gitlab!91512))
- [Fix resolving cluster image scanning vulnerabilities](gitlab-org/gitlab@768d16b3363c6a4e90647a040d9b0b3e78e23e5c) ([merge request](gitlab-org/gitlab!91121)) **GitLab Enterprise Edition**
- [This MR removes sticky footer from sidebar](gitlab-org/gitlab@aa007b6eb123659f6d73691691279d069df05da5) ([merge request](gitlab-org/gitlab!91492)) **GitLab Enterprise Edition**
- [Allow job tokens to access internal packages](gitlab-org/gitlab@cd412f2b892464041ebd967850ac0bf5e72a7e74) ([merge request](gitlab-org/gitlab!91545)) **GitLab Enterprise Edition**
- [Collapse Edit lock form when clicked outside sidebar in issues](gitlab-org/gitlab@20541adad6c97e9e6b441b38006ce640a24dde29) ([merge request](gitlab-org/gitlab!91043))
- [Error Tracking: Disable show next button when next pagination is empty](gitlab-org/gitlab@73855cbca4856771081f15d1a373cf062b59c991) ([merge request](gitlab-org/gitlab!91363))
- [Fix SSH mirrors not working in FIPS mode](gitlab-org/gitlab@c29707574e6b3aeb63886d29cf590b80f1295dd0) ([merge request](gitlab-org/gitlab!91625))
- [This MR fixes list of corpuses](gitlab-org/gitlab@b4fa5e65b733008b3f5d6ebab5afe73c9a244627) ([merge request](gitlab-org/gitlab!91320)) **GitLab Enterprise Edition**
- [Correct padding for change password screen](gitlab-org/gitlab@bd8f88fd6cc594e6dbd0471d10b08fff06b61495) ([merge request](gitlab-org/gitlab!88330))
- [Only show `Changes to free tier open source projects` banner to members](gitlab-org/gitlab@9ae9cd396894ca86ab839703532195820a0c3d43) ([merge request](gitlab-org/gitlab!90738)) **GitLab Enterprise Edition**
- [Fixes diff case where .ipynb line contains '\\n'](gitlab-org/gitlab@98b9f8ce9233b0c67814b5106383e71bd8a83b17) ([merge request](gitlab-org/gitlab!87380))
- [Fix deployment approval popup to support multiple approval rules](gitlab-org/gitlab@4092086d2c1ee11b1f49950b2be19c99a3b3655b) ([merge request](gitlab-org/gitlab!91573)) **GitLab Enterprise Edition**
- [Fixes Semantic diffs displaying twice](gitlab-org/gitlab@7046af1b0c4e9a110d79f0d3b046d2708ff9e061) ([merge request](gitlab-org/gitlab!91376))
- [Fix vertical alignment of compliance report rows so they are centred](gitlab-org/gitlab@08484afe47f2a7e57def9020a193cfd089a7a0db) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/91251)) **GitLab Enterprise Edition**
- [Query only distinct OAuth access tokens by application ID](gitlab-org/gitlab@f17b7750d94173d728ec281edb1bc67583f19673) ([merge request](gitlab-org/gitlab!91310))
- [Fix duplicates in pages when sorting members by last_activity_on](gitlab-org/gitlab@9c40fd0e77f9ea91588b33dcfc2ed62cd434e081) ([merge request](gitlab-org/gitlab!89123))
- [Remove attention request docs](gitlab-org/gitlab@8ccc3714700b1c5de0ac53dfaf754baa0b715457) ([merge request](gitlab-org/gitlab!91534))
- [Fix avatar size for issue and MR placeholder notes](gitlab-org/gitlab@d961e4a2420dee83176464ef199192eea24b0d1c) ([merge request](gitlab-org/gitlab!90729))
- [Correct call to computed hasSelectedColor](gitlab-org/gitlab@2f3ee3b5b5a230906a9753497db9a2ceb77011a7) by @espadav8 ([merge request](gitlab-org/gitlab!91391))
- [Upgrade version of Swagger UI](gitlab-org/gitlab@e4f60fbe4f9fcd6a270b616608badd7bb5066e08) by @mulka ([merge request](gitlab-org/gitlab!91012))
- [Add spec for buildkit cache image replication](gitlab-org/gitlab@915b31d8d9b70c499813e7720d6e687b75351cc2) ([merge request](gitlab-org/gitlab!90917)) **GitLab Enterprise Edition**
- [Index vulnerability_reads on casted_cluster_agent_id](gitlab-org/gitlab@87b0d2bc6cd56b1c4891d472f5c951af10d8ac38) ([merge request](gitlab-org/gitlab!91453))
- [Fix GraphQL API to fetch clusterAgents from instanceSecurity Dashboard](gitlab-org/gitlab@408cedb6a385eda5c9b001625dd337aafc47a772) ([merge request](gitlab-org/gitlab!91314)) **GitLab Enterprise Edition**
- [Do not show guest users as participants when mentioned on internal note](gitlab-org/gitlab@3a58286954c0b2b2a2e9e8284ddb9a6d664136b0) ([merge request](gitlab-org/gitlab!90073))
- [Require project membership for merge request approvals](gitlab-org/gitlab@1426f3827c28da192f1a19fc591123b7985538f6) ([merge request](gitlab-org/gitlab!90681))
- [Use UTC for trial end date in popover](gitlab-org/gitlab@9a517de05b891b9407812d7a15879527fbb949bb) ([merge request](gitlab-org/gitlab!91096)) **GitLab Enterprise Edition**
- [Does not generate ipynb diff if file is collapsed](gitlab-org/gitlab@bdc6ba32e98329fd3562135e069e630d35651164) ([merge request](gitlab-org/gitlab!91063))
- [Fix avatars displaying as block elements](gitlab-org/gitlab@2ac582c718f9684a46e715dc504bf76fa636dfb1) ([merge request](gitlab-org/gitlab!91464))
- [Allow filtering by multiple negated milestones](gitlab-org/gitlab@cf179620074b71b0320d76b5d65793a1d7f44a7b) ([merge request](gitlab-org/gitlab!91450))
- [Allow 16 character SubjectKeyIdentifier for x509 signed commits feature](gitlab-org/gitlab@5f977322b6f2dd14e412048b18a18068a7c82adc) by @.wolf ([merge request](gitlab-org/gitlab!90909))
- [Add sanity check for inputs](gitlab-org/gitlab@22eb4e5170278fb2cd336066a6d50b3d3b73ad7e) ([merge request](gitlab-org/gitlab!91282))
- [Update Vulnerabilities::DismissService](gitlab-org/gitlab@2d6e96f5fda8a2b3cf66e837d43fac57dbb6d888) ([merge request](gitlab-org/gitlab!90651)) **GitLab Enterprise Edition**
- [Sets vulnerability state properly](gitlab-org/gitlab@40677beff8568af1756b0d9467af7225c3e765c1) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/91122)) **GitLab Enterprise Edition**
- [Simplify issue policy, allow bots metadata access](gitlab-org/gitlab@3892e5162cd62b660e9019483c70ec5432d33771) ([merge request](gitlab-org/gitlab!89987))
- [Fixes the remove group button to look correct](gitlab-org/gitlab@00d47bad5988d4d8bebb2565bbbd24176cddeaa9) ([merge request](gitlab-org/gitlab!91417))
- [Fix `Integration#boolean_accessor` to work with data fields](gitlab-org/gitlab@814ea07b23df7ff8ba6227dc8734d26aa7613c17) ([merge request](gitlab-org/gitlab!90920))
- [Update Vulnerabilities Confirm Service](gitlab-org/gitlab@0a0d2e1afabc87807d07726b781883a5dc643aeb) ([merge request](gitlab-org/gitlab!91095)) **GitLab Enterprise Edition**
- [Fix plural name "Failed jobs" for the pipeline failed email](gitlab-org/gitlab@7b582c76dc33900cd4a4a6451d73f43650c31507) ([merge request](gitlab-org/gitlab!91362))
- [Improve keyboard UX for toggle replies widget](gitlab-org/gitlab@c9e93538436a8287f790f0cf5da15f19b903e337) ([merge request](gitlab-org/gitlab!90925))
- [gitaly_client: Fix error handling for structured AlreadyApplied error](gitlab-org/gitlab@a2670f06b27c3c70588a9d17817e3ba3e462d0c4) ([merge request](gitlab-org/gitlab!91246))
- [Fix env var check for DISABLE_PUMA_WORKER_KILLER](gitlab-org/gitlab@2efc367a4e9f50c3f2a5e1f564b4fbf0df219f0a) ([merge request](gitlab-org/gitlab!88928))
- [Maintain namespace_id when connection error occurs in fogbugz importer](gitlab-org/gitlab@57a94173dfa5ecc2e841d7b8dd45d5115dd403ee) ([merge request](gitlab-org/gitlab!91319))
- [Fix LDAP sign in button padding](gitlab-org/gitlab@087b2d4f6b86375fd9a0db1ebdbb10e8b304d38b) ([merge request](gitlab-org/gitlab!90978))
- [Remove valid epic check](gitlab-org/gitlab@0f28584733c26662c9e94cca77fec917964d4c32) ([merge request](gitlab-org/gitlab!89255)) **GitLab Enterprise Edition**
- [Fix incorrect links when coming to 'Find file' from a file view](gitlab-org/gitlab@be13bed10a9d74487e012369095f0856311f2b1b) by @shelld3v ([merge request](gitlab-org/gitlab!90724))
- [Improve performance of loading OAuth apps and tokens](gitlab-org/gitlab@7c2b02aca097c610c13d9c9ba7723799a4ff75b1) ([merge request](gitlab-org/gitlab!90740))
- [Patched Rails model generator to use GitLab template](gitlab-org/gitlab@6ceca77fd254c761b66bb435762d7cb513e96664) by @zillemarco ([merge request](gitlab-org/gitlab!89295))
- [Allow epic_color_highlight flag to be applied to groups](gitlab-org/gitlab@f0b188f3b18f7729c42415571f568e6ef77f9a9b) by @espadav8 ([merge request](gitlab-org/gitlab!91159)) **GitLab Enterprise Edition**
- [Add auditor access for group compliance report](gitlab-org/gitlab@55ae583725f73f00acab2ac66fa950737da01e2e) ([merge request](gitlab-org/gitlab!91057)) **GitLab Enterprise Edition**
- [Fix performance regression in issuable lists](gitlab-org/gitlab@67cbdc37646dc37f6173d863a46e4757c65257bc) ([merge request](gitlab-org/gitlab!90913))
- [Fix bitbucket cloud importer](gitlab-org/gitlab@e12f8573f7ff6c11530ade29f1730bafe7d56df2) ([merge request](gitlab-org/gitlab!90986))
- [Update Vulnerabilities::RevertToDetected Service](gitlab-org/gitlab@fac179aa19e6c7b7f5ddf460ccc6ec76d1137765) ([merge request](gitlab-org/gitlab!90939)) **GitLab Enterprise Edition**
- [Fix nil error for last deployment group](gitlab-org/gitlab@d87e4834cbe660fed9e791144a88cb55b2a04b0e) ([merge request](gitlab-org/gitlab!90826))
- [Respect namespace_id for bitbucket server importer](gitlab-org/gitlab@72e68394e04a4e5fe17913f9726ced4e8db505ca) ([merge request](gitlab-org/gitlab!90830))
- [Adjust members index flex spacing for longer text](gitlab-org/gitlab@4cb8368121ecaf65a5ae40ebe49fd0d50e798dbc) ([merge request](gitlab-org/gitlab!90831))
- [Fix future iterations not being scheduled correctly](gitlab-org/gitlab@48b2812b53d4ca76c70323131f035e02d72a0090) ([merge request](gitlab-org/gitlab!90620))
- [Show only top-level epics in roadmap page](gitlab-org/gitlab@e7d87b67bf8f0d4bc3537eef8b5b1939a34cf998) ([merge request](gitlab-org/gitlab!90600)) **GitLab Enterprise Edition**
- [Fix querying vulnerability_reads by cluster_agent_id](gitlab-org/gitlab@4f13f6d74d87e5509f643db0c6cdf36b48cea7d2) ([merge request](gitlab-org/gitlab!90880)) **GitLab Enterprise Edition**
- [Poll for linked pipelines](gitlab-org/gitlab@3d2412b6a46b1d18995676c43302e14059d5c88b) ([merge request](gitlab-org/gitlab!90741))
- [Cancelling a merge request edit does not reset the autosaver](gitlab-org/gitlab@b14d970fd0fd2cb0cc2ae7bed786360441a0017d) ([merge request](gitlab-org/gitlab!89952))
- [Revert Only send signed upload params from Wkhse](gitlab-org/gitlab@30732bea12a9f2d180ac139662e0d49a327f2bc2) ([merge request](gitlab-org/gitlab!90854))
- [Fix deploy boards for Kubernetes 1.22](gitlab-org/gitlab@42e5c35c97679aa3fef04fe0588a01e7650f9800) ([merge request](gitlab-org/gitlab!90448))
- [Respect namespace_id in fogbugz importer](gitlab-org/gitlab@6a9e544650c570793e1b75b643172b5d44deda66) ([merge request](gitlab-org/gitlab!90819))
- [Improves css in ipynb mrs](gitlab-org/gitlab@5480e6d5cb64004efb8783259f4de6e35decbfbe) ([merge request](gitlab-org/gitlab!90838))
- [GlTabsBehavior - Support hash updating](gitlab-org/gitlab@810fb89ad082624b23ebcd000c115784681cec3d) ([merge request](gitlab-org/gitlab!89441))
- [Merge details in audit event json log](gitlab-org/gitlab@4ed81aadce6c29460416f291c27959ed7bc57e80) ([merge request](gitlab-org/gitlab!90790)) **GitLab Enterprise Edition**
- [Use i18n translations on reassigned issueable emails](gitlab-org/gitlab@0901d2328835998b8697c94d4e0cafccaa0bce6c) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!90228))
- [Fix autocomplete in wikis](gitlab-org/gitlab@d67a2844b858d3b6c012cd1d8913cd4921fc4c76) ([merge request](gitlab-org/gitlab!90709))
- [Insert job taggings in batches](gitlab-org/gitlab@9ef490b28c617c60f258571d94ceb81ee580ba5a) ([merge request](gitlab-org/gitlab!90795))
- [Allow public access to awardables API](gitlab-org/gitlab@f61a69854caed40a35a9d886346db1bfcd4c5bbf) ([merge request](gitlab-org/gitlab!90347))
- [Fix GET /groups/:id to include runners token](gitlab-org/gitlab@ae89804461bf2b6f079dae3ae39193f4439dee9b) ([merge request](gitlab-org/gitlab!89365))
- [Update Vulnerabilities::ResolveService](gitlab-org/gitlab@c77d7fe65df09a9a5e3ef729265c815e9f9164f7) ([merge request](gitlab-org/gitlab!90542)) **GitLab Enterprise Edition**
- [Fix agent token modal](gitlab-org/gitlab@3a0f2f6b7f0c1cb22b4b32d3b3023b8200b9cb24) ([merge request](gitlab-org/gitlab!90644))
- [Fix private contributions missing on the calendar if user leaves project](gitlab-org/gitlab@da192938102ef7908b87436980f87b2903735fd6) by @eggerd ([merge request](gitlab-org/gitlab!90398))
- [Pass status explicitly to Deployment Hook Worker](gitlab-org/gitlab@cb4d82c8651fb061581b49be60632372dcb33330) ([merge request](gitlab-org/gitlab!90327))
- [Fix eslint error](gitlab-org/gitlab@54d9f9d68f2cb4152622475822d07cf85df32b51) ([merge request](gitlab-org/gitlab!90500))
- [Prevent popovers from showing on group references](gitlab-org/gitlab@6461d5d5298ba47d13840a72d0dfd028c38284ce) ([merge request](gitlab-org/gitlab!90553))
- [Queue Terraform state destroy worker outside of transaction](gitlab-org/gitlab@6e66763921d41e8f673b31b6aa02d341319a9ba2) ([merge request](gitlab-org/gitlab!90464))
- [Fix Auth#token_bot_in_resource? check](gitlab-org/gitlab@17312c6a153e1c185ca54f775ec4f1e854db12fe) ([merge request](gitlab-org/gitlab!90360))
- [Expand diff when navigating to pending comment](gitlab-org/gitlab@e9aa5d9cbbf4bba782fdba772648a8490932bf07) by @JonstonChan ([merge request](gitlab-org/gitlab!90566))
- [Migrate `Group name` and `Group URL` fields to Vue](gitlab-org/gitlab@9862f6a176abc0a174d20980b49276f6cea4b0a2) ([merge request](gitlab-org/gitlab!90290))
- [Update color preview shades to match header color](gitlab-org/gitlab@2637cbf9dd559dd9240cfec91d613bd04fbfc792) ([merge request](gitlab-org/gitlab!90533))

### Changed (224 changes)

- [Update project stats for container reg deletes](gitlab-org/gitlab@6b9990e78328204390ff2e8c2ff4ea9f4ec785e1) ([merge request](gitlab-org/gitlab!92534))
- [Update triggers creating `vulnerability_reads` records](gitlab-org/gitlab@f830f1f276eafe703c451b28e39195cba8944477) ([merge request](gitlab-org/gitlab!92198))
- [Adds project-scoped callouts for failed web-hooks](gitlab-org/gitlab@8ed9a61e8765a3175abb4d4e78daa55f10d74323) ([merge request](gitlab-org/gitlab!91092))
- [Added creation time-range filters for Snippets API](gitlab-org/gitlab@afcfaf85d98619d27580fc59de208bba573384b6) by @spmarisa ([merge request](gitlab-org/gitlab!92365))
- [Update runners form error to pajamas](gitlab-org/gitlab@d6cb41c23aaa72778cb9f94bca325377004a5018) ([merge request](gitlab-org/gitlab!92719))
- [Changed instances of `(Any )[Ee]ligible user` to `All eligible users`](gitlab-org/gitlab@e13f3127862bed4d745e0026d8c4059cb02e6b7a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/92539)) **GitLab Enterprise Edition**
- [Hide expand button for empty simple widgets](gitlab-org/gitlab@c4bfe82bebefef38d953113c4c3b99b7ae72e0b8) ([merge request](gitlab-org/gitlab!91934))
- [Add config file param to repository changelog api](gitlab-org/gitlab@77272cb399a8202664adfa7cd1f9898658c3e3f2) by @zhanglinjie ([merge request](gitlab-org/gitlab!92151))
- [Show reports immediately after job completes](gitlab-org/gitlab@bf5ed5954f20a7719536b51f3dfff9442e69a9ef) by @kdabrowski ([merge request](gitlab-org/gitlab!76612))
- [Remove commits from the main Advanced Search index](gitlab-org/gitlab@55e670cd0afb5c96dbe9e6066b94cca05742273b) ([merge request](gitlab-org/gitlab!92090)) **GitLab Enterprise Edition**
- [Add warning next to public projects shared with a private group](gitlab-org/gitlab@b3c540f411990b30367734d712283e196a7b8bff) ([merge request](gitlab-org/gitlab!91909))
- [Remove omniauth_login_minimal_scopes feature flag](gitlab-org/gitlab@bf8a3062fd2b2d87b8e827626a1ddd66837fe388) ([merge request](gitlab-org/gitlab!92288))
- [Create vulnerability state transitions as a better form of tracking](gitlab-org/gitlab@30e282b025de85e454bc5077915ce2d3bf963c5c) ([merge request](gitlab-org/gitlab!90229)) **GitLab Enterprise Edition**
- [Disable creation of vulnerability feedback when dismissing vulns](gitlab-org/gitlab@4b6135aa2c83a451d03ef08b745a2a66314cda28) ([merge request](gitlab-org/gitlab!90229)) **GitLab Enterprise Edition**
- [Added snowplow tracking for package assets](gitlab-org/gitlab@4f69c662c11ff07e7b803ee90ab144f969a300c9) ([merge request](gitlab-org/gitlab!90584))
- [Apply the VSA filters to the task by type charts](gitlab-org/gitlab@0279c91732b9b18e805e56b7e9ff06f5bddf82bb) ([merge request](gitlab-org/gitlab!91734)) **GitLab Enterprise Edition**
- [Give 300k minutes to contributors to spend on GitLab contributions](gitlab-org/gitlab@d6755226786d8b77886a7509b81be4103001995d) ([merge request](gitlab-org/gitlab!89742)) **GitLab Enterprise Edition**
- [Use field level validation errors](gitlab-org/gitlab@a07274c0bce2c8d30d9a4db5662828af751a424c) ([merge request](gitlab-org/gitlab!92351)) **GitLab Enterprise Edition**
- [Move header search events out of main.js](gitlab-org/gitlab@59dd373f2d695bb0da778ecf94406c990fad7c57) ([merge request](gitlab-org/gitlab!92241))
- [Prevent hidden projects to be downloaded via git actions](gitlab-org/gitlab@1c5f64c6f424287b80e95e49ecfb063b67adb3c6) ([merge request](gitlab-org/gitlab!91369)) **GitLab Enterprise Edition**
- [Bump Gitlab Shell version to v14.9.0](gitlab-org/gitlab@3d4ba5516e30419c9e180dba440a72c02c2d40fe) ([merge request](gitlab-org/gitlab!92502))
- [Increase number of includes from 100 to 250](gitlab-org/gitlab@dfbbda752dee33362e6b9a9cfab70f025a8387f0) ([merge request](gitlab-org/gitlab!89656))
- [Migrate mirror repos form errors](gitlab-org/gitlab@cfd84ad3392e72d818e476d6569b0f6d9ffc5554) ([merge request](gitlab-org/gitlab!92445))
- [Migrate protected tag error form](gitlab-org/gitlab@dd2795518e4e2bf90b914761e98366aa1da108cb) ([merge request](gitlab-org/gitlab!92443))
- [Allow escalation for all incidents](gitlab-org/gitlab@5e0fe4d40c42951471376c8770b7880794c44498) ([merge request](gitlab-org/gitlab!91620)) **GitLab Enterprise Edition**
- [Migrate CI/CD settings form error](gitlab-org/gitlab@3ed43c92a6593fdd84cfad3e2d03f35c963851e4) ([merge request](gitlab-org/gitlab!92438))
- [Migrate errors form for autodeops settings](gitlab-org/gitlab@b9a70cab7e8198bdb26593f1380ecb86d1d8e407) ([merge request](gitlab-org/gitlab!92436))
- [Return if FIPS enabled](gitlab-org/gitlab@93612912efa9d57c1af637f8071f74491fb82dae) ([merge request](gitlab-org/gitlab!91532))
- [Admin App-Settings Network header expand/collapse](gitlab-org/gitlab@8e3c4ea1ed1f53eacbccb5249265e8e6432b358e) by @quatauta ([merge request](gitlab-org/gitlab!90701)) **GitLab Enterprise Edition**
- [Define LDAP omniauth_callbacks routes from GitLab config](gitlab-org/gitlab@cdc3e1667f729b96a5f607e1675293c86eaf9315) ([merge request](gitlab-org/gitlab!92193))
- [Show all errors on invites for invite modal](gitlab-org/gitlab@8e53dd1e51a2b81653fd7c38007b74ef191e6ba7) ([merge request](gitlab-org/gitlab!90186))
- [Improve Admin Area settings UI text](gitlab-org/gitlab@90852dc78663ffcfad3d373bcd92e3ae7ecb2bb1) ([merge request](gitlab-org/gitlab!91969))
- [Improve alert UX when updating existing design](gitlab-org/gitlab@93dee887582441a0593b151526b4294a2f919fdb) ([merge request](gitlab-org/gitlab!92314))
- [Add tmp index for vuln findings with potentially mismatched scanners](gitlab-org/gitlab@05c2f66d70a2b6b652923dd28271fbb4cf5be2c8) ([merge request](gitlab-org/gitlab!91488))
- [Add Rebase without CI button to MR rebase widget](gitlab-org/gitlab@be557d6a8418bf917fd1f42d48859380c723760b) by @KevSlashNull ([merge request](gitlab-org/gitlab!92382))
- [Stop syncing alert and incident statuses](gitlab-org/gitlab@cd51ce19367f038e6e7344bd4e9275b0c340d1a1) ([merge request](gitlab-org/gitlab!91323))
- [Add indices for protected environments and approval rules on created_at](gitlab-org/gitlab@5fa53d401c7ee6d6ac13986835bf5197064700e5) ([merge request](gitlab-org/gitlab!92113))
- [Removes ci_value_change_for_processable_and_rules_entry ff](gitlab-org/gitlab@7c1b30b2542d9840a68b9b8b6ccf0f96bde5be3c) ([merge request](gitlab-org/gitlab!91776))
- [Remove standard_context_type_check ff](gitlab-org/gitlab@c59f716e437ea034f471895d91692def0ac1a8d5) ([merge request](gitlab-org/gitlab!91681))
- [Remove `refactor_blob_viewer` FF references](gitlab-org/gitlab@54459ff31a6c4d14c7e52db2ad101063a8a46cd3) ([merge request](gitlab-org/gitlab!91757))
- [Migrates the spacing for icon of related item](gitlab-org/gitlab@b50a8201b323fbe65f9bb181fec762584eb93794) ([merge request](gitlab-org/gitlab!90251))
- [Migrate `form_errors` in integration settings page](gitlab-org/gitlab@617e8cfe869c306e66796046dcf7181bc88cdc75) ([merge request](gitlab-org/gitlab!91847))
- [Create Vue form to configure git abuse rate limits](gitlab-org/gitlab@b1f812cbd073676fca685c1e0072812a9c520dc7) ([merge request](gitlab-org/gitlab!90961)) **GitLab Enterprise Edition**
- [Migrates spacing classes for approval checks](gitlab-org/gitlab@5632c170b94240ae46fb110513b2db8d2e13ec88) ([merge request](gitlab-org/gitlab!90357)) **GitLab Enterprise Edition**
- [Bump omniauth-oauth version to v1.2.0](gitlab-org/gitlab@66545ab86efe446abfd3fcaf39fc5298ae8d0dcf) ([merge request](gitlab-org/gitlab!90922))
- [Update admin edit group layout](gitlab-org/gitlab@2f6c34e3b2e9dd510b588892bff965fd21583ba1) ([merge request](gitlab-org/gitlab!91515))
- [Migrate `form_errors` in `creations/new_compare` form to Pajamas alert](gitlab-org/gitlab@8e86cc21f6de1a8d1c88dae58496b2396d87fc1c) ([merge request](gitlab-org/gitlab!92008))
- [Bump prometheus-client-mmap to v0.16.1](gitlab-org/gitlab@b571b79ea0c05966b303cfc512670f5d43e9cbc9) ([merge request](gitlab-org/gitlab!92117))
- [Remove banner about free project changes](gitlab-org/gitlab@4f56ffdce5e8bb7da5b506d209e8f558a8271def) ([merge request](gitlab-org/gitlab!91533))
- [Replace ci_runner_versions indices](gitlab-org/gitlab@0e1ee1a1d5cbf5893d30f4ccb251e9293da15f73) ([merge request](gitlab-org/gitlab!91777))
- [Make CI/CD form error to be Pajamas compliant](gitlab-org/gitlab@fd8eefb05ff27708f8b1dbb43e78d374312b5d19) ([merge request](gitlab-org/gitlab!91981))
- [Update gitlab_omniauth-ldap to v2.2.0](gitlab-org/gitlab@18d04ae5c46cefdbfd03f8ad218d40407b1eeac3) ([merge request](gitlab-org/gitlab!90987))
- [Promote 'New identity' button as a primary action](gitlab-org/gitlab@14f89336185518316be6c46797aa7824593655cf) ([merge request](gitlab-org/gitlab!91245))
- [Update Node.js from 10 to 14 used in CI](gitlab-org/gitlab@45ff3cdf9e8b5692d9a567ab7f2480ff693ffb2e) by @tnir ([merge request](gitlab-org/gitlab!63750))
- [Updated Secure Files Settings UI](gitlab-org/gitlab@0a3548c87da71b8a94dac31936c524dda4f302e2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/90526))
- [Disable DS auto-remediate when FIPS mode](gitlab-org/gitlab@4c0e5e7d552ab9d2709f44d0fbbc55570d0afff9) ([merge request](gitlab-org/gitlab!91705)) **GitLab Enterprise Edition**
- [Make Application Settings sections headers collapsible](gitlab-org/gitlab@d5b139f0186c76a7d899af13d11fa2f4bcb43035) ([merge request](gitlab-org/gitlab!91974))
- [Use approvers information which are available](gitlab-org/gitlab@959a1f17404d483fa91ca09ca8c578747a2eec7a) ([merge request](gitlab-org/gitlab!90521)) **GitLab Enterprise Edition**
- [Add uuid to VulnerabilityFindingDismiss](gitlab-org/gitlab@9b462eb7f59009a76833390fbc167a4eee564b4a) ([merge request](gitlab-org/gitlab!91923)) **GitLab Enterprise Edition**
- [Disable OAuth access token reuse](gitlab-org/gitlab@0fd2f25cd6289cf9b6b379b1f8e3c20133ba9a8f) ([merge request](gitlab-org/gitlab!89854))
- [Move Title and Format fields in the same row](gitlab-org/gitlab@3ab5dfcbcb530d426cf712b97b2047023bf6c04c) by @ssurbhi560 ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/91413))
- [Migrate `form_errors` in `two_factor_auths/show` form to Pajamas alert](gitlab-org/gitlab@7bdf1aa832cbf25b3947736aeb061c27cd4573b4) ([merge request](gitlab-org/gitlab!91763))
- [Move link to the last item in formatting toolbar](gitlab-org/gitlab@002672d713fd731fcf834639fae3dc82b1f03b7f) ([merge request](gitlab-org/gitlab!91880))
- [Allow members invited by email to be re-invited](gitlab-org/gitlab@4d1e4f1c1e2d839bab6e98002bd4247c5ccf1808) ([merge request](gitlab-org/gitlab!90394))
- [Application Settings General h4 Expand/Collapse](gitlab-org/gitlab@5302e09a8450d7d2afa9c9a7f84880e37375ef08) by @quatauta ([merge request](gitlab-org/gitlab!90546)) **GitLab Enterprise Edition**
- [This MR replaces outdated skeleton-loading](gitlab-org/gitlab@9ee70482ff6186bc10103047d1f29247ba2bc0ac) ([merge request](gitlab-org/gitlab!89248)) **GitLab Enterprise Edition**
- [Adds package group settings side-by-side layout](gitlab-org/gitlab@286326abdb64323df3b06f5258bafc560e560c92) ([merge request](gitlab-org/gitlab!90822))
- [Track process commit limit overflow](gitlab-org/gitlab@ffe38e72ccf40a8464cf7cfb2e5af5bcf0bd3f68) ([merge request](gitlab-org/gitlab!91790))
- [Application Settings General h4 Expand/Collapse](gitlab-org/gitlab@648a8abeb5b4d68efbc122b1c3e5f391dd68ec6d) by @quatauta ([merge request](gitlab-org/gitlab!90545))
- [Migrate error alert in user identity form](gitlab-org/gitlab@b5f47a61277a3344581688b6cc936dded2133add) ([merge request](gitlab-org/gitlab!91848))
- [Migrate error alert in doorkeeper application form](gitlab-org/gitlab@41a57cc9fa2ffdcc02facb0d402bc192fa575807) ([merge request](gitlab-org/gitlab!91846))
- [Admin App-Settings Templates header expand](gitlab-org/gitlab@483545ba62d5bfcca516842e6e3712d0a4cc26b9) by @quatauta ([merge request](gitlab-org/gitlab!90745)) **GitLab Enterprise Edition**
- [Refactor user popover to use `GlAvatarLabeled`](gitlab-org/gitlab@d5571c77484e9ae4408c603cdb60f28be2980125) ([merge request](gitlab-org/gitlab!91303))
- [Improve label of delete comment button](gitlab-org/gitlab@49c930534ba384d6a69603ac9ba6ce9f0777c792) ([merge request](gitlab-org/gitlab!91715))
- [Use user_application_theme helper instead of hard-coded theme classes](gitlab-org/gitlab@ae3ff94d6b5d01800fc1c562a29e01122fc383b0) by @dreedy ([merge request](gitlab-org/gitlab!61197))
- [Simplify scanner logic for security reports](gitlab-org/gitlab@34ac5fe80490f9ab45a068304b6004f83e584a94) ([merge request](gitlab-org/gitlab!91712)) **GitLab Enterprise Edition**
- [Increase Webauthn credential XID length](gitlab-org/gitlab@742688028bc441883c8e39cb4bd0539449a6c20b) by @spotlightishere ([merge request](gitlab-org/gitlab!91438))
- [Use Pajamas alert in milestones form](gitlab-org/gitlab@f2f5f710102015d9ee422af79875cc064bb5a10a) ([merge request](gitlab-org/gitlab!91652))
- [Add tooltip to shortcut element in navbar search field](gitlab-org/gitlab@dbf3076d3ce0f1be8bd76565f8347a200c5c9866) ([merge request](gitlab-org/gitlab!90705))
- [Migrate form errors to Pajamas for grafana setting](gitlab-org/gitlab@41f5e7570adce1ac7b8ff8a16b210480a6134454) ([merge request](gitlab-org/gitlab!91080))
- [Add the merge date to the Chain of Custody report](gitlab-org/gitlab@ea4a81c40b5e7477a9e96aa4151c843861e53621) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/91766#)) **GitLab Enterprise Edition**
- [Rename CycloneDX artifact files](gitlab-org/gitlab@600f7dc0ba9976795bbdc748ee090a1517604850) ([merge request](gitlab-org/gitlab!90870)) **GitLab Enterprise Edition**
- [Feature search bar scope tokens](gitlab-org/gitlab@06a93870d89fbebe5ba4385094d5f242dc5028cd) ([merge request](gitlab-org/gitlab!85421))
- [Add git_rate_limit_users_allowlist column to application_settings](gitlab-org/gitlab@3bd308086e1b262fefeeb42e3a3c3004422e3c9a) ([merge request](gitlab-org/gitlab!90815))
- [Update supported browser versions](gitlab-org/gitlab@dd2a40beb1f385e8265c58c3258ace28aa132526) ([merge request](gitlab-org/gitlab!86003))
- [Warn user of feature flags risks](gitlab-org/gitlab@dcd6635875079fb1aa7ba064e52de6dc44501562) ([merge request](gitlab-org/gitlab!91411))
- [Migrate errors in new password to Pajamas alert](gitlab-org/gitlab@4b5b1c9fcbd2a986e995c4dfbe3f5a807f535cc1) ([merge request](gitlab-org/gitlab!91190))
- [Send root_namespace_id to the Projects::ProjectDeletedEvent](gitlab-org/gitlab@0d910e89d257371978a6d283d1e50de71c8a433a) ([merge request](gitlab-org/gitlab!91422))
- [Disable Geo proxy internal API polling when Geo not enabled](gitlab-org/gitlab@5a3418883fd07bde361db41a68295e2d4b677e79) ([merge request](gitlab-org/gitlab!91607))
- [Apply rate limiting for paid plan customer hooks](gitlab-org/gitlab@0270d1285104bbf8da847b7469753a8d704d70b9) ([merge request](gitlab-org/gitlab!90868)) **GitLab Enterprise Edition**
- [Use auditor when auditing using audit changes](gitlab-org/gitlab@6061ca7e589b1625ef455a3686643039b79f102e) ([merge request](gitlab-org/gitlab!91461)) **GitLab Enterprise Edition**
- [Omit MD5 fingerprints in deploy key API response](gitlab-org/gitlab@1133fc8225c502d2d84e044003f4a2305cc2b42b) ([merge request](gitlab-org/gitlab!91302))
- [Replace deprecated createFlash, add loading icon and tabs query param](gitlab-org/gitlab@a3549bb2ec74780f9e6f20c3e882365fd1d03c8b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/90798)) **GitLab Enterprise Edition**
- [Drop empty fingerprint attribute in Vue access dropdown](gitlab-org/gitlab@b5942a573ec245cc9590281304519a8da7dacf36) ([merge request](gitlab-org/gitlab!91657))
- [Add hover state for button and remove border](gitlab-org/gitlab@42c6d49ca4b22e65709bd0073d102bfaaefdf0d4) ([merge request](gitlab-org/gitlab!91629))
- [Parse GitLab Runner release version suffixes](gitlab-org/gitlab@a4458816846c4d1c9698c1fca3076b0d232a2f6c) ([merge request](gitlab-org/gitlab!91592))
- [Add quick action support for group members](gitlab-org/gitlab@d02a99b965dd059c6d32d9b28401a41a1837268d) ([merge request](gitlab-org/gitlab!90843))
- [Move commit documents to new index](gitlab-org/gitlab@b103ddb174798ed6ca2c0d2da0a59ba12e83dc26) ([merge request](gitlab-org/gitlab!89821)) **GitLab Enterprise Edition**
- [Removes noisy lines from transformed notebook](gitlab-org/gitlab@acce061366c367810d03a632c29be385b28dd6e9) ([merge request](gitlab-org/gitlab!91579))
- [Support language filter for blob searches](gitlab-org/gitlab@7829b6c8d756846ab5104499755507e3ac0c3910) ([merge request](gitlab-org/gitlab!88674)) **GitLab Enterprise Edition**
- [Migrates spacing class for board card loader](gitlab-org/gitlab@26aa70d3377ddbaa086bd4ecb91988c217cc2bd6) ([merge request](gitlab-org/gitlab!90475))
- [Fix status box styling on Jira issue details page](gitlab-org/gitlab@8d810f5eeff0a11c593cb4e4a4bef2f66a7f622e) ([merge request](gitlab-org/gitlab!91567))
- [Migrate errors in GPG keys to Pajamas alert](gitlab-org/gitlab@77d2701924ab89cafb85f23066347946a7b5c8c4) ([merge request](gitlab-org/gitlab!90897))
- [Container registry: stop appending Root image](gitlab-org/gitlab@6347ff97777cd45433ea0390e6d625449ed3ee48) ([merge request](gitlab-org/gitlab!90590))
- [Use Pajamas alert in repository check form](gitlab-org/gitlab@cfb57c273b52543e9db1050a3919535061811d99) ([merge request](gitlab-org/gitlab!91052))
- [Consider versions with suffix in runner upgrades](gitlab-org/gitlab@9f931a6d75e4d5c822906d5e0b501d0a9e7cbb75) ([merge request](gitlab-org/gitlab!90904))
- [Show more details for testing integration error](gitlab-org/gitlab@ffb5059096d39116a276923e8f94fca6e5cf6dad) ([merge request](gitlab-org/gitlab!90876))
- [Migrate button to delete account](gitlab-org/gitlab@99af1c07822db5a5aa7b860d612bb62d7d1b6f39) ([merge request](gitlab-org/gitlab!89774))
- [Vendor omniauth-gitlab gem to provide backwards compatibility](gitlab-org/gitlab@9dad898247e5e6eb249664d239305f76bbb9c5cd) ([merge request](gitlab-org/gitlab!90866))
- [Use Pajamas alert in gitpod settings](gitlab-org/gitlab@0c3dfbe2c8d2c77c4741945e1de3035756a2055d) ([merge request](gitlab-org/gitlab!91489))
- [Migrate buttons to switch stl viewer type](gitlab-org/gitlab@34b2b0b66ee1aaaa5f02e92d2423b7e4a1a2298f) ([merge request](gitlab-org/gitlab!89935))
- [Replace Geo node with Geo site](gitlab-org/gitlab@bcfd94931a37234bf67c2eca115d9cf4228090f0) ([merge request](gitlab-org/gitlab!91385)) **GitLab Enterprise Edition**
- [Add ignore rule for migrated_to_new_structure](gitlab-org/gitlab@5550f48f10d8f6cbb670cd6fd04657daa7b2edc4) ([merge request](gitlab-org/gitlab!91381)) **GitLab Enterprise Edition**
- [Change group recent activity window to 30 days](gitlab-org/gitlab@0e50e54518a4cef6b90e65fe2ff85b3eded64509) ([merge request](gitlab-org/gitlab!91374)) **GitLab Enterprise Edition**
- [Add a keyword for default values in the CSP](gitlab-org/gitlab@e284717ca1599316e955af553448e20c43257614) ([merge request](gitlab-org/gitlab!90320))
- [Fixes the spacing of buttons on the compare page](gitlab-org/gitlab@b92d5d104882bbde027db04de65b510289854827) ([merge request](gitlab-org/gitlab!90246))
- [Remove variable override on related tree item](gitlab-org/gitlab@187c88637dbdcb3eb28678c6677b8235287e5fa0) ([merge request](gitlab-org/gitlab!89872))
- [Have Security Policies Enabled by Default](gitlab-org/gitlab@ff95d3af98a71ccd06945550abfbdb955f7dc8e4) ([merge request](gitlab-org/gitlab!91296)) **GitLab Enterprise Edition**
- [Hide the 'Resync' button when there are no results](gitlab-org/gitlab@f6e5f20377927423affac1715bba459378536e2f) by @shelld3v ([merge request](gitlab-org/gitlab!90787))
- [Hide 'New Epic' button on roadmap for unauthorized users](gitlab-org/gitlab@a65ada8fa6563327b53fbdcd9435d884f605ff1a) by @shelld3v ([merge request](gitlab-org/gitlab!91005)) **GitLab Enterprise Edition**
- [Admin App-Settings Preferences header expand/collapse](gitlab-org/gitlab@bed107803eb76a335867ed892873deab087051a6) by @quatauta ([merge request](gitlab-org/gitlab!90737))
- [Allow using pre tag outside of code blocks](gitlab-org/gitlab@1721881b37c74b6c794069d84da58e6b80f29ac0) ([merge request](gitlab-org/gitlab!90983))
- [Add queued_duration to the job entity](gitlab-org/gitlab@6f9eeb59bd8874af0fc9b22a38859743114e7e83) ([merge request](gitlab-org/gitlab!91407))
- [Migrates modal to delete pipeline](gitlab-org/gitlab@fd7024a80deffb8c92aebf711f4172a7e18d61d2) ([merge request](gitlab-org/gitlab!90069))
- [Update text for rollback modal](gitlab-org/gitlab@d47ea86dcbece5eebdf9d4baf852ec8ec6a91e81) ([merge request](gitlab-org/gitlab!91289))
- [Admin App-Settings Advanced Search header expand](gitlab-org/gitlab@9662b55dcf86fff88bd972fb19ac45352d1bb016) by @quatauta ([merge request](gitlab-org/gitlab!90743)) **GitLab Enterprise Edition**
- [Add new column vulnerability_reads.casted_cluster_agent_id as bigint](gitlab-org/gitlab@6b72a0358dd4ab8b8c5708f1adb319d5d85b75a3) ([merge request](gitlab-org/gitlab!88333))
- [Remove feature flag ci_build_finished_worker_namespace_changed](gitlab-org/gitlab@af57d8110022cf447c67a0d54ca8816bb8eb1a11) ([merge request](gitlab-org/gitlab!91336))
- [Replace YAML approver info with persisted data](gitlab-org/gitlab@4ce9d1d7ec196e5fb97a5db01b6fb73c8c81e2f6) ([merge request](gitlab-org/gitlab!90742)) **GitLab Enterprise Edition**
- [In email footers, explicitly link to the GitLab host](gitlab-org/gitlab@42dd567e8e9ec7e71406be1efe36f6f944d5c57f) by @smokris ([merge request](gitlab-org/gitlab!84234))
- [Updated agent status icons](gitlab-org/gitlab@c60becb09c7458d7669d4d6dd5b319cf0fdc1c77) ([merge request](gitlab-org/gitlab!91298))
- [Add root_namespace_id to Pages::PageDeletedEvent](gitlab-org/gitlab@9226c6023bafa6ce51e06d04f89729b9b9bd90a6) ([merge request](gitlab-org/gitlab!91318))
- [Use Pajamas alert in repository mirroring settings](gitlab-org/gitlab@988e44aa4bc7ade79ada96181b0432f92156bba3) ([merge request](gitlab-org/gitlab!91257))
- [DB additions for CI Secure Files Replicator](gitlab-org/gitlab@21df29671016356770ab38eb188a0d0aa7f38124) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/90510))
- [Consolidate pipeline mini graph code](gitlab-org/gitlab@1208af2c72aea56d6318843302735870388bdf7e) ([merge request](gitlab-org/gitlab!87712)) **GitLab Enterprise Edition**
- [Migrates view seat usage button in alert](gitlab-org/gitlab@3ecbb79b096b254337bf2623aee9430a2dfc7d7d) ([merge request](gitlab-org/gitlab!89947)) **GitLab Enterprise Edition**
- [Migrates button to promote milestone](gitlab-org/gitlab@aab2ce60e5f87edb6186f3ac1f7a243b2d46d0c6) ([merge request](gitlab-org/gitlab!89836))
- [Remove GraphQL check for feature flag and return null](gitlab-org/gitlab@8a3f4c32adbd24dd867a8d1fa9091b19ca4a5a41) by @espadav8 ([merge request](gitlab-org/gitlab!90975)) **GitLab Enterprise Edition**
- [Use Pajamas alert in visibility and access settings](gitlab-org/gitlab@170fd47c7a828c6b00ac9d22ce871ec62f49512e) ([merge request](gitlab-org/gitlab!91256))
- [Change in wording related to SAML experience](gitlab-org/gitlab@663ec6dcef4695db6499515807388ba0d741c109) ([merge request](gitlab-org/gitlab!89557)) **GitLab Enterprise Edition**
- [Fix: notify locale on failed builds](gitlab-org/gitlab@063be6c8238bcef14c065eef174031e30ef4e860) by @JeremyWuuuuu ([merge request](gitlab-org/gitlab!90203))
- [Migrates the spacing for icon in user dropdown](gitlab-org/gitlab@d2c93f886e1b094429f168f5dac78235f88c2780) ([merge request](gitlab-org/gitlab!90263))
- [This MR enables sticky footer in Drawer](gitlab-org/gitlab@4fe23e45ee0f0439041a9333f6674a29bc14c65d) ([merge request](gitlab-org/gitlab!90865)) **GitLab Enterprise Edition**
- [Modifies Package Registry group settings](gitlab-org/gitlab@a0c6073f5a5a418ea25cf82a65e379412012930e) ([merge request](gitlab-org/gitlab!90381))
- [Migrate LDAP sync buttons on member page](gitlab-org/gitlab@4ca170c3302df6fbed57da7a8af096f74a19f0f4) ([merge request](gitlab-org/gitlab!89850)) **GitLab Enterprise Edition**
- [Convert admin users and admin group edit/new to be Pajamas compliant](gitlab-org/gitlab@64fa23faedc58d46600dd2933f2198ad05566298) ([merge request](gitlab-org/gitlab!89348))
- [Add Expand/Collapse to application settings CI/CD h4 ](gitlab-org/gitlab@b860dfae44eae4dfb92a1440ed27286b2eecf2bd) by @quatauta ([merge request](gitlab-org/gitlab!90557))
- [This adds the queued_at field to the job entity](gitlab-org/gitlab@6de86c0d860a703b27f0ae2fb5238fdd01ffeae1) ([merge request](gitlab-org/gitlab!91086))
- [Remove form_errors from the groups settings ci_cd form](gitlab-org/gitlab@7f6fce0014e5584ba95edadfd1d9c0e69f7b9099) ([merge request](gitlab-org/gitlab!90428))
- [Migrates the spacing class for job name](gitlab-org/gitlab@566b7a6b75a17e4ddfadde9ba4fe8b70c080c940) ([merge request](gitlab-org/gitlab!90256))
- [Migrates the spacing for buttons in dashboard](gitlab-org/gitlab@fede2bb63863bdb94b971eb1917860962ab2e0cd) ([merge request](gitlab-org/gitlab!90258))
- [Use Pajamas alert in webhooks form](gitlab-org/gitlab@b52114a58de5bd6649b2dc5211330df8f49bbf78) ([merge request](gitlab-org/gitlab!91049))
- [Replace repeat icon with retry icon for jobs](gitlab-org/gitlab@eebe036e64a82206bca6955b6105ced5a69e714e) ([merge request](gitlab-org/gitlab!91053))
- [Migrate form errors](gitlab-org/gitlab@59fd47ba28e3aa6c9a0709599289c12f27960238) ([merge request](gitlab-org/gitlab!90938)) **GitLab Enterprise Edition**
- [Migrates button to add previously merged commits](gitlab-org/gitlab@d3a430420f2f36c7edb8b04ab6650d297468becc) ([merge request](gitlab-org/gitlab!89973))
- [Accept runner patch upgrades from newer major releases](gitlab-org/gitlab@27ce126cb5e3b940d1aeb5e0e0db9f0ab4bbe028) ([merge request](gitlab-org/gitlab!90695))
- [More informative timeout message](gitlab-org/gitlab@cef2aea7cb66ed1a98d87f1d669ad8fa458f7e7b) ([merge request](gitlab-org/gitlab!90319))
- [Replace jQuery in init_details_button.js](gitlab-org/gitlab@6c8b149f0eda2537dce80d1dc32893f20a3a4cc7) by @quatauta ([merge request](gitlab-org/gitlab!91006))
- [Remove callouts_trials_link_url](gitlab-org/gitlab@5d886d2e86bc546e519282ce691fc79b48929c04) ([merge request](gitlab-org/gitlab!90860)) **GitLab Enterprise Edition**
- [Update oauth2 gem to v2.0.2](gitlab-org/gitlab@933604fd8148ef48d17d8c6d981ea8eb8a879b32) ([merge request](gitlab-org/gitlab!90933))
- [This MR migrates legacy html button to Pajamas button](gitlab-org/gitlab@5c28fde731396d7728ae850768d7f1f909df12fa) ([merge request](gitlab-org/gitlab!90967))
- [Migrates spacing classes in modal to add commits](gitlab-org/gitlab@b18f350d034707623d3d010bedb126b10460c2a8) ([merge request](gitlab-org/gitlab!90408))
- [Add terminating newline to /:username.keys and /:username.gpg](gitlab-org/gitlab@2608b241367247be52dbdea34b51d30dc4e12d37) ([merge request](gitlab-org/gitlab!90973))
- [Take migration state into account for size](gitlab-org/gitlab@52025d436bcfb6d22f86e1ed0ba935709799766c) by @jeffpearce ([merge request](gitlab-org/gitlab!90776))
- [Rewrote Project settings](gitlab-org/gitlab@72141961ed55730eeb6bf311487deb83dbd335f1) ([merge request](gitlab-org/gitlab!90119))
- [Fixes truncation and tooltip on group selection](gitlab-org/gitlab@dae79b07c6fdaed2df846346f8467cdf1baffec9) ([merge request](gitlab-org/gitlab!90602))
- [This MR migrates radio button to pajamas radio component](gitlab-org/gitlab@4c720585292c8e8f3dc3ae2c08fc02200db8a4bf) ([merge request](gitlab-org/gitlab!88759))
- [Change the revoke button to type `tertiary`](gitlab-org/gitlab@e683b5ac4398fb50463b4ded9863006922f485e4) ([merge request](gitlab-org/gitlab!90003))
- [Default on group_level_security_policies](gitlab-org/gitlab@9e801198832bf8644b927f54c30729fdb777273f) ([merge request](gitlab-org/gitlab!90855))
- [Return :invalid for an invalid runner version](gitlab-org/gitlab@941d70079ad23a0c55986871f6fc9871b1dd95a7) ([merge request](gitlab-org/gitlab!90770))
- [Modifies Dependency Proxy group settings](gitlab-org/gitlab@2b4b06a728447c53dc2f7fde8b5e71c0b37fff47) ([merge request](gitlab-org/gitlab!90371))
- [Use Pajamas alert in new application form](gitlab-org/gitlab@30f1d31211212be3f068f4f828dc0376af08e6bd) ([merge request](gitlab-org/gitlab!90900))
- [API: Backend support for manipulating web-hook variables](gitlab-org/gitlab@8321eb246c583c2fe8329b00356e7f6c7361e162) ([merge request](gitlab-org/gitlab!90310))
- [Migrate errors in group settings to Pajamas alert](gitlab-org/gitlab@e7b20efc0301f45e6ecc34a67282e7f6e4cace4c) ([merge request](gitlab-org/gitlab!90894))
- [Add Job ID to RepositoryUpdateMirrorWorker logs](gitlab-org/gitlab@a4d30febcad3bc93383ebe7d6ecbf81e04467da3) ([merge request](gitlab-org/gitlab!90736)) **GitLab Enterprise Edition**
- [Migrates spacing class on web ide tree](gitlab-org/gitlab@3ee7c4fbf7e140f854944e879fd3428cc8217b36) ([merge request](gitlab-org/gitlab!90375))
- [Remove artifacts storage warning](gitlab-org/gitlab@eded1c113e88fee193faccad1071cf3fae8b0e84) ([merge request](gitlab-org/gitlab!90415)) **GitLab Enterprise Edition**
- [Improve UI text - group Permissions settings](gitlab-org/gitlab@d7d2d054b2f51e505282cc44d54c5ed980c55af0) ([merge request](gitlab-org/gitlab!89207))
- [Remove renamed workers and feature flag](gitlab-org/gitlab@840028661eee79a926e2b74ef89282bbd285fbac) ([merge request](gitlab-org/gitlab!90061))
- [Replace the menu icon on mobile](gitlab-org/gitlab@91bb4eb776e1e70508b5a364d1ba0a1ce1fe033e) ([merge request](gitlab-org/gitlab!90150))
- [Remove custom override of breadcrumb separator](gitlab-org/gitlab@de9d9be2d48b6a19af4224b75073c5a7edd6b1b3) ([merge request](gitlab-org/gitlab!89799)) **GitLab Enterprise Edition**
- [Migrate errors in password update to Pajamas alert](gitlab-org/gitlab@2672bddd72f75992094c7acc8098c9672108fc78) ([merge request](gitlab-org/gitlab!90358))
- [This MR enables sticky header in Drawer](gitlab-org/gitlab@cf479c07859070d1d5973941edb94f7a3397f2ae) ([merge request](gitlab-org/gitlab!90824)) **GitLab Enterprise Edition**
- [Remove legacy `/-/integrations` routes from renamed controller](gitlab-org/gitlab@8b985656060a977ac5698098253b7dd89896c6d5) ([merge request](gitlab-org/gitlab!90634))
- [Rollout prevent_abusive_searches feature flag](gitlab-org/gitlab@aa972acac22821dc82f9ca5248082e44fa6f1f01) ([merge request](gitlab-org/gitlab!90806))
- [Migrates spacing classes for code review analytics](gitlab-org/gitlab@20dfabf2017b1a54d3f633c8b51e79c23cb37fd0) ([merge request](gitlab-org/gitlab!90419)) **GitLab Enterprise Edition**
- [This MR defines behaviour of sidebar view mode](gitlab-org/gitlab@a613c0214f71758b16934b3170790a66a18c230d) ([merge request](gitlab-org/gitlab!90454)) **GitLab Enterprise Edition**
- [Update asana gem to v0.10.13 to relax oauth2 dependency](gitlab-org/gitlab@4f317d5143fc4cd1ad6b07880e65f7916831066b) ([merge request](gitlab-org/gitlab!90782))
- [Remove usage of MD5 by wikicloth gem for FIPS](gitlab-org/gitlab@b9ecfb74a471da0706be18c858e56a0c9ab7a099) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/89364))
- [Migrates the spacing class for add commits button](gitlab-org/gitlab@c365cb297fec03af7fc4cd9402db5776447779e4) ([merge request](gitlab-org/gitlab!90406))
- [Consider the certs specified via SSL_CERT_{DIR,FILE} variables](gitlab-org/gitlab@ba82c3dbf1a2627f5754f916acacb25817f32959) ([merge request](gitlab-org/gitlab!90635))
- [Backend support for manipulating web-hook variables](gitlab-org/gitlab@d18fdf466f26900f51e5f8fce59be5ea11b48203) ([merge request](gitlab-org/gitlab!89933))
- [Migrates spacing classes to add related issue](gitlab-org/gitlab@061a2eb08969199946a0bccd794303ee86bd3c09) ([merge request](gitlab-org/gitlab!90421))
- [Update gitaly_cgroups metric name](gitlab-org/gitlab@3a24ca12cc5b6322ea01b1972f4689530e23f3ff) ([merge request](gitlab-org/gitlab!90751))
- [Use new cost factor 0.008 for public SaaS projects](gitlab-org/gitlab@b9f16efa08a5aaea24afe61a08a2a8ef6eab5a66) ([merge request](gitlab-org/gitlab!89748)) **GitLab Enterprise Edition**
- [Remove migrate_vulnerability_finding_uuids flag](gitlab-org/gitlab@4f73f3d886d64d2bf3a4641bdfabedd6d10e111b) ([merge request](gitlab-org/gitlab!90716))
- [Migrate edit profile errors to use Pajamas compliant alert](gitlab-org/gitlab@4b7b7df434e17ed6edaa290b6876af7e153e3710) ([merge request](gitlab-org/gitlab!89882))
- [Migrates button to unprotect an environment](gitlab-org/gitlab@1aeee1bde8b8c6ce96d467c91361a6922c8308eb) ([merge request](gitlab-org/gitlab!90338)) **GitLab Enterprise Edition**
- [Admin App-Settings Metrics header expand/collapse](gitlab-org/gitlab@66e5ac146474e1875488e9331b40303fe05fe9d8) by @quatauta ([merge request](gitlab-org/gitlab!90573))
- [Update omniauth-oauth2 to v1.7.3](gitlab-org/gitlab@88b22ba4c198ada9f41c09ced74745876e527075) ([merge request](gitlab-org/gitlab!90571))
- [Remove fallback calc of last sec report pipeline](gitlab-org/gitlab@0ae32a974b32f1070e9cb63bd0ebf08e355b5057) ([merge request](gitlab-org/gitlab!90305)) **GitLab Enterprise Edition**
- [Migrates buttons in warning to apply template](gitlab-org/gitlab@ee3d13fefeed91098ffe812a5fa5d6e11a9e71e8) ([merge request](gitlab-org/gitlab!89914))
- [Default enable FF import_release_authors_from_github](gitlab-org/gitlab@e4044221954b8418d8035b256f04064b1552fafb) ([merge request](gitlab-org/gitlab!90722))
- [Cleanup Project Settings > Repository > Protected branches](gitlab-org/gitlab@3f5ec873678df8890b031dbb87316c511010fc51) ([merge request](gitlab-org/gitlab!90239))
- [Adjust migration update query and refactor specs](gitlab-org/gitlab@7c8b4f4676272a482a52347fa74b7ae5efbc47a4) ([merge request](gitlab-org/gitlab!90282)) **GitLab Enterprise Edition**
- [Replace runners token indices in projects table](gitlab-org/gitlab@94cb164912da3ecf79991c5c5b6c3623effe2d55) ([merge request](gitlab-org/gitlab!90501))
- [Migrates spacing class for requirements title](gitlab-org/gitlab@cd7d229d8702091f2f9430137fc86665b996ffed) ([merge request](gitlab-org/gitlab!90291)) **GitLab Enterprise Edition**
- [Migrates spacing class for commits author search](gitlab-org/gitlab@99dfc2541b4be95324135935c420403f45459a91) ([merge request](gitlab-org/gitlab!90413))
- [Migrates spacing on icon for hidden approvers](gitlab-org/gitlab@691874d2a81c22f96a91b4a23e92c254e7152a27) ([merge request](gitlab-org/gitlab!90288)) **GitLab Enterprise Edition**
- [Admin App-Settings Reporting header expand/collapse](gitlab-org/gitlab@200072ba0f4d7eee62cbdde77c1aadaaa0924790) by @quatauta ([merge request](gitlab-org/gitlab!90568))
- [Application Settings Repository h4 Expand/Collapse](gitlab-org/gitlab@aed8f0fb7516dbb2c8200a27fe558e3df48b937c) by @quatauta ([merge request](gitlab-org/gitlab!90556))
- [EE Application Settings CI/CD h4 Expand/Collapse](gitlab-org/gitlab@17bba39e34330d0ab25a035b82d506bb7bd1dc06) by @quatauta ([merge request](gitlab-org/gitlab!90572)) **GitLab Enterprise Edition**
- [Migrate spacing class for reverify button in geo](gitlab-org/gitlab@ffca3ce3dbee4372b69387bd606871d9553c0378) ([merge request](gitlab-org/gitlab!90346)) **GitLab Enterprise Edition**
- [Migrates spacing for applying suggestions message](gitlab-org/gitlab@9b2668c901ebf2b0d695cb5b6d9fbd78dce1a8ff) ([merge request](gitlab-org/gitlab!90273))
- [Migrates spacing classes on snippets empty state](gitlab-org/gitlab@3af8d1cc26988b7724cc7715c0c3149d932634fd) ([merge request](gitlab-org/gitlab!90417))
- [Migrates spacing class for clone button](gitlab-org/gitlab@e94f135f2862b591c1aaa5fd5204e7dab345849c) ([merge request](gitlab-org/gitlab!90275))
- [Migrates spacing class on performance bar](gitlab-org/gitlab@025c7e1f816a08bfe396e892b573daba4cf82825) ([merge request](gitlab-org/gitlab!90476))
- [Migrates the spacing class for discussion filters](gitlab-org/gitlab@b89b9b7216a297823018ee253842766f6cd1272e) ([merge request](gitlab-org/gitlab!90411))
- [Use popover for On-demand scans tooltip](gitlab-org/gitlab@4ffbe1b3cb3d3ba15bafeb60d12e0e2763aa4fe0) ([merge request](gitlab-org/gitlab!90586)) **GitLab Enterprise Edition**
- [Add upgrade indicators to runner details](gitlab-org/gitlab@a444cd725a80afe17275c5d679820c30edec1144) ([merge request](gitlab-org/gitlab!90141)) **GitLab Enterprise Edition**
- [Stop creating resolved alerts for self-recovering notifications](gitlab-org/gitlab@5b3b188acc7b5c97e4e9ce5683fb3378167980e8) ([merge request](gitlab-org/gitlab!90289))
- [Update form to use pajamas_alert in spam application settings](gitlab-org/gitlab@5a19b79833303809259583e55ef78be8effbb62a) ([merge request](gitlab-org/gitlab!90536))
- [Remove projects_build_artifacts_size_refresh flags](gitlab-org/gitlab@ebb05430613f88f8a5565067703a1d697fa3f22c) ([merge request](gitlab-org/gitlab!84701))
- [Clean up merge_request_pipelines_in_target_project feature flag](gitlab-org/gitlab@6dec55d54d9ccbb8a9ae73a0e9fb20c388f75126) ([merge request](gitlab-org/gitlab!90225))

### Removed (23 changes)

- [Remove onboarding experience survey and email from onboarding](gitlab-org/gitlab@9d0c59eedf8f71cdf0f54f45e60963619ce8bef6) ([merge request](gitlab-org/gitlab!92280))
- [Remove tracing ff and delete yml](gitlab-org/gitlab@40c478f8adff33bb19a79707a46b1496bf97716d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/92309))
- [Delete monitor logging ff](gitlab-org/gitlab@f938581428dca3f333bb0f20ccd349c566d2dabc) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/92308))
- [Add migrations to remove fk](gitlab-org/gitlab@7ed92e985d2001953369f014c50a4ae88647f7c3) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/91859))
- [Delete frontend code related to logs](gitlab-org/gitlab@aa7f3672ba679d4e60cf826602279aff45965b98) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/91978))
- [Remove code for trigger job show page](gitlab-org/gitlab@8e66f0810b9dee40d4559869ed287a7062554177) ([merge request](gitlab-org/gitlab!91458))
- [Remove design resolved discussions popover](gitlab-org/gitlab@2e3a6563c9b26c5101eb9e454509c2383aa9468e) ([merge request](gitlab-org/gitlab!90254))
- [Add migrations for table and fk](gitlab-org/gitlab@01d38108dc2c0d5cec2f46f516478d6ae3aea0c8) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/91217))
- [Removethe optimized_followed_users_queries FF](gitlab-org/gitlab@0e4c7f4f45e1bab9901636f71cea77ac5f8d448d) ([merge request](gitlab-org/gitlab!91661))
- [Remove unused Projects::JobsController#status](gitlab-org/gitlab@c55b1d65362cad894616d20877ef993e38fb5c70) ([merge request](gitlab-org/gitlab!91393))
- [Remove dead code from gitlab_ci settings](gitlab-org/gitlab@0ab9fb96ae918b136e1c2b341584e5a3a95400fc) ([merge request](gitlab-org/gitlab!91024))
- [Remove old route for DAST profiles](gitlab-org/gitlab@1b2f25cb185d63caee1d6301519545fd57bf0dbc) ([merge request](gitlab-org/gitlab!90677)) **GitLab Enterprise Edition**
- [Remove pod logs backend code](gitlab-org/gitlab@9599aa47dc2e653250c6103b43524bf61e22e25e) ([merge request](gitlab-org/gitlab!90800))
- [Remove pod logs service](gitlab-org/gitlab@354131d3d8c521cf19efd45a6fdf356ea59c6007) ([merge request](gitlab-org/gitlab!91451))
- [Remove semver usage](gitlab-org/gitlab@02df655a870b4e85054d2136df3575201dcdfb15) ([merge request](gitlab-org/gitlab!90981))
- [Remove clusters_integrations_elastic_stack metric](gitlab-org/gitlab@d82dabf4400dafce6c0d98b7f0d2e3b7eaa727ae) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/90699))
- [Remove projects_enabled_with_tracing metric](gitlab-org/gitlab@38d1ad0decf4d7b42d3481a5e29382a5de86462c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/90607))
- [Remove elastic cluster section on UI](gitlab-org/gitlab@6703b7c6d23c5fb0695ef4c163cfc63964a0e63e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/90692))
- [Remove the `infinitely_collapsible_sections` feature flag](gitlab-org/gitlab@58e6534384357ac1106b9d101abff606b7808bfd) ([merge request](gitlab-org/gitlab!90732))
- [Geo Sites Form - Remove Beta Badge](gitlab-org/gitlab@de6b06aa06db10ead3de330063ce2dc216d86ece) ([merge request](gitlab-org/gitlab!90707)) **GitLab Enterprise Edition**
- [Remove old Sidekiq error logging fields](gitlab-org/gitlab@d0c112f4777aa29fe93e174d1b055eca3e6628f4) ([merge request](gitlab-org/gitlab!90523))
- [Remove file_identifier_hash feature flag](gitlab-org/gitlab@50d303aae73de0911e35aca41fc1758ca8594e93) by @feistel ([merge request](gitlab-org/gitlab!89558))
- [Remove vsa_reaggregation_worker FF](gitlab-org/gitlab@ecd0ce2c0b5a8cc5833898109df6998b49c4a9b9) ([merge request](gitlab-org/gitlab!90498))

### Security (17 changes)

- [Allow inviting only groups with subset of allowed domains to groups](gitlab-org/gitlab@8c359ff25f04591daa1c7f5adfa1976723d4a477)
- [Sanitize ZenTao breadcrumb links](gitlab-org/gitlab@f914aa74af44f3825e828d2c9587dc764ee7b6e2)
- [Gitlab Runner version upgrade](gitlab-org/gitlab@21a96107dec46ffb6410ffadbd716573cbf61a8b)
- [Update ProjectAttributesTransformer to use fixed number of attributes](gitlab-org/gitlab@bb4e46423f7e472522cabbca6ed6e772db1d9359)
- [Fix open redirect vulnerability](gitlab-org/gitlab@f2c4c7146add13c34406ad7046f4a0116ba8f8ec)
- [Escape deploy key title to prevent XSS](gitlab-org/gitlab@327e969dffa08eebc4216e9d3e8a0b86aa992d01)
- [Fix group IP restrictions not enforced for container registry requests](gitlab-org/gitlab@c50b305734c805b644391cb251d2c68d960f64d7) ([merge request](gitlab-org/gitlab!91069)) **GitLab Enterprise Edition**
- [Filter milestone release by user access](gitlab-org/gitlab@322dae42a10e829feffd101782d52235b6ff0da9)
- [Adds a filter based on user access to Runner jobs endpoint](gitlab-org/gitlab@31d7a7856d0c389a2555ae042464f9c94a8451f9)
- [Security fix sentry issue leaks and access level check](gitlab-org/gitlab@87e5819100164eda33b689ac0e28ae88a16a2e23)
- [Check permissions before exposing user two factor enabled](gitlab-org/gitlab@c1f6a9155311137fdc3137a8a52cad83c2f90621)
- [Fix permissions in the project labels API](gitlab-org/gitlab@36754fe9dec582f4dca7abb2ade39aa934c4fc9e)
- [Fix the required access level in the Conan packages finder](gitlab-org/gitlab@7bd818a2b2c506753ab1c405241438fce17001b5)
- [Restrict CI lint access to pipeline creators](gitlab-org/gitlab@c9b744274f3b8c5ca2e8accecce9b2fc4f08ad7e)
- [Catch endless headers when reading HTTP responses](gitlab-org/gitlab@6a84084ac60b8abe4af63d12089d782f8802fa4e)
- [Prevent runners from picking IP restricted jobs](gitlab-org/gitlab@4c673725653c6409f7709e2d62c2297989b048d7)
- [Add rate limit on integration testing feature](gitlab-org/gitlab@1759060b07e9401097189f9c47d4853bde5c8feb) ([merge request](gitlab-org/gitlab!90257))

### Performance (22 changes)

- [Implement hit ration for diff caching](gitlab-org/gitlab@01e03ff06a66ca9aafc4dc5ecea977519d080279) ([merge request](gitlab-org/gitlab!92634))
- [Do not allow waiting project authorizations refreshes](gitlab-org/gitlab@08067118a78daba305842c75f99aee61b55b50c1) ([merge request](gitlab-org/gitlab!92669))
- [Improve DependencyLinker sanitization](gitlab-org/gitlab@2b32bb49f44f8be90c9747de181a987a04138c2b) ([merge request](gitlab-org/gitlab!92613))
- [Reduce queries in revert / cherry pick button](gitlab-org/gitlab@6b5dbeec62f5b490bcdf3c914b7ab72b993d55bb) ([merge request](gitlab-org/gitlab!92576))
- [Use paginated tree for the last commit query](gitlab-org/gitlab@a3ed631e25f1b82e079ed8bd540d913aef15bd8e) ([merge request](gitlab-org/gitlab!91890))
- [Remove unnecessary Redis calls in issue endpoints](gitlab-org/gitlab@c57d8afc28f708ca6bde97bc1e8850c94b1df985) ([merge request](gitlab-org/gitlab!92199))
- [Improve performance of related branches finder](gitlab-org/gitlab@08e444f0b44c1910d981c61963b5e2a268316838) ([merge request](gitlab-org/gitlab!91853))
- [Improve logs tree fetching performance](gitlab-org/gitlab@66052c17a9cba2bf72bc342d7823565b501a4799) ([merge request](gitlab-org/gitlab!91931))
- [Improve performance of users API under load](gitlab-org/gitlab@9248f74cdc1452713a725554bdb144b7a3b3d02c) ([merge request](gitlab-org/gitlab!91477))
- [Uses OJ Saj Parser to speed up Ipynbdiff](gitlab-org/gitlab@7a253f8774cade272591a9b228c733e24afb9903) ([merge request](gitlab-org/gitlab!91577))
- [Remove delayed_project_import_schedule_worker flag](gitlab-org/gitlab@6cee7dfe13623af21d8f383f6e99f60c08da713d) ([merge request](gitlab-org/gitlab!91999))
- [Remove sticky_ci_archive_trace_worker feature flag](gitlab-org/gitlab@7e90fd6b2c773cf41a7c8fa8661af45e4bcab5be) ([merge request](gitlab-org/gitlab!91996))
- [Do not allow waiting project authorizations refreshes](gitlab-org/gitlab@c4d498338c9e0688e6405755cf174c7216c41edf) ([merge request](gitlab-org/gitlab!91874))
- [Reduce queries for adding members](gitlab-org/gitlab@14c17314cb65736979c41b2eac56a1d292096e17) ([merge request](gitlab-org/gitlab!90437))
- [Improve performance of finding related branches](gitlab-org/gitlab@0d0adf9c16251e6dab80b9658a06a0ae1f738825) ([merge request](gitlab-org/gitlab!91676))
- [Schedule index to improve performance of contribution analytics](gitlab-org/gitlab@b7ca277306169063fe679d65f483713c9faa2ad0) ([merge request](gitlab-org/gitlab!91561))
- [Preload rich viewer](gitlab-org/gitlab@e25f939630fbbee6b3b4ae301329c7a563014021) ([merge request](gitlab-org/gitlab!91028))
- [Set expire_in for protected branch cache keys](gitlab-org/gitlab@25f569294c04acb8bcc55aa38c249d208603932c) ([merge request](gitlab-org/gitlab!91410))
- [Remove paginated_issue_discussions FF](gitlab-org/gitlab@183ee8baf8b2196615040981b070ad19c69ec214) ([merge request](gitlab-org/gitlab!76089))
- [Enable full-text search of issues by default](gitlab-org/gitlab@f121a74b66a92f69cca85530c49d4d670c6b60f9) ([merge request](gitlab-org/gitlab!90768))
- [Prevent N+1 queries when rendering pipeline stage](gitlab-org/gitlab@c34e03f45b2194a4e18e11b2627f4d66035ff602) ([merge request](gitlab-org/gitlab!90518))
- [Move incident closing for recovery alerts into a background job](gitlab-org/gitlab@2d609da5736e11be2893b38f599c5174ef735f49) ([merge request](gitlab-org/gitlab!89932))

### Other (49 changes)

- [Remove plaintext token index from ci_builds](gitlab-org/gitlab@597899e6d642add18117435af486b73d917f1237) ([merge request](gitlab-org/gitlab!91258))
- [Disallow any database calls, or connections in routes](gitlab-org/gitlab@71d8ce9c21ab0a86d7f9603f1cd7a60ebf3dec69) ([merge request](gitlab-org/gitlab!92075))
- [Drop unused ci builds index](gitlab-org/gitlab@f63eed3578c143f00ca9d3ab29303414e0e7fd37) ([merge request](gitlab-org/gitlab!91473))
- [Revert "Merge branch 'soft-validation-on-environment-external-url' into 'master'"](gitlab-org/gitlab@e97280ff0db8814c5bcd92ded1aff11841bb53ac) ([merge request](gitlab-org/gitlab!92625))
- [Drop post migration test table](gitlab-org/gitlab@4a8faf767e93470e6482993dbbc674d26371eb2b) ([merge request](gitlab-org/gitlab!92571))
- [Clean up confidential_notes feature flag](gitlab-org/gitlab@35487713476efee2071c70f53ec6fe8823bb6e1d) ([merge request](gitlab-org/gitlab!92542))
- [Add uuid to Service Ping medatada report](gitlab-org/gitlab@3cae8a4cd118fd579dc235a608fe2e330c2d9867) ([merge request](gitlab-org/gitlab!92236))
- [Turn Project authorizations refresh on changes in ProjectMember async](gitlab-org/gitlab@c362cd8e93d315e7644a5a164f417ed8de73f473) ([merge request](gitlab-org/gitlab!92515))
- [Fix usage of distance_of_time_in_words_to_now](gitlab-org/gitlab@c4a8c3912be6cf599acb7a1f3b70f91f6bae9fa3) by @edith007 ([merge request](gitlab-org/gitlab!81178))
- [Use correct styling for clear user status button](gitlab-org/gitlab@4016e2041077893259a99f7c27ad3f462a42e084) ([merge request](gitlab-org/gitlab!92108))
- [Remove measure_service_ping_metric_collection ff](gitlab-org/gitlab@ba93d4f4beeaf4346ddcaae03e2761b84dcac96b) ([merge request](gitlab-org/gitlab!92227))
- [Move finalize background migration to post-deploy](gitlab-org/gitlab@f4223962ef8f34bdd0785523dc63a9a97a8af098) ([merge request](gitlab-org/gitlab!92348))
- [Update delayed_project_removal to NULL for UserNamespaces](gitlab-org/gitlab@496de3c003360ba10e77ff2018a6eb636a2a138c) ([merge request](gitlab-org/gitlab!91360))
- [Cache payload for unleash clients](gitlab-org/gitlab@09ee9eae8675e12bde581503805d05ff7c30e312) ([merge request](gitlab-org/gitlab!90490))
- [Remove legacy queuing code](gitlab-org/gitlab@1608e09afa1462e38d1a5583690b3d23dbf445b3) ([merge request](gitlab-org/gitlab!91595))
- [Remove `group_name_path_vue` feature flag](gitlab-org/gitlab@ae0a0cc381a737b120ba78dcc4d487945faf88d1) ([merge request](gitlab-org/gitlab!92252))
- [Move integration channel placeholder var into constant](gitlab-org/gitlab@698febd806b9888b93e10c3042cdb766012e7041) by @chaomao ([merge request](gitlab-org/gitlab!91590))
- [Update docs to mention Epic Colours](gitlab-org/gitlab@72035af350da0d5eeebefa8b0b910b1a6bba69f3) by @espadav8 ([merge request](gitlab-org/gitlab!92089))
- [Reschedule batched background migration](gitlab-org/gitlab@33a7d4e992f69b11d421ecfd36589211eefcedd7) ([merge request](gitlab-org/gitlab!91979))
- [Remove the gitlab_sli_new_counters feature flag](gitlab-org/gitlab@dfb3e5e570969ba73c6e876a998dc6f8e5ad1653) ([merge request](gitlab-org/gitlab!92004))
- [Remove not null constraints from requirements columns](gitlab-org/gitlab@b9ac860f8f6b34acc6fce623963417ec55662663) ([merge request](gitlab-org/gitlab!91611))
- [Pass License sha256 in usage data](gitlab-org/gitlab@01704dd98d1cd179b584be717dd7f75b9e713290) ([merge request](gitlab-org/gitlab!91335)) **GitLab Enterprise Edition**
- [Validate requirements.requirement_issue NOT NULL constraint](gitlab-org/gitlab@788a9f4ec98d0c220ddff17bb91d5baae049906b) ([merge request](gitlab-org/gitlab!91826))
- [Cache external MR diffs on disk for faster Project Export](gitlab-org/gitlab@01d7f4502830f6141c75b4c51c3dfc33502edd92) ([merge request](gitlab-org/gitlab!90159))
- [Put migration on hold when autovacuum is active](gitlab-org/gitlab@8f0ae5173bfa7fc57e354ba33378b924f99c8952) ([merge request](gitlab-org/gitlab!85196))
- [Use lazy Workhorse upload preauth for fallback routes](gitlab-org/gitlab@c4758ffd5470899f9d3d850a272e649c2a9860d1) ([merge request](gitlab-org/gitlab!91037))
- [Update multiple admin alerts to pajamas](gitlab-org/gitlab@3319f97d42b8b3c18ebb6f4fbc1956191ef26fb9) ([merge request](gitlab-org/gitlab!91535))
- [Add Feishu Integration Foundation](gitlab-org/gitlab@dab73226b20dfff472cc2213a392f3b181805264) by @chaomao ([merge request](gitlab-org/gitlab!91070))
- [Drop unused ci builds index](gitlab-org/gitlab@adf17acef347e15d2242ab5ac49161d31a1942ba) ([merge request](gitlab-org/gitlab!91470))
- [Rename queues for finishing and achiving workers](gitlab-org/gitlab@363e8bfee43c4383ded79e3dcb59145cf58036c0) ([merge request](gitlab-org/gitlab!91267))
- [Switch ActiveSupport::HashDigest to SHA256](gitlab-org/gitlab@7923a061f186064bd4a6e1798df43df21f23e95b) ([merge request](gitlab-org/gitlab!91247))
- [Ignore ci_triggers.ref before removal](gitlab-org/gitlab@2192e0b2975bdb8ac0e47d88b0d0fe7d3a2d6b3d) ([merge request](gitlab-org/gitlab!91048))
- [Moves ipynbdiff to vendor](gitlab-org/gitlab@94a97ac69f695eb20433699df27e24e2a7b3140c) ([merge request](gitlab-org/gitlab!91409))
- [Setting sliding-list Partition Fix FF to True](gitlab-org/gitlab@852e307cb0c489cb33ede43a85504404f616684e) ([merge request](gitlab-org/gitlab!91361))
- [Moves ipynbdiff to vendor](gitlab-org/gitlab@f6104167595ad5cedb7f14579b00b5f1a97d5ec9) ([merge request](gitlab-org/gitlab!90696))
- [Add background migration to backfill missing search_data](gitlab-org/gitlab@3b4a79cc358ad31868155ca15378b5a6337a2f4d) ([merge request](gitlab-org/gitlab!90378))
- [Add post-migration test table](gitlab-org/gitlab@445127ccd507a640e422ad509a61de4cf0a81d92) ([merge request](gitlab-org/gitlab!91119))
- [Clean up fallbacks in Emails::MergeRequests#push_to_merge_request_email](gitlab-org/gitlab@66723811452c5568259219e134391b8c236db11a) ([merge request](gitlab-org/gitlab!91039))
- [Hide dependency proxy for personal namespaces](gitlab-org/gitlab@6605bec6acb8b3a0e53f81b510559728278c5d30) ([merge request](gitlab-org/gitlab!90828)) **GitLab Enterprise Edition**
- [Remove prerecord_service_ping_data feature flag](gitlab-org/gitlab@6decf213e5a6d14294f629d2de99cb2d8a223932) ([merge request](gitlab-org/gitlab!90945))
- [Add skeleton loader for usage_quota's storage](gitlab-org/gitlab@8544e283936c84cf73c3342d142eb199ede50e54) ([merge request](gitlab-org/gitlab!87589)) **GitLab Enterprise Edition**
- [Backfill runner semver column](gitlab-org/gitlab@ddcfe856e6a54fb4cb2a4ae2511bd904773b0371) ([merge request](gitlab-org/gitlab!89054))
- [Remove contacts_autocomplete feature flag](gitlab-org/gitlab@c25dbe8b34f74041f396039c10bf554b60595cb8) ([merge request](gitlab-org/gitlab!90167))
- [Only send signed upload params from Workhorse](gitlab-org/gitlab@40e82d9647d5c4c01ad34e69860ce91ddd521238) ([merge request](gitlab-org/gitlab!90373))
- [Revert "Merge branch 'jnnkl-codequality-findings-diff-inline' into 'master'"](gitlab-org/gitlab@2e0433aada7d1b3a688d680a0ecf7ec1e0bd2f78) ([merge request](gitlab-org/gitlab!90712))
- [Fix display of times in access and deploy token table](gitlab-org/gitlab@00900fe33a377d4b26a11bbef926616a000c01aa) by @edith007 ([merge request](gitlab-org/gitlab!75831))
- [Support push options when creating merge request pipelines](gitlab-org/gitlab@e91c574425367c52f68f31c2194c6f46079f7b1b) ([merge request](gitlab-org/gitlab!87323)) **GitLab Enterprise Edition**
- [Update GitLab Runner Helm Chart to 0.42.0](gitlab-org/gitlab@cc89200f498fe216864914c79b5b0d1d578edab3) ([merge request](gitlab-org/gitlab!90605))
- [Address database documentation Vale warningss](gitlab-org/gitlab@e5f9a089766bace046d3bbd760a2979865a4bbc0) by @cgives ([merge request](gitlab-org/gitlab!90093))

## 15.1.6 (2022-08-30)

### Security (17 changes)

- [No overriding methods for Sawyer class](gitlab-org/security/gitlab@720a17d03791c298d193b2d49d322a5f259bb6f2) ([merge request](gitlab-org/security/gitlab!2756))
- [Bump yajl-ruby gem version](gitlab-org/security/gitlab@acb8bee73354ddbd7a7a52e3d09c870d1cd99e27) ([merge request](gitlab-org/security/gitlab!2690))
- [Prevent long loops when generating suggested branch name](gitlab-org/security/gitlab@e331ecf658de25901def2ea4a368104b82a0109c) ([merge request](gitlab-org/security/gitlab!2745))
- [IDOR in Zentao integration issue show page](gitlab-org/security/gitlab@0a238baf6a1d4aa0bc834448aefaf756d594a7be) ([merge request](gitlab-org/security/gitlab!2742))
- [Patch VULNDB-255039 (potential Rack cache poisoning)](gitlab-org/security/gitlab@1f5ecd95b3631c8352ff57cf4bee23d26aa51ecc) ([merge request](gitlab-org/security/gitlab!2695))
- [HTML escape the label background color](gitlab-org/security/gitlab@470b75a53ea4383ea30de5a482d39b322f87dfa2) ([merge request](gitlab-org/security/gitlab!2721))
- [Sandbox jupyter notebook HTML output](gitlab-org/security/gitlab@72089898a60de7f17c19a2fa9d4f1330d3052b52) ([merge request](gitlab-org/security/gitlab!2713))
- [Fix unauthorized GFM references in Incident Timeline](gitlab-org/security/gitlab@c62408682ed47bc2e5f93585a5b4e92e8cfebf9f) ([merge request](gitlab-org/security/gitlab!2709))
- [Optimize handling repositories with huge trees](gitlab-org/security/gitlab@396f20e019a9888d1645e9345a82fdf21153bf76) ([merge request](gitlab-org/security/gitlab!2667))
- [Parse commit trailers without using regexp](gitlab-org/security/gitlab@b377a1ecbb37c5359b2c2a0ecfbd911654664700) ([merge request](gitlab-org/security/gitlab!2701))
- [Check for pathological markdown input](gitlab-org/security/gitlab@e3a1376ec70d8d60f11a380cce6e0b3c35f68646) ([merge request](gitlab-org/security/gitlab!2731))
- [Replaced smooshpack to fix the vulnerability in LivePreview](gitlab-org/security/gitlab@d520ffd2a5a75d33ac98c39cd2f2fe623b0e1115) ([merge request](gitlab-org/security/gitlab!2664))
- [Update package auth for group IP allowlist](gitlab-org/security/gitlab@12bb8656bdaa9a7502c0a1b77c12fefb72677ba1) ([merge request](gitlab-org/security/gitlab!2685))
- [Don't show pipeline status](gitlab-org/security/gitlab@7fb43f899f2342704bda81643f8375a126efc2ae) ([merge request](gitlab-org/security/gitlab!2679))
- [Sanitize img attributes in Banzai::Filter::ImageLinkFilter](gitlab-org/security/gitlab@594fa5874fb7cc6b6588bbf8aff2f04b8acbbfd0) ([merge request](gitlab-org/security/gitlab!2677))
- [Validate description length for snippets](gitlab-org/security/gitlab@94ae3d05741bc69b9307e5f58f0d61bf2566c21b) ([merge request](gitlab-org/security/gitlab!2704))
- [Prevent brute force vuln for Git over HTTP(S) requests](gitlab-org/security/gitlab@7b76542e197ea72289c881c312b3a519c8b28e63) ([merge request](gitlab-org/security/gitlab!2718))

## 15.1.5 (2022-08-22)

### Security (2 changes)

- [Validate if values to be saved in Redis can be converted to string](gitlab-org/security/gitlab@0bc82f875f78b6a2703b294b1a5a8d941000f9f2) ([merge request](gitlab-org/security/gitlab!2725))
- [Fix CSS selector used in specs](gitlab-org/security/gitlab@a900e65b192a8415baa6bcd4050566543107ab1f) ([merge request](gitlab-org/security/gitlab!2728))

## 15.1.4 (2022-07-28)

### Security (18 changes)

- [Security datadog integration leaking](gitlab-org/security/gitlab@1aadbf61796ff95b4716fb8ef335c5a4dbdf8c6a) ([merge request](gitlab-org/security/gitlab!2594))
- [Prevent users who cannot admin a public project from viewing deploy keys](gitlab-org/security/gitlab@a69bec0e58f4ee0df0774dcde1ce1817d41daa7c) ([merge request](gitlab-org/security/gitlab!2641))
- [Add additional condition to accept invitation](gitlab-org/security/gitlab@b3480d20512d61b761da2a8772ec2bfe32182169) ([merge request](gitlab-org/security/gitlab!2655))
- [Update GITLAB_PAGES_VERSION](gitlab-org/security/gitlab@6161c0445e4908cdc152bee4be8b9d223df9f1d0) ([merge request](gitlab-org/security/gitlab!2584))
- [Add html_escape to build_details_entity](gitlab-org/security/gitlab@c0a82385320e144b55e400eff96f39aa56af33ef) ([merge request](gitlab-org/security/gitlab!2610))
- [Check permissions when filtering by contact or organization](gitlab-org/security/gitlab@5b8f2da656ec7839614d4a49f35778ed00b31b2b) ([merge request](gitlab-org/security/gitlab!2645))
- [Use author to run subscribed pipeline](gitlab-org/security/gitlab@982917161408cfe4c3191f352bb1d390dfa3c9fd) ([merge request](gitlab-org/security/gitlab!2558))
- [Remove prohibited branches after project import](gitlab-org/security/gitlab@48864bf7539176eb385f5ce792c8e369a2b79fe6) ([merge request](gitlab-org/security/gitlab!2589))
- [Remove feature flag `ci_yaml_limit_size`](gitlab-org/security/gitlab@b532b82ef2a0ef5b045932a56ffc06281df7a1d8) ([merge request](gitlab-org/security/gitlab!2630))
- [Maintainer can change the visibility of Project and Group](gitlab-org/security/gitlab@9556769a3a2fe2c030eb55e87b1465638d315358) ([merge request](gitlab-org/security/gitlab!2618))
- [Do not link unverified secondary emails with any users](gitlab-org/security/gitlab@331b1d6b590b01c3d45332a6c8e09def249c627e) ([merge request](gitlab-org/security/gitlab!2627))
- [Forbid exchanging access token for ROP flow to users required 2FA setup](gitlab-org/security/gitlab@15bc29c4ab878365356e59c0c8d2e0f361b71e70) ([merge request](gitlab-org/security/gitlab!2621))
- [Remove todos from confidential notes when user loses access](gitlab-org/security/gitlab@9672296987190cc4b08b1f32f3c45086880b06bc) ([merge request](gitlab-org/security/gitlab!2608))
- [Remove group_bot_user and group_access_token after group delete](gitlab-org/security/gitlab@9b1a5e7101e1addee8c3429f4937980020c5f6b3) ([merge request](gitlab-org/security/gitlab!2634))
- [Protect integration secrets](gitlab-org/security/gitlab@4920ac9b10e237cca5d279cbd3cf60daa829a71b) ([merge request](gitlab-org/security/gitlab!2585))
- [Protect Grafana and Sentry integrations](gitlab-org/security/gitlab@a5d33edb1c557e9bbd0a1a79c81e851c1d740e37) ([merge request](gitlab-org/security/gitlab!2576))
- [Fix IDOR in Jira issue show action](gitlab-org/security/gitlab@8b62e0c09c33c44f508266d7b8db4892105124ac) ([merge request](gitlab-org/security/gitlab!2648))
- [Limit proxied requests to Grafana API](gitlab-org/security/gitlab@4580e61bc22b04eda13e293c5868a26a1a6ee571) ([merge request](gitlab-org/security/gitlab!2597))

## 15.1.3 (2022-07-19)

### Added (1 change)

- [Add praefect list virtual storages subcommand documentation](gitlab-org/gitlab@95689c32e2734831c00ef30de303098485ec095a) ([merge request](gitlab-org/gitlab!92708))

### Fixed (1 change)

- [Fix group access dropdown failure if no subgroups are available](gitlab-org/gitlab@518a2f55caddab0c18d0548d0a8f777afe5ae666) ([merge request](gitlab-org/gitlab!92708)) **GitLab Enterprise Edition**

## 15.1.2 (2022-07-05)

### Fixed (3 changes)

- [Resolve "White screen of death on creating new project"](gitlab-org/gitlab@b737280d402aa88f723ada9885ccca22fa4457b5) ([merge request](gitlab-org/gitlab!91668))
- [Fix agent token modal](gitlab-org/gitlab@6fdffc4a534f67953a1555a0e4e35e4bd2bcb960) ([merge request](gitlab-org/gitlab!91668))
- [Resolve "Gitlab doesn't detect the deployment pods after K8s cluster upgrade to v1.22"](gitlab-org/gitlab@5eb84d7d96189f7119aa325e83a3723942cc14ba) ([merge request](gitlab-org/gitlab!91668))

### Changed (2 changes)

- [Update gitaly_cgroups metric name in docs](gitlab-org/gitlab@1af956596f052446f7ee2d42635b891670ddccd4) ([merge request](gitlab-org/gitlab!91668))
- [Refactor add populate commit permission migration](gitlab-org/gitlab@bc80cc41c2b90b8e459055c5ec1885941798f3c2) ([merge request](gitlab-org/gitlab!91668)) **GitLab Enterprise Edition**

### Removed (1 change)

- [Geo Sites Form - Remove Beta Badge](gitlab-org/gitlab@2feffa8e272aa8d9e608ad3e510a93fda93b7fcb) ([merge request](gitlab-org/gitlab!91668)) **GitLab Enterprise Edition**

## 15.1.1 (2022-06-30)

### Security (16 changes)

- [Fix group IP restrictions not enforced for container registry requests](gitlab-org/security/gitlab@0c9628791bf383734ec8f32e1d0040ca2fd62178) ([merge request](gitlab-org/security/gitlab!2550))
- [Gitlab Runner version upgrade](gitlab-org/security/gitlab@b7e06c1e812fdf0a2fab4aca07cdea33ff22b41c) ([merge request](gitlab-org/security/gitlab!2564))
- [Update ProjectAttributesTransformer to use fixed number of attributes](gitlab-org/security/gitlab@fae2720ffd7ec5ce3eb88e3b68b2879f4f664cf4) ([merge request](gitlab-org/security/gitlab!2547))
- [Escape deploy key title to prevent XSS](gitlab-org/security/gitlab@071c3fa4ae63d03117a3c02752711d29f6f620b1) ([merge request](gitlab-org/security/gitlab!2492))
- [Sanitize ZenTao breadcrumb links](gitlab-org/security/gitlab@5b16b65cfe57a946f25842b7818dafe6c8a934ea) ([merge request](gitlab-org/security/gitlab!2555))
- [Fix permissions in the project labels API](gitlab-org/security/gitlab@b3ff7ee5a64382ff9ee34bc3fc44acd0117f86d9) ([merge request](gitlab-org/security/gitlab!2532))
- [Security fix sentry issue leaks and access level check](gitlab-org/security/gitlab@a0ad79588f170e1c58206e42d8b550d75e874a4d) ([merge request](gitlab-org/security/gitlab!2531))
- [Check permissions before exposing user two factor enabled](gitlab-org/security/gitlab@3b7c699ffcca64721c0876da12435c148f8e83a7) ([merge request](gitlab-org/security/gitlab!2530))
- [Filter milestone release by user access](gitlab-org/security/gitlab@dc79edc16c7422279235d2ad8a4807644840fc4c) ([merge request](gitlab-org/security/gitlab!2535))
- [Fix the required access level in the Conan packages finder](gitlab-org/security/gitlab@5221ca59f09361f90798348851fa12c91e5d9e35) ([merge request](gitlab-org/security/gitlab!2513))
- [Allow inviting only groups with subset of allowed domains to groups](gitlab-org/security/gitlab@03dfb153355d0465ea25a6d73db895c975fc32df) ([merge request](gitlab-org/security/gitlab!2538))
- [Fix open redirect vulnerability](gitlab-org/security/gitlab@eb52b11c7b29319d16e21feec97bafbdf0f3c3e5) ([merge request](gitlab-org/security/gitlab!2542))
- [Adds a filter based on user access to Runner jobs endpoint](gitlab-org/security/gitlab@a35c6aa42c35da96bf1df263b4a3aa1fe38af75d) ([merge request](gitlab-org/security/gitlab!2508))
- [Prevent runners from picking IP restricted jobs](gitlab-org/security/gitlab@9d6f0da89f6d2e8f3c7fbccea0d22fc6b17e0305) ([merge request](gitlab-org/security/gitlab!2505))
- [Restrict CI lint access to pipeline creators](gitlab-org/security/gitlab@bf15e9ceddf4b30105103defa50dd4a9094ac246) ([merge request](gitlab-org/security/gitlab!2516))
- [Catch endless headers when reading HTTP responses](gitlab-org/security/gitlab@d9a6ca9aa36cfd6dd916be2d4f1e8e25329ecc73) ([merge request](gitlab-org/security/gitlab!2527))

## 15.1.0 (2022-06-21)

### Added (147 changes)

- [Add GraphQL API to create resource links](gitlab-org/gitlab@cf6881e6d281ec62f6bc742794b81dd1dbbd3daa) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/88826)) **GitLab Enterprise Edition**
- [Add support for collecting jemalloc stats](gitlab-org/gitlab@0b76148a078903dda4e6698ff6c20fc287887ec7) ([merge request](gitlab-org/gitlab!89303))
- [Add audit event for disabling 2FA](gitlab-org/gitlab@93f3ca0a2c3535b8eb3b4176f877abc99b75c78e) ([merge request](gitlab-org/gitlab!89598)) **GitLab Enterprise Edition**
- [Add auditEventsStreamingHeadersDestroy Mutation](gitlab-org/gitlab@50e59b0fe7bd4864fdc5735d1876041e0c7b9aeb) ([merge request](gitlab-org/gitlab!88408)) **GitLab Enterprise Edition**
- [Add backend changes to sort issues by closed at](gitlab-org/gitlab@f77350c785ae225fefecce7e983ab37b9ff58340) by @zillemarco ([merge request](gitlab-org/gitlab!89606))
- [Display invalid approvals on merge request widget](gitlab-org/gitlab@8aa64755f7ec14b7a704db4d925c27ba7578a68a) ([merge request](gitlab-org/gitlab!88941))
- [Add ownerProject field to RunnerType](gitlab-org/gitlab@72ec72a0b0ad63f64c441e47d1f214e5a8c16b52) ([merge request](gitlab-org/gitlab!89922))
- [Mutation to delete multiple package files](gitlab-org/gitlab@9fe8deddb8ba788fee886b36e5ec61df600a5109) ([merge request](gitlab-org/gitlab!89927))
- [GraphQL: Add lazy load for blocking epics count](gitlab-org/gitlab@888c4b2dc6b69c73c9ecf9645f21a774f552e86e) ([merge request](gitlab-org/gitlab!89632)) **GitLab Enterprise Edition**
- [Add git protocol configuration to groups](gitlab-org/gitlab@0938dfe435e42d08c1df0f930bd1f6042d68aad9) ([merge request](gitlab-org/gitlab!89817))
- [Prevent users from using known insecure public key](gitlab-org/gitlab@8a0678ef91684ede86b850a4f30c8eebbcc0d244) ([merge request](gitlab-org/gitlab!90369))
- [Preview plantuml/kroki diagrams in content editor](gitlab-org/gitlab@fc0aab15f39aff7fb604c06ce218e22926e8423b) ([merge request](gitlab-org/gitlab!86701))
- [Add scan_execution_policies endpoint to the Kubernetes internal API](gitlab-org/gitlab@2144a3e8ac2d14e797d81338cc85821c853c87e6) ([merge request](gitlab-org/gitlab!88879)) **GitLab Enterprise Edition**
- [Add opened/closed epic issue weights](gitlab-org/gitlab@615687ae92a89621a1455e0de721214ef0ca4f47) ([merge request](gitlab-org/gitlab!89751))
- [Added possibility to search CRM contacts and organizations by ids](gitlab-org/gitlab@cc1698f0357f73514d269e0ae14c38bfeb383c0e) by @zillemarco ([merge request](gitlab-org/gitlab!89938))
- [Adds timestamps to compliance frameworks](gitlab-org/gitlab@c322b728c0ff22956dbfa20152048a5410b0a4aa) ([merge request](gitlab-org/gitlab!88844))
- [Clean up group_level_protected_environment feature flag](gitlab-org/gitlab@ee38bce56f7567041161929c782bfe0fd17acea5) ([merge request](gitlab-org/gitlab!90211))
- [Remove downstream_retry_action ff](gitlab-org/gitlab@65ccd92f41a2d60ca66861f75f94f9b84c5bfd33) ([merge request](gitlab-org/gitlab!90157))
- [Audit event for group level merge request settings](gitlab-org/gitlab@fd13da3958cc8980f864c93bb9249982f9fef722) ([merge request](gitlab-org/gitlab!87880)) **GitLab Enterprise Edition**
- [Added token-selector to WI assignees](gitlab-org/gitlab@297b079136881f4b047a52a187636348895f12a7) ([merge request](gitlab-org/gitlab!88820))
- [Introduce database metric batch average operation](gitlab-org/gitlab@501a6f1f8b78e1f16f371b74a249c61f3d86a5ca) ([merge request](gitlab-org/gitlab!89913))
- [Add `counts.saml_group_links` metric](gitlab-org/gitlab@d921d77b7d74d200e0108931ce4dafa4877bbfa2) ([merge request](gitlab-org/gitlab!90019)) **GitLab Enterprise Edition**
- [Remove customer_relations feature flag](gitlab-org/gitlab@b6647f7f311036540671650ceb1b723680d4540e) by @leetickett ([merge request](gitlab-org/gitlab!90142))
- [Provide HooksExecution task to ensure Slack integrations are called](gitlab-org/gitlab@9192dcd46c8c68f7c2aa12c3f48d8452681f699c) ([merge request](gitlab-org/gitlab!89615)) **GitLab Enterprise Edition**
- [Introduce `gitlab_internal` for Rails and pg tables](gitlab-org/gitlab@b3c57cd1ed2538677db72eabd90a8162e0f0c287) ([merge request](gitlab-org/gitlab!88704))
- [Add sortable description list items on epic page](gitlab-org/gitlab@27813a51fae5aee45b8dee1c727ae45ecbe68a6b) ([merge request](gitlab-org/gitlab!89443))
- [Add support for delayed project deletion for personal projects](gitlab-org/gitlab@55b7f403e326c0e36520c5b15c549ea6fdb02e44) ([merge request](gitlab-org/gitlab!89466)) **GitLab Enterprise Edition**
- [Create audit stream HTTP header model](gitlab-org/gitlab@a84ff4442b9fe39cccee16065f160ec00ae28ee6) ([merge request](gitlab-org/gitlab!88063))
- [Prevent users from adding known, weak keys](gitlab-org/gitlab@fd9152c70edeccaeb4619eedf1ad7986e1676678) by @kyrie.31415926535 ([merge request](gitlab-org/gitlab!87541))
- [Add password complexity checkbox in application settings pages](gitlab-org/gitlab@97ae74f6ead4051d2188cba0c517a6e9608952c7) ([merge request](gitlab-org/gitlab!86852))
- [List children in hierarchy widget](gitlab-org/gitlab@4e8aed9b9c6eba47799fc2a8c3394f51dd49513b) ([merge request](gitlab-org/gitlab!89749))
- [Added remove button to time tracking report entries](gitlab-org/gitlab@fa4a5bf3194baaf120129996aa07b7d41ed86e7b) by @zillemarco ([merge request](gitlab-org/gitlab!88122))
- [PyPI simple repository API PEP 503](gitlab-org/gitlab@fb6b92d6ca7d7c527d70015c968d5752a8e1e0e2) ([merge request](gitlab-org/gitlab!87966))
- [Create Geo replication events for Terraform state deletions](gitlab-org/gitlab@74ee2a9fe8e7239d91d4da2b9ec8618ad4e28924) ([merge request](gitlab-org/gitlab!89095)) **GitLab Enterprise Edition**
- [Add metric for unique MRs with invalid approvers](gitlab-org/gitlab@27abbfb1ac0abb51e10510974bac3bd5e812a01a) ([merge request](gitlab-org/gitlab!89345)) **GitLab Enterprise Edition**
- [Add empty state to branch selection when creating an MR](gitlab-org/gitlab@878cf7a114283d7d8970d5380e50c2fa4c001300) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/88556))
- [Added a waning alert to the project](gitlab-org/gitlab@dc32eeb686079a7b1421d0c35a49fe98c7de85b2) ([merge request](gitlab-org/gitlab!86882))
- [Add confidential notes index](gitlab-org/gitlab@d62aaa9f5e957562942516f03c3bb5ade3418ea8) ([merge request](gitlab-org/gitlab!90007))
- [Update documentation to reflect current project migration status](gitlab-org/gitlab@33e4f5b18b4cc1ba9ff934bd6df88deaae850f30) ([merge request](gitlab-org/gitlab!89562))
- [Upgrade GitLab Pages to 1.59.0](gitlab-org/gitlab@db81cb17316872a4fb2a856c4b42be4b7ded66d3) ([merge request](gitlab-org/gitlab!89994))
- [Create merged result pipelines when MR is git mergeable](gitlab-org/gitlab@bec50de5b23e0992cecb9161a20e0d563cf7018c) ([merge request](gitlab-org/gitlab!89951))
- [Switch legacy_open_source_license_available for non-public projects](gitlab-org/gitlab@60ddafa21e90eddb11dbc08d3bdb4d79cb3f71c0) ([merge request](gitlab-org/gitlab!88310))
- [Add upgrade status badge to runners](gitlab-org/gitlab@79208cfad16040b6b180f7b730cd6e860b969fae) ([merge request](gitlab-org/gitlab!84970)) **GitLab Enterprise Edition**
- [Internal error tracking check endpoint](gitlab-org/gitlab@4331b660e8c7c51bcc8a0e7d735f4f5994a08742) ([merge request](gitlab-org/gitlab!87894))
- [User api endpoint for project deploy keys](gitlab-org/gitlab@b246caf8420de181765b8879fc304575f1dfd3a6) ([merge request](gitlab-org/gitlab!88917))
- [Added intents.json to act as a multiplier to the emojis score](gitlab-org/gitlab@082fd2286275a8cdfaf51fa48ddfbae07e8ad3b9) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/88407))
- [Add password complexity to application settings API](gitlab-org/gitlab@b116b5174f96ab44a56aaf02956966ba58faf59a) by @mtan-gitlab ([merge request](gitlab-org/gitlab!85763)) **GitLab Enterprise Edition**
- [Add time to restore service chart to CI/CD analytics](gitlab-org/gitlab@34dd6e0846b5e888fcb4e49ef61a974130402c98) ([merge request](gitlab-org/gitlab!88366)) **GitLab Enterprise Edition**
- [Add new empty state to group overview](gitlab-org/gitlab@6b0a46119dd84ced85f175b30d7fdbc3ff6fbc08) ([merge request](gitlab-org/gitlab!84397))
- [Add container_images to Project/Group GraphQL API](gitlab-org/gitlab@dea6151a34e26a661c84d95fcbc501dceb221579) ([merge request](gitlab-org/gitlab!88806))
- [Event type information in streaming audit event for deploy token](gitlab-org/gitlab@79dfefaadb0a0d3c376c760c3bf2fdc5f7cc0c18) ([merge request](gitlab-org/gitlab!89391)) **GitLab Enterprise Edition**
- [Create Button ViewComponent](gitlab-org/gitlab@16e541a38750f41fed412590cb2e985a2d5579bd) ([merge request](gitlab-org/gitlab!89159))
- [Introduce new Colour Select Widget](gitlab-org/gitlab@077d7b62780ef7e51b3bbc53d4775f1802a41f59) by @espadav8 ([merge request](gitlab-org/gitlab!78889))
- [Create release evidence post GitLab Migration](gitlab-org/gitlab@84328a56779d52d39e2453d6c82ea4f50b6921b7) ([merge request](gitlab-org/gitlab!89128))
- [Prepare confidential notes index on .com](gitlab-org/gitlab@ab36469e8d5583c94c4aeec8572e4353ce2fa6e0) ([merge request](gitlab-org/gitlab!89520))
- [Add metric to count number of requirements that require approval](gitlab-org/gitlab@9db957c8a7716aad9f23c992b293b6a0b368fe01) ([merge request](gitlab-org/gitlab!89061)) **GitLab Enterprise Edition**
- [Skip sending pipeline hooks and notifications for blocked users](gitlab-org/gitlab@ce4f1f196586cef6b7394313d764e6bc613add8b) ([merge request](gitlab-org/gitlab!89546))
- [Add not null constraint on routes#namespace_id column](gitlab-org/gitlab@25bf575d058d025f5fdc6010638c1a54cef1c4d9) ([merge request](gitlab-org/gitlab!88635))
- [Add submit license usage data banner](gitlab-org/gitlab@2c7e13b0967cd943f1d479fde76f5009a03ec3a2) ([merge request](gitlab-org/gitlab!89227)) **GitLab Enterprise Edition**
- [Add version part columns to ci_runners table](gitlab-org/gitlab@c86ff6061d1c0ea1031fc4049b562b51ceba4e45) ([merge request](gitlab-org/gitlab!89023))
- [Add seat count usage alerts to group pages](gitlab-org/gitlab@4b5eda5cdddda859150c9cc0faa548d2191cc1b1) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/89204)) **GitLab Enterprise Edition**
- [Show Terraform state deleted status in UI](gitlab-org/gitlab@2200e82525d0d288ce6dd54ec7eafca9d9624c58) ([merge request](gitlab-org/gitlab!89190))
- [Add event type information in merge request approval audit event](gitlab-org/gitlab@1b85deebb494d90248c47c3190f53486bce17cef) ([merge request](gitlab-org/gitlab!89101)) **GitLab Enterprise Edition**
- [Add logic to reset submit license usage data banner data](gitlab-org/gitlab@53769346722ab29b876071f69d339db22cf19f53) ([merge request](gitlab-org/gitlab!89142)) **GitLab Enterprise Edition**
- [Removes container_registry_project_statistics FF](gitlab-org/gitlab@3cc1de0df5c178a5e157d03aceb4db2e427ef4ba) ([merge request](gitlab-org/gitlab!89409))
- [Remove updated_diff_expansion_buttons feature flag](gitlab-org/gitlab@f228512204a5754c1654ceebf12b4ef299e85ab3) ([merge request](gitlab-org/gitlab!88520))
- [Add GraphQL support to manage the Packages Cleanup policy](gitlab-org/gitlab@53f64475b1b60d92ca5c244b7fc643fdf5251d6b) ([merge request](gitlab-org/gitlab!87799))
- [WIP add filename arguement to allow filtering by file language](gitlab-org/gitlab@69a1916abd51626bfe461189744c1bf742500a26) ([merge request](gitlab-org/gitlab!88135)) **GitLab Enterprise Edition**
- [Added contacts and organizations resolvers](gitlab-org/gitlab@ebbb79d765517a7389d98ec1f13a896f2c17ccc5) by @zillemarco ([merge request](gitlab-org/gitlab!88752))
- [graphql: Add merge_request_event_type field to pipeline_type](gitlab-org/gitlab@131cc74f48d4a50f02f1c7d94e8b53b2d5eec539) ([merge request](gitlab-org/gitlab!89237))
- [Add container registry to Namespace usage quotas page](gitlab-org/gitlab@19cf42fcc51b4fd76a9220c99ed62c8c60e21463) ([merge request](gitlab-org/gitlab!88192)) **GitLab Enterprise Edition**
- [Log GitHub Commit Status API responses](gitlab-org/gitlab@12782a7d549842b3711a29f5aedfb97b8d77828c) by @hchouraria ([merge request](gitlab-org/gitlab!88106)) **GitLab Enterprise Edition**
- [Add GraphQL operation name to performance bar](gitlab-org/gitlab@d4436e5df24b0bd9b6832f4c7d186c6666765dbd) ([merge request](gitlab-org/gitlab!89136))
- [Add Note to Todo GraphQL Type](gitlab-org/gitlab@b7401971c23548bfe4acf09b2054eb4efad0899e) by @Taucher2003 ([merge request](gitlab-org/gitlab!89262))
- [Add maintenance notes in runner view](gitlab-org/gitlab@cc187fb7dd2b2d86137c1a44ae7dc70f747379bd) ([merge request](gitlab-org/gitlab!88060)) **GitLab Enterprise Edition**
- [Log sql query in Sidekiq error logs](gitlab-org/gitlab@fefb36f40cb1c3791212e0bec159d88ac7d3bb65) ([merge request](gitlab-org/gitlab!89202))
- [Displays embedded images on ipynb diffs](gitlab-org/gitlab@70b0e77235734b3e2a1f4851a6489c4e80b21074) ([merge request](gitlab-org/gitlab!88659))
- [Adds the end event column to the VSA stage table](gitlab-org/gitlab@ec6e563886535b4f733cf4db491f023959592bb5) ([merge request](gitlab-org/gitlab!88985))
- [Add drop_sequence migration helper](gitlab-org/gitlab@8e86fa39488b3afdd7959542b344b4addbfb80ca) ([merge request](gitlab-org/gitlab!88387))
- [Cleanup orphaned routes](gitlab-org/gitlab@18176ac61622f4a8c0ba80d1dbdbf9e017d5b933) ([merge request](gitlab-org/gitlab!88401))
- [Log email delivery failures](gitlab-org/gitlab@b3f343f857f86918a054cc5dddaac68d14294e93) ([merge request](gitlab-org/gitlab!89113))
- [Enable escalations of incidents created manually](gitlab-org/gitlab@0198a0d018ddfe94602d2d3090eae3a0c2c92c79) ([merge request](gitlab-org/gitlab!80444))
- [Add option to backup specified groups](gitlab-org/gitlab@2bc55892e85b6b87541781dcb91b7e1cb05bfa8f) ([merge request](gitlab-org/gitlab!88976))
- [Add a index for vulnerability_state_transitions table](gitlab-org/gitlab@f0fbf3b340669fcb40419fe3bc8498da516868e4) ([merge request](gitlab-org/gitlab!88875)) **GitLab Enterprise Edition**
- [Add tooltip to the downstream expand btn](gitlab-org/gitlab@53c926eda91f7b8bcd0ecb2cdd8a80220e0a8537) ([merge request](gitlab-org/gitlab!89050))
- [Adds raw column to all ci variable tables](gitlab-org/gitlab@d98e15ceedf42d34cd21305cd8fd4458b7782cd4) ([merge request](gitlab-org/gitlab!88554))
- [Add Pages::PageDeletedEvent](gitlab-org/gitlab@25d9bef7da8d9091cf0789e32f50008f98a0a00d) ([merge request](gitlab-org/gitlab!89162))
- [Expose epic links properties on GraphQL](gitlab-org/gitlab@d58a5208386c01f266fbf395d471a879392841f3) ([merge request](gitlab-org/gitlab!87830)) **GitLab Enterprise Edition**
- [Add documentation for CWE 319.1](gitlab-org/gitlab@6a02c37bf1182f4d0adb9227ec3fbf64f9b79f45) ([merge request](gitlab-org/gitlab!89106))
- [Introduce execute_background_migrations feature flag](gitlab-org/gitlab@f16923c2c3d0fe427077711fb7688c17445b3d8f) ([merge request](gitlab-org/gitlab!88981))
- [Add runner status to external pipeline validation payload](gitlab-org/gitlab@d4fd4cd6674587b0b58188dbb65a56f3f92867f3) ([merge request](gitlab-org/gitlab!89083))
- [Add validation for epic issue group hieararchy](gitlab-org/gitlab@9f3cb094409680423e8a237f8375a4a0fa4bfe18) ([merge request](gitlab-org/gitlab!76686)) **GitLab Enterprise Edition**
- [Implement GET API to fetch single issue link](gitlab-org/gitlab@c614feb83bf5953c2e41f3b9e4abff30c53f3c3b) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/88228))
- [Add seat count usage alerts to group pages](gitlab-org/gitlab@6acd45570b2e32ad6cab1a11419ffa58585f0e24) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79563/)) **GitLab Enterprise Edition**
- [Add totalWeight to epic board list](gitlab-org/gitlab@ade7ea01c313cc5957b6ed34f35e2067b01c7587) ([merge request](gitlab-org/gitlab!84162)) **GitLab Enterprise Edition**
- [Link service desk issues to CRM contacts](gitlab-org/gitlab@aa7990df54e58f8db7597ea50588d7a9ba1ec1dd) by @leetickett ([merge request](gitlab-org/gitlab!88315))
- [Add event type in audit event streaming](gitlab-org/gitlab@cb1c0b38aeae2b3b769c7672a009e8c9163cdd62) ([merge request](gitlab-org/gitlab!88509)) **GitLab Enterprise Edition**
- [Improve group issues list empty state](gitlab-org/gitlab@be217d652a91b90a37402ab895c5d1964ad34fce) ([merge request](gitlab-org/gitlab!88670))
- [Allow creation of annotated tags with the Release API](gitlab-org/gitlab@164795517793a06307b576e707dafebf89971425) ([merge request](gitlab-org/gitlab!87841))
- [Add resource links db table migration](gitlab-org/gitlab@f98c3e037e2249ee708c1f364e1d9e1c367a3f58) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/88417)) **GitLab Enterprise Edition**
- [Add Pages/Pelican project template](gitlab-org/gitlab@03647746bffc66801177ac17fbb1f205cd96aca7) ([merge request](gitlab-org/gitlab!16934))
- [Add and expose Jira app OAuth application ID](gitlab-org/gitlab@e12d6b9010fc1964ce980f95f339bd476f5f6a1b) ([merge request](gitlab-org/gitlab!87358))
- [Add Developer Documentation for the Pipeline Wizard](gitlab-org/gitlab@9a259b22863b7841ea957ccfb23a30eb81978dab) ([merge request](gitlab-org/gitlab!87250))
- [Add 'Package registry' visibility setting to project settings](gitlab-org/gitlab@2ef91ebf5682d654f955a4c6874144094f223bb3) by @wwwjon ([merge request](gitlab-org/gitlab!82808))
- [Allow custom language type in code blocks](gitlab-org/gitlab@263e93d5ae94ec7725fc7ef33e28118c9bacdc7c) ([merge request](gitlab-org/gitlab!85553))
- [Add Milestone.releases GraphQL field](gitlab-org/gitlab@7c647ae20d44f1e22d2a44b066737a954e4118df) ([merge request](gitlab-org/gitlab!88231))
- [Add index to ci_job_artifacts](gitlab-org/gitlab@8b17e83e57a4be62810920c468814c93a49138bb) ([merge request](gitlab-org/gitlab!88815))
- [Add closed_as_duplicate_of to issues Graphql type](gitlab-org/gitlab@dc17dee75618f3b2c7df65e5d74860938a7f3ddf) ([merge request](gitlab-org/gitlab!88797))
- [Introduce source versions for BulkImport trackers configuration](gitlab-org/gitlab@3738260eb7586bfc186bc13758b2f4a2111498e3) ([merge request](gitlab-org/gitlab!87898))
- [Add VulnerabilityStateTransition model](gitlab-org/gitlab@ac464fc7320580b93b0318a0da0bf73cd3043d35) ([merge request](gitlab-org/gitlab!87957))
- [Implement new PAT API endpoint 'id'](gitlab-org/gitlab@c6164423f25b7e0ec0d2b3ce07dc4caa7597fc1f) by @TrueKalix ([merge request](gitlab-org/gitlab!87680))
- [GraphQL: Allow filtering epics by top level only](gitlab-org/gitlab@2dcd2b694358c248843f2e664c2a027b2118c52d) ([merge request](gitlab-org/gitlab!88568)) **GitLab Enterprise Edition**
- [Remove updated_mr_header feature flag](gitlab-org/gitlab@9806e9bcf68d5b85d9754a1b7f6557373d7a0495) ([merge request](gitlab-org/gitlab!88523))
- [Add registry migration Guard dynamic pre import timeout](gitlab-org/gitlab@093e2cc9d93c897228dd8142896c9432c4827b77) ([merge request](gitlab-org/gitlab!88292))
- [Add CRM filtered search tokens on group/project issues page](gitlab-org/gitlab@c4f6125e2b21089f9612a260ad0766f7ef804c62) ([merge request](gitlab-org/gitlab!87917))
- [Added mocked assignees to work item](gitlab-org/gitlab@acd9baff810dd04d4885a1d533e179cc02daff17) ([merge request](gitlab-org/gitlab!88003))
- [Prepare async index to for Ci::JobArtifact](gitlab-org/gitlab@914db78059a5f5f9e18e23a191e9e0fde89f447b) ([merge request](gitlab-org/gitlab!88427))
- [GraphQL: Add maintenance_note_html field](gitlab-org/gitlab@a39a367a501d814212d2f85355ed7a82d7aee9a5) ([merge request](gitlab-org/gitlab!88405))
- [Prepare new Slack events processing API](gitlab-org/gitlab@5706d6b283f46b2b7401c0c738a5d0279a24560d) ([merge request](gitlab-org/gitlab!86323))
- [Add backup option to filter for specific projects](gitlab-org/gitlab@28ad9885964359b4ecca98dd6139b333733c7de5) ([merge request](gitlab-org/gitlab!88094))
- [Add designs migration to GitLab Project Migration](gitlab-org/gitlab@3b31d6f01bf6de96ab4f12e40d33355a6684bd3e) ([merge request](gitlab-org/gitlab!88280))
- [Uplift limit on Math diagrams on wiki pages](gitlab-org/gitlab@eaa38ab992bfd936fee35bad9920d2411729b834) ([merge request](gitlab-org/gitlab!88375))
- [Add email to send to admin when a user is auto banned](gitlab-org/gitlab@43fe701cb7934344ca33e9fdfa10fba7dbebce9d) ([merge request](gitlab-org/gitlab!88057))
- [Work item Hierarchy widget - Empty state](gitlab-org/gitlab@6a4450a37622f8de997a4126d7a11861dcff368b) ([merge request](gitlab-org/gitlab!88097))
- [Add models for SSH signed commits](gitlab-org/gitlab@923bd8049d77ab9851fd1639c6508e6d8f10692e) ([merge request](gitlab-org/gitlab!87962))
- [Finalize routes backfilling for projects](gitlab-org/gitlab@8a2aecccae84b3b6cefc402906e684f35a9eb1ec) ([merge request](gitlab-org/gitlab!87665))
- [Add parent-child work item table](gitlab-org/gitlab@1de3a9694b298d158dc3b9cf5dcba19c349a263a) ([merge request](gitlab-org/gitlab!87283))
- [Add designs repository export to relations export API](gitlab-org/gitlab@75e3b9768d5000e725544d31961233f4ea83e2bf) ([merge request](gitlab-org/gitlab!88142))
- [Display artifact expired page for TestSuite](gitlab-org/gitlab@54eae5e00e4249bdc759b1b73c68ccdffb102cd7) ([merge request](gitlab-org/gitlab!88281))
- [Update Gitlab Shell to 14.6.1](gitlab-org/gitlab@8b9b13bd6f05d684318e71459337b91fc2ca80c9) ([merge request](gitlab-org/gitlab!88269))
- [Add new inactive project deletion section to admin settings](gitlab-org/gitlab@630a24e457d138c7050533c36a5a43136964c880) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85575))
- [Add container registry storage type to project storage list](gitlab-org/gitlab@eb8404801cf581b851af407c7f30d392d60eb1c7) ([merge request](gitlab-org/gitlab!86505)) **GitLab Enterprise Edition**
- [Added timelog categories table and model](gitlab-org/gitlab@0c5288b414e51823a9485d2060d3f65c03aeee46) by @zillemarco ([merge request](gitlab-org/gitlab!87529))
- [TLS support for metrics endpoints (pprof, prometheus)](gitlab-org/gitlab@0ce609aa93246873bf4fb6174efdbbf5f451960a) ([merge request](gitlab-org/gitlab!84449))
- [Added method to perform api call to get container_registry_size](gitlab-org/gitlab@eed856f4304d5b7e34878a3586cfdb33708d9bc5) ([merge request](gitlab-org/gitlab!86575))
- [Default `audit_event_streaming_git_operations` to true](gitlab-org/gitlab@5d854497699b1624afaa8cb39705d94f039874d7) ([merge request](gitlab-org/gitlab!88036)) **GitLab Enterprise Edition**
- [Self-managed SAML Group Sync](gitlab-org/gitlab@4b24f0d4baab62b18e2ffd72d1a72390c2fbf2ca) ([merge request](gitlab-org/gitlab!76390)) **GitLab Enterprise Edition**
- [Add epic board list resolver](gitlab-org/gitlab@1ab8525fb5b719a27be56637fa2ed617b92607ce) ([merge request](gitlab-org/gitlab!85581)) **GitLab Enterprise Edition**
- [Add PWA manifest.json](gitlab-org/gitlab@99d1d365b052b84b4b396426b5c1ce0b2163d473) ([merge request](gitlab-org/gitlab!86579))
- [The batched migrations should enforce requirements](gitlab-org/gitlab@ad09d0573810d02587ee8c55d215be7702258c04) ([merge request](gitlab-org/gitlab!87715))
- [Support multi-actor args in the feature API](gitlab-org/gitlab@9c85392e667e9de4fc03dc2233133f032196488a) ([merge request](gitlab-org/gitlab!87755))
- [Feature: dingtalk integration](gitlab-org/gitlab@648f5b395489bd10ce556323357c63f682681054) by @chaomao ([merge request](gitlab-org/gitlab!86894))
- [Cache namespace traversal path in traversal_ids](gitlab-org/gitlab@e20d490fa8460b496e5cce864261dc7dfb000cb0) ([merge request](gitlab-org/gitlab!65417))
- [Allow creation of annotated tags with the GraphQL Release API](gitlab-org/gitlab@7c3be0f511505d36d43422ab8af8c486ff901dcb) ([merge request](gitlab-org/gitlab!87593))
- [Create notes confidential index synchronously](gitlab-org/gitlab@34759cd8b6bca4801953f731a76c7afb43b1b085) ([merge request](gitlab-org/gitlab!87776))
- [Clean up `pipeline_editor_file_tree` feature flag](gitlab-org/gitlab@310d861ce65d430d31d1d42c25949a9297a1065c) ([merge request](gitlab-org/gitlab!87642))
- [Removes feature flag :rendered_diffs_viewer](gitlab-org/gitlab@2e9c6a80d301c34b856cb9fba09a6a2a5ad7d8fa) ([merge request](gitlab-org/gitlab!87428))

### Fixed (212 changes)

- [Enable FF ci_variable_for_group_gitlab_deploy_token](gitlab-org/gitlab@fd7b979c04e2fe0a28c76e8039600920b86c4799) ([merge request](gitlab-org/gitlab!90341))
- [Fix scoped labels bug on group/project issues list](gitlab-org/gitlab@78a96312bb623fed973b931177c7809eb3d03b34) ([merge request](gitlab-org/gitlab!90422))
- [Allowlist OAuth application redirect URI in CSP](gitlab-org/gitlab@9bf6fffa7b80de4319c611cd09d714a3358bd918) ([merge request](gitlab-org/gitlab!90082))
- [Update MergeRequestDiffFile#utf8_diff to not call #diff multiple times](gitlab-org/gitlab@8805dd5a38b2f2e6a2c8b0aaa83831d8139a2e0a) ([merge request](gitlab-org/gitlab!90372))
- [Validation for author during release creation](gitlab-org/gitlab@ff7f6b4cff61068d36a440fc386dfa1104a15999) ([merge request](gitlab-org/gitlab!89694))
- [Bump Gitlab Shell version to v14.7.4](gitlab-org/gitlab@db131b6561c1a7f220e5a96025bb4d28a54e2de6) ([merge request](gitlab-org/gitlab!90336))
- [Send only group namespace with Owner role](gitlab-org/gitlab@ce2f6f04b780582ca7af948e94acee8c2fdc8e87) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/89791)) **GitLab Enterprise Edition**
- [Do not double escape release tags with slashes in release URL](gitlab-org/gitlab@32a518ce0221c799e359cfcb02b0ccbec4068416) ([merge request](gitlab-org/gitlab!90066))
- [Fix code block language related issues](gitlab-org/gitlab@ecc92822e2f38a08ede9f8378f4fb2be1d9dc781) ([merge request](gitlab-org/gitlab!90121))
- [Move "Create an MR" test to different line](gitlab-org/gitlab@e226cbfe4f748e96ee4a8de9fd1f2f01c91ae93b) ([merge request](gitlab-org/gitlab!87597)) **GitLab Enterprise Edition**
- [Add PipelineReplicator and handle pipeline ref created event](gitlab-org/gitlab@67d953dc72b28eb7a0adb8cd8d631b443ac39113) ([merge request](gitlab-org/gitlab!90020)) **GitLab Enterprise Edition**
- [OCI image fix: UI representation and Geo replication](gitlab-org/gitlab@e463a2ff0e77a62505bdcdeb32cdcbd603a3f8a2) ([merge request](gitlab-org/gitlab!89423)) **GitLab Enterprise Edition**
- [Stop Wiki clone when Wiki is disabled](gitlab-org/gitlab@4283746065416e10539528ce9a34ea93817d6a17) ([merge request](gitlab-org/gitlab!89609))
- [Make sure there is a separator between commits](gitlab-org/gitlab@dc01ea1a1fd6b571f8fc5b399d3eeaa96f2aa458) ([merge request](gitlab-org/gitlab!90174))
- [Fix sticky position in project compare and commits](gitlab-org/gitlab@88cf7f398202b0949b41f489cc4f01a2754d96e9) ([merge request](gitlab-org/gitlab!90126))
- [Disable project_key validation for inactive Jira integrations](gitlab-org/gitlab@08eb462f525f6f8c56d4225443043409674d827f) ([merge request](gitlab-org/gitlab!90009))
- [Move checks from mergeable to mergeable_state?](gitlab-org/gitlab@b55e09c6c8f79f24537c2ed07fa7e223c3f7180e) ([merge request](gitlab-org/gitlab!86515))
- [Fixes line mapping for ipynb diffs](gitlab-org/gitlab@56781c710a73c4da2b5c255bc6445faa4d940dc1) ([merge request](gitlab-org/gitlab!90094))
- [Do not mark generic vulnerabilities as "resolved on default branch"](gitlab-org/gitlab@e046fe88319a0444d23404f7d32e357fe3e0e06e) ([merge request](gitlab-org/gitlab!90156)) **GitLab Enterprise Edition**
- [Group Projects settings width does not respect fixed width](gitlab-org/gitlab@0c12fa4e38ee783a08ec9a6855a157f9c966b418) ([merge request](gitlab-org/gitlab!90149))
- [Group Repository Settings does not respect fixed with setting](gitlab-org/gitlab@c56ecfd989028836ed87074e457427e0dc1ed8ca) ([merge request](gitlab-org/gitlab!90147))
- [Override HLJS selectors from Sourcegraph](gitlab-org/gitlab@6e39515615a9ca5a6d97372baea080c7f1b1d99b) ([merge request](gitlab-org/gitlab!90138))
- [Adding with_lock_retries to the gitlab:db:lock_writes rake task](gitlab-org/gitlab@4a45bfeb1f50e684654a3921579423ff0f3413ab) ([merge request](gitlab-org/gitlab!90117))
- [Fix middle click on todos](gitlab-org/gitlab@9fa527b993e2a5b5dd022f27de8bc8752e0006bf) ([merge request](gitlab-org/gitlab!86732))
- [Fix static translations in integrations](gitlab-org/gitlab@84c9093b05e1bef381ee5c131dbcf93a3dd87e1f) ([merge request](gitlab-org/gitlab!89833))
- [Improve scrolling tabs](gitlab-org/gitlab@f35646fd1150b3842b6bfcd1d247b4602f835fa8) ([merge request](gitlab-org/gitlab!90033))
- [Translate quick action's messages](gitlab-org/gitlab@e974be6acab950999c25b3396a51367b0bd7d5a4) ([merge request](gitlab-org/gitlab!90010))
- [Add missing padding to confirmation email login box](gitlab-org/gitlab@0126e8f4369b3b9fb706ce14f3ff05ae3d652f49) ([merge request](gitlab-org/gitlab!90047))
- [Fix themes in code blocks in content editor](gitlab-org/gitlab@1b2c919673c1b4d0bb505977b9c18eb60a656f67) ([merge request](gitlab-org/gitlab!89527))
- [Preserve language when retrieving cached security training urls](gitlab-org/gitlab@95de5aa91185da7f781ece4ec72ee3bd82d4d28f) ([merge request](gitlab-org/gitlab!89993)) **GitLab Enterprise Edition**
- [Prevent frozen modification in email encoding patch](gitlab-org/gitlab@561e0e916c05a292b43ac507347997b914569fb7) ([merge request](gitlab-org/gitlab!89773))
- [Include release authors during Github imports](gitlab-org/gitlab@c3fa27d9a551e14a6a996bb81ecf1712d127fee6) ([merge request](gitlab-org/gitlab!89692))
- [Refetch subscription after removing a user](gitlab-org/gitlab@22a4f74eccb47e45f2322e2cd2917a8ed53b763a) ([merge request](gitlab-org/gitlab!89618)) **GitLab Enterprise Edition**
- [Display sec training configu with license helper](gitlab-org/gitlab@822df64e09ed18b77066c90ce68bb464f54e5850) ([merge request](gitlab-org/gitlab!89503))
- [Update workhorse local path for Issuable metrics](gitlab-org/gitlab@16095343d0d50a07780cd8a5afc376855e3acbf2) ([merge request](gitlab-org/gitlab!89983))
- [Take into account for the default merge request template](gitlab-org/gitlab@341d7e0013cdc1a4a5533ac76f826ccdc35ba573) ([merge request](gitlab-org/gitlab!89107))
- [Fix alignment of action button icons in mini pipelines](gitlab-org/gitlab@1ac1c52b2fe2720e3a944b79e4d51c9fb7e1b3f5) ([merge request](gitlab-org/gitlab!89948))
- [Always pass current_user to project search results](gitlab-org/gitlab@2c495db564d66a54e7f3098ab57d8ebadb7bec2e) ([merge request](gitlab-org/gitlab!88692)) **GitLab Enterprise Edition**
- [Forward invalid feedback prop on EE invite modal](gitlab-org/gitlab@cef19c97aea817b017e81eba602338c86b45d593) ([merge request](gitlab-org/gitlab!89036)) **GitLab Enterprise Edition**
- [Geo: Fix JobArtifact verification when object storage is used](gitlab-org/gitlab@efce9d7faa0716e8ec78290d77530bbe7d784f8e) ([merge request](gitlab-org/gitlab!88044))
- [Fix alignment of delete button on linked items](gitlab-org/gitlab@468a49f8ca6397b8dd5fca5756c4de234627abe1) ([merge request](gitlab-org/gitlab!89828))
- [Remove captcha check GET endpoint](gitlab-org/gitlab@8ccc5af33e43bf631ba85c331c120497218ad832) ([merge request](gitlab-org/gitlab!89431)) **GitLab Enterprise Edition**
- [Fix UTF-8 conversion in reply parser](gitlab-org/gitlab@232b280609993d7279e58ce57dab6e474d723e28) ([merge request](gitlab-org/gitlab!89302))
- [Improve design loading state](gitlab-org/gitlab@aeb7b84652af0697d524f263c05e264a0ce00701) by @leetickett ([merge request](gitlab-org/gitlab!88962))
- [Fix a bug in MergeRequests::UpdateService](gitlab-org/gitlab@6db92be1cdc027f3a3d986779e29acdfe37d18c1) ([merge request](gitlab-org/gitlab!89729))
- [Remove unused ci_job_artifact_states_job_artifact_id_seq](gitlab-org/gitlab@a09c7069745f4382522012a23d50d7c537e40f62) ([merge request](gitlab-org/gitlab!89412))
- [Fix iteration reports with cadence rollover](gitlab-org/gitlab@9629113609f57d267c336f03ffefd79f558c32aa) ([merge request](gitlab-org/gitlab!89476)) **GitLab Enterprise Edition**
- [Propagate scan result rules related attributes](gitlab-org/gitlab@4fe675f8f4ee065eb41ebcd385317e57b75f53ec) ([merge request](gitlab-org/gitlab!89143)) **GitLab Enterprise Edition**
- [Use loose foreign key for deployment_clusters.cluster_id](gitlab-org/gitlab@a3e8a1a6a4b6b83416577a48ea877797d1275566) ([merge request](gitlab-org/gitlab!89686))
- [Fixing SlidingListStrategy default value of the partitioning column](gitlab-org/gitlab@8b36a3da1b0c167a6f9cebe9585a50e650a8895c) ([merge request](gitlab-org/gitlab!85222))
- [Properly handle the PG::ReadOnlySqlTransaction error](gitlab-org/gitlab@63ce072f16125830114ef8b6f3f05317f8e6785b) ([merge request](gitlab-org/gitlab!89696))
- [Fix API Security registry name in DAST On Demand API template](gitlab-org/gitlab@823a4069e44941c9890e7d2d464c452e9ef28e19) ([merge request](gitlab-org/gitlab!88880)) **GitLab Enterprise Edition**
- [Fix API Security registry name in Secure Binaries template](gitlab-org/gitlab@ce46b7f930c9e63162b2bbfc03c437513829b4ed) ([merge request](gitlab-org/gitlab!88079)) **GitLab Enterprise Edition**
- [Correctly display MR analytics Avg and Max values](gitlab-org/gitlab@390bb116c1fd6a7667c13b8259aeef1cc1c78bed) ([merge request](gitlab-org/gitlab!88507)) **GitLab Enterprise Edition**
- [Remove unused ci_pipelines_config_pipeline_id_seq](gitlab-org/gitlab@801cf44b96960c2bc0bdbd593b0a10c602ec0909) ([merge request](gitlab-org/gitlab!89397))
- [Fix `source_project` for `Ci::Sources::Project`](gitlab-org/gitlab@812d42871a7a66849a2294a2f62558b4f9625c86) ([merge request](gitlab-org/gitlab!88291)) **GitLab Enterprise Edition**
- [Hide /remove_contacts if issue has no contacts](gitlab-org/gitlab@b46952322e18b4b5cca3b8cb52edb959f6bb92cb) by @leetickett ([merge request](gitlab-org/gitlab!89613))
- [Do not use custom SVG logo for email header](gitlab-org/gitlab@d524327e868987f4118ab0d847bd44b3db021731) ([merge request](gitlab-org/gitlab!88868))
- [Fix artifact downloads on Security tab](gitlab-org/gitlab@fa02a82ca3f949d83745e305273659d961fb9edc) ([merge request](gitlab-org/gitlab!89217)) **GitLab Enterprise Edition**
- [Add support for sentry request with no content-type](gitlab-org/gitlab@74e47d4959895cf4096992fcd4ea96b1156e009e) by @leetickett ([merge request](gitlab-org/gitlab!88516))
- [Removed component destroy on mouseout](gitlab-org/gitlab@2f868468ed8636d538686e9ff02b19d98db4dc9e) ([merge request](gitlab-org/gitlab!89398))
- [Respect namespace for phabricator importer](gitlab-org/gitlab@d6f726029aa536e4db0481c932317b7d72e0a192) ([merge request](gitlab-org/gitlab!89596))
- [Respect namespace for manifest importer](gitlab-org/gitlab@ac0bcdb44f0961911ccd4a6b06cd4482bf7d56a5) ([merge request](gitlab-org/gitlab!89595))
- [Use loose foreign key for deployments.cluster_id](gitlab-org/gitlab@a621be6a352d002b7d89723c8929830afbfd198a) ([merge request](gitlab-org/gitlab!88887))
- [Allow OPTIONS method for OAuth2 token endpoints](gitlab-org/gitlab@94f9593d0d674b7f253f3da9fa47e94bad3f1620) ([merge request](gitlab-org/gitlab!89566))
- [Update search data when :issues_full_text_search is enabled](gitlab-org/gitlab@405f2585f13b32436cd54e70db50859a362b8012) ([merge request](gitlab-org/gitlab!89261))
- [Use header logo for merge request emails](gitlab-org/gitlab@447132a3ad940a6b4ddef24b9d86dc47aae01fce) by @wwwjon ([merge request](gitlab-org/gitlab!89554))
- [Exclude Requirements & Test Cases from Issues list](gitlab-org/gitlab@d2b9657fbaa7749e2b129305373862ec22833d6e) ([merge request](gitlab-org/gitlab!89411)) **GitLab Enterprise Edition**
- [Update pipeline mini graph border](gitlab-org/gitlab@e93fb0d5e1b11ac293b89185ae0003e4e5d7a11d) ([merge request](gitlab-org/gitlab!88958))
- [Add timestamp columns to VSA aggregated RecordsFetcher](gitlab-org/gitlab@4791a18a7739bc8bded347591149cc7bce0f9c0d) ([merge request](gitlab-org/gitlab!89529))
- [Fix button height on group issues list page](gitlab-org/gitlab@52065cc5761d4423d29b4b6e176aa056121b6dcd) ([merge request](gitlab-org/gitlab!89448))
- [Default to the current group when importing from gitea](gitlab-org/gitlab@7fd7db4d44c9bdbe2d041a5ad512c7a8bea6e1f4) ([merge request](gitlab-org/gitlab!89525))
- [Only transition environment to stopped once stop action has succeeded](gitlab-org/gitlab@e56ee58155ad7d9cc50b5103ba9702a35366c212) ([merge request](gitlab-org/gitlab!89253))
- [Update LFS objects export to not fail if file on disk is missing](gitlab-org/gitlab@77986a562eed4822da65c84c7f926dbafb065ca0) ([merge request](gitlab-org/gitlab!89234))
- [Fix `gitlab:db:validate_config` to store `db_config_name` of a database](gitlab-org/gitlab@5645bba998130284eef59e28b1d8477e6ec2cd67) ([merge request](gitlab-org/gitlab!89394))
- [Fix namespace_id being lost for github import](gitlab-org/gitlab@e101a13c065f0702fb5506e116258cada9aa6fca) ([merge request](gitlab-org/gitlab!89483))
- [Fix rewriting epic in Issues move service](gitlab-org/gitlab@2afc137b7c5b9771cc31cd90029344c96f375d1a) ([merge request](gitlab-org/gitlab!89251)) **GitLab Enterprise Edition**
- [Provide project path to refetched Terraform state GraphQL queries](gitlab-org/gitlab@3acb61e7127a54dce2091bc54df310bdd634c679) ([merge request](gitlab-org/gitlab!87636))
- [Use DAST_API_EXCLUDE_URLS with DAST API on-demand scans](gitlab-org/gitlab@d18e157927bae7e8fedc72e46ed5fc3222cc1854) ([merge request](gitlab-org/gitlab!89270)) **GitLab Enterprise Edition**
- [Close Epic Label dropdown when clicking on header X](gitlab-org/gitlab@bee1c373c33c4d0ef0034fa261cb3da9f4138f44) by @espadav8 ([merge request](gitlab-org/gitlab!89408))
- [DeactivateDormantUsersWorker will not deactivate recently created users](gitlab-org/gitlab@94a67c3908e21998d1ce722ca7daf0aff19d4280) ([merge request](gitlab-org/gitlab!89404))
- [Remove unused ci_build_report_results_build_id_seq](gitlab-org/gitlab@0bd646e7948c710547a30eb74ae2dd78bd046019) ([merge request](gitlab-org/gitlab!89228))
- [Prevented issues designs reordering when on mobile](gitlab-org/gitlab@e209690ce1132c4ac3d4fdc7975d2291c4362c61) by @zillemarco ([merge request](gitlab-org/gitlab!89161))
- [Fix MR title link styles](gitlab-org/gitlab@5e8afe7a618d228e0055d350b7e32e2e1ea3e2a0) ([merge request](gitlab-org/gitlab!89381))
- [Convert captcha check endpoint to POST request](gitlab-org/gitlab@da851f67eb047a9434130a46f34e782589bccaea) ([merge request](gitlab-org/gitlab!88966)) **GitLab Enterprise Edition**
- [Retain top level group default membership with SAML Group Sync](gitlab-org/gitlab@8e33028fe15aa6531441d1a5f61b664f50988a4f) ([merge request](gitlab-org/gitlab!88064)) **GitLab Enterprise Edition**
- [Enable FF ci_fix_rules_if_comparison_with_regexp_variable by default](gitlab-org/gitlab@01fd27c48b0b9517ba6a952a5ffdeaace275a6ea) ([merge request](gitlab-org/gitlab!89268))
- [Add auditor access for group wiki](gitlab-org/gitlab@62da632f19acd2e536cebcf32fe1b388ddfdaf76) ([merge request](gitlab-org/gitlab!89309)) **GitLab Enterprise Edition**
- [Add GitLab agent image tag to install command](gitlab-org/gitlab@b6dc0f5df1248b8fd057722591af3bca94037487) ([merge request](gitlab-org/gitlab!88188))
- [Guard email receiver from empty From and To fields](gitlab-org/gitlab@e054800ae67311d28693076a115264669e823f05) ([merge request](gitlab-org/gitlab!89296))
- [Allow public terraform modules to anonymous users](gitlab-org/gitlab@dd04e1d03e3bd8153819bc8a4fc696401e639266) ([merge request](gitlab-org/gitlab!89284))
- [Fix error when creating Policy Schedule with invalid cron expression](gitlab-org/gitlab@3c6e40074436b4af8db9d169666fdd0c9f938b0c) ([merge request](gitlab-org/gitlab!88878)) **GitLab Enterprise Edition**
- [Show manual actions from matching environments on environment page](gitlab-org/gitlab@2de53fe8fc42d6f3d290b6645987cb79ba7f3b79) ([merge request](gitlab-org/gitlab!89249))
- [Add auditor access for on call schedules](gitlab-org/gitlab@4b4728a66d70691e78fb61e48308ab5883614d6e) ([merge request](gitlab-org/gitlab!88505)) **GitLab Enterprise Edition**
- [Do not aggregate TestReport when using matrix job](gitlab-org/gitlab@569c07ddec2f937e4a4e536cfca91462b0741668) ([merge request](gitlab-org/gitlab!87784))
- [Fix 404 when purchasing storage from a subgroup](gitlab-org/gitlab@0db0aa83b1eb0e2567102c181713ccf88a3984ae) ([merge request](gitlab-org/gitlab!88684)) **GitLab Enterprise Edition**
- [Fix 404 when purchasing storage from a subgroup](gitlab-org/gitlab@668b4d20d17a0ab78e8027343f817c1a3f23ee96) ([merge request](gitlab-org/gitlab!88684)) **GitLab Enterprise Edition**
- [Fix 404 when purchasing storage from a subgroup](gitlab-org/gitlab@4348bdca132dcfb8988e845fb2a163160a629912) ([merge request](gitlab-org/gitlab!88684)) **GitLab Enterprise Edition**
- [Fix 404 when purchasing storage from a subgroup](gitlab-org/gitlab@df60b9e5f60fb4f10cd33509fbcd85e0c2cb9ac4) ([merge request](gitlab-org/gitlab!88684)) **GitLab Enterprise Edition**
- [Fix 404 when purchasing storage from a subgroup](gitlab-org/gitlab@ebb593f91fcc7f6a2336a3b0ad478aa68483f41f) ([merge request](gitlab-org/gitlab!88684)) **GitLab Enterprise Edition**
- [Fix 404 when purchasing storage from a subgroup](gitlab-org/gitlab@86e899e69883938c82da407f3ccfe50bd6264a10) ([merge request](gitlab-org/gitlab!88684)) **GitLab Enterprise Edition**
- [Fix incorrect open issue count in project sidebar](gitlab-org/gitlab@6975822909273d04c89cd537df4fa28d62a2f236) ([merge request](gitlab-org/gitlab!89118)) **GitLab Enterprise Edition**
- [Update deployment status when a build fails due to data integrity](gitlab-org/gitlab@03e86ff06041c5fcf504d191b3c24e417333d818) ([merge request](gitlab-org/gitlab!88963))
- [Do not allow last human owner to leave](gitlab-org/gitlab@68f47991caaa45a85d14c8dd94b5d9f5e9061e55) ([merge request](gitlab-org/gitlab!88989))
- [Disconnect alternates when unlinking from a repository pool](gitlab-org/gitlab@843077e4c5a252d07b03a768063834f2cb0bec34) ([merge request](gitlab-org/gitlab!89195))
- [Clean up Terraform state files on deletion](gitlab-org/gitlab@c6b66ef7198b257a52a87a087ea249e980c26f76) ([merge request](gitlab-org/gitlab!88496))
- [Fix linked pipeline expand cutoff on focus](gitlab-org/gitlab@16e5550bc92b952aac83fff50d67fdf6e5e13d5b) ([merge request](gitlab-org/gitlab!89135))
- [Always destroy webhooks synchronously](gitlab-org/gitlab@ab64c3492a415cf1d3ce2782f0e792081c9667ea) ([merge request](gitlab-org/gitlab!88074))
- [Fix vulnerability report project filter loading icon](gitlab-org/gitlab@de5fa5cd47137f590b5ff6dbebf390de1b683e98) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/88649)) **GitLab Enterprise Edition**
- [Add Cancel buttons to CSV import and export modals](gitlab-org/gitlab@66c14aecbb48407a6f78f7342e943738a64f7026) ([merge request](gitlab-org/gitlab!88661))
- [Fix 500 on issues list page](gitlab-org/gitlab@419ce00f9312d91fe5d3560224f8ee98f7c11b57) ([merge request](gitlab-org/gitlab!88656))
- [Add !reference support for workflow keyword](gitlab-org/gitlab@b392b2ffdb6b963e194373c3fa8c0c9a1bfb9066) ([merge request](gitlab-org/gitlab!89052))
- [New Issue: Fix description label alignment](gitlab-org/gitlab@6af5d67fd6dc412ad214001ce03c8ba1869f4c83) ([merge request](gitlab-org/gitlab!89037))
- [Fix deployment chat notifications for tags](gitlab-org/gitlab@4ee56f86b97e0b00e96264055e5ea8aa853dd9b1) by @rstxn ([merge request](gitlab-org/gitlab!88002))
- [Fix merge_request should_remove_source_branch](gitlab-org/gitlab@3579696d2883bbf3c1739c60b0d1a34a9a5a049f) by @guillaume.chauvel ([merge request](gitlab-org/gitlab!84229))
- [Make Plain diff button downloadable](gitlab-org/gitlab@c1075ede83192aa0ac52e18485aeedddb5a50891) ([merge request](gitlab-org/gitlab!89031))
- [Improve comemnts discussion header](gitlab-org/gitlab@3a113eb89933771d078bad1be91fd113ad3477ba) ([merge request](gitlab-org/gitlab!88406))
- [Fix 500 error for CompareController](gitlab-org/gitlab@18fe3c35eeaf351bf4f3594faa278812698a83d5) ([merge request](gitlab-org/gitlab!88841))
- [Fix vanishing design versions](gitlab-org/gitlab@65730738dd5ddcbc0b164d3d093873c532828f8e) by @leetickett ([merge request](gitlab-org/gitlab!88998))
- [Upgrade fog-aws to v3.14.0](gitlab-org/gitlab@ecfcc5027c13befb10fa13a682d810261a56d3e0) by @hchouraria ([merge request](gitlab-org/gitlab!88987))
- [Dismiss file tree popover when clicking outside the element](gitlab-org/gitlab@6c02842c6ab6bc5eb7a5c0ce0ce3e66298de32a9) ([merge request](gitlab-org/gitlab!88620))
- [Hide commit form based on pipeline editor path's tab query param](gitlab-org/gitlab@31b94c6c98709eb555afcf6df98a4dd786df9684) ([merge request](gitlab-org/gitlab!88638))
- [Prevent project maintainers from approving Owner access requests](gitlab-org/gitlab@58add0e4574666dbb6d15f5a6d55ffcadff1ddc1) ([merge request](gitlab-org/gitlab!88492))
- [Add btn-link class back](gitlab-org/gitlab@c61971338b221c476f2281922598843a7c4e4dac) ([merge request](gitlab-org/gitlab!88967))
- [Correct project coverage graph dates on x axis](gitlab-org/gitlab@810af3d07eea0351e5ae5da4ca5d7616594e4085) ([merge request](gitlab-org/gitlab!88365))
- [Add support for the !reference tag in CI schema](gitlab-org/gitlab@c22ace7e30203c34c0010bd06c5533ccc1d02d6f) ([merge request](gitlab-org/gitlab!87826))
- [Address ux quota problems](gitlab-org/gitlab@00c9c77e5aec5b71971671a64c5a104c0a1720a3) ([merge request](gitlab-org/gitlab!88148)) **GitLab Enterprise Edition**
- [Change page titles from h3 to h1 to be semantically correct](gitlab-org/gitlab@4bb0a1150bc01d9cde35669599d4221db5ea4812) ([merge request](gitlab-org/gitlab!88534))
- [Fix epics list bulk editing by using intersection](gitlab-org/gitlab@3e9183b1a4149a981fb477cbc38847f657e47beb) ([merge request](gitlab-org/gitlab!88138)) **GitLab Enterprise Edition**
- [Do not store security scans for already purged pipelines](gitlab-org/gitlab@40aab13dfa6301dea73fa08632181a488bdf5d67) ([merge request](gitlab-org/gitlab!88412)) **GitLab Enterprise Edition**
- [Update binary button links platform changes](gitlab-org/gitlab@0b126277392db51e8d4af3c18cc79366bdfc923c) ([merge request](gitlab-org/gitlab!88849))
- [Fixed mis-aligment of expanded header-search-bar](gitlab-org/gitlab@aa18da9e6095646f0a5f9c58751e6ad12edacaa8) ([merge request](gitlab-org/gitlab!88447))
- [Fix Advanced Search Opensearch detection](gitlab-org/gitlab@0bdb776dfc1e21a399003a060e99d1bef06b9a6f) ([merge request](gitlab-org/gitlab!88840)) **GitLab Enterprise Edition**
- [Use #persisted_environment for agent impersonation](gitlab-org/gitlab@2036d4cd422de59de3840d574bf8d772ae10a1e1) ([merge request](gitlab-org/gitlab!88666))
- [Do not allow mailers to be enqueued from within a transaction](gitlab-org/gitlab@d030ee88c401660582e8efb903b3ee3fe851005b) ([merge request](gitlab-org/gitlab!88632))
- [Use live preview extension no matter the first file opened](gitlab-org/gitlab@c14321167fda3a850529485cee255f6df5fda78c) ([merge request](gitlab-org/gitlab!88560))
- [Fix NoMethodError in Integrations::Prometheus#test](gitlab-org/gitlab@95d765eac29ecdfdb48185c9feade7266f74d706) by @moofkit ([merge request](gitlab-org/gitlab!87618))
- [Fix routing for /info/refs](gitlab-org/gitlab@43f0c7f202f2523b0c550512ed73118ea2f33d1d) ([merge request](gitlab-org/gitlab!88583))
- [Resolve issues emoji selector missing focus border](gitlab-org/gitlab@bc5ea26b535a15fec20d05929524afc6d25befaf) ([merge request](gitlab-org/gitlab!88857))
- [Add JobArtifactCreatedAt to build_artifacts_size_refresh table](gitlab-org/gitlab@71918b9eb9efdb23ae71279b4c47db1930e3d24a) ([merge request](gitlab-org/gitlab!88129))
- [Prevent project maintainers from creating Owner access tokens](gitlab-org/gitlab@8b2e362dad4a0e70bf03e685d9bcdc96051ba602) ([merge request](gitlab-org/gitlab!88508))
- [Separate query params for Members and Groups](gitlab-org/gitlab@e8389200bc07612388c637082aaa2e93b46cae35) by @wwwjon ([merge request](gitlab-org/gitlab!88114))
- [Set timestamps correctly when propagating](gitlab-org/gitlab@3e9cb0f43010e007ba9315287b16d4b061efe188) ([merge request](gitlab-org/gitlab!87628))
- [Patch ActiveRecord::Generators::Migration#configured_migrated_path](gitlab-org/gitlab@749b77fa5cd2a75aed5d145f3e268fc9bbc58183) ([merge request](gitlab-org/gitlab!88351)) **GitLab Enterprise Edition**
- [Geo: Mark object stored as verification disabled](gitlab-org/gitlab@6b7a110ddabc0b6cf101a3f8d3f2398f81909ffb) ([merge request](gitlab-org/gitlab!87034)) **GitLab Enterprise Edition**
- [Update BulkImports to handle empty relation status responses](gitlab-org/gitlab@a30ed3906c9983f3d45a3ec102842b34c6c4fb22) ([merge request](gitlab-org/gitlab!88019))
- [Fix mail notifications not being sent when requesting access](gitlab-org/gitlab@cbff6afdd1015c2c93906b925e11ed8ce2f58d9f) ([merge request](gitlab-org/gitlab!88396))
- [Include inherited owners in User#solo_owned_groups](gitlab-org/gitlab@51e2047e9fb69db106e7c240a550fd1ffede48c1) ([merge request](gitlab-org/gitlab!88486))
- [Fixes forgotten base class](gitlab-org/gitlab@ca7b9d7c15cbfa1d1eb56cc6f3e8b07eb80f7854) ([merge request](gitlab-org/gitlab!88611))
- [Prevent project maintainers from creating or modifying Project Owners](gitlab-org/gitlab@71d6bb2a7384f2b12f788e1fb76e32d64c667a78) ([merge request](gitlab-org/gitlab!88415))
- [Fix bug on Pipeline#has_expired_test_reports?](gitlab-org/gitlab@d3102ee5e6d52d33dd88dcac3628ad15b395e0e6) ([merge request](gitlab-org/gitlab!88622))
- [Fix project packages and registries menu active state](gitlab-org/gitlab@beffb6852098c960b2e5922ebbd634847f9bbf80) ([merge request](gitlab-org/gitlab!88561))
- [Lower session expiry when user is unauthenticated](gitlab-org/gitlab@cf722b0bdf74a90040dfe2cf5732bca0c26c694b) ([merge request](gitlab-org/gitlab!88514))
- [Guard clause for no external destinations](gitlab-org/gitlab@2fbc829322d80f38f007804cafba9260b0c0cfcf) ([merge request](gitlab-org/gitlab!87515)) **GitLab Enterprise Edition**
- [Skip orphaned pool repositories even when there's a fork network](gitlab-org/gitlab@1d78e2f772f50de6925dc1e102f7bed9056deb26) ([merge request](gitlab-org/gitlab!88502))
- [Add spacing between threat monitoring breadcrumb and policy section](gitlab-org/gitlab@060c0de8ce63827202f178839226fe3af0df0600) ([merge request](gitlab-org/gitlab!88410)) **GitLab Enterprise Edition**
- [Allow references to scoped labels by title](gitlab-org/gitlab@b0ba09a3404e2cc061fc4d65efcfa2355df56b5c) ([merge request](gitlab-org/gitlab!88185))
- [Fix Emoji picker button background in highlighted comment](gitlab-org/gitlab@6e9bea3ae77d164167b3c748ca08465e443455cd) ([merge request](gitlab-org/gitlab!88439))
- [Merge branch 'fix-last-pipeline-fecth-in-web-ide' into 'master'](gitlab-org/gitlab@c3cc3e22a40bbddfc50d01cde085ec895c6dcb31) ([merge request](gitlab-org/gitlab!86242))
- [Ensure last pipeline is fetched on render of Web IDE status bar](gitlab-org/gitlab@236294fc610a45139550e438f95e38789239ee8b) ([merge request](gitlab-org/gitlab!86242))
- [Drop defunct unique namespaces name index](gitlab-org/gitlab@84443d9dbb67e3419610b52c17ba59a1bc1e8ad8) ([merge request](gitlab-org/gitlab!88099))
- [Fix issue description list item styling](gitlab-org/gitlab@2d6f18894def1112abb2a4f95e83ae2493e17f7a) ([merge request](gitlab-org/gitlab!88423))
- [Improve design consistency of buttons in some modals](gitlab-org/gitlab@5a43567268d59b2c2f9c186b7fc1b3ccc2b92767) ([merge request](gitlab-org/gitlab!87415))
- [Fix overflow on comments](gitlab-org/gitlab@5119bad66cf43e11989e104a67b65e804f8c0bb7) ([merge request](gitlab-org/gitlab!87645))
- [Don't fail extension API getter](gitlab-org/gitlab@d628fc2aadbb53731248bbd6314c7cfb23ce7f1e) ([merge request](gitlab-org/gitlab!88388))
- [Align DAST Site Token URL validation](gitlab-org/gitlab@40ae54ee3d4027058c20bcb7182aeb5ec5649a6c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/88246)) **GitLab Enterprise Edition**
- [Add auditor access for dependency proxy](gitlab-org/gitlab@26d57d5eb3be753f9578b3396c060fdae1e29621) ([merge request](gitlab-org/gitlab!88096)) **GitLab Enterprise Edition**
- [Sets Gon variables in response to requests with invalid reCAPTCHA](gitlab-org/gitlab@374260229a384f5acbb580ea6f78e1bce23bd74b) ([merge request](gitlab-org/gitlab!88078))
- [Fix 2-factor QR code on small screens](gitlab-org/gitlab@f838279bc4a2a28be3d6b60322421f0bdd738fb5) ([merge request](gitlab-org/gitlab!88111))
- [Fix padding regression for SAML SSO sign in](gitlab-org/gitlab@05a305afd45b4027774727eef71a2b16a7cc6a03) ([merge request](gitlab-org/gitlab!87956)) **GitLab Enterprise Edition**
- [Fix SFE commit message focus](gitlab-org/gitlab@34e4b709fa4b0a1b6e623658554fb189e1ee3402) ([merge request](gitlab-org/gitlab!88289))
- [Fix drag and drop issue description list item bugs](gitlab-org/gitlab@da18e755dd51df6615e6c2af614ba02acffe695d) ([merge request](gitlab-org/gitlab!87904))
- [Fix REST runner API status filter documentation](gitlab-org/gitlab@c1c3a832e93c4ddfd0321d325cc5867a1150d000) ([merge request](gitlab-org/gitlab!88286))
- [Fix inconsistent focus on comment field](gitlab-org/gitlab@6540376e43db100c98d0a1271566a11c9cd0f94d) ([merge request](gitlab-org/gitlab!88287))
- [Added check for GraphQL ID on popover](gitlab-org/gitlab@a2f5b6bd73ad55f7f7fa2003f2efecd13004e7bf) ([merge request](gitlab-org/gitlab!88274))
- [Fix focus ring for linked issues input field](gitlab-org/gitlab@3e9e1a3f23f8e43289d75776b6d69a21f90304e1) ([merge request](gitlab-org/gitlab!88270))
- [Remove streams tab from subgroups audit events UI](gitlab-org/gitlab@70dfc61642260d5a26ec115f6a0583e4f5b68172) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/88154)) **GitLab Enterprise Edition**
- [Set MailRoom's postback request content type to text/plain](gitlab-org/gitlab@5fa223c8eec2182c5301230ad46ea3ccc95f142e) ([merge request](gitlab-org/gitlab!88253))
- [Update account deletion instructions](gitlab-org/gitlab@d3adc509768fc28735fc8b8042a76700395d3e22) ([merge request](gitlab-org/gitlab!87444))
- [Remove superfluous whitespace in link to pipeline](gitlab-org/gitlab@1060da79f0f4c16d3b37228ba7a4a45d9cbbe23c) by @KevSlashNull ([merge request](gitlab-org/gitlab!88225))
- [Highlight active CRM page in navigation menu](gitlab-org/gitlab@f012df6d9a0530c770fcfeb5e73ca41f7eb5986f) by @leetickett ([merge request](gitlab-org/gitlab!88222))
- [Fix vertical alignemnt of comment icons](gitlab-org/gitlab@fe05eb826a9217844b9d037f6986a2513fa42e98) ([merge request](gitlab-org/gitlab!88149))
- [docs: Use clear deprecation/removal as examples](gitlab-org/gitlab@d4c1310ca58ed27df14330878299076d2bed4c1c) by @tnir ([merge request](gitlab-org/gitlab!88133))
- [Hide a dropdown tooltip when toggling](gitlab-org/gitlab@b2a8c27f65aea74f4da1fedee0d8a10f955dd21e) by @petewaitforletters ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/86294))
- [Fix focus overflow on create new label](gitlab-org/gitlab@c85d2243d0e6bf56548b93c0cfa023bee2674a3a) ([merge request](gitlab-org/gitlab!88056))
- [Delete the duplicate job even in case of errors](gitlab-org/gitlab@88d6d637ae810e6866293ddedd892a72624cbdd2) ([merge request](gitlab-org/gitlab!87700))
- [docs: Fix DS_DEFAULT_ANALYZERS variable docs](gitlab-org/gitlab@3086525eb28e0395848bc5bf95ec8279b2943017) by @tnir ([merge request](gitlab-org/gitlab!88132))
- [Fix custom notification settings for releases](gitlab-org/gitlab@eaab08adbb16c6ba497fe482a37f45875aa9e633) ([merge request](gitlab-org/gitlab!88040))
- [gitaly_client: Fix handling of custom hook errors in UserMergeBranch](gitlab-org/gitlab@61af55500d8dd502ab1fe88b1fee978b2906d76a) ([merge request](gitlab-org/gitlab!87264))
- [Remove existing repository backups when creating a full backup](gitlab-org/gitlab@1932a85962b50bc296bab9a4161f97d72a2f4339) ([merge request](gitlab-org/gitlab!88088))
- [Fix multiple modals showing when canceling comment in diff](gitlab-org/gitlab@7367d6ab5389680bb71eb057dd83a2c8e909bf54) ([merge request](gitlab-org/gitlab!88077))
- [Fix references in wiki pages](gitlab-org/gitlab@fff01d8f5681cbc5f28e2c30af6b5ff9f00c098f) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/87611))
- [Resolve invite member trigger qa selector ambiguity](gitlab-org/gitlab@142e33bb72973cb82ba870a3ac5031d4b88f1be8) ([merge request](gitlab-org/gitlab!88030))
- [Update test case and MR popover status badges](gitlab-org/gitlab@92a75dabf83c7fc98c3bc5b999f7f0da88412231) ([merge request](gitlab-org/gitlab!87928))
- [Move LFK scheduling out from EE check](gitlab-org/gitlab@d3e551f73676feb9f8a6c9f73d9543eb5eae1208) ([merge request](gitlab-org/gitlab!87983))
- [Allow users to reset DAST submit field](gitlab-org/gitlab@b497c45e1f4b136fb268f0fc4f6921d422e31fb7) ([merge request](gitlab-org/gitlab!87916)) **GitLab Enterprise Edition**
- [Fix LabelToken selecting wrong label](gitlab-org/gitlab@dbdeb54225499482b5ebfbc4df7dfea498999e97) ([merge request](gitlab-org/gitlab!87809))
- [Add support for configuring internal IPs](gitlab-org/gitlab@883a1f80c608677356a88c466be1704bd3d0a947) ([merge request](gitlab-org/gitlab!87579))
- [Fix fogbugz ignoring target name and group change](gitlab-org/gitlab@c7d208cfb3ee5942cc227320a7e2447e03f46ea2) ([merge request](gitlab-org/gitlab!86627))
- [Fix duplicate results in MR pipelines resolver](gitlab-org/gitlab@71302dd539d96921e8b65f3bb6d7249d8b2e70bd) ([merge request](gitlab-org/gitlab!87747))
- [Fix UTF-8 handling issue for internal mailroom endpoint](gitlab-org/gitlab@182b057d0bfd9b5f75cd43c946b25873043f8985) ([merge request](gitlab-org/gitlab!87807))
- [Hide internal note checkbox on unsupported types](gitlab-org/gitlab@0fa610cefeecee5dd71a654808341d2515732c64) ([merge request](gitlab-org/gitlab!87899)) **GitLab Enterprise Edition**
- [Grant auditor role read-access to policies](gitlab-org/gitlab@8fd973567dbaeaba55dee855e802a06bbfb640df) ([merge request](gitlab-org/gitlab!86350)) **GitLab Enterprise Edition**
- [Fix missing action buttons when editing Requirements](gitlab-org/gitlab@636a3ce380446a7d8329983d7931730f723806ae) ([merge request](gitlab-org/gitlab!87868))
- [Sanitize user input on the harbor registry list page](gitlab-org/gitlab@174b12879e9b1975bc6e56f53446c36afa0a631f) by @orozot ([merge request](gitlab-org/gitlab!87455))
- [Cleanup backup staging files on failure](gitlab-org/gitlab@a25f90cb7e7e93ae02c59d9231a30454b46bd5c6) ([merge request](gitlab-org/gitlab!87481))
- [Fix issues list previous page bug](gitlab-org/gitlab@4a630a17efbbcd6dbed588a151cfb418fa3380e3) ([merge request](gitlab-org/gitlab!87798))
- [Geo Sites - Unknown WAL bug](gitlab-org/gitlab@5e5e0ed9c9eecb37123f136a7504e0333ebdd7f1) ([merge request](gitlab-org/gitlab!87725)) **GitLab Enterprise Edition**
- [Fix button text color in dark mode](gitlab-org/gitlab@1bfbdef40c9d462b77b5e49c1f64865174fa2c4d) ([merge request](gitlab-org/gitlab!87760))
- [Use merge_head_diff for code owners](gitlab-org/gitlab@ca1b34485611cbfdfae939f2ef2e3c0e9f1715ee) ([merge request](gitlab-org/gitlab!87359))
- [Disallow guests from updating an issue promoted to incident](gitlab-org/gitlab@e987cc88cfacf797d204638b6019daed44922e07) by @nfason ([merge request](gitlab-org/gitlab!87188))
- [Add correct Default.md MR template precedence handling](gitlab-org/gitlab@202ed42f93233dd7eb56639013a2c683829d18ee) ([merge request](gitlab-org/gitlab!82398))

### Changed (453 changes)

- [Extend logging for Mirror jobs](gitlab-org/gitlab@b564bfe2227b0ef00061dd033e194bc64b191227) ([merge request](gitlab-org/gitlab!90252))
- [Consider patches for eligible runner releases](gitlab-org/gitlab@358091ea08d34c7e607dffe7f74f4599b719f134) ([merge request](gitlab-org/gitlab!90236))
- [Introduced /ready quick action](gitlab-org/gitlab@57dc72ac768b8ffda435746fe8d412206650e3ed) by @stingrayza ([merge request](gitlab-org/gitlab!90361))
- [Use Labkit for checking and enabling FIPS](gitlab-org/gitlab@dd1591a917063a6aa0d98eb6711adcd9fcaeef22) ([merge request](gitlab-org/gitlab!90517))
- [Migrates spacing class for edit button on release](gitlab-org/gitlab@7902f7d121f0ba6bbd6303ddf704f1b372a93c5c) ([merge request](gitlab-org/gitlab!90350))
- [Migrates spacing class for authenticating github](gitlab-org/gitlab@903a4039ec06a7c4fbf055c6d60bd48206439a8f) ([merge request](gitlab-org/gitlab!90354))
- [Enable Geo proxying for separate URLs by default](gitlab-org/gitlab@f33954d4f259655c24911b49ec7ce6fa417a5398) ([merge request](gitlab-org/gitlab!90244)) **GitLab Enterprise Edition**
- [Migrate spacing classes for feature flag form](gitlab-org/gitlab@08fe7d9ed81bc2229689e9268f270d45dfed282f) ([merge request](gitlab-org/gitlab!90359))
- [Migrates spacing class for commit sidebar of ide](gitlab-org/gitlab@30c3ad607e57cf6c564f7cea65929346ad747aa6) ([merge request](gitlab-org/gitlab!90423))
- [Update CiJobConnection.count to limited count](gitlab-org/gitlab@94daf8cf7fa7dcc7ddab93d19adad9ba815f8261) ([merge request](gitlab-org/gitlab!89642))
- [Migrate link button to tertiary in design management](gitlab-org/gitlab@3a3e5f9a3d0f6011f551a21a5a1938c28a593244) ([merge request](gitlab-org/gitlab!89794))
- [Drop permissions column from ci_secure_files table](gitlab-org/gitlab@76adf78f38712d251a27770785660489420fea9b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/90451))
- [Change form_errors to be pajamas compliant in admin settings](gitlab-org/gitlab@7ec74322d5193eb4459d5563bf8c7db3b2ab028f) ([merge request](gitlab-org/gitlab!90430))
- [Migrates spacing classes on release overview page](gitlab-org/gitlab@e4d91fa41ede25e587212930b2c04203ef748a79) ([merge request](gitlab-org/gitlab!90416))
- [Removed useCustomErrorHandler and callback options](gitlab-org/gitlab@76aac81b799fc67c0c7d77eac656eefd5829fe73) ([merge request](gitlab-org/gitlab!88939))
- [Migrate spacing classes on search overview page](gitlab-org/gitlab@2e7353c4180b307e2fafa36b4e9fc4c1c0c03be3) ([merge request](gitlab-org/gitlab!90404))
- [Apply standard registration flow to single-sign on registrations](gitlab-org/gitlab@7ca6078d2cd9ecd89e72deb31742f0d5751496c3) ([merge request](gitlab-org/gitlab!85871))
- [Fixes the spacing for the contributors buttons](gitlab-org/gitlab@0c7ff6fb98d0b232f9e32aee32ec8667ad771522) ([merge request](gitlab-org/gitlab!90241))
- [Migrates custom classes for project search](gitlab-org/gitlab@74ba812a91e9689acfaa69aaa503bcd5f781da2b) ([merge request](gitlab-org/gitlab!90352))
- [Migrates the spacing for milestone icon analytics](gitlab-org/gitlab@b5e6a33d7b2bf90249abfb730e3e2058d8d1770c) ([merge request](gitlab-org/gitlab!90283)) **GitLab Enterprise Edition**
- [Migrate errors in create user to Pajamas alert](gitlab-org/gitlab@efa63b18bcdc32c91c0414a86083a0ae20839dea) ([merge request](gitlab-org/gitlab!90366))
- [Adds loading for package details additional metadata](gitlab-org/gitlab@26ff702567187bc65fce1bcc19062075b7a6612e) ([merge request](gitlab-org/gitlab!88862))
- [Migrates spacing classes for empty approval rule](gitlab-org/gitlab@534f48e14377ce700797b393004d4ee58fe23235) ([merge request](gitlab-org/gitlab!90355)) **GitLab Enterprise Edition**
- [Fixes spacing for buttons of broadcast message](gitlab-org/gitlab@86aed0c723b58e5e0133cb79fd18f1347f8fc6da) ([merge request](gitlab-org/gitlab!90353))
- [Migrates spacing class of assignee of related item](gitlab-org/gitlab@7d67fc1f7cc017f8b04762c953e34eba9e0378ab) ([merge request](gitlab-org/gitlab!90349))
- [Migrates to gl class for checkbox to select commit](gitlab-org/gitlab@bcc6cffc1fbc58857b2ad3ca5afebc9f477910e6) ([merge request](gitlab-org/gitlab!90193))
- [Migrates spacing class in security dashboard](gitlab-org/gitlab@443b3e86e3ff50075b71d9f590cfcab1b2c0256e) ([merge request](gitlab-org/gitlab!90294)) **GitLab Enterprise Edition**
- [This MR updated CI/CD configuration flow](gitlab-org/gitlab@39c8a52c181557a3d0cd58d28ebf62f4bbe17bd4) ([merge request](gitlab-org/gitlab!90059)) **GitLab Enterprise Edition**
- [Add has_vulnerabilities to cluster_agents](gitlab-org/gitlab@af3bc5a75d41d6af6f325a30c9f3737daf586ae0) ([merge request](gitlab-org/gitlab!90187))
- [Update gray-10 from #fafafa to #f5f5f5](gitlab-org/gitlab@5037f7ed732f10ba0444b483539bfcf2933f8afc) ([merge request](gitlab-org/gitlab!90297))
- [Improve error messages when fetching Jira user information](gitlab-org/gitlab@2ebad5adb2dd040ce9f4dabb5f6fd8d4d5586e03) ([merge request](gitlab-org/gitlab!90164))
- [Migrate repo storage errors to Pajamas alert](gitlab-org/gitlab@5e23f1e4c647cabe5545b00f61325dd0cfede2aa) ([merge request](gitlab-org/gitlab!90248))
- [Update docs milestone description for alpha](gitlab-org/gitlab@5f8b5e3463d518395aeccc55dff20ae16f59b42c) ([merge request](gitlab-org/gitlab!90105))
- [Decrease spacing between checkbox and button](gitlab-org/gitlab@5bcc5f31c42031eb6a71d6fc85fae0ad2de72a0e) ([merge request](gitlab-org/gitlab!90328))
- [Conditional dropdown value in invite modals](gitlab-org/gitlab@6d487ecd87cb7d4c7c2e5143e9a1d1627f9db837) ([merge request](gitlab-org/gitlab!89209))
- [Migrates the spacing for icon in web ide header](gitlab-org/gitlab@8422705154982f5f290194641751cc19637cdb17) ([merge request](gitlab-org/gitlab!90247))
- [Update group deletion protection settings](gitlab-org/gitlab@c44523bf43a07b8f4d8a99c6a7eee992012bc1c6) ([merge request](gitlab-org/gitlab!86659)) **GitLab Enterprise Edition**
- [Migrates the spacing class for sort dropdown](gitlab-org/gitlab@45cb9e4343d186b1e87c809fed911e099b56c50b) ([merge request](gitlab-org/gitlab!90286)) **GitLab Enterprise Edition**
- [Disable reading remdiation records](gitlab-org/gitlab@908f67870329e29969844128a2d143597fa66ec3) ([merge request](gitlab-org/gitlab!89059)) **GitLab Enterprise Edition**
- [Migrates the spacing classes for label search](gitlab-org/gitlab@bda9a210ce68e8dac30bad1736f5f3c679bdf5dc) ([merge request](gitlab-org/gitlab!90270))
- [Support footnotes in client-side deserializer](gitlab-org/gitlab@cb350771dd6eea7cc9aae87c971d20b02ffdf823) ([merge request](gitlab-org/gitlab!89974))
- [Migrate the prioritize button](gitlab-org/gitlab@21518676cd7ae980ce2d020ee212716d315f4cc4) ([merge request](gitlab-org/gitlab!89832))
- [Updated servicedesk callout to BannerComponent](gitlab-org/gitlab@b06d80c7e67c6d0f19e11995d409d7eb2dee5da8) ([merge request](gitlab-org/gitlab!89659))
- [Migrates the spacing class for error severity](gitlab-org/gitlab@22a8ca108d30957fc333a41651baf493a20df6d5) ([merge request](gitlab-org/gitlab!90255))
- [Env Folder component icon migration](gitlab-org/gitlab@bec769f9979e94f05f793da43faf8862155ecc8b) ([merge request](gitlab-org/gitlab!89617))
- [Right sidebar improvements for collapsed state](gitlab-org/gitlab@e88a100cafdd4cba3074fbdd33f2b75b312b7e29) ([merge request](gitlab-org/gitlab!90243))
- [Migrate pipeline_schedules/_form.html.haml to Pajamas::ButtonComponent](gitlab-org/gitlab@7bca7b50c959904fc687937c85d055f8bd34b155) ([merge request](gitlab-org/gitlab!89838))
- [Enable `dast_ui_redesign` feature flag by default](gitlab-org/gitlab@242115e9a867e4b6a652eb03ba5eaef80edf2eec) ([merge request](gitlab-org/gitlab!90108)) **GitLab Enterprise Edition**
- [Removes unused code for modal close button](gitlab-org/gitlab@dc50ee004d4393edd67e10e345a991b23ef5958e) ([merge request](gitlab-org/gitlab!90025)) **GitLab Enterprise Edition**
- [Replace pencil-square icon with pencil icon](gitlab-org/gitlab@8df6ae7c8f7313c42f6b1e6378e1f92a854d31ea) ([merge request](gitlab-org/gitlab!89897))
- [Migrates to gl class for right margin](gitlab-org/gitlab@a5830a098ef94e9a691ba0595608e8e53e50afab) ([merge request](gitlab-org/gitlab!90190))
- [Add approval_required entry to widget endpoing](gitlab-org/gitlab@a33e7c2dd0e7f57e4762d1185266bf7875454bbd) ([merge request](gitlab-org/gitlab!87150)) **GitLab Enterprise Edition**
- [Use RedHat OpenJDK packages in gemnasium-maven FIPS](gitlab-org/gitlab@a19ef84e4222b75901e31964a04c0c3983b79d06) ([merge request](gitlab-org/gitlab!90041)) **GitLab Enterprise Edition**
- [Migrate the edit button](gitlab-org/gitlab@30cc38c4a5890b7890984b0cff734fbb749564fd) ([merge request](gitlab-org/gitlab!89899))
- [Backfill project feature 'package_registry_access_level'](gitlab-org/gitlab@cb0f9c308a4da7c385f32d4990af7c84ecb33d38) by @wwwjon ([merge request](gitlab-org/gitlab!89141))
- [Improve Insights UI text](gitlab-org/gitlab@5d90bc60ab73710151fd2409e0e6a8259c533469) ([merge request](gitlab-org/gitlab!88892)) **GitLab Enterprise Edition**
- [Migrates the button to request attention](gitlab-org/gitlab@291c438f22a9024a8ff2538412c3629ac963485e) ([merge request](gitlab-org/gitlab!90123))
- [Use chevron icon in mr_collapsible_extension.vue](gitlab-org/gitlab@7597a517e4edf598f1bbef7c4987c22bff004d75) ([merge request](gitlab-org/gitlab!89732))
- [Migrates the modal to remove related item](gitlab-org/gitlab@2225dcc9e8560207f55b44463238530f6877bace) ([merge request](gitlab-org/gitlab!90112)) **GitLab Enterprise Edition**
- [Update MR feature callout to BannerComponent](gitlab-org/gitlab@af21b0c301ac70d613c3345103d42e9c38da732a) ([merge request](gitlab-org/gitlab!89666)) **GitLab Enterprise Edition**
- [Enable feature flag for renamed integrations workers](gitlab-org/gitlab@46c6359a78594392af8f3350ed0f798a6ddf1ebc) ([merge request](gitlab-org/gitlab!90060))
- [Migrates the modal to discard changes in web ide](gitlab-org/gitlab@db0a58a35e959648c0b2c69deb1782232fc15a67) ([merge request](gitlab-org/gitlab!90051))
- [Allow `CI_JOB_TOKEN` auth for release links API](gitlab-org/gitlab@39b37971ba254fb806972273913ae685b3b5cada) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/89958))
- [Event type information in streaming audit event for project download](gitlab-org/gitlab@6e79b7c32e1f10c3a6590a5e83dd6023ea6e9dd0) ([merge request](gitlab-org/gitlab!89350)) **GitLab Enterprise Edition**
- [Update Coverage-Fuzzing.gitlab-ci.yml](gitlab-org/gitlab@7cd215bea091045b9bd2633800b1d90b712c29be) ([merge request](gitlab-org/gitlab!88935))
- [Migrate the deprioritize button](gitlab-org/gitlab@edc91cb5967283fcad14639f64ca08f60f7bab35) ([merge request](gitlab-org/gitlab!89867))
- [Migrate sidebar buttons for bulk update](gitlab-org/gitlab@ffad357a76bb0279377069542846c27e96bea665) ([merge request](gitlab-org/gitlab!89783)) **GitLab Enterprise Edition**
- [Unbox Group audit events](gitlab-org/gitlab@f4c70b38170c6ff22e0e78ca6c0d078c7a155dd0) ([merge request](gitlab-org/gitlab!90005))
- [Migrates the modal to reset webhook for pagerduty](gitlab-org/gitlab@71ea3f0b6de28a1321c1f53d85386bc985bb7e80) ([merge request](gitlab-org/gitlab!90068))
- [Prevent page reload on switch board](gitlab-org/gitlab@2c05f3aae0a1ae357993ea21fb216ba803204dea) ([merge request](gitlab-org/gitlab!88368))
- [Update banner implementation to use Pajamas banner](gitlab-org/gitlab@8ce5b9fe35a5e6efc1fa16a9c3e675298f5efc3b) ([merge request](gitlab-org/gitlab!89425)) **GitLab Enterprise Edition**
- [Migrate buttons to add/remove commits](gitlab-org/gitlab@bae31bb1289efea6daca6e32b7656236684680ba) ([merge request](gitlab-org/gitlab!89834))
- [Adjust empty runners state svg height](gitlab-org/gitlab@3ac322e63a8649ecb2b4215deabacbf96a1e5a82) ([merge request](gitlab-org/gitlab!90113))
- [Migrates button to open sidebar for bulk updates](gitlab-org/gitlab@25f453d5dbeada06b08cf67143f18ede38c594ce) ([merge request](gitlab-org/gitlab!89777)) **GitLab Enterprise Edition**
- [Update administrator settings for deletion protection](gitlab-org/gitlab@de7fc64c5d5e12411431ca468e1530a9c6eed11e) ([merge request](gitlab-org/gitlab!86568)) **GitLab Enterprise Edition**
- [Removes incorrect gl-padding-50 variable](gitlab-org/gitlab@d3fa7de55b467c7e3c65ed1b7dc927d3f63271ce) ([merge request](gitlab-org/gitlab!89918))
- [Update omniauth-dingtalk-oauth2 gem to v1.0.1](gitlab-org/gitlab@33f5774341a80d9683395abf232aaea6a8875750) ([merge request](gitlab-org/gitlab!90091))
- [Migrates modal to delete iteration](gitlab-org/gitlab@5728446005353e142de0df962e95f90c6e20ab4c) ([merge request](gitlab-org/gitlab!90090)) **GitLab Enterprise Edition**
- [Enable FIPS mode for digest algorithms](gitlab-org/gitlab@e5585bd95b728e6aa141063cf5e8751aaa2de810) ([merge request](gitlab-org/gitlab!88469))
- [Support autolink serialization in Content Editor](gitlab-org/gitlab@ea8efbf595479667c237b7777c27c8cd04154b56) ([merge request](gitlab-org/gitlab!89046))
- [Update WebIDE job chevron icon](gitlab-org/gitlab@3c84eced92f96f1eb964cfb7d59e51ee5f959b66) ([merge request](gitlab-org/gitlab!89612))
- [Migrate button to search projects on dashboard](gitlab-org/gitlab@3e004f34fbd095e6df8d0347330459186be6f9e8) ([merge request](gitlab-org/gitlab!89917))
- [Rename the "Dark" and "Light" theme to avoid confusion with "Dark Mode"](gitlab-org/gitlab@087cbd0d26ecac7c777cb3dc126434b9f860c184) ([merge request](gitlab-org/gitlab!90039))
- [Migrates the modal to discard all changes](gitlab-org/gitlab@64f48c41cf6ffc25fe64758e2a30c3f338057d27) ([merge request](gitlab-org/gitlab!90052))
- [Migrate button component](gitlab-org/gitlab@6962c5ad73732ac0610820e67aa0ff10ebaebc8c) ([merge request](gitlab-org/gitlab!89793)) **GitLab Enterprise Edition**
- [Rename discussion comment button title](gitlab-org/gitlab@f0a7bfafdf44d931f0c42473fe3ad80d38e0dcf5) ([merge request](gitlab-org/gitlab!89986))
- [Update buttons on new project from CI/CD pane](gitlab-org/gitlab@8401436c57c4277d81723bacce5753e2bdfbd593) ([merge request](gitlab-org/gitlab!89825)) **GitLab Enterprise Edition**
- [Migrates button to revoke validation for dast](gitlab-org/gitlab@05ca704839283071a40a1a9e41bdc30a605e1386) ([merge request](gitlab-org/gitlab!90032)) **GitLab Enterprise Edition**
- [Migrates the button to add rotation for schedule](gitlab-org/gitlab@730493fe83fca3f50a369a5e7aca954708416c74) ([merge request](gitlab-org/gitlab!90030)) **GitLab Enterprise Edition**
- [Migrates the button to expand sidebar](gitlab-org/gitlab@66e1e2a62e73223fc1b36f6511de43550009c8e7) ([merge request](gitlab-org/gitlab!89822))
- [This MR migrates legacy html button to Pajamas button](gitlab-org/gitlab@32f50bca79d27ebf8ca6c72787245ef26eed40ca) ([merge request](gitlab-org/gitlab!89712))
- [Migrates the default value for deleting a design](gitlab-org/gitlab@1daa42c5121ff49f468d3ec3f3ae0e19c69a646b) ([merge request](gitlab-org/gitlab!90021)) **GitLab Enterprise Edition**
- [Project Owners can approve access requests](gitlab-org/gitlab@0b093d65d56fb47288ac2d090109b88a2a6493c8) ([merge request](gitlab-org/gitlab!90018))
- [Migrates modal to download test coverage report](gitlab-org/gitlab@f9d5854a5b412ff1f44b647abd77e0cf7f7828d9) ([merge request](gitlab-org/gitlab!90016)) **GitLab Enterprise Edition**
- [Removed container_registry_namespace_statistics ff](gitlab-org/gitlab@89d2aa3ac68eeefa11c2f47c7322025fe95817a3) ([merge request](gitlab-org/gitlab!89999))
- [Migrates the button to edit a blob file](gitlab-org/gitlab@f2bfda093016365bf6289b30b40a282e26bf0d2a) ([merge request](gitlab-org/gitlab!90011))
- [Cleanup Child issues and epics](gitlab-org/gitlab@a4c057c92fac11d75458e474a381ff9e8c8f2bd2) ([merge request](gitlab-org/gitlab!89805))
- [Update specs for integrations API to check all modifiable fields](gitlab-org/gitlab@c4b51ab0168e5e0fd8a506b52df05cfa1dc7c70b) ([merge request](gitlab-org/gitlab!89452))
- [Move IrkerWorker into Integrations:: namespace and rename queue](gitlab-org/gitlab@665f18c0271e8b234bdf64612a34f9a7b465edc9) ([merge request](gitlab-org/gitlab!88579))
- [This MR migrates bootstrap legacy component to pajamas](gitlab-org/gitlab@07baae92e91eac8461d459df27cd8015aa6ccd06) ([merge request](gitlab-org/gitlab!89976))
- [Add Slack app installations to Service Ping](gitlab-org/gitlab@cd9755914e6737b0e83f5b196003bb0a8ad82bf9) ([merge request](gitlab-org/gitlab!89130)) **GitLab Enterprise Edition**
- [This MR migrates bootstrap legacy component to pajamas](gitlab-org/gitlab@1ae6d281ddf9434441f1cfb58cd996c39912adf8) ([merge request](gitlab-org/gitlab!89975))
- [Update MS Teams form to use sections](gitlab-org/gitlab@d61508e9948d3be5c2456bbe53f48c13f874fb7d) ([merge request](gitlab-org/gitlab!89506))
- [Migrate button to confirm user](gitlab-org/gitlab@8b62dcce6547ad0bbbf88b8d61fdc21f9fa4e8c9) ([merge request](gitlab-org/gitlab!89972))
- [Migrates the button to add on call schedule](gitlab-org/gitlab@a5811a2c5965922bbb7fa76806005bf5af4502f7) ([merge request](gitlab-org/gitlab!89970)) **GitLab Enterprise Edition**
- [Migrates the button to add an escalation policy](gitlab-org/gitlab@8dedac6ef680f3776566a1a7dd794a2d3ad71fc4) ([merge request](gitlab-org/gitlab!89969)) **GitLab Enterprise Edition**
- [Migrates close button in details for test case](gitlab-org/gitlab@1f0e22133f18871d58327b78c9ef023c4e710bb9) ([merge request](gitlab-org/gitlab!89965))
- [Migrates button to restart Web IDE terminal](gitlab-org/gitlab@c64b8219c0ec3dce44ceceb44066a4bc1101e2fc) ([merge request](gitlab-org/gitlab!89964))
- [Migrates the button to extend trial](gitlab-org/gitlab@273a320452d9cc0c55751602072e2001f35c1dbc) ([merge request](gitlab-org/gitlab!89963)) **GitLab Enterprise Edition**
- [Migrates button to view full dashboard](gitlab-org/gitlab@67ed603e010d22d3038f921eb950c38ac7061e05) ([merge request](gitlab-org/gitlab!89959))
- [Migrates button to view documentation](gitlab-org/gitlab@a38579bd9f30e963f90792000ea5f292a5555e01) ([merge request](gitlab-org/gitlab!89955))
- [Migrates button to view dashboard documentation](gitlab-org/gitlab@eaececa21025e45066da00450b051b882a47c297) ([merge request](gitlab-org/gitlab!89954))
- [Migrates the guidance in docs for buttons](gitlab-org/gitlab@024ca5ef5d3c45d7ccf05ab8afd474178ab8a152) ([merge request](gitlab-org/gitlab!89944))
- [Migrates button to manage plan for subgroups](gitlab-org/gitlab@b2f9f947b11a706cebb948f1042ce0edf75717e0) ([merge request](gitlab-org/gitlab!89942)) **GitLab Enterprise Edition**
- [Migrates buttons to resync and reverify projects](gitlab-org/gitlab@8f1947b7b0c38184ef625088e69fbba877e930ed) ([merge request](gitlab-org/gitlab!89937)) **GitLab Enterprise Edition**
- [Migrate access token form errors to be Pajamas compliant](gitlab-org/gitlab@8086969dd5844aeedece0cc09c55f80830ff7fd3) ([merge request](gitlab-org/gitlab!89871))
- [Update admin error alerts to pajamas](gitlab-org/gitlab@ef2e8edc420f7c33788cd6c9382d74aecfcb48eb) ([merge request](gitlab-org/gitlab!89931))
- [Migrate the subscribe dropdown button](gitlab-org/gitlab@82178fe189b05dcc21f4f77372dae6dc9ef8ba18) ([merge request](gitlab-org/gitlab!89929))
- [Updated icons in the group contributions table](gitlab-org/gitlab@241643fdda6fb691ee64fbe701a7d5550341a7f2) ([merge request](gitlab-org/gitlab!89790)) **GitLab Enterprise Edition**
- [Updated buttons in the project settings](gitlab-org/gitlab@e3fdc826f66e95f0f70e215212fdf1b70cbd6f72) ([merge request](gitlab-org/gitlab!89705))
- [Migrate the ellipsis button](gitlab-org/gitlab@de93b4da2206d4a42313270a0be00c2be1b4fd30) ([merge request](gitlab-org/gitlab!89910))
- [Add url variables to web hooks](gitlab-org/gitlab@6ca8c5fdc2f9a4e2e471279a64b77ba09c3690f5) ([merge request](gitlab-org/gitlab!89304))
- [Migrate group visibility form errors to be Pajamas compliant](gitlab-org/gitlab@c602f412a3dfb764b58c952cb33cc0176d7bffe4) ([merge request](gitlab-org/gitlab!89891))
- [Migrate Admin -> Topic -> New form errors to be Pajamas compliant](gitlab-org/gitlab@08349372f71896eafb36a1e99f1f45c04b6b56d1) ([merge request](gitlab-org/gitlab!89887))
- [Migrate alert in the onboarding flow](gitlab-org/gitlab@a7c0375bb0b784e6da2695ce314fe67c6b96d2e9) ([merge request](gitlab-org/gitlab!89880)) **GitLab Enterprise Edition**
- [Migrate button in sidebar for bulk issues update](gitlab-org/gitlab@d196ec9d8ecc0b6d07fe9ae281c832a3004055aa) ([merge request](gitlab-org/gitlab!89875))
- [Migrate button in the group creation](gitlab-org/gitlab@57e487bb3429f9595541b32bda64c6111b46a4da) ([merge request](gitlab-org/gitlab!89868)) **GitLab Enterprise Edition**
- [Migrates buttons in labels nav partial](gitlab-org/gitlab@405166f84ecfab064f77a131eb5bf4ff6b5e3b0d) ([merge request](gitlab-org/gitlab!89862))
- [Migrate alert in the SSH key settings](gitlab-org/gitlab@32e233d0cb8ba111427bde07a0a2cc4b005d4998) ([merge request](gitlab-org/gitlab!89843))
- [Use `Pajamas::AlertComponent` for maintenance message](gitlab-org/gitlab@33a70ed6f32796fe1b45a05f4276e27f4a69669c) by @ali_o_kan ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/87519)) **GitLab Enterprise Edition**
- [Migrates 'Stop all jobs' button to Pajamas::ButtonComponent](gitlab-org/gitlab@3881052e9b7020fd66d8cc9d5888e47fff162e1a) ([merge request](gitlab-org/gitlab!89842))
- [This MR migrates legacy html button to Pajamas button](gitlab-org/gitlab@8657c6da6fc44cc954c0b203b293531ae1d3dc34) ([merge request](gitlab-org/gitlab!89700))
- [Migrate alert docs icon](gitlab-org/gitlab@dbd2b89d69201c9cfd5a5e7ea6397b972944c836) ([merge request](gitlab-org/gitlab!89651))
- [Add pattern validation for cadence in Scan Execution Policy Schema](gitlab-org/gitlab@44eeb4fa81c6d4f1f162fb66e4ff71dfdd489de8) ([merge request](gitlab-org/gitlab!89560)) **GitLab Enterprise Edition**
- [Migrate button to create branch](gitlab-org/gitlab@a412b003805e6ee528da40e0a27f09ebfcfd66f2) ([merge request](gitlab-org/gitlab!89765))
- [Add a descriptive empty state for runners](gitlab-org/gitlab@324bf17b80f086698aa57ccc5f5f24db9d7cb70d) ([merge request](gitlab-org/gitlab!89115))
- [Migrate angle icon to chevron in deploy_board_wrapper.vue](gitlab-org/gitlab@3bcc801dcc98456510c4d6e91265b409146bffb3) ([merge request](gitlab-org/gitlab!89784))
- [Updated repository callout to BannerComponent](gitlab-org/gitlab@4f102923b2e50f15087786d717f0ef19d578aa4e) ([merge request](gitlab-org/gitlab!89639)) **GitLab Enterprise Edition**
- [Updated buttons in the Repository mirror settings](gitlab-org/gitlab@015622a76eaccf18a678c8aaef4782b7e01b9a0b) ([merge request](gitlab-org/gitlab!89785)) **GitLab Enterprise Edition**
- [Remove separator slot from new project breadcrumb](gitlab-org/gitlab@02a4bb50a054010223c95d7a1f7129acd5ccdacd) ([merge request](gitlab-org/gitlab!89762))
- [Remove require_auth_for_graphql_user_resolver feature flag](gitlab-org/gitlab@d78ff9b017935a6293a45d56321991bef4807470) ([merge request](gitlab-org/gitlab!89764))
- [Disable job log checksums when FIPS enabled](gitlab-org/gitlab@58a3d39c4e0ee067f9606be74865394ed1c21557) ([merge request](gitlab-org/gitlab!89352))
- [Migrate angle icons to chevron icons in Paginator](gitlab-org/gitlab@5ac3f9e3eb148fed57f07eaa2e0aaf3183f356fa) ([merge request](gitlab-org/gitlab!89725))
- [Migrate angle icons to chevron icons in GraphGroup](gitlab-org/gitlab@5d87a98fbf42c98e38fce29d4ed4ab977a14c7c9) ([merge request](gitlab-org/gitlab!89726))
- [Log worker_id for Puma and Sidekiq](gitlab-org/gitlab@72f3f8d786ac8b0ba7572c5a115c16b8712a6848) ([merge request](gitlab-org/gitlab!89523))
- [Remove records for removed integrations](gitlab-org/gitlab@9433ba75e1405aa9211a384f62776e6a644970c6) ([merge request](gitlab-org/gitlab!89427))
- [Migrate angle icons to chevron icons Kaminari](gitlab-org/gitlab@10b927b9cfb8de1105a3abb374bc427fce632d93) ([merge request](gitlab-org/gitlab!89727))
- [Bump Auto Deploy Image to v2.30.0](gitlab-org/gitlab@15efba54052aa63b9a36cf8ce8d16bd57f4d19dd) ([merge request](gitlab-org/gitlab!89208))
- [This MR migrates legacy html button to Pajamas button](gitlab-org/gitlab@d1c12707c12d057bfb00c46f198bc7b527bab2b9) ([merge request](gitlab-org/gitlab!89704))
- [Migrate chevron icon compliance docs](gitlab-org/gitlab@946a6252de28917d565ea1df47ed73aa889e8540) ([merge request](gitlab-org/gitlab!89643))
- [Migrate angle to chevron in responsive header](gitlab-org/gitlab@ca024c0c0d788e792c787a10c631c38025abe990) ([merge request](gitlab-org/gitlab!89684))
- [Migrate chevrons in pagination buttons](gitlab-org/gitlab@5756fb9480ad938a39fe257ba01d81bdb67dd5e2) ([merge request](gitlab-org/gitlab!89693))
- [Migrate chevrons in breadcrumbs](gitlab-org/gitlab@3512020c5e11f59a8f777e107c59587bb9ec7de9) ([merge request](gitlab-org/gitlab!89688))
- [Update confidential issue permissions docs](gitlab-org/gitlab@c10aa3e1388def23ea8ff556429a1d72cb698601) ([merge request](gitlab-org/gitlab!87666))
- [Updated buttons in the group settings](gitlab-org/gitlab@6370ea15e2cb994576b9348c29ab6d0d9f91bfb4) ([merge request](gitlab-org/gitlab!89671)) **GitLab Enterprise Edition**
- [Remove language arg](gitlab-org/gitlab@4176cb59c26ea89d80adbf07c3b55c516bb70e0b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/89344)) **GitLab Enterprise Edition**
- [Determine security training feature accessibility](gitlab-org/gitlab@3ce9503b32ea852006844dc3eb51052bb8fc5034) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/89093))
- [Replace terms angle icon for a chevron one](gitlab-org/gitlab@f71688ef5da422ab34f2be7e3c6b2eebb4939c1a) ([merge request](gitlab-org/gitlab!89661))
- [Change resolved -> detected on subsequent scans](gitlab-org/gitlab@7120faf22099f8f2e825dfcb3f7fd555fc325467) ([merge request](gitlab-org/gitlab!89325)) **GitLab Enterprise Edition**
- [Removes OpenStruct use](gitlab-org/gitlab@42d1fa2c5ae05041db964045987aa56a0ecb925d) by @mehulsharma ([merge request](gitlab-org/gitlab!89434))
- [Rename cluster integration workers and their queues](gitlab-org/gitlab@5ce4ac1c358eed14dbaaf3c83b69b50304469c7a) ([merge request](gitlab-org/gitlab!88582))
- [Migrate chevron DM docs](gitlab-org/gitlab@1a640c73b68a2b802d43b89660234f7375329c21) ([merge request](gitlab-org/gitlab!89654))
- [Migrate web ide icon docs](gitlab-org/gitlab@4749c0cbd2667bc445abe1c91335bc4e7f48fc26) ([merge request](gitlab-org/gitlab!89647))
- [Autodevops docs chevron icon migration](gitlab-org/gitlab@111d7c94e8dded0196e4502ea8c687eed8283d2f) ([merge request](gitlab-org/gitlab!89649))
- [Unbox & Cleanup Compare merge request](gitlab-org/gitlab@a738f68210997cee6fb2eebc19588bb821088f40) ([merge request](gitlab-org/gitlab!89620))
- [Replaced generic inputs in the Web IDE](gitlab-org/gitlab@3df7ae280342d90fe1422ad06e81116abe9fe46a) ([merge request](gitlab-org/gitlab!89519))
- [Restore md spinner in MR status widget](gitlab-org/gitlab@5f1ae117f1043b4ce4811f66635e8906e6fdab80) ([merge request](gitlab-org/gitlab!89623))
- [Make captcha check over POST rather than GET](gitlab-org/gitlab@48b3fe2b390509fdd5eb3b35816733548b97b123) ([merge request](gitlab-org/gitlab!89232)) **GitLab Enterprise Edition**
- [Update contextual sidebar background and border](gitlab-org/gitlab@4e53015b7723a419809014cb500f5bea4e7e5ef3) ([merge request](gitlab-org/gitlab!89533))
- [Add missing page-title & font-size-h-display classes](gitlab-org/gitlab@109d1a02de8b4f9e7a22df9b4855e2f26f0f1c97) ([merge request](gitlab-org/gitlab!89619))
- [Supported 'language' editor instance option](gitlab-org/gitlab@8d431626eb7513fc31869b5921980aff6f82155e) ([merge request](gitlab-org/gitlab!89588))
- [Change what makes migrations completed](gitlab-org/gitlab@af5e190baed0d842f1af8a1550b52b38570f8012) ([merge request](gitlab-org/gitlab!89539)) **GitLab Enterprise Edition**
- [Clean up `group_member_inherited_group` feature flag](gitlab-org/gitlab@f46776b87f924970c96f1727a0e8f74fdd9c757c) by @wwwjon ([merge request](gitlab-org/gitlab!89604))
- [Update h1 to use .gl-font-size-h-display class](gitlab-org/gitlab@e8e665b12f084c0e2e5324a83afe3f8acf565d51) ([merge request](gitlab-org/gitlab!88964))
- [Migrates the create commit button in Web IDE](gitlab-org/gitlab@e791885aaac8ca785a6ff1a333359436a040e6cf) ([merge request](gitlab-org/gitlab!88723))
- [Replace angle icons for chevron in registry breadcrumb](gitlab-org/gitlab@b67b6556074e3a31d19b9910d36c4122e0ca6141) ([merge request](gitlab-org/gitlab!89555))
- [Migrates the learn more about AWS button](gitlab-org/gitlab@e33a06e07a33fcfec4027bbbb8e8677ac69c97bb) ([merge request](gitlab-org/gitlab!88547))
- [Migrates the export requirements modal](gitlab-org/gitlab@94dce954ec03d88d5fec8f06c8673ac33177982e) ([merge request](gitlab-org/gitlab!88683)) **GitLab Enterprise Edition**
- [Replace angle icons for chevron in groups](gitlab-org/gitlab@0f258d52e529c7e0e32de9b42120386ad05bae9e) ([merge request](gitlab-org/gitlab!89447))
- [Use tertiary button for alert sidebar assignee](gitlab-org/gitlab@f9616dd932c5e16d6cf4c03137b08acc41d3449e) ([merge request](gitlab-org/gitlab!89179))
- [Fix attribute inheritance in workers](gitlab-org/gitlab@26093c38b0476e6474138fae58a47eac5d6acbe2) ([merge request](gitlab-org/gitlab!89260))
- [Revert data consistency to `always`](gitlab-org/gitlab@76934276440b089a302c4a552ae6108d3e68ceba) ([merge request](gitlab-org/gitlab!89501))
- [Remove branch names from conflict count](gitlab-org/gitlab@7dc68d266ef867013429066aa105379f611d0c03) ([merge request](gitlab-org/gitlab!89335))
- [Cleanup Schedule a new pipeline form page](gitlab-org/gitlab@8e1937300312c6525f04a63fd51ec99dfe18795f) ([merge request](gitlab-org/gitlab!89414))
- [Cleanup New environment page](gitlab-org/gitlab@91cc2acb0c6e7463cdfe1c5c16bef52b0b160a5f) ([merge request](gitlab-org/gitlab!89422))
- [Migrates the skeleton in terraform MR widget](gitlab-org/gitlab@2ed39fd2a454e63f69886dabe53fdec8cbcc35af) ([merge request](gitlab-org/gitlab!88823))
- [Migrates the modal to delete an integration](gitlab-org/gitlab@8ee32a81c90f8ae7669ecd736fe1042473870490) ([merge request](gitlab-org/gitlab!88705))
- [Cleanup New Test Case page](gitlab-org/gitlab@754f91abdac00662936da692d741820986e142d6) ([merge request](gitlab-org/gitlab!89417))
- [Cleanup New/Edit feature flag form](gitlab-org/gitlab@6a7f209fe57f250e8fd5fa6f1e1ffb4fab7a9fc5) ([merge request](gitlab-org/gitlab!89418))
- [Add limits on number of scheduled security scan pipelines](gitlab-org/gitlab@9ee1a2deee561d27df22e38b4036b94a960974c2) ([merge request](gitlab-org/gitlab!87737))
- [Migrates the run pipeline modal in commit](gitlab-org/gitlab@32a37b1aff93566ca80e1df5f9af5eb14af268f2) ([merge request](gitlab-org/gitlab!88830))
- [Remove async_mr_close_issue feature flag](gitlab-org/gitlab@3463a91b65029fb07a25aff2b116c7b2d486545f) ([merge request](gitlab-org/gitlab!89485))
- [Remove use_received_header_for_incoming_emails feature flag](gitlab-org/gitlab@5982e60d079aedf745541156366c89176ad6147c) ([merge request](gitlab-org/gitlab!89363))
- [Change loading state](gitlab-org/gitlab@b0281a473acf0ca3576f55a9c902719ecd9edcfa) ([merge request](gitlab-org/gitlab!89337))
- [Migrates the feature flag modal to not use ok](gitlab-org/gitlab@2d95860d028da46a0f495336043e465ca7ca52ce) ([merge request](gitlab-org/gitlab!88743))
- [Update search settings placeholder text](gitlab-org/gitlab@6625618fd27b12e03ed66df67455ab8988facad2) ([merge request](gitlab-org/gitlab!89086))
- [Improve Debian version regexp](gitlab-org/gitlab@cf24f6bc18411cdce60a4993e5a1cd7135eae78c) by @sathieu ([merge request](gitlab-org/gitlab!83343))
- [Migrates the skeleton loader for requirements](gitlab-org/gitlab@77074275000147d0908fa2d3ed542c330f81e18f) ([merge request](gitlab-org/gitlab!88747)) **GitLab Enterprise Edition**
- [Update group compliance framework labels](gitlab-org/gitlab@1306d86496ec1a0d39405f65dbb3ca3ba50afd64) ([merge request](gitlab-org/gitlab!88563)) **GitLab Enterprise Edition**
- [Replace angle icons for chevron in package details](gitlab-org/gitlab@b66bdeaa4cc3aa39980b09d9cec63375ce617675) ([merge request](gitlab-org/gitlab!89440))
- [Finally get rid of all btn-warning code](gitlab-org/gitlab@3250bd0e12a8ebfc28da70d9887a8cc53bb535b3) ([merge request](gitlab-org/gitlab!88398))
- [Migrates the configure regions button for GCP](gitlab-org/gitlab@7c6c64cdef78ca0a6f284479c8a83a90f269db7a) ([merge request](gitlab-org/gitlab!88721))
- [Don't delete expired artifacts undergoing refresh](gitlab-org/gitlab@65831807f1d666c12546764b8e9292bd6b1b75ba) ([merge request](gitlab-org/gitlab!88458))
- [Change awards active item state](gitlab-org/gitlab@42c0c60734bc9ad127f335a5a5db1dbc549ba31c) ([merge request](gitlab-org/gitlab!89231))
- [Limit the response being logged from the WebhookWorker](gitlab-org/gitlab@f34f84df65f7fbeb200fea70b934c95efb2ba68e) ([merge request](gitlab-org/gitlab!88737))
- [Migrates the download test coverage report button](gitlab-org/gitlab@6d6724e271b1bd51431857a0c32dce46f2d599df) ([merge request](gitlab-org/gitlab!88655)) **GitLab Enterprise Edition**
- [Refactor storage helper date checking](gitlab-org/gitlab@98e5b24933ef16210ff189f26fe855e7a8041fc1) ([merge request](gitlab-org/gitlab!87804))
- [Update to bundler v2.3.15](gitlab-org/gitlab@f452a61466dc580ec8e85a247a765a62149e247a) ([merge request](gitlab-org/gitlab!89388))
- [Add phone_verification_code_enabled to ApplicationSettings](gitlab-org/gitlab@8639c8169278ef52b7ea4ebe2fb55fed47bb7bf5) by @zhzhang93 ([merge request](gitlab-org/gitlab!86844))
- [Change angle icon](gitlab-org/gitlab@a5f70d594822213ff1ef5779bf732db664e3721e) ([merge request](gitlab-org/gitlab!89351))
- [Add invalid approvers to be further used by](gitlab-org/gitlab@3b4a2ec5ee68b1781efe4d6e8799ff962ae55124) ([merge request](gitlab-org/gitlab!87596)) **GitLab Enterprise Edition**
- [Graduate update_storage_usage_design feature flag](gitlab-org/gitlab@d94a78ba9de6ce854a709aa1114d7d742d2489b1) ([merge request](gitlab-org/gitlab!88907)) **GitLab Enterprise Edition**
- [Replace angle icons to chevron in admin dashboard](gitlab-org/gitlab@f8d3b0af149a1e4a0fae103a97a1dc03a99ef18b) ([merge request](gitlab-org/gitlab!89346))
- [Bump Gitlab Shell version](gitlab-org/gitlab@4437d9eefef29ed9e802f5de4ac8ec70090a1c84) ([merge request](gitlab-org/gitlab!89315))
- [Cleanup New user form](gitlab-org/gitlab@80724805e8579e8fb2025a05934709eef29c8e03) ([merge request](gitlab-org/gitlab!88541))
- [Improve sidebar styling](gitlab-org/gitlab@8d652df4af23a538956b63121d43594c209bc64a) ([merge request](gitlab-org/gitlab!87817))
- [Expose alert status](gitlab-org/gitlab@247c138ebe122dd595b42969f3e041f6bd8cd21e) ([merge request](gitlab-org/gitlab!89322))
- [Make sidebar in MRs sticky](gitlab-org/gitlab@2eb5042fb82dba919e6f00ec2060307408e20d39) ([merge request](gitlab-org/gitlab!88165))
- [This MR replaces outdated skeleton-loading](gitlab-org/gitlab@c1e9bdddf09d924c6474dcc86647c744f7eb6421) ([merge request](gitlab-org/gitlab!88934))
- [Use agent name in the agent installation command](gitlab-org/gitlab@5dc2110eb0dcc40fd8984b53af850e67e1bc7b8e) ([merge request](gitlab-org/gitlab!89235))
- [Bring DAST templates back inline](gitlab-org/gitlab@efb97b7451f4b05da88add95f73951da65a5c285) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/87343)) **GitLab Enterprise Edition**
- [Improve editing experience of footnotes](gitlab-org/gitlab@f4a033ed132cb397cd47253c1d5e78d0bf3eab1a) ([merge request](gitlab-org/gitlab!89247))
- [Migrate to tertiary buttons in DropdownContentsCreateView](gitlab-org/gitlab@4e4c9538c623dbca7c6883e2c85a19c90ac572d9) ([merge request](gitlab-org/gitlab!89238))
- [Update premailer gem to v1.16.0](gitlab-org/gitlab@9ac5382f42666d46d5305308d6a1a3bb1e120dbe) ([merge request](gitlab-org/gitlab!86523))
- [Add focus ring to all links](gitlab-org/gitlab@ddb9f2dc819e03d5eec30e53cb261d89ef69fd1b) ([merge request](gitlab-org/gitlab!88007))
- [Enable route_hll_to_snowplow_phase2 FF by default](gitlab-org/gitlab@b3bb4d2567c072641ae0d7b56bb7b66e11f63b91) ([merge request](gitlab-org/gitlab!89292))
- [Cleanup New/Edit Label pages](gitlab-org/gitlab@b314dbf055773475678bb377bf157993ab5c0511) ([merge request](gitlab-org/gitlab!89244))
- [Update gitlab-fog-azure-rm for Ruby 3.0 compatibility](gitlab-org/gitlab@517175c9f8be240c1af4de429ea8e6fc838bbaf7) ([merge request](gitlab-org/gitlab!89181))
- [Update more in-app checkout CSS utility classes](gitlab-org/gitlab@c29c989293f321349179f90ae978f2f9e5bf7254) ([merge request](gitlab-org/gitlab!89193))
- [Unbox Label pages for Group & Projects](gitlab-org/gitlab@4a2f1205e382b185d30de3a895b16ea1f4a9a433) ([merge request](gitlab-org/gitlab!89242))
- [Require authentication when enumerating users via GraqhQL](gitlab-org/gitlab@0efbc0b240f656a2288f566e61b6fff6f5f6fe4b) ([merge request](gitlab-org/gitlab!88020))
- [Left align CTAs and remove background color](gitlab-org/gitlab@e2be4db5c64c437e4283604b16c57ab92040ef0c) ([merge request](gitlab-org/gitlab!88152))
- [Added count in project_type](gitlab-org/gitlab@c0e12223f220841089e13775650b239a418b60f9) ([merge request](gitlab-org/gitlab!89000))
- [Clean up feature flag for release path fix](gitlab-org/gitlab@174d8d28f3b869a074d11890206e8ec7cdb3f1cf) ([merge request](gitlab-org/gitlab!89110))
- [Migrate to a tertiary button in DropdownContentsLabelsView](gitlab-org/gitlab@a703cda71f90282e318d0eb3c558c23f66b854ea) ([merge request](gitlab-org/gitlab!89168))
- [Cache container repositories size on namespace](gitlab-org/gitlab@375050638e57340a90255aee1f0d5ae93bcffff8) ([merge request](gitlab-org/gitlab!88573))
- [Remove unwanted title attribute](gitlab-org/gitlab@f03fdf32ac960fa92efd8bffebdfc1bff038accb) ([merge request](gitlab-org/gitlab!88973)) **GitLab Enterprise Edition**
- [Migrate push rules edit alert to Pajamas ViewComponent](gitlab-org/gitlab@8a4ab6c354c7b326cbecd3f4418342bf673b52ca) ([merge request](gitlab-org/gitlab!88453)) **GitLab Enterprise Edition**
- [Add trigger section definition to form](gitlab-org/gitlab@c8f86f41ff74814b00feb3498b209d2d276153e7) ([merge request](gitlab-org/gitlab!88996))
- [Enable new issue reference popovers](gitlab-org/gitlab@e99a51a4e059fdb0f1f69499e565e6b297d5980b) ([merge request](gitlab-org/gitlab!88000))
- [Report warnings from the timebox resolver](gitlab-org/gitlab@7662c793b74fe81178f1e780f11c9e52e258f982) ([merge request](gitlab-org/gitlab!88681))
- [Upgrade re2 gem to v1.4.0](gitlab-org/gitlab@239af2aad5c6948709fa43e148549affb2940a31) ([merge request](gitlab-org/gitlab!89186))
- [Update auto-deploy-image to v2.28.2](gitlab-org/gitlab@e2fb17373e80355939a91c75800854c5ab483049) ([merge request](gitlab-org/gitlab!89191))
- [Migrates the skeleton in overview discussion notes](gitlab-org/gitlab@e9fab8da1c7cb814a7d17c4ee0a350f4f0e85758) ([merge request](gitlab-org/gitlab!88825))
- [Remove integrations.properties column](gitlab-org/gitlab@f5891b7a62e47298fd310be33b4a1d2b030642c1) ([merge request](gitlab-org/gitlab!80510))
- [Migrates the analytics on group overview page](gitlab-org/gitlab@ca58c251962e3ddabd917bf9ebb870de94259807) ([merge request](gitlab-org/gitlab!88777)) **GitLab Enterprise Edition**
- [Rename ProjectServiceWorker to Integrations::ExecuteWorker](gitlab-org/gitlab@2c88a7fb0b81fbe1ddb3f74ae115fed32f654826) ([merge request](gitlab-org/gitlab!88558))
- [Migrate to a tertiary button in Dependency List](gitlab-org/gitlab@96ce2c9ea9639b9eef8e54cbe6b385b6b914dfaa) ([merge request](gitlab-org/gitlab!89153)) **GitLab Enterprise Edition**
- [Run RubySampler and ThreadSampler in Puma primary](gitlab-org/gitlab@c31e41f38345f9a3b2fb634d3eded4e2a84c3772) ([merge request](gitlab-org/gitlab!89039))
- [Move VSA task by type description into dropdown](gitlab-org/gitlab@5b84141a52b520b3de01f4ec281589190a682ca3) ([merge request](gitlab-org/gitlab!88613)) **GitLab Enterprise Edition**
- [Migrate skeleton loader in MR popover](gitlab-org/gitlab@1e1742235e931383c1ba642eaeb1899706fd55ed) ([merge request](gitlab-org/gitlab!88772))
- [Enable Slack app OauthV2 flow](gitlab-org/gitlab@ad58a32ec468e00c1025421d88d0c6577dc0894f) ([merge request](gitlab-org/gitlab!89087)) **GitLab Enterprise Edition**
- [Migrate skeleton in Web IDE file tree list](gitlab-org/gitlab@9f48e25d706fd68e68f05f9617debaf579ddf4fb) ([merge request](gitlab-org/gitlab!88767))
- [Migrate skeleton loader for test coverage summary](gitlab-org/gitlab@f3248c893b229725c83e4692102e6ad2a7560c39) ([merge request](gitlab-org/gitlab!88778)) **GitLab Enterprise Edition**
- [Migrates skeleton loader in issuables list](gitlab-org/gitlab@74cf48ac42a2a4249cd8c8283cce4aa952373815) ([merge request](gitlab-org/gitlab!88775))
- [Add text related to policy status](gitlab-org/gitlab@252701a4e9aefec3fe76b2920c1cdf5d096b918d) ([merge request](gitlab-org/gitlab!87462)) **GitLab Enterprise Edition**
- [Migrates the buttons when adding a metrics panel](gitlab-org/gitlab@419f7fad1b4be6cc656fa51c5b6d6875cdf41370) ([merge request](gitlab-org/gitlab!88732))
- [Use the minimal layout for the in-app checkout flows](gitlab-org/gitlab@a220af77f688ecfa7507d8325e040f6f0a2e6475) ([merge request](gitlab-org/gitlab!84637)) **GitLab Enterprise Edition**
- [Improve styling of dropzone](gitlab-org/gitlab@fa368d9a6133d98d8cfff57d182d5866425e3b7c) ([merge request](gitlab-org/gitlab!87927))
- [Add reason for unauthorized in jira connect API](gitlab-org/gitlab@f92f120c3da384db546774a0db995b7ac4340676) ([merge request](gitlab-org/gitlab!87890))
- [Migrate resolve button in error tracking](gitlab-org/gitlab@493f11ee3967a650d2dcca79f5a5f410f9bae63e) ([merge request](gitlab-org/gitlab!88719))
- [Migrates more details button in error tracking](gitlab-org/gitlab@af2d058b7ea7964738f3776389646f567a5d5075) ([merge request](gitlab-org/gitlab!88720))
- [Migrates the edit policy button in drawer](gitlab-org/gitlab@51c8d22871f77ffed226159d573bf3e4c1bae334) ([merge request](gitlab-org/gitlab!88728)) **GitLab Enterprise Edition**
- [Migrates the modal to promote a milestone](gitlab-org/gitlab@e2c7c4ec04114b724afec44d6af0310774ebddc3) ([merge request](gitlab-org/gitlab!88784))
- [Migrates the modal to edit LDAP user](gitlab-org/gitlab@97b7fa36af9c9d6419ff5c14aea586dfc14fdb9f) ([merge request](gitlab-org/gitlab!88786)) **GitLab Enterprise Edition**
- [Remove  "other role" details during signup](gitlab-org/gitlab@be30e43436a019e827d827584913c1e556fa0bed) ([merge request](gitlab-org/gitlab!88901))
- [Migrates radio buttons for strategy of auto devops](gitlab-org/gitlab@03c9e86f5e84a057bc105c1b4f20405e7a268aa5) ([merge request](gitlab-org/gitlab!88756))
- [Migrate issuable form branch chooser alert to Pajamas ViewComponent](gitlab-org/gitlab@2e3d440c9691b9a4c7abe5a7fb408f53b2ac8377) ([merge request](gitlab-org/gitlab!88818))
- [Improve focus states of downstream cards](gitlab-org/gitlab@9bdc02b4b4f5a039248146c64626c5a13a5cfc0f) ([merge request](gitlab-org/gitlab!88861))
- [Migrates the save changes button to edit geo site](gitlab-org/gitlab@5deb00c950c4b76cc994b06ade1c5f53f4dad191) ([merge request](gitlab-org/gitlab!88682)) **GitLab Enterprise Edition**
- [Improve UI text of group Templates setting](gitlab-org/gitlab@ef0a8d1c46b7a0a52ab3f7b1be2b063d311603f2) ([merge request](gitlab-org/gitlab!88979)) **GitLab Enterprise Edition**
- [Migrates skeleton loader for projects in runner](gitlab-org/gitlab@8404447605b6f2ca010cc257537211341efecb41) ([merge request](gitlab-org/gitlab!88774))
- [Migrates radio buttons in add license form](gitlab-org/gitlab@b5c59b3bf3b8898b2642d94a7c27194a03ba13e1) ([merge request](gitlab-org/gitlab!88790)) **GitLab Enterprise Edition**
- [Migrate path skeleton in value stream analytics](gitlab-org/gitlab@e4a341ba5b3abb5247b9b20e612deef31395c0d9) ([merge request](gitlab-org/gitlab!88766))
- [This MR replaces outdated skeleton-loading](gitlab-org/gitlab@d13ed293c56da18fe4ddc1a1cc6c3586bf5d4b2e) ([merge request](gitlab-org/gitlab!88944))
- [Migrates the resolve conflict button in diff view](gitlab-org/gitlab@17586e3d759706311634e87d49ce23eb2ab3ef19) ([merge request](gitlab-org/gitlab!88699))
- [Migrates the display anyway button for math](gitlab-org/gitlab@27a58dfc7260a8792ff31bba25b6746bbbcd1167) ([merge request](gitlab-org/gitlab!88730))
- [Increase margin in Sec. Dashboard cards](gitlab-org/gitlab@3922874541a7402ad2090848408dee8727f47890) ([merge request](gitlab-org/gitlab!88191)) **GitLab Enterprise Edition**
- [Migrates skeleton for cluster details in table](gitlab-org/gitlab@1973f0cbb350df296bea92438f247f597bc2b571) ([merge request](gitlab-org/gitlab!88748))
- [Remove orphaned commits from Advanced Search index](gitlab-org/gitlab@87721770fae9d82a30dfa33d2c5cdc98b953f044) ([merge request](gitlab-org/gitlab!88197)) **GitLab Enterprise Edition**
- [Migrates the skeleton for notes in diffs](gitlab-org/gitlab@714ff7e4ed99a31d305a67c92ad4bc3d2404a950) ([merge request](gitlab-org/gitlab!88822))
- [Migrates the save changes button to add metric](gitlab-org/gitlab@0ea88894f78968ba0fa826c463eca7922d5478e2) ([merge request](gitlab-org/gitlab!88734))
- [Migrate button to go to Confluence](gitlab-org/gitlab@8573984993014f866e6b75a3bc9f25432af5c5e0) ([merge request](gitlab-org/gitlab!88715))
- [Migrates the add button in form for stream](gitlab-org/gitlab@608c01a4f4b3d58f258b8f193ce0bc19e82ce1b4) ([merge request](gitlab-org/gitlab!88726)) **GitLab Enterprise Edition**
- [Migrate action buttons in security](gitlab-org/gitlab@f2bb17736cea1f34b0dfa277d17287cb93c20b28) ([merge request](gitlab-org/gitlab!88212)) **GitLab Enterprise Edition**
- [Migrates the add stream button in audit events](gitlab-org/gitlab@0cf897110b2cadf7874fa5f343825d89e1df8344) ([merge request](gitlab-org/gitlab!88725)) **GitLab Enterprise Edition**
- [Migrates the skeleton for system notes](gitlab-org/gitlab@7532f2f6ac7843297c604cc1724e733d86c6c366) ([merge request](gitlab-org/gitlab!88827))
- [Migrates the create service account button for gcp](gitlab-org/gitlab@5b94ba3754e1a0dd1f298f4e8365ac725ddf3dc9) ([merge request](gitlab-org/gitlab!88722))
- [Remove failed_jobs_tab_vue feature flag](gitlab-org/gitlab@317f3c0a80655b2040b7fd996f9478f5cb532329) ([merge request](gitlab-org/gitlab!88342))
- [Migrate skeleton loader in runner jobs list](gitlab-org/gitlab@bada8679ca13abf5c69c5e9e12c0dbdb5c0c1901) ([merge request](gitlab-org/gitlab!88773))
- [Migrates the button to archive a test case](gitlab-org/gitlab@1f2327e694a3804e2eede144b95b7d70739ad549) ([merge request](gitlab-org/gitlab!88898)) **GitLab Enterprise Edition**
- [Remove minutes quota copy from banner](gitlab-org/gitlab@d5fe0d2a8819485d932e90b9de4479c384e50a1e) ([merge request](gitlab-org/gitlab!88479))
- [Remove unnecessary ExecStop from sidekiq service file](gitlab-org/gitlab@fab14b85f7a627b7372e7f1006f97f5ba4e00c26) by @behrmann ([merge request](gitlab-org/gitlab!88320))
- [Migrates button in modal for hand raise leads](gitlab-org/gitlab@2f9a5a610eebd71e375f1ae650cd77313bdcc2ab) ([merge request](gitlab-org/gitlab!88781)) **GitLab Enterprise Edition**
- [Migrates the skeleton loader in markdown preview](gitlab-org/gitlab@7c1caf93147ccc54881fe16af6fc4fb8e5da7131) ([merge request](gitlab-org/gitlab!88765))
- [Migrate wiki/issue rebalancing alert to Pajamas ViewComponent](gitlab-org/gitlab@149ac5d551537bb30bce4e7264a081416c48c5e4) ([merge request](gitlab-org/gitlab!88451))
- [Clean up background migration BackfillIntegrationsEnableSslVerification](gitlab-org/gitlab@44437800582b9a0ddbc32e68220a6a17de01e6d6) ([merge request](gitlab-org/gitlab!88551))
- [This MR replaces outdated skeleton-loading](gitlab-org/gitlab@efdbea2f1122f985b25aad64d7e3444677232bb3) ([merge request](gitlab-org/gitlab!88884)) **GitLab Enterprise Edition**
- [This MR replaces outdated skeleton-loading](gitlab-org/gitlab@c14ac19424fd2a4ab2993047a27814ee36232612) ([merge request](gitlab-org/gitlab!88883)) **GitLab Enterprise Edition**
- [Use CreateOrchestrationPolicyWorker to schedule SyncScanPoliciesWorker](gitlab-org/gitlab@9c26d4ed2b4556008d917c2f236f7dfc49e8241a) ([merge request](gitlab-org/gitlab!88885)) **GitLab Enterprise Edition**
- [Migrates the submit button to add a new license](gitlab-org/gitlab@165efec04d1d3b71029a6f8c2e441b2f219d766d) ([merge request](gitlab-org/gitlab!88735)) **GitLab Enterprise Edition**
- [Migrates dropdown item in options for error](gitlab-org/gitlab@36d2b10dd02e9d4a8eb7e5e4120952d8a62ecaf3) ([merge request](gitlab-org/gitlab!88718))
- [Change pending text on members page for awaiting members](gitlab-org/gitlab@0308d2b938b588870676d1c3d1a531d043a8224a) ([merge request](gitlab-org/gitlab!88343)) **GitLab Enterprise Edition**
- [Allow delete of protected tags if user has authority](gitlab-org/gitlab@ca1a7cb2018a49ef04bc429546a6f276536616c1) by @eggerd ([merge request](gitlab-org/gitlab!85527))
- [Migrates the button in burndown charts](gitlab-org/gitlab@e836d08e476a5df32853bc9d339a82058d37173c) ([merge request](gitlab-org/gitlab!88727)) **GitLab Enterprise Edition**
- [New issue visual cleanup](gitlab-org/gitlab@6b016c278fb9ad7442b94a276e6c63e92ae87666) ([merge request](gitlab-org/gitlab!88033))
- [Migrates skeleton loader in value stream analytics](gitlab-org/gitlab@7b6f2031cd5fa87b7cb0eeeab3cdc87598fde309) ([merge request](gitlab-org/gitlab!88762))
- [Remove unused helper method with warning button](gitlab-org/gitlab@dd7a35656c81747abaa20b33936dfa6493b63c16) ([merge request](gitlab-org/gitlab!88859)) **GitLab Enterprise Edition**
- [Migrates the install button for mattermost teams](gitlab-org/gitlab@7bf62fa9e247ee4473279ffe7bf3a27ed3d70a21) ([merge request](gitlab-org/gitlab!88854))
- [Provide can_admin_vulnerability attribute to instance security dash](gitlab-org/gitlab@e2425d736f98209f364ed25668ee84116ec16f88) ([merge request](gitlab-org/gitlab!87232)) **GitLab Enterprise Edition**
- [Migrates the button in the leave group modal](gitlab-org/gitlab@84264fa1d48cecea9ec45f908591daf89ff086ab) ([merge request](gitlab-org/gitlab!88782))
- [Migrates revoke approval button in merge request](gitlab-org/gitlab@b78cbbd17f08fa027a9449a015645b0f2f746eeb) ([merge request](gitlab-org/gitlab!88785))
- [Migrates the dismiss vulnerability button in modal](gitlab-org/gitlab@7809ed41914996e4d04c58a5fff45bbbb7cc5e16) ([merge request](gitlab-org/gitlab!88354)) **GitLab Enterprise Edition**
- [Sets "Dismiss selected" button variant to default](gitlab-org/gitlab@99ad7f1336e39fb8adae49152e46a81e7016dbb0) ([merge request](gitlab-org/gitlab!88355)) **GitLab Enterprise Edition**
- [This MR migrates radio button to pajamas radio component](gitlab-org/gitlab@1c549d088584892936f636b92d83739785cb2586) ([merge request](gitlab-org/gitlab!88750))
- [Migrates the radio to say who is using gitlab](gitlab-org/gitlab@19e8c35abbb5bfdb39628448d8df1b13f7220153) ([merge request](gitlab-org/gitlab!88755)) **GitLab Enterprise Edition**
- [Create index for deployment_approvals on created_at and id](gitlab-org/gitlab@efaffeb3941553a987657367022591db0dbf013f) ([merge request](gitlab-org/gitlab!88835))
- [No-op FixMergeRequestDiffCommitUsers background migration](gitlab-org/gitlab@80ca16432dd1a70f41ad8b500c2b8e4761ad4084) ([merge request](gitlab-org/gitlab!85555))
- [Enable 'automaticLayout' option for Source Editor](gitlab-org/gitlab@4f91d56913507613a827ca8338439665fff08fb3) ([merge request](gitlab-org/gitlab!78096))
- [Cleanup New merge request selection step](gitlab-org/gitlab@bcf9c1bd4e37544b58154e378089b46a30b15e05) ([merge request](gitlab-org/gitlab!88525))
- [Migrates the clone dropdown](gitlab-org/gitlab@5a7dbc0592f7f4e4ceec3f077c1e7b1a975d1149) ([merge request](gitlab-org/gitlab!88651))
- [Cleanup New Epic](gitlab-org/gitlab@022a5a9d779ec16cd5a69ec7988d40f4095cfb97) ([merge request](gitlab-org/gitlab!88161))
- [Remove 'delayed_repository_update_mirror_worker' feature flag](gitlab-org/gitlab@5684bdd75bb53d5ab36cbf6673b8fd72482507dd) ([merge request](gitlab-org/gitlab!88819))
- [Update empty state of Slack Application page](gitlab-org/gitlab@d9cab5786dde316ab196dbc1415edce6b76e3c54) ([merge request](gitlab-org/gitlab!88814)) **GitLab Enterprise Edition**
- [Migrates the example in docs from success](gitlab-org/gitlab@ef551e29f4796db554cdd25a899b0c2aa2de0d17) ([merge request](gitlab-org/gitlab!88736))
- [Migrate angle to chevron in group templates](gitlab-org/gitlab@52d75033c9590c03bf2e3e38df8a55f72fb8b7f6) ([merge request](gitlab-org/gitlab!88796)) **GitLab Enterprise Edition**
- [Migrates the button in the promote label modal](gitlab-org/gitlab@584b86c2a13eb5ec305f282ec1fd2d296017bf60) ([merge request](gitlab-org/gitlab!88783))
- [Migrates button to cherry pick commits](gitlab-org/gitlab@35b6a824309a096a86b0ce8e8854220b83609c9e) ([merge request](gitlab-org/gitlab!88780))
- [Migrate skeleton for unconfigured security rules](gitlab-org/gitlab@1de4f5425b5352da65f20bb2e7fd9ab5337e21d5) ([merge request](gitlab-org/gitlab!88779)) **GitLab Enterprise Edition**
- [Migrates the save changes button for value streams](gitlab-org/gitlab@601e469bf18d1bf5a1cfbd0685f5c1b455c2c541) ([merge request](gitlab-org/gitlab!88776)) **GitLab Enterprise Edition**
- [Migrates the skeleton in usage counts](gitlab-org/gitlab@9de3d3fbf319b62441a0f316b512980068d64829) ([merge request](gitlab-org/gitlab!88768))
- [Migrates the radio mention in cascading settings](gitlab-org/gitlab@d282bc0bc3f4a295e322d7fdbe9e8a93d1d87a65) ([merge request](gitlab-org/gitlab!88761))
- [Migrates the radio to say who will be using group](gitlab-org/gitlab@a639d5e309f0d406d608d15e919d74a5595c0bac) ([merge request](gitlab-org/gitlab!88754))
- [Migrates the radio buttons in whats new settings](gitlab-org/gitlab@5d0e6244fe86a37729c636fd087ee68e61c224fa) ([merge request](gitlab-org/gitlab!88753))
- [Align Webhooks settings entry order](gitlab-org/gitlab@cc61bd5cce34097f26d7e291eda2e8f2fbb40516) ([merge request](gitlab-org/gitlab!88731)) **GitLab Enterprise Edition**
- [Migrate button to view issue for error](gitlab-org/gitlab@3d2442b7ae9b024cd089fb7c151ec85d99f6bd2e) ([merge request](gitlab-org/gitlab!88717))
- [Migrates the start web terminal button in web ide](gitlab-org/gitlab@dbe40338af4829499a6cd81d39b908f7417413d5) ([merge request](gitlab-org/gitlab!88724))
- [Migrate use template button for custom templates](gitlab-org/gitlab@2a609d25104628da7c64576cfc9797e95076d51e) ([merge request](gitlab-org/gitlab!88716)) **GitLab Enterprise Edition**
- [Migrate pages domain alert to Pajamas ViewComponent](gitlab-org/gitlab@bb1534cdb681e22fe1943e9b2f33b32bd0c6ccb9) ([merge request](gitlab-org/gitlab!88442))
- [Migrates try out pipeline button in mr widget](gitlab-org/gitlab@9fa4707f54943c05f25c0dc89d5893d9b41103d0) ([merge request](gitlab-org/gitlab!88650))
- [Migrates the save changes button for new geo site](gitlab-org/gitlab@df68b457324cc2174bd94272f592c7ded0e17e0a) ([merge request](gitlab-org/gitlab!88678)) **GitLab Enterprise Edition**
- [Migrate button to confirm users email](gitlab-org/gitlab@91348d306b51bd60ed9e50b3e30eaaf29f095b77) ([merge request](gitlab-org/gitlab!88324))
- [Migrate push rules edit alert to Pajamas ViewComponent](gitlab-org/gitlab@dcb6c952f799aca188f3af3ed35c4055e1452bda) ([merge request](gitlab-org/gitlab!88454)) **GitLab Enterprise Edition**
- [Reject some requests that may conflict with project stats refresh](gitlab-org/gitlab@cdfaf75d643e1d8c3059270230e04605a7e3c672) ([merge request](gitlab-org/gitlab!87939))
- [Migrates button to add approval rule in MR](gitlab-org/gitlab@d504d6eb915b09e009c8cafa929e03b032f1680a) ([merge request](gitlab-org/gitlab!88662))
- [Migrate project new tag alert to Pajamas ViewComponent](gitlab-org/gitlab@47f4a06dc53d7922d1718c81f98518e84b2348c3) ([merge request](gitlab-org/gitlab!88449))
- [Migrates the revoke oauth button for GCP](gitlab-org/gitlab@b6aea222082bb3b499f83c00ca96821688509b76) ([merge request](gitlab-org/gitlab!88610))
- [Migrates the CLI Commands dropdown for containers](gitlab-org/gitlab@c4c596c222c27d0d384de8e470b43e058cb45f9f) ([merge request](gitlab-org/gitlab!88646))
- [Migrates the button to trigger a manual job](gitlab-org/gitlab@c5f9e48d3d242676b64fc78bdeb9d1efdf6bcc6a) ([merge request](gitlab-org/gitlab!88644))
- [Add script keyword link in tooltip](gitlab-org/gitlab@7ca9effcb93a1aff0a52eb130c565caefcde5061) ([merge request](gitlab-org/gitlab!88643))
- [Migrates the configure button for feature flags](gitlab-org/gitlab@b8e264d82491c030ad37f2b14ce5db3e84d66a72) ([merge request](gitlab-org/gitlab!88642))
- [Change order of displayed years in CI minutes app](gitlab-org/gitlab@f43312b0dfcddc11d5ee20cea94540b470b91578) ([merge request](gitlab-org/gitlab!88171)) **GitLab Enterprise Edition**
- [Rearrange user popover content for better overview](gitlab-org/gitlab@f3cf9f064060f4e9410465d47c02932f8c7a44aa) ([merge request](gitlab-org/gitlab!88317))
- [Migrate admin emails to Pajamas ViewComponent](gitlab-org/gitlab@8b1b0cf2947d71a3417def70709b5859288ce789) ([merge request](gitlab-org/gitlab!88452)) **GitLab Enterprise Edition**
- [Enforce `Migration[2.0]` to make all migrations decomposition supported](gitlab-org/gitlab@886f01669adfeaedfd0f84287dd29fc11e70ba2f) ([merge request](gitlab-org/gitlab!88549))
- [Clean up vulnerabilities over time chart and improve tests](gitlab-org/gitlab@d369d94c816bfe7519b79d911cdc409335309669) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/87892)) **GitLab Enterprise Edition**
- [Migrate storage limit alert to Pajamas](gitlab-org/gitlab@92c9c17be9e2a6d061dd2fe1c09c08c513d43e0e) ([merge request](gitlab-org/gitlab!87914)) **GitLab Enterprise Edition**
- [Migrate remove cluster buttons](gitlab-org/gitlab@f2269d890420294f0d599e43bf2e77d983a6940f) ([merge request](gitlab-org/gitlab!88284))
- [Refine mini pipeline graph states](gitlab-org/gitlab@c9ea858001ce447dc3e1e437096327b0b897d0f4) ([merge request](gitlab-org/gitlab!87969))
- [Migrate above size limit alert to Pajamas ViewComponent](gitlab-org/gitlab@fb0f9019aa6b907823709b7112a3823744052880) ([merge request](gitlab-org/gitlab!88335)) **GitLab Enterprise Edition**
- [Add upstream pipeline attributes in pipeline hooks](gitlab-org/gitlab@3acaa0e4ab9f73765f5029478c1bd76d4b26383e) by @AdrianLC ([merge request](gitlab-org/gitlab!86994))
- [Migrates the upload file button for secure files](gitlab-org/gitlab@2fa81ac937359dd64ca7bf5b233bd66ec4faaf1f) ([merge request](gitlab-org/gitlab!88546))
- [Migrates the clear cluster cache button](gitlab-org/gitlab@98cf3d72ff7d594f51a7fc92ae3bdc5d03ab9678) ([merge request](gitlab-org/gitlab!88543))
- [Removes the configure later button](gitlab-org/gitlab@957658282ba698a792ef8aad585b68f3a8112c6d) ([merge request](gitlab-org/gitlab!88306))
- [Make `ci_owned_runners_*` FF on by default](gitlab-org/gitlab@e2dda9381a0fe183a9ac52df838e369180422c62) ([merge request](gitlab-org/gitlab!88526))
- [Header add focus ring to more elements](gitlab-org/gitlab@f0bf0487528bfdb780a7f5a9d9af01c5f1ce640a) ([merge request](gitlab-org/gitlab!88023))
- [Update MR widget styling](gitlab-org/gitlab@bcfd8c4a676e1383b9164261ec08e94e42293efe) ([merge request](gitlab-org/gitlab!88156))
- [Update Gitlab Shell version to 14.7.1](gitlab-org/gitlab@cc4cc55fc3bdf6bf5c5c72f5d2aa0374b4407f3c) ([merge request](gitlab-org/gitlab!88511))
- [Clean up security dashboard layout](gitlab-org/gitlab@d595bbe97f63392b4ee88b7c31f6d2aa35d5615c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/87218)) **GitLab Enterprise Edition**
- [Improve error display for Zentao issue](gitlab-org/gitlab@b7009a87d36957c47bea8323ba89350049a85085) by @icbd ([merge request](gitlab-org/gitlab!88035)) **GitLab Enterprise Edition**
- [Remove execute_batched_migrations_on_schedule_ci_database](gitlab-org/gitlab@b7d17361201ee46612ac6589f961cd916db57d8e) ([merge request](gitlab-org/gitlab!88252))
- [Update incident escalation policy when alert status is first synced](gitlab-org/gitlab@d9e89ee080c33e1a27d560abb869e1af09ce3c37) ([merge request](gitlab-org/gitlab!85232))
- [Update all versions of n/a or N/A to Not applicable](gitlab-org/gitlab@76482875f91d3d1839f17c820a4374a509406223) by @ali_o_kan ([merge request](gitlab-org/gitlab!87526))
- [Migrates the Elasticsearch retry migration button](gitlab-org/gitlab@be4eb553c0d85824ec72f66f33edcd36b64b0539) ([merge request](gitlab-org/gitlab!88325)) **GitLab Enterprise Edition**
- [Migrates the button for updating the username](gitlab-org/gitlab@b73c41d28bec37b177caf1f9c120aa414edd878a) ([merge request](gitlab-org/gitlab!88329))
- [Contribution Analytics - Deprecate seg control](gitlab-org/gitlab@2d287683cb10a1edd5d2bd0a1283dadc39a4afe4) ([merge request](gitlab-org/gitlab!87964)) **GitLab Enterprise Edition**
- [Add validation for namespace on compliance frameworks](gitlab-org/gitlab@620aedfc111f3eddfd85a16822dd08a4b6b9aff4) ([merge request](gitlab-org/gitlab!84467)) **GitLab Enterprise Edition**
- [Remote h1 from site logo](gitlab-org/gitlab@c0452b26836817dbb2c6ae894489adf1e3a544f9) ([merge request](gitlab-org/gitlab!88385))
- [Add end_event_timestamp to the stage records JSON response](gitlab-org/gitlab@a18f494478e26b35bfd7c19334d7b04fae172032) ([merge request](gitlab-org/gitlab!88155))
- [Unbox Designs on issues](gitlab-org/gitlab@ecf58f408ed5766f6c4b95a19fc997a499ede0e6) ([merge request](gitlab-org/gitlab!88262))
- [Disable Content-MD5 when FIPS is enabled](gitlab-org/gitlab@8f253fbb1b17888969228707c81ab077eef45344) ([merge request](gitlab-org/gitlab!86696))
- [Migrate archive button in design](gitlab-org/gitlab@e6ad0d6c8e433b90dd615b6f20dcccadad4cf244) ([merge request](gitlab-org/gitlab!88300))
- [Make improvements to group repo analytics UX](gitlab-org/gitlab@11f894617eb4c61791106cb55531e4c05d8a1c31) ([merge request](gitlab-org/gitlab!86489)) **GitLab Enterprise Edition**
- [Align note actions to Pajamas icon button styles](gitlab-org/gitlab@07bfc3c5278b511f14c87ca60e55b8fa9dfb34d1) ([merge request](gitlab-org/gitlab!85245))
- [Migrates the button to add approval rule](gitlab-org/gitlab@7d40c1a5935200fa4dd5609d27a1789bcbede1f8) ([merge request](gitlab-org/gitlab!88345)) **GitLab Enterprise Edition**
- [Migrates the unprotect environment button](gitlab-org/gitlab@07b791f2effcf9b1c1c27d9fed947e0f2bf0c130) ([merge request](gitlab-org/gitlab!88328)) **GitLab Enterprise Edition**
- [Geo Sites - Link to replication views](gitlab-org/gitlab@1cb8966ab02731a58492ca2cca517867e674e711) ([merge request](gitlab-org/gitlab!87701)) **GitLab Enterprise Edition**
- [Sort projects by CI minutes usage in Usage Quotas page](gitlab-org/gitlab@41b8ff54f0fe67224c899b339925262d02375993) ([merge request](gitlab-org/gitlab!88313)) **GitLab Enterprise Edition**
- [Migrates the button to change group URL](gitlab-org/gitlab@ecf40b5e32f1ed3fb5862e9e1a1f2a915013936e) ([merge request](gitlab-org/gitlab!88323))
- [Migrate the lock button in the sidebar](gitlab-org/gitlab@b192c0979738cd1b014af3f8ad1ef16f77f1d3db) ([merge request](gitlab-org/gitlab!88322))
- [Migrate button in inline collapsed files alert](gitlab-org/gitlab@0f6909b48e460d5ba8c514f55ed62cece49ac417) ([merge request](gitlab-org/gitlab!88304))
- [Migrate button in alert for collapsed files](gitlab-org/gitlab@df1822bce27e041500d67077c560b46ec0d025a0) ([merge request](gitlab-org/gitlab!88302))
- [Change next_aborted_repository `take` to `limit(2)[0]`](gitlab-org/gitlab@df3f217e99a5541de9cd05b120619c53ef735650) ([merge request](gitlab-org/gitlab!88282))
- [Added trigger for namespace_aggregation_worker](gitlab-org/gitlab@09830ce3dd50140ef6a003b8221dd8a5692cfce0) ([merge request](gitlab-org/gitlab!88271))
- [Migrate button in alert for mermaid limit](gitlab-org/gitlab@53277e97470a201257babe0c82508ee4e9fc1122) ([merge request](gitlab-org/gitlab!88298))
- [Migrate add project button in operations dashboard](gitlab-org/gitlab@bd74910a6646a3df6112df70e444b4f7dafca210) ([merge request](gitlab-org/gitlab!88211)) **GitLab Enterprise Edition**
- [Container Registry: cleanup expire icon changed](gitlab-org/gitlab@411d694fe28abfaa1fa84b915eb6e202a2aa11bd) by @TrayHard ([merge request](gitlab-org/gitlab!85837))
- [Rename Projects::ServicesController and change routes](gitlab-org/gitlab@23e3dd71439031a34c3eba4923a30248fda14be2) ([merge request](gitlab-org/gitlab!88043))
- [Migrate checkbox for mattermost with new group](gitlab-org/gitlab@f69105b8df4de6e88946cb0b0349c24ba5eacfeb) ([merge request](gitlab-org/gitlab!86974))
- [Remove unused state and function](gitlab-org/gitlab@ff927d4c0b43ed7b9fecf13668c8c3b6aeb8511a) by @JonstonChan ([merge request](gitlab-org/gitlab!87154))
- [Migrate confirm user button](gitlab-org/gitlab@bde7d8671744bddef4a43551233c7235a694b07f) ([merge request](gitlab-org/gitlab!88217))
- [Migrate service ping consent button](gitlab-org/gitlab@b58a1733370d89f71689572a90b2ddf79a1fc9fb) ([merge request](gitlab-org/gitlab!88216))
- [Migrate trigger cluster reindexing button](gitlab-org/gitlab@39d667bf19679a5a1aad618c3be3ce0d722f5e56) ([merge request](gitlab-org/gitlab!88218)) **GitLab Enterprise Edition**
- [Migrate buttons in user count alert](gitlab-org/gitlab@c94158932a7880c9119e618b4b248047ce5e235d) ([merge request](gitlab-org/gitlab!88220)) **GitLab Enterprise Edition**
- [Migrate purchase storage button in alert](gitlab-org/gitlab@d3a8a9611e96af455e3ad798b3feb6caf2286fa9) ([merge request](gitlab-org/gitlab!88210)) **GitLab Enterprise Edition**
- [Migrate enable Service Desk button in info](gitlab-org/gitlab@d25bcfee135dda2d7a9b92fdcabafc7418ff33e6) ([merge request](gitlab-org/gitlab!88209))
- [Update Gitlab Shell version to 14.6.0](gitlab-org/gitlab@754a86543200ac226b6bf1614a6d9819b014e57e) ([merge request](gitlab-org/gitlab!88208))
- [Use backend to send security training status instead of using GraphQL](gitlab-org/gitlab@0b8a1c19550632d754c02f1988f427fa01d24ac2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/86639))
- [Forbid creating streaming destinations for subgroups](gitlab-org/gitlab@b217d2ee43b6a7abf5a1bb374919f9d289598625) ([merge request](gitlab-org/gitlab!87814)) **GitLab Enterprise Edition**
- [Add structured error parsing for user_cherry_pick](gitlab-org/gitlab@21d14354183b0090d9c84cead56841052779b054) ([merge request](gitlab-org/gitlab!86594))
- [Verify group name is valid inside of the purchase flow](gitlab-org/gitlab@e2f3f7b8f701b54150a7a4744e83bd5f70bc99b7) ([merge request](gitlab-org/gitlab!88144)) **GitLab Enterprise Edition**
- [Add filters by milestone, author, and assignee to task by type](gitlab-org/gitlab@3e137d0b69af64aafe738705e79ab0a4839e7efd) ([merge request](gitlab-org/gitlab!88134)) **GitLab Enterprise Edition**
- [Change edit profile inputs to be full width on mobile](gitlab-org/gitlab@88ca60119ab817a58ef18b13ae6e87abd68d1aa9) ([merge request](gitlab-org/gitlab!87743))
- [Add shared runner duration to table](gitlab-org/gitlab@d938e1936e1ebf403c8ad8cbcb03efd4d022723f) ([merge request](gitlab-org/gitlab!87954)) **GitLab Enterprise Edition**
- [Backfill project member namespace id](gitlab-org/gitlab@043db31b12411bc0281d3b4e4ed3d51956cb4ba2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79204))
- [In emails, style implicit links too](gitlab-org/gitlab@e2c5bd4b7595f3d0c71627444c0f7cf5fc7de185) by @smokris ([merge request](gitlab-org/gitlab!84235))
- [Bump Gitlab Shell version to 14.5.0](gitlab-org/gitlab@6ae3af4dacf12f2888fa054b50dfa1e555c33ad8) ([merge request](gitlab-org/gitlab!88082))
- [Add focus to old form elements](gitlab-org/gitlab@7c6c2db281bc5c246bea2ee1c44c56cf299bbe88) ([merge request](gitlab-org/gitlab!88028))
- [Adjust placement of DAST profile conflict banner](gitlab-org/gitlab@d34b20c87d352b61475ed2b41945b1f076faa395) ([merge request](gitlab-org/gitlab!88061)) **GitLab Enterprise Edition**
- [Allow version conflicts in commits migration](gitlab-org/gitlab@842da21dd79533bd69dbb6e3c16aa01074115865) ([merge request](gitlab-org/gitlab!88041)) **GitLab Enterprise Edition**
- [Migrate enable service desk button to confirm](gitlab-org/gitlab@ed382b785b5ab333ddf96279d5eaf920d980244f) ([merge request](gitlab-org/gitlab!87901))
- [Clarify required permission for GitLab Migration](gitlab-org/gitlab@69d0774ffab84dd67b4103e7c0d5bc49a73e8954) by @qb60 ([merge request](gitlab-org/gitlab!86877))
- [Ghost-userize Threat Insights models on deletion](gitlab-org/gitlab@dcbaf19017a78cfd75e7fa22a1ab96c528246f43) ([merge request](gitlab-org/gitlab!88004)) **GitLab Enterprise Edition**
- [Migrate save edited snippets comment to confirm](gitlab-org/gitlab@082e98af8c3d460087d919c1fe77977110b2701c) ([merge request](gitlab-org/gitlab!87902))
- [Rename storage to project storage](gitlab-org/gitlab@b3470416c62f1ea1fccb0daa89def62e32cf01b4) ([merge request](gitlab-org/gitlab!87410))
- [Exclude date-range controls from loading state](gitlab-org/gitlab@f343fde741376b5943f73a14bf9fbb93a68ec552) ([merge request](gitlab-org/gitlab!87716)) **GitLab Enterprise Edition**
- [Change group usage quota ux](gitlab-org/gitlab@658721a03c5ce7e0f7ec64cfa8170573aa6c5410) ([merge request](gitlab-org/gitlab!87311))
- [Update Slack application settings form labels](gitlab-org/gitlab@b5f90883295a52c941da55c4a9ea70f346bf8b12) ([merge request](gitlab-org/gitlab!87975)) **GitLab Enterprise Edition**
- [Redesign package details history loading experience](gitlab-org/gitlab@fd17f16ff5ec8f25ad0cac218d43356f74266534) ([merge request](gitlab-org/gitlab!87054))
- [Bump Gitlab Shell version to 14.4.0](gitlab-org/gitlab@b3c38a321c295047a94f938ad17e46418c351357) ([merge request](gitlab-org/gitlab!87971))
- [Fix the odd spacing in the sidebar between Milestone and Iteration](gitlab-org/gitlab@736c6694644ef08447b0dee67b839f305e08182e) ([merge request](gitlab-org/gitlab!87900))
- [Adding ordered scope to Project-level Secure Files](gitlab-org/gitlab@9f60132df4400096a7f40f0d029f74f6c11b6326) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/87546))
- [Increase size of sidebar nav sidebar](gitlab-org/gitlab@1ef2afcf4c55dc5de6d1aa95fc912df1e823d98c) ([merge request](gitlab-org/gitlab!87816))
- [Define states parameter in environments api interface](gitlab-org/gitlab@e718b9301ebe2405c12f9a91871af458aa5b67f1) ([merge request](gitlab-org/gitlab!87837))
- [Update commits migration options](gitlab-org/gitlab@59679fe3e8793e9a03edaa7992d1644a9a8b26e4) ([merge request](gitlab-org/gitlab!87828)) **GitLab Enterprise Edition**
- [Update report schema selection process description](gitlab-org/gitlab@43dc9f7fbbecea852fe957ce4f188bc4c492b1a1) ([merge request](gitlab-org/gitlab!87848))
- [Add enhanced schema for security policies](gitlab-org/gitlab@d04ae9c8d5c0ce55acfddb1f90bf20b4da215e3e) ([merge request](gitlab-org/gitlab!87338)) **GitLab Enterprise Edition**
- [Scope batched background migrations to current gitlab_schema](gitlab-org/gitlab@6facb53483eeab1d38726da0acd4bd0b5490e16d) ([merge request](gitlab-org/gitlab!86525))
- [Pipeline quota: Sort projects by CI minutes](gitlab-org/gitlab@09d4bf515a63c8433b4c659e52a088aa8328c283) ([merge request](gitlab-org/gitlab!83680)) **GitLab Enterprise Edition**
- [Swap FK web_hook_logs to web_hooks for LFK](gitlab-org/gitlab@728c87d64ee40193addfcd63b46f8840907c8fb3) ([merge request](gitlab-org/gitlab!87584))
- [Bump Gitlab Shell version to 14.3.1](gitlab-org/gitlab@23d0c0211b5f12d1db0fec72bc687f9cb4f73a64) ([merge request](gitlab-org/gitlab!87921))
- [Migrates start free trial button to confirm](gitlab-org/gitlab@0279dc51996922023e0c9875d38ee00487796ec2) ([merge request](gitlab-org/gitlab!87903)) **GitLab Enterprise Edition**
- [Update expires at field to remove the current date from possible options](gitlab-org/gitlab@5b4f9f98d8caa5eeec3b96afeeab3fec5f0b3f2e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/87513))
- [Migrate save identity button to confirm variant](gitlab-org/gitlab@139bb842490c0f9e705b27d2de59de9873c7a71a) ([merge request](gitlab-org/gitlab!87896))
- [Migrate new identity button to confirm variant](gitlab-org/gitlab@277811c5448e8d07893a8f992faa270222b8fc1b) ([merge request](gitlab-org/gitlab!87893))
- [Added docs links to the keyword tooltips in the pipeline editor](gitlab-org/gitlab@b6620c041fb83aaa62bf11082694daa49a0a74fe) by @shridharbhat1998 ([merge request](gitlab-org/gitlab!87494))
- [Change logo to use tanuki-only](gitlab-org/gitlab@60b5f3a904220eea72c6bcc182de60159d626d96) ([merge request](gitlab-org/gitlab!86348))
- [Change navbar height to 48px](gitlab-org/gitlab@bb018c4023afa6c8194b87b045749048f0446b32) ([merge request](gitlab-org/gitlab!87811))
- [Approvals summary content font-weight fix](gitlab-org/gitlab@63b7cdef027bc22949ccd72cef3257a7aa55295e) ([merge request](gitlab-org/gitlab!87840))
- [Add breadcrumb link to release when editing](gitlab-org/gitlab@e6d943b4a35771af490fa593b4551408afaf8671) ([merge request](gitlab-org/gitlab!87451))
- [Generalize Mailgun webhook endpoints](gitlab-org/gitlab@ebd1011602dcb895975d0603f5401e7b86d5ef31) ([merge request](gitlab-org/gitlab!86226))
- [Update icons and text](gitlab-org/gitlab@407f5cf372f5d1cab49382751587c56b9e37a8cd) ([merge request](gitlab-org/gitlab!87704))
- [Improve container registry image copy tooltips](gitlab-org/gitlab@f9168859b2f526ff606423e6918705fd08ad50fc) ([merge request](gitlab-org/gitlab!87434))

### Deprecated (4 changes)

- [Deprecate project_fingerprint from finding](gitlab-org/gitlab@cdd069f030ec1748a9900191c8626deabfe6f759) ([merge request](gitlab-org/gitlab!89578)) **GitLab Enterprise Edition**
- [PipelineSecurityReportFinding.name deprecated flag](gitlab-org/gitlab@1a0c832bc0fbf7ac2ee416beb094b03ce9b28c32) ([merge request](gitlab-org/gitlab!89571)) **GitLab Enterprise Edition**
- [Remove geo_lfs_object_delete_events table and references](gitlab-org/gitlab@cb6c12ef35556c2d9664039b9db99f6e1fc9d452) ([merge request](gitlab-org/gitlab!88257))
- [Deprecate ApiFuzzingCiConfigurationCreate mutation](gitlab-org/gitlab@677cb45f3fff855c33556ca6837a7553f3eaa667) ([merge request](gitlab-org/gitlab!87241)) **GitLab Enterprise Edition**

### Removed (24 changes)

- [Remove the vsa_consistency_worker FF](gitlab-org/gitlab@48c49e1931ab2639b2cf9f02750186b47f474888) ([merge request](gitlab-org/gitlab!89824))
- [Remove remove_diff_header_icons feature flag](gitlab-org/gitlab@119d9f377f6948f488f949b7470ceba30ff6c149) ([merge request](gitlab-org/gitlab!89778))
- [Remove already used worker as part of a previous](gitlab-org/gitlab@a74c5e2e5985e19bfda8c35988df21379c042078) ([merge request](gitlab-org/gitlab!89146)) **GitLab Enterprise Edition**
- [Remove the manual renewal banner](gitlab-org/gitlab@1ea6624c15bf048f2b5fb4c7c79795aa387c91bf) ([merge request](gitlab-org/gitlab!89524)) **GitLab Enterprise Edition**
- [Remove `sandboxed_mermaid` feature flag](gitlab-org/gitlab@cd2dde69843cc188e93cf7ff35846a80ec9fbd43) ([merge request](gitlab-org/gitlab!87117))
- [Revert "Merge branch 'ag/348481-saas-seats-count-alert-member-numbers' into 'master'"](gitlab-org/gitlab@2ec0d957181dd92b04b63a3cdf0ef0e4c4a3922c) ([merge request](gitlab-org/gitlab!89122))
- [Remove the vsa_incremental_worker feature flag](gitlab-org/gitlab@eb1584340e24ac6511b21205fd2598f87a9e2765) ([merge request](gitlab-org/gitlab!89105))
- [Remove metrics for SSE feature](gitlab-org/gitlab@380e95b78a68adc4f48a5af5c98588d4d1decf8c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/88485))
- [Remove old Prometheus::CreateDefaultAlertsWorker](gitlab-org/gitlab@9e098df622ae5482c4bf92acbf8cb0c6357b955a) ([merge request](gitlab-org/gitlab!88256))
- [Remove prometheus alert index path and usage](gitlab-org/gitlab@007ccec079bccbc3cac7fde55772f1c6d84c9820) ([merge request](gitlab-org/gitlab!87855))
- [Remove container_security_policy_selection related code](gitlab-org/gitlab@82e357f67a1b718ab870f19329d68e80496a70c3) ([merge request](gitlab-org/gitlab!88393)) **GitLab Enterprise Edition**
- [Remove `ci_owned_runners_unnest_index` feature flag](gitlab-org/gitlab@2092017d044ccb9473021252d72f312cc3ce0c39) ([merge request](gitlab-org/gitlab!88530))
- [Remove `ci_owned_runners_cross_joins_fix` feature flag](gitlab-org/gitlab@1d92a78ffb57c6b750e52568343e52b03a735d45) ([merge request](gitlab-org/gitlab!88529))
- [Remove Cluters Schedule update service](gitlab-org/gitlab@88d3b61779b37ade9073a144bbe842e77b91281a) ([merge request](gitlab-org/gitlab!88105))
- [Remove all SSE references](gitlab-org/gitlab@68047f4c7ce98f287f2f572b9fddd2563654b52b) ([merge request](gitlab-org/gitlab!87221))
- [Drop token column from deploy_tokens table](gitlab-org/gitlab@457f240c60ad09e30facc0ea3c3cfe2bb03d3947) ([merge request](gitlab-org/gitlab!88334))
- [Merge branch 'feat/remove-project-daily-statistics-worker' into 'master'](gitlab-org/gitlab@ae971c8eea269fdb0b6cf7e284a8685ad557d07e) ([merge request](gitlab-org/gitlab!88244))
- [Remove 'namespaces_cache_first_auto_devops_config' feature flag](gitlab-org/gitlab@62935163fe84bd85fe532af832960f73ed92ead7) ([merge request](gitlab-org/gitlab!88348))
- [Remove 'group_projects_api_preload_groups' feature flag](gitlab-org/gitlab@ca2c3c7e61d9e23d949a774e778af6301c012860) ([merge request](gitlab-org/gitlab!88346))
- [Remove compliance_framework_setting from project edit API](gitlab-org/gitlab@0ce543b58d55697c5d1313b0c41405ee901cc1fa) ([merge request](gitlab-org/gitlab!88297)) **GitLab Enterprise Edition**
- [Remove ignore_column for security_scan_succeeded](gitlab-org/gitlab@8e2ac4fd1b9eddb600f23b7a834988c1d1614e82) by @svdj ([merge request](gitlab-org/gitlab!88234))
- [Remove Pages legacy storage rake tasks](gitlab-org/gitlab@ca51abe88bc79db47baf945401ec9716a6e7024e) by @feistel ([merge request](gitlab-org/gitlab!87169))
- [Delete threat_monitoring alerts](gitlab-org/gitlab@6fd0fbfbed1f34f50817ae536dee56d7ae91586b) ([merge request](gitlab-org/gitlab!87096))
- [Drop compliance frameworks regulated column](gitlab-org/gitlab@8a716a1c08ac78456abbc02dab76f0e67448b30f) ([merge request](gitlab-org/gitlab!87657)) **GitLab Enterprise Edition**

### Security (11 changes)

- [Remove `access_token_ajax` feature flag](gitlab-org/gitlab@61e51d5a8b466f6e43b7b93f093d67600f631e70) ([merge request](gitlab-org/gitlab!87405))
- [Update rack gem to version 2.2.3.1](gitlab-org/gitlab@053cc4d21f9c8cf426db68244df29ee242e91cd7) ([merge request](gitlab-org/gitlab!88952))
- [Subgroup member can list members of parent group](gitlab-org/gitlab@d729cc394617e5d194ad8931ea246b2f1ea17f79)
- [Fix content injection in Jira issue title](gitlab-org/gitlab@a85545365ed92ed9c4d9c118f83bb46839ad14de)
- [Trigger token should respect group IP restrictions](gitlab-org/gitlab@0fea8c972a1d80385b2bc82629ef0544eda28962)
- [Do not allow project member import when membership is locked](gitlab-org/gitlab@aee29cc2a5a42d239e307ef4f87204d5b4941500)
- [Disable changing user attributes when updating SCIM provisioned user](gitlab-org/gitlab@31038bb05aefbc3c57de5804a05fbaaead5378be)
- [Escape contact details correctly in quick actions](gitlab-org/gitlab@e61e9b9434e2198c4c1d5cf6b4531eb4323c3575)
- [Allow only job owner to run interactive terminal](gitlab-org/gitlab@3e398c7b047f441a1957f5f43cb0abd6b93d34e2)
- [Remove sha from releases internal API](gitlab-org/gitlab@83f59686ebfdba734d3bbfc17bece9900307b7f7) ([merge request](gitlab-org/gitlab!88810))
- [Fix IP restrictions not applying to deploy tokens](gitlab-org/gitlab@e973509c27440968443babf32ad6751071769de6)

### Performance (24 changes)

- [Add index to improve open issues count query](gitlab-org/gitlab@3f48bfc1279bb20ecc56d5d7c96a04717c11f1d2) ([merge request](gitlab-org/gitlab!90481))
- [Introduce timeout to markup rendering](gitlab-org/gitlab@8ad6b74243bba6cacb0d3aa8651efb6aeea9c55c) ([merge request](gitlab-org/gitlab!89509))
- [Replace API order by created_at with order by id](gitlab-org/gitlab@a426f0c5aee093a582c79abd56942fd3f46f2967) ([merge request](gitlab-org/gitlab!89480))
- [Move Elasticsearch project transfer to async worker](gitlab-org/gitlab@5ceaa8578ad061037cecf5af477140ec8a769619) ([merge request](gitlab-org/gitlab!89058)) **GitLab Enterprise Edition**
- [Delete repositories without renaming them first](gitlab-org/gitlab@c73e1fc26736f2230ae79fbae5cfc32845ee3aaa) ([merge request](gitlab-org/gitlab!87722))
- [Reduce response cost of deploy keys autocompleter](gitlab-org/gitlab@8ceedde63cf41cef3823ef20dae4e180805585b2) by @hchouraria ([merge request](gitlab-org/gitlab!87510))
- [Fix N+1 queries for Changelog generation](gitlab-org/gitlab@903dc0a65ef91d15e582406fc1197c6b712b9726) ([merge request](gitlab-org/gitlab!89149))
- [Prevent processing markdown when copying notes](gitlab-org/gitlab@effb1ecdb13d2b789c8cc159e63595e0a6976d27) ([merge request](gitlab-org/gitlab!86708))
- [Preload `avatar_url` for CompareController](gitlab-org/gitlab@84182223492b4b928c812a935c5f09e156e455c4) ([merge request](gitlab-org/gitlab!89117))
- [Preload associations for RepositoryUpdateMirrorWorker](gitlab-org/gitlab@779a62f9e91e2b139ecfee556d1359e8f037dc2f) ([merge request](gitlab-org/gitlab!88068)) **GitLab Enterprise Edition**
- [Finalize new index and update schema](gitlab-org/gitlab@d2ae6eaf3de81c9c4c276eff4d596c40b6233214) ([merge request](gitlab-org/gitlab!87329))
- [Fix SQL statement timeout while fetching inactive projects](gitlab-org/gitlab@748cf065952d1af20eabb790eb5e4d654d284755) ([merge request](gitlab-org/gitlab!88751))
- [Add traversal_ids index when type is group using btree](gitlab-org/gitlab@2f587bc3452797cc16b4123b52d827f9b1f00e48) ([merge request](gitlab-org/gitlab!88817))
- [Fix N+1 issue for CompareController](gitlab-org/gitlab@6cac680b148c3fa6c7e8d279e25cf25823a0fce5) ([merge request](gitlab-org/gitlab!88357))
- [access_checks: Always enable use of quarantine directory](gitlab-org/gitlab@ff90b0995ec781a1624b470c766cf1b088caf3ab) ([merge request](gitlab-org/gitlab!88143))
- [Preload commits markdown cache for CommitsController](gitlab-org/gitlab@8db33e1c398dbb1afac1f5bd9f6ff94f253b582d) ([merge request](gitlab-org/gitlab!88557))
- [Improve performance of namespace existence lookup](gitlab-org/gitlab@efb51b11b875ac8159bd9530cc462045580f1d87) ([merge request](gitlab-org/gitlab!88124))
- [Reduce N+1 queries in deployment_group of environment model](gitlab-org/gitlab@4732ed34e590ff6ca5371996843e1c69e6141703) ([merge request](gitlab-org/gitlab!86584))
- [Use request cache for protected tags](gitlab-org/gitlab@91132420e1ab00a1697447f1bf9de252811435a1) ([merge request](gitlab-org/gitlab!87938))
- [Create new index for removing artifacts with unknown locked status](gitlab-org/gitlab@bd58d4630332492abaee8b9af0bda6573639e332) ([merge request](gitlab-org/gitlab!87325))
- [Remove redundant issues list GraphQL queries](gitlab-org/gitlab@70458c88fbbc7951e4022c4bdfb0a55a5194ffd4) by @leetickett ([merge request](gitlab-org/gitlab!87265))
- [Extract ServicePing payload persistance](gitlab-org/gitlab@343968db2792c9c6e8e885a9336a8c4fb91a7ea6) ([merge request](gitlab-org/gitlab!85503))
- [Optimizations for CommitReferenceFilter](gitlab-org/gitlab@d5fef1188a7aec570b0759fdf4262afe04a830ce) ([merge request](gitlab-org/gitlab!86020))
- [Preload deployment associations to reduce N+1 queries](gitlab-org/gitlab@4c96d8376d59d5a08d277194b9e1293ada8e3a31) ([merge request](gitlab-org/gitlab!86814))

### Other (60 changes)

- [Only do LSIF processing on artifacts](gitlab-org/gitlab@e26e7950f0a750250f0b0a7a45bed3c3688360ef) ([merge request](gitlab-org/gitlab!88930))
- [Use OS tempdir for LSIF parsing](gitlab-org/gitlab@4095db17a480f4377fe15da4462fda97a4fdc794) ([merge request](gitlab-org/gitlab!88930))
- [Add yml files for tracking incident timeline actions](gitlab-org/gitlab@33caad5042e8a3bcf0a40f54572400981b187f4f) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/90205))
- [Remove omit_epic_subscribed feature flag](gitlab-org/gitlab@54ca37d48ab6d9c5cd29f3ab17514c49c93720a4) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/88869)) **GitLab Enterprise Edition**
- [Remove ci_jwt_signing_key feature flag](gitlab-org/gitlab@99274e4aeb796618ceebc25703a40ab46cbeffe1) ([merge request](gitlab-org/gitlab!90049))
- [Remove faster_owner_access feature flag](gitlab-org/gitlab@56fd2a72881c1de6bfe43d8296bdffb71e55774a) ([merge request](gitlab-org/gitlab!90216))
- [Adding listing feature flags command to documentation](gitlab-org/gitlab@36b3b23bade9b3b14386185888783bd648c784f4) ([merge request](gitlab-org/gitlab!90028))
- [Change destination_name to destination_slug](gitlab-org/gitlab@074f4639b39ab007130c7c7252582114f24748a2) ([merge request](gitlab-org/gitlab!90035))
- [Remove ignore rule from test reports](gitlab-org/gitlab@6cbc296532a1cae46df3798e27ec8f4fa9771ae6) ([merge request](gitlab-org/gitlab!90029)) **GitLab Enterprise Edition**
- [Remove stale runner cleanup feature flag](gitlab-org/gitlab@3c9202eb19dd52093b89e4acb91239db063f58bc) ([merge request](gitlab-org/gitlab!90026))
- [Update hook settings error alert](gitlab-org/gitlab@e22392884a990e2879e4cd266cec9ab2d37ddb0e) ([merge request](gitlab-org/gitlab!89921))
- [Removed unused gl-col-padding variable](gitlab-org/gitlab@45dd671415be3ccd4e62e8697db82058057a1664) ([merge request](gitlab-org/gitlab!89876))
- [Add caching for group activity counters](gitlab-org/gitlab@13614ee456507dc823eb2bfe950047059601ea6b) ([merge request](gitlab-org/gitlab!89531)) **GitLab Enterprise Edition**
- [Add CI_PROJECT_DESCRIPTION to predefined variables](gitlab-org/gitlab@a3268218b54313fca92546e1712089ce8ea50757) by @nejc ([merge request](gitlab-org/gitlab!89459))
- [Remove paginated_notes feature flag](gitlab-org/gitlab@d0b14c156e9e6c957648941f491ed10dec6fdf73) ([merge request](gitlab-org/gitlab!89479))
- [Improve performance of Issuable finder](gitlab-org/gitlab@029c5db9a4fd769a90cc0c35febd2181f060be8b) ([merge request](gitlab-org/gitlab!89051))
- [Skip CSRF protection on Workhorse internal API](gitlab-org/gitlab@ccf794f7f2a3956569e8d46afd738be2bf6ee1bd) ([merge request](gitlab-org/gitlab!89256))
- [Rename confidential refs to internal](gitlab-org/gitlab@08189dc992c9d062cd7853695472680b562c8602) ([merge request](gitlab-org/gitlab!89140)) **GitLab Enterprise Edition**
- [Remove usage_data_i_incident_management_oncall_notification_sent FF](gitlab-org/gitlab@931f8e350e3bb41353ce275d84e4d3fea46ab0f3) by @feistel ([merge request](gitlab-org/gitlab!88654))
- [Add database column and setting logic for license_usage_data_exported](gitlab-org/gitlab@68eeca23abe96e88e30b084d53308000e0685193) ([merge request](gitlab-org/gitlab!89016))
- [Prepare index to improve counting of open issues](gitlab-org/gitlab@4bdae6d5d2449a56ef9f76853d963b2237adf96e) ([merge request](gitlab-org/gitlab!89121))
- [Remove rake task to set up EE specific database functionality](gitlab-org/gitlab@3a6e33138db98383c300a30f0453fd77efe9a96e) ([merge request](gitlab-org/gitlab!89138))
- [Remove the CI mirror tables consistency checks Feature Flags](gitlab-org/gitlab@fe8260c42c8c2361e70a9c0d3f9be0f5ef270ee0) ([merge request](gitlab-org/gitlab!89065))
- [Delete invalid epic_issue records migration](gitlab-org/gitlab@76c5a0a308604fe4a946345977e1f304076f3940) ([merge request](gitlab-org/gitlab!79557))
- [Add workhorse internal upload API, observation only](gitlab-org/gitlab@40294c83ba87fd2ea24a0ab597a096e7dba1d141) ([merge request](gitlab-org/gitlab!88167))
- [Update manual cadence deprecation message](gitlab-org/gitlab@1e91eaa6e8f2857e7030513fa11ab97dc3ed6f1c) ([merge request](gitlab-org/gitlab!88226)) **GitLab Enterprise Edition**
- [Finalize issue search data migration](gitlab-org/gitlab@b66856c3335b36ae997d97452149fd7aaec993fe) ([merge request](gitlab-org/gitlab!88992))
- [Remove enqueue twice option from EnqueuerWorker](gitlab-org/gitlab@f78c79db2e93417fd1c38eeceb1117d980d28271) ([merge request](gitlab-org/gitlab!88690))
- [Fix Style/OpenStructUse offenses](gitlab-org/gitlab@3abc98eae3fb657a463f9054c917e3fefd8a53dc) by @edith007 ([merge request](gitlab-org/gitlab!75233))
- [Rename 'repo by url' to repository by url'](gitlab-org/gitlab@1715c01afcd8e83e854a61e2199d5aeeb4f03285) by @feistel ([merge request](gitlab-org/gitlab!88742))
- [Track clicks on the pipeline editor help drawer](gitlab-org/gitlab@b17ef2d709f145a6598a64859973ef3577dc51d4) ([merge request](gitlab-org/gitlab!88258))
- [Remove gitaly_replace_wiki_create_page flag](gitlab-org/gitlab@04c3443a55e2f94effc17b233bf39d73c32de631) ([merge request](gitlab-org/gitlab!88624))
- [Add sketch blob viewer](gitlab-org/gitlab@3b03ba5d737176e2c80ee6e4443aaed362491a1a) by @mihes3d ([merge request](gitlab-org/gitlab!86490))
- [Guard worker application setting timeouts](gitlab-org/gitlab@22390bbb63acb9a3225305e2e4ff1e0593aa65ff) ([merge request](gitlab-org/gitlab!88685))
- [Delete vue_issues_list feature flag](gitlab-org/gitlab@5d6cb118465d058b63604b9cb8968e77c02a8a7c) ([merge request](gitlab-org/gitlab!88437))
- [Remove FF ci_trigger_forward_variables](gitlab-org/gitlab@d621c36c570365253905a663827c42696e097456) ([merge request](gitlab-org/gitlab!88532))
- [Remove omniauth_initializer_fullhost_proc FF](gitlab-org/gitlab@2792c938df483923b0c33e8caf9be68dd7599616) ([merge request](gitlab-org/gitlab!88411))
- [Delete unused report_not_configured_operational.vue and its test](gitlab-org/gitlab@0f3282898e78155ba0ec36215f119efae3f0a49a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/88214)) **GitLab Enterprise Edition**
- [Drop temporary index not needed anymore](gitlab-org/gitlab@7794ffedc70435141564662efdce2440c0431ad4) ([merge request](gitlab-org/gitlab!88466))
- [Remove touch_project_repository_state_updated_at FF](gitlab-org/gitlab@353b54eb48ec1e3fa068de9e889e37a9b8a92a47) ([merge request](gitlab-org/gitlab!88413))
- [Finalize background migration for discussion IDs](gitlab-org/gitlab@ef016210bae0a03fd5f5e26b7582c332cc8b72cf) ([merge request](gitlab-org/gitlab!88383))
- [Fix callouts test](gitlab-org/gitlab@b808a27ee6dc407b5a20d70e04a049714f35e1d7) by @chaomao ([merge request](gitlab-org/gitlab!87859)) **GitLab Enterprise Edition**
- [Support push options when creating merge request pipelines](gitlab-org/gitlab@e4d8a348f2ff7a25927631057b7f31c2d2981cc6) ([merge request](gitlab-org/gitlab!87030)) **GitLab Enterprise Edition**
- [Rename ci runner migration](gitlab-org/gitlab@0d33fdc0374ad09461ecb1c03241fd797cfead37) ([merge request](gitlab-org/gitlab!88184))
- [Defer database query in favor of cached value check](gitlab-org/gitlab@35e59b70b5be47378de3863f85c497e9183ecd86) ([merge request](gitlab-org/gitlab!88163))
- [Use application settings for pipeline creation rate limit](gitlab-org/gitlab@55819136715e65e020becf90c3358e47daaaced7) ([merge request](gitlab-org/gitlab!87223))
- [Prepare for lazy upload preauth](gitlab-org/gitlab@fdc6f90bc762eec23b14049302f442461569dfb0) ([merge request](gitlab-org/gitlab!87800))
- [Do not vary upload tempfile prefix](gitlab-org/gitlab@67fd219058fa50d903203a3fb307ba92b034e9dc) ([merge request](gitlab-org/gitlab!87800))
- [Workhorse: fix TestUploadProcessingFile](gitlab-org/gitlab@65396f909a3a7e6bfb2f5094f7017bc52bc19aa7) ([merge request](gitlab-org/gitlab!87800))
- [Create ClusterEnabledGrant model and populates table](gitlab-org/gitlab@beeb662dc91d45fa6a8c4c31327a4983bee8a3be) ([merge request](gitlab-org/gitlab!87149))
- [Debug batch update](gitlab-org/gitlab@c229f25fb9e4bf4ecd98b081ccc9067f0dc52e50) ([merge request](gitlab-org/gitlab!87149))
- [Fix countries controller test](gitlab-org/gitlab@5bfed94e5a416816f1933e59ec6f0d732ff7e6f9) by @chaomao ([merge request](gitlab-org/gitlab!87993))
- [Cleanup phase 4 feature flag and env vars](gitlab-org/gitlab@c4471a7cd0aaf4714864af53a6b3c99300bc9564) ([merge request](gitlab-org/gitlab!84246))
- [Remove `cross-db` modification from `destroy_batch_service`](gitlab-org/gitlab@1304177768dc633955e6af5296a7e7b2c0ece8f4) ([merge request](gitlab-org/gitlab!87933)) **GitLab Enterprise Edition**
- [Cleanup the `database_geo.yml` stuff](gitlab-org/gitlab@99c0fac52b10cd9df62bbe785db799352a2d9028) ([merge request](gitlab-org/gitlab!87025)) **GitLab Enterprise Edition**
- [Mark stale `security_scans` as purged](gitlab-org/gitlab@edba43567dce621dbadf8acc4351ddf1518d5030) ([merge request](gitlab-org/gitlab!82711)) **GitLab Enterprise Edition**
- [Fix confirm email service test](gitlab-org/gitlab@eaf45cc4d70b9779296f115abf4cd1db2f2ca1c2) by @chaomao ([merge request](gitlab-org/gitlab!87385))
- [Restructure free user cap under model for better scoping](gitlab-org/gitlab@93660fe7f8f04ad73df337ccba31f639a68821a2) ([merge request](gitlab-org/gitlab!87718))
- [Fix JH skipped subscription portal spec](gitlab-org/gitlab@0e7e7cb4a62d004989c47fafe6fe1f9ffd90da44) by @chaomao ([merge request](gitlab-org/gitlab!87213))
- [Add not null constraint to requirements.issue_id validate:false](gitlab-org/gitlab@5ccac890b13c53c5761ccb8e5cb7ca202e0656c3) ([merge request](gitlab-org/gitlab!86590))

## 15.0.5 (2022-07-28)

### Security (18 changes)

- [Security datadog integration leaking](gitlab-org/security/gitlab@827505e96860979709654210525007901abd56f0) ([merge request](gitlab-org/security/gitlab!2595))
- [Prevent users who cannot admin a public project from viewing deploy keys](gitlab-org/security/gitlab@2b06195d21bbd6b566221c49e871cd8da1f744b6) ([merge request](gitlab-org/security/gitlab!2642))
- [Add additional condition to accept invitation](gitlab-org/security/gitlab@8aa70bcc8a3eb1bd2f96c06e9b0e5b6eb0ac561d) ([merge request](gitlab-org/security/gitlab!2654))
- [Update GITLAB_PAGES_VERSION](gitlab-org/security/gitlab@6b81c541a60da6c389788d21a216dab4d7e40304) ([merge request](gitlab-org/security/gitlab!2583))
- [Add html_escape to build_details_entity](gitlab-org/security/gitlab@efe16cfa36ff42981891994d5b5e63dcdd2f1daa) ([merge request](gitlab-org/security/gitlab!2611))
- [Check permissions when filtering by contact or organization](gitlab-org/security/gitlab@3d210e31d933cfff0c9fae9dd2f1ed97058bfea6) ([merge request](gitlab-org/security/gitlab!2646))
- [Use author to run subscribed pipeline](gitlab-org/security/gitlab@c1ca513e600d1a963e23ab63c261c982780593b5) ([merge request](gitlab-org/security/gitlab!2559))
- [Remove prohibited branches after project import](gitlab-org/security/gitlab@8ceb9492555471041f962d54e190314aac86207c) ([merge request](gitlab-org/security/gitlab!2588))
- [Remove feature flag `ci_yaml_limit_size`](gitlab-org/security/gitlab@df0d379902f0e03a6f1506276402246cfe2e922f) ([merge request](gitlab-org/security/gitlab!2631))
- [Maintainer can change the visibility of Project and Group](gitlab-org/security/gitlab@1e575f57368d7374dc33e151e81a2f5dfe3fa21e) ([merge request](gitlab-org/security/gitlab!2617))
- [Do not link unverified secondary emails with any users](gitlab-org/security/gitlab@e15f72a77f67e946258576d1b3006e9471d5ec9a) ([merge request](gitlab-org/security/gitlab!2626))
- [Forbid exchanging access token for ROP flow to users required 2FA setup](gitlab-org/security/gitlab@7250fb15bf59401acd0c88c89d27423578b24f71) ([merge request](gitlab-org/security/gitlab!2620))
- [Remove todos from confidential notes when user loses access](gitlab-org/security/gitlab@f91cc66eaa83c9a0744d8f25ee56197b5805035e) ([merge request](gitlab-org/security/gitlab!2609))
- [Remove group_bot_user and group_access_token after group delete](gitlab-org/security/gitlab@995de100fcba61c0efa11c1a2a98377c90f68f0c) ([merge request](gitlab-org/security/gitlab!2635))
- [Protect integration secrets](gitlab-org/security/gitlab@e475ad82568f5d9da62d8a89c0ee3393a97685bf) ([merge request](gitlab-org/security/gitlab!2586))
- [Protect Grafana and Sentry integrations](gitlab-org/security/gitlab@0c3fa9f84e2459e63ec58d6253752649489d6283) ([merge request](gitlab-org/security/gitlab!2577))
- [Fix IDOR in Jira issue show action](gitlab-org/security/gitlab@cf6ad0474584f701e3f14262284ab681f6a06a42) ([merge request](gitlab-org/security/gitlab!2649))
- [Limit proxied requests to Grafana API](gitlab-org/security/gitlab@28225721c1bce851d81b6e462ec6965570c7320a) ([merge request](gitlab-org/security/gitlab!2598))

## 15.0.4 (2022-06-30)

### Security (17 changes)

- [Fix group IP restrictions not enforced for container registry requests](gitlab-org/security/gitlab@7dea5867ea5e115a3a91576fec91de8e7f2a9915) ([merge request](gitlab-org/security/gitlab!2551))
- [Update rack gem to version 2.2.3.1](gitlab-org/security/gitlab@c0df8beef0297e9b99b954fcdcbf07cee3f0e9d6) ([merge request](gitlab-org/security/gitlab!2553))
- [Gitlab Runner version upgrade](gitlab-org/security/gitlab@012ff20c80754ff9ac38b82894346a51aa0a9b4c) ([merge request](gitlab-org/security/gitlab!2566))
- [Update ProjectAttributesTransformer to use fixed number of attributes](gitlab-org/security/gitlab@619d77865f3e61f3cfb6ca92011ded44f6baf0ad) ([merge request](gitlab-org/security/gitlab!2548))
- [Escape deploy key title to prevent XSS](gitlab-org/security/gitlab@7b1a458df5c553d6fa99b4fec0d677c9e924ad86) ([merge request](gitlab-org/security/gitlab!2493))
- [Sanitize ZenTao breadcrumb links](gitlab-org/security/gitlab@adb8b2829e3d6b69ea32a7524c6f772be1debf82) ([merge request](gitlab-org/security/gitlab!2556))
- [Fix permissions in the project labels API](gitlab-org/security/gitlab@4fd766e90ea6e8899897d7b7d9551b2edb5dce9a) ([merge request](gitlab-org/security/gitlab!2533))
- [Security fix sentry issue leaks and access level check](gitlab-org/security/gitlab@d43b2c600a5fc31592eb8f07a4fcfdf3141911f7) ([merge request](gitlab-org/security/gitlab!2500))
- [Check permissions before exposing user two factor enabled](gitlab-org/security/gitlab@aac30c9f3228efd643d3fc204ee49f740f1ebc81) ([merge request](gitlab-org/security/gitlab!2524))
- [Filter milestone release by user access](gitlab-org/security/gitlab@aa1b76b8eb2966463c8a10869e00f3320bf4ea1a) ([merge request](gitlab-org/security/gitlab!2536))
- [Fix the required access level in the Conan packages finder](gitlab-org/security/gitlab@fa090cd9d2adab46c6c3f2a70b351a61847b5c6c) ([merge request](gitlab-org/security/gitlab!2482))
- [Allow inviting only groups with subset of allowed domains to groups](gitlab-org/security/gitlab@981be1afc7c6bf8f699ced1ae930b201699e29e3) ([merge request](gitlab-org/security/gitlab!2511))
- [Fix open redirect vulnerability](gitlab-org/security/gitlab@fa9cf0a41f338e285701db231316897d362ce306) ([merge request](gitlab-org/security/gitlab!2541))
- [Adds a filter based on user access to Runner jobs endpoint](gitlab-org/security/gitlab@8be3da271d2a6ff3285846c50a5ce4dd584419ff) ([merge request](gitlab-org/security/gitlab!2496))
- [Prevent runners from picking IP restricted jobs](gitlab-org/security/gitlab@dcc830d14cc0ee616dc3ad263d66bd42f92b56a2) ([merge request](gitlab-org/security/gitlab!2504))
- [Restrict CI lint access to pipeline creators](gitlab-org/security/gitlab@42425cd68755c53ed33952111be9803ce3b37515) ([merge request](gitlab-org/security/gitlab!2514))
- [Catch endless headers when reading HTTP responses](gitlab-org/security/gitlab@d2ce0a236204b97a853bc35332d49d7427f38fbc) ([merge request](gitlab-org/security/gitlab!2528))

## 15.0.3 (2022-06-16)

### Fixed (2 changes)

- [Disconnect alternates when unlinking from a repository pool](gitlab-org/gitlab@a6f4b701af0d5850a10d77feeb4842b1fe017047) ([merge request](gitlab-org/gitlab!90269))
- [Add GitLab agent image tag to install command](gitlab-org/gitlab@09decb04e391f095139412ed623164cab8023a7c) ([merge request](gitlab-org/gitlab!90269))

## 15.0.2 (2022-06-06)

### Added (1 change)

- [Add event type in audit event streaming](gitlab-org/gitlab@55ba03fc8342a608e774db01ecadfa0441ea7f76) ([merge request](gitlab-org/gitlab!89266)) **GitLab Enterprise Edition**

### Fixed (10 changes)

- [Fix Advanced Search Opensearch detection](gitlab-org/gitlab@38b58801fed210cef048daf30b4d52542fefb1cf) ([merge request](gitlab-org/gitlab!89266)) **GitLab Enterprise Edition**
- [Fix 500 on issues list page](gitlab-org/gitlab@d02cc074f6c3aa0da972d6a368aca423fe50f437) ([merge request](gitlab-org/gitlab!89266))
- [Include inherited owners when calculating User#solo_owned_groups](gitlab-org/gitlab@d38405007bb4b36441bdb4f15acc5d0093c63115) ([merge request](gitlab-org/gitlab!89266))
- [Fix issue description list item styling](gitlab-org/gitlab@e1077027f1a2616026e7297ae5742a8ddc09d794) ([merge request](gitlab-org/gitlab!89266))
- [Fix focus for linked issues input field & IDE cursor](gitlab-org/gitlab@3249749eec2dddde761532d2d899e45c39db815c) ([merge request](gitlab-org/gitlab!89266))
- [docs: Fix DS_DEFAULT_ANALYZERS variable docs](gitlab-org/gitlab@b5aad346a987a6135e05a0fb6b21b5928101fd7f) ([merge request](gitlab-org/gitlab!89266))
- [Remove existing repository backups when creating a full backup](gitlab-org/gitlab@d12ab4c65b7a99b94220716e9a0f60fe74296010) ([merge request](gitlab-org/gitlab!89266))
- [Move LFK scheduling out from EE check](gitlab-org/gitlab@43f352382e3dbeb445732e4d8752c161e3e26088) ([merge request](gitlab-org/gitlab!89266))
- [Fix drag and drop list item bugs](gitlab-org/gitlab@75957edfd741f0e96645871d73e09a87938b0012) ([merge request](gitlab-org/gitlab!89266))
- [Hide internal note checkbox on unsupported issuable types](gitlab-org/gitlab@4eaed3e11797c8f1e0c6a710b3a411fe9c38090d) ([merge request](gitlab-org/gitlab!89266)) **GitLab Enterprise Edition**

### Changed (1 change)

- [Update auto-deploy-image to v2.28.2](gitlab-org/gitlab@881ef5713a6a16f6ed5e77cf91f9a82dff788b02) ([merge request](gitlab-org/gitlab!89266))

## 15.0.1 (2022-06-01)

### Security (8 changes)

- [Fix IP restrictions not applying to deploy tokens](gitlab-org/security/gitlab@3af76bc31e2d141e2262d65eb08fcab7f34844bf) ([merge request](gitlab-org/security/gitlab!2474))
- [Trigger token should respect group IP restrictions](gitlab-org/security/gitlab@f9ba81383a97b014be3085524def6f01120d9e3e) ([merge request](gitlab-org/security/gitlab!2476))
- [Fix content injection in Jira issue title](gitlab-org/security/gitlab@d0c449079ce8d680f3390e21ed08aced1bfaf17b) ([merge request](gitlab-org/security/gitlab!2463))
- [Escape contact details correctly in quick actions](gitlab-org/security/gitlab@cbafec91630b1309354784040c572ba1f844f794) ([merge request](gitlab-org/security/gitlab!2459))
- [Subgroup member can list members of parent group](gitlab-org/security/gitlab@93583b7fe97f59f746f719742230eadbfbdf5ce3) ([merge request](gitlab-org/security/gitlab!2479))
- [Do not allow project member import when membership is locked](gitlab-org/security/gitlab@b6ca02c9bac46ebcc822bbeee9e75aaf184d9996) ([merge request](gitlab-org/security/gitlab!2457))
- [Disable changing user attributes when updating SCIM provisioned user](gitlab-org/security/gitlab@660a0021e3df45893c1f4317d3aa86dd276c6071) ([merge request](gitlab-org/security/gitlab!2453))
- [Allow only job owner to run interactive terminal](gitlab-org/security/gitlab@917c3e4e314b02da33d8b9aea07179bc74833053) ([merge request](gitlab-org/security/gitlab!2451))

## 15.0.0 (2022-05-20)

### Added (147 changes)

- [Self-managed SAML Group Links and Membership Updater](gitlab-org/gitlab@1e0f58b879ef31887b9a74185313b17b56609087) ([merge request](gitlab-org/gitlab!85209)) **GitLab Enterprise Edition**
- [Show error message in pipeline alert](gitlab-org/gitlab@6252f29ff3fa438282065fec8435b5c517cb3cf3) ([merge request](gitlab-org/gitlab!87478))
- [Upgrade GitLab Pages to 1.58.0](gitlab-org/gitlab@cd321ca67463512b29437f527216438a439a1391) ([merge request](gitlab-org/gitlab!87780))
- [Drag and drop list items on issue page](gitlab-org/gitlab@4eedecb70ba9d3aba5e2f88611cf81b315e69a92) ([merge request](gitlab-org/gitlab!85936))
- [Default enable automated_email_provision feature flag](gitlab-org/gitlab@7674378f2dd15ad6ecadb96eb810062ffe1de5ce) ([merge request](gitlab-org/gitlab!87099)) **GitLab Enterprise Edition**
- [Bump Gitlab Shell version to 14.3.0](gitlab-org/gitlab@2a835d002d918cc143a39e41d81a7ab30f9b5f50) ([merge request](gitlab-org/gitlab!87762))
- [Add documentation for inactive project deletion feature](gitlab-org/gitlab@025a9389d1d1a0b25e0685f4f6f6ac7d22c3f4b2) ([merge request](gitlab-org/gitlab!86907))
- [Enable confidential_notes FF by default](gitlab-org/gitlab@44fe4216bd63cdba718fb5344f07fb0c256a7f6e) ([merge request](gitlab-org/gitlab!87383))
- [Add slack_app_signing_secret to settings](gitlab-org/gitlab@62629f80fd850b9ef0bdf54cd1f58387d81b288c) ([merge request](gitlab-org/gitlab!86623))
- [Add a 409 error page](gitlab-org/gitlab@ce8aa56314eca5016935cad1d5fabe6a6191c5e9) ([merge request](gitlab-org/gitlab!87134))
- [Store pipeline creation rate limit into application settings](gitlab-org/gitlab@b611e17cf016dcb7994d835d4ed9f59a52e1cd22) ([merge request](gitlab-org/gitlab!86466))
- [Add REPOSITORIES_STORAGES option to backups](gitlab-org/gitlab@721440b63d74ecc6506715368a4b544d1dbb6ce5) ([merge request](gitlab-org/gitlab!86896))
- [Add option to disable seperated caches](gitlab-org/gitlab@daccb0b39344257a235c2eca0879fb5c37e0a1af) by @Taucher2003 ([merge request](gitlab-org/gitlab!86876))
- [Merge Agents and Agent Tokens API docs](gitlab-org/gitlab@70801fa3abe4942498f683630aac709435866224) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/87567))
- [Enable poetry.lock dependency scanning](gitlab-org/gitlab@db5e7da0438df34449ce051429d8c901863d4faa) ([merge request](gitlab-org/gitlab!87296)) **GitLab Enterprise Edition**
- [Add exclude from free user cap to namespace settings](gitlab-org/gitlab@5589b3f3300616ea73be7709827a0525a7968466) ([merge request](gitlab-org/gitlab!87288))
- [Add infinite scrolling to project dropdown](gitlab-org/gitlab@26f4495660e74a2f381f73c6a85d62ae0e3e4fdf) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/86408)) **GitLab Enterprise Edition**
- [Enable feature flag iteration_cadences](gitlab-org/gitlab@832219e7b343ea2e703a0819b738a3b79dff4c12) ([merge request](gitlab-org/gitlab!87206)) **GitLab Enterprise Edition**
- [GraphQL: Add maintenance_note to RunnerType](gitlab-org/gitlab@c5e92a56f0757aede1405cdda29888b63dcc054e) ([merge request](gitlab-org/gitlab!87534))
- [Use Gemnasium FIPS images automatically](gitlab-org/gitlab@be7083190f85bce8efb5137e2854f9cea7e7ea61) ([merge request](gitlab-org/gitlab!86670))
- [Default CRM feature flags to on](gitlab-org/gitlab@04749db0bf03eb3abc338151bad71bd8d4da7e51) by @leetickett ([merge request](gitlab-org/gitlab!87102))
- [Add link from issue contacts to issues list](gitlab-org/gitlab@5af870d15ab0fc7cd39c279d60a55834b6dc9ccd) by @leetickett ([merge request](gitlab-org/gitlab!87328))
- [Add alert banner to usage quota seats page](gitlab-org/gitlab@b0276bcd3a13f5d81c9930bf1a812d9a95ea59bd) ([merge request](gitlab-org/gitlab!87245)) **GitLab Enterprise Edition**
- [Extend /help/instance_configuration with CI/CD limits](gitlab-org/gitlab@89bfd153ab81496e75641eb0e597e911a62c9152) by @wwwjon ([merge request](gitlab-org/gitlab!86334))
- [Make group import history page size persistent](gitlab-org/gitlab@fe71a1a29284fe115cf9a5e92905b68e81c350e8) by @wspwebben ([merge request](gitlab-org/gitlab!86291))
- [Add registry migration guard timeout settings](gitlab-org/gitlab@5c3bc6dff1222b5cedc7b4c3fc2b78b17d62d7dc) ([merge request](gitlab-org/gitlab!87324))
- [Add group push rule changes to audit log](gitlab-org/gitlab@d9810c94d8fe36c690d7f045df8e50c92dbdab2f) ([merge request](gitlab-org/gitlab!86046)) **GitLab Enterprise Edition**
- [Bump Gitlab Shell version to 14.2.0](gitlab-org/gitlab@ce905f77ad8d01d471b80e7a09023752c5de2de2) ([merge request](gitlab-org/gitlab!87360))
- [Add inactive projects deletion feature](gitlab-org/gitlab@0a7455d6be1f96b4b00bf266e0f02760b7cd3c6f) ([merge request](gitlab-org/gitlab!85689))
- [GraphQL: Add allowStaleRunnerPruning to Group](gitlab-org/gitlab@6c7b0ef1bc56a19df332cd43241aa197e53d0973) ([merge request](gitlab-org/gitlab!87252)) **GitLab Enterprise Edition**
- [Add merge_request.draft to push options](gitlab-org/gitlab@617cceedc09a61d8ffdf68caca2269b17209545d) by @svdj ([merge request](gitlab-org/gitlab!86295))
- [Add NamespaceCiCdSettingsUpdate mutation](gitlab-org/gitlab@088f1d0f2b1ab1ce00e0bd8972d3bf6949291702) ([merge request](gitlab-org/gitlab!86807)) **GitLab Enterprise Edition**
- [Add API to set membership state](gitlab-org/gitlab@0d6d598de61ea29931e934beb46aa3fd18c54c0c) ([merge request](gitlab-org/gitlab!86705)) **GitLab Enterprise Edition**
- [Add export size limit for projects](gitlab-org/gitlab@f65b7b9d2ac17fd49f2034db931cd2bd9ed81393) by @wwwjon ([merge request](gitlab-org/gitlab!86124))
- [Add API endpoint for repository size recalculation](gitlab-org/gitlab@dcaa0d84ed7c2da0084ac6ce4d6a505d875ba708) ([merge request](gitlab-org/gitlab!87048))
- [Convert newline symbols in description push options to actual newlines](gitlab-org/gitlab@58cafb1d3fa7bd9b079281df502c8a596f5cdc76) by @svdj ([merge request](gitlab-org/gitlab!87020))
- [Support security report schema version 14.1.2](gitlab-org/gitlab@09a40066b4f30036e3049c82330fa0f2be66526e) ([merge request](gitlab-org/gitlab!86759))
- [Add Runner separation by plan PoC](gitlab-org/gitlab@436ba9447498c0bc6087028a6d6d5da718a8df01) ([merge request](gitlab-org/gitlab!83780))
- [Display a cancel button in policies page](gitlab-org/gitlab@6e4e640e3956d4ba46090392bc6a5d9a7fbc487c) ([merge request](gitlab-org/gitlab!87234)) **GitLab Enterprise Edition**
- [Implement Cluster Agent Tokens REST API](gitlab-org/gitlab@c9aba7f9da71b376c7d750fbd8f8231ce9a5812a) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85704))
- [Increased the time tracking report modal size](gitlab-org/gitlab@a6c7e1d98daa335759a75f24f968004a2196d102) by @zillemarco ([merge request](gitlab-org/gitlab!87260))
- [Allow pruning of stale group runners](gitlab-org/gitlab@f8845d26abf91898b7da5ffb19fe4aaf0cc97d3e) ([merge request](gitlab-org/gitlab!86477)) **GitLab Enterprise Edition**
- [Add index to namespace_ci_cd_settings table](gitlab-org/gitlab@1308949d04c0958430d29c0f3199257c2771f639) ([merge request](gitlab-org/gitlab!86477))
- [Allow linking CRM organizations to contacts](gitlab-org/gitlab@4f852a34f3510f50a21d47e6e82e0aca8dce2c90) by @leetickett ([merge request](gitlab-org/gitlab!86255))
- [Backfill  draft status column using corrected regex](gitlab-org/gitlab@7bda4f2de200be4b7cea24d6024a463225419bad) ([merge request](gitlab-org/gitlab!85730))
- [Validate a tag does not have an existing release](gitlab-org/gitlab@ee5deef3d9f7f0f92bd38500ebb599811305149e) ([merge request](gitlab-org/gitlab!85844))
- [Exposed user permissions for each timelog entry](gitlab-org/gitlab@525e27cf0f9d58031809763e61cb628123e22f3d) by @zillemarco ([merge request](gitlab-org/gitlab!85897))
- [Bump Gitlab Shell to 14.1.1](gitlab-org/gitlab@4642856616f411fed37a17676f3daff94894f603) ([merge request](gitlab-org/gitlab!87198))
- [Add 2 last DORA metric tiles to VSA](gitlab-org/gitlab@7662df39a2b7caa7c383a90f54cc9f7f5bbaeaed) ([merge request](gitlab-org/gitlab!86245)) **GitLab Enterprise Edition**
- [Add Architecture and Platform to runner details](gitlab-org/gitlab@f058150926dbb38ea4ab9f37e2574e913ed5e69d) ([merge request](gitlab-org/gitlab!86630))
- [Add `Follow`/`Unfollow` button to user popover](gitlab-org/gitlab@0830a8afed929ba39c0c7481c28af4f44d9c1d30) ([merge request](gitlab-org/gitlab!87159))
- [Enable ServicePing timings reporting](gitlab-org/gitlab@ea75b6b1d8eee9033059e7b88a5a99bbd6a4ea52) ([merge request](gitlab-org/gitlab!86147))
- [Support storage_size_limit in PlanLimits API](gitlab-org/gitlab@b2b154f0484fe8c7584bee315fe45fdc534df715) ([merge request](gitlab-org/gitlab!86765))
- [Add project's shared_runners_duration to GraphQL](gitlab-org/gitlab@553838f3f04f8c3e9afa3c025e7e8e4893d7e567) ([merge request](gitlab-org/gitlab!86703)) **GitLab Enterprise Edition**
- [Add group_inheritance_type to deploy access level and approval rule API](gitlab-org/gitlab@b3ee89210ef53e86c035ed4f183993eb3127f613) ([merge request](gitlab-org/gitlab!86365)) **GitLab Enterprise Edition**
- [Add deployment metadata when firing hooks](gitlab-org/gitlab@1e8aaba80a8d450c1d19cfb3d895faa14968c747) ([merge request](gitlab-org/gitlab!87103))
- [CI: update cluster-integration/auto-build-image](gitlab-org/gitlab@744f33faf3f930853a1efd184b8e56c371b5e586) by @willianpaixao ([merge request](gitlab-org/gitlab!86775))
- [Enable the querying of security training urls by language](gitlab-org/gitlab@0691caca1f4dcd40bfe2251c5b4c98167c45c6eb) ([merge request](gitlab-org/gitlab!86461)) **GitLab Enterprise Edition**
- [Add namespace_ci_cd_settings table](gitlab-org/gitlab@a60aae68913fdc62678ff905639432d400700454) ([merge request](gitlab-org/gitlab!86473))
- [Update Project stats on Container Registry event](gitlab-org/gitlab@3b6af6c9c7c583519cab86e4fadc3e72d4f3c401) ([merge request](gitlab-org/gitlab!85108))
- [Add PREVIOUS_BACKUP option to backup.rake](gitlab-org/gitlab@292d117078e52d215e9fc1e5698d58c3cda3db75) ([merge request](gitlab-org/gitlab!85656))
- [Enable aggregated VSA by default](gitlab-org/gitlab@60b3aa9c467b537754449a2275e6220a7d7f39e8) ([merge request](gitlab-org/gitlab!84356))
- [Add CRM argument handling for issue list filters](gitlab-org/gitlab@858ac4c9cd7be913c006fcca379456a3fb74f29c) by @leetickett ([merge request](gitlab-org/gitlab!86570))
- [Enable updated_diff_expansion_buttons by default](gitlab-org/gitlab@621d421b34d5f39c020098b1e9334952abc39eea) ([merge request](gitlab-org/gitlab!86762))
- [Remove related_epics_widget feature flag](gitlab-org/gitlab@8df3c7e499f011a59ff66fe33b136da30ad91be9) ([merge request](gitlab-org/gitlab!85830))
- [GraphQL: Add platform/arch runner fields](gitlab-org/gitlab@34b67ba8369cb222b3a0575f98cfaead40a288e1) ([merge request](gitlab-org/gitlab!86550))
- [Background job to trim namespaces over limit](gitlab-org/gitlab@580c90e423e08c3b03730626cf4e42ae2ea50112) ([merge request](gitlab-org/gitlab!86188)) **GitLab Enterprise Edition**
- [Adds container_registry_size to namespace_root_storage_statistics](gitlab-org/gitlab@9a7944ba48d51404ddf7a513b5800ecaf4cabead) ([merge request](gitlab-org/gitlab!86566))
- [Start storing changed_at in seat statistics worker](gitlab-org/gitlab@7ab93ce3266d97d2939a7447eaa879ec27f97c89) ([merge request](gitlab-org/gitlab!86201))
- [Background Migrations - Mutli DB Admin UI](gitlab-org/gitlab@e355d1ee5cc76854a4147dd4c8b161a63251ab0b) ([merge request](gitlab-org/gitlab!85639))
- [Allow editing media URL and alt in content editor](gitlab-org/gitlab@b38c0f242e06416cf8f3480fae31ee0ff79b1b9a) ([merge request](gitlab-org/gitlab!85761))
- [Add last_cleanup_deleted_tags graphql field](gitlab-org/gitlab@92921a0a51772ceba212950296ef11be4b9a2b77) ([merge request](gitlab-org/gitlab!86475))
- [Record blocked epics removed on usage data](gitlab-org/gitlab@faa4e34733817da657396bcf61e4f060c4f9a4f9) ([merge request](gitlab-org/gitlab!85846)) **GitLab Enterprise Edition**
- [Add deletion warning email template for inactive projects](gitlab-org/gitlab@ea2336e1fc96b3c3d4b7bb21814d56a9c86b3552) ([merge request](gitlab-org/gitlab!86211))
- [Add page description to pipeline security tab](gitlab-org/gitlab@bbe9176c6340d297c9ba6e7a1e3e50dceb64a815) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/86300)) **GitLab Enterprise Edition**
- [Enable Group Level Security Policies in GraphQL API](gitlab-org/gitlab@897b0b16fa73b6f7e170c6d19a708930a54cf193) ([merge request](gitlab-org/gitlab!86412)) **GitLab Enterprise Edition**
- [Allow users to enforce auth checks on upload on a project level](gitlab-org/gitlab@723a6dea3ce92e308340f2751ff74a58a6e416bf) ([merge request](gitlab-org/gitlab!83579))
- [Moving approval notifications from EE to FOSS](gitlab-org/gitlab@c4e8ba44c91f5b694f67d07b37b83c1a116489d6) ([merge request](gitlab-org/gitlab!83311))
- [Add the packages cleanup policy model](gitlab-org/gitlab@b231aaa1dca1a89b459e4816c3cabd0444bef6ac) ([merge request](gitlab-org/gitlab!85918))
- [Add tracking events to group and project pages](gitlab-org/gitlab@9b11a1a2b35695edf7cce059fea22ddfc325d106) ([merge request](gitlab-org/gitlab!85084))
- [Handle timeout status in GitLab migration](gitlab-org/gitlab@87ac532f7aabe5c1b5d01f0f5f59fee40401060c) ([merge request](gitlab-org/gitlab!86539))
- [Add GraphQL API to fetch Group Security Policies](gitlab-org/gitlab@114fe55b31227474abd427aed40108e1a35630e4) ([merge request](gitlab-org/gitlab!83522)) **GitLab Enterprise Edition**
- [Added prefetching for tasks in issue description](gitlab-org/gitlab@cc3db6c8a52182e5a3c7025b6f68623e28deddc1) ([merge request](gitlab-org/gitlab!86339))
- [Prepare notes confidential index](gitlab-org/gitlab@361e5729f8534e1f5907ebff950810edd2c84624) ([merge request](gitlab-org/gitlab!86447))
- [Expose container_registry_size via GraphQL](gitlab-org/gitlab@b8ffad94d622e79d39e11fcf879ac12fe51affaa) ([merge request](gitlab-org/gitlab!86452))
- [Add CRM arguments to GraphQL issue resolver](gitlab-org/gitlab@1976b13473d4630b41bd18d3c04fffb91a8208b9) by @leetickett ([merge request](gitlab-org/gitlab!86446))
- [Fix pipelines field performance in the package GraphQL type](gitlab-org/gitlab@9ba2c09383203d689efeacef38d7eac8d2437e1d) ([merge request](gitlab-org/gitlab!82496))
- [Add support for sticky header on scroll for epics](gitlab-org/gitlab@5e182b35ea9adaa5e00e6d533e778f74a056934e) ([merge request](gitlab-org/gitlab!86417)) **GitLab Enterprise Edition**
- [Allow (un)following someone in the user popover](gitlab-org/gitlab@6aeb791f5f754b0bf65f030c9c327ee463e183bb) by @KevSlashNull ([merge request](gitlab-org/gitlab!76050))
- [Add API endpoint for fetching all resource groups for a project](gitlab-org/gitlab@ec0d28449b75d167046d71ff1961c9806b025869) ([merge request](gitlab-org/gitlab!86181))
- [Add last_cleanup_deleted_tag count column](gitlab-org/gitlab@10e7dc6a259ae11c9e9e64ec005743901f90aa18) ([merge request](gitlab-org/gitlab!85644))
- [Add access action for environments](gitlab-org/gitlab@c1adb2e369dbe7fd824b00e583d28e63ce17717b) ([merge request](gitlab-org/gitlab!86268))
- [Set custom error budgets](gitlab-org/gitlab@5cddccccf25e976ccc7a6e10c22ccf2b37cdf47b) ([merge request](gitlab-org/gitlab!85868))
- [Edit environments tier with API](gitlab-org/gitlab@c332b418fff7339d1b0475b463c6b77883357066) ([merge request](gitlab-org/gitlab!85621))
- [Expose environments tier over API](gitlab-org/gitlab@d11493400791aa90365e9d91f76ea50b86e739dc) ([merge request](gitlab-org/gitlab!85621))
- [Audit IP allowlist editing](gitlab-org/gitlab@d66af91266b9a8231d8a35a73d42793c4dd4d068) ([merge request](gitlab-org/gitlab!86037)) **GitLab Enterprise Edition**
- [Send blocked users to Arkose](gitlab-org/gitlab@d72f958346883794102699bc783b37789fe0d185) ([merge request](gitlab-org/gitlab!84741)) **GitLab Enterprise Edition**
- [Add inherited group membership option for protected environment auth](gitlab-org/gitlab@5826856930f5a6ae54c8128fdcafdbf739c3ef2a) ([merge request](gitlab-org/gitlab!85429))
- [Add active/state to CRM graphql queries/mutations](gitlab-org/gitlab@2e99fd7f688ec11bd25c2c366640446c5ce96d5a) by @leetickett ([merge request](gitlab-org/gitlab!86199))
- [Extend Plan limits API with CI/CD limits properties](gitlab-org/gitlab@7238102567218379a198ef2acfe744739419a3e6) by @wwwjon ([merge request](gitlab-org/gitlab!85895))
- [Scroll to top of vulnerability list when filters changed](gitlab-org/gitlab@849d4b2267e0342c96556cc8f1a22178e5fb7743) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85755)) **GitLab Enterprise Edition**
- [Add group wiki visibility toggle to group settings](gitlab-org/gitlab@ec9292a35b701e68a9032c4f7dd4d518c4d8a288) by @fjsanpedro ([merge request](gitlab-org/gitlab!85573))
- [Add verify action for environments](gitlab-org/gitlab@3c5a921cc23bfb7e9ccbcc06841c45d5feb6b065) ([merge request](gitlab-org/gitlab!85447))
- [Add auditing of runner token reset operations](gitlab-org/gitlab@266f4d204b5c8a21c7605e27453712bfec94de65) ([merge request](gitlab-org/gitlab!85535)) **GitLab Enterprise Edition**
- [Add `BackgroundMigrationRecord` cop to avoid `ActiveRecord::Base`](gitlab-org/gitlab@2dd82f252e820c21b2de5d2682b1701a312ae30a) ([merge request](gitlab-org/gitlab!86116))
- [Expose billable members membership_state](gitlab-org/gitlab@6770599543024a9d99719786d689ff4451064f93) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84263/)) **GitLab Enterprise Edition**
- [Refactor the usage quotas -> ci/cd minutes page](gitlab-org/gitlab@816c6b424b96876fb22d633b27a74ffa57200b91) ([merge request](gitlab-org/gitlab!83224)) **GitLab Enterprise Edition**
- [Added autofocus on 'Search projects' input](gitlab-org/gitlab@8f073fee52e0724de56a3e00d3a64500f192862e) by @maksimanisimov1 ([merge request](gitlab-org/gitlab!85816))
- [Log downstream pipeline creation](gitlab-org/gitlab@f8d17602385532500bd29537eb5dba16e4a609f4) ([merge request](gitlab-org/gitlab!86119))
- [Show deployment approval on deployments page](gitlab-org/gitlab@5539c125ccf04011ca9e2dd6d3fa28daeb2d1002) ([merge request](gitlab-org/gitlab!85414)) **GitLab Enterprise Edition**
- [Allow editing link URL and title in content editor](gitlab-org/gitlab@258e62d0878c537433cb4c72e87133b272237acd) ([merge request](gitlab-org/gitlab!85743))
- [Over limit members  in namespaces with a free plan](gitlab-org/gitlab@4ccadd9b4a06605a6d93b2223289065cbe89e80f) ([merge request](gitlab-org/gitlab!82789)) **GitLab Enterprise Edition**
- [Revoke agent token from the UI](gitlab-org/gitlab@3e79176a446c2ca54442b1772aef3e75e87bcc3c) ([merge request](gitlab-org/gitlab!83482))
- [Enable touch_project_repository_state_updated_at FF by default](gitlab-org/gitlab@2fd5f4d297b81eee3a3c768b0996c2f5f3627a9a) ([merge request](gitlab-org/gitlab!86025)) **GitLab Enterprise Edition**
- [Enable VSA reggregation worker by default](gitlab-org/gitlab@3720243e1d7b6cedc936c00312f7b1c97f960d8e) ([merge request](gitlab-org/gitlab!86007))
- [Add Workhorse support for FIPS encryption](gitlab-org/gitlab@195d7e24b09d300d7e988ec3b1387fafbd3aec48) ([merge request](gitlab-org/gitlab!85302))
- [Backfill all ProjectSetting records](gitlab-org/gitlab@a4427daeabe3a3afaf90c8f6758d2f1c3cbd226e) ([merge request](gitlab-org/gitlab!83781))
- [Add delete button to runner details page](gitlab-org/gitlab@cfd5020cf35dcc115d3901f50cc060c093f0f1ed) ([merge request](gitlab-org/gitlab!85812))
- [Make ArkoseLabs namespace configurable](gitlab-org/gitlab@e6b6ef739ad14808c5c1ca18807bb0e42d6ef38f) ([merge request](gitlab-org/gitlab!85466))
- [feat: Add SAST.latest and Secret-Detection.latest templates](gitlab-org/gitlab@d6d5cd048db181dc74a9e2e08a6ca84d4274f302) ([merge request](gitlab-org/gitlab!81847))
- [Add audit events for merge request settings](gitlab-org/gitlab@9fc2a69a3a21a0a1cfe438bfb1aba05922a93e19) ([merge request](gitlab-org/gitlab!84624)) **GitLab Enterprise Edition**
- [Ensure max_seats_used_changed_at stays up to date](gitlab-org/gitlab@f97f2ef1b81218fd4a61e45c87953751492b8768) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84913))
- [Start storing change date for max_seats_used](gitlab-org/gitlab@c3112fd9039f0454093bb7accafc8f284574caf9) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84913))
- [Add documentation link to CI/CD Variables Form](gitlab-org/gitlab@cc82322648671e4029b5063a43dd316993fcfaeb) ([merge request](gitlab-org/gitlab!85444))
- [Support for TLS config on Workhorse](gitlab-org/gitlab@107e3ccebec9d331a188ffce25591fcb8d81b39b) ([merge request](gitlab-org/gitlab!81400))
- [Move `MigrationRecord` into `V1_0`](gitlab-org/gitlab@3732f9a7fcf8dadbc5461863b8541029659ad0aa) ([merge request](gitlab-org/gitlab!85795))
- [Add `RuboCop::Cop::Migration::MigrationRecord` rule](gitlab-org/gitlab@3e476cd2692be63b2605c9dda775e2706cb12b67) ([merge request](gitlab-org/gitlab!85795))
- [Add releases to GitLab Project Migration](gitlab-org/gitlab@e826f677b9a4975786bbe862946cea88e0c5472f) ([merge request](gitlab-org/gitlab!85608)) **GitLab Enterprise Edition**
- [Update container registry size in project stats](gitlab-org/gitlab@b876e8b804e180acff37550054f32d738cf8f2e9) ([merge request](gitlab-org/gitlab!84923))
- [Add runner executor to runner details page](gitlab-org/gitlab@c621d8d68725c232b8a6eb5c5540320d01e6b45d) ([merge request](gitlab-org/gitlab!85714))
- [Add executorName to GraphQL API](gitlab-org/gitlab@acad0ca599657a7645b285622831f63610c7d6d1) ([merge request](gitlab-org/gitlab!85683))
- [Add delayed group deletion application setting](gitlab-org/gitlab@25b2f8e790f97ed9e18f9e45a51eb5bbc9530a4b) ([merge request](gitlab-org/gitlab!84694))
- [Quickly copy code blocks in the Content Editor](gitlab-org/gitlab@fe326887797eec8d2604b121b7805188de5c93cd) ([merge request](gitlab-org/gitlab!85455))
- [Add option for submit field in DAST Configuration](gitlab-org/gitlab@b6b0d28949c476aab41a040d338edd427e642e1b) ([merge request](gitlab-org/gitlab!85188)) **GitLab Enterprise Edition**
- [Add topics title (model, management, API)](gitlab-org/gitlab@3e9b2ef1665f553c9c289758f24869a2423537cb) by @wwwjon ([merge request](gitlab-org/gitlab!84386))
- [Auto continue markdown lists](gitlab-org/gitlab@3b78fff7ebb5069fe0831db2ab35b882adba94cd) ([merge request](gitlab-org/gitlab!84963))
- [Expose `_links.cluster_agents` field in project REST API](gitlab-org/gitlab@b7396cd27824c7e994794de9fbe66455b659b141) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83684))
- [GraphQL: filter group members by access level](gitlab-org/gitlab@07b196eae51928a2fa6eb79ba60e909c8211d694) ([merge request](gitlab-org/gitlab!83484))
- [Add scan_finding rules into project settings](gitlab-org/gitlab@82c8e19539a526b4d21fec0de4d7a1f35f46206c) ([merge request](gitlab-org/gitlab!84328)) **GitLab Enterprise Edition**
- [Added the possibility to remove a timelog from an issuable](gitlab-org/gitlab@981a8dcd1d9039c59ddf3fc341f2181c231474a2) by @zillemarco ([merge request](gitlab-org/gitlab!83928))
- [Measure metric collection time](gitlab-org/gitlab@042e1ea06e749bf29892905b43c7273cb442995a) ([merge request](gitlab-org/gitlab!82607))
- [Add group attributes pipeline to group bulk import](gitlab-org/gitlab@002dd5591e7542a8e2bea6c0fa9e109380a9350f) ([merge request](gitlab-org/gitlab!84748)) **GitLab Enterprise Edition**
- [Add namespace settings attributes pipeline to group bulk imports](gitlab-org/gitlab@420b22148a0c56da7c304f937b22ba6e8f6e824d) ([merge request](gitlab-org/gitlab!85128)) **GitLab Enterprise Edition**
- [Distribute GitHub import jobs by default](gitlab-org/gitlab@d58ca758ba491b31fe5dac99f099678c3c3b3a26) ([merge request](gitlab-org/gitlab!85502))
- [Improve Geo project-out-of-date detection mechanism](gitlab-org/gitlab@e0ac72444b908af97aa12ec826b8a406552256e6) ([merge request](gitlab-org/gitlab!84197))
- [Add iteration quickaction displays ID format on autocomplete](gitlab-org/gitlab@d93d2595ea36ff119f7e72db0a9d953cd51a18e1) ([merge request](gitlab-org/gitlab!85428)) **GitLab Enterprise Edition**
- [Draft: Allow a subset of a blame to be requested from the REST API](gitlab-org/gitlab@94ba6b43197b54ba70d52e4f93a7105c9edafdf3) ([merge request](gitlab-org/gitlab!84629))

### Fixed (133 changes)

- [Fix incident sticky header status badge](gitlab-org/gitlab@c85f3713479ab3ba55a99d133dcafa58e4e40cb0) ([merge request](gitlab-org/gitlab!87805))
- [Ensure present_on_default_branch is set to true when branch is merged](gitlab-org/gitlab@0df9f3513fe14c3582c0d4abd13d369a35852670) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/86497)) **GitLab Enterprise Edition**
- [Fix VerificationStateBackfillWorker re-enqueue process](gitlab-org/gitlab@e20fa2d4af78691c908e1157995395076fa33d91) ([merge request](gitlab-org/gitlab!87332)) **GitLab Enterprise Edition**
- [Downgrade auto-deploy-image to v2.25.0](gitlab-org/gitlab@a91bd39f2c7debf2d7b03b3ae51e53c698687ac6) ([merge request](gitlab-org/gitlab!87697))
- [Added condition for opening modal](gitlab-org/gitlab@7d3582a7a27ed5a4a5848995f178ecb0b5f0cc92) ([merge request](gitlab-org/gitlab!87663))
- [Rename Dismiss VulnerabilitiesFinding mutation](gitlab-org/gitlab@70ca5aa567030e98b2a23184e1932b2c2cb9ae8d) ([merge request](gitlab-org/gitlab!87019)) **GitLab Enterprise Edition**
- [Backfill notes that have null discussion_id](gitlab-org/gitlab@46710c6258ea0c15b93f9f6cc510bce338bcda3e) ([merge request](gitlab-org/gitlab!78555))
- [Do not try to create issue links without issues while ingesting reports](gitlab-org/gitlab@91eda372dc705e8321df0e733e9fe5a77565ebd4) ([merge request](gitlab-org/gitlab!87702)) **GitLab Enterprise Edition**
- [Fix error on issues list due to restricted visibility level](gitlab-org/gitlab@db020b1850d5e030157d5b53c64eb8d39b468e1f) ([merge request](gitlab-org/gitlab!87450))
- [Fix comment form action button title](gitlab-org/gitlab@93dfd513c60f37eee880264f4b1b1e92eaef0b86) ([merge request](gitlab-org/gitlab!87662)) **GitLab Enterprise Edition**
- [Fix state badge icon and link text color](gitlab-org/gitlab@950ce3f50f61c6ba0fa9f19d4220da64e20376ae) ([merge request](gitlab-org/gitlab!87639)) **GitLab Enterprise Edition**
- [Correct wrapping on PMG](gitlab-org/gitlab@3c7ec124955336b38f6f5344a1b353aa9026b1ca) ([merge request](gitlab-org/gitlab!87608))
- [Start the next ConsistencyWorker run from where it left](gitlab-org/gitlab@163d705952a539ef6a0225f5f0c0dc7272e2e86f) ([merge request](gitlab-org/gitlab!86463))
- [Add removed Dependency Scanning jobs as dummies](gitlab-org/gitlab@30658bc8afa9de401e88164d90dafe02f0a2821b) ([merge request](gitlab-org/gitlab!87563))
- [Update upstream/downstream borders](gitlab-org/gitlab@6bffd7abfede08cef0ed0ab2179d7342abeb92b9) ([merge request](gitlab-org/gitlab!87041))
- [Change confidential comments doc to internal notes](gitlab-org/gitlab@9f6bc2dac9a37168ee76b4a16a293710e691d9ef) by @leetickett ([merge request](gitlab-org/gitlab!87315))
- [Display SSO link prior to save](gitlab-org/gitlab@2136312a3ac1739067312eaddad0eeba776939c2) ([merge request](gitlab-org/gitlab!86502)) **GitLab Enterprise Edition**
- [Remove unused batch_size in ExpireOAuthTokens](gitlab-org/gitlab@aa1cad423afc3c168d2e98aeae604cdf510dc97c) ([merge request](gitlab-org/gitlab!87496))
- [Add top margin to auto fix card on vulnerability report](gitlab-org/gitlab@925b1ecc20bea5720d27ec389d06d6db09ad407f) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/87371)) **GitLab Enterprise Edition**
- [Fix user popover overflow and follow/unfollow button alignment](gitlab-org/gitlab@3f7694eda593fd265a17f8a097289fd13c46ebaf) ([merge request](gitlab-org/gitlab!87011))
- [Fix file include-type for CI lint Graphql endpoint](gitlab-org/gitlab@53e9d02116eea60a03d9605e816e0bd59ba66abd) ([merge request](gitlab-org/gitlab!87457))
- [Fix haml conditional logic parsing error in master](gitlab-org/gitlab@90f3d779b2dd39e7c75a4f51d0a0080b40f96d8c) ([merge request](gitlab-org/gitlab!87454)) **GitLab Enterprise Edition**
- [Compare agent version against KAS version](gitlab-org/gitlab@f1a4f827cada8e640bb55f473adc4e25a21ce7a6) ([merge request](gitlab-org/gitlab!87010))
- [Fix scroll to hash](gitlab-org/gitlab@231740752d7ff5213573cfacbbc7db76c68bff7d) ([merge request](gitlab-org/gitlab!87414))
- [Do not export and import max_pages_size from groups](gitlab-org/gitlab@8027301d6f5981e63ff71a3997ab05ca65dd4002) ([merge request](gitlab-org/gitlab!87147))
- [Fix associated release link on tag page](gitlab-org/gitlab@40733b8819296cb50cd24bfb2966089b88a43462) ([merge request](gitlab-org/gitlab!86687))
- [Preserve branch filter state after delete](gitlab-org/gitlab@19549405344a745b286505296f88e0dab0136dfe) ([merge request](gitlab-org/gitlab!86845))
- [Ensure base work item types are created where needed](gitlab-org/gitlab@5fe0dc5d7afd56dc4ca180b8a551689a3d29714e) ([merge request](gitlab-org/gitlab!84836))
- [Fix redirect loop when requiring verification and experiment is inactive](gitlab-org/gitlab@b86df3dec50fa5e1cd4e8e4ca43b7c7e9375aed7) ([merge request](gitlab-org/gitlab!86644))
- [Gracefully handle invalid states when filtering environments](gitlab-org/gitlab@2e904d5fa4a7eda2ec9292f1f434c731cd2dcb69) ([merge request](gitlab-org/gitlab!87023))
- [Fix awards focus style overflow](gitlab-org/gitlab@ec78d2c4375aa064dd1f4a523c6588a9c9a906bf) ([merge request](gitlab-org/gitlab!86662))
- [Change cancel button variant/color to danger/red](gitlab-org/gitlab@3fcec98cffb3c7e44da55fc7a92d4b7d0a4ef3cd) by @leetickett ([merge request](gitlab-org/gitlab!87210))
- [Backfill finished_at when it is nil for successful deployments](gitlab-org/gitlab@261aac5c561cf07fc8e9a484b75dde6023069eee) ([merge request](gitlab-org/gitlab!85952))
- [Keep fragment identifier when performing an OAuth redirect](gitlab-org/gitlab@fe20857f1590c325d73069f5a54b7d98764fcfa9) ([merge request](gitlab-org/gitlab!86562))
- [Fix error with initializiation of protected environments feature](gitlab-org/gitlab@d367d9b5ce167562c07f90ab7744f3efff3b25ba) ([merge request](gitlab-org/gitlab!86560))
- [Fix group path suggestion bug](gitlab-org/gitlab@4868476ed4ef0e184b0b3f25fa2af219e7ce85ca) ([merge request](gitlab-org/gitlab!87032))
- [Fix Create Vulnerability button height on mobile view](gitlab-org/gitlab@24aa108870417b5bde249103612b8bcdd1d77da9) ([merge request](gitlab-org/gitlab!87040)) **GitLab Enterprise Edition**
- [Fix operations dashboard card pipeline background](gitlab-org/gitlab@cddc6cd451048a812f2625d7c339a9e29bbc2d50) by @mrtgncr733 ([merge request](gitlab-org/gitlab!84098))
- [Fix assignee filtering on group/issues list](gitlab-org/gitlab@15155add857883437f39e32fc0afa5343dca7f81) ([merge request](gitlab-org/gitlab!87164))
- [Only poll environment folder if expanded](gitlab-org/gitlab@2872703124c4f8769d3183f937eff8862c20a0dd) ([merge request](gitlab-org/gitlab!86823))
- [Change prop type inside the cleanup_status component](gitlab-org/gitlab@a7b9c8c77f955ffa30afb5b7876c1d551f2213da) ([merge request](gitlab-org/gitlab!87005))
- [Added update to epicsCount](gitlab-org/gitlab@d03883692be9bb5cf0403612cb7fa52dd8b760e9) ([merge request](gitlab-org/gitlab!87118)) **GitLab Enterprise Edition**
- [Add DeployTokenAuthor as new type of NullAuthor](gitlab-org/gitlab@75ce7596fc98995531dc3400cff5577e1555942c) ([merge request](gitlab-org/gitlab!87042)) **GitLab Enterprise Edition**
- [Fix error when fetching inherited security execution policy in GraphQL](gitlab-org/gitlab@707cf7e0586c8bc06b0a236c4a73a0a97d6184ff) ([merge request](gitlab-org/gitlab!86726)) **GitLab Enterprise Edition**
- [Fix redirect anchor on Web IDE admin settings](gitlab-org/gitlab@556cc586b4d249fc386205602e16db59e81093cf) by @vaiil ([merge request](gitlab-org/gitlab!86851))
- [Format dates as UTC](gitlab-org/gitlab@32b20c42b74da9e312e8ccc171e780631cdb32d5) ([merge request](gitlab-org/gitlab!86666)) **GitLab Enterprise Edition**
- [Preserve roadmap timeframe type in page URL](gitlab-org/gitlab@c64e9a0eadee17e0c059dd24d720871f793e1695) ([merge request](gitlab-org/gitlab!86975)) **GitLab Enterprise Edition**
- [Address several edge cases in ProcessSupervisor](gitlab-org/gitlab@625e38e0bcbafae12eddaa587d35c788a9c749bc) ([merge request](gitlab-org/gitlab!86677))
- [Fixes DAST Profile not found issue](gitlab-org/gitlab@b0d0ad0d92bb14e11d7801d9d1ee1aeb5a82ed53) ([merge request](gitlab-org/gitlab!86557)) **GitLab Enterprise Edition**
- [Replicate deletion of remote stored files](gitlab-org/gitlab@3a073a26c71f17ea6b9155ad16e4517e259af19d) ([merge request](gitlab-org/gitlab!80007)) **GitLab Enterprise Edition**
- [Update column name for consistency](gitlab-org/gitlab@8bea9cf7c5763bd1de557c19a6867f7a99cec1f2) ([merge request](gitlab-org/gitlab!86829)) **GitLab Enterprise Edition**
- [Make group scope consistent for scan_finding rules](gitlab-org/gitlab@a2dbcecbc5ed46cfb438f014d6b70bb00237c573) ([merge request](gitlab-org/gitlab!85980)) **GitLab Enterprise Edition**
- [Re-add usage_data_diff_searches flag](gitlab-org/gitlab@1369a5d2bbe4b251f37faa26359f591b49c5c81e) ([merge request](gitlab-org/gitlab!86603))
- [Increase read timeout for Jira requests](gitlab-org/gitlab@0fd91bf93f624425da373946cbfc08b5c6737ad0) ([merge request](gitlab-org/gitlab!86439))
- [Fix the button distance on the milestone page](gitlab-org/gitlab@86131e7b479755cd8f39d64608844689069bfc35) ([merge request](gitlab-org/gitlab!86360))
- [Fix DORA metric Graphql type](gitlab-org/gitlab@71cecbffcb06e4d135f952dd5013ce30be2937c0) ([merge request](gitlab-org/gitlab!86246)) **GitLab Enterprise Edition**
- [Enable admin to see project level MR analytics](gitlab-org/gitlab@4f63f821e2ec86f555940318efa1ed08b899c51d) ([merge request](gitlab-org/gitlab!86761)) **GitLab Enterprise Edition**
- [Return 404 on Jira issues if integration inactive](gitlab-org/gitlab@d3f0464ace554aee871d3c1a58a8d40d464e39e4) ([merge request](gitlab-org/gitlab!84916)) **GitLab Enterprise Edition**
- [Find feedback based on UUID](gitlab-org/gitlab@86f296954e88ce17300546f9a327ce8c5fb4b1f4) ([merge request](gitlab-org/gitlab!82143)) **GitLab Enterprise Edition**
- [Set ProjectAttributesPipeline to be a file extraction pipeline](gitlab-org/gitlab@2d9c37eaee9e5241519a08d2dd9930adde08cebc) ([merge request](gitlab-org/gitlab!86597))
- [Add deploy token handling in audit event generation](gitlab-org/gitlab@2d08a6ba99c134a6cf68508ecc10ca72f998549e) ([merge request](gitlab-org/gitlab!86563)) **GitLab Enterprise Edition**
- [Include only opened epics in issue bulk actions](gitlab-org/gitlab@e410346eb656b1d25595d6de99feb78d036f36f2) ([merge request](gitlab-org/gitlab!85315)) **GitLab Enterprise Edition**
- [Add missing restrict_gitlab_migration to migration](gitlab-org/gitlab@8ea0d70f3af35c5ba81c1cd9732bce0dceed5e7d) ([merge request](gitlab-org/gitlab!86645))
- [Add error handling for sec config license fetch](gitlab-org/gitlab@bcf8dbe0227488df3bdc69f2efdb455c0403f7b2) ([merge request](gitlab-org/gitlab!86619)) **GitLab Enterprise Edition**
- [Keep "No parent" when page is refreshed](gitlab-org/gitlab@44934b7044ad1661b9a1dbd8d68faa7d14e1b75b) ([merge request](gitlab-org/gitlab!86430))
- [Fix bug when reinstalling Slack app](gitlab-org/gitlab@8ee61098b09204858939bf4ee9ab223c6654e842) ([merge request](gitlab-org/gitlab!86358)) **GitLab Enterprise Edition**
- [Remove duplicate records to fix PG::CardinalityViolation on ingestion](gitlab-org/gitlab@1f8deee0c57d3ea2953c18cbc43d507e7934ee7b) ([merge request](gitlab-org/gitlab!86559)) **GitLab Enterprise Edition**
- [Skip initializers in the doctor:secrets task for encrypted data](gitlab-org/gitlab@fccb3ba72590f8ba0d04d39400fbf7875626858b) ([merge request](gitlab-org/gitlab!86491))
- [Fix wiki form not rendering on validation error](gitlab-org/gitlab@acc081e35e55e68cf9f343303dc27c289e422a05) ([merge request](gitlab-org/gitlab!86492))
- [Show operation id's by default (SwaggerUI)](gitlab-org/gitlab@6c50f911464697350420326cafd13fdb89e7a2e7) ([merge request](gitlab-org/gitlab!86651))
- [Fix typo in event destination GQL docs](gitlab-org/gitlab@1df68a425f155de41ff9b59758416c1ad57ea372) ([merge request](gitlab-org/gitlab!86486)) **GitLab Enterprise Edition**
- [Update modal token when its resetting](gitlab-org/gitlab@e7938c9aeeac4b8757705a46040aa6a01a3bb1f6) ([merge request](gitlab-org/gitlab!86428))
- [Forbid recursion during Feature.enabled?](gitlab-org/gitlab@b09353035489aa64ebbce1bea2974155c0e55406) ([merge request](gitlab-org/gitlab!82514))
- [Make minute limit banner dismissible](gitlab-org/gitlab@bbf4b3da8e4f45796d4611a4d1e9d9d98a597352) ([merge request](gitlab-org/gitlab!86378))
- [Load group Vulnerability Report when only subgroups have projects](gitlab-org/gitlab@b7a7d1693d09a66f1c2cda274eb3a1d911d310a6) ([merge request](gitlab-org/gitlab!86485)) **GitLab Enterprise Edition**
- [Fix modal backdrop in dark mode](gitlab-org/gitlab@e29e5f799016b3e69d1813a03ea612d255515448) ([merge request](gitlab-org/gitlab!84678))
- [Fix blob header responsiveness](gitlab-org/gitlab@cd80397a84340a216d9126e03e599978eef0dec1) ([merge request](gitlab-org/gitlab!86345))
- [Fix CRM issue search with vue_issues_list](gitlab-org/gitlab@ac79a7210cc55d4d892047a2f3f31dc92a585d4a) by @leetickett ([merge request](gitlab-org/gitlab!86135))
- [Use `initialTitle` prop as is for title component](gitlab-org/gitlab@7d1452691dee27f188ba6895236c6862530e577f) ([merge request](gitlab-org/gitlab!86341))
- [Allow auditor to read project MR analytics](gitlab-org/gitlab@1b458b7764ee6e0e19c9b400df9610e0f1a270c0) ([merge request](gitlab-org/gitlab!85509)) **GitLab Enterprise Edition**
- [Fix CRM drawer positioning](gitlab-org/gitlab@56553fecf0ba865bece21a03d65b19d4f4e69755) by @leetickett ([merge request](gitlab-org/gitlab!86187))
- [Fix transparent table header background on vulnerability report](gitlab-org/gitlab@5c33e879eef0ae0d6ec4a49cfc5e9a82cd05f33e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85872)) **GitLab Enterprise Edition**
- [Migrate form to allow render of UI components](gitlab-org/gitlab@45da409e10b80faa05916f009150027ef662b4cc) ([merge request](gitlab-org/gitlab!86280)) **GitLab Enterprise Edition**
- [Prevent CRM actions when feature disabled](gitlab-org/gitlab@70a4b960a821fad9b3b123a820b4e9bc058df1f5) by @leetickett ([merge request](gitlab-org/gitlab!84930))
- [Move CI pipelines migration to a lower stage during Gitlab Migration](gitlab-org/gitlab@01c1dcad9644821b740cdd682ff743e4386a55f2) ([merge request](gitlab-org/gitlab!86145))
- [Fix next badge margin](gitlab-org/gitlab@f2406c371926296e97a577b69d5c913d898c9a3f) ([merge request](gitlab-org/gitlab!86127))
- [Fix quota counting issue on invite quota limits](gitlab-org/gitlab@a7cdfbebb04bef2ae530ed67df8b2f149e6310ab) ([merge request](gitlab-org/gitlab!86249)) **GitLab Enterprise Edition**
- [Fix browser history for group/project issues page](gitlab-org/gitlab@70e0a043806a24314dfb63acb693c2ba13f75552) ([merge request](gitlab-org/gitlab!85648))
- [Fix ZenTao integration when api_url is setup](gitlab-org/gitlab@139637ffed6db11703552ab2fa1920d2311d4b09) by @chaomao ([merge request](gitlab-org/gitlab!85568))
- [Allow create_merge_request_in when download_code is allowed](gitlab-org/gitlab@20b83c002dafc22a4d514aad506e749d1620a6d2) ([merge request](gitlab-org/gitlab!86102))
- [Enable the FF ci_expand_environment_name_and_url](gitlab-org/gitlab@42bc8c390c911eacc0a7adac58d68ac1f54c51cd) ([merge request](gitlab-org/gitlab!86163))
- [Remove outdated loop prevention check](gitlab-org/gitlab@b3040a1c4bba383d18da86a7f2999be48f773076) by @andreas.kloeckner ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85832))
- [Allow admin to edit requirements](gitlab-org/gitlab@fa3feb2ccab021c26e29140ac83a96418fb8d64b) ([merge request](gitlab-org/gitlab!84898)) **GitLab Enterprise Edition**
- [More consistent copy to clipboard buttons](gitlab-org/gitlab@54d7ef7bcb23ec202d457f28fbd3b6e1a4344f6b) ([merge request](gitlab-org/gitlab!84783))
- [Use pathIdSeparator to format linked epic ref](gitlab-org/gitlab@1c2da6fb500aa639ef2e2990647127a8571193ef) ([merge request](gitlab-org/gitlab!85991))
- [Fix eslint errors and jest snapshot test](gitlab-org/gitlab@50fa1e57c383a4dbe08a2811bc20fb519533f924) by @Ffinnis ([merge request](gitlab-org/gitlab!85813))
- [Parse only the related artifacts](gitlab-org/gitlab@5eb7addf8413132f5d1206d80d72bc9007b05c6f) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85963)) **GitLab Enterprise Edition**
- [Hide iteration menu from user namespaced project](gitlab-org/gitlab@05f29587a51394048497c9b59a1fb1a5a502a87f) ([merge request](gitlab-org/gitlab!85981)) **GitLab Enterprise Edition**
- [Fix mermaid copy to clipboard button](gitlab-org/gitlab@bfc8c5f6e079a62a8440d5e3cbddde804cb1b2cb) by @leetickett ([merge request](gitlab-org/gitlab!83202))
- [Resolve "Reorder HEAD tags for better performance"](gitlab-org/gitlab@585b143419481b9bd47fb778a517498092e1999b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85808))
- [Remove create_project_settings feature flag](gitlab-org/gitlab@8859b99e6c0ea5012d02b125a491dd36ed84825a) ([merge request](gitlab-org/gitlab!85804))
- [Use root ancestor group in buy minutes path](gitlab-org/gitlab@87a1a81ab0237e8b2b6662982251d1d96c6ec029) ([merge request](gitlab-org/gitlab!85628)) **GitLab Enterprise Edition**
- [Expose url on discussion award emoji](gitlab-org/gitlab@5583c0b358e3c710b7c09893a4b13e0dcb66cb8c) ([merge request](gitlab-org/gitlab!85777))
- [Nullify merge_request_metrics pipeline_id on pipeline deletion](gitlab-org/gitlab@4cbd01b17a3d32bd3abb08c9e7e00c5be03313ea) ([merge request](gitlab-org/gitlab!84919))
- [Fix alignment of cannot merge icon in sidebar](gitlab-org/gitlab@148464828e0ae5ae5d5cf1188614f36111177102) ([merge request](gitlab-org/gitlab!85754))
- [Resolve project filter dropdown overflowing on long names](gitlab-org/gitlab@cbade267c8b8e1369fd761564119f88c99a2a934) ([merge request](gitlab-org/gitlab!85499))
- [Fix left over resources when unassigning](gitlab-org/gitlab@f41087b961a4d6339fbeda237e347db52fcf1bbd) ([merge request](gitlab-org/gitlab!84835)) **GitLab Enterprise Edition**
- [Fix mappings errors for ES6.8](gitlab-org/gitlab@99fcfa1c5103030098a785fa115205ab852b0cdd) ([merge request](gitlab-org/gitlab!85633)) **GitLab Enterprise Edition**
- [Fix ee css bundles not loading](gitlab-org/gitlab@4c355940e7d7707011ff0ee46e839ef50360771f) ([merge request](gitlab-org/gitlab!85665))
- [Fix missing DB duration keys for multiple databases](gitlab-org/gitlab@1dfdb09d35e5e16e4653a0010fce046f626389dd) ([merge request](gitlab-org/gitlab!85657))
- [Use the authoritative file sort to order discussions](gitlab-org/gitlab@4557097f5b72c09a7300268cb1dd7e88519cf395) ([merge request](gitlab-org/gitlab!85536))
- [Prevent orphaned JobArtifacts in SSF](gitlab-org/gitlab@b1c3955e8fdcb86d4ae6413ad3d7f17f5d8c951f) ([merge request](gitlab-org/gitlab!79530)) **GitLab Enterprise Edition**
- [Fix color picker focus when clicking on a label](gitlab-org/gitlab@ee942f6398332f205b5ce2ff1bbc70fb84f55fcf) by @FFxSquall ([merge request](gitlab-org/gitlab!85626))
- [Fix regression in reactive cache implementation for Environment model](gitlab-org/gitlab@40363951b44b7927b9dcee908350cbab34cc7e08) ([merge request](gitlab-org/gitlab!85603))
- [Match dotenv variable limits across subscription plans](gitlab-org/gitlab@1868ff6c3826d47280269802e04342b029fce908) ([merge request](gitlab-org/gitlab!85613))
- [Fix check in license load rake task](gitlab-org/gitlab@539379c980a1cc6b13b459847efd58f23e807cbf) ([merge request](gitlab-org/gitlab!85524)) **GitLab Enterprise Edition**
- [Resolve group_path to full_path when creating compliance frameworks](gitlab-org/gitlab@1af0f1ddd3144ceec74b2ae96f0d79d74eae2ce2) ([merge request](gitlab-org/gitlab!85363)) **GitLab Enterprise Edition**
- [Disable STI behavior on `MigrationRecord`](gitlab-org/gitlab@d3f44f73a407841d80b602a23b82cec167ce1d89) ([merge request](gitlab-org/gitlab!85577))
- [Use execCommand(‘insertText’) to fix undo](gitlab-org/gitlab@c903121cfe28bbe65657daeeef3183c47d548ae6) ([merge request](gitlab-org/gitlab!84900))
- [Run repository checks if Geo is not enabled](gitlab-org/gitlab@e85272fb0a3c5c7f4ecd7edbb24d5cabe8f7aa0d) ([merge request](gitlab-org/gitlab!85333)) **GitLab Enterprise Edition**
- [Fix font weight for snippet count](gitlab-org/gitlab@999cf0d70a3c14649260fcfeb28bec75e5c51b31) ([merge request](gitlab-org/gitlab!85361))
- [Add newDirectoryPath computed prop](gitlab-org/gitlab@e7d8782dea91aed5a2acb86b24b27d1548759508) ([merge request](gitlab-org/gitlab!83574))
- [Fix unintended line breaks were inserted using Japanese IME on MacOS](gitlab-org/gitlab@ab311c743351d4072233e06ec21505ed1c7e6e7c) by @hiroponz ([merge request](gitlab-org/gitlab!85210))
- [Set started_at only once](gitlab-org/gitlab@f5af507f856353e0b7abd02ec99636a4e841b22a) by @Taucher2003 ([merge request](gitlab-org/gitlab!84228))
- [Fix manual pipeline icons in dark mode](gitlab-org/gitlab@c4d3a99ba367f2f144281c488fb6c87a10856073) ([merge request](gitlab-org/gitlab!85481))
- [Assign commands should be case insensitive](gitlab-org/gitlab@64f84493181dbe01724687c68dd9dc363a6dfe9e) ([merge request](gitlab-org/gitlab!85434))
- [Fix repository analytics ref dropdown](gitlab-org/gitlab@afca9c4fdfc33811b9f658f4291ac64d78364f9d) ([merge request](gitlab-org/gitlab!85113))
- [Use primary for internal registry migration API](gitlab-org/gitlab@b93d11164f556aff657a880d0a8bdaf7f7c47da3) ([merge request](gitlab-org/gitlab!85423))
- [Fix raising error in reactive cache setter of kubernetes platform](gitlab-org/gitlab@5f01e1efe5367a04c318279f02e6440795341659) ([merge request](gitlab-org/gitlab!85105))
- [Fix test case by avoiding lazy evaluation](gitlab-org/gitlab@712e13fee85086e81759c748c1d242b1a42226c4) ([merge request](gitlab-org/gitlab!84607)) **GitLab Enterprise Edition**
- [Show Infrastructure menu item for auditors](gitlab-org/gitlab@99873e269c163716f1dfb43d3dc2aa68b7e31341) ([merge request](gitlab-org/gitlab!85191)) **GitLab Enterprise Edition**
- [Wait until ArkoseLabs token is set before resubmitting](gitlab-org/gitlab@3eea2ff9f27b097bfd5f7d2c1d860da26f1d8fc6) ([merge request](gitlab-org/gitlab!85324))
- [Group analytics lookup group by full_path only](gitlab-org/gitlab@0035f90c991e228268c6b0e2b8ed75e450565ee5) ([merge request](gitlab-org/gitlab!84188)) **GitLab Enterprise Edition**

### Changed (239 changes)

- [Allow MR approvals API endpoint for auditors](gitlab-org/gitlab@70146f7a0de839946f2abd313864aaac67a6d6b9) ([merge request](gitlab-org/gitlab!87347)) **GitLab Enterprise Edition**
- [Enable feature and clean up feature flags](gitlab-org/gitlab@e3086dff8a6da8fc29f0c49ee19478adab8ba15b) ([merge request](gitlab-org/gitlab!87509))
- [Added link to invite users to contribute to translations](gitlab-org/gitlab@7a771c5793619acba39d6a36349d9a48005c075e) by @anshulriyal ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/87531))
- [Reset skipped container repositories](gitlab-org/gitlab@4227c27e528262a46fae4cdbae11b73618f23411) ([merge request](gitlab-org/gitlab!86801))
- [Moves locking of merge request to dropdown](gitlab-org/gitlab@520e7c855a4976a4d27205922252f9ff7b9ff12c) ([merge request](gitlab-org/gitlab!87539))
- [Moves the To Do button down](gitlab-org/gitlab@1ce405186ee56cb66e98a2ecf2a07f42009afae8) ([merge request](gitlab-org/gitlab!87502))
- [internal/git: Pass in GL_ID, GL_USERNAME to receive-pack and upload-pack](gitlab-org/gitlab@f3a9111f93e9f6975410fcc7e8853a844708cb7a) ([merge request](gitlab-org/gitlab!87305))
- [Project-level Secure Files upload/remove UI](gitlab-org/gitlab@1215f81f30f85eff73ee0d270e41eeee4ae5fef0) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/86293))
- [Move backend documentation paths to frontend for vulnerability report](gitlab-org/gitlab@a0d9e17e39a16f3fef86bf0c44af8276fd2948dd) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/86833)) **GitLab Enterprise Edition**
- [Split text for kbd shortcut](gitlab-org/gitlab@e6eba97e6dece78ad7e3ff2771b1d47c80c6e93c) ([merge request](gitlab-org/gitlab!85261))
- [feature_flags: Default-enable use of filtered quarantine commits](gitlab-org/gitlab@5c3045197c653669cad0776ded632eb419b1afcb) ([merge request](gitlab-org/gitlab!87765))
- [Add permissions to pre-existing commit documents](gitlab-org/gitlab@64442fcef64d07d43a8034c542785c5df0080f31) ([merge request](gitlab-org/gitlab!78562)) **GitLab Enterprise Edition**
- [Change way default CSP is loaded from config](gitlab-org/gitlab@3d2ee43e78c7bdcbd21ce7a294cf2f8606929f6b) ([merge request](gitlab-org/gitlab!80303))
- [Remove logic from Secret Detection script](gitlab-org/gitlab@00b67709164de811634da69a84f66710197d587b) ([merge request](gitlab-org/gitlab!86715))
- [Remove vertical padding on branch names](gitlab-org/gitlab@2bed3767f60714b8844c7e52f808e77b3b248af3) ([merge request](gitlab-org/gitlab!87595))
- [Expose RootStorageStatistics#container_registry_size vis GQL](gitlab-org/gitlab@d65f76475590a7c61ee9796dcfeaea6637ad8f0b) ([merge request](gitlab-org/gitlab!87443))
- [Update ServicePing metric category to Operational](gitlab-org/gitlab@30e8b2ce214789bc196b945808cfaf6297c0fbc7) ([merge request](gitlab-org/gitlab!87585))
- [Hides images on ipynb diff](gitlab-org/gitlab@7478dc10a657cdc4b5712f32ab8f626163a3cfc3) ([merge request](gitlab-org/gitlab!87669))
- [Improve vulnerability report mobile layout](gitlab-org/gitlab@fa3923e6c87161313f01c55f19955c4b4ad61654) ([merge request](gitlab-org/gitlab!87124)) **GitLab Enterprise Edition**
- [Turn resolved threads badge green when resolved](gitlab-org/gitlab@830799a1fc16c14fefba16aff595281f3b693dae) ([merge request](gitlab-org/gitlab!87594))
- [Update order of MR header buttons](gitlab-org/gitlab@82e31fc258d300c5ce9e1e30c7171371c82e9472) ([merge request](gitlab-org/gitlab!87286))
- [Add shared runner data to usage quota](gitlab-org/gitlab@0200cae44691bb50a5eceedb6f633b570060d804) ([merge request](gitlab-org/gitlab!86983))
- [Update SAST IaC analyzer major version](gitlab-org/gitlab@7d213f7b22b3d8f4702d650e635afdf74b9b0498) ([merge request](gitlab-org/gitlab!87316))
- [Changed :deletion_adjourned_period to a number field](gitlab-org/gitlab@38d00064faf6be65a8ba4f59ce38019c3aa0ef8c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/87422)) **GitLab Enterprise Edition**
- [Remove unused CSS class](gitlab-org/gitlab@793cbfeb7d0d4826e55281e20a0e9325a2841671) by @mehulsharma ([merge request](gitlab-org/gitlab!86521))
- [Use active sidekiq router's queues for sidekiq/queue_metrics API](gitlab-org/gitlab@7d3ad3bd05f6290b9bda8c8f8f4fc799be731c44) ([merge request](gitlab-org/gitlab!87524))
- [Rename confidential notes to internal notes](gitlab-org/gitlab@5becc4226e1fa04cd97427dc81917605df1f6d01) ([merge request](gitlab-org/gitlab!87403)) **GitLab Enterprise Edition**
- [Change the text is made bold](gitlab-org/gitlab@53bd799ed9cc50aaaac152f0e351fe0a48c02bd8) ([merge request](gitlab-org/gitlab!87456)) **GitLab Enterprise Edition**
- [Migrate create label button](gitlab-org/gitlab@7d9b3802ce1d733b15c5e03b896723fe894228a3) ([merge request](gitlab-org/gitlab!86859))
- [Update MR merge conflict HTML email](gitlab-org/gitlab@f6afb84f78c6860664b28a70b19932162bc45e92) ([merge request](gitlab-org/gitlab!87350))
- [Change certificate_based_clusters FF default to false](gitlab-org/gitlab@d8673ae9577f6400560c5a651aaea16fb7ac3feb) ([merge request](gitlab-org/gitlab!85632))
- [Add error alert for Elasticsearch version incompatible](gitlab-org/gitlab@8d24dad3dd8afde5e8c1fd1b464d35374b241cfe) ([merge request](gitlab-org/gitlab!87301)) **GitLab Enterprise Edition**
- [Move backend documentation paths to frontend for vulnerability report](gitlab-org/gitlab@57a37e24eab5caa4b4c99a6db82b22c6b20a0d45) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/86833)) **GitLab Enterprise Edition**
- [Test one remediation solving two vulnerabilities](gitlab-org/gitlab@78e918035892271b9821df96b03b48402dbb04fc) ([merge request](gitlab-org/gitlab!87291)) **GitLab Enterprise Edition**
- [Improve Security::Validators::SchemaValidator specs](gitlab-org/gitlab@78fb5becbf47abc868bbd0688ff7ee2868617c2a) ([merge request](gitlab-org/gitlab!87445))
- [Update issuable state badge style](gitlab-org/gitlab@f99d6df2faaf1451a4a99a0af5da951b5dc33743) ([merge request](gitlab-org/gitlab!86772))
- [Change style of trigger job in pipeline graph](gitlab-org/gitlab@4db4332e3ad0f2ab85e416deec997cd21eb41bd6) ([merge request](gitlab-org/gitlab!86572))
- [Add props for cancel button](gitlab-org/gitlab@a38bb7a3f37e5217378524cab22064a08a05194f) by @HerrShmulke ([merge request](gitlab-org/gitlab!86307))
- [Migrate todo button in collapsed sidebar](gitlab-org/gitlab@a16fb824c160d1ed7b6971f46df024e1bd000abf) ([merge request](gitlab-org/gitlab!86910)) **GitLab Enterprise Edition**
- [Background Migrations - Cleanup Margins](gitlab-org/gitlab@5ab2bb03d70c9b5814ce30f38607b4f85467226c) ([merge request](gitlab-org/gitlab!87017))
- [Expand navbar search field when focused](gitlab-org/gitlab@03402d5af24895a51ffcf71f5f51043e13ddd897) ([merge request](gitlab-org/gitlab!84187))
- [Removes status checks add status field feature flag](gitlab-org/gitlab@7e026a62b45b6e3e5c9ff96c9f70030ae409f23f) ([merge request](gitlab-org/gitlab!87108)) **GitLab Enterprise Edition**
- [Persist group name and use path for destination name](gitlab-org/gitlab@970ed310e2246bae0874414c7980c8747f98099b) ([merge request](gitlab-org/gitlab!87077))
- [Migrate button in service desk settings](gitlab-org/gitlab@b9216524521de74e36b09486ce1f1e050334373a) ([merge request](gitlab-org/gitlab!86856))
- [Update GITLAB_KAS_VERSION to 15.0.0](gitlab-org/gitlab@fe43437dc6f66e8e453e45d2a35b176a01ac791c) ([merge request](gitlab-org/gitlab!87342))
- [Fix invalid automatic cadence records](gitlab-org/gitlab@e32e93e17615ef1eb0d389d7014cc09dfa75ce51) ([merge request](gitlab-org/gitlab!86626))
- [API: Runner status can return "stale"](gitlab-org/gitlab@300caebb47cf22d3e47c9e7b33599bd601d9d46c) ([merge request](gitlab-org/gitlab!85925))
- [Enable enhanced_notify_css by default](gitlab-org/gitlab@c3823b552b27306e9bf733a55bbbce35b65e9175) ([merge request](gitlab-org/gitlab!87024))
- [Migrate purchase storage buttons to confirm](gitlab-org/gitlab@09ca7baf17a8311f230c2bb7f6d8d330f450abb8) ([merge request](gitlab-org/gitlab!86847))
- [Migrate create jira issue button](gitlab-org/gitlab@0e11ca742448792d3fb0aae51e77a31b16fbdc17) ([merge request](gitlab-org/gitlab!86863)) **GitLab Enterprise Edition**
- [Use tertiary confirm dropdown for version switcher](gitlab-org/gitlab@66d17d72664e1dc5aa77162cfbf7d6caa8ef2b9f) ([merge request](gitlab-org/gitlab!86815))
- [Change discussions to threads in mr settings](gitlab-org/gitlab@6097d8c24149bd0b40704479b94c1dc52c2a2ea1) ([merge request](gitlab-org/gitlab!87309))
- [Update SAST analyzer major versions](gitlab-org/gitlab@6a5913ed136412271a42e7f382de8135e7ad5c5d) ([merge request](gitlab-org/gitlab!87292))
- [git: Parse and display gitaly limit error](gitlab-org/gitlab@485fe2c85599768477f94615d363a3fc543924c1) ([merge request](gitlab-org/gitlab!85851))
- [Removing permissions attribute from Secure Files model](gitlab-org/gitlab@92a8c55022fa92c0eb147cd2fe9c976850c64f3a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/86598))
- [Enable approval status new names feature](gitlab-org/gitlab@cb3336c0c6ed3b160980163ba46fb29a0b3dc6c9) ([merge request](gitlab-org/gitlab!85932)) **GitLab Enterprise Edition**
- [Update stable Terraform and add stable SAST-IaC template](gitlab-org/gitlab@0fd52cb448a96f1b3c63e652c0edf1173893cc8b) ([merge request](gitlab-org/gitlab!86275))
- [Migrate button in move for test cases](gitlab-org/gitlab@2f6d2cf5252b6feb747ac20a03e6b8c82cdf2582) ([merge request](gitlab-org/gitlab!86861))
- [Update lock invite options](gitlab-org/gitlab@b23f6f7a18dbe7e0856e4d0c43dcfb1ed1442a4e) ([merge request](gitlab-org/gitlab!86571))
- [Update package namespace settings permissions](gitlab-org/gitlab@14bcd0d863e3dfdc886997aa07180294ee3a139e) ([merge request](gitlab-org/gitlab!86281))
- [Remove head-variant from GlTable](gitlab-org/gitlab@bf498f9cbd8f29bd83552e1c1a634b3a64fe6dc7) ([merge request](gitlab-org/gitlab!87086))
- [Migrate create iteration button to confirm](gitlab-org/gitlab@0cf24f020d9e0a4ca81ed69e16f804014489dd04) ([merge request](gitlab-org/gitlab!86826))
- [Migrate approve with password modal](gitlab-org/gitlab@d24ec2b8b5c1cbf7f81b772e70bf154fcc352710) ([merge request](gitlab-org/gitlab!86867)) **GitLab Enterprise Edition**
- [Migration with access_token for approval project](gitlab-org/gitlab@ff3713f5e759cabe04bdb85bdd520e9c10be7311) ([merge request](gitlab-org/gitlab!82855)) **GitLab Enterprise Edition**
- [Replace issuable sort dropdown](gitlab-org/gitlab@36316db5cff0820ae9ef08fdc5c3d9d73bb3df81) ([merge request](gitlab-org/gitlab!84718))
- [Remove sudo runner registration instructions macos](gitlab-org/gitlab@2c995f846f272e2711bf3484322fc40c63023e69) ([merge request](gitlab-org/gitlab!86455))
- [Add GlBadge with link to Jira vulnerabilities](gitlab-org/gitlab@a4b974beb54e32885c55999b5dde1b5bea19dcb7) ([merge request](gitlab-org/gitlab!86897)) **GitLab Enterprise Edition**
- [Do not update project stats for incremental repack](gitlab-org/gitlab@2a91a8d898093cfa5ee10ecbecad02f6e7722f46) ([merge request](gitlab-org/gitlab!86797))
- [Migrate empty state button for needs](gitlab-org/gitlab@7d4af2c9aad91724a83f968930a1d490c9d7614e) ([merge request](gitlab-org/gitlab!86855))
- [Move report not configured components into specific folders](gitlab-org/gitlab@6686a7a5725a048fc04047d625b22e5bccc03736) ([merge request](gitlab-org/gitlab!86846)) **GitLab Enterprise Edition**
- [Upgrade DAST templates to version 3](gitlab-org/gitlab@8d10cd040bc0b4f74c3fe5950a70275b65caf4c4) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/87183)) **GitLab Enterprise Edition**
- [Bring Container Scanning to Free](gitlab-org/gitlab@f77432ecac476ed91711da6cbfda5d6b6b1ee369) ([merge request](gitlab-org/gitlab!86783))
- [Fix(Subscription errors): handle expired + general](gitlab-org/gitlab@bf16dde7581a2ea25609d4e4c24659265f9146bf) ([merge request](gitlab-org/gitlab!86786)) **GitLab Enterprise Edition**
- [Update dependency proxy settings permissions](gitlab-org/gitlab@a76b7c8ea9da0271a9941d23518943f548ec2ba6) ([merge request](gitlab-org/gitlab!86200))
- [Migrate button in vulnerability history](gitlab-org/gitlab@8422db06551304f26e4ef23e34b96eceb6acde2d) ([merge request](gitlab-org/gitlab!86853))
- [Migrate merge button to confirm](gitlab-org/gitlab@4a9e2341b9377045df5c610ce9228210239ec674) ([merge request](gitlab-org/gitlab!86857))
- [Migrate create incident button](gitlab-org/gitlab@dd583d78b1ead57943bb1e971d44a15805b3b222) ([merge request](gitlab-org/gitlab!86869))
- [Migrate fork button in diff file](gitlab-org/gitlab@99739ba813f3c814f0fbd011ca6a034776bb812d) ([merge request](gitlab-org/gitlab!86880))
- [Migrate checkbox to require Jira issue](gitlab-org/gitlab@93a2b15c8d4ca8af49c84e767a01cf987a973a32) ([merge request](gitlab-org/gitlab!86925)) **GitLab Enterprise Edition**
- [Update container cleanup policy permissions](gitlab-org/gitlab@16e74831abedda602ebc513b6aee232a3710f7f3) ([merge request](gitlab-org/gitlab!86196))
- [Migrate cluster buttons to confirm](gitlab-org/gitlab@5817c42b7788984cb637ac3bc510531c6fcc0346) ([merge request](gitlab-org/gitlab!86818))
- [Update auto-deploy-image to v2.26.0](gitlab-org/gitlab@f7e1024f22bd14079d2d0fd85684072b431ed171) ([merge request](gitlab-org/gitlab!87049))
- [Prevent changing out of hierarchy sharing](gitlab-org/gitlab@3d7737a00bd2a2b095e183300f6e5f31e53692f9) ([merge request](gitlab-org/gitlab!84968)) **GitLab Enterprise Edition**
- [Changes labels on merge request dropdown](gitlab-org/gitlab@3577c82331afc5ac8ea6739d2325b10227d5a1f2) ([merge request](gitlab-org/gitlab!87029))
- [Geo - Remove legacy redirects](gitlab-org/gitlab@1e52d03cc0a1215e00ec7902f4a02d4eaa5ef02e) ([merge request](gitlab-org/gitlab!86691)) **GitLab Enterprise Edition**
- [Update documentation for environment multiple stop actions](gitlab-org/gitlab@af48ae413d14e8772491ea8f6d26f5a3600f4e2c) ([merge request](gitlab-org/gitlab!86982))
- [Deprecate GraphQL type for Network Policies](gitlab-org/gitlab@2b56c9294eaac07956f39fd5581182e04d04684e) ([merge request](gitlab-org/gitlab!86204)) **GitLab Enterprise Edition**
- [Deprecate threat_monitoring from GraphQL enum for alerts](gitlab-org/gitlab@90f07c73032ec9431a1355af1f9af3f6f9edca72) ([merge request](gitlab-org/gitlab!86755)) **GitLab Enterprise Edition**
- [Migrate checkboxes when editing runners](gitlab-org/gitlab@0dd7165329fbc7c2ba80563cb89958aeeeed680b) ([merge request](gitlab-org/gitlab!86911))
- [Reduce frequently visited projects/groups timeout](gitlab-org/gitlab@22cec9213dfdaeb8115e26b7ff35e87685d5edca) ([merge request](gitlab-org/gitlab!87004))
- [Migrate view incident button to confirm](gitlab-org/gitlab@2119746c6d8779df0194de7168b020ebf0dd5b4d) ([merge request](gitlab-org/gitlab!86870))
- [Migrate button in increase storage modal](gitlab-org/gitlab@9bce6442c662e47d720e0b211797a2ba83827802) ([merge request](gitlab-org/gitlab!86848))
- [Migrate apply button in date picker](gitlab-org/gitlab@ff3117c64c66875a75e4919733cdaa7208b93a84) ([merge request](gitlab-org/gitlab!86858))
- [Update prometheus to 15.x in cluster-management template](gitlab-org/gitlab@3c9f937de38d0a62706691355d859509a04686c5) ([merge request](gitlab-org/gitlab!86790))
- [Migrate checkboxes for deploy tokens](gitlab-org/gitlab@502e92e77a38b8d9f679438db6838d2b21c83066) ([merge request](gitlab-org/gitlab!86914))
- [Migrate success button to confirm](gitlab-org/gitlab@d87440926d95e191de1474fab16ba945085decaa) ([merge request](gitlab-org/gitlab!86796))
- [Remove directly addressed references](gitlab-org/gitlab@6f5b3ad6cba4da53f8d7d2450d2d848007d0c89c) ([merge request](gitlab-org/gitlab!86109)) **GitLab Enterprise Edition**
- [Update documentation for failed status checks](gitlab-org/gitlab@600dd14b3ad4022715904f5d5e4d3de309f99468) ([merge request](gitlab-org/gitlab!86778))
- [Migrate use template button](gitlab-org/gitlab@85914d885ea543cd4812f8bb5a69c8c28bccd922) ([merge request](gitlab-org/gitlab!86879)) **GitLab Enterprise Edition**
- [Migrates button in vulnerability header](gitlab-org/gitlab@59041189a09af39ba4f93ceb75636bf615fbc4c6) ([merge request](gitlab-org/gitlab!86862))
- [Migrate create label button in sidebar](gitlab-org/gitlab@9b9b13aa3c541dd923ce04c63d37ae5c2114565c) ([merge request](gitlab-org/gitlab!86860))
- [Migrate add projects button to confirm](gitlab-org/gitlab@6a54a084010b62fe0bf89de7b71ecf28af365343) ([merge request](gitlab-org/gitlab!86827))
- [Remove security_scan_succeeded column](gitlab-org/gitlab@820f6aa42614388ebc50903a34912e9526fa411b) by @svdj ([merge request](gitlab-org/gitlab!86710))
- [Migrate add framework button to confirm](gitlab-org/gitlab@77030cf678bdf30302e08880ac1c19894ce30662) ([merge request](gitlab-org/gitlab!86821))
- [Migrate add to review button to confirm](gitlab-org/gitlab@4556f7d92c468ae39e98c7bf403afad4e4db1010) ([merge request](gitlab-org/gitlab!86820))
- [Remove FF for environment multiple stop actions](gitlab-org/gitlab@68c8c6666700ce57d1e1d6635a688e93b4f98245) ([merge request](gitlab-org/gitlab!86685))
- [Hides package delete action for users without permission](gitlab-org/gitlab@6c9f4e8a48d84b17473fba1c08035332170cd295) ([merge request](gitlab-org/gitlab!86618))
- [Change warning message on partial cleanup runs](gitlab-org/gitlab@76cdfa39e76abdf09c95f2c49eb9632e1e78e845) ([merge request](gitlab-org/gitlab!86494))
- [Add select all option for scanners](gitlab-org/gitlab@a22f392538c4bd2524f81777738e51f9d615a39b) ([merge request](gitlab-org/gitlab!86722)) **GitLab Enterprise Edition**
- [Add dependency proxy total size inside usage quotas](gitlab-org/gitlab@c8e71998ca8a231eb035161944fb130d9be5c178) ([merge request](gitlab-org/gitlab!86076))
- [Remove `new_vulnerability_form` feature flag](gitlab-org/gitlab@24158eda77b11ae5ad8ee9bfb7dd1dbdee17c9db) ([merge request](gitlab-org/gitlab!86542)) **GitLab Enterprise Edition**
- [Update edit profile page form styling](gitlab-org/gitlab@fa8ea02dec22b1c3d8c553e606d13937a938b67a) ([merge request](gitlab-org/gitlab!85274))
- [Add awaiting memberhips in billable members API](gitlab-org/gitlab@efce21d36c48789406519365188d2baaf3160c8b) ([merge request](gitlab-org/gitlab!86432)) **GitLab Enterprise Edition**
- [Remove integrations.type column](gitlab-org/gitlab@1eb84d516f3246040e49636de1a5ead15db7bdb9) ([merge request](gitlab-org/gitlab!80562))
- [Separate Sidekiq metrics and health-checks server](gitlab-org/gitlab@57ab5abd7e6f72c66205b228825a8bf58fea7d43) ([merge request](gitlab-org/gitlab!85815))
- [Feat(Legacy License): move to admin/settings page](gitlab-org/gitlab@b4fe2fe3f841f37a76aadad53a4c375035386de3) ([merge request](gitlab-org/gitlab!83591)) **GitLab Enterprise Edition**
- [Update Vulnerability Management database docs](gitlab-org/gitlab@b7555414d6aba0c7dec881c3482ff44e717e586d) ([merge request](gitlab-org/gitlab!85938))
- [Update text for the existing mr widget](gitlab-org/gitlab@6eb395c49604b1b44eda28ecdf0c7bfd1e7fa7c7) ([merge request](gitlab-org/gitlab!86558)) **GitLab Enterprise Edition**
- [Reset the original color for security rules](gitlab-org/gitlab@9e835d58ac8526870278529f7fddd53b4f3c2811) ([merge request](gitlab-org/gitlab!86720)) **GitLab Enterprise Edition**
- [Update search SystemCheck to latest versions](gitlab-org/gitlab@06faac081f1a567b32ba0010b1d0b95a2321bb60) ([merge request](gitlab-org/gitlab!85967)) **GitLab Enterprise Edition**
- [This MR adds new empty state](gitlab-org/gitlab@8e8de2153d5012c6027983cb65450aa5fe687969) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85451)) **GitLab Enterprise Edition**
- [Add updated date to to-do sort options](gitlab-org/gitlab@f235f87844adfe9ab40cefb90a3746886b756e6e) ([merge request](gitlab-org/gitlab!86601))
- [Update scan result policies related](gitlab-org/gitlab@a634955bd953feaafd157f8ee7372e11d7836b82) ([merge request](gitlab-org/gitlab!85744)) **GitLab Enterprise Edition**
- [Allow Slack app to be reinstalled](gitlab-org/gitlab@5964bd0b366e3e18252c67b410589bf07fbe8904) ([merge request](gitlab-org/gitlab!86369)) **GitLab Enterprise Edition**
- [Clean up error logging in integrations](gitlab-org/gitlab@b5c400b9dba3b50689847468b27a88abd6c759e6) ([merge request](gitlab-org/gitlab!86482))
- [Display feature flag name in edit page's title](gitlab-org/gitlab@583eb14406f809ea83d610c05aa9e81d753bb5f1) ([merge request](gitlab-org/gitlab!86650))
- [Use field DSL in CI integrations](gitlab-org/gitlab@57b0b3898666b387e67053274777909dec3bd53c) ([merge request](gitlab-org/gitlab!86453))
- [Replace Pages confirmation modals with GlModal](gitlab-org/gitlab@221373966fce6d1999b3f13d1d2728fe5fe0910d) ([merge request](gitlab-org/gitlab!79534))
- [Initial commit for skipped to created state](gitlab-org/gitlab@5ffd7b646f64e1016439ce157ac2867645bd2031) ([merge request](gitlab-org/gitlab!86041))
- [Upgrade warnings about deprecated commands](gitlab-org/gitlab@82825c874a2683225df9c320988bb765a5995265) ([merge request](gitlab-org/gitlab!86208))
- [Add margin to year dropdown](gitlab-org/gitlab@d3a74d23daf6dc8e7e48c236288cf8f2c7bc5cad) ([merge request](gitlab-org/gitlab!86565))
- [Enable omniauth_initializer_fullhost_proc by default for Geo SSO](gitlab-org/gitlab@9e9ae2cc2903a3c360ff704c3afd1fcef087c247) ([merge request](gitlab-org/gitlab!86480))
- [Improve shared runner toggle interations](gitlab-org/gitlab@bac9a922d42a70611e574800fd3927d94eed314d) ([merge request](gitlab-org/gitlab!85923))
- [Return back to runner view after successful edit](gitlab-org/gitlab@4fd2bba3f822d1ef8c666954ea5b25d452de607f) ([merge request](gitlab-org/gitlab!86552))
- [Visually separate DORA metrics from key VSA metrics](gitlab-org/gitlab@652f3d6aebf15385a1ea95f51e3c3ed345b8c1e4) ([merge request](gitlab-org/gitlab!86110))
- [Remove use of md5](gitlab-org/gitlab@3fe5afac0044177a8f1752d3eed1c58050dc3c80) by @mehulsharma ([merge request](gitlab-org/gitlab!86518))
- [Boards - Make scope indicator dynamic](gitlab-org/gitlab@269eb36f9b968ddbe5a91cb2d61a3bb184dcb4a6) ([merge request](gitlab-org/gitlab!86410))
- [Added Don’t filter milestone option to board scope](gitlab-org/gitlab@d3432e17019f698cba94cb15c688aed46ef1c766) ([merge request](gitlab-org/gitlab!84419)) **GitLab Enterprise Edition**
- [Lock invite options when reaches user limit](gitlab-org/gitlab@31b1c9b5c86e0d33af864b747c05fc86a059bfa2) ([merge request](gitlab-org/gitlab!85317))
- [Update GenericCommitStatus badges](gitlab-org/gitlab@1989a72bbbddf59c3fd499ae4e4d4096495e7cde) ([merge request](gitlab-org/gitlab!80307))
- [Improved title-related warning on test case](gitlab-org/gitlab@1c2276e13f68cccc5d42bfbf4cedf1ac8ac66e96) ([merge request](gitlab-org/gitlab!85797))
- [Remove redirection of outdated status](gitlab-org/gitlab@e465fbbc1fe15a979f7518c2bb8a38e66e0390fe) by @mehulsharma ([merge request](gitlab-org/gitlab!86427))
- [Updates delete icon button in runner table](gitlab-org/gitlab@fe0b3e4a5a80cf559d5eba955c59313051793918) by @mehulsharma ([merge request](gitlab-org/gitlab!86367))
- [Remove .thead-white class from GlTables](gitlab-org/gitlab@f6a912eb0bbe2e5c57c30a29e877922095c10a3b) ([merge request](gitlab-org/gitlab!86425)) **GitLab Enterprise Edition**
- [Update runner status summary upon filtering](gitlab-org/gitlab@fc0ee90c717464288b5e31019faa1825d4ab4332) ([merge request](gitlab-org/gitlab!86354))
- [Boards: Polish top buttons on mobile](gitlab-org/gitlab@2fb95f8148b15f6ba871d92a1afe46435f64222f) ([merge request](gitlab-org/gitlab!84436))
- [Gitaly: Increase timeout for repository_size to long_timeout](gitlab-org/gitlab@4f4a4f7fa91e0def8d229516e262c15d6ba1f107) ([merge request](gitlab-org/gitlab!86382))
- [Improve loading for work item detail](gitlab-org/gitlab@afe6883fb1f1bef68e8db9eec9adedeeb8485992) ([merge request](gitlab-org/gitlab!86324))
- [Stops hiding dependency proxy image prefix data behind loader](gitlab-org/gitlab@4cdfcbb64b84690f8f52c5d71d371fb17f79529e) ([merge request](gitlab-org/gitlab!85945))
- [Remove h2 from breadcrumbs](gitlab-org/gitlab@fd65894dfc85c9f8670a273f6f6bb0755a24f2c2) by @KevSlashNull ([merge request](gitlab-org/gitlab!76045))
- [Remove usages of deprecated `self_signed_cert` option](gitlab-org/gitlab@24273259d3558b9eeb8d47e031090119edfc746e) ([merge request](gitlab-org/gitlab!86137))
- [Migrate checkbox to GitLabUI](gitlab-org/gitlab@9b5d21f1cf7dd8eed14f0e81aa8adff10e3b5402) ([merge request](gitlab-org/gitlab!85572)) **GitLab Enterprise Edition**
- [Update copy text for self metrics toggle](gitlab-org/gitlab@65de662982f62d3d0926454f34c283d6c6ebb515) ([merge request](gitlab-org/gitlab!86213))
- [Boards - Fix click on label adds filter with new filtered search](gitlab-org/gitlab@6987d1ea485263d2b3162ae905b602a072a30f2f) ([merge request](gitlab-org/gitlab!75179))
- [Fix broken docs UI links](gitlab-org/gitlab@69c973e9a74d5f3352109e54a57b76528d46be29) ([merge request](gitlab-org/gitlab!85985))
- [Display loading spinner instead of text](gitlab-org/gitlab@f5e31eab07d996d53d231ea4337382946675cb3d) ([merge request](gitlab-org/gitlab!86132))
- [Use gitlab-ui checkbox for signin oauth settings](gitlab-org/gitlab@a9a0108f458247e33e7bc6894b25bd6ebbe456fd) ([merge request](gitlab-org/gitlab!86218))
- [Decrease priority of run pipeline button](gitlab-org/gitlab@4cb70848388c76b7ef1c26f840cf35ed1e356036) ([merge request](gitlab-org/gitlab!86316))
- [This MR adds new feature flag for DAST redesign](gitlab-org/gitlab@ee88c50d715dd63ba5d482887f512f7af7750e42) ([merge request](gitlab-org/gitlab!86165)) **GitLab Enterprise Edition**
- [Limit group invites from projects to also use prevent setting](gitlab-org/gitlab@c11eaf0694fdd40da0864e6591db67633a3cd150) ([merge request](gitlab-org/gitlab!85921))
- [Prevent projects creating group links outside hierarchy](gitlab-org/gitlab@4d9fe57034d71ce70fde2abc5d50d5c13bf3935e) ([merge request](gitlab-org/gitlab!85965))
- [Allow Reporters to admin milestones and iterations](gitlab-org/gitlab@249215af810669cd0240fb47b3f5728f9dcbaac4) ([merge request](gitlab-org/gitlab!85785))
- [Update issuable confidentiality UI & status text](gitlab-org/gitlab@91694073f4e744abaf689414667121cb01c236b6) ([merge request](gitlab-org/gitlab!85793))
- [Refactor On-demand scans page header section](gitlab-org/gitlab@1664ace5dfa8e7973b913ba5ba11bae11e88b71d) ([merge request](gitlab-org/gitlab!86143)) **GitLab Enterprise Edition**
- [Upgrade Container Scanning analyzer version](gitlab-org/gitlab@18fbc0cd4ea6b64b5629e2b7b97ff112b7168c7e) ([merge request](gitlab-org/gitlab!86094)) **GitLab Enterprise Edition**
- [Geo Sites Form - Cleanup Learn more links](gitlab-org/gitlab@1a96cfcb5f208d171a503da06a267cd1fd674d59) ([merge request](gitlab-org/gitlab!85968)) **GitLab Enterprise Edition**
- [Geo Sites - Cleanup Learn more links](gitlab-org/gitlab@f7ae5e5537a74d75c60c1554e876c275a1909b2e) ([merge request](gitlab-org/gitlab!85857)) **GitLab Enterprise Edition**
- [Refresh vulnerabilities on vulnerability list after bulk select is done](gitlab-org/gitlab@a312e9764e66f9ab21f77b80dda263247d25f909) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85351)) **GitLab Enterprise Edition**
- [Flip order of packages and monitor in project sidebar](gitlab-org/gitlab@90aa595a0ed7be01112492100962045184eccdfb) ([merge request](gitlab-org/gitlab!85267)) **GitLab Enterprise Edition**
- [Use topic title instead of name in UI](gitlab-org/gitlab@862aa1b235e36204533e125dbd8c87ac37b7e0bd) by @wwwjon ([merge request](gitlab-org/gitlab!85679))
- [Do not disable snippet form submit button to enforce validation](gitlab-org/gitlab@b9b551f564aa5015987c8ee9579a45fce3ca3604) ([merge request](gitlab-org/gitlab!80888))
- [Replace filter field with search-box-by-click on import repositories](gitlab-org/gitlab@ba25f6ade2d9556bf16db91c68bc65faa71926de) by @Xubunter ([merge request](gitlab-org/gitlab!86032))
- [Hide confirmation required error state](gitlab-org/gitlab@08a5cbedb96f9b4c2e0eee50d12383861f61147c) by @HerrShmulke ([merge request](gitlab-org/gitlab!86031))
- [Use button-group on vulns-over-time chart](gitlab-org/gitlab@760ff163ed276d4116f26a84d5528c0a350e89a5) ([merge request](gitlab-org/gitlab!84670)) **GitLab Enterprise Edition**
- [Replace approved with passed in status check api](gitlab-org/gitlab@bebbb40480304f2a2ed4748367a080f986d00915) ([merge request](gitlab-org/gitlab!86192)) **GitLab Enterprise Edition**
- [Adjust sign in columns and padding to accommodate Arkose](gitlab-org/gitlab@11f15cd307eaf0f617d516182c6957db39258247) ([merge request](gitlab-org/gitlab!85149)) **GitLab Enterprise Edition**
- [Display security training config based on license](gitlab-org/gitlab@177242a031ee8413e777d28252086b07d218fc30) ([merge request](gitlab-org/gitlab!85768))
- [Add border radius](gitlab-org/gitlab@2285e81e3aa1e914f3b8427962e4b5273c01cb85) ([merge request](gitlab-org/gitlab!85843))
- [This MR changes layout of new/edit DAST scanner configuration](gitlab-org/gitlab@c1156ad099d2ae8c08fe6a029d49647004eba86c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84906)) **GitLab Enterprise Edition**
- [Make status param required](gitlab-org/gitlab@f25f7ba019884c3d2c950dbd921c163b7641c594) ([merge request](gitlab-org/gitlab!86118)) **GitLab Enterprise Edition**
- [Update Security Policy Configuration to not exclude rules from pipeline](gitlab-org/gitlab@45d8429067589e15c18061bfc49246b624688013) ([merge request](gitlab-org/gitlab!85864)) **GitLab Enterprise Edition**
- [Update avatar counter styles](gitlab-org/gitlab@306cea5c1547365367ef5d8955249789ea2e669c) ([merge request](gitlab-org/gitlab!85999))
- [Move path navigation below filters for VSA](gitlab-org/gitlab@f1a722215f706e5cc0af33407248a8f195ed4784) ([merge request](gitlab-org/gitlab!85880))
- [Remove vulnerability_report_pagination feature flag](gitlab-org/gitlab@d8d2d724f1930afeba0ae8ef51b238a2132800f2) ([merge request](gitlab-org/gitlab!85691)) **GitLab Enterprise Edition**
- [Change elements order on the import project page](gitlab-org/gitlab@7a7f4063d0292bc6394c851a4d23f34e2ba57379) by @cheshirecat902 ([merge request](gitlab-org/gitlab!85801))
- [Correct styles for select project split button](gitlab-org/gitlab@985cc34541ee5cc3c4fc3ae30b913103225e1092) ([merge request](gitlab-org/gitlab!84811))
- [Adds Ci::Bridge to RetryJobService](gitlab-org/gitlab@7522ab5f589b6baf136ff70a87033a6e3ff87e59) ([merge request](gitlab-org/gitlab!83613))
- [Allow pages root domain to be used as custom domain](gitlab-org/gitlab@835c632e59dc0b8dae3bd6a5c1961889a8bb8358) by @mlegner ([merge request](gitlab-org/gitlab!84489))
- [Improve UI text of sign-up restrictions](gitlab-org/gitlab@28894ce65b739f655182c937a5c959ab5e5b5dac) ([merge request](gitlab-org/gitlab!83275))
- [Move .thead-white to apply to GlTable as well](gitlab-org/gitlab@80fd138721751df03f53d4b9abd458ae92171c4f) ([merge request](gitlab-org/gitlab!85875))
- [Unbox issue board lists](gitlab-org/gitlab@2168ce0855c17a8bc6a87450ce3415a33949ed55) ([merge request](gitlab-org/gitlab!85852))
- [Hide security rules for non ultimate licenses](gitlab-org/gitlab@afc4088440947c705b9911783aa08ddaad59bd81) ([merge request](gitlab-org/gitlab!85745)) **GitLab Enterprise Edition**
- [Remove a question that’s irrelevant for invitation](gitlab-org/gitlab@63892e57b2720bfc2fc0297f4bdf66e582830312) ([merge request](gitlab-org/gitlab!85132)) **GitLab Enterprise Edition**
- [Updated personal access token references](gitlab-org/gitlab@15d103eb2053bd8aaacdfff74969c545e5fc189b) ([merge request](gitlab-org/gitlab!83930)) **GitLab Enterprise Edition**
- [Allow to delete error packages from package registry](gitlab-org/gitlab@08e50901ecd9e515ca5e470c3c405bb8a90c27c5) ([merge request](gitlab-org/gitlab!85237))
- [Feat(Subcsription): update general error message](gitlab-org/gitlab@49e0472e62bbbc870fd3c9c3db9f2c9ac0c4c68f) ([merge request](gitlab-org/gitlab!85811)) **GitLab Enterprise Edition**
- [This MR changes the order of elements](gitlab-org/gitlab@2adc136c35ff5b9e3fa3b86472f3b981fe48baaf) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85342))
- [Remove fixed bar from merge request page](gitlab-org/gitlab@d2a8761514a7d797c8ebbf54530231de77b95e61) ([merge request](gitlab-org/gitlab!85325))
- [Update the gitlab-pages documentation](gitlab-org/gitlab@fea42dbd90d708f6c34af5ed5d792fae315d1250) ([merge request](gitlab-org/gitlab!85789))
- [Fix GlTable not displaying styles properly](gitlab-org/gitlab@84da445be3b7988e1c4df596c56ec7b7de55725b) ([merge request](gitlab-org/gitlab!84683))
- [Remove .service-installation class and polish UI](gitlab-org/gitlab@3f2e89ab2fda539bf7db9b5f682278cc08918564) ([merge request](gitlab-org/gitlab!85775))
- [Use tertiary category for content editor bubble menu](gitlab-org/gitlab@1723592c04942b7285b71d8210d1870d105c348c) ([merge request](gitlab-org/gitlab!85758))
- [Fix function and view for autovacuum activity](gitlab-org/gitlab@02a2336d021042bcd8d97713b43c969641a8874a) ([merge request](gitlab-org/gitlab!85739))
- [Fix misleading error for job dependencies](gitlab-org/gitlab@729dd00e446c832564a53b9fd33bdebd7225c5c0) ([merge request](gitlab-org/gitlab!85279))
- [Updates anchor links UI](gitlab-org/gitlab@563fffa2ef881a1aae757195826eb2d964fc9875) ([merge request](gitlab-org/gitlab!85195))
- [Use new serialized started_at on job in the ui](gitlab-org/gitlab@dab6bac5755542151320e637cd3e9b622e557dc1) ([merge request](gitlab-org/gitlab!85515))
- [Don't track Jupiter notebook exceptions](gitlab-org/gitlab@ff23540c41d8c6b8ddcbd0a63d4b956ddadf8cb5) ([merge request](gitlab-org/gitlab!85718))
- [Repeat failed migrations with fix](gitlab-org/gitlab@d02da87dafa0aecbc2143cd420e687a4ca0b8408) ([merge request](gitlab-org/gitlab!83733))
- [Wrap toolbar, increase size, and remove dividers](gitlab-org/gitlab@322afaac268efdf28ea5369127c5259ed3b5c8b9) ([merge request](gitlab-org/gitlab!85666))
- [Change pipeline editor branch terminology](gitlab-org/gitlab@766c7375148c073b9d6789e665510f64aec1341b) ([merge request](gitlab-org/gitlab!85226))
- [Deprecate old Advanced Search migrations](gitlab-org/gitlab@453aa4c4cbeb5c73cd4ddaa6f4dc5e9fd1c4dc20) ([merge request](gitlab-org/gitlab!83937)) **GitLab Enterprise Edition**
- [Correct mattermost slash commands integration clipboard buttons](gitlab-org/gitlab@71f8f9a02199654afa3885fcf1a65ce90fb33326) ([merge request](gitlab-org/gitlab!84789))
- [Dropped Runner features column](gitlab-org/gitlab@6ba34c9aa5c4962e1090292a97501ef59511fb2e) by @mehulsharma ([merge request](gitlab-org/gitlab!73200))
- [Change how cached images set for deletion are displayed](gitlab-org/gitlab@06c1abc4c56c2dcc9cdca3f8721d012d65ca4467) ([merge request](gitlab-org/gitlab!85462))
- [Replace generic checkbox with GitLab UI element](gitlab-org/gitlab@ed475779b61505588642554b3dc32d034117daaa) ([merge request](gitlab-org/gitlab!84828))
- [Use tertiary button for file header actions](gitlab-org/gitlab@f46fd63a4cdae140f73771e396d17a360d4e240c) ([merge request](gitlab-org/gitlab!85562))
- [Make fingerprint nullable for group_deploy_keys table](gitlab-org/gitlab@0297527941cb174132883a78ae8a5a88259d4e06) ([merge request](gitlab-org/gitlab!85595))
- [Remove hover animation from downstream pipelines](gitlab-org/gitlab@47e81571d9faf177773f50487f551e10118e3775) ([merge request](gitlab-org/gitlab!85298))
- [Migrate all checkboxes](gitlab-org/gitlab@236c7528a92602d1961bac21ee5e651acf168613) ([merge request](gitlab-org/gitlab!84845)) **GitLab Enterprise Edition**
- [Reduce padding to match alignment](gitlab-org/gitlab@96f85b6e8ab5865af7bb17398afdd3469fabf2d7) ([merge request](gitlab-org/gitlab!83897))
- [Improve runner edit form design](gitlab-org/gitlab@ae9d0746eed5857f9535b9ee84924c4afad85366) ([merge request](gitlab-org/gitlab!85507))
- [Remove job list in runner Edit page](gitlab-org/gitlab@a57927622dbd22ce92f8851b859c8f9b74df0f66) ([merge request](gitlab-org/gitlab!84475))
- [Enable route_hll_to_snowplow by default](gitlab-org/gitlab@7a2255d1fca61bd8c6ab710102b575263b6945c6) ([merge request](gitlab-org/gitlab!85557))
- [Use deferrable constraint to bulk cadence update](gitlab-org/gitlab@158612074e965dc9fc00121a739a85bbfbe8b057) ([merge request](gitlab-org/gitlab!85249))
- [Remove secure_vulnerability_training feature flag](gitlab-org/gitlab@6f24884722fa174cae7885bc619e69eeb8dcf423) ([merge request](gitlab-org/gitlab!85240))
- [Improve trial only CTAs in Learn GitLab](gitlab-org/gitlab@2d82c8b51b17e1219474580ec29cd107b684b47b) ([merge request](gitlab-org/gitlab!83156))
- [Use systemd notification and watchdog feature for sidekiq service](gitlab-org/gitlab@110d64730e8cbe719ff0b88d0504896726a94984) by @behrmann ([merge request](gitlab-org/gitlab!83977))
- [Update right sidebar design](gitlab-org/gitlab@351294c7a49667f371cfb82f8216404e963dddbb) ([merge request](gitlab-org/gitlab!85541))
- [Fix default job_arguments for batched migrations](gitlab-org/gitlab@a7aa4f64cbe8b5311f007babdf03e939f69449a6) ([merge request](gitlab-org/gitlab!85516))
- [Add "ee" type to projectionist config](gitlab-org/gitlab@463babb6fbe71f77ee718bb5793210966759e4ae) ([merge request](gitlab-org/gitlab!85257))
- [Migrate DAST profile library links with new route](gitlab-org/gitlab@448ae5f19ed1a6200d8586426aefaa353220773d) ([merge request](gitlab-org/gitlab!84945)) **GitLab Enterprise Edition**
- [Limit number of related epics](gitlab-org/gitlab@12698e5e6989dcbe36f8b89ef209779fe8711f9e) ([merge request](gitlab-org/gitlab!85369)) **GitLab Enterprise Edition**
- [Praefect docs: update list-untracked-repositories subcommand](gitlab-org/gitlab@b3407d58396b736099ea2b81700e36072e60af93) ([merge request](gitlab-org/gitlab!85443))
- [Warn if database connections opened in routes file](gitlab-org/gitlab@5408b76ae154cf388d731fba70fbfde610ca5fe0) ([merge request](gitlab-org/gitlab!85003))
- [Globally enable enforce_security_report_validation](gitlab-org/gitlab@f0a19caa06bcc6d7c9179aca577f6c6a62b3b531) ([merge request](gitlab-org/gitlab!85400)) **GitLab Enterprise Edition**
- [Remove history and upload btns from project page](gitlab-org/gitlab@74d1150057afdb9f68abad7837998530f1df4b9d) ([merge request](gitlab-org/gitlab!85332))
- [Replace generic checkbox with GitLab UI component](gitlab-org/gitlab@655dd8314cb47f9ab1b5eb7d05e75a30a567fbed) ([merge request](gitlab-org/gitlab!84884)) **GitLab Enterprise Edition**
- [Use pajamas checkbox for admin application form](gitlab-org/gitlab@93390f8edd90d0770edf9a6db6dff88c2fd50ab3) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84840))
- [Migrate unique index from MD5 to SHA256 fingerprints](gitlab-org/gitlab@575969af279c049ff5132e09bf194507b6669cd8) ([merge request](gitlab-org/gitlab!84956))

### Deprecated (3 changes)

- [Create deprecation entry for legacyMode](gitlab-org/gitlab@9f971612f148008ab9db13a88de5c78758b7bb09) ([merge request](gitlab-org/gitlab!85931))
- [Remove coverage CI detection at project setting level](gitlab-org/gitlab@57691c52d878a93c4acfb1b8a88b2185d78062b8) ([merge request](gitlab-org/gitlab!85391))
- [Move required pipeline configuration to GitLab Ultimate](gitlab-org/gitlab@81548f5fb4a753ce03484d0a9de1cd3478b3cbda) ([merge request](gitlab-org/gitlab!85475)) **GitLab Enterprise Edition**

### Removed (64 changes)

- [Update post-deploy migration in order to only](gitlab-org/gitlab@8c2010f4f3676a222224127ab52eddd85cebf916) ([merge request](gitlab-org/gitlab!87738)) **GitLab Enterprise Edition**
- [Remove temporary traversal_id indexes](gitlab-org/gitlab@9df5f436c5c0d387fbe786d76ccd25876b8f5080) ([merge request](gitlab-org/gitlab!87043))
- [Geo: Remove Legacy Job Artifact replication](gitlab-org/gitlab@d0322def0813df3b7f7a398b72cbf1847c394cc8) ([merge request](gitlab-org/gitlab!85219))
- [Remove tracing feature via feature flag](gitlab-org/gitlab@b56243137bc8578685f64dfc402536e9d6cf4e4c) ([merge request](gitlab-org/gitlab!85877))
- [Replace `clusters` with `agents` in scan execution policies](gitlab-org/gitlab@51cd467fdf002e2841d94d2dbd26cb003b362281) ([merge request](gitlab-org/gitlab!87424)) **GitLab Enterprise Edition**
- [Drop sorting by title functionality from the vulnerability report page](gitlab-org/gitlab@2e3130c1fdfa2739758dc43bf2a4b8d56a9dd8e9) ([merge request](gitlab-org/gitlab!87575)) **GitLab Enterprise Edition**
- [Remove sorting vulnerabilities by title functionality](gitlab-org/gitlab@58dfc754e444948413f943443d79cca757735f89) ([merge request](gitlab-org/gitlab!87557)) **GitLab Enterprise Edition**
- [Remove Monitor Logs feature](gitlab-org/gitlab@89d3e85b5554fbf40f9eeba84b284fdc92d04749) ([merge request](gitlab-org/gitlab!86214))
- [Remove elastic stack from cluster management template](gitlab-org/gitlab@b390e4d6e31be8a1aef34c7091ceb8b6cac9aa9b) ([merge request](gitlab-org/gitlab!87464))
- [Remove the pipelines field](gitlab-org/gitlab@66a4cc9b9bb39abd6fcae6eba45ec901be6a3254) ([merge request](gitlab-org/gitlab!86773))
- [Remove deprecated Dependency Scanning analyzers](gitlab-org/gitlab@b0c20234c4c11634d5b3500d039f5991db4d2c40) ([merge request](gitlab-org/gitlab!86704))
- [Remove `omniauth-kerberos` gem](gitlab-org/gitlab@b7af085c8bd24dc71f055a3fb6d0e416e9cd46bb) ([merge request](gitlab-org/gitlab!86036)) **GitLab Enterprise Edition**
- [Add background migration to expiry all OAuth tokens](gitlab-org/gitlab@5eb2dd8559ab4757dc13c3216fe9f359e2d18864) ([merge request](gitlab-org/gitlab!86379))
- [Remove support for Cluster Image Scanning Analyzer](gitlab-org/gitlab@e528dc9f1bbeb759f146e262ca5de0fd9f901a32) ([merge request](gitlab-org/gitlab!87000)) **GitLab Enterprise Edition**
- [Remove namespaces partial index](gitlab-org/gitlab@9fb8f8cf4857192041d90ae99f04b849ce86e68b) ([merge request](gitlab-org/gitlab!65411))
- [Remove 'not_connected' status value](gitlab-org/gitlab@22fdb34aef6458345fc9b2f2fa5918b0e7b6421d) ([merge request](gitlab-org/gitlab!86111))
- [Remove ability for SSH key expiration to be optional](gitlab-org/gitlab@3b9d2a59f27103a5b4aa6a8db6da7ec13f7d943b) ([merge request](gitlab-org/gitlab!85611)) **GitLab Enterprise Edition**
- [Remove OAuth 2.0 Implicit grant flow](gitlab-org/gitlab@a759fad6913bb0e096803cf367254acdedf3d68b) ([merge request](gitlab-org/gitlab!85997))
- [Drop support for deprecated security report schemas](gitlab-org/gitlab@9f569822d2817fc943d560d7d70b05327ba51586) ([merge request](gitlab-org/gitlab!86865))
- [Remove Vulnerability-Check from the backend](gitlab-org/gitlab@e2aed2a832d69041324fc6b26c90015821c3b7ba) ([merge request](gitlab-org/gitlab!86080)) **GitLab Enterprise Edition**
- [Remove dynamic check for feature flag](gitlab-org/gitlab@7523e970aff57ce9188eb642dc60aa3c568be0ce) ([merge request](gitlab-org/gitlab!86913))
- [Remove namespaces partial index](gitlab-org/gitlab@b5601e2d022cabfa1504816d8206a627721175b0) ([merge request](gitlab-org/gitlab!65415))
- [Remove background migration with potential data loss](gitlab-org/gitlab@98ba8fd2b5636936bf91820bb9d7dbdced6fc408) ([merge request](gitlab-org/gitlab!85484))
- [Remove container security charts from the Cluster Management template](gitlab-org/gitlab@7edd0a9d3101f033927213a40e425c6ef252f5f8) ([merge request](gitlab-org/gitlab!86790)) **GitLab Enterprise Edition**
- [Removes types and type keyword](gitlab-org/gitlab@317ee2bc263e6ad05e0514a6c32398a2050b7099) ([merge request](gitlab-org/gitlab!85723))
- [Enforce token expiry for OAuth applications](gitlab-org/gitlab@2d92d83b28eaccf36dc481f7d8bc175618852565) ([merge request](gitlab-org/gitlab!86362))
- [Remove Vulnerability-Check from frontend](gitlab-org/gitlab@87b6b08ee5ea3762e619ca505109e1abb267cf92) ([merge request](gitlab-org/gitlab!84424)) **GitLab Enterprise Edition**
- [Object storage: Remove background_upload configurations](gitlab-org/gitlab@5d592a2852307bfd39d5848d6c7223f6c4d636ba) ([merge request](gitlab-org/gitlab!86905))
- [Remove Network Policies from Policies Controller](gitlab-org/gitlab@92cba2a18813cdb4d5e6bb6fe25a2a444a74835b) ([merge request](gitlab-org/gitlab!86349)) **GitLab Enterprise Edition**
- [Remove deprecated DS_DEFAULT_ANALYZERS](gitlab-org/gitlab@b9c72e55de5ffa9bcdd8d23b93d6714fc1403897) ([merge request](gitlab-org/gitlab!85732))
- [Remove epic feature discovery moment on EE](gitlab-org/gitlab@ab50277b02760c8bd73bbef7ff621cfd0642d7fa) ([merge request](gitlab-org/gitlab!85962)) **GitLab Enterprise Edition**
- [Remove Network Policies routes and controller](gitlab-org/gitlab@fe2ce552fe24a21812d827e9aca571c5613fd02c) ([merge request](gitlab-org/gitlab!86331)) **GitLab Enterprise Edition**
- [Remove Managed-Cluster-Applications.gitlab-ci.yml](gitlab-org/gitlab@f92d580ea9c034a967ced260408b54b63af07191) ([merge request](gitlab-org/gitlab!86283))
- [Remove vulnerability_reads_table feature flag](gitlab-org/gitlab@8da32631cb33b6f8294e4472c59c3ca1b6886669) ([merge request](gitlab-org/gitlab!84341)) **GitLab Enterprise Edition**
- [Remove network alerts](gitlab-org/gitlab@c9c3601d2feb5471ab9f371e7f8618d662fc7113) ([merge request](gitlab-org/gitlab!86694)) **GitLab Enterprise Edition**
- [Remove cobertura from artifacts:reports](gitlab-org/gitlab@812408bafae328b81652110fc53c6c6b89e3db81) ([merge request](gitlab-org/gitlab!85485))
- [Do not allow expired personal access tokens to work](gitlab-org/gitlab@7810c1c5d1e115c6486413b8f497430ecf1efa33) ([merge request](gitlab-org/gitlab!85399))
- [Remove Network Policies metrics](gitlab-org/gitlab@4b09d378c311c4e2fe47048de7d91bd59611f32b) ([merge request](gitlab-org/gitlab!86351)) **GitLab Enterprise Edition**
- [Remove the form-based GKE / EKS creation page](gitlab-org/gitlab@cbe408c2baf8649fa2560579f9f3ac0e8fe8badd) ([merge request](gitlab-org/gitlab!85427))
- [Remove disabled alerts section from settings page](gitlab-org/gitlab@5f4d94b8521870613f548f03b34e64a016599204) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/86336))
- [Remove Serverless from GitLab](gitlab-org/gitlab@bd290890b0cf22f836299269321f8e452e02f46b) ([merge request](gitlab-org/gitlab!86267))
- [Remove artifacts:reports:cluster_applications](gitlab-org/gitlab@b537728ec5f53f99c479c65f0bd3b83631361552) ([merge request](gitlab-org/gitlab!86284))
- [Remove orphaned route users/pipeline_quota](gitlab-org/gitlab@3b0e0f87c4f07d3c25c466d788b4cc2fca599f61) ([merge request](gitlab-org/gitlab!86062)) **GitLab Enterprise Edition**
- [Remove ignored column for Test Reports](gitlab-org/gitlab@25dbb4892a1272f2318c7ae2f4f3383174ac6c31) ([merge request](gitlab-org/gitlab!86467))
- [Omit tags when retrieving a list of registry repositories in a group](gitlab-org/gitlab@22d1c1e49180471afb6382b8be0de86759446ddd) by @feistel ([merge request](gitlab-org/gitlab!84422))
- [Remove workhorse_use_sidechannel feature flag](gitlab-org/gitlab@431da08d3e3aea4c4824598a493a98c4f8a9bfd4) ([merge request](gitlab-org/gitlab!86235))
- [Remove Versions on base PackageType](gitlab-org/gitlab@604477a545037128e934faa65d76c41e5c8860bc) by @feistel ([merge request](gitlab-org/gitlab!84413))
- [Remove deprecated GraphQL query](gitlab-org/gitlab@2f98bcc2554f81dee81a8662bc01a3b9a5de1e59) ([merge request](gitlab-org/gitlab!86247))
- [Remove unused Prometheus Alert crud code](gitlab-org/gitlab@a0078593e5eecad7de2089ca319506e410a2277a) ([merge request](gitlab-org/gitlab!86095))
- [Remove group_releases_finder_inoperator feature flag](gitlab-org/gitlab@890a040173706567cbaf10354bb4dedf3fe94309) ([merge request](gitlab-org/gitlab!85955))
- [Remove lfk_fair_queueing feature flag](gitlab-org/gitlab@ac7c5848f0eab45649a6cfe496fed73fc7b2cf25) ([merge request](gitlab-org/gitlab!86021))
- [Remove all code related to Gitlab::RequestProfile](gitlab-org/gitlab@ad1ffdd09f36e8b3ea196be275110c99f05da206) ([merge request](gitlab-org/gitlab!85915))
- [Remove defaultMergeCommitMessageWithDescription GraphQL field](gitlab-org/gitlab@3878be553fddab207205f22c68a5089d8d169a32) ([merge request](gitlab-org/gitlab!85771))
- [Remove env_last_deployment_by_finished_at feature flag](gitlab-org/gitlab@b79e9618d3e576cfa5603fd634a5dd2888138fde) ([merge request](gitlab-org/gitlab!85958))
- [Remove repository push audit event feature](gitlab-org/gitlab@d8329329a8ee5368dd988a06f20b82ec31092565) ([merge request](gitlab-org/gitlab!85521)) **GitLab Enterprise Edition**
- [Remove job_deployment_count feature flag](gitlab-org/gitlab@7da0c9f7a0d08c542f5c0b502eec551cd5017aeb) ([merge request](gitlab-org/gitlab!85953))
- [Remove all documentation related to Gitlab::RequestProfile](gitlab-org/gitlab@a80a6352a3714e5277838fb18e0c34ca72505f5a) ([merge request](gitlab-org/gitlab!85890))
- [Remove eye icon on package detail page](gitlab-org/gitlab@63df7661e02b27c5e3d3dcd8d8d8fd3daef9a86b) by @Ffinnis ([merge request](gitlab-org/gitlab!85813))
- [Remove tmp index used for data migration](gitlab-org/gitlab@33e39bc7e763c26e62a7438d826aa4a6166d5508) ([merge request](gitlab-org/gitlab!85747))
- [Remove ability to change type of a shared runner](gitlab-org/gitlab@2138c11b6af5908829f2634f002dba2a3aa12053) ([merge request](gitlab-org/gitlab!85604))
- [Remove support for uses_legacy_database_config](gitlab-org/gitlab@e085626854606740666b971867c6a88c9b4e79ea) ([merge request](gitlab-org/gitlab!85009))
- [Remove deprecated geo:db:* rake tasks](gitlab-org/gitlab@94e446aaba1be96608c30cc2c96cda8f99d7c4ec) ([merge request](gitlab-org/gitlab!85547)) **GitLab Enterprise Edition**
- [Remove clusterAgentTokenDelete GraphQL mutation](gitlab-org/gitlab@70b59b5b8aeb1b8ad9753d321d5671fbf2b2ba91) ([merge request](gitlab-org/gitlab!85382))
- [Remove temporary max seats used in subscription indices](gitlab-org/gitlab@190bd67c3d7161b0de239599d24cb2526eb05ade) ([merge request](gitlab-org/gitlab!85121))

### Security (16 changes)

- [Sanitize URL for project selection button](gitlab-org/gitlab@b73d3bb16873345704c60b2bb23c091ebbe59e26) ([merge request](gitlab-org/gitlab!87226))
- [Remove sha from project/releases.json](gitlab-org/gitlab@4c63ba6bc99d1f6c4b8dab95e02a4c2dcaf48b90) ([merge request](gitlab-org/gitlab!86233))
- [Sanitize error input to prevent HTML/CSS injection in messages](gitlab-org/gitlab@327973849c8e6e5a081b218ad165ff1eab298312)
- [Allow rate limiting of deploy tokens](gitlab-org/gitlab@5f4f02a6d4e912081101063184cb09b9a2d5c43b)
- [Prevent maintainers from editing PipelineSchedule](gitlab-org/gitlab@a292f7225b9a7a7e82dffbfce9c9924db348f6dc)
- [Invalidate markdown cache to clear up stored XSS](gitlab-org/gitlab@492f0853b19265d6439f87395f664b998b5b40a4)
- [Verify that mentioned user can read TODO's note](gitlab-org/gitlab@0fcbc416dd1d2c3195cf1f47ed573a57286955cc)
- [Update Import/Export merge/push access levels & exclude ci config path](gitlab-org/gitlab@458a9370ea77d14772bf6da7583bd9f23512744a)
- [Add validation to pypi file sha256 values](gitlab-org/gitlab@8921d715f836f8002498854c80138d8a492b7c8a)
- [[security] Fix markdown API disclosing issue titles of limited projects](gitlab-org/gitlab@6b31c2f2300d485ae697c3af052fddb9394e9aff)
- [Conan Token uses PAT rather than ID in payload](gitlab-org/gitlab@89867ac72b7bb2088234ac9438ad2649c982eee6)
- [Disable wiki access with CI_JOB_TOKEN when improper access level](gitlab-org/gitlab@fdee7760264f0141a392fbc9fa3d424acae34ecb)
- [Secure debug trace artifact download](gitlab-org/gitlab@97ee65c42fb64e25cf9a4b592102d55099c6d2c6)
- [Add suffix to cache name to add isolation](gitlab-org/gitlab@d032b26aaae20ab169b0f3d848dc3f2f87fbeb18)
- [Use password type for all secret integration properties](gitlab-org/gitlab@2909cbc9b0967238f729734b7cf1f7c8a9abd10d)
- [Limit CI job group_name regexp](gitlab-org/gitlab@1991edfc1e0cf2d0e504b30e79a2a656f6bf8a52)

### Performance (11 changes)

- [Use efficient in operator query for fetching group & project activities](gitlab-org/gitlab@49efe49879b9b5afa01cea96739c66bd45238206) ([merge request](gitlab-org/gitlab!85810))
- [Restrict unique index for alerts with fingerprints](gitlab-org/gitlab@6ae6251ec32ef3ad38a48a88a6ca6a2a26b3805b) ([merge request](gitlab-org/gitlab!86717))
- [Add index to vulnerability_feedback.finding_uuid](gitlab-org/gitlab@e44b67ba34504912cd19386a829e5e224d74e581) ([merge request](gitlab-org/gitlab!86808))
- [changes_access: Speed up commit-based access checks for new refs again](gitlab-org/gitlab@8556acc1ad3695cec83719e019a1990282e25a56) ([merge request](gitlab-org/gitlab!86440))
- [Re-use already collected ServicePing data](gitlab-org/gitlab@687391d91cafaf0c2b72b3ef95d512dc74c8bd23) ([merge request](gitlab-org/gitlab!84886))
- [Remove subscribed key from epic initial data](gitlab-org/gitlab@d5b2344d3d2faac46db4a8c6cb5a82203f34e0d3) ([merge request](gitlab-org/gitlab!86016)) **GitLab Enterprise Edition**
- [Improve epics finder authorization performance](gitlab-org/gitlab@327fae22f9be2a1b4df39a5dcb4928ec7a63237a) ([merge request](gitlab-org/gitlab!80955)) **GitLab Enterprise Edition**
- [Simplify query to find existing alert](gitlab-org/gitlab@a93124f24d293716463c822582c396e5acd40b50) ([merge request](gitlab-org/gitlab!86384))
- [Remove extra GraphQL query when loading alert list](gitlab-org/gitlab@cd24fe636ad8a6a609b988536033a0edaf54433a) ([merge request](gitlab-org/gitlab!86274))
- [Optimize followed users tabs](gitlab-org/gitlab@aff45e6cd579bbcf8570fbffcf345243a6ce3149) ([merge request](gitlab-org/gitlab!85885))
- [Preload some associations in EnvironmentSerializer](gitlab-org/gitlab@dad1409fcf9d124357f384a94342eb9c2822a750) ([merge request](gitlab-org/gitlab!85010))

### Other (92 changes)

- [Add Pages public folder check](gitlab-org/gitlab@ef7b423ccc4635d5596e77539d17678ddf6b96a9) ([merge request](gitlab-org/gitlab!86072))
- [Enable geo_use_clone_on_first_sync by default](gitlab-org/gitlab@b48a96ce644e79d759d1e3f5e6820b4dec3d4ee3) ([merge request](gitlab-org/gitlab!87801)) **GitLab Enterprise Edition**
- [Fix saas test](gitlab-org/gitlab@16aeb8d8bf9661f9f35f6c98ff72449664e3ba69) by @chaomao ([merge request](gitlab-org/gitlab!87381))
- [Add notes temp index synchronously](gitlab-org/gitlab@f5c155a8514df493bdf41ce66d5380b510e2ae0b) ([merge request](gitlab-org/gitlab!78555))
- [Move Rails/HasManyOrHasOneDependent into separate TODO file](gitlab-org/gitlab@1bc00a00d33bcce3881ee8b25c9b1e30523c1770) by @anshulriyal ([merge request](gitlab-org/gitlab!86933))
- [Move Style/CaseLikeIf into separate TODO file](gitlab-org/gitlab@65adada5a7a5fb31eab35cb61de9a1bdc7ebea6a) by @anshulriyal ([merge request](gitlab-org/gitlab!86955))
- [Move Rails/CreateTableWithTimestamps into separate TODO file](gitlab-org/gitlab@f01f757357ea1328be4b185f1dfe2b9f022c80c6) by @anshulriyal ([merge request](gitlab-org/gitlab!86931))
- [Move Style/EmptyMethod into separate TODO file](gitlab-org/gitlab@35cb03ca41b46ea584017a4c5244cd8f7c63072e) by @anshulriyal ([merge request](gitlab-org/gitlab!86957))
- [Fix sidekiq config test](gitlab-org/gitlab@487b0e06157c78e1b8aee3516640d2318c969a8d) by @chaomao ([merge request](gitlab-org/gitlab!87349))
- [Log result for ci_runners_stale_group_runners_prune_worker_cron](gitlab-org/gitlab@3c6b3e0b668a1485238ee21277e092ff1a7c7fbe) ([merge request](gitlab-org/gitlab!87560)) **GitLab Enterprise Edition**
- [Move RSpec/RepeatedExampleGroupBody into separate TODO file](gitlab-org/gitlab@93f115a86f2b876ba36c836fbd5b704047de6740) by @anshulriyal ([merge request](gitlab-org/gitlab!86924))
- [Move Style/HashAsLastArrayItem into separate TODO file](gitlab-org/gitlab@786f677271e0fa88d140cd79cbcc3ccd976ec1b3) by @anshulriyal ([merge request](gitlab-org/gitlab!86961))
- [Move Rails/WhereExists into separate TODO file](gitlab-org/gitlab@12f1a93e3284185f8ca0b4876e8939dbdad28b6b) by @anshulriyal ([merge request](gitlab-org/gitlab!86949))
- [Move Rails/InverseOf into separate TODO file](gitlab-org/gitlab@cf4a1e69eae8103356a635e841ae902e8a0affa9) by @anshulriyal ([merge request](gitlab-org/gitlab!86938))
- [Move Rails/ActiveRecordCallbacksOrder into separate TODO file](gitlab-org/gitlab@4a721b162e92c8050deeb23b647975db96e94ed4) by @anshulriyal ([merge request](gitlab-org/gitlab!86929))
- [Move Rails/NegateInclude into separate TODO file](gitlab-org/gitlab@79366a54a333956dbb716c3b1a0437f5d81ba244) by @anshulriyal ([merge request](gitlab-org/gitlab!86940))
- [Move Style/KeywordParametersOrder into separate TODO file](gitlab-org/gitlab@b6887ff1c00b64c8d402af4cfe4dc6894f232a65) by @anshulriyal ([merge request](gitlab-org/gitlab!86964))
- [Moved Rails/ApplicationController into separate TODO file](gitlab-org/gitlab@9ae74e3a8729d6b43f36aaf6306bb65dd2547a79) by @anshulriyal ([merge request](gitlab-org/gitlab!87477))
- [Moved Style/Lambda into separate TODO file](gitlab-org/gitlab@10065fc21d7ec497ee983e458b99e96c972d7ce7) by @anshulriyal ([merge request](gitlab-org/gitlab!86965))
- [Move RSpec/PredicateMatcher into separate TODO file](gitlab-org/gitlab@d229b59c78a56193f64f15725f764b50e551953d) by @anshulriyal ([merge request](gitlab-org/gitlab!86923))
- [Move Rails/ContentTag into separate TODO file](gitlab-org/gitlab@9c291caa2bc3f75479c0a31dd4be6a2595b78a44) by @anshulriyal ([merge request](gitlab-org/gitlab!86930))
- [Move RSpec/ExpectChange into separate TODO file](gitlab-org/gitlab@f799cd080fe141d2139f57277c3964e1eabadcde) by @anshulriyal ([merge request](gitlab-org/gitlab!86922))
- [Move Style/AccessorGrouping into separate TODO file](gitlab-org/gitlab@e5c7307cfae86ce29882d69eaa7c5a4fa10499f6) by @anshulriyal ([merge request](gitlab-org/gitlab!86953))
- [Moved Style/RedundantRegexpEscape into separate TODO file](gitlab-org/gitlab@373967ca4946137380dfe94f08769db37ef0c886) by @anshulriyal ([merge request](gitlab-org/gitlab!86968))
- [Move Rails/IndexWith into separate TODO file](gitlab-org/gitlab@6ddc80e34111981fd9bd24da79fdd9ec3289cfcb) by @anshulriyal ([merge request](gitlab-org/gitlab!86936))
- [Move Style/BarePercentLiterals into separate TODO file](gitlab-org/gitlab@93615b4377de58332b17d9544308cb0e54b73760) by @anshulriyal ([merge request](gitlab-org/gitlab!86954))
- [Move RSpec/ScatteredLet into seprate TODO file](gitlab-org/gitlab@4b5d3b21d39404476a1c19defd3d8da4457de663) by @anshulriyal ([merge request](gitlab-org/gitlab!86927))
- [Move Performance/ConstantRegexp into separate TODO file](gitlab-org/gitlab@a972cd459128b0a719d84b0386abf5660c8accaf) by @anshulriyal ([merge request](gitlab-org/gitlab!86920))
- [Move Rails/HelperInstanceVariable into separate TODO file](gitlab-org/gitlab@426725806c74c93c4f64ca63bc79599265a392ad) by @anshulriyal ([merge request](gitlab-org/gitlab!86934))
- [Move RSpec/ReturnFromStub into separate TODO file](gitlab-org/gitlab@a19de0f3c2663cb7b986da4dc6f51c42697ad3ac) by @anshulriyal ([merge request](gitlab-org/gitlab!86926))
- [Move Rails/RakeEnvironment into separate TODO file](gitlab-org/gitlab@e1659419a7c606d7ed910256e0b5f2df9e4892e9) by @anshulriyal ([merge request](gitlab-org/gitlab!86943))
- [Move Style/FormatString into separate TODO file](gitlab-org/gitlab@a93c1eadbb2ae1303477d195e384967b7858ce65) by @anshulriyal ([merge request](gitlab-org/gitlab!86959))
- [Move Performance/CollectionLiteralInLoop into separate TODO file](gitlab-org/gitlab@dbaf7621ee1db8856e8d5dc0a5d29465434ec2b7) by @anshulriyal ([merge request](gitlab-org/gitlab!86919))
- [Moved Style/SingleArgumentDig into separate TODO file](gitlab-org/gitlab@b9480196deb32607dbefb6893196b883629d7245) by @anshulriyal ([merge request](gitlab-org/gitlab!86969))
- [Cleanup ci_reduce_persistent_ref_writes feature flag](gitlab-org/gitlab@052683a31be9540bc5e322e4b28491a2f39dbb02) ([merge request](gitlab-org/gitlab!87064))
- [Move Rails/LexicallyScopedActionFilter into separate TODO file](gitlab-org/gitlab@f14ef661cd304760904f474ab0b9e20fab46d40e) by @anshulriyal ([merge request](gitlab-org/gitlab!86939))
- [Moved Style/NumericLiteralPrefix into separate TODO file](gitlab-org/gitlab@10a1af5eee42d4626d87d3feb0e5fd4bf3ec5d21) by @anshulriyal ([merge request](gitlab-org/gitlab!86966))
- [Move Rails/FilePath into separate TODO file](gitlab-org/gitlab@bb269be7579e1680ed604f4fd17b9c2409bb09f2) by @anshulriyal ([merge request](gitlab-org/gitlab!86932))
- [Move Naming/RescuedExceptionsVariableName into separate TODO file](gitlab-org/gitlab@dd1b9fbd6f9a34096dbb3226b94493b39866ec72) by @anshulriyal ([merge request](gitlab-org/gitlab!86918))
- [Moved Style/StringConcatenation into separate TODO file](gitlab-org/gitlab@ac7c2ddc07d2365687ba81595bbb463167c1168b) by @anshulriyal ([merge request](gitlab-org/gitlab!86971))
- [Prevent incorrect usage of tracking_attrs helper](gitlab-org/gitlab@0f393df63e5b046fc54c3593f237618f9230ed6f) ([merge request](gitlab-org/gitlab!86734))
- [Nullify label events in batches when user is deleted](gitlab-org/gitlab@af94a1047522b0cbb21c055d0862aebb67971d67) ([merge request](gitlab-org/gitlab!87408))
- [Fix namespaces helper test](gitlab-org/gitlab@aa5caa75001ef53927137b91f7df60ff742e69d7) by @chaomao ([merge request](gitlab-org/gitlab!87377))
- [Fix trial status widget test](gitlab-org/gitlab@ab1eb4af7c97b0a6323a8a69ca1a95bbc555b62c) by @chaomao ([merge request](gitlab-org/gitlab!87372))
- [Cap MR diff render tracking events to 24h](gitlab-org/gitlab@f6f3d3628d2147d00f031a547cc81fb8ac0eefda) ([merge request](gitlab-org/gitlab!87294))
- [Remove gitaly_replace_wiki_update_page flag](gitlab-org/gitlab@6ab54ac5329902181750e5930d910802c468a169) ([merge request](gitlab-org/gitlab!87341))
- [Use OS tempdir for artifact metadata](gitlab-org/gitlab@a5b0a030c38acd6da5f66f094a40882f7d2eb892) ([merge request](gitlab-org/gitlab!87255))
- [Remove the packages_graphql_pipelines_resolver feature flag](gitlab-org/gitlab@ea7e7ca1f944983b894f638e5b235a59f00eda6a) ([merge request](gitlab-org/gitlab!87219))
- [Remove fix_related_environments_for_merge_requests feature flag](gitlab-org/gitlab@c120bda24ed571536d4401eb3da1233a76d9eb2b) ([merge request](gitlab-org/gitlab!87063))
- [Improve snowplow function by returning bool type](gitlab-org/gitlab@cc1b06059af7b8a7d7f9dae7e67c1bc61d672769) ([merge request](gitlab-org/gitlab!86737))
- [Validate work_item_type_id is NOT NULL for new issue records](gitlab-org/gitlab@b7bf25ac6d11324a9a5acf86abdbb998d4a14a85) ([merge request](gitlab-org/gitlab!85866))
- [Move Rails/SquishedSQLHeredocs into separate TODO file](gitlab-org/gitlab@d9caa87f4cec4a30fbdc76206319e3b450e41abe) by @anshulriyal ([merge request](gitlab-org/gitlab!86947))
- [Remove gitlab-shell sidechannel feature flag](gitlab-org/gitlab@75d20c1103533ae2605c82158ec6a8d3a24986cf) ([merge request](gitlab-org/gitlab!86908))
- [Remove ci_variables_builder_config_variables feature flag](gitlab-org/gitlab@333fc27a5567386dc193d758aa9ab48262ba1376) ([merge request](gitlab-org/gitlab!86660))
- [Remove tabs_normal and use tab_single partial instead](gitlab-org/gitlab@4127a3014ada2fd12fb0dd3bfd106410c0d91aa0) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84360))
- [Moved Style/RedundantInterpolation into separate TODO file](gitlab-org/gitlab@f53812f09ea76c6df4288276396ab9b76fc45b6f) by @anshulriyal ([merge request](gitlab-org/gitlab!86967))
- [Move Style/HashEachMethods into separate TODO file](gitlab-org/gitlab@957f6af5275e936d9f2292eeae1af9c0ccfd79e8) by @anshulriyal ([merge request](gitlab-org/gitlab!86963))
- [Move Rails/RedundantForeignKey into separate TODO file](gitlab-org/gitlab@57696962b2e0746168e1fa55d8afdd5f27866670) by @anshulriyal ([merge request](gitlab-org/gitlab!86945))
- [Move Rails/Pick into separate TODO file](gitlab-org/gitlab@2041da936d8c0c9b7c824737cc74d3a054d68c12) by @anshulriyal ([merge request](gitlab-org/gitlab!86942))
- [Add an empty newline test to Ansi2Json](gitlab-org/gitlab@a0c9a93d4cc80b40f73503a32fba26d1a1cb8432) ([merge request](gitlab-org/gitlab!86866))
- [Remove dependency_proxy_for_private_groups feature flags](gitlab-org/gitlab@e4d594789c623dcf0c00a3caaa2bf4f7747de5fe) by @feistel ([merge request](gitlab-org/gitlab!84508))
- [Add temporary index deployments](gitlab-org/gitlab@21792aeb612014dd6318cfdf73ec471fd796945a) ([merge request](gitlab-org/gitlab!86615))
- [Clean up after fixing regression](gitlab-org/gitlab@7ae8bc336c297c9c3b4caa89ebe7cdfdc0a4b05f) ([merge request](gitlab-org/gitlab!86546))
- [Find projects affected when membership changes are made in group](gitlab-org/gitlab@cf926c2000f0d9d8dbdf7cef4f6f31b6d995e146) ([merge request](gitlab-org/gitlab!86130))
- [Remove `runner_read_only_admin_view` feature flag](gitlab-org/gitlab@51ed3486a044f256635855b1f2e453cced5256c3) ([merge request](gitlab-org/gitlab!86635))
- [Let `/page` quick action to support case-insensitive escalation policy names](gitlab-org/gitlab@7704a3a9fabd5ca28c5200e7cacc06d0887f5e7d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85901)) **GitLab Enterprise Edition**
- [Bump Gitlab Shell to v14.0.0](gitlab-org/gitlab@92baf826a3a0ce2f62d79688e3512b707d091e2b) ([merge request](gitlab-org/gitlab!86533))
- [Remove container_registry_expiration_policies_throttling feature flag](gitlab-org/gitlab@79633c811304d11dddc63986a61bb1f68c76d882) by @feistel ([merge request](gitlab-org/gitlab!84996))
- [Remove ci_pending_builds_table_resiliency feature flag](gitlab-org/gitlab@18c9c0763550b43fd2afccc4a6c61980ab24f396) ([merge request](gitlab-org/gitlab!84744))
- [Fix various kwargs issues](gitlab-org/gitlab@d2f2fd59db0faa196a033ba92f295cd413af4600) ([merge request](gitlab-org/gitlab!86157))
- [Clean up FixMergeRequestDiffCommitUsers background migration](gitlab-org/gitlab@34e5ceb51b0df8f89c973230440bc1e1a34b8437) ([merge request](gitlab-org/gitlab!86320))
- [Add repository push audit event worker](gitlab-org/gitlab@90e13570b74b15172fc2b592aeb07d86d422db6f) ([merge request](gitlab-org/gitlab!86131)) **GitLab Enterprise Edition**
- [Fix RSpec/TimecopTravel offenses (Part 1/2)](gitlab-org/gitlab@369acf79c1e908ed71aede6079a98af864239387) by @KevSlashNull ([merge request](gitlab-org/gitlab!76033))
- [Expose CI include links](gitlab-org/gitlab@800f1614082661ecc6599836c91396ea3f870722) ([merge request](gitlab-org/gitlab!84279))
- [Add documentation for merge request setting audit events](gitlab-org/gitlab@762c2c748da1ab90580f34a38151ea2f467f6765) ([merge request](gitlab-org/gitlab!85994))
- [Use vulnerability_report.vue for agent and pipeline reports](gitlab-org/gitlab@ab822ba2c72f08175bfc0f4917243f4bab900565) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85305)) **GitLab Enterprise Edition**
- [Clean up deployment_approval_rules feature flag](gitlab-org/gitlab@661e368dcf5fd869c180b8f7e70b1240dbe447d3) ([merge request](gitlab-org/gitlab!85669))
- [Remove container_registry_follow_redirects_middleware feature flag](gitlab-org/gitlab@3380d1d98b39d81f6e02c68c25f06a2d9b5b6c02) by @feistel ([merge request](gitlab-org/gitlab!84964))
- [Extend reduced cost factor to all public projects](gitlab-org/gitlab@0fffde3ffe3806d11c8becf9455f9df294d08f7e) ([merge request](gitlab-org/gitlab!85357)) **GitLab Enterprise Edition**
- [Drop, then create function](gitlab-org/gitlab@a188406189c9ebc5600608cd871d9769569200d3) ([merge request](gitlab-org/gitlab!85889))
- [Bump Gitlab Shell to v13.25.2](gitlab-org/gitlab@0c91734c1bf079b208890776b5b8d6f874a0cf91) ([merge request](gitlab-org/gitlab!85873))
- [Add documentation for mr settings audit events part 1](gitlab-org/gitlab@c7fbc03913efdf4e29c1f918a6c2e90218617b01) ([merge request](gitlab-org/gitlab!85796))
- [Backfill SSL verification for integrations with known-good hostnames](gitlab-org/gitlab@505ac2e372312396d849ccadc4c35f1a36cf492e) ([merge request](gitlab-org/gitlab!80302))
- [Limit to current PG user](gitlab-org/gitlab@465cfa32213078794b567254e6a62dbf77ba60be) ([merge request](gitlab-org/gitlab!85693))
- [Make vulnerability report more reusable](gitlab-org/gitlab@a71b0f8239a3db13a6aa9af8070665c06a3a86d7) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85303)) **GitLab Enterprise Edition**
- [Remove feature flag scan_result_policy](gitlab-org/gitlab@f78bc143fd81d2cd496ccdc54df6d13d89c3d59b) ([merge request](gitlab-org/gitlab!84523)) **GitLab Enterprise Edition**
- [Remove runner_list_group_view_vue_ui feature flag](gitlab-org/gitlab@1ce09d86bf9470ac9c251b1d631d5ede2d6b1c8c) ([merge request](gitlab-org/gitlab!85394))
- [Add VulnerabilityReportTab component](gitlab-org/gitlab@4220f0d5cc170c26222c47fb20e323997ffe10ad) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85309)) **GitLab Enterprise Edition**
- [Add view containing autovacuum information](gitlab-org/gitlab@2b4b4d7f45acd623bcafc0e690d5b24cf0a6900c) ([merge request](gitlab-org/gitlab!85103))
- [Clean up selection summary](gitlab-org/gitlab@67c7251488279e660ccd2c63aebf6719f4751709) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85349)) **GitLab Enterprise Edition**
- [Move methods to build email unsubscribe link to helper](gitlab-org/gitlab@ae4391a84d14d51ca5b5f2ffaada96e3b37a1d51) ([merge request](gitlab-org/gitlab!84696)) **GitLab Enterprise Edition**
- [Deprecate `push_rules_supersede_code_owners` feature flag](gitlab-org/gitlab@9ee99872b66a69c5a2d1c1c9863d960832a1d91f) ([merge request](gitlab-org/gitlab!85390))

## 14.10.5 (2022-06-30)

### Security (17 changes)

- [Fix group IP restrictions not enforced for container registry requests](gitlab-org/security/gitlab@b146ad7b8c6fba9d3c5bea365ff8afd49949dcb0) ([merge request](gitlab-org/security/gitlab!2552))
- [Update rack gem to version 2.2.3.1](gitlab-org/security/gitlab@09ebb50ceee5a2226c1f70fa1d6c25391d51dda6) ([merge request](gitlab-org/security/gitlab!2554))
- [Gitlab Runner version upgrade](gitlab-org/security/gitlab@c91bfdb4f96e70e377a84b99c4edaa2fdecb8e16) ([merge request](gitlab-org/security/gitlab!2567))
- [Update ProjectAttributesTransformer to use fixed number of attributes](gitlab-org/security/gitlab@6f892fb2a4b84473c3796533551f915c16cf77d9) ([merge request](gitlab-org/security/gitlab!2549))
- [Escape deploy key title to prevent XSS](gitlab-org/security/gitlab@153a7c447e03a509b7f06ac7381f4f9db414c9ea) ([merge request](gitlab-org/security/gitlab!2494))
- [Sanitize ZenTao breadcrumb links](gitlab-org/security/gitlab@530c7be82ae90138898ff99008d994b1c85d8cf1) ([merge request](gitlab-org/security/gitlab!2557))
- [Fix permissions in the project labels API](gitlab-org/security/gitlab@f2c71f64c258bef9f56f4892d11a4dbf20d668e6) ([merge request](gitlab-org/security/gitlab!2534))
- [Security fix sentry issue leaks and access level check](gitlab-org/security/gitlab@c644d94f58e30e1a9d87521b039a347412f0fead) ([merge request](gitlab-org/security/gitlab!2501))
- [Check permissions before exposing user two factor enabled](gitlab-org/security/gitlab@8a623e8a4fdbd3421ac3ae0e37e156b7d3b04970) ([merge request](gitlab-org/security/gitlab!2525))
- [Filter milestone release by user access](gitlab-org/security/gitlab@d7d6431a52808107a71f15d29e856eef2cb313e5) ([merge request](gitlab-org/security/gitlab!2537))
- [Fix the required access level in the Conan packages finder](gitlab-org/security/gitlab@756fb242c4d6acf6cfd95fa39f37410eaf009747) ([merge request](gitlab-org/security/gitlab!2485))
- [Allow inviting only groups with subset of allowed domains to groups](gitlab-org/security/gitlab@ca50492a32a2e367b0bc75dae0f91dc52d23b2ed) ([merge request](gitlab-org/security/gitlab!2512))
- [Fix open redirect vulnerability](gitlab-org/security/gitlab@1450068a44d67af3cbe09fedcc4b1e9b4ea2e586) ([merge request](gitlab-org/security/gitlab!2540))
- [Adds a filter based on user access to Runner jobs endpoint](gitlab-org/security/gitlab@dafaf3e50e8b1a18ff362cbb60e9482c9d60fc33) ([merge request](gitlab-org/security/gitlab!2497))
- [Prevent runners from picking IP restricted jobs](gitlab-org/security/gitlab@0fad0cdde00b68c2a0f19ffa2681b438fcad4097) ([merge request](gitlab-org/security/gitlab!2503))
- [Restrict CI lint access to pipeline creators](gitlab-org/security/gitlab@c5b79e969f10e3604eff16a9edef716e700cd201) ([merge request](gitlab-org/security/gitlab!2515))
- [Catch endless headers when reading HTTP responses](gitlab-org/security/gitlab@65379002bd7a0259c425455c937b110bd96096dc) ([merge request](gitlab-org/security/gitlab!2529))

## 14.10.4 (2022-06-01)

### Security (7 changes)

- [Fix IP restrictions not applying to deploy tokens](gitlab-org/security/gitlab@8866d00e50f1d2857d54130239851f21404d7432) ([merge request](gitlab-org/security/gitlab!2471))
- [Trigger token should respect group IP restrictions](gitlab-org/security/gitlab@8534ca1be10f115dad2e0c1a4e167673049e401a) ([merge request](gitlab-org/security/gitlab!2478))
- [Fix content injection in Jira issue title](gitlab-org/security/gitlab@b8f82ec8d7ddf30c656642bff12de8fc8b5930a2) ([merge request](gitlab-org/security/gitlab!2464))
- [Subgroup member can list members of parent group](gitlab-org/security/gitlab@b59c49fa7b681a93bbe4bc69b20e72930a8b9d8d) ([merge request](gitlab-org/security/gitlab!2480))
- [Do not allow project member import when membership is locked](gitlab-org/security/gitlab@baed30570206b5ed9973ad8bfac5462721745a5d) ([merge request](gitlab-org/security/gitlab!2447))
- [Disable changing user attributes when updating SCIM provisioned user](gitlab-org/security/gitlab@ae4eb58668513f38c0daf1dc3b977c6b22a9a476) ([merge request](gitlab-org/security/gitlab!2454))
- [Allow only job owner to run interactive terminal](gitlab-org/security/gitlab@b0819e77b5a65d4412b42f27a513c02cc056a2b8) ([merge request](gitlab-org/security/gitlab!2433))

## 14.10.3 (2022-05-20)

### Added (1 change)

- [Add option to disable seperated caches](gitlab-org/gitlab@c39af3e813d5d242068a8ae7e8e011284fd385c9) by @Taucher2003 ([merge request](gitlab-org/gitlab!88013))

### Fixed (1 change)

- [Fix assignee filtering on group/project issues list](gitlab-org/gitlab@317c3a6e1e799f53d7e0812921bbffc4f4733d58) ([merge request](gitlab-org/gitlab!87729))

## 14.10.2 (2022-05-04)

### Fixed (2 changes)

- [Resolve "Fork relationship is not respected for certain projects"](gitlab-org/gitlab@881099bc27d9696ea3b9bcc2a1e43c3207ee4bb3) ([merge request](gitlab-org/gitlab!86476))
- [Fix mappings errors for ES6.8](gitlab-org/gitlab@5caac54a746a331d828d4e3ce24273cd6173c86f) ([merge request](gitlab-org/gitlab!86476)) **GitLab Enterprise Edition**

### Other (1 change)

- [Add documentation for mr settings audit events part 1](gitlab-org/gitlab@95bfdae5a677de5ac9d0d5ceccd42e88ca4f99c4) ([merge request](gitlab-org/gitlab!86476))

## 14.10.1 (2022-04-29)

### Security (14 changes)

- [Add suffix to cache name to add isolation](gitlab-org/security/gitlab@9ff0233c191339f4dd042b7f55d1ffd66b3f9a2b) ([merge request](gitlab-org/security/gitlab!2426))
- [Update Import/Export merge/push access levels & exclude ci config path](gitlab-org/security/gitlab@40f32316dad5bb0779907261215b3526ed8871fc) ([merge request](gitlab-org/security/gitlab!2404))
- [Prevent maintainers from editing PipelineSchedule](gitlab-org/security/gitlab@2ce3805447b4b3b7336d46d1d21dcd9e173c40be) ([merge request](gitlab-org/security/gitlab!2421))
- [Add validation to pypi file sha256 values](gitlab-org/security/gitlab@afc796f43df09a2e43f40beaffec942a80ad973d) ([merge request](gitlab-org/security/gitlab!2415))
- [Conan Token uses PAT rather than ID in payload](gitlab-org/security/gitlab@2679b802ac4cd9bd36190bcca691177c5568a981) ([merge request](gitlab-org/security/gitlab!2412))
- [[security] Fix markdown API disclosing issue titles of limited projects](gitlab-org/security/gitlab@66088697787bcd55a727602da4f7fdd51b997eb0) ([merge request](gitlab-org/security/gitlab!2407))
- [Verify that mentioned user can read TODO's note](gitlab-org/security/gitlab@fd166c1b4cc01e2bbbecabbab706deb423fa17f6) ([merge request](gitlab-org/security/gitlab!2397))
- [Invalidate markdown cache to clear up stored XSS](gitlab-org/security/gitlab@0a0aee802c8b7760ffb0213e67129863d1769313) ([merge request](gitlab-org/security/gitlab!2418))
- [Allow rate limiting of deploy tokens](gitlab-org/security/gitlab@8de550917a4b86a3ca3e132465d7d2c8394c4493) ([merge request](gitlab-org/security/gitlab!2395))
- [Disable wiki access with CI_JOB_TOKEN when improper access level](gitlab-org/security/gitlab@516dbcd83cb2bbda6b15e22f4fafdaed661f4eb1) ([merge request](gitlab-org/security/gitlab!2408))
- [Sanitize error input to prevent HTML/CSS injection in messages](gitlab-org/security/gitlab@c3f62e0f2965fe871463ed7a8b6e438cd2e1f515) ([merge request](gitlab-org/security/gitlab!2379))
- [Secure debug trace artifact download](gitlab-org/security/gitlab@d889fb31417a8b8c38f73341da7576e856a96c5b) ([merge request](gitlab-org/security/gitlab!2376))
- [Use password type for all secret integration properties](gitlab-org/security/gitlab@c4e2f9c3e86d832c143086f05fad382f6a218c50) ([merge request](gitlab-org/security/gitlab!2409))
- [Limit CI job group_name regexp](gitlab-org/security/gitlab@9e3fbfce686aac48402a097c16616ffffe27c32f) ([merge request](gitlab-org/security/gitlab!2382))

## 14.10.0 (2022-04-21)

### Added (141 changes)

- [Add a dropdown to switch language in code blocks](gitlab-org/gitlab@3b72b32536c5fc66e32af33ead8d6609f96df2fe) ([merge request](gitlab-org/gitlab!69131))
- [Wraps Jupyter Notebook Diff in a feature flag](gitlab-org/gitlab@bd75c1583e1c6b994bcbfc90a1a7921485c22fd4) ([merge request](gitlab-org/gitlab!85079))
- [Track related epics blocked added on usage data](gitlab-org/gitlab@37be6bcfe05d1af1443008d8c3abc6ee52f51a21) ([merge request](gitlab-org/gitlab!84503)) **GitLab Enterprise Edition**
- [Optimize followed users queries](gitlab-org/gitlab@a93a42b8aeaed4d3099b49bc18a07b11814fd704) ([merge request](gitlab-org/gitlab!84856))
- [Enable feature flag by default](gitlab-org/gitlab@a901c405c63b255dc6f1a159a6b9b594719f0e7c) ([merge request](gitlab-org/gitlab!85270))
- [Enable policy type selection page by default](gitlab-org/gitlab@a99a9df36c335d727478fc0ddb6543876188bfc5) ([merge request](gitlab-org/gitlab!83600)) **GitLab Enterprise Edition**
- [Add DS_IMAGE_SUFFIX to enable Gemnasium FIPS](gitlab-org/gitlab@aaa62e9d83b68ce23269e9b46d091e6802035faa) ([merge request](gitlab-org/gitlab!85106))
- [feat: Add SAST/SD template support for FIPS images](gitlab-org/gitlab@8b1989350dd0bf096b175244aca2a6c45c5ec16f) ([merge request](gitlab-org/gitlab!84839))
- [Enable FF ci_trigger_forward_variables](gitlab-org/gitlab@850c9c3945cef068c43f103443778d83550d7d60) ([merge request](gitlab-org/gitlab!85263))
- [Add gitlab-pages http server timeout options documentation](gitlab-org/gitlab@3169be7dff244c5e7388e341be8e6936fae4024e) ([merge request](gitlab-org/gitlab!84944))
- [Namespace onboarding action for license scanning](gitlab-org/gitlab@59d45d87d2a4abb372895e8b9209546054b5de1d) ([merge request](gitlab-org/gitlab!77782)) **GitLab Enterprise Edition**
- [Enable feature flag by default](gitlab-org/gitlab@cd0cf705715563d5dc7e9a3b37e63f24200d10e5) ([merge request](gitlab-org/gitlab!82679)) **GitLab Enterprise Edition**
- [Default to the current group when importing from GitHub](gitlab-org/gitlab@5fd18ea76894b946bde60f6da334540b312cc9e9) ([merge request](gitlab-org/gitlab!84323))
- [Add metrics image UI for Alerts](gitlab-org/gitlab@3467ff1b476fbe12aede384bf0c7e03a6917eb29) ([merge request](gitlab-org/gitlab!84129))
- [Extend decomposition prometheus metric with information about CI](gitlab-org/gitlab@4f58363ce4068bfd215dc082bcb4fb27028e0b63) ([merge request](gitlab-org/gitlab!85178))
- [Introduce a onboarding_complete setting for GitLab Pages](gitlab-org/gitlab@5e36289c4aaefff842fdb20c0d0624bbce4e31e4) ([merge request](gitlab-org/gitlab!73551))
- [Nullify dependent associations in batches on user deletion](gitlab-org/gitlab@f934106bec76e5cd4d77b86ad116aeb180f3c516) ([merge request](gitlab-org/gitlab!84709))
- [Add option to add DAST_SUBMIT_FIELD](gitlab-org/gitlab@52a4060f9aa2380190fe3a24f499b04598525bc5) ([merge request](gitlab-org/gitlab!84100)) **GitLab Enterprise Edition**
- [Default group/project issues list page to Vue refactor](gitlab-org/gitlab@99e1bbda26b82cee2c6ca75e26afb8cf1905988b) ([merge request](gitlab-org/gitlab!83299))
- [Move arkose settings into database](gitlab-org/gitlab@b4ca26d77edfc17bbbfe24c50d94a580101c9d03) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84415))
- [Bump GitLab Pages to 1.57.0](gitlab-org/gitlab@16b6d391684d2ffa3bef5281328fe8b1e6b6f4e9) ([merge request](gitlab-org/gitlab!85179))
- [Update Security Policy to use FIPS images when FIPS Mode is enabled](gitlab-org/gitlab@e16c90f7119b80a699ebb0d3de9efb07d4e0fe84) ([merge request](gitlab-org/gitlab!85150)) **GitLab Enterprise Edition**
- [Add ttl expiration to user otp_secrets](gitlab-org/gitlab@18d316ae80113330b3624bdf954551e3fff0d64a) ([merge request](gitlab-org/gitlab!84985))
- [Implement wiki async page load](gitlab-org/gitlab@93d049bb772389b2e567de799ab1265ac5d87f6a) ([merge request](gitlab-org/gitlab!85076))
- [Allow uploading audio and video in content editor](gitlab-org/gitlab@7da260cea1fcbc6ababdc58bc7b804aca48df43f) ([merge request](gitlab-org/gitlab!84594))
- [Add identifer to response](gitlab-org/gitlab@03ba2c10bca4ef792e8eff6c7c6b03128ba9ccde) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84990)) **GitLab Enterprise Edition**
- [Implement first iteration of the agents REST API](gitlab-org/gitlab@f7b265a5c68a912a172f1c4b5b4fa66a9bce8384) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83270))
- [Backfill routes namespace_id for projects](gitlab-org/gitlab@8bda0cf8ccf4df51ba7d56ece263cebda30c60dd) ([merge request](gitlab-org/gitlab!81121))
- [Add periodic re-aggregation worker for VSA](gitlab-org/gitlab@2bb347b735e44b9cb558c55373bc8925deee40ec) ([merge request](gitlab-org/gitlab!84171))
- [Fire a Snowplow events with its definition on FE](gitlab-org/gitlab@24a6b0f5f0d6179f0c33169b15a92e127e5510d8) ([merge request](gitlab-org/gitlab!84122))
- [Added MATLAB template](gitlab-org/gitlab@a42830f85ca42b2377aa959ce9b6381180822970) by @nbhoski ([merge request](gitlab-org/gitlab!82914))
- [Add new route for DAST profile library](gitlab-org/gitlab@eecb515827aa756c2017c0afe4b08bfaca32ae18) ([merge request](gitlab-org/gitlab!84451)) **GitLab Enterprise Edition**
- [Allow SKIP=remote option to be specified during backup](gitlab-org/gitlab@59f9f0704f2ae29cf15a0e951ab1ce50f0dfb249) by @kakakikikeke ([merge request](gitlab-org/gitlab!83816))
- [Add a feature flag to control when we could prevent users to login](gitlab-org/gitlab@191e2093d1facf13f675031ad1b7d3cff3974830) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84971)) **GitLab Enterprise Edition**
- [Allow bypassing registration when joining project](gitlab-org/gitlab@1d21bef5a2877b39eac8aae67845e8035c05df32) ([merge request](gitlab-org/gitlab!83225)) **GitLab Enterprise Edition**
- [Track blocking epics removed on usage data](gitlab-org/gitlab@798a01887aad4a789aefd0580785255bed773e50) ([merge request](gitlab-org/gitlab!84408)) **GitLab Enterprise Edition**
- [Add application settings to support inactive project deletion feature](gitlab-org/gitlab@60b8b509e7282fd9e9a18dde85174a9770840360) ([merge request](gitlab-org/gitlab!84519))
- [Add epics.relative_position column if missing](gitlab-org/gitlab@a53a6b80320427742768d4dd9faa6e9c027bf20b) ([merge request](gitlab-org/gitlab!84733))
- [Include inherited group links on group members page](gitlab-org/gitlab@4ae7ac3be1d64b0696d2ec3d92dd3e66433164d2) by @wwwjon ([merge request](gitlab-org/gitlab!71465))
- [Implement wiki page async load](gitlab-org/gitlab@93bc27aabf0bc51d2a2ac9276e6991b9a8398bc8) ([merge request](gitlab-org/gitlab!84690))
- [Add omniauth provider AliCloud](gitlab-org/gitlab@d8265f091083bd662fec5b4a65a46c28538f90a9) by @zhanglinjie ([merge request](gitlab-org/gitlab!83925))
- [Different copy on trial/registration flow](gitlab-org/gitlab@afab628557293e38049ef1a0b605380c7e15444f) ([merge request](gitlab-org/gitlab!83778)) **GitLab Enterprise Edition**
- [Add support for the deduplicated container repositories size](gitlab-org/gitlab@faa6448d6f80ae35c528776c31bfcb8c90a0df99) ([merge request](gitlab-org/gitlab!83980))
- [Fire a Snowplow events with its definition on BE](gitlab-org/gitlab@ac138099dd94f69865d55ff49df136fbd7b0a5f6) ([merge request](gitlab-org/gitlab!83480)) **GitLab Enterprise Edition**
- [Adding FIPS support to DAST API/API Fuzzing latest CI template](gitlab-org/gitlab@e726b3879e5826346af0be6155ea7b1085905dc0) ([merge request](gitlab-org/gitlab!84312)) **GitLab Enterprise Edition**
- [Repeat the captcha check during the login](gitlab-org/gitlab@f85640d7477f6a016219cb444c3acf6d2d03c942) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83633)) **GitLab Enterprise Edition**
- [Allow Invitations API to receive user_ids](gitlab-org/gitlab@bd4c83b8771e0e9270368596360dbfe890da4040) ([merge request](gitlab-org/gitlab!81019))
- [Add groups release API](gitlab-org/gitlab@1bc89dbd6f6d641aff196850a46689e5701633e8) ([merge request](gitlab-org/gitlab!77783))
- [Adds container_registry_size to project_statistics](gitlab-org/gitlab@56c0aa26a1a43fed6da104bd0d82b3859973800a) ([merge request](gitlab-org/gitlab!84271))
- [Add not null and delete cascade constraints on project_namespace_id](gitlab-org/gitlab@54e3627c2ffbf6c5c1d01262445a147f38367f27) ([merge request](gitlab-org/gitlab!82309))
- [Enable incremental repository backups](gitlab-org/gitlab@757e9e8dd0acb925b925d5f358f4fc28d5ba641a) ([merge request](gitlab-org/gitlab!84536))
- [Add minute limit banner](gitlab-org/gitlab@41c10cd2e541da29f2ff1e658c0e96db7108eb90) ([merge request](gitlab-org/gitlab!84644))
- [Create unique index on projects namespace_id and name](gitlab-org/gitlab@16502ac598fabfa32e1314c6e1cc5ba640d9c2ce) ([merge request](gitlab-org/gitlab!83884))
- [Add resolve thread to permission table](gitlab-org/gitlab@523cf5005d32650792c8ddd952e8baf5ec0b1c36) ([merge request](gitlab-org/gitlab!84598))
- [Add audit events for merge request settings](gitlab-org/gitlab@1bfe37d3038135b8790699109438b94b2f0674ef) ([merge request](gitlab-org/gitlab!83922)) **GitLab Enterprise Edition**
- [Support security report schema version 14.1.1](gitlab-org/gitlab@31bc204c1e6184b5d8205cac4f0014129c7b3bef) ([merge request](gitlab-org/gitlab!83430))
- [Add ability to query awaiting billable members](gitlab-org/gitlab@24beb9fe990d9d9f89609151edc9361e0a3d7ab7) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84074))
- [Add arkose verify response details to custom attributes](gitlab-org/gitlab@5afeadbb70cff19fb7717dc57af02511aaf7e584) ([merge request](gitlab-org/gitlab!84394)) **GitLab Enterprise Edition**
- [Implement detailed github status reporting](gitlab-org/gitlab@f693a63b35acb6d9d82bfde4de411b117b71aeab) ([merge request](gitlab-org/gitlab!83493))
- [Allow invitation service to receive user_ids](gitlab-org/gitlab@07422cb28dd3626078d04c93f805dfa893b19790) ([merge request](gitlab-org/gitlab!83534))
- [Create status index for batched migrations](gitlab-org/gitlab@9653cb5a38a5a6b7ba0eb7b1b0b4337ecc1e3b22) ([merge request](gitlab-org/gitlab!84470))
- [Allow to put migrations on hold for some time](gitlab-org/gitlab@5a7ec0fac6d10e537ddcb539e11966f31ffd09e1) ([merge request](gitlab-org/gitlab!84166))
- [Add dast_submit_field to DAST site profile](gitlab-org/gitlab@ae5c2556eac99dde7a48090d608f6613bc03dd14) ([merge request](gitlab-org/gitlab!84245))
- [Add missing authorization](gitlab-org/gitlab@b0adb655354a5d029b2dc65255901563d0c2cd2e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84425)) **GitLab Enterprise Edition**
- [Add Commit Author to Pipeline List Page](gitlab-org/gitlab@60c83f3ec42ceb34e2bff8944296cfbdcf6b8f67) by @Taucher2003 ([merge request](gitlab-org/gitlab!84226))
- [Track blocking epics added on usage ping](gitlab-org/gitlab@275aa1c697b7e113c25264d163a58fd43bcae8de) ([merge request](gitlab-org/gitlab!84400)) **GitLab Enterprise Edition**
- [Add clear cache button to dependency proxy](gitlab-org/gitlab@1ada2ced100a131591aff01eaa5190a9f98ca55b) ([merge request](gitlab-org/gitlab!83786))
- [Track linked epics removed on usage ping](gitlab-org/gitlab@8cb3edc32db88926160c77b456798cece3052d65) ([merge request](gitlab-org/gitlab!83547)) **GitLab Enterprise Edition**
- [Added deprecation notice to cluster creation pages](gitlab-org/gitlab@f16ffd74c5a6be2261cccbf6e511c750e6b80ca7) ([merge request](gitlab-org/gitlab!83886))
- [Created new feature flags for free and paid users](gitlab-org/gitlab@5393d8c3a0f2a41d4febcdd1abdd405739bb7db8) ([merge request](gitlab-org/gitlab!82704)) **GitLab Enterprise Edition**
- [Add new CI/CD template for Liquibase](gitlab-org/gitlab@9008f546da240a428b62170c54d8e25e100f5a19) by @szandany ([merge request](gitlab-org/gitlab!81817))
- [Added a clipboard button to the "Branches" page in "Repository"](gitlab-org/gitlab@fe1d7438951f5cfb4509cadde6d065022794c474) by @DavidRotert ([merge request](gitlab-org/gitlab!80017))
- [Add changed_by field to API members entities](gitlab-org/gitlab@c0e336bc0b0ccb4bb9376d9d9928b7bc1f854269) by @remyj38 ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66518))
- [Support executable flag in repository files API](gitlab-org/gitlab@909aee045e573eaf62c4766f7d301029adc7faa1) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83499))
- [Adds kind field to JobType](gitlab-org/gitlab@5232517ccb8d14b5dd4a1c29de885231f802c0e0) ([merge request](gitlab-org/gitlab!83627))
- [Merge branch 'ahmetkaramercan17-master-patch-18116' into 'master'](gitlab-org/gitlab@25be580b697e5697df4288e5b5064bc1a3e3a480) ([merge request](!80925))
- [awardEmoji: Display custom emoji](gitlab-org/gitlab@8f8eb1a844fa0668cd7a9a060bb44e198ecec3ff) ([merge request](gitlab-org/gitlab!77478))
- [Enable Value Stream Analytics consistency check](gitlab-org/gitlab@20198e10c37e417b71c1c0f815fbe087d40cb774) ([merge request](gitlab-org/gitlab!84153)) **GitLab Enterprise Edition**
- [Create index on `security_findings`(`scan_id`, `id`)](gitlab-org/gitlab@30f8a95b03f625122b1e9f50901211da08cc490d) ([merge request](gitlab-org/gitlab!84185))
- [Display the tier of the environment on page](gitlab-org/gitlab@39765b0bb48576d83022cfe87450b0a49ba59fd3) ([merge request](gitlab-org/gitlab!83429))
- [Use the remote ip for the captcha check](gitlab-org/gitlab@cab8b8829fe6d3e566a77f03eb5444d2bd7f1cb3) ([merge request](gitlab-org/gitlab!83985)) **GitLab Enterprise Edition**
- [Add page size selector to vulnerability report](gitlab-org/gitlab@93d74803cf2abc3a86d471e8f317f6030c645af4) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83604)) **GitLab Enterprise Edition**
- [Add a temporary specialized index on project_namespace_id](gitlab-org/gitlab@eb4d21d3e5c0d4008259d97dbcdf7cea55bfc333) ([merge request](gitlab-org/gitlab!84072))
- [Support template button focus state](gitlab-org/gitlab@fab61c5c0b851e93b79d223b0984ece5b8c843c4) by @ahmetkaramercan17 ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80925))
- [Remove pipeline_schedules_with_tags feature flag](gitlab-org/gitlab@ef49afae034b5a00e039b6d4cd15972dae3611b3) by @KevSlashNull ([merge request](gitlab-org/gitlab!83465))
- [Introduce new Group Feature model and database structure](gitlab-org/gitlab@8964f64d41daf4f7fd17ee5b06b80e762c78f0b6) ([merge request](gitlab-org/gitlab!82017))
- [Search the user by username or email](gitlab-org/gitlab@e993ebc2cff19a09d993e5b0a48947d7e9cd2dd0) ([merge request](gitlab-org/gitlab!83871)) **GitLab Enterprise Edition**
- [Add collapsed comparer for license_scanning](gitlab-org/gitlab@44f732013487cacc9e3ef6d921ae0b6539bce100) ([merge request](gitlab-org/gitlab!82526)) **GitLab Enterprise Edition**
- [Add harbor registry list page](gitlab-org/gitlab@94a33f80e33704d11679b99b670a86071ddeb82d) by @orozot ([merge request](gitlab-org/gitlab!81008))
- [Add commit diff stats](gitlab-org/gitlab@a7a5a656b4d3a50b74e6a329155789f94204983a) ([merge request](gitlab-org/gitlab!83749))
- [Fix project name duplicates and missing project namespace ids](gitlab-org/gitlab@a12776af66e8c39ad92d5d6bd9b2355ec6e052a2) ([merge request](gitlab-org/gitlab!83587))
- [Add user limit notification for invite members modal](gitlab-org/gitlab@801c1f172b6e5e669bd31a565d79ff7eba2d27e0) ([merge request](gitlab-org/gitlab!82909))
- [Add Runner releases API URL to ApplicationSetting](gitlab-org/gitlab@c9a8ff5a2bb21846c1336286f21f59e3de79e18c) ([merge request](gitlab-org/gitlab!83549))
- [Add link to create group in general project settings](gitlab-org/gitlab@a6a91fc58f03995982ebd6e35dd05b250db24ce2) ([merge request](gitlab-org/gitlab!83748))
- [Implement sort param for bulk imports API](gitlab-org/gitlab@e3d21409c01d894b999d937abff6dd0a073f196f) ([merge request](gitlab-org/gitlab!83458))
- [Add notification_level to namespace_root_storage_statistics table](gitlab-org/gitlab@ff6267cb883ccd1fb702f5b6c64744c9922a346d) ([merge request](gitlab-org/gitlab!83338))
- [Detect projects built for Apple iOS platform](gitlab-org/gitlab@b26d73a4de29046bc47c449c919f89e1c2e8a99c) ([merge request](gitlab-org/gitlab!80361))
- [feat: Add CI_GITLAB_FIPS_MODE to predefined CI variables](gitlab-org/gitlab@1a7a70174e26079843fc089c114970c3bcad8e2a) ([merge request](gitlab-org/gitlab!83891))
- [Add a test group cleanup worker to remove test groups on production](gitlab-org/gitlab@bcc945d2abaf7db1adf6c0e25b28a82c8d04e75c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83585))
- [Allow administrators to set active pipelines limits](gitlab-org/gitlab@4d4e0a242608ac561b1e5cd7c52f7ef99fd633f0) ([merge request](gitlab-org/gitlab!83855))
- [New Group Runners administration view](gitlab-org/gitlab@5a0439343f69475e2acab7ff18395875014ede7d) ([merge request](gitlab-org/gitlab!82622))
- [Allow restore tasks to be skipped using SKIP](gitlab-org/gitlab@480f737e603ea447ae0e645a4887a3978546ad7f) ([merge request](gitlab-org/gitlab!83783))
- [Track api usage of the gitlab cli](gitlab-org/gitlab@63639224ce880c2ac8d5a8b0301f474665c6fd16) ([merge request](gitlab-org/gitlab!83464))
- [Add support for the nested repositories container registry access token](gitlab-org/gitlab@cc8268ee817029e943960d9de353adbdbabd4a78) ([merge request](gitlab-org/gitlab!83756))
- [Handle auth error for container registry](gitlab-org/gitlab@06ba9523d947fea4155c81194173190ded6a7163) ([merge request](gitlab-org/gitlab!83278)) **GitLab Enterprise Edition**
- [Introduce API for Change Failure Rate DORA metric](gitlab-org/gitlab@c8305d27083acd49417c9036aa49ab2852a1c5ae) ([merge request](gitlab-org/gitlab!83514))
- [Added a create cluster page for the FF](gitlab-org/gitlab@8463632ffe55ea6bc8051886da938a1a0841a667) ([merge request](gitlab-org/gitlab!83041))
- [Ensure project backfilling has finished](gitlab-org/gitlab@20998ccb968611bb50f307d3fae0c83164b0017c) ([merge request](gitlab-org/gitlab!82176))
- [Add endpoint to decide if the ArkoseLabs integration should be triggered](gitlab-org/gitlab@30b0f796ba8ee0f03d1df9050e12713e28acbb30) ([merge request](gitlab-org/gitlab!82751))
- [Add delete endpoint for related epics](gitlab-org/gitlab@9584af7c8550cfda5c877ab45059a597e2c972eb) ([merge request](gitlab-org/gitlab!83307)) **GitLab Enterprise Edition**
- [FIPS SSH key configuration settings](gitlab-org/gitlab@ee76f7187b9d12876b87200e044cfe486032500f) ([merge request](gitlab-org/gitlab!81917))
- [Add creator_id to deploy_tokens](gitlab-org/gitlab@40c4143a79db86c0fe0e59575ac94cd397d7b817) ([merge request](gitlab-org/gitlab!83023))
- [Mark Import trackers as timed out with entities](gitlab-org/gitlab@5e23c718d4a32fe4db35638d8698a2e9aafcf358) ([merge request](gitlab-org/gitlab!83530))
- [Add ArkoseLabs verify request service](gitlab-org/gitlab@607b5569bd56084e1dd034a248adb7a50195b3fa) ([merge request](gitlab-org/gitlab!83099))
- [Add DB Grafana config as application settings](gitlab-org/gitlab@cc12dc696f3f4ff41e77eaf9b4c9cb83f402b139) ([merge request](gitlab-org/gitlab!82348))
- [When no iterations are present show empty state](gitlab-org/gitlab@52aeccae45270a2a75dd462b986610996d8ed194) by @sstern ([merge request](gitlab-org/gitlab!79067)) **GitLab Enterprise Edition**
- [Add timeout status to bulk importer](gitlab-org/gitlab@0c14911b0427a036faa471e91bca76ea3cdc5b15) ([merge request](gitlab-org/gitlab!83313))
- [Remove improved_emoji_picker feature flag](gitlab-org/gitlab@ba2094afa6f7021f0cdbdfbf518ed472e8c05391) ([merge request](gitlab-org/gitlab!82117))
- [Expose github stats in realtime_changes private API](gitlab-org/gitlab@0fb3f04c59e1e7912623f9afeb843def13cca4c0) ([merge request](gitlab-org/gitlab!83497))
- [Trigger an email when seat overage occurs](gitlab-org/gitlab@5b32ac5ce1cb62e3e32f6c4fcd3df939618f1056) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79807)) **GitLab Enterprise Edition**
- [Implement GET API for GATs and PATs](gitlab-org/gitlab@5be27d6677ec0d1a63a415da56d09eba8b682145) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82714))
- [Implement history for project imports](gitlab-org/gitlab@c07eba6c606e3edf014f2fa17ef4a26666b60855) ([merge request](gitlab-org/gitlab!83207))
- [Expose import url and status in projects API](gitlab-org/gitlab@df58da3390cfb6d803f5ced4843ac63b2f93f3d2) ([merge request](gitlab-org/gitlab!82498))
- [Render plantuml/kroki diagrams in content editor](gitlab-org/gitlab@e45c5f1d71d2c45f037fcbe4149736a436a824d7) ([merge request](gitlab-org/gitlab!77875))
- [Add "Created on" & "Last activity" columns to groups and projects page](gitlab-org/gitlab@484fe31b91102f6d89d5e914bb9727672b9a4426) ([merge request](gitlab-org/gitlab!82918))
- [Implement API to get single Project Remote Mirror](gitlab-org/gitlab@fe5a94c2496292a876e74e9b5ec561de1c532e23) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82770))
- [Extend workers and services to support namespace for Security Policies](gitlab-org/gitlab@10feb38e5297372bcf863973de315a768bbf8a28) ([merge request](gitlab-org/gitlab!82695)) **GitLab Enterprise Edition**
- [Graceful degradation for refs endpoint](gitlab-org/gitlab@ebe9cdfcee8e9777b70f6fadd76774aa86cfe23c) ([merge request](gitlab-org/gitlab!83088))
- [Add create endpoint for related epics](gitlab-org/gitlab@1ee01f0fb4c56dc3758957987f3ad19705fc2ea8) ([merge request](gitlab-org/gitlab!82985)) **GitLab Enterprise Edition**
- [Expose `namespace_id` in users GET API for admins](gitlab-org/gitlab@408abb792b534918e39691632d2d0897b3734701) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82045))
- [Add Project template for Middleman](gitlab-org/gitlab@1eeda79e95a4a60e891818dfb089af9360fb495b) ([merge request](gitlab-org/gitlab!82231))
- [Implement DELETE API for Remote Mirrors](gitlab-org/gitlab@19d1fc2c90e24e870635e04dea80cdc89bb5f734) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82778))
- [Add target_id option to TodosMarkAllDone mutation](gitlab-org/gitlab@c8dccf44e3dbf3b3838a9397b05bb5deb71482c7) ([merge request](gitlab-org/gitlab!83110))
- [Add ability to enable SAST at project creation](gitlab-org/gitlab@d29a2e9b333eefbeb20b08bcf2a9609d5d455f74) ([merge request](gitlab-org/gitlab!83138))
- [Implement API to get single MR rule](gitlab-org/gitlab@aea85351b7e630638d3399e3ff5eafc4edd75557) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82767)) **GitLab Enterprise Edition**
- [Add `Migration[2.0]` that enforces `restrict_gitlab_migration`](gitlab-org/gitlab@efeaa328def22e7741fec7bc8f97693195c1af6a) ([merge request](gitlab-org/gitlab!82505))
- [Allow administrators to change plan limits via the UI](gitlab-org/gitlab@8ed789d536ec8931a49eb65464a5852d022ddb99) ([merge request](gitlab-org/gitlab!82521))
- [Enable service ping for error tracking features](gitlab-org/gitlab@6c9e060af4a56135b695b9dd6e81478c2c510d05) ([merge request](gitlab-org/gitlab!83148))
- [Show expired security report information on "pipeline security tab"](gitlab-org/gitlab@3ebe6780af2e878339e13234c057affd9490f994) ([merge request](gitlab-org/gitlab!82508)) **GitLab Enterprise Edition**
- [Send a notification email when a new email address is added](gitlab-org/gitlab@bef7c5cefe6752fc1244c877c889b1365725bd93) by @rpadovani ([merge request](gitlab-org/gitlab!81211))
- [Include code_coverage in presented build for runner](gitlab-org/gitlab@56943486e62e8889358e3acb1e48a2786cdbb788) ([merge request](gitlab-org/gitlab!82672))

### Fixed (147 changes)

- [Remove geo database from db_config_names](gitlab-org/gitlab@a6034cf0bb1ef53932ef96adfc9005574f8d2735) ([merge request](gitlab-org/gitlab!84991))
- [Fixed spacing for the loading icon in time tracker](gitlab-org/gitlab@06b1c35ca736c7748c9b05d0c8eb96b0470fb0de) ([merge request](gitlab-org/gitlab!85335))
- [Increase the visibility of the keyboard shortcut for Global Search](gitlab-org/gitlab@e0e75e0fafadbc315c7f81b8777f2bf52fdf6b55) ([merge request](gitlab-org/gitlab!84085))
- [Update stage name to use truncate](gitlab-org/gitlab@1359711eb28604a1d30ef0080775160a012009b1) ([merge request](gitlab-org/gitlab!85139))
- [banzai: Get Custom Emoji from group as well](gitlab-org/gitlab@de6999b7ed58f1f6e46cc794d7b7fa0a573235ae) ([merge request](gitlab-org/gitlab!84304))
- [Add scope to CustomEmoji to find emoji for resource](gitlab-org/gitlab@cba2c20303e0a1d450a48f78ae692afedabc19c9) ([merge request](gitlab-org/gitlab!84304))
- [AwardEmoji: Don't look up url for built-in emoji](gitlab-org/gitlab@853408a19788bdc1d221802448d5d57b57d8f0c9) ([merge request](gitlab-org/gitlab!84304))
- [Fix rendering failure for the 'Verified' badge](gitlab-org/gitlab@c5f16c4a23837839418f198b032f5fc4344fee5a) ([merge request](gitlab-org/gitlab!84862))
- [Update links to CI/CD docs](gitlab-org/gitlab@745a3a5f100e92c8906945efdd26aa17f95392a5) ([merge request](gitlab-org/gitlab!85308))
- [Add default scan execution policies stage to pipeline](gitlab-org/gitlab@74ab5b3c7473e17992e8d08952182e58fea4d011) ([merge request](gitlab-org/gitlab!84640)) **GitLab Enterprise Edition**
- [Move VSA aggregation migration to migrate folder](gitlab-org/gitlab@3db7d3eb42a14251d4faee0258e375baa8720a3f) ([merge request](gitlab-org/gitlab!85164))
- [Enable fix_related_environments_for_merge_requests FF by default](gitlab-org/gitlab@2e84650a1ba21c4af3c993ba4832da0fc5918599) ([merge request](gitlab-org/gitlab!85251))
- [Fix the conditions when we scope to gitlab-org](gitlab-org/gitlab@88c1d835ce10fab1cdf84322a13c96929301644a) ([merge request](gitlab-org/gitlab!85189)) **GitLab Enterprise Edition**
- [Use lowercase values in user search ordering](gitlab-org/gitlab@e59a09227c692bd8b89d3b7208cf97db4a4eb37e) ([merge request](gitlab-org/gitlab!81828))
- [Always select an environment's  last deployment by deploy date](gitlab-org/gitlab@df8cc48b825d766e429a257f905652dea73fbb94) ([merge request](gitlab-org/gitlab!85202))
- [Fix infinite activities requests on profile](gitlab-org/gitlab@b0ee9a508bf12e9ed9abee00427fae6246aa9aa0) ([merge request](gitlab-org/gitlab!84999))
- [Adds timeout to notebook rendering](gitlab-org/gitlab@a2469d3d75b6f2b788293eae333e9aa17a07b6e0) ([merge request](gitlab-org/gitlab!85069))
- [Fix query params parsing when NOT operator is used](gitlab-org/gitlab@5fc73f19481544202aa71e3696ef019deae501ce) ([merge request](gitlab-org/gitlab!84569)) **GitLab Enterprise Edition**
- [Fix regression with logic to add user primary email to emails](gitlab-org/gitlab@21210646866a682134d2720ea7dbcecb0fcd2fe4) ([merge request](gitlab-org/gitlab!85169))
- [Updated the terraform empty state](gitlab-org/gitlab@77671465de3ea5bbfdaf2e63c8f9f481ca624d4f) ([merge request](gitlab-org/gitlab!84411))
- [Allow empty future subscriptions on seat link sync](gitlab-org/gitlab@2ec0d5e3b1b0684c9fcd67f22e95e5ebdf0d01d4) ([merge request](gitlab-org/gitlab!84533)) **GitLab Enterprise Edition**
- [Fix import button width on Issue list page](gitlab-org/gitlab@7bfea1b97a96532192bf8e555852d88740624bf4) ([merge request](gitlab-org/gitlab!84677))
- [Fixes infinite loop when rendering Ipynb Diffs](gitlab-org/gitlab@a8fdf5f9cd9c87ac9c3975312215625b40b449af) ([merge request](gitlab-org/gitlab!85142))
- [Merged MR notification: Fix sprintf evaluation](gitlab-org/gitlab@57f9078aea8adcc11dab6241094f9b9817b50f80) by @inakimalerba ([merge request](gitlab-org/gitlab!84920))
- [Guard against Deployment#deployed_by being nil](gitlab-org/gitlab@49c776f8b745e25a5a4189b1e540529845fb9b90) ([merge request](gitlab-org/gitlab!85032))
- [Search Autocomplete: Review how icons are generated](gitlab-org/gitlab@85a3bea582c7c3b40a669b0c697d6d1a6f2f0daf) ([merge request](gitlab-org/gitlab!82724))
- [Switch from respond_with_navigational to redirect_to](gitlab-org/gitlab@9af9f3c3941f59a1ec8d3eb2bf696a2048024e93) ([merge request](gitlab-org/gitlab!85127))
- [Adds timeout for notebook rendering on CustomDiff](gitlab-org/gitlab@ce1bf1ff315b00bdbf4a4bc4b9d273dcbb85a710) ([merge request](gitlab-org/gitlab!85124))
- [Change `Create commit` button variant to confirm](gitlab-org/gitlab@de420f3b42853e6ed093b4fb84d652193c6da011) ([merge request](gitlab-org/gitlab!84728))
- [Remove ci_destroy_all_expired_service feature flag](gitlab-org/gitlab@c9cde7d59373ab102f650d8624984fcda3c5a229) ([merge request](gitlab-org/gitlab!84512))
- [Fix tooltip and truncation on incident list](gitlab-org/gitlab@43e8d7dcec2e2cb3dde133de30c812e062e6e3a1) ([merge request](gitlab-org/gitlab!83027))
- [Fix "sticky" user popovers](gitlab-org/gitlab@9d772ad54c503f32d8da9ffdfe4dc92d7c45f248) ([merge request](gitlab-org/gitlab!85120))
- [Include *.jira.com in Jira Connect CSP frame ancestors](gitlab-org/gitlab@6df3824611d5f4aad8612a6f905a937d49c65be5) ([merge request](gitlab-org/gitlab!84967))
- [Fix doc link to code suggestions in MR diff tab](gitlab-org/gitlab@88e2f2ba3dad1e4db6db725900c21d496e0cbc64) ([merge request](gitlab-org/gitlab!84958))
- [Fix impersonation created_at audit event field](gitlab-org/gitlab@6038dc0dab5abd16cae992438d5126b73ca8a5b6) ([merge request](gitlab-org/gitlab!85082)) **GitLab Enterprise Edition**
- [Add validation for invalid protected branches for](gitlab-org/gitlab@d79660fe354b789a53c2aebf783d3017ed03c99d) ([merge request](gitlab-org/gitlab!84107)) **GitLab Enterprise Edition**
- [Keep edited timestamp when reacting to old notes](gitlab-org/gitlab@96aaeb37ad0ed939b62dca30880e9d3c24a8b8d2) ([merge request](gitlab-org/gitlab!84568))
- [Remove early exit to allow marking as complete](gitlab-org/gitlab@75b3bc2615edc94bbf24fe4c81db896e6b5fe4eb) ([merge request](gitlab-org/gitlab!84531))
- [Fix scroll to line number](gitlab-org/gitlab@3df36a8f034284e05290640d3619cf8adb07cbeb) ([merge request](gitlab-org/gitlab!84562))
- [Change pipeline status to canceled](gitlab-org/gitlab@4747bd591875ae4578d0010d5c5db814cc4f6915) ([merge request](gitlab-org/gitlab!84774))
- [Fix Value Stream Analytics doc links](gitlab-org/gitlab@b8ac8d750684d9146cba2aa9eeb55301edaa5a5b) ([merge request](gitlab-org/gitlab!84492)) **GitLab Enterprise Edition**
- [Change button variant to confirm](gitlab-org/gitlab@1dace867f615ecf6497faac1217765b0e4169593) ([merge request](gitlab-org/gitlab!84736)) **GitLab Enterprise Edition**
- [Add ability to pre/post-date audit events](gitlab-org/gitlab@ff275b33da360cea8fe7fe0a950465df1843df0d) ([merge request](gitlab-org/gitlab!84061))
- [Fix undefined method error for Compare, Commit controllers](gitlab-org/gitlab@de205022da57410dfbd2f52e17f14786b31f20ce) ([merge request](gitlab-org/gitlab!84176))
- [Do not try to update a deleted record](gitlab-org/gitlab@6e29a3cb081352c2ae7f36857dbec8f204a97827) ([merge request](gitlab-org/gitlab!84700))
- [Hide New Epic button on boards for guest users](gitlab-org/gitlab@589d436f81aa7f7485de1c2d36507c1fe39efc34) ([merge request](gitlab-org/gitlab!84583)) **GitLab Enterprise Edition**
- [Fix Licensee::InvalidLicense exception](gitlab-org/gitlab@d117b6967a1555d3e326c8947c63137819103067) ([merge request](gitlab-org/gitlab!84344))
- [Revert mergeability check changes](gitlab-org/gitlab@97a131bfcc9a631b7d13582021366383f9f4a491) ([merge request](gitlab-org/gitlab!84669))
- [Add the ability to parse CWE-{number} format](gitlab-org/gitlab@7059b473916679a5893cde409d8fbef2bd807822) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84313)) **GitLab Enterprise Edition**
- [Fix required data for referenced commands](gitlab-org/gitlab@fde871b8ca23affaf7bfe05c19434f0ed6585fc4) ([merge request](gitlab-org/gitlab!84053))
- [Fix missing clear cache text inside the dependency proxy dropdown](gitlab-org/gitlab@0f88dc246854dd8894d22408aef23c96417f1d3a) ([merge request](gitlab-org/gitlab!84620))
- [Add search keyboard shortcut to docs](gitlab-org/gitlab@9dbf6ec6d4a56ba14da410a4a0137a9332d2477f) ([merge request](gitlab-org/gitlab!84601))
- [Fix for code search bug in Safari when zoomed](gitlab-org/gitlab@b4beec4b61b1ddd7505372cad810037537b812a9) ([merge request](gitlab-org/gitlab!84363))
- [Fix the rubygems extraction service to not create subtransactions](gitlab-org/gitlab@fea6c6b753dd65bc3936a6c92c1448d79cf50d9b) ([merge request](gitlab-org/gitlab!84590))
- [Fix package file cleanup worker with PyPI files](gitlab-org/gitlab@075e8e710403e3fcbdf8bbfed65b3e0e1f17b476) ([merge request](gitlab-org/gitlab!84073))
- [Fix stale object error in Environment Stop](gitlab-org/gitlab@5f00b2e965cec9c9a310f29286b8881884684435) ([merge request](gitlab-org/gitlab!84291))
- [Remove Milestone token wildcard values](gitlab-org/gitlab@41fda0882df548bacd4e469c7ab15cad19904fc0) ([merge request](gitlab-org/gitlab!84561)) **GitLab Enterprise Edition**
- [Fix incorrect empty state for filtered tag list](gitlab-org/gitlab@e84d86a6ff9fa3f538db5eb870eee7e88cc7b4b5) ([merge request](gitlab-org/gitlab!84556))
- [Reconfigure DB load balancing connection on code reload](gitlab-org/gitlab@b617e90415c5efaf1cf7764c6df745f938f58c4c) ([merge request](gitlab-org/gitlab!84528))
- [Fix URL blocker when object storage enabled but type is disabled](gitlab-org/gitlab@7560d2dcf6ad03288bd1ef9b6a4f9270daf523e1) ([merge request](gitlab-org/gitlab!84511))
- [Count nil artifact size as zero when recalculating](gitlab-org/gitlab@ce604106947bbf213cbff59cd932be1f8266d45c) ([merge request](gitlab-org/gitlab!84509))
- [Remove FF ci_fix_order_of_subsequent_jobs](gitlab-org/gitlab@a3c2e9e399ced038b8e4c5844a9b54c637f68ab9) ([merge request](gitlab-org/gitlab!84506))
- [Remove pending builds from the queue on conflict](gitlab-org/gitlab@68a9e9a70e0c2a0c98f32b071ff76fb9e526e58e) ([merge request](gitlab-org/gitlab!84359))
- [Add polling for commit pipeline status](gitlab-org/gitlab@be0aac05a8ca67ecc8a53be5ccdd001be2771c51) ([merge request](gitlab-org/gitlab!84201))
- [Include X-Forwarded-Host when proxying and rewriting Host in Workhorse](gitlab-org/gitlab@8506644aab08c6d51c62321a0a4d144022b2e074) ([merge request](gitlab-org/gitlab!84368))
- [Fixed UX bug in agent creation modal](gitlab-org/gitlab@407fbace1f0e44ada3fc4509bcb607ab2a7c6c1e) ([merge request](gitlab-org/gitlab!84225))
- [Do not use GOPATH in default CI template](gitlab-org/gitlab@ad6a72e656e455b07ae2863ed338c28e1f495a70) ([merge request](gitlab-org/gitlab!84365))
- [Move checks from mergeable to mergeable_state?](gitlab-org/gitlab@736d44ce7de313a012c465e1ba6196922929adf1) ([merge request](gitlab-org/gitlab!82465))
- [Use article tag on embedded snippets](gitlab-org/gitlab@92ca547da8f5fe7b98db45de8029c10923d6ab8c) by @joshbouganim ([merge request](gitlab-org/gitlab!83639))
- [Fix iteration dates adding timezone offset](gitlab-org/gitlab@a8e8f502a6c6b39190d2e5926d4778ef32d5df5b) ([merge request](gitlab-org/gitlab!84432)) **GitLab Enterprise Edition**
- [Add polling to commit box graph](gitlab-org/gitlab@04c2c5a67562c104249da6a3cce6db3d31765160) ([merge request](gitlab-org/gitlab!83890))
- [Add customers-dot URL to CSP not only in dev](gitlab-org/gitlab@6d485027406ddafa624e110e71b19b13daad7c65) ([merge request](gitlab-org/gitlab!84396))
- [Preserve sibling elements in settings search](gitlab-org/gitlab@6900d26c45efcce0b7aa34cad3ad3aa6cae9244e) ([merge request](gitlab-org/gitlab!84385))
- [Show quick actions link when editing comments](gitlab-org/gitlab@3c4b932837bce90621150898b0f7dbc40cd36b4e) ([merge request](gitlab-org/gitlab!83687))
- [Test scanner creation](gitlab-org/gitlab@ae38614cade953e107f3c849d9c460d2ec8f5b36) ([merge request](gitlab-org/gitlab!84160)) **GitLab Enterprise Edition**
- [Fix null argument handling in background migration Rake task](gitlab-org/gitlab@b6f60ccc7f17032942af3c97179d6c12fe328747) ([merge request](gitlab-org/gitlab!84318))
- [Quote project key in Jira JQL queries](gitlab-org/gitlab@113823330c05825918e92196e267c4f3d204c87a) ([merge request](gitlab-org/gitlab!84349)) **GitLab Enterprise Edition**
- [Handle commit being nil](gitlab-org/gitlab@ff3c1a70c0667efc6ce283606b92df1471f569c3) ([merge request](gitlab-org/gitlab!84321))
- [Check task with no-break space](gitlab-org/gitlab@d18df2cd915765dd1320e9009bf698335d8c7728) by @tchandelle ([merge request](gitlab-org/gitlab!80674))
- [Avoid milestone icon shrinking](gitlab-org/gitlab@2785ed192f7959a774b4ff786017778dbe6871ae) ([merge request](gitlab-org/gitlab!84247))
- [Update BulkImports::EntityWorker deduplication strategy](gitlab-org/gitlab@f75d57894ba0b0674fef1a65e24df17139ce498c) ([merge request](gitlab-org/gitlab!84204))
- [Handle nil values in Grape length limit validator](gitlab-org/gitlab@9d26c3f3b104f6eca7437640537327eec80488d4) ([merge request](gitlab-org/gitlab!84240))
- [Add SAML default membership asynchronously](gitlab-org/gitlab@9f8777d1592adcd26cee0959cdcfca631a1a773d) ([merge request](gitlab-org/gitlab!83619))
- [Set account string when 2fa creation fails](gitlab-org/gitlab@fb94b29eaa35a16f3e203be7256c12661c093c87) ([merge request](gitlab-org/gitlab!84082))
- [Fix scope of project export download throttling](gitlab-org/gitlab@ec7b9c18c47cb9d3980843eb46410aba888ff46b) by @eggerd ([merge request](gitlab-org/gitlab!82925))
- [Preload group root ancestor for Group Projects API](gitlab-org/gitlab@ddd7690eda8a363c2788018e5ada5792f5513954) ([merge request](gitlab-org/gitlab!81838))
- [Update secret detection template to remove fetch on historic scan](gitlab-org/gitlab@9f7a605adf38a6e4f7fb71b20dde4d3e5f57a8ce) ([merge request](gitlab-org/gitlab!84179))
- [Fix bug when decrementing open MR count](gitlab-org/gitlab@34489c5a7f65856c59be9db33d93ae37e4e3fd71) ([merge request](gitlab-org/gitlab!83516))
- [Do not schedule project import when migrating using GitLab Migration](gitlab-org/gitlab@2de2fa05fc79a0f6f5faac93339c8aecf5809798) ([merge request](gitlab-org/gitlab!84055))
- [Mark token encryption job as completed when there are no users](gitlab-org/gitlab@f72f97e172cf7244f6d3fd37f603ae77615f8568) ([merge request](gitlab-org/gitlab!83850))
- [Allow ConnectionNotEstablished for DB rake tasks using validate_config](gitlab-org/gitlab@f1ab65469504c88e5793293f0095d79fd4c0dc23) ([merge request](gitlab-org/gitlab!84167))
- [Fix link deletion](gitlab-org/gitlab@a6d3efc598c6096e8bc1e67e54edbb89f3352a1b) ([merge request](gitlab-org/gitlab!83866))
- [Allow auditor to view group VSA analytics](gitlab-org/gitlab@eb0275d9607091a009e2e8a19e001ac7b8b35091) ([merge request](gitlab-org/gitlab!84058)) **GitLab Enterprise Edition**
- [Allow auditor to read group contribution analytics](gitlab-org/gitlab@448b87a81958a66c303c38a4f8c85175b8d2732d) ([merge request](gitlab-org/gitlab!83722)) **GitLab Enterprise Edition**
- [Handle escaped underscores in usernames](gitlab-org/gitlab@740a84f1736d4288cad1eb7c468324ff5853199e) ([merge request](gitlab-org/gitlab!83987))
- [Fix 500 error when visiting a non-existing integration](gitlab-org/gitlab@cfb038202e8a994deaa7b451d6ad78a2a29debd4) ([merge request](gitlab-org/gitlab!84076))
- [Expire relevant ETag caches for realtime_changes endpoints](gitlab-org/gitlab@9db1d178845f2fc1b4a4190f802d3d387ae7fb66) ([merge request](gitlab-org/gitlab!83849))
- [Allow auditor to view repository analytics](gitlab-org/gitlab@7de245e4a0b5cb991ea173aae6a21e403b5591a9) ([merge request](gitlab-org/gitlab!84047)) **GitLab Enterprise Edition**
- [Fix GraphQL pagination for vulnerabilities](gitlab-org/gitlab@bc304711af967cac9cbb2527d15fa0ced962cbf4) ([merge request](gitlab-org/gitlab!83476)) **GitLab Enterprise Edition**
- [Use cached column list for members union query](gitlab-org/gitlab@26834341dd7a88ee44d2f1b9ef7ff8f60ee95037) ([merge request](gitlab-org/gitlab!80421))
- [Add unique keyField for Blob types](gitlab-org/gitlab@5d023ddbea9d1b1496c1f1827aefd2cc9ce4e6db) ([merge request](gitlab-org/gitlab!83941))
- [Allow auditor to view devops adoption analytics](gitlab-org/gitlab@3aa656ad214001217e650a8bcdb1ce19eb9ee1d8) ([merge request](gitlab-org/gitlab!83731)) **GitLab Enterprise Edition**
- [Fixed `receiveDashboardValidationWarningsFailure`](gitlab-org/gitlab@da23f331e1498c3c901041837ca9a02f3ebb54d5) by @gotounix ([merge request](gitlab-org/gitlab!82876))
- [Handle BulkImports::ExportStatus incorrect export status value](gitlab-org/gitlab@fd9ed0969cb1fe3eda4cee33e4bd765725666a5f) ([merge request](gitlab-org/gitlab!83811))
- [Refactor environment empty state to use scope](gitlab-org/gitlab@43de07ebfdb876eb23c69842d793012da86fa53b) ([merge request](gitlab-org/gitlab!83422))
- [Remove attempted redirection on non-HTML requests](gitlab-org/gitlab@a7d28aca972c1660b0d8d7cc5a838b191e9b858b) ([merge request](gitlab-org/gitlab!83742))
- [Fix project permission toggle behavior](gitlab-org/gitlab@eda15b06820de7aeda8935290032b40a8305b216) ([merge request](gitlab-org/gitlab!83503))
- [Fix project permission toggle behavior](gitlab-org/gitlab@281631c44a910545c8d56f0afdaedab9e5002246)
- [Fixed crm db seed trying to seed non-root groups](gitlab-org/gitlab@c71943526765ff9ed44aa692565079df514616f0) by @leetickett ([merge request](gitlab-org/gitlab!83462))
- [Don't include compliance pipeline definition in scheduled security orchestration pipelines](gitlab-org/gitlab@286739d3e85600c8f6fd09aa72879b1eb2e94b93) ([merge request](gitlab-org/gitlab!82613)) **GitLab Enterprise Edition**
- [Fix code quality report display](gitlab-org/gitlab@7e67f483ccfcf98f3a373db32800ac148c13da76) by @nanmu42 ([merge request](gitlab-org/gitlab!83502))
- [Raise exception when gitaly-backup could not be found](gitlab-org/gitlab@eb823f56af7f8aa436290bbf50a2a27a9286c975) ([merge request](gitlab-org/gitlab!83555))
- [Replace success variant with the confirm](gitlab-org/gitlab@a6f5ac1f34065669ae8ba9df61a8a54d420417f6) ([merge request](gitlab-org/gitlab!83678)) **GitLab Enterprise Edition**
- [Updated ComplianceViolation merged_at where checks to use DATE()](gitlab-org/gitlab@c7af0ca214dd3c4607fe54b6b4c671c236b42e9d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83288)) **GitLab Enterprise Edition**
- [Fix missing metrics for Sidekiq exporter server](gitlab-org/gitlab@0e77c1819035d672160269a9bba966ce2bd6bac9) ([merge request](gitlab-org/gitlab!83407))
- [Fix incorrect new group path in import history](gitlab-org/gitlab@6b3074880353ba7923ffd111eb329d8afbff4453) ([merge request](gitlab-org/gitlab!83491))
- [Scope Geo replication details progressbar popup target by site ID](gitlab-org/gitlab@f2dd8faaaf1f355b69061dbdb58aa358324de862) ([merge request](gitlab-org/gitlab!83637)) **GitLab Enterprise Edition**
- [Allow auditor to view grop productivity analytics](gitlab-org/gitlab@58026486e38629b4c7aff5a1348573a78a1f858c) ([merge request](gitlab-org/gitlab!83532)) **GitLab Enterprise Edition**
- [Fix credentials detection for UrlSanitizer](gitlab-org/gitlab@7197ccad172bcc17410083418437276cea779dd1) ([merge request](gitlab-org/gitlab!83444))
- [Revert Protected Environment group access inheritence](gitlab-org/gitlab@493a1d63987ca4d7a6ee6f759a6cbc5018326758) ([merge request](gitlab-org/gitlab!83573))
- [Add an example path for gitaly_backup_path setting](gitlab-org/gitlab@ba5bd521268e0f63ceb7d514ef4d1bc8709d61d3) ([merge request](gitlab-org/gitlab!83569))
- [Suggestions: use template from target project instead of source project](gitlab-org/gitlab@1c64a7a6f4e61ae7bc0d926cb19d1250af50df0e) by @trakos ([merge request](gitlab-org/gitlab!82657))
- [Fix issue with delete project container text](gitlab-org/gitlab@7a2fe82fffd8ae9b26d9849ef1ed04270ae996ce) ([merge request](gitlab-org/gitlab!82941)) **GitLab Enterprise Edition**
- [Fix error in table when text is too long](gitlab-org/gitlab@b1f7558424f2b4c9c3da42f5bf64f19eed0487cb) ([merge request](gitlab-org/gitlab!83489))
- [Ensure ci_environment_status always return latest deployment status](gitlab-org/gitlab@ce47e982fb512440a1a2f50352571cb0640b6d44) ([merge request](gitlab-org/gitlab!83199))
- [Fix create issue in board with weight](gitlab-org/gitlab@479487ca8134ec0342475af48ce3b428c6b86ac1) ([merge request](gitlab-org/gitlab!83487)) **GitLab Enterprise Edition**
- [Fix GraphQlController not logging sessionless user](gitlab-org/gitlab@39cee0ce29ab3be4f3e1cc61ad9bbccc685a9fc9) ([merge request](gitlab-org/gitlab!83144))
- [Limit audit events controller to 31 days date range](gitlab-org/gitlab@fdfd9cbed8b58f6a83073270c59dfe5d5360ced5) ([merge request](gitlab-org/gitlab!83077)) **GitLab Enterprise Edition**
- [Fix ComplianceViolationResolver pagination with sorting](gitlab-org/gitlab@6d745e1365a24b54596d7401c3ce9c70b7f84c7d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83303)) **GitLab Enterprise Edition**
- [Fix PA for projects in nested groups](gitlab-org/gitlab@72116c7d43261412caa631dc582192e5a364889c) ([merge request](gitlab-org/gitlab!83282)) **GitLab Enterprise Edition**
- [Improve topic avatar copy](gitlab-org/gitlab@d399c7f306ac3857f306f2736180114e1676d608) ([merge request](gitlab-org/gitlab!83093))
- [Handle CRM objects when moving groups](gitlab-org/gitlab@859e14db890ae0b88e85d8513e4af0c6a04849cb) by @leetickett ([merge request](gitlab-org/gitlab!80540))
- [Always pass data payloads as a hash for hooks](gitlab-org/gitlab@1b956a6ea5048d999e8184656b55319cb79a86a1) ([merge request](gitlab-org/gitlab!83143))
- [Adding a forced UTF-8 conversion to prevent encoding errors](gitlab-org/gitlab@4fc0307863b40828440e06cffba4b89d08651b2f) ([merge request](gitlab-org/gitlab!79996))
- [Allow admins to invite groups they are not a member of for group](gitlab-org/gitlab@7b2a4941404009ad17b6b57e82b75a6438ed30cd) ([merge request](gitlab-org/gitlab!83002))
- [Update manual job message for protected jobs](gitlab-org/gitlab@fb371e6c0523f0b0b70ba2b62f16b4359867d39b) ([merge request](gitlab-org/gitlab!82907)) **GitLab Enterprise Edition**
- [Use last focused markdown field for quoted reply](gitlab-org/gitlab@bc23424ac431796ec1999af0e08f77c61f6ab22a) ([merge request](gitlab-org/gitlab!83284))
- [Retain membership record for a personal project’s owner after transfer](gitlab-org/gitlab@0e56b243fb5a39af6ba3e3fbae6ae912c7a28caa) ([merge request](gitlab-org/gitlab!83175))
- [Improve backup logging](gitlab-org/gitlab@04756cfcc71a59be60394642afece0f8c80c7563) ([merge request](gitlab-org/gitlab!83055))
- [Refetch runners list data after runner is updated](gitlab-org/gitlab@a68a1849a7b159f854f0acf6eb9ee3068deecc33) ([merge request](gitlab-org/gitlab!82502))
- [Fix markdown header toolbar showing in compact preview view](gitlab-org/gitlab@57d28d0410f5a256ba6fc4399f1f8eec58bac337) ([merge request](gitlab-org/gitlab!83244))
- [Fix vulnerability list clearing when already-selected filter is clicked](gitlab-org/gitlab@654ea526a5688e14f89f37dc511ba0404868c52b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83243)) **GitLab Enterprise Edition**
- [Upgrade rack-proxy to v0.7.2](gitlab-org/gitlab@b3734e7bcd0a894d4cc87513ce1bd22c9993227d) ([merge request](gitlab-org/gitlab!83241))
- [Convert seconds to minutes for the shared runner usage chart](gitlab-org/gitlab@2d6226318035862de017a9585660214ab611d7b1) ([merge request](gitlab-org/gitlab!83048)) **GitLab Enterprise Edition**
- [Fix NoMethodError for CommitController](gitlab-org/gitlab@c735208ee96c2a03f150c36ba0817821bc3c35d9) ([merge request](gitlab-org/gitlab!83123))
- [Fix backups not working when feature_flags table does not exist](gitlab-org/gitlab@e2862180f78dd9d03363cb571ee9ad6ed3954db3) ([merge request](gitlab-org/gitlab!83101))
- [SAST flawfinder + semgrep: add missing extensions](gitlab-org/gitlab@08785b0f9501296969d435a54e275e2c1a3e8869) by @blueur ([merge request](gitlab-org/gitlab!68348))

### Changed (227 changes)

- [Geo Sites - Empty Search State](gitlab-org/gitlab@4b04bd6f6e777af0acdbd7f2bde9e10e010fc6bb) ([merge request](gitlab-org/gitlab!85136)) **GitLab Enterprise Edition**
- [Use GlAvatar in environments dashboard](gitlab-org/gitlab@1056b8e706a9d722231449c66398c91dfd2ae0cc) ([merge request](gitlab-org/gitlab!84686))
- [Reduce size of file header buttons](gitlab-org/gitlab@5f491df89155a59a0e64ed566c8f036152c4e737) ([merge request](gitlab-org/gitlab!85322))
- [Remove setting link from branches page](gitlab-org/gitlab@afe86399caa591da06973027406573884092f2f9) ([merge request](gitlab-org/gitlab!85323))
- [Bump Gitaly to v14.10.0.pre.rc1](gitlab-org/gitlab@6d9b812e468c505822cbd40386f5202e33c23e61) by @nick.thomas ([merge request](gitlab-org/gitlab!84388))
- [Downgrade coverage-check approval rule to premium](gitlab-org/gitlab@7d72ece689b26ac97b17280808e9bf84ac61c16f) ([merge request](gitlab-org/gitlab!84290)) **GitLab Enterprise Edition**
- [Migrate localization checkbox](gitlab-org/gitlab@c33136b53112e1a30ae260ce575710cdf28e2339) ([merge request](gitlab-org/gitlab!84765))
- [Remove security_scan_succeeded from code](gitlab-org/gitlab@8f9e556e82775c147c1bc28327a0200bd1954f7f) by @svdj ([merge request](gitlab-org/gitlab!84222)) **GitLab Enterprise Edition**
- [Make OmniAuth initializer return Geo proxied URL when it exists](gitlab-org/gitlab@7d451b2f20d6614c1f2b36eaf8faa0047c31f157) ([merge request](gitlab-org/gitlab!82703)) **GitLab Enterprise Edition**
- [Replace generic checkbox with GitLab UI component](gitlab-org/gitlab@ba918ac8fec890408127f11e414886fb2b8038b3) ([merge request](gitlab-org/gitlab!84883)) **GitLab Enterprise Edition**
- [This MR replaces generic checkbox](gitlab-org/gitlab@3755d6c41ba3367ecbd7324e7f65469ee988b785) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85327)) **GitLab Enterprise Edition**
- [Update variant to confirm](gitlab-org/gitlab@eec443bf1fea3b2df69140a6ad9f29fd5dde58b3) ([merge request](gitlab-org/gitlab!84763))
- [Use GlBroadcastMessage in Broadcast Message admin settings page](gitlab-org/gitlab@01af9dda9e3fb20a7a624146f710c6130a8f02fc) ([merge request](gitlab-org/gitlab!83251))
- [Change snippet award emoji state from active to selected](gitlab-org/gitlab@cfb995abdafa217143c8c1092f812fd6d8381012) ([merge request](gitlab-org/gitlab!85242))
- [Disable image deletion during registry migration](gitlab-org/gitlab@bcd6726ac82a898553e92371ed92678e4a34ff5a) ([merge request](gitlab-org/gitlab!85130))
- [Use Pajamas components for checkboxes in webhook forms](gitlab-org/gitlab@13825aeb4db3d273be28b747c4c4eeab53c27981) ([merge request](gitlab-org/gitlab!84753))
- [Update GITLAB_KAS_VERSION to 14.10.0](gitlab-org/gitlab@79642e1266aab46ac7f36f1d685c364d7baaf7f2) ([merge request](gitlab-org/gitlab!85273))
- [Update icon to long arrow](gitlab-org/gitlab@ca5188a2d30c6b9abd3523e3f0ba1d7cf4342ac4) ([merge request](gitlab-org/gitlab!85272))
- [Pass hash instead of URI to Elasticsearch client](gitlab-org/gitlab@a1b716a5ca904ddbe420df251da6df3ad31aae95) ([merge request](gitlab-org/gitlab!85122)) **GitLab Enterprise Edition**
- [Port checkboxes in spam settings to pajamas](gitlab-org/gitlab@5a30335f90e719716e884f9cb89f0f117cbcb840) ([merge request](gitlab-org/gitlab!84830))
- [Add spotbugs to analyzer order](gitlab-org/gitlab@1e9c5c77c72db1950ae6ad6650b361497e2d3199) ([merge request](gitlab-org/gitlab!85260))
- [Update variant to confirm](gitlab-org/gitlab@e0ba797decfa5b91013e8b9b332eebbd76031116) ([merge request](gitlab-org/gitlab!84730))
- [Allow invitations API to handle user invites as well as emails](gitlab-org/gitlab@3f7c9ba7532dff4500d1992a1d8a5b2a3e89145a) ([merge request](gitlab-org/gitlab!80733))
- [Use pajamas checkbox for group owners can manage default branch checkbox](gitlab-org/gitlab@54b70fdc45ee29dad5abec6f555bda91b484d56a) ([merge request](gitlab-org/gitlab!84851))
- [Migrate button to GlButton variants](gitlab-org/gitlab@17810d8d61dc9818c860e941c4063e3bb7ab0f3e) ([merge request](gitlab-org/gitlab!84804))
- [Updates checkboxes in Admin -> Settings -> General](gitlab-org/gitlab@cd82a922a141ef56d8529d801f10a9d785000dff) ([merge request](gitlab-org/gitlab!84761))
- [Use Pajamas styled checkbox in Admin help page form](gitlab-org/gitlab@9eb29c01245849d3d4df3e9ff7bafe53f54c5d73) ([merge request](gitlab-org/gitlab!84770))
- [Migrate checkboxes on user preferences page to be Pajamas compliant](gitlab-org/gitlab@5f4b0b7df9afff61a84d5e3c734eef1f556d7db3) ([merge request](gitlab-org/gitlab!84838))
- [Change variant to confirm](gitlab-org/gitlab@57d0372290c00377587c12bce9c9d24d4ed24fc4) ([merge request](gitlab-org/gitlab!84720)) **GitLab Enterprise Edition**
- [Update auto-deploy-image to v2.23.0](gitlab-org/gitlab@ad827355222d020543dc5fccae85e9e980769e7d) ([merge request](gitlab-org/gitlab!85214))
- [Change delete project confirmation modal to default size](gitlab-org/gitlab@6708d6564128841b395c5eca35f89b6b6cad5538) ([merge request](gitlab-org/gitlab!84532))
- [Migrate checkboxes on admin group edit page to be Pajamas compliant](gitlab-org/gitlab@9f760488a7a860908433921164a79c6afd9be286) ([merge request](gitlab-org/gitlab!84847))
- [Change subgroups to use official `subgroup` icon](gitlab-org/gitlab@dbb66e1fa4c67a14670c3882e43157b50c3d9466) ([merge request](gitlab-org/gitlab!85005))
- [Prevent global user searches](gitlab-org/gitlab@7664bf962586d137d0cef70864553806ab0d8a2c) ([merge request](gitlab-org/gitlab!84186))
- [Move diff overflow warning into component](gitlab-org/gitlab@17d02a4004ec3a3800ccaa96730d2228e9220d5d) ([merge request](gitlab-org/gitlab!83970))
- [Add more helpful error when not authorized to update](gitlab-org/gitlab@9ee36ff74d579e92453601dae6c33a67f0c9e941) ([merge request](gitlab-org/gitlab!84105))
- [Hide IP Address label when no space is available](gitlab-org/gitlab@8a08a443e76b1a9927580497df2ae886cf5343f8) ([merge request](gitlab-org/gitlab!84049))
- [Re-backfill escalation statuses](gitlab-org/gitlab@f91a6a0f0f94f8f49be993eca6baac74950ffad6) ([merge request](gitlab-org/gitlab!83159))
- [Update monitor deprecation notices](gitlab-org/gitlab@f5c88c1e22ab22839e425393a448b2cff4afe335) ([merge request](gitlab-org/gitlab!85065))
- [Update unprotect branch button variant and size](gitlab-org/gitlab@3d12efbe18a343988a7d348e6471c7c466cf87fa) ([merge request](gitlab-org/gitlab!84793))
- [Update checkbox third party offers to be Pajamas compliant](gitlab-org/gitlab@2a7026bebe4f93eb39f416e79ce9c7bb67245be1) ([merge request](gitlab-org/gitlab!84790))
- [Migrate checkboxes on user notifications page to be Pajamas compliant](gitlab-org/gitlab@977e30c8454fe3f56e09b330081ef38c5d3d0e26) ([merge request](gitlab-org/gitlab!84843))
- [Migrate pipeline setting checkbox to Pajamas design system](gitlab-org/gitlab@66a8dc3a144e00ab47046e6568aa9f6f365d0859) ([merge request](gitlab-org/gitlab!84758))
- [Use pajamas checkbox for appearance header and footer form](gitlab-org/gitlab@c1318de6c0fadfc75cde3404e9e6e1dbbaa1381a) ([merge request](gitlab-org/gitlab!84850))
- [Improve readability for MR review emails](gitlab-org/gitlab@3584f5db00422ba5edca6d2b8100d5f575e449a0) ([merge request](gitlab-org/gitlab!84815))
- [Update brand header logo to match tanuki height](gitlab-org/gitlab@0ad35209f0be50ac307b0a99f690dac763cd07da) ([merge request](gitlab-org/gitlab!84939))
- [Port admin hooks form to be pajamas compliant](gitlab-org/gitlab@22df1b980a8b29ee25b8f02229bc1ee2c2648b35) ([merge request](gitlab-org/gitlab!84791))
- [Migrate account limits checkboxes](gitlab-org/gitlab@b1107c1118e82d159df2fc03f1c498281332a0df) ([merge request](gitlab-org/gitlab!84739))
- [Update corpus management file size formatting to appear cleaner](gitlab-org/gitlab@dffa5d6314c8f40b3760077e662fcdd003969240) ([merge request](gitlab-org/gitlab!84233)) **GitLab Enterprise Edition**
- [Migrate admin pages settings to GitLab UI](gitlab-org/gitlab@89e1f7b10076c66845f2a28788da02f60e91a3dc) ([merge request](gitlab-org/gitlab!84805))
- [Replace generic checkbox with GitLab UI element](gitlab-org/gitlab@b234c2a1c9e41a0fcda7efcb2f31f553d0a41a80) ([merge request](gitlab-org/gitlab!84745))
- [Replace generic checkbox with GitLab UI component](gitlab-org/gitlab@228ee325df0fbf45339f78df7d690435c348d6d0) ([merge request](gitlab-org/gitlab!84859))
- [Replace generic chackbox with GitLab UI element](gitlab-org/gitlab@7df5ab618846568c58a0a42dcb84e978a86bd8fb) ([merge request](gitlab-org/gitlab!84826))
- [Enable vulnerability_reads_table by default](gitlab-org/gitlab@e112ef644a8be748ab611148deff70c9fc2006e3) ([merge request](gitlab-org/gitlab!84905)) **GitLab Enterprise Edition**
- [Replace generic checkbox with GitLab UI component](gitlab-org/gitlab@6802c153ae6800d5f777f965a9d3e3dfafa0a073) ([merge request](gitlab-org/gitlab!84903))
- [Allow unconfirmed users in non-admin searches](gitlab-org/gitlab@a40898af0ff48b396f9deb049fbea3a64534e208) ([merge request](gitlab-org/gitlab!85097)) **GitLab Enterprise Edition**
- [Replace generic checkbox with GitLab UI element](gitlab-org/gitlab@c640c44f91201d72379415b2685debe51e4fd2f2) ([merge request](gitlab-org/gitlab!84819))
- [Run all deployment jobs for the common pipeline with same environment](gitlab-org/gitlab@d886be0725bc6c8af1a977fef78089c1bba8adda) ([merge request](gitlab-org/gitlab!84922))
- [Replace generic checkbox with GitLab UI component](gitlab-org/gitlab@6fc1886dd42e3dce46f942a57c2b620e294b7008) ([merge request](gitlab-org/gitlab!84858))
- [Remove group_import_export feature flag](gitlab-org/gitlab@c5ff1bef58d408490200a52d2f970aee24e1f050) ([merge request](gitlab-org/gitlab!84444))
- [Migrate checkbox for performance optimization settings](gitlab-org/gitlab@0be603323a5d2aca280bea6f3176f16ae40fdd7c) ([merge request](gitlab-org/gitlab!84797))
- [Recommend Helm for installing the GitLab agent](gitlab-org/gitlab@0ecc5a4f98e087437358d2690aff1d0e3beed276) ([merge request](gitlab-org/gitlab!84219))
- [Read encrypted properties](gitlab-org/gitlab@2cf5ee3809ea338057a8a2c447f9b10b047dde0c) ([merge request](gitlab-org/gitlab!80507))
- [Use Pajamas checkbox for ldap_access_setting.html.haml](gitlab-org/gitlab@8426d66cb49f4d36410fd567e9ff697db6a084d3) ([merge request](gitlab-org/gitlab!84852)) **GitLab Enterprise Edition**
- [Geo status: Explicate item counts](gitlab-org/gitlab@8fb91144c3a09374a649d533c5c8daebaad5167e) ([merge request](gitlab-org/gitlab!83004)) **GitLab Enterprise Edition**
- [Add GlButton classes to complete button migration](gitlab-org/gitlab@2f20560218d3e293bb21f69e4f48cc2528dd9dbc) ([merge request](gitlab-org/gitlab!84786))
- [Change button label](gitlab-org/gitlab@17cc32935633081648281d3a6eff71b1366b0612) ([merge request](gitlab-org/gitlab!84680))
- [Add remaining storage size to namespace storage email notification](gitlab-org/gitlab@cb824d06387698453c0f89f1e419066b5d607bd9) ([merge request](gitlab-org/gitlab!84416))
- [Make WebIDE dropdown fullwidth](gitlab-org/gitlab@c978f267ed6b04af353dfde6624b83b13f48ed98) ([merge request](gitlab-org/gitlab!84442))
- [Modify container-scanning template to automatically apply `FIPS` image](gitlab-org/gitlab@965cc5c09c0429a36977cbf3b979b6b5c3da42ba) ([merge request](gitlab-org/gitlab!84465))
- [This MR adds info badge to DAST configuration card](gitlab-org/gitlab@a510f49ac47a48b41fbc738d17aa67fb13691a6a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83723)) **GitLab Enterprise Edition**
- [Move Alerts metric image API to CE](gitlab-org/gitlab@7dc5e160752eee584a3e91e191c939b56d2747df) ([merge request](gitlab-org/gitlab!84918))
- [Migrate form checkbox in the Grafana admin settings](gitlab-org/gitlab@c523be218bb5a9982ff26cbc95370b07a08963c4) ([merge request](gitlab-org/gitlab!84772))
- [This MR replaces generic checkbox](gitlab-org/gitlab@c15468dd179336d7512432e1e29b19ee284ed201) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84863)) **GitLab Enterprise Edition**
- [This MR replaces generic checkbox](gitlab-org/gitlab@7a4e82b1cc7adebd69efa9527298ef0c655dfb7e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84848)) **GitLab Enterprise Edition**
- [Add help link for escalation status dropdown](gitlab-org/gitlab@e8893853e4bd27d2c25040e22c9b1c4fc47e32ac) ([merge request](gitlab-org/gitlab!83180)) **GitLab Enterprise Edition**
- [Use GlAvatar in environments dashboard](gitlab-org/gitlab@29e4ec70ee3c7ec774dcf8e82d4bb449a317eefa) ([merge request](gitlab-org/gitlab!84689))
- [Enable vulnerability_report_pagination feature flag by default](gitlab-org/gitlab@c188d1dca991b8c3d52f61942d3340690b4e1df5) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84553)) **GitLab Enterprise Edition**
- [Replace generic checkbox with GitLab UI component](gitlab-org/gitlab@ee672e1e2a408e445a73056f2ce07555be8b7e0f) ([merge request](gitlab-org/gitlab!84857))
- [Use pajamas checkbox for user access level form](gitlab-org/gitlab@3a60faf8e8c78cdfd08f476774f07a6e1ea8f780) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84849))
- [Add HTML5 validation to about your company form](gitlab-org/gitlab@968b605df4d7d71ecce9a5d3faae7dc0306f9a84) ([merge request](gitlab-org/gitlab!84662)) **GitLab Enterprise Edition**
- [Document Kubernetes 1.21 as supported](gitlab-org/gitlab@db7f4173853159799b5818eae663f88617d55214) ([merge request](gitlab-org/gitlab!84816))
- [Migrate snowplow checkbox](gitlab-org/gitlab@12424d0f9b10c90abf648c3c8848d2eeab36be9b) ([merge request](gitlab-org/gitlab!84798))
- [Migrate sourcegraph checkboxes](gitlab-org/gitlab@69594bdb9877f3e9520b3b0a0cb610bab4e69de2) ([merge request](gitlab-org/gitlab!84795))
- [Add more verbose error message if 2FA required](gitlab-org/gitlab@f228a19e35196d24a9a93766a19929fec3711fad) ([merge request](gitlab-org/gitlab!84405))
- [Port app settings checkboxes](gitlab-org/gitlab@a3582c35dee152b68445b00389872c9c25af9eaa) ([merge request](gitlab-org/gitlab!84729))
- [Port checkbox in pipeline schedules](gitlab-org/gitlab@bd464f14473b8381b2cbbfddeee39335a1d58369) ([merge request](gitlab-org/gitlab!84784))
- [Change variant to confirm](gitlab-org/gitlab@3c08b183492e2c431c48a24acc6fefc7acf6aa28) ([merge request](gitlab-org/gitlab!84785))
- [Change variant to confirm](gitlab-org/gitlab@36e246b3cc32431998be19d049282f37e00a265b) ([merge request](gitlab-org/gitlab!84768))
- [Change variant to confirm](gitlab-org/gitlab@8770cf544e771ca3d002880f5dc5f995024ae819) ([merge request](gitlab-org/gitlab!84766))
- [Add validation for confidentiality notes](gitlab-org/gitlab@a839c720ce7e2f529d874e7270e9ab4d20145e92) ([merge request](gitlab-org/gitlab!83847))
- [Add status to DependencyProxy::Manifest type in GraphQL](gitlab-org/gitlab@5bad251e7be0cb877341e31a55f0c170fad2883f) ([merge request](gitlab-org/gitlab!84200))
- [Migrate admin email checkboxes](gitlab-org/gitlab@23082f0ad36925953b3754c9d649ffe47ab2f495) ([merge request](gitlab-org/gitlab!84759))
- [Migrate group auto devops form to GitLab UI](gitlab-org/gitlab@bc2ccb66c508d1b1208673aff7a683c791efbb16) ([merge request](gitlab-org/gitlab!84750))
- [Change variant to confirm](gitlab-org/gitlab@2b5ffd8ff1aa0c74459e9abf6c196139932e9b57) ([merge request](gitlab-org/gitlab!84734))
- [Change variant to confirm](gitlab-org/gitlab@9efa5459d8f8b1a503a1e5a31c39a77e2f96565a) ([merge request](gitlab-org/gitlab!84717))
- [Update to rails 6.1.4.7](gitlab-org/gitlab@ca931fddcf79ae9bfad1c6e50c58cdf9fbf8e55d) ([merge request](gitlab-org/gitlab!84638))
- [Change variant to confirm](gitlab-org/gitlab@39417a4332f4d762f088c96596581f2f92f28bdd) ([merge request](gitlab-org/gitlab!84722))
- [Adds a project scoped unique file name constraint for Secure Files](gitlab-org/gitlab@ac418c0a54f9bd9ca064f59a918ed4af3376109c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83628))
- [Improve accessibility of Admin application settings page](gitlab-org/gitlab@de4866d62cc0f3d573c021f478174c6263baa45d) ([merge request](gitlab-org/gitlab!84651))
- [Updated encyption key generation for Secure Files](gitlab-org/gitlab@7e3d5508a63b366302ed0b44cc4ffd04cf3b710e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83652))
- [Find topic by case insensitive name for detail page](gitlab-org/gitlab@f55748d3d7d3684c4149e4d60035c91e84f594d8) by @wwwjon ([merge request](gitlab-org/gitlab!84064))
- [Bump Gitaly server to v14.10.0.pre.rc1](gitlab-org/gitlab@3abef5e90e1bcbf6c7a19b61ee53c544543ceb9b) ([merge request](gitlab-org/gitlab!84646))
- [Update GlButton variant to confirm in test cases](gitlab-org/gitlab@af6b3c746f97b19535bfa2e9a7c977e8dc35a409) ([merge request](gitlab-org/gitlab!84632)) **GitLab Enterprise Edition**
- [Added educational text about K8s deployments](gitlab-org/gitlab@2dfad6d50ba50e9eb370ec160558cdb04759e25d) ([merge request](gitlab-org/gitlab!84224))
- [Polish Jira issue fields UI](gitlab-org/gitlab@3bd26ef23a4a192175c274516bd65de9cfa52c05) ([merge request](gitlab-org/gitlab!84353)) **GitLab Enterprise Edition**
- [Use SHA256 fingerprint instead of MD5 for LFS token secret](gitlab-org/gitlab@ea76f3c26c99159711a4e7b5eaea6477a43f091e) ([merge request](gitlab-org/gitlab!84606))
- [Fix: notify service i18n for MR and Issues](gitlab-org/gitlab@fb5a54ad4b8013130b1d990825c6094e5e344ffb) by @JeremyWuuuuu ([merge request](!84123))
- [Remove the ip check from the captcha challenge check](gitlab-org/gitlab@fbd1778d13afacd9996db03d4b3fe3ff2cf96a50) ([merge request](gitlab-org/gitlab!84540)) **GitLab Enterprise Edition**
- [Polish UI of epic roadmap view](gitlab-org/gitlab@3d80702194ea269239cd63ee0af96c13e8eab10b) ([merge request](gitlab-org/gitlab!84268)) **GitLab Enterprise Edition**
- [Only admins can search blocked and banned users](gitlab-org/gitlab@e17ce9fb04280f774debe138f85283601030ae20) ([merge request](gitlab-org/gitlab!84080)) **GitLab Enterprise Edition**
- [Polish jira_connect users UI](gitlab-org/gitlab@c10cf65b17bfb3b9b2e0e31feef10f853beed8ee) ([merge request](gitlab-org/gitlab!84260))
- [Remove support for file checksum to Secure File uploads](gitlab-org/gitlab@2d1a57c6b726f8b733a56de1b3f79e2939bd150e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84314))
- [Updated Kubernetes clusters UI](gitlab-org/gitlab@d1873459e2c297244bbff8a1369f3bc32b1ccbf5) ([merge request](gitlab-org/gitlab!84108))
- [Ignore unindexed projects that have no repository](gitlab-org/gitlab@b5ed9e3880a38a3e2432fcb8fd6de0b579fa95a1) ([merge request](gitlab-org/gitlab!83870)) **GitLab Enterprise Edition**
- [Add repository size to Plan Limits](gitlab-org/gitlab@50afaa9f8ecfca724c5877a5ef378b8c1d49e5dc) by @zhzhang93 ([merge request](gitlab-org/gitlab!83819))
- [Refactor DAST Profiles to use GraphQL fragments](gitlab-org/gitlab@09ee60ae75b288ddd229f3b3e772fa06174765d2) ([merge request](gitlab-org/gitlab!84172)) **GitLab Enterprise Edition**
- [Keep labels sorted by title after mutation](gitlab-org/gitlab@0128b699857c491095625a65f85b2c3e81e9c3c4) ([merge request](gitlab-org/gitlab!83946))
- [Move liquibase template up one directory](gitlab-org/gitlab@d156f2e06bab9cdc3ed18942df785bf70c9f601b) ([merge request](gitlab-org/gitlab!84440))
- [Show UsageData buttons only if cache exists](gitlab-org/gitlab@1e30c3fa6ad2f5d44108623e52373a1ec45dc19e) ([merge request](gitlab-org/gitlab!83490))
- [Extend namespace gitlab_subscription API](gitlab-org/gitlab@ea5eedfca67503daf0f97d48e5f09216c042e33e) ([merge request](gitlab-org/gitlab!84069)) **GitLab Enterprise Edition**
- [Serialize and deserialize by default for LocalStorageSync component](gitlab-org/gitlab@d808cf4de65e361fead701876899eb6809079c02) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84159))
- [Update group overview icons to match sidebar icons](gitlab-org/gitlab@4301922d6847a9053aba2cc2d917113be08e2e2e) ([merge request](gitlab-org/gitlab!84113))
- [Don't generate MD5 fingerprint in FIPS mode](gitlab-org/gitlab@ac7c376d892f25e46accbeb96e8b2bb9372224af) ([merge request](gitlab-org/gitlab!84390))
- [Log deprecated/unsupported report schema versions](gitlab-org/gitlab@5caa90d02f6eaf1285aea4c7c3831abd232aabee) ([merge request](gitlab-org/gitlab!84117)) **GitLab Enterprise Edition**
- [Update DAST site profile mutations to return payload](gitlab-org/gitlab@1f66f68e54cdcaec9d8214883f301db25610df02) ([merge request](gitlab-org/gitlab!84257)) **GitLab Enterprise Edition**
- [Update DAST Scanner Profile Mutations to return payload](gitlab-org/gitlab@3c7b7d436e3e90a4173b6cc2e3f1c8a45a417f38) ([merge request](gitlab-org/gitlab!83383)) **GitLab Enterprise Edition**
- [Replace compliance dashboard with new compliance violations report](gitlab-org/gitlab@245757494fd39934e88ee4352999744d4a501f67) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83959)) **GitLab Enterprise Edition**
- [Do not allow to change note's confidentiality](gitlab-org/gitlab@3839c16ac44cd08aaf4086623d587b29dcdcf479) ([merge request](gitlab-org/gitlab!84174))
- [Removing the ignored column project_pages_metadata.artifacts_archive_id](gitlab-org/gitlab@ee5fe2823b5de11c75145368ad152ba5121d3569) ([merge request](gitlab-org/gitlab!83660))
- [Merge topics with same name](gitlab-org/gitlab@ff6cc894fd1cfbb62ce8e92e1fa2c0d572126052) by @wwwjon ([merge request](gitlab-org/gitlab!81503))
- [Updated language on vulnerability report page](gitlab-org/gitlab@b652f30b38d51aaeb0ef964b1463faaf37013afc) ([merge request](gitlab-org/gitlab!82438)) **GitLab Enterprise Edition**
- [Remove gray background from milestone page](gitlab-org/gitlab@040386e28ea0d800b32cb747656e7bfff7ca92d9) ([merge request](gitlab-org/gitlab!83557))
- [Replace runners 'active' filters with 'paused'](gitlab-org/gitlab@65f2450e086dc1c5a4089f8c03b86fcb8bef3c67) ([merge request](gitlab-org/gitlab!83865))
- [Merge branch '356485-refactor-detected-licenses' into 'master'](gitlab-org/gitlab@d74aea9c4b94b42df76876483f472775e3cdc754) ([merge request](gitlab-org/gitlab!83831)) **GitLab Enterprise Edition**
- [Migrate alert to shared partial in import group](gitlab-org/gitlab@2139a7624fdae80420889ba2e447668505cdd47f) ([merge request](gitlab-org/gitlab!83399))
- [Ensure Workhorse AWS endpoint is only used for S3](gitlab-org/gitlab@d048a860bfd79d9d7c0426d9feceb19438c07852) ([merge request](gitlab-org/gitlab!83695))
- [Use GlAvatar in design note](gitlab-org/gitlab@92123bb03fd0f2ed179be273cae84dcb2cac55c2) ([merge request](gitlab-org/gitlab!84033))
- [Change license compliance to use warning alert](gitlab-org/gitlab@e33222973e5ae02d5df6c825d76c97a89dad4068) ([merge request](gitlab-org/gitlab!83831))
- [Migrate alert to shared partial in notifications](gitlab-org/gitlab@d1ea722206d6e9daec6779524b13990f8016975a) ([merge request](gitlab-org/gitlab!82693))
- [Change user popover avatar to supported size](gitlab-org/gitlab@8e6888e6cfa5c893b3c3d7fd5042a904c2518ecd) ([merge request](gitlab-org/gitlab!84199))
- [gitlab/setup_helper: Migrate Gitaly to use runtime directory](gitlab-org/gitlab@95c236c089e6199e50a9b502dbf07c8aaca4ed09) ([merge request](gitlab-org/gitlab!83921))
- [Feat(License): update license type names](gitlab-org/gitlab@f3dc3ec3951da3c56a2d95481a6dfeeefce91150) ([merge request](gitlab-org/gitlab!83611)) **GitLab Enterprise Edition**
- [Add binaries folder and remove build flags in Go CI-Template](gitlab-org/gitlab@4336bc220501db12f14d600fa30a92e4bd98b4e7) ([merge request](gitlab-org/gitlab!77994))
- [Roadmap App with Tree View](gitlab-org/gitlab@e2e0cb4fb51c1dd42c0936fce405557557efa203) ([merge request](gitlab-org/gitlab!82795)) **GitLab Enterprise Edition**
- [Remove link to content editor feedback issue](gitlab-org/gitlab@f22dab40f18cdf14bb47a2c096502885f044f892) ([merge request](gitlab-org/gitlab!83529))
- [Remove user_email_lookup_limit column](gitlab-org/gitlab@887b515d6ae9cfd0ed4b47b2d0286e2118304fcf) ([merge request](gitlab-org/gitlab!83358))
- [Change container registry policy banner](gitlab-org/gitlab@6c5117753dd11de1666f6b970313f08c9734cd73) ([merge request](gitlab-org/gitlab!83667))
- [FIPS support for API keys endpoint](gitlab-org/gitlab@b0a90d53719a5d2e4bdc55b989e7fcf2e06b59c7) ([merge request](gitlab-org/gitlab!82911))
- [Migrate diff stats view to component](gitlab-org/gitlab@b1e93200ca6321f5360d072ccfd4f09fed6ac0aa) ([merge request](gitlab-org/gitlab!83882))
- [Adds status popover in runners table header](gitlab-org/gitlab@6ab9eac8ada979d0ed48a82e3e87de1623a0b396) ([merge request](gitlab-org/gitlab!83305))
- [Add labels to the 'Note on MR' webhook payload](gitlab-org/gitlab@2a01b2c24e09b1dd545ed99dc544c86a275335cf) ([merge request](gitlab-org/gitlab!83536))
- [Update locked tooltip for project runners](gitlab-org/gitlab@aae74d7477434519127681369f9c3e792eceffd7) ([merge request](gitlab-org/gitlab!84037))
- [Update the translations](gitlab-org/gitlab@1d380c048664bbb243073ee43de57f616da7912b) ([merge request](gitlab-org/gitlab!84032))
- [Filter out project bots from user results on invite members](gitlab-org/gitlab@7a9a10c83aa790929ff1abddbc605967c1979b90) ([merge request](gitlab-org/gitlab!83651))
- [Switch grad hat icon with bulb for learn gitlab](gitlab-org/gitlab@7b5020ffd2f18bc6e2f3e8baa6c74cb4a1644d23) ([merge request](gitlab-org/gitlab!83421))
- [Remove go to profile text from tooltips](gitlab-org/gitlab@dd199dcbddc309cdd763e5bbcdcd9a6cc11cf2d2) ([merge request](gitlab-org/gitlab!83906))
- [Update "locked" tooltips and text](gitlab-org/gitlab@7e3c2e3b01cf9c9de561788260935aaa221850b4) ([merge request](gitlab-org/gitlab!83588))
- [Add index to improve speed of vulnerabilities](gitlab-org/gitlab@f43b924222934ac51739537b3fa8ff058d97bcb9) ([merge request](gitlab-org/gitlab!83028))
- [Update button text in pipeline editor](gitlab-org/gitlab@de41a49784dccfe1a832723a60aab2146c8b7b1c) ([merge request](gitlab-org/gitlab!83912))
- [Make the shared/groups/_dropdown Pajamas compliant](gitlab-org/gitlab@029cf71050ed86d5281d503a578e2c711885ba8c) ([merge request](gitlab-org/gitlab!81370))
- [Update help popover icon](gitlab-org/gitlab@394087787c5c27244195a1a10443e692d8cadcfa) ([merge request](gitlab-org/gitlab!83735))
- [Support attn alias for attention](gitlab-org/gitlab@03e94951382b2202037f50204cc7d44cb9ed1644) ([merge request](gitlab-org/gitlab!83876))
- [Issue 323331 - createFlash called twice in search fetchProjects](gitlab-org/gitlab@321284e59af43fb9bef9893760e2604b74f6b67c) ([merge request](gitlab-org/gitlab!82101))
- [Update help link in UI to remove 'ee'](gitlab-org/gitlab@96f153c6ac901143ec73c1c6ee576b27b74c64d5) ([merge request](gitlab-org/gitlab!83767))
- [Issue 351689 - Prevent autocomplete searches under X characters](gitlab-org/gitlab@8610b290eb9d12db29102eb7684816e04c127ca9) ([merge request](gitlab-org/gitlab!82011))
- [Update DAST profile summary to hide empty values](gitlab-org/gitlab@229146124db1e5f2fb5bd0c337c8d1be571a9b54) ([merge request](gitlab-org/gitlab!83737)) **GitLab Enterprise Edition**
- [Updated wording for the agent token instructions](gitlab-org/gitlab@f72a0a0a0a9ba1b97cd76fcda3eee0df629430bf) ([merge request](gitlab-org/gitlab!83685))
- [Optimise ci_namespace_mirrors_for_group_members to search prefix](gitlab-org/gitlab@123ecd49064c1cd983a6d406dbb21f4b3ab1a6fa) ([merge request](gitlab-org/gitlab!83521))
- [Relocate runner IP Address to Runner column](gitlab-org/gitlab@74421bd2ad34125a361a4816e741253f8dfe947c) ([merge request](gitlab-org/gitlab!83841))
- [Redirect deprecated SSE to Web IDE](gitlab-org/gitlab@049fcae4d7743132001843ed3c0edaf61ebdde06) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80347))
- [Migrate export group alerts to be Pajamas compliant](gitlab-org/gitlab@cd47a4aadc7837d749741b22a85ac80e2d6c18cb) ([merge request](gitlab-org/gitlab!83471))
- [Adjust ProjectExportWorker urgency](gitlab-org/gitlab@b7a17db6c97a8b9e7554f41b2c4f67b8c35d336f) ([merge request](gitlab-org/gitlab!83829))
- [Specify that the committer email is checked](gitlab-org/gitlab@0ca0adead8b333d965f4be1ad0036f491a9ec624) ([merge request](gitlab-org/gitlab!83675)) **GitLab Enterprise Edition**
- [Use GlAvatar in project_list_item component](gitlab-org/gitlab@2b5aa792cd2c56941a43bfae9f847434eff3462c) ([merge request](gitlab-org/gitlab!83806))
- [Remove the jira_connect_installation_update flag](gitlab-org/gitlab@21903484af6364de04fe280b90b56b5d5c426ab3) ([merge request](gitlab-org/gitlab!83790))
- [Add stricter e-mail validation for on push notification](gitlab-org/gitlab@3163947a665fa509c0df22f32d7a6bacff6961a0) by @lenikadali ([merge request](gitlab-org/gitlab!81377))
- [Geo migrations settings are included by default](gitlab-org/gitlab@b31d0afee764aeed553b276ce161bdf232ff5672) ([merge request](gitlab-org/gitlab!83350)) **GitLab Enterprise Edition**
- [Default multi_json to Oj](gitlab-org/gitlab@67e8efb3e4c04586e17eb71bfbc05ddd18e458dc) ([merge request](gitlab-org/gitlab!83762))
- [Update button text for DAST On-demand scans](gitlab-org/gitlab@e22383c5501bc139b639fe92ddd891702d71cff2) ([merge request](gitlab-org/gitlab!83368)) **GitLab Enterprise Edition**
- [gitlab/setup_helper: Migrate Gitaly to use runtime directory](gitlab-org/gitlab@a3995840a4f92da63464d01f782318186764e8af) ([merge request](gitlab-org/gitlab!83750))
- [Hide "Users in Subscription" card for Ultimate plans](gitlab-org/gitlab@98d725bf2402b95351b5dfce7533ae515949d4c7) ([merge request](gitlab-org/gitlab!81286)) **GitLab Enterprise Edition**
- [Update copy for DAST Profile library page](gitlab-org/gitlab@8c5ddb5a06b02f7e01b6db39ba82a5f2bae78d80) ([merge request](gitlab-org/gitlab!83375)) **GitLab Enterprise Edition**
- [Period limit default Insights yaml](gitlab-org/gitlab@bf4b837da79c3a33b1b4ff378927f95781c8ec87) ([merge request](gitlab-org/gitlab!83718)) **GitLab Enterprise Edition**
- [Change default search rate limits](gitlab-org/gitlab@cdf566e80d85049cf8f0cbd8378130b3ca9eead9) ([merge request](gitlab-org/gitlab!83474))
- [Adjust icons and button wording for license compliance](gitlab-org/gitlab@39a4e79e012a135e1d19b9adba4ca8ea856b09e4) ([merge request](gitlab-org/gitlab!83703))
- [Generalize empty array for all scanners](gitlab-org/gitlab@1863e378574d3a384a0dede6811270753e065fd3) ([merge request](gitlab-org/gitlab!82644)) **GitLab Enterprise Edition**
- [Update mutation to unassign security policy from a group](gitlab-org/gitlab@91f82fc80f6cbaf86424bb70ef61cd4d281ae8bb) ([merge request](gitlab-org/gitlab!83190)) **GitLab Enterprise Edition**
- [Force Host header rewrite in Workhorse for Geo proxying](gitlab-org/gitlab@131dd305f388427d8bc380631b2a63898af130be) ([merge request](gitlab-org/gitlab!83550)) **GitLab Enterprise Edition**
- [Order projects by real last update](gitlab-org/gitlab@df50868507cc2ed3a57ee41a95a767fd2bae3a07) by @wwwjon ([merge request](gitlab-org/gitlab!82488))
- [Use neutral colours for nav background](gitlab-org/gitlab@af906641c4e7c9fc67c33c31f142a63b3db514d9) ([merge request](gitlab-org/gitlab!83593))
- [Capture user feedback in `Feedback` not `Meta` for Google Cloud app](gitlab-org/gitlab@7feb0ebe6cf235cc2c56b070ef97fd0df91e4cd4) ([merge request](gitlab-org/gitlab!83324))
- [Remove unnecessary html respond](gitlab-org/gitlab@14e817696db07429ef873511e015ecddb482f32d) ([merge request](gitlab-org/gitlab!83533))
- [Use instrumentation classes for Service Ping metrics](gitlab-org/gitlab@6fb00a70c4eda4ec5ede00dc52e64b7ff9d370ba) ([merge request](gitlab-org/gitlab!81139))
- [Expose membership_lock on group detail API](gitlab-org/gitlab@691bf90da4972e15a6028757fb8ca1ae5348308a) by @jtymes ([merge request](gitlab-org/gitlab!82271)) **GitLab Enterprise Edition**
- [Remove block_namespace_serialization feature flag](gitlab-org/gitlab@fef06e63c0f7a73b85a8686bde9c1e8b6db22c8f) ([merge request](gitlab-org/gitlab!83572))
- [Update mutation to create and assign security policy to a group](gitlab-org/gitlab@039cc7184bae6f7b9e296e3397aab7d716a137d6) ([merge request](gitlab-org/gitlab!83191)) **GitLab Enterprise Edition**
- [This MR adds new empty state for corpus management](gitlab-org/gitlab@b087a911458b9d08d26feefa143d781226b07119) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82707)) **GitLab Enterprise Edition**
- [Adding upload checksum to Secure Files API](gitlab-org/gitlab@e3ade86748635306f2f4b4df8c690862719e9ba5) ([merge request](gitlab-org/gitlab!83192))
- [Update tooltips for runner statuses](gitlab-org/gitlab@125a7c07df302bbc8ff0711abc26b33a6ac615a5) ([merge request](gitlab-org/gitlab!83276))
- [Ignore format of unmatched route](gitlab-org/gitlab@9a14f547e32ac5130fe392473f679c536f386156) ([merge request](gitlab-org/gitlab!83523))
- [Remove feature flag ci_use_new_monthly_minutes](gitlab-org/gitlab@9d0566ff825701668afdf9630d087660adc2adce) ([merge request](gitlab-org/gitlab!83274)) **GitLab Enterprise Edition**
- [Add overage check for members and groups](gitlab-org/gitlab@5749edb18a754488d937c489c51e1c7307a0fcce) ([merge request](gitlab-org/gitlab!78287)) **GitLab Enterprise Edition**
- [Global Search - Enable Header Search Default](gitlab-org/gitlab@64d3f3620f4b5fe19b32ca91b44434d74e7e6d05) ([merge request](gitlab-org/gitlab!79993))
- [More helpful empty states for milestones](gitlab-org/gitlab@e3ebb7c41a81560f54ce37d217cea0ee7296dded) ([merge request](gitlab-org/gitlab!81190))
- [Remove omniauth_login_minimal_scopes feature flag](gitlab-org/gitlab@bb7641aa831481e3d5af0a8d0a5039da7c49e668) ([merge request](gitlab-org/gitlab!83453))
- [Link to previous path when viewing blame on renamed files](gitlab-org/gitlab@638f56213643bf84e2b3287518896dc689d71738) by @tchandelle ([merge request](gitlab-org/gitlab!80231))
- [Use gl-drawer for pipeline editor help drawer](gitlab-org/gitlab@b5835ba51927bcac8cf876dd8ca442ae7c60cf98) ([merge request](gitlab-org/gitlab!83044))
- [Limit the number of commits in push merge request emails](gitlab-org/gitlab@931bad569d7535beea367e71160929fae4c3ca08) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82801))
- [Remove integration_form_sections feature flag](gitlab-org/gitlab@d728e322427f86981e488130cd55a748a00898f8) ([merge request](gitlab-org/gitlab!83271))
- [Enable refactor_blob_viewer by default](gitlab-org/gitlab@89092523957cc6d4e92aa40f89f83dcb46b4c474) ([merge request](gitlab-org/gitlab!80638))
- [Enforce schema validation for security reports](gitlab-org/gitlab@27b25fe8aeeb1c6b8ae602b2d9ec3e1c557cbe1e) ([merge request](gitlab-org/gitlab!82716)) **GitLab Enterprise Edition**
- [Use GraphQL alias to simplify vulnerability list id property](gitlab-org/gitlab@9c4588f2be993f664685777e820f73de4cc9d6d4) ([merge request](gitlab-org/gitlab!83250)) **GitLab Enterprise Edition**
- [Ignore search param for autosave on issue new form](gitlab-org/gitlab@d07ae262dbd9939b73561b513760df55ed783c1a) ([merge request](gitlab-org/gitlab!82568))
- [Remove reliance on Flash styling](gitlab-org/gitlab@87eb822670d8788ff086be9c59a9863cec4abc8e) ([merge request](gitlab-org/gitlab!82501)) **GitLab Enterprise Edition**
- [Add BlocksUnsafeSerialization to Namespace](gitlab-org/gitlab@be35c93a2570805a1aea7e29a9c7677acefc1636) ([merge request](gitlab-org/gitlab!82661))
- [Update mutation to commit security policy to a group](gitlab-org/gitlab@7fb419dc2e7fb9df3bcc481781474825dcdf5295) ([merge request](gitlab-org/gitlab!83188)) **GitLab Enterprise Edition**
- [Increase remote import URL character length limit from 512 to 2048](gitlab-org/gitlab@5bea4f572ecbb6508bb7f55ab4c20ba3ca18c192) ([merge request](gitlab-org/gitlab!80885))
- [Migrate alert to gitlab-ui](gitlab-org/gitlab@50174178b2c1062d03642b841033712879c5aae7) ([merge request](gitlab-org/gitlab!83300))
- [Add empty state for Instance OAuth app page](gitlab-org/gitlab@b2659c6b0f27060e34bf9bfe7b1899eec5cc4623) ([merge request](gitlab-org/gitlab!83279))
- [Prevent encrypted fields from being serialized by default](gitlab-org/gitlab@0890001e31f4d30dccf61a8fa32e503bdda08f33) ([merge request](gitlab-org/gitlab!83272))
- [Added severity to issues REST API](gitlab-org/gitlab@3693c7f1c79ab964baf3105165a8de79448d1aa2) by @stingrayza ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82696))
- [Don't trigger a sentry error for Gitaly exceptions](gitlab-org/gitlab@c3df27acb4e0f2ec43fb5891f2c24c3d8ce5507c) ([merge request](gitlab-org/gitlab!83084))
- [Add index to improve speed of vulnerability_reads](gitlab-org/gitlab@66dcd5b321d31b28028acbf45f2a266887b3c2c8) ([merge request](gitlab-org/gitlab!82942))
- [Update the runner page alerts](gitlab-org/gitlab@8ac14a90c72f4a44efaf6d2df741a83fc789867f) ([merge request](gitlab-org/gitlab!83238))
- [Alias user_email_lookup_limit to search_rate_limit](gitlab-org/gitlab@a8a6588116279c22c60227e6ae60da914409ac8c) ([merge request](gitlab-org/gitlab!83213))
- [Create about your company page for registration flow](gitlab-org/gitlab@5b141d2456cc991517518f421bb47e4cb8cf0ee0) ([merge request](gitlab-org/gitlab!82529)) **GitLab Enterprise Edition**

### Deprecated (4 changes)

- [Deprecate modifying notes confidentiality on API](gitlab-org/gitlab@a57aa3a34490fac4067188d0db10f257b8fc16a7) ([merge request](gitlab-org/gitlab!83542))
- [Deprecate updating an iteration's attributes via GraphQL](gitlab-org/gitlab@14e438b733002f1d95c3d905da0db340e062a46f) ([merge request](gitlab-org/gitlab!83349)) **GitLab Enterprise Edition**
- [Deprecate manual iteration creation](gitlab-org/gitlab@3e9f9a9c0a2c10469c3f996870f5fff38b3792ee) ([merge request](gitlab-org/gitlab!83046)) **GitLab Enterprise Edition**
- [Deprecate deleting iterations via the GraphQL API](gitlab-org/gitlab@f31acb083196948c8e4c0c7780f28bbf57384f7a) ([merge request](gitlab-org/gitlab!83483)) **GitLab Enterprise Edition**

### Removed (16 changes)

- [Remove the "Upgrade {rocket-emoji}" link from the user dropdown menu](gitlab-org/gitlab@b7102280cd3a68c66acd3fd2098c5491403c8699) ([merge request](gitlab-org/gitlab!84392)) **GitLab Enterprise Edition**
- [Remove runner list in group settings](gitlab-org/gitlab@be34638c4fda55c12064f84c277a9f3d38b8fbae) ([merge request](gitlab-org/gitlab!84165))
- [Remove diff_settings_usage_data flag](gitlab-org/gitlab@f692d00cc965a7af920ba3c9245d32616a2ffd70) ([merge request](gitlab-org/gitlab!84539))
- [Remove bitmap creation housekeeping option](gitlab-org/gitlab@249c5b2833b299940ddfebabb3560ad66b903967) ([merge request](gitlab-org/gitlab!83984))
- [Remove unused MD5 generation logic for InsecureKey](gitlab-org/gitlab@27f9fb1e3c5871b5936e75dcb106a51b7e7796df) ([merge request](gitlab-org/gitlab!84364))
- [Remove users_expanding_widgets_usage_data feature flag](gitlab-org/gitlab@390a966ec1812f5e21fa66013e480007abf89711) ([merge request](gitlab-org/gitlab!84317))
- [Remove mrc_api_use_raw_diffs_from_gitaly flag](gitlab-org/gitlab@4251a0f463b7a5f1999f302a5444e6193e13c136) ([merge request](gitlab-org/gitlab!84327))
- [Remove usage_data_diff_searches feature flag](gitlab-org/gitlab@924b7d24a6088967a07955da3c598bd26220ae98) ([merge request](gitlab-org/gitlab!84320))
- [Remove remove_import_data_on_failure feature flag](gitlab-org/gitlab@9aabd518a811e830c55d54c3d8daf4ec17a33e7d) ([merge request](gitlab-org/gitlab!84040))
- [Removal notice for rerequest review](gitlab-org/gitlab@872934ff6b49ee37070aeadcfc7f77492216b01b) ([merge request](gitlab-org/gitlab!84007))
- [Cleanup api_kaminari_count_with_limit feature flag](gitlab-org/gitlab@4dd097fcb27809f0092d0079434b320c06ca095d) by @jaspreet-3911 ([merge request](gitlab-org/gitlab!81084))
- [Remove invite_team_email experiment code](gitlab-org/gitlab@a9e56a64bcdbdb9761d93f5fc61c71a937c2dd84) ([merge request](gitlab-org/gitlab!82799))
- [Remove new_dir_modal feature flag](gitlab-org/gitlab@692c1767bf4cbc341638f75454a7affadb99477a) ([merge request](gitlab-org/gitlab!83518))
- [Remove feature flag gitaly_backup](gitlab-org/gitlab@13e4026e5e703633583ba7666afc815ad303a447) ([merge request](gitlab-org/gitlab!83254))
- [Remove Balsamiq File Preview](gitlab-org/gitlab@174aeb62a8efaf75a44cf49315e8af647809b464) ([merge request](gitlab-org/gitlab!82924))
- [Revert "Add Sbom Survey Banner"](gitlab-org/gitlab@5874355413c1d91a4fcd5690882eb3e6a3692d21) ([merge request](gitlab-org/gitlab!82068))

### Security (25 changes)

- [Add authorization to composer package archive download](gitlab-org/gitlab@cae37bcd229235f1fb0163200d0a3632b39f64d3) by @trakos ([merge request](gitlab-org/gitlab!77950))
- [Remove ci_safe_artifact_content_type feature flag](gitlab-org/gitlab@03c43e46fec0be78cc8735bf94ac0c56eb634ad3) ([merge request](gitlab-org/gitlab!84457))
- [Fix artifact content-type raw endpoint](gitlab-org/gitlab@1a60a674fecb87b9751a27a8098a0341c5344775) ([merge request](gitlab-org/gitlab!83826))
- [Disallow login if password matches a fixed list](gitlab-org/gitlab@26c7148eb83b6b20fc56da87ea7aa8164bcdf6f8) ([merge request](gitlab-org/gitlab!84094))
- [Upgrade swagger-ui dependency](gitlab-org/gitlab@44dacc8179443ef9268f98ebf25478f30ae435db) ([merge request](gitlab-org/gitlab!84094))
- [Update devise-two-factor to 4.0.2](gitlab-org/gitlab@6b02bf46ec1bc33e76a0ce8e2cbc90466a7a5b49) ([merge request](gitlab-org/gitlab!84094))
- [Fix kroki exploit](gitlab-org/gitlab@4e0fbc6fe4eab95c7a1701b4d7b6a9b99b58866e) ([merge request](gitlab-org/gitlab!84094))
- [GitLab Pages Security Updates for 14.9](gitlab-org/gitlab@0439dfc6ee2732a5dc6ece1252c7317a52bdaed6) ([merge request](gitlab-org/gitlab!84094))
- [Revert "JH need more complex passwords"](gitlab-org/gitlab@8e1715c7ccbf33bcfdc93f4c18ee0ad82db62cad) ([merge request](gitlab-org/gitlab!84094))
- [Escape original content in reference redactor](gitlab-org/gitlab@389be4c9877860af1c05bdb1c42acfc4f3aaaa42) ([merge request](gitlab-org/gitlab!84094))
- [Fix blind SSRF when looking up SSH host keys for mirroring](gitlab-org/gitlab@435dbb25f5c44eb38e3f8a4cc8251477428d4b3d) ([merge request](gitlab-org/gitlab!84094))
- [Hide features a user shouldn't be able to see in a list of forks](gitlab-org/gitlab@0ff446c53c2358cde08f36da2d20090a020b8d77) ([merge request](gitlab-org/gitlab!82639))
- [Modify release link format check to avoid regex if string is too long](gitlab-org/gitlab@2cfab0cbb70050c4901dd3abe765f1e5388eb278) ([merge request](gitlab-org/gitlab!84094))
- [Project import maps members' created_by_id users based on source user ID](gitlab-org/gitlab@51cbabf1f9b8081ad6187970f30d2ce203b9db4c) ([merge request](gitlab-org/gitlab!84094))
- [Monkey patch of RDoc to prevent Ruby segfault](gitlab-org/gitlab@d1f2d3cf3c0ecf08ea2477aea99c98f3ccec14fb) ([merge request](gitlab-org/gitlab!84094))
- [Escape user provided string to prevent XSS](gitlab-org/gitlab@927205e78ebc4a768ac891b8d1b7dc34dbf4770f) ([merge request](gitlab-org/gitlab!84094))
- [Masks variables in error messages](gitlab-org/gitlab@280766e8a515c6ad4289c05ab463b14521660f16) ([merge request](gitlab-org/gitlab!84094))
- [Security fix for CI/CD analytics visibility](gitlab-org/gitlab@22941c3290817717075c00f505e879dc020cbb9f) ([merge request](gitlab-org/gitlab!84094))
- [Limit the number of tags associated with a CI runner](gitlab-org/gitlab@e226dc55ef11e4edca66dfda17959940c3c3947c) ([merge request](gitlab-org/gitlab!84094))
- [Latest commit exposed through fork of a private project](gitlab-org/gitlab@d4a675cd32528883fb12ccdfc25411114596279b) ([merge request](gitlab-org/gitlab!84094))
- [Redact InvalidURIError error messages](gitlab-org/gitlab@b6ec483a90b1a285cc66327c22655ed051ac0e8d) ([merge request](gitlab-org/gitlab!84094))
- [Fix access for approval rules API](gitlab-org/gitlab@15854f37f5c5606bc5a319b9c8d4b59c804f89cc) ([merge request](gitlab-org/gitlab!84094))
- [Fix Asana integration restricted branch filter](gitlab-org/gitlab@263c695a01612d1c13c5d67bbbf38b9ed4e3a145) ([merge request](gitlab-org/gitlab!84094))
- [Add state param validation for Bitbucket OAuth flow](gitlab-org/gitlab@7f5d12da48f4a899b77cc29bf8b5575c49283cf6) ([merge request](gitlab-org/gitlab!83598))
- [Fix artifacts content-type](gitlab-org/gitlab@e2e17fe6c668b9e781eb849a4fc4a52374855e43) ([merge request](gitlab-org/gitlab!83515))

### Performance (19 changes)

- [Optimise Security::Finding cleanup by clearing build_id scope](gitlab-org/gitlab@88c71e08b4d276abe8d840d739ee1047961ec8c6) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/84283)) **GitLab Enterprise Edition**
- [Drop trace-inclusive artifact removal index from ci_job_artifacts](gitlab-org/gitlab@84a57dc965d20124050277977b9ce5227491edb8) ([merge request](gitlab-org/gitlab!84308))
- [Make `User#ci_owned_runners` to use unnest index instead of GIN](gitlab-org/gitlab@7304cf06fdccdd17a3e783bf92f5fec670ec2ffc) ([merge request](gitlab-org/gitlab!83843))
- [Fix remaining N+1 queries in EnvironmentSerializer](gitlab-org/gitlab@db4fca18304584a630ac4200538c1f7fff6035df) ([merge request](gitlab-org/gitlab!82746))
- [Remove ci_artifact_fast_removal_large_loop_limit feature flag](gitlab-org/gitlab@ee473019798a0f7107e269f9a0f7da1bfcd7717d) ([merge request](gitlab-org/gitlab!84516))
- [Finalize asynchronously built index](gitlab-org/gitlab@7a3087a5d1855552edeee288b3e26f8e12a57812) ([merge request](gitlab-org/gitlab!83668))
- [Resolve "ActionView::Template::Error: 4:Deadline Exceeded."](gitlab-org/gitlab@8469644af62c812160505910651dc07e236e62d6) ([merge request](gitlab-org/gitlab!84269))
- [Optimize the query on Environment Detail page](gitlab-org/gitlab@dac25abdbf3db0a58e95d7f247fb8ff36b57431e) ([merge request](gitlab-org/gitlab!83498))
- [Improve query performance of attention requests count](gitlab-org/gitlab@14f1a3aadfab9823c6edfd2857c6637e350c56db) ([merge request](gitlab-org/gitlab!84140))
- [Fix discussions N+1 queries](gitlab-org/gitlab@3eed8ffc449bc9044d986bf69af05777dd2e242a) ([merge request](gitlab-org/gitlab!83544))
- [Optimize User#ci_owned_runners query V3](gitlab-org/gitlab@e4efeb7eb87ca0b85a6d53ab3d8aa599961b46dc) ([merge request](gitlab-org/gitlab!82692))
- [Do not include highlighted_diff_email css for each note](gitlab-org/gitlab@0e8275a74c175e532ef8254b30e01a1f68e16825) ([merge request](gitlab-org/gitlab!83385))
- [Schedule async index build for ci_job_artifacts](gitlab-org/gitlab@c29adfe7b51f4b6324b72a5abe678fcb8a459a03) ([merge request](gitlab-org/gitlab!83664))
- [Registry import enqueuer uses migration_plan](gitlab-org/gitlab@85305dd5e6cd2fa419c94c7d0d2cabb673b134bf) ([merge request](gitlab-org/gitlab!83365)) **GitLab Enterprise Edition**
- [Prevent loading wiki content for destroy and diff actions](gitlab-org/gitlab@b78a24824d07d0e030a36ca36c039918e0460581) ([merge request](gitlab-org/gitlab!83595))
- [Make the Invite Modal load conditionally](gitlab-org/gitlab@72b8bb6cf685b356d58352b0abd489c17d27c4ae) ([merge request](gitlab-org/gitlab!83128))
- [Load highlight.js languages asynchronously](gitlab-org/gitlab@780039e921881ba86c122732714bd6a51830a9e4) ([merge request](gitlab-org/gitlab!83193))
- [Move updating statistics logic outside of the transaction](gitlab-org/gitlab@09422ff6eed738c365058a4fcd68b6cf5ef28f94) ([merge request](gitlab-org/gitlab!83018)) **GitLab Enterprise Edition**
- [Caches the by email lookup logic for user in member creation](gitlab-org/gitlab@a1e8d2bfb20ac4db3dc575cbedb02acee5c65c4f) ([merge request](gitlab-org/gitlab!82196))

### Other (66 changes)

- [Finalize traversal_ids background migrations](gitlab-org/gitlab@1fd26b1bf86d900885ca3e255b7221d184583a21) ([merge request](gitlab-org/gitlab!65510))
- [Add tests for vulnerability_report.vue](gitlab-org/gitlab@e80ee6d1d31d003238134484418fc7abd2f6fbcd) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/85293)) **GitLab Enterprise Edition**
- [Use StatisticsCard in usage_quotas/seats](gitlab-org/gitlab@d7e1c5e0bb8175c85dab8b7ec2799f2908105921) ([merge request](gitlab-org/gitlab!82399)) **GitLab Enterprise Edition**
- [Add new packages build infos finder](gitlab-org/gitlab@246709ea3a7dece310de55e7d8fad4fd755a4ca3) ([merge request](gitlab-org/gitlab!85073))
- [Fix usage of distance_of_time_in_words_to_now](gitlab-org/gitlab@3a7078a53094d11599d5d0efc2ecbe8adacafe95) by @edith007 ([merge request](gitlab-org/gitlab!81180))
- [Add unique index for work item type names with no namespace](gitlab-org/gitlab@7b5d932c35b654fee084b73ff44885188f9d34d8) ([merge request](gitlab-org/gitlab!84787))
- [Fix Style/OpenStructUse offenses](gitlab-org/gitlab@ce54ba05584a426e1e452b61cbccd1a7dc885f08) by @edith007 ([merge request](gitlab-org/gitlab!75238))
- [Fix Style/OpenStructUse offenses by using `Struct`](gitlab-org/gitlab@c45a1f067fad0d6f14559d1391c6bf3c4b61c316) by @edith007 ([merge request](gitlab-org/gitlab!75993))
- [Refactor pipeline schedule variables](gitlab-org/gitlab@634bb8201df849c360be994468715cd3f325fb28) ([merge request](gitlab-org/gitlab!81127))
- [Bump Gitlab Shell version](gitlab-org/gitlab@41c003be8476d374473731439cf7a5412735f6a5) ([merge request](gitlab-org/gitlab!84558))
- [Refactor: Introduce BaseThirdPartyWiki](gitlab-org/gitlab@ffc0924b34a4f453708027ab18605d9790b87e2b) by @chaomao ([merge request](gitlab-org/gitlab!82616))
- [Update RelationExportService to not export if recently exported](gitlab-org/gitlab@662e1bd7669e314967c28df366b04060d38842dd) ([merge request](gitlab-org/gitlab!84207))
- [Makes BackfillWorkItemTypeIdOnIssues migration more efficient](gitlab-org/gitlab@10ba7bc36d434eed29e3e1f0c64145b170edd5b0) ([merge request](gitlab-org/gitlab!84213))
- [Backfill dependency proxy size in namespace stats](gitlab-org/gitlab@e5289bec580113e641f1e814e754e08f8c26fbd3) ([merge request](gitlab-org/gitlab!79937))
- [Use statistics card in storage app](gitlab-org/gitlab@7f3519b362e5ac5234ddd070c1715a53d5fc1286) ([merge request](gitlab-org/gitlab!79525)) **GitLab Enterprise Edition**
- [Set usage_activity_by_stage_monthly.create.merge_requests to removed](gitlab-org/gitlab@f54906e6635232eabddc678372cf51d190f99fd6) ([merge request](gitlab-org/gitlab!83940))
- [Remove obsolete wiki notes](gitlab-org/gitlab@db2aab7a110da617b11e69ba86562c6007da8574) ([merge request](gitlab-org/gitlab!83391))
- [Chore: remove track_editor_edit_actions FF](gitlab-org/gitlab@a1c1020e8c0d2b8a882dffb0cdcf22d1537515f2) ([merge request](gitlab-org/gitlab!84223))
- [Removes ci_validate_job_length ff](gitlab-org/gitlab@a111c80f5121e4dc3fae234618c08d4eeeb7c009) ([merge request](gitlab-org/gitlab!83320))
- [Update BulkImports::PipelineWorker Ndjson perform delay](gitlab-org/gitlab@38515dcd7314ac3c7f5ebcdbc03e5625b76f5bd2) ([merge request](gitlab-org/gitlab!84285))
- [Remove import_project_from_remote_file ff](gitlab-org/gitlab@8344d215a8383600ba6f80debcc009475bbbc94d) ([merge request](gitlab-org/gitlab!84266))
- [Add temp index for notes without discussion_id](gitlab-org/gitlab@61ec9cd98492180d45ae8dbddcbf1b5bb90df469) ([merge request](gitlab-org/gitlab!84038))
- [Document how to add a new built-in project template](gitlab-org/gitlab@e3fc3ef5002679f037f1e27a3293c4ee1d3e92a2) ([merge request](gitlab-org/gitlab!71472))
- [Fix Style/OpenStructUse offenses](gitlab-org/gitlab@d8f5e12ae7e84e7a32b9f8304028708947609ccd) by @edith007 ([merge request](gitlab-org/gitlab!75996))
- [Geo: (SSF) State machine refactoring](gitlab-org/gitlab@d7025c1337abde970bb67a45170d237a08e94bb6) ([merge request](gitlab-org/gitlab!83553))
- [Run project after import when GitLab Migration is complete](gitlab-org/gitlab@7dfc57dff7bedca79d1bf1b010af8daaa7aa841e) ([merge request](gitlab-org/gitlab!83966))
- [Fix Style/OpenStructUse offenses](gitlab-org/gitlab@e940bac6be96a2d0e42af80ffaf61b37aac4afbf) by @edith007 ([merge request](gitlab-org/gitlab!75217))
- [When building from source, require nodeJS >= 14.15.0](gitlab-org/gitlab@321fc6c4c7ae7bc831aa31241d78486ba7d8290b) ([merge request](gitlab-org/gitlab!83947))
- [Remove switch editing controls feature flag](gitlab-org/gitlab@716a98ca735534ff6ca1df2485e92bd12856d43b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83760))
- [Simplify third party container repository delete tags services](gitlab-org/gitlab@a743b1c73ad3ed875f4e17d16f4cee32251c8d9a) by @edith007 ([merge request](gitlab-org/gitlab!81184))
- [Remove the unused instance variable from the controller](gitlab-org/gitlab@cca4c9e8f68bfab401b9bf892c442c4f0b22d534) by @edith007 ([merge request](gitlab-org/gitlab!81193))
- [Expose HTTP code during GitHub importer errors](gitlab-org/gitlab@463c8c6645bd008f500f397b14cd6ab499ab1813) ([merge request](gitlab-org/gitlab!83818))
- [Workhorse: bump gitaly client](gitlab-org/gitlab@8ac124dbc878b24a2660a81926c83f9871d33782) ([merge request](gitlab-org/gitlab!83858))
- [Bump Gitlab Shell version](gitlab-org/gitlab@d10d31550507c0f3430c8d37ffb367f406f45314) ([merge request](gitlab-org/gitlab!83860))
- [Remove header_read_timeout_buffered_io featureflag](gitlab-org/gitlab@8cda0d0765df9f4ff4b7f9e41ee6838cb344d2cd) ([merge request](gitlab-org/gitlab!83729))
- [Move compliance framework auditor to a new class](gitlab-org/gitlab@7871542d2751598ae7fc828e01210122d875038d) ([merge request](gitlab-org/gitlab!82589)) **GitLab Enterprise Edition**
- [Cleanup secret variables refactoring in variables builder](gitlab-org/gitlab@b668969cb9de120691e49116b64b18fc95795cb8) ([merge request](gitlab-org/gitlab!83428))
- [Resolve Performance/DeletePrefix rubocop offenses](gitlab-org/gitlab@6d0654f3779954412d02e7a8fdde88ab0f17f533) by @edith007 ([merge request](gitlab-org/gitlab!81331)) **GitLab Enterprise Edition**
- [Fix typo in milestones empty state](gitlab-org/gitlab@cd5a099d9f2051bc0405a3fc25ea76ceef66dacb) ([merge request](gitlab-org/gitlab!83736))
- [Added read_usage_quotas ability to ProjectPolicy](gitlab-org/gitlab@efcc97cc4dc87024770df40f5f1931a9727348e6) ([merge request](gitlab-org/gitlab!82396))
- [Update API doc to show correct return type](gitlab-org/gitlab@a7b8941fef5cbc4b783962bf083f7b0297eae37e) ([merge request](gitlab-org/gitlab!81895)) **GitLab Enterprise Edition**
- [Clean up after fixing issue when admin changes email](gitlab-org/gitlab@8ab267b902183ace0255b4b95de1c08c5a08720b) ([merge request](gitlab-org/gitlab!83185))
- [Remove use_model_load_balancing feature flag](gitlab-org/gitlab@d99860de6486c2c0fbcede1f990cf7930ba47b88) ([merge request](gitlab-org/gitlab!83162))
- [Lazy initialization for user popovers](gitlab-org/gitlab@12ac522714e0f3fb8d17fdbff96f17e3bb294e72) by @cyberap ([merge request](gitlab-org/gitlab!80597))
- [Migrate groups show page to GlTabs](gitlab-org/gitlab@b61591c64c6525d3951cc6704af271bd2e541619) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/81253))
- [Track related epics added on usage ping](gitlab-org/gitlab@113fa62f433dc616cbfb95fca2f6e0a7963aac22) ([merge request](gitlab-org/gitlab!83323)) **GitLab Enterprise Edition**
- [Remove `verify_protected_tags_for_pull_mirror` feature flag](gitlab-org/gitlab@96c5583f5092e2af45401195e48565f49516f375) ([merge request](gitlab-org/gitlab!83610))
- [Remove feature flag `spread_parallel_import`](gitlab-org/gitlab@1f8097114e5e52e3fa1c24c6ee65c4b04eb30258) ([merge request](gitlab-org/gitlab!83608))
- [Resolve Rails/FindById rubocop offenses](gitlab-org/gitlab@dadd2772a5efca5bff9afedf2c85a9f54ba1faf9) by @edith007 ([merge request](gitlab-org/gitlab!81390)) **GitLab Enterprise Edition**
- [Remove admin_application_settings_service_usage_data_center feature flag](gitlab-org/gitlab@ef597de6ad4563d998db669bc10fc9373e6ec190) ([merge request](gitlab-org/gitlab!83265))
- [Cleanup draft column data](gitlab-org/gitlab@d1cdd34b46466c12adc7438d55d2977a3b6d422e) ([merge request](gitlab-org/gitlab!70735))
- [Resolve Rails/BelongsTo rubocop offenses](gitlab-org/gitlab@1c1c64c05a9e95c0a389f29637b840d2673e049a) by @edith007 ([merge request](gitlab-org/gitlab!81382))
- [Remove bulk_expire_project_artifacts feature flag](gitlab-org/gitlab@1b1d0c86fc8a26b8198e32fd4bda14f5aa142242) ([merge request](gitlab-org/gitlab!83509))
- [Backfill work_item_type_id for all Issues](gitlab-org/gitlab@1e07844446d3f929e328ad46b072273c2ab84543) ([merge request](gitlab-org/gitlab!71869))
- [Remove geo_token_user_authentication feature flag](gitlab-org/gitlab@bed4933195326953d6bcd184ab8dfc9fa24aba1f) ([merge request](gitlab-org/gitlab!83405)) **GitLab Enterprise Edition**
- [Modeling for Multi Access Levels in Deployment Approval](gitlab-org/gitlab@61b1b9ea1b5337615f5d0e2a85084964283570f3) ([merge request](gitlab-org/gitlab!82800))
- [Update GitLab Runner Helm Chart to 0.39.0](gitlab-org/gitlab@6b2b27f483efe847a9e5d1dfeebf166a87410e4f) ([merge request](gitlab-org/gitlab!83332))
- [Cleanup show_report_validation_warnings flag](gitlab-org/gitlab@f2ced7432c2165833e12fafc9bc94b379dac0b21) ([merge request](gitlab-org/gitlab!82405))
- [Add tests for vulnerability report pagination feature](gitlab-org/gitlab@7618a30c43034342b1adb827c33a121f69238370) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83098)) **GitLab Enterprise Edition**
- [Remove temp index on id in vulnerability_occurrences](gitlab-org/gitlab@4fb3577be045d4a66aafc46b8f6e9da33115f9a4) ([merge request](gitlab-org/gitlab!78698))
- [Fix the offences introduced by Performance/OpenStruct](gitlab-org/gitlab@eebf72d8c64f0042b5413baa9653f52d799acd99) by @edith007 ([merge request](gitlab-org/gitlab!70902))
- [Move BASE_FILTERS from filters/constants to security_dashboard/helpers](gitlab-org/gitlab@d820d64536c94227d3e2c11a4877c27c27ba795d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/83240)) **GitLab Enterprise Edition**
- [Add migration_plan to container_repositories](gitlab-org/gitlab@614fca0b0c476660c89d1199af4cb56ec78c0127) ([merge request](gitlab-org/gitlab!83061))
- [Bump Gitlab Shell version](gitlab-org/gitlab@953e2fe05ac2d11bccfbc0eb61ff0b50c91e7e9a) ([merge request](gitlab-org/gitlab!83203))
- [Convert ci_builds-runner_id FK to LFK](gitlab-org/gitlab@5e114952616994acb802e5ded373fc07e53a3aaa) ([merge request](gitlab-org/gitlab!83129))
- [Fix related epic links and issue links specs fixtures](gitlab-org/gitlab@ffc7df0cdbdda91fec15d2c4437e64dd7d073d50) ([merge request](gitlab-org/gitlab!82623))

## 14.9.5 (2022-06-01)

### Security (7 changes)

- [Fix IP restrictions not applying to deploy tokens](gitlab-org/security/gitlab@b429997e253110ea5eb4d20a8b90e9879be97300) ([merge request](gitlab-org/security/gitlab!2472))
- [Trigger token should respect group IP restrictions](gitlab-org/security/gitlab@326993794bba8659208cde212433a5a19fd3e5a9) ([merge request](gitlab-org/security/gitlab!2477))
- [Fix content injection in Jira issue title](gitlab-org/security/gitlab@c968f7be35d829bfefbf089794343d2d20cdd078) ([merge request](gitlab-org/security/gitlab!2465))
- [Subgroup member can list members of parent group](gitlab-org/security/gitlab@1606689819eeae574bd5d65c8c971c2d4eb19e41) ([merge request](gitlab-org/security/gitlab!2481))
- [Do not allow project member import when membership is locked](gitlab-org/security/gitlab@e8324068c61c4c58d50646d4fa8dff77c4d147ae) ([merge request](gitlab-org/security/gitlab!2448))
- [Disable changing user attributes when updating SCIM provisioned user](gitlab-org/security/gitlab@9d5aca002edb2e0ab3c7d5b6eb00ea781d3dde9f) ([merge request](gitlab-org/security/gitlab!2455))
- [Allow only job owner to run interactive terminal](gitlab-org/security/gitlab@c9fe31e3a963c421db3d9c47c65dd98a2867a699) ([merge request](gitlab-org/security/gitlab!2434))

## 14.9.4 (2022-04-29)

### Security (15 changes)

- [Fixes infinite loop when rendering Ipynb Diffs](gitlab-org/security/gitlab@9836b8e3873e1390e1f6746a1039749c312739b5) ([merge request](gitlab-org/security/gitlab!2401))
- [Update Import/Export merge/push access levels & exclude ci config path](gitlab-org/security/gitlab@8a27e1e56e965d6b69545a2efb4f55f20cc57b2e) ([merge request](gitlab-org/security/gitlab!2371))
- [Prevent maintainers from editing PipelineSchedule](gitlab-org/security/gitlab@ee86557a26d0c3f8a983a6f20384f6b778d4ab0b) ([merge request](gitlab-org/security/gitlab!2422))
- [Add validation to pypi file sha256 values](gitlab-org/security/gitlab@7f78a6b9060745d9fea7f7dc71d4cf090b8e9ab5) ([merge request](gitlab-org/security/gitlab!2416))
- [Conan Token uses PAT rather than ID in payload](gitlab-org/security/gitlab@574b7397e4b32630276cf1e5896ad4a72e82f02b) ([merge request](gitlab-org/security/gitlab!2345))
- [[security] Fix markdown API disclosing issue titles of limited projects](gitlab-org/security/gitlab@ff61b763d040ece83387eb7c0f70d0d97aafbd66) ([merge request](gitlab-org/security/gitlab!2406))
- [Verify that mentioned user can read TODO's note](gitlab-org/security/gitlab@7771534e395f9f433cafa9984cbeeebf86a2d797) ([merge request](gitlab-org/security/gitlab!2396))
- [Invalidate markdown cache to clear up stored XSS](gitlab-org/security/gitlab@0768d53609d530bee4ef118a929bdd7ac6cbd5de) ([merge request](gitlab-org/security/gitlab!2419))
- [Allow rate limiting of deploy tokens](gitlab-org/security/gitlab@8738e74dbecece0e0fcdaf5df1323437db77b947) ([merge request](gitlab-org/security/gitlab!2384))
- [Add suffix to cache name to add isolation](gitlab-org/security/gitlab@d722e72125ded23ea4fd0eeeb775576f7cdd7181) ([merge request](gitlab-org/security/gitlab!2374))
- [Disable wiki access with CI_JOB_TOKEN when improper access level](gitlab-org/security/gitlab@13524db78a32d13e4081a30cc0db9215c404b435) ([merge request](gitlab-org/security/gitlab!2390))
- [Sanitize error input to prevent HTML/CSS injection in messages](gitlab-org/security/gitlab@a83683c13f7a0a8af94a88562f5904bfcb1b58e0) ([merge request](gitlab-org/security/gitlab!2377))
- [Secure debug trace artifact download](gitlab-org/security/gitlab@811ce49adeddb56de0a1ca26652017197fe1b97a) ([merge request](gitlab-org/security/gitlab!2366))
- [Use password type for all secret integration properties](gitlab-org/security/gitlab@f38cec8b26fa0e33da9247af9e8c53c01e6ec0c6) ([merge request](gitlab-org/security/gitlab!2410))
- [Limit CI job group_name regexp](gitlab-org/security/gitlab@5a08c0b9dff4518dff91990eecae0ab76c5cf4ed) ([merge request](gitlab-org/security/gitlab!2380))

## 14.9.3 (2022-04-12)

### Fixed (4 changes)

- [Revert Protected Environment group access inheritence](gitlab-org/gitlab@488fd8f3f6770eebae10c815398534ff41d57546) ([merge request](gitlab-org/gitlab!84664))
- [Fix URL blocker when object storage enabled but type is disabled](gitlab-org/gitlab@d0da89768774de9cf635af530ed7386e65f92d40) ([merge request](gitlab-org/gitlab!84664))
- [Remove pending builds from the queue on conflict](gitlab-org/gitlab@8c88898dfd1619cc635ce5b98e30eebd91da497f) ([merge request](gitlab-org/gitlab!84664))
- [Fix null argument handling in background migration Rake task](gitlab-org/gitlab@23e1eb3272828b3546e18efdfaea5a8077cb20f4) ([merge request](gitlab-org/gitlab!84664))

## 14.9.2 (2022-03-31)

### Security (20 changes)

- [Quarantine UsageDataNonSqlMetrics failing test](gitlab-org/security/gitlab@123fc00ff9f407284ce05007ddc373e1bd0aeede) ([merge request](gitlab-org/security/gitlab!2364))
- [Disallow login if password matches a fixed list](gitlab-org/security/gitlab@1a128ae3fb17b3d83974bb08034e4ba7a7d54e3b) ([merge request](gitlab-org/security/gitlab!2357))
- [Update devise-two-factor to 4.0.2](gitlab-org/security/gitlab@17c70b13dcd437c05de63b3286245af8e6f42210) ([merge request](gitlab-org/security/gitlab!2349))
- [Limit the number of tags associated with a CI runner](gitlab-org/security/gitlab@ed5daced882a0206e050c4f676a888ac1c2417b1) ([merge request](gitlab-org/security/gitlab!2303))
- [GitLab Pages Security Updates for 14.9](gitlab-org/security/gitlab@79709cabf71a57a336f490636a7e32a208fe0229) ([merge request](gitlab-org/security/gitlab!2327))
- [Upgrade swagger-ui dependency](gitlab-org/security/gitlab@14280c1d844be3ffc2f30f5321a818a7b6c51770) ([merge request](gitlab-org/security/gitlab!2336))
- [Modify release link format check to avoid regex if string is too long](gitlab-org/security/gitlab@f516d883b46e1441410476dc140d69fde51cdf0f) ([merge request](gitlab-org/security/gitlab!2307))
- [Masks variables in error messages](gitlab-org/security/gitlab@9cf62118390c0cfba3d36a4231a30a7836f06e2f) ([merge request](gitlab-org/security/gitlab!2308))
- [Escape user provided string to prevent XSS](gitlab-org/security/gitlab@2da3502aef64ed1b01c13d82418950cf284098c6) ([merge request](gitlab-org/security/gitlab!2313))
- [Monkey patch of RDoc to prevent Ruby segfault](gitlab-org/security/gitlab@0ae4925089a1b5fd7c9abeeb0756b3a50e05799a) ([merge request](gitlab-org/security/gitlab!2321))
- [Project import maps members' created_by_id users based on source user ID](gitlab-org/security/gitlab@3826f2a7c652d3f74e45bfef8888601ca1c86ba1) ([merge request](gitlab-org/security/gitlab!2301))
- [Redact InvalidURIError error messages](gitlab-org/security/gitlab@59b60e9cf8f79d6f41000d34a4434c5a04988030) ([merge request](gitlab-org/security/gitlab!2295))
- [Fix access for approval rules API](gitlab-org/security/gitlab@7890215aa29624cd67c5bc8ac25175f2866479b7) ([merge request](gitlab-org/security/gitlab!2322))
- [Fix kroki exploit](gitlab-org/security/gitlab@b2a44b407ab85ca056a271ba4e708128ef08d25f) ([merge request](gitlab-org/security/gitlab!2306))
- [Fix blind SSRF when looking up SSH host keys for mirroring](gitlab-org/security/gitlab@5a9509b52584302c508bd6dff1454f80aae371ea) ([merge request](gitlab-org/security/gitlab!2309))
- [Escape original content in reference redactor](gitlab-org/security/gitlab@b33b170a2c2df8285999f3631e8a53d35e0eed22) ([merge request](gitlab-org/security/gitlab!2317))
- [Security fix for CI/CD analytics visibility](gitlab-org/security/gitlab@f3febd00b440475b2aca0b9bd6728fa5f8750288) ([merge request](gitlab-org/security/gitlab!2304))
- [Latest commit exposed through fork of a private project](gitlab-org/security/gitlab@3f20d4f294a12ceb33bec19d86790f582fb7fb48) ([merge request](gitlab-org/security/gitlab!2294))
- [Fix Asana integration restricted branch filter](gitlab-org/security/gitlab@08aa0f55b1b715f7311ee6502cd6f8a1b875f878) ([merge request](gitlab-org/security/gitlab!2300))
- [Revert "JH need more complex passwords"](gitlab-org/security/gitlab@e2fb87ec5d4e235d6b83454980cec9c049849a1c) ([merge request](gitlab-org/security/gitlab!2352))

## 14.9.1 (2022-03-23)

### Fixed (1 change)

- [Fix backups not working when feature_flags table does not exist](gitlab-org/gitlab@4cc3cd6cf6eb256a9837ef92a6fdb4991cd1642c) ([merge request](gitlab-org/gitlab!83388))

### Changed (1 change)

- [Alias user_email_lookup_limit to search_rate_limit](gitlab-org/gitlab@424c277fc4c994df60ea68acb8988537526108e4) ([merge request](gitlab-org/gitlab!83388))

## 14.9.0 (2022-03-21)

### Added (119 changes)

- [Toggle the related_epics_widge feature flag](gitlab-org/gitlab@8f64bbbc5c485fcdb7453f3c42949a37e030a71f) ([merge request](gitlab-org/gitlab!82333)) **GitLab Enterprise Edition**
- [Add Time to Restore Service DORA metric](gitlab-org/gitlab@0ccf5b4ae6bca2fa1ea128228e14bb63153283ce) ([merge request](gitlab-org/gitlab!82510)) **GitLab Enterprise Edition**
- [Added possiblity to create new token from the UI](gitlab-org/gitlab@8f36ef50c87ea78e33409c3ddcbbb04782fa5e15) ([merge request](gitlab-org/gitlab!82690))
- [Add param to Wiki REST endpoint to retrieve different page versions](gitlab-org/gitlab@53b8b9fe4952d7c11a80cd52f4dab8e6d8bfa7de) ([merge request](gitlab-org/gitlab!82838))
- [Add Harbor integration](gitlab-org/gitlab@bcb79d53fd54e545cf80416beb77360e06262c22) by @prajnamas ([merge request](gitlab-org/gitlab!80999))
- [MR widget: update merge commit message when default changed](gitlab-org/gitlab@b005b8e80ba8691ec24a5063e4a133d21e56532e) by @trakos ([merge request](gitlab-org/gitlab!77425))
- [Support agent registration without config](gitlab-org/gitlab@388f87faad5adf5c68ba4850a82b1d4433290b0f) ([merge request](gitlab-org/gitlab!82036))
- [Add `RestrictGitlabSchema` that enforces `restrict_gitlab_migration`](gitlab-org/gitlab@6bdac41133bebcf66c308dc31f589046b1dc0725) ([merge request](gitlab-org/gitlab!73756))
- [Enable the vsa_incremental_worker FF by default](gitlab-org/gitlab@d04a006d125f94b34c7eef4f6b85a37292bc7500) ([merge request](gitlab-org/gitlab!82975))
- [Add deployment approval comment field](gitlab-org/gitlab@5dfb9cabb2d2aee7eff447e34021c8b7ca24eed4) ([merge request](gitlab-org/gitlab!82743)) **GitLab Enterprise Edition**
- [Support iteration property for issues api](gitlab-org/gitlab@406a79a51c6dc35cd8207a7426a8582cd20ecfc4) ([merge request](gitlab-org/gitlab!82813)) **GitLab Enterprise Edition**
- [Filter archived issues / MRs from GraphQL](gitlab-org/gitlab@a7fde3da984bc52b887203fa57998c93f9c6fc5f) ([merge request](gitlab-org/gitlab!82673))
- [Purge `security_findings` records periodically](gitlab-org/gitlab@9cee0b65a405f4510fd5a77c2dcdcaf4ad95e003) ([merge request](gitlab-org/gitlab!81423)) **GitLab Enterprise Edition**
- [Upgrade GitLab Pages to 1.56.0](gitlab-org/gitlab@891adfa4d15e31f0d6087a6d22644cb9a06fe3e2) ([merge request](gitlab-org/gitlab!82901))
- [Stream audit event on merge request approval](gitlab-org/gitlab@39d59e2adbb92572ef077918773a9110d7924e1a) ([merge request](gitlab-org/gitlab!82471)) **GitLab Enterprise Edition**
- [Use batches for pull request import jobs](gitlab-org/gitlab@b5507c4df013a527266cb0e7914a1d525e2f30eb) ([merge request](gitlab-org/gitlab!82891))
- [Verify protected tags permissions for pull mirroring](gitlab-org/gitlab@b96fe042b134448a40e6be71dc438d74133920aa) ([merge request](gitlab-org/gitlab!82890))
- [Document how to use CI `dependencies` and `parallel:matrix` together](gitlab-org/gitlab@681db1577821d9ed4612d2d060a3413aa4ea883b) ([merge request](gitlab-org/gitlab!82734))
- [Add security training urls](gitlab-org/gitlab@942e93418c6aae0f85afd991e4cbc7a659521fba) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82442)) **GitLab Enterprise Edition**
- [Add `Enterprise` filter to members search bar](gitlab-org/gitlab@4f1b22da7fdeecd89130954a268ba8cae585f317) ([merge request](gitlab-org/gitlab!82059)) **GitLab Enterprise Edition**
- [Add VulnerabilityReadsFinder to speed up API responses](gitlab-org/gitlab@cf39e3350372fb806e6528a63a7ec7898c83049b) ([merge request](gitlab-org/gitlab!76220)) **GitLab Enterprise Edition**
- [Copy metric images from alert to new incident](gitlab-org/gitlab@5f62b91fa1eb6e4ba593f46bdc8caf34eecc9c76) ([merge request](gitlab-org/gitlab!79703)) **GitLab Enterprise Edition**
- [Expose UserInteractions for participants of a merge request](gitlab-org/gitlab@c0bcfde737e0e3a4c39f36234157e8103ef86cca) ([merge request](gitlab-org/gitlab!82257))
- [Remove wiki_front_matter FF](gitlab-org/gitlab@8045da7944102e54bb172a5ef3c5a8088459c360) ([merge request](gitlab-org/gitlab!81833))
- [Add default branch to Pipelines page filter if no search term provided](gitlab-org/gitlab@039b1145c3e477899681aeba7a27600cad9d45d5) ([merge request](gitlab-org/gitlab!82245))
- [Creates asynchronously index on ci_job_artifacts table](gitlab-org/gitlab@88112e32fff550f742e334bc5c19c4cbc947800e) ([merge request](gitlab-org/gitlab!82585))
- [GraphQL: Add notificationEmail to GroupMembers](gitlab-org/gitlab@0068380ce0105d50afb5fa419d9c90478f3132a9) ([merge request](gitlab-org/gitlab!81954))
- [Add external status checks total to ping](gitlab-org/gitlab@0f9770573a9aba52ab3ba94c09315a5f498728f3) ([merge request](gitlab-org/gitlab!82416)) **GitLab Enterprise Edition**
- [Add CAPTCHA to REST API](gitlab-org/gitlab@dc9fb467df0c59c9632525e8753aab12a8d91457) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80793))
- [Implement GET APIs for Deploy Tokens](gitlab-org/gitlab@fd6c86aa82c162720cca29c12ac8e33d55a5f8c0) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82467))
- [Add namespace to Security Policy Orchestration Configuration](gitlab-org/gitlab@b77aefa62c7aac43d50d29de3adeb227760615ae) ([merge request](gitlab-org/gitlab!82013)) **GitLab Enterprise Edition**
- [Add deployment approval UI MVC](gitlab-org/gitlab@d39dff988a3efa1a082afe0ebec5be6bf6fd4939) ([merge request](gitlab-org/gitlab!80759)) **GitLab Enterprise Edition**
- [Add support for failure status status checks](gitlab-org/gitlab@37bc22744f7ecc3b6b8c3cee74ad7e45aea04b58) ([merge request](gitlab-org/gitlab!81005)) **GitLab Enterprise Edition**
- [Allow to list related epics on REST API](gitlab-org/gitlab@92d9f4329badbcc7f7db24184ae63db0d756e172) ([merge request](gitlab-org/gitlab!82332)) **GitLab Enterprise Edition**
- [Add `coverage_report` keyword to CI config](gitlab-org/gitlab@eae7dfc843783e270607d71c6db0c1ab6a52a8d1) ([merge request](gitlab-org/gitlab!81378))
- [Add audit logs when unassigning CI runner from a project](gitlab-org/gitlab@25f9eb27389dcec34f8b1b2b2003eee6c15b07d9) ([merge request](gitlab-org/gitlab!81540)) **GitLab Enterprise Edition**
- [Permalink to the latest release](gitlab-org/gitlab@4305f93ea5ba859bf4154d70dcdc83632deef2a8) ([merge request](gitlab-org/gitlab!78679))
- [Allow the /merge quick action through graphql create note](gitlab-org/gitlab@a201e850fee679ad2bc28858daf00755f87cef5a) ([merge request](gitlab-org/gitlab!82248))
- [Add projects with status checks to ping](gitlab-org/gitlab@d16eca98fa26b3bb065a2a2154b2249d41860fd8) ([merge request](gitlab-org/gitlab!82427)) **GitLab Enterprise Edition**
- [Add security training providers](gitlab-org/gitlab@562d3ab8e8cbbcc3dd2688727030052011d1954d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/81104))
- [Add OpenSSL FIPS mode detection and env var](gitlab-org/gitlab@f3172799557172ca414cb17459e629e59e2e069c) ([merge request](gitlab-org/gitlab!82004))
- [Support Vault EE namespaces](gitlab-org/gitlab@86894deb6653ddd44111401b63107f4df7f0195a) by @aleksanderzak ([merge request](gitlab-org/gitlab!80590))
- [Add free user cap feature flag and controls](gitlab-org/gitlab@7b7114d8870dccfb74163162c3757c51da1a4df5) ([merge request](gitlab-org/gitlab!80518)) **GitLab Enterprise Edition**
- [Add support stackprof in GitLab profiler](gitlab-org/gitlab@4c42d3ac32dc3cde4b485952e4fca03de86d20a5) ([merge request](gitlab-org/gitlab!82249))
- [Include invited groups into protected environments API](gitlab-org/gitlab@6f73dec2a64989a23d24ac85a2a701a90e9067bc) ([merge request](gitlab-org/gitlab!81029)) **GitLab Enterprise Edition**
- [Add wiki page render option to wiki API](gitlab-org/gitlab@be93a263833ff42abd8b09313a6857fb83e8dcad) ([merge request](gitlab-org/gitlab!81134))
- [Remove rate_limit_user_sign_up_endpoint feature flag](gitlab-org/gitlab@2a506163fd32fc5bf4efc5273930b76f2919dd1e) ([merge request](gitlab-org/gitlab!82092))
- [Expose committers on mergeRequest GraphQL type](gitlab-org/gitlab@627a989aef6a44bc7e3c1538d276d5b115db7d33) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79965))
- [Add backend interface to look up for security training](gitlab-org/gitlab@72812ce313a47e5385e58b4b008b7427a0fe716e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/81861)) **GitLab Enterprise Edition**
- [Show security report warnings on pipeline security tab](gitlab-org/gitlab@22e8a70f7e573b39834384156efea65187b37a70) ([merge request](gitlab-org/gitlab!80934)) **GitLab Enterprise Edition**
- [Allow to destroy related epics association on internal API](gitlab-org/gitlab@c4dab676900eccc30c466c45dea6d154ff91a93c) ([merge request](gitlab-org/gitlab!82035)) **GitLab Enterprise Edition**
- [Add frontend routing to Geo GraphQL specific sites](gitlab-org/gitlab@cbf0218b10d37af4a3c54b7358649e484a444805) ([merge request](gitlab-org/gitlab!80106)) **GitLab Enterprise Edition**
- [Add audit logs when assigning CI runner to project](gitlab-org/gitlab@13f562bbde2e5335584d7ac235270a3f4d0e63ea) ([merge request](gitlab-org/gitlab!81508)) **GitLab Enterprise Edition**
- [Merge/squash commit templates: add %{all_commits} variable](gitlab-org/gitlab@ceb64735cbac1fc5b5a176efafd789817cdeb34a) by @trakos ([merge request](gitlab-org/gitlab!81097))
- [Add size to image details heade](gitlab-org/gitlab@6d9d013cd88e7a4e1f0d775c1d432293d58e4afd) ([merge request](gitlab-org/gitlab!82114))
- [Feat(Licesing): update upload to activate](gitlab-org/gitlab@36b4b17e98ad066038b89097e23dfd00d9423d3d) ([merge request](gitlab-org/gitlab!80904)) **GitLab Enterprise Edition**
- [Send a notification when a new access token is created](gitlab-org/gitlab@8c1d3e4a7b9242ec7cabd5392ee9be0719d65fd1) by @rpadovani ([merge request](gitlab-org/gitlab!81340))
- [Add audit event for project deploy tokens](gitlab-org/gitlab@7ab7ea0d89ccd8446d864f6a5d3f4826100aed76) ([merge request](gitlab-org/gitlab!81829)) **GitLab Enterprise Edition**
- [Add audit event for group deploy tokens](gitlab-org/gitlab@eea536482d3c7b2a03baafc7ce51265ee77aff1e) ([merge request](gitlab-org/gitlab!82251)) **GitLab Enterprise Edition**
- [Add suggestion to use short-living tokens to end-users](gitlab-org/gitlab@ee2e5fd4f7f95e5426aac04e1f70a9bf652f93f9) ([merge request](gitlab-org/gitlab!81323))
- [Add comment to Deployment Approvals](gitlab-org/gitlab@31f63645ff9603ac6c1e2b282576d1daa41173f7) ([merge request](gitlab-org/gitlab!82142)) **GitLab Enterprise Edition**
- [Parse pasted markdown](gitlab-org/gitlab@42449f07567d06c41d39378036a759ba58415d05) ([merge request](gitlab-org/gitlab!78394))
- [Remove rate_limit_user_by_id_endpoint feature flag](gitlab-org/gitlab@37c0084c0a4d745e00206da6fca9c16fbc1110bf) ([merge request](gitlab-org/gitlab!82108))
- [Remove rate_limit_username_exists_endpoint feature flag](gitlab-org/gitlab@6c018f2133b0372ff6e79d4a6a60cfcea80e2d14) ([merge request](gitlab-org/gitlab!82105))
- [Remove rate_limit_profile_update_username feature flag](gitlab-org/gitlab@cf9f96bc79cf8532cb405c259030b61fde53b0ee) ([merge request](gitlab-org/gitlab!82095))
- [Expose sum of weights for epic board lists on GraphQL endpoint](gitlab-org/gitlab@32b10dfbaeea605c6ab2f726650f1034693ad465) ([merge request](gitlab-org/gitlab!76440)) **GitLab Enterprise Edition**
- [Add security scan status to GraphQL API](gitlab-org/gitlab@c1ecdd58a472608760235927b2e6f34c5ab0657b) ([merge request](gitlab-org/gitlab!81305)) **GitLab Enterprise Edition**
- [Add saved replies](gitlab-org/gitlab@832f32cc313dcdec9dbf95242213af7c1f37ce76) ([merge request](gitlab-org/gitlab!80807))
- [Backfill all project namespaces](gitlab-org/gitlab@6a08c2b64f98d8f9a19f2f215813da38fb7a3401) ([merge request](gitlab-org/gitlab!77371))
- [Implement API endpoint to get single SSH key for specific user](gitlab-org/gitlab@9e64387c0e3fafce54ff43c212443c9a195c99bc) by @tuxtimo ([merge request](gitlab-org/gitlab!81790))
- [Add job_variables_attributes to play build API](gitlab-org/gitlab@b669e48a4b8e23f1913d93e738386011f478057d) ([merge request](gitlab-org/gitlab!81317))
- [Use fair queueing for Loose Foreign Keys](gitlab-org/gitlab@9738b0324e251e058fdccd3bb4ece57dbeac1479) ([merge request](gitlab-org/gitlab!81888))
- [Add application setting for cleanup policy caching](gitlab-org/gitlab@d0c1b163f8d2ef90e97a40f6b38a789696b5171c) ([merge request](gitlab-org/gitlab!80902))
- [Add GraphQL Todoable interface for to-do targets](gitlab-org/gitlab@4539cd906e27969dadcc9661d97dd60f73bc9cc5) by @KevSlashNull ([merge request](gitlab-org/gitlab!73603))
- [Add circuit breaker for gitlab experimentation](gitlab-org/gitlab@54056a316d1c67bcadc82e1a7ea2dfc579cd6c0a) ([merge request](gitlab-org/gitlab!81834))
- [Add delete endpoint for Alert metric images](gitlab-org/gitlab@9226d47f7c50a39bddf1b8850550dfd5a4291254) ([merge request](gitlab-org/gitlab!81107)) **GitLab Enterprise Edition**
- [Enable Loose Foreign Keys partition rotation](gitlab-org/gitlab@a424373c2557314bd1f6aac893e2c11a3fddc2b4) ([merge request](gitlab-org/gitlab!81793))
- [Add scan method to dast site profile GraphQL API](gitlab-org/gitlab@40fa9ce8d12b026d830cf914fa5478e533e7aceb) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78745)) **GitLab Enterprise Edition**
- [Filter a pipeline by author](gitlab-org/gitlab@d704138cb32a10b2cf078d9f2bd66922bbbaf6c2) by @genctys ([merge request](gitlab-org/gitlab!79470))
- [Allow to pass suggestedColors to ColorPicker](gitlab-org/gitlab@55babfe9fb03831c83dc5128efe3f635f65b87ff) by @wwwjon ([merge request](gitlab-org/gitlab!81604))
- [Add security_and_compliance_access_level to Projects API](gitlab-org/gitlab@2bd37b450c9027e3eff7451f309d5a2d45458736) by @ytans ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/81086))
- [Add user and system note filters to note_authors association](gitlab-org/gitlab@fcea425c2849e574d9dfac3efd3a5c1ff99c33b9) ([merge request](gitlab-org/gitlab!81436))
- [Add analytics to detect deployment jobs being executed](gitlab-org/gitlab@95dd6e9eff1767ec6ffe8f7a59a04ab7d7889573) ([merge request](gitlab-org/gitlab!79272))
- [Add filters and sorting to compliance violations GraphQL type](gitlab-org/gitlab@bf343e65f31ada9cd2d8249e0574e1f2f15a149f) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78681)) **GitLab Enterprise Edition**
- [Add encoding field to wiki API](gitlab-org/gitlab@05fd6cb19ed2dd7dade727d36eca0349948db16b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/81150))
- [Add ingestion for Finding Evidence](gitlab-org/gitlab@855b613c0f62e6cfa67814c293151919663318d0) ([merge request](gitlab-org/gitlab!75287)) **GitLab Enterprise Edition**
- [Feat(Licensing): add Offline cloud type](gitlab-org/gitlab@aa32508aede618cc48540a162d0f00df8cc1ae9e) ([merge request](gitlab-org/gitlab!80833)) **GitLab Enterprise Edition**
- [Add webhook delivery method options to config/mail_room.yml](gitlab-org/gitlab@43165dd6bdd66f89bc4d4db5373f67ccb1254f04) ([merge request](gitlab-org/gitlab!80832))
- [Improve strikethrough in Markdown editor](gitlab-org/gitlab@103a129e63677818ffc9c3c0eac160c9c3f564aa) by @smokris ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/81092))
- [Created compliance violation GraphQL type and added to Group type](gitlab-org/gitlab@7e69ac7f6f90209e364b5c46a4c927857b36013e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80995)) **GitLab Enterprise Edition**
- [Implement colour attribute for epics](gitlab-org/gitlab@c428bacd9c61ab4387423586253d8f1a7ca5744c) by @espadav8 ([merge request](gitlab-org/gitlab!79940))
- [Add basic FIPS class](gitlab-org/gitlab@360940b1e162c7b10e18de46bade2a81b80629ae) ([merge request](gitlab-org/gitlab!81418))
- [Add Dark Mode support to the image_tag helper](gitlab-org/gitlab@c6fde03a5158a9f42d8c00082766c767f22a5551) ([merge request](gitlab-org/gitlab!81219))
- [Add upload & update endpoints for alert metrics](gitlab-org/gitlab@829f9695ae7ded05c276f9ae3b6f6d3ea6fc3c53) ([merge request](gitlab-org/gitlab!80982)) **GitLab Enterprise Edition**
- [API: Add endpoint to reset runner token with old token](gitlab-org/gitlab@f027a6f2f1db7c91e2823f3400892b730ecc0a67) by @KyleFromKitware ([merge request](gitlab-org/gitlab!74336))
- [Added updated_state_by_user to reviewers and assignees](gitlab-org/gitlab@d2cacb034a5b21ce02a1441905bc54aa9869ca3c) ([merge request](gitlab-org/gitlab!75927))
- [Swapable cleaner/raw diffs for Notebooks](gitlab-org/gitlab@4677ac06d61e19f0f64a6b0559df72f809996b7f) ([merge request](gitlab-org/gitlab!75500))
- [Upgrade GitLab Pages to 1.55.0](gitlab-org/gitlab@e2cde448a6180d2bb91900c2ce3aa7a0d1dfc14f) ([merge request](gitlab-org/gitlab!81261))
- [Enable pending builds table queuing strategy](gitlab-org/gitlab@65e3bb48e1dd06235ef435f8318ca1787053831a) ([merge request](gitlab-org/gitlab!81238))
- [Add a timeline event pipeline filter to TimelineEvent](gitlab-org/gitlab@a9fb9fdc81d6ddc2c9fe231d80b2fecb32ccebcc) ([merge request](gitlab-org/gitlab!79852)) **GitLab Enterprise Edition**
- [Add read API for Alert Metric Images](gitlab-org/gitlab@8adf04476edf0895406e0b3a3c9e0d75a0b083bd) ([merge request](gitlab-org/gitlab!80442)) **GitLab Enterprise Edition**
- [Support scoped iteration report](gitlab-org/gitlab@5267e55682c71ff60ad818a54123d53d868b7313) ([merge request](gitlab-org/gitlab!81216)) **GitLab Enterprise Edition**
- [Add mutation to promote timeline event from a note](gitlab-org/gitlab@72201bf665c68b0c1bd864068d5cd387eec50f5b) ([merge request](gitlab-org/gitlab!80633)) **GitLab Enterprise Edition**
- [Add active and passive profiles](gitlab-org/gitlab@7907d2f76d4cb7274fbf4e6252a938e9d5cc17a2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78492)) **GitLab Enterprise Edition**
- [Support scoping for timebox report via GraphQL](gitlab-org/gitlab@00c656261a7bbb23913947366be3aab7641d4083) ([merge request](gitlab-org/gitlab!79327)) **GitLab Enterprise Edition**
- [Add aggregated VSA consistency check service](gitlab-org/gitlab@19fecb63b6492ca434199ada710c619b6d973689) ([merge request](gitlab-org/gitlab!79942))
- [Return runner editUrl via GraphQL API](gitlab-org/gitlab@4f27ed7c775586a2618f9b301343262406c0f8c9) ([merge request](gitlab-org/gitlab!80926))
- [Add the total time chart to each VSA stage](gitlab-org/gitlab@9c048ea7b6b8034f9ade0209eb69553a1aee5a01) ([merge request](gitlab-org/gitlab!80255)) **GitLab Enterprise Edition**
- [Workhorse: Allow HTTPS for backends](gitlab-org/gitlab@24fbcde50729bd9a58634b0aceb5d3756e5d3302) ([merge request](gitlab-org/gitlab!81061))
- [Adds cross_project_pipeline_available  to NamespaceType](gitlab-org/gitlab@bf83faf50fea5b43af2b627f5aee86a5dfb5389e) ([merge request](gitlab-org/gitlab!80381))
- [Add readme in repo creation for reg flow](gitlab-org/gitlab@d51b0c899f14c5ea2fdbb0387f9311d2de8753f4) ([merge request](gitlab-org/gitlab!79770)) **GitLab Enterprise Edition**
- [Hide markdown preview tab if editing non-markdown formats](gitlab-org/gitlab@596d3f204316790ea2ac19a11be0a0b14ceeaa34) by @espadav8 ([merge request](gitlab-org/gitlab!80178))
- [Log CI runner unregistration audit events](gitlab-org/gitlab@aa9612f1bb8ea820a7490e80290ce2bc77a05200) ([merge request](gitlab-org/gitlab!79754)) **GitLab Enterprise Edition**
- [Add a consolidated button to edit blobs](gitlab-org/gitlab@02314fd77728f731dc55b22033fa6c8a5b766613) ([merge request](gitlab-org/gitlab!80715))
- [Calculate storage statistics for dependency proxy](gitlab-org/gitlab@b8c1f4d851aa72ed144bed44fc233dde43e1be4a) ([merge request](gitlab-org/gitlab!79358))
- [Latest release badge documentation inclusion](gitlab-org/gitlab@8572186d5a8b192edf218bb2c266a1d0fc0adbf8) ([merge request](gitlab-org/gitlab!80897))
- [Add slash command to page incident](gitlab-org/gitlab@f0a8c6f5c5f1835dd8ec97de9fb72156e947cde2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79977)) **GitLab Enterprise Edition**
- [Expose container repository sizes](gitlab-org/gitlab@d964a1d7acaf7a851d9ffeac5cf4373ccc52fde9) ([merge request](gitlab-org/gitlab!80412))
- [Create RelatedEpic table and model](gitlab-org/gitlab@f2a49bb242f103503011bad7c8acfb77375298ff) ([merge request](gitlab-org/gitlab!80499))

### Fixed (132 changes)

- [Cleaned up clusters_helper and cluster index haml](gitlab-org/gitlab@02e3bcc76b763124ce50ce869978e1011ffd43bd) ([merge request](gitlab-org/gitlab!82637))
- [Update holder name column to 50 limit constraint](gitlab-org/gitlab@5901bc8701c3bb2ca6f7fc21487013d59302a517) ([merge request](gitlab-org/gitlab!82587))
- [Improve wording for vulnerabilities_allowed](gitlab-org/gitlab@d4242b41a8668fa0da779a5addba281cebd9be7e) ([merge request](gitlab-org/gitlab!82742)) **GitLab Enterprise Edition**
- [Add missing input box for search rate limiting configuration](gitlab-org/gitlab@635d4811cc2613b5299ffc96bf27725c935faa1b) ([merge request](gitlab-org/gitlab!82944))
- [Handle Jira Connect installation updates](gitlab-org/gitlab@19722d41355992ee56a3f045f70b93b957249658) ([merge request](gitlab-org/gitlab!83038))
- [Return a 422 error for Changelog::Error exception](gitlab-org/gitlab@896a7c1de30abb1329d4e6bcb92ceebad6317632) ([merge request](gitlab-org/gitlab!80850))
- [Fix empty state pipelines page](gitlab-org/gitlab@a638ee1aa98d05b2cc5d63c19a4aff8061c1f609) ([merge request](gitlab-org/gitlab!83030))
- [Update attribute indirection](gitlab-org/gitlab@9bf63a5b2bab3d8c93a967a13348bc9853870fa9) ([merge request](gitlab-org/gitlab!82932)) **GitLab Enterprise Edition**
- [Fixed incorrect minimum number of users on subscription purchase flow](gitlab-org/gitlab@db461b03c91a6c6a8f32724dff19cb74933572ad) ([merge request](gitlab-org/gitlab!82480)) **GitLab Enterprise Edition**
- [Refactor remove topic avatar](gitlab-org/gitlab@136b739fcc5b04ed76f4c94d2305c77af0cc8ba5) ([merge request](gitlab-org/gitlab!82894))
- [Fix default Ci config path](gitlab-org/gitlab@03dd150afcb7353fd4d4903a9ca59705b2b109d9) ([merge request](gitlab-org/gitlab!82827))
- [Fix ci.json: Remove Nesting from Secrets Rule](gitlab-org/gitlab@ee33d4da70cc300335192cdaaca3a20260d4cca3) ([merge request](gitlab-org/gitlab!82484))
- [Fix DevopsAdoption usage metric gathering](gitlab-org/gitlab@47676bd58f6463bcb265ead7eaf737fb921d5c66) ([merge request](gitlab-org/gitlab!82904)) **GitLab Enterprise Edition**
- [Fix Epic and Label != filtered search suggestions not showing](gitlab-org/gitlab@c9b18202657080149c72fc317be64dfe10f11ca1) ([merge request](gitlab-org/gitlab!82814))
- [Handle recursion when creating ApplicationSettings](gitlab-org/gitlab@4b59d55ada4b0212e2aece9f3c52ec9281739ebf) ([merge request](gitlab-org/gitlab!82930))
- [Fall back to avaiable scope if scope is invalid](gitlab-org/gitlab@b9da1851edf685a39e58c6b5bfbd6a169cad1378) ([merge request](gitlab-org/gitlab!82847))
- [Fix sourcegraph breaking on projects/:id](gitlab-org/gitlab@248ab5c8b02e3e21a1a206b4032653afbb065c90) ([merge request](gitlab-org/gitlab!82447))
- [Find or initialize Scanners using project_id](gitlab-org/gitlab@8090f3da0944805673ac8189c3fcfe43591573cc) ([merge request](gitlab-org/gitlab!82923)) **GitLab Enterprise Edition**
- [Add responsive property to area charts in CI minutes](gitlab-org/gitlab@a97e275af9ba3405862792ad1ab252e5fe980b98) ([merge request](gitlab-org/gitlab!82741)) **GitLab Enterprise Edition**
- [Additional spec to capture bug in latest release permalink and fix same](gitlab-org/gitlab@f9f9f8300d8565e4315bb4c0cb4d54dccf522d60) ([merge request](gitlab-org/gitlab!82896))
- [Global Search - Fix ref based searches](gitlab-org/gitlab@08e0800ee2cc9ee85709f1689b212b4d028cd822) ([merge request](gitlab-org/gitlab!80857))
- [Remove duplicate new cluster button](gitlab-org/gitlab@e43022603d6c7bb7243d7444816c8cb190559192) ([merge request](gitlab-org/gitlab!82654))
- [Increase token preview length in runner audit logs](gitlab-org/gitlab@68acf3dbd2705bc8a640643a97254e25c6059316) ([merge request](gitlab-org/gitlab!82523)) **GitLab Enterprise Edition**
- [Fix unexpected height stretch of CI job duration badge](gitlab-org/gitlab@0b9adf4ae7c163bf0ab691306e4f068562231b66) by @nanmu42 ([merge request](gitlab-org/gitlab!82670))
- [Allow setting push events branch filter for group hooks](gitlab-org/gitlab@9f3ad7d9753a989ad5b532ffd947687b6c647eef) ([merge request](gitlab-org/gitlab!82531)) **GitLab Enterprise Edition**
- [Support CRM contacts only in root groups](gitlab-org/gitlab@227c3221888c925d21d8a7d17f8d552384e07e1d) by @leetickett ([merge request](gitlab-org/gitlab!78959))
- [UI Bug Fix: Expand the early checks when using /merge quick action](gitlab-org/gitlab@513a636c4327658243c64e1380babb565f8259d9) ([merge request](gitlab-org/gitlab!82170)) **GitLab Enterprise Edition**
- [Fix an inaccurate help page link](gitlab-org/gitlab@4cbaffb4f06699ba295af31a4c0d7a11d5a71d30) ([merge request](gitlab-org/gitlab!82147))
- [Add validation for rule/yaml modes switch](gitlab-org/gitlab@1a87f7fbe9544c9bd17abc82fa3f84acfa2a95cd) ([merge request](gitlab-org/gitlab!82451)) **GitLab Enterprise Edition**
- [Fix namespace usage quotas storage pagination](gitlab-org/gitlab@bd5c66fcfa06c7ebd74937efea3b14cb339d9082) ([merge request](gitlab-org/gitlab!80752))
- [Replace applications destroy alert with GlModal](gitlab-org/gitlab@6b4cd07d9724821d20c8e546926703ad97030394) ([merge request](gitlab-org/gitlab!80799))
- [Don't allow filtering by `in` alone on issue/MR dashboard](gitlab-org/gitlab@138f3d1a76ab05f9e73db667eafd3e94bbe70e19) ([merge request](gitlab-org/gitlab!82664))
- [Allow invite group modal to render when membership is locked](gitlab-org/gitlab@8d2ebd4d78459c48cf95a6b597886aaf0756e9e5) ([merge request](gitlab-org/gitlab!82636)) **GitLab Enterprise Edition**
- [Scan MR description when syncing builds with Jira](gitlab-org/gitlab@9db551e82528eaac1645f2acc7561441473b4c17) ([merge request](gitlab-org/gitlab!82204))
- [Set resoure_iteration_events to ghost user](gitlab-org/gitlab@004f78ac56a0f3a4303f6b93fc44059902c5343a) ([merge request](gitlab-org/gitlab!82060)) **GitLab Enterprise Edition**
- [Update BulkImports Export to handle unexpected failure](gitlab-org/gitlab@3fba81a5bf6cc47722a5d8f2e63b4026b81a4d30) ([merge request](gitlab-org/gitlab!82221))
- [Fix UsageDataQueries API not returning a query](gitlab-org/gitlab@7467adf89b4f5ef47eb9054a40e19b3de1eb7117) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/81823)) **GitLab Enterprise Edition**
- [Fixed user cap evaluation for all OAuth login](gitlab-org/gitlab@0938f9f1c9b5a19cf107aa9e198505dc8cfb9fd2) ([merge request](gitlab-org/gitlab!81272)) **GitLab Enterprise Edition**
- [Fix retrying of batched background migrations](gitlab-org/gitlab@80c517ffc5f2a9724e2614d70f1540a95718955f) ([merge request](gitlab-org/gitlab!82387))
- [Allow merge commits for SD](gitlab-org/gitlab@ce04cea13b325aa7f0399b721f96842d93bb0ea0) ([merge request](gitlab-org/gitlab!82546))
- [Fix startup crash in Puma single mode](gitlab-org/gitlab@076ac5bba2eda70f13bccd892549f40a6e09d380) ([merge request](gitlab-org/gitlab!81983))
- [Decouple policy name update from yaml/rule modes](gitlab-org/gitlab@b98c6a483022199e8f3927726bca893c79ac72c6) ([merge request](gitlab-org/gitlab!82337)) **GitLab Enterprise Edition**
- [Poll folder for changes in new environments page](gitlab-org/gitlab@0ac66e447cb52f0228d67fbf58dda419f4b01fda) ([merge request](gitlab-org/gitlab!81043))
- [Remove empty approvers in regards to](gitlab-org/gitlab@7b9b2ddc71543f932750279bb8c052fb5614dc3a) ([merge request](gitlab-org/gitlab!82338)) **GitLab Enterprise Edition**
- [Check authorization to view billableMembersCount](gitlab-org/gitlab@1a23f5e64e33527163dcb5e5b546a9f30108ced5) ([merge request](gitlab-org/gitlab!82479)) **GitLab Enterprise Edition**
- [Refactor repo deletion existence checking](gitlab-org/gitlab@86e7d744aa5cd08a9e8312b4c464ac19bcb20fa6) ([merge request](gitlab-org/gitlab!81799))
- [Make hr in markdown visible in darkmode](gitlab-org/gitlab@78d9d3c983e670f6832916e1749ce3e2fb7cbc99) by @dianapaula19 ([merge request](gitlab-org/gitlab!81559))
- [Fix filters presence check to take value into consideration](gitlab-org/gitlab@1b9dbdc99817b0dc7a516fcf46c1bf9b18e0b539) ([merge request](gitlab-org/gitlab!82462))
- [Param requires_python is optional for pypi](gitlab-org/gitlab@22a7e20d06e2ab32bf3c947763ea8b1fa03a1417) ([merge request](gitlab-org/gitlab!81946))
- [Ensure that the spaces between frontmatter are kept](gitlab-org/gitlab@aa1c697b288e4205301f0d3e7dec04533cba49f0) by @tchandelle ([merge request](gitlab-org/gitlab!81470))
- [Fix sourcemap recovery error in Content Editor](gitlab-org/gitlab@2e46ff7fa3332bec0fc7a7f9053904b34762bf89) ([merge request](gitlab-org/gitlab!82040))
- [Users who can read group should read group token](gitlab-org/gitlab@7fa729107e73f0a80de96afbd356372a36ce06a0) ([merge request](gitlab-org/gitlab!81843))
- [Fix bot token name in issues](gitlab-org/gitlab@86a01c368b981ac8848f211a90b9d479e79985e7) ([merge request](gitlab-org/gitlab!81843))
- [Allow inherited members of groups to deploy protected environments](gitlab-org/gitlab@decab235e844088309bdefbd8d2fbddbe61cb90b) ([merge request](gitlab-org/gitlab!82415))
- [Update group bulk edit issues user docs](gitlab-org/gitlab@eb943abc5618acedd482edc31da655b5a2e72831) ([merge request](gitlab-org/gitlab!82406))
- [Fix variable in _prometheus.html.haml so it shows as a code block](gitlab-org/gitlab@3c8716d9c4e0edd10b808837934a0fe0a0f8b1f0) ([merge request](gitlab-org/gitlab!82395))
- [Project settings: fix semi-linear merge description](gitlab-org/gitlab@7e2b13257ec62cb41324c3c0835f7a201f897a9f) by @trakos ([merge request](gitlab-org/gitlab!82261))
- [Fix rake task to seed Geo tracking database](gitlab-org/gitlab@7b55621331c7c42b9bf460a9e83ada9a908db714) ([merge request](gitlab-org/gitlab!82340)) **GitLab Enterprise Edition**
- [Fix remove button overlap with other components](gitlab-org/gitlab@4974a54bb041930f9b7a8c5fc1124d87abdf1519) ([merge request](gitlab-org/gitlab!82346)) **GitLab Enterprise Edition**
- [Include merge-requests in RESERVED_REFS_NAMES](gitlab-org/gitlab@f610f865f1dd92f0408c12d9a97590f5f9892744) ([merge request](gitlab-org/gitlab!82326))
- [Pass issue ID to merge request creation form](gitlab-org/gitlab@1e72978788cc1a439c54c070f2f64101b642957b) ([merge request](gitlab-org/gitlab!81886))
- [Apply omniauth defaults when no arguments are given](gitlab-org/gitlab@07fba40d80f502ac1aa7adaa99e8dcbac603dccc) ([merge request](gitlab-org/gitlab!81752))
- [Fix `Verify SAML Configuration` button](gitlab-org/gitlab@910f9a47af94165c587d19c83e55ca97df2316ac) ([merge request](gitlab-org/gitlab!80978)) **GitLab Enterprise Edition**
- [Replace success variant with the confirm](gitlab-org/gitlab@0b3828cdbd96a4a2159ef1f95abf257dac16f9c3) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82207)) **GitLab Enterprise Edition**
- [Modify Union sql construction](gitlab-org/gitlab@5ca65cb8298ab3627a4f014105dcae660b267832) ([merge request](gitlab-org/gitlab!82077))
- [Restart Action Cable server when Redis disconnects](gitlab-org/gitlab@12b8a5635b97629ccab4ac6529747e418e975c42) ([merge request](gitlab-org/gitlab!80822))
- [Cache namespace first Auto DevOps config](gitlab-org/gitlab@9579939d83b350e06129b4501dc87e944a32bc07) ([merge request](gitlab-org/gitlab!80937))
- [Global Search - Header Search Snippets](gitlab-org/gitlab@2e9739f18020efa33a5bec6b2e818b5c120c67de) ([merge request](gitlab-org/gitlab!80844))
- [Fix NoMethodError when visiting repo analytics](gitlab-org/gitlab@afcedad0eaca6cfb3a3878e24af3c9d488286b3b) ([merge request](gitlab-org/gitlab!81988)) **GitLab Enterprise Edition**
- [Skip navigation modal for cancel button](gitlab-org/gitlab@554492fd1323a1da69f890828a2db167be777efb) ([merge request](gitlab-org/gitlab!81516))
- [Handle not existing training ID for securityTrainingUpdate mutation](gitlab-org/gitlab@af4ec86a05cbef3991af0c787177b7ff204d54c7) ([merge request](gitlab-org/gitlab!81023)) **GitLab Enterprise Edition**
- [Fix VSA error with scoped labels](gitlab-org/gitlab@565294145c7b2864fdc169e383973e85ee42938e) ([merge request](gitlab-org/gitlab!82083)) **GitLab Enterprise Edition**
- [Fix markdown serialization in content editor](gitlab-org/gitlab@b9713c00a9bf76fb1eebc22b5a57a629063fc7ad) ([merge request](gitlab-org/gitlab!81849))
- [Fix the month view on CI usage by minutes bar chart](gitlab-org/gitlab@c45a93a7654eb2473b3557a3a8f075763084c69e) by @parkourkarthik ([merge request](gitlab-org/gitlab!81185))
- [Hard delete bulk snippets](gitlab-org/gitlab@2e739ceeac54f28092b9520aa7022e51f6359c1f) ([merge request](gitlab-org/gitlab!82020))
- [Allow popups and links within mermaid diagrams](gitlab-org/gitlab@2dd16c32ddde176ee6dda228cd88f4df770b01b7) ([merge request](gitlab-org/gitlab!82012))
- [Fixed bug preventing agent creation from agent tab](gitlab-org/gitlab@bfb1a0030de1724b75fcd5b5bf085524ee802029) ([merge request](gitlab-org/gitlab!81071))
- [Prevent database deadlocks when deleting projects](gitlab-org/gitlab@b8c771578a6592f698cef25a8770ea3539f3f18b) ([merge request](gitlab-org/gitlab!81266))
- [Fix mermaid background in dark mode](gitlab-org/gitlab@68cb78b22268fada1f9f2a8c96793dd347130612) ([merge request](gitlab-org/gitlab!81865))
- [Change Edit to Open in Blob view to maintain consistency](gitlab-org/gitlab@a02c14952dc6069a5ff8e6be395318f15cfbcf26) by @rajanamistry ([merge request](gitlab-org/gitlab!81759))
- [Fix loading spinner for legacy Filtered search dropdown](gitlab-org/gitlab@ebf450dac0b54bffb836bf9afcf7a4ab9520bad2) ([merge request](gitlab-org/gitlab!81953))
- [Replace RegistrySearch component with  PersistedSearch](gitlab-org/gitlab@ec1ee3e62af68ff5d2bdc992b1a2756d4ede261a) by @orozot ([merge request](gitlab-org/gitlab!80994))
- [Fix sending BlobContent query with empty variables](gitlab-org/gitlab@91a808af620b1d6101312e19a83b7740ec648952) ([merge request](gitlab-org/gitlab!81156))
- [Add container to qrtly reconciliation banner](gitlab-org/gitlab@4b01e28713a34d780a83ef11df574bded2b8d48d) ([merge request](gitlab-org/gitlab!81517)) **GitLab Enterprise Edition**
- [Add container for manual renewal banner](gitlab-org/gitlab@20b95750bfed341e801ff6c8552a36417a2778f5) ([merge request](gitlab-org/gitlab!81517)) **GitLab Enterprise Edition**
- [Make loading spinner Pajamas compliant](gitlab-org/gitlab@6010b760f886993f808b846add835d8354eeaba4) ([merge request](gitlab-org/gitlab!81801))
- [Reset paging when sort is changed on vulnerability report](gitlab-org/gitlab@8e98a4469d7ddad22acb35af8d0644195617ec83) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/81870)) **GitLab Enterprise Edition**
- [Fix job page copy source branch button](gitlab-org/gitlab@6aa1d555c347d5d73b4cdb9d56ce7fa6c5d512a3) by @leetickett ([merge request](gitlab-org/gitlab!76022))
- [Raise error when diff note import fails](gitlab-org/gitlab@9490ef6ead244cc457975c1bb9e8afcd5dc6d2d1) ([merge request](gitlab-org/gitlab!81014))
- [Fix group members tooltip label](gitlab-org/gitlab@01969906f1f7cc158167d3734768324a8e51437d) by @ali_o_kan ([merge request](gitlab-org/gitlab!81210))
- [Fix loading icon in activity calendar](gitlab-org/gitlab@4c63009b296e536cc281b79bc0f0195267a2f91a) ([merge request](gitlab-org/gitlab!81552))
- [Fix rendering vulnerability markdown description](gitlab-org/gitlab@5c3ee8d41673c80f25834d475da23b4b6a38f00a) ([merge request](gitlab-org/gitlab!77958)) **GitLab Enterprise Edition**
- [Filter commented_approvers for user note authors](gitlab-org/gitlab@5ce58821fc246927747faa0f76f6ac7e632d9c15) ([merge request](gitlab-org/gitlab!81563))
- [Remove fix_comment_scroll feature flag](gitlab-org/gitlab@af6bf959fd86a248f093c7399b9764e3111bb6ed) ([merge request](gitlab-org/gitlab!79835))
- [Fix error from invalid sha for `include` files](gitlab-org/gitlab@32fe798699dd18681ac9cb6ad5348e2fe50909c1) ([merge request](gitlab-org/gitlab!81036))
- [Fix GRPC 500 from BlobsResolver](gitlab-org/gitlab@8eb9f47a6e67b37747c6204a57928c10cb7baa66) ([merge request](gitlab-org/gitlab!80747))
- [Add error for cross pipeline dependencies](gitlab-org/gitlab@2d2ff9dc0f974a47d729f51623204cb86882d2a0) ([merge request](gitlab-org/gitlab!80513))
- [Handle received header fallback for missing Delivered-To](gitlab-org/gitlab@8eeeb3d78921b7ec073c70a55aaa76364c395b42) ([merge request](gitlab-org/gitlab!81489))
- [Fix erroneous all warning from race condition](gitlab-org/gitlab@3e4134e69afe27c3c820a0fe7c32b2cb9e3956e4) ([merge request](gitlab-org/gitlab!81224))
- [Remove unnecessary margin to the right of the Show comment only dropdown](gitlab-org/gitlab@b5ae5cce465f9cd653a5f240a29c997f47301ce7) by @rajanamistry ([merge request](gitlab-org/gitlab!81449))
- [Expose merge request flag as boolean in the pipeline entity](gitlab-org/gitlab@c27f9a675dc567726c49fb10fe9446f36682b071) ([merge request](gitlab-org/gitlab!81431))
- [Fix pull/push mirror authentication fields](gitlab-org/gitlab@c8ce96c6d6126ab591d0e598efb1993e39eb77dc) ([merge request](gitlab-org/gitlab!81419))
- [Allow admin to register group runners at all times](gitlab-org/gitlab@71ba4d375cfb322e968cc4ceaeaa591f50d2531d) ([merge request](gitlab-org/gitlab!81297))
- [Fix cross-database modification when resetting CI minutes](gitlab-org/gitlab@5f21e7cc3d0bfc52ff82bbce1d1f47ee0dd8a84b) ([merge request](gitlab-org/gitlab!80161))
- [Ensures audit events are visible to auditor](gitlab-org/gitlab@0afc16252ce6b95af2464e59d278db9ffcba9f1b) ([merge request](gitlab-org/gitlab!81497)) **GitLab Enterprise Edition**
- [Enable removing import data on failure by default](gitlab-org/gitlab@440e3962fd4d44097a104602d540bc54d5e02aae) ([merge request](gitlab-org/gitlab!81404))
- [Fix flash color when there is an error](gitlab-org/gitlab@cf6420d41734cee464cb0fd549169cf0a32fa682) by @ali_o_kan ([merge request](gitlab-org/gitlab!81052))
- [Allow assigning users with private profiles](gitlab-org/gitlab@f13ca808192ef98097c0fee739ad38cc555cad7d) ([merge request](gitlab-org/gitlab!81099))
- [Fix multiple modals showing when canceling note](gitlab-org/gitlab@30fb9b9699b84b57550a4758b882d65b1fd8fc0b) ([merge request](gitlab-org/gitlab!81310))
- [Allow admin to register project runners at all times](gitlab-org/gitlab@3d8c4f488b08fdab1908031b4b9546e8b67fc1f9) ([merge request](gitlab-org/gitlab!81298))
- [Block execution of cyclical pipelines](gitlab-org/gitlab@12f9e6dbc07baaa297e80b5562bc5612a0589bb4) ([merge request](gitlab-org/gitlab!81287))
- [Ensures audit events are visible to auditor](gitlab-org/gitlab@662a01dcb9d26d916b8186957e3a4c9dd8640075) ([merge request](gitlab-org/gitlab!81267)) **GitLab Enterprise Edition**
- [Truncate Jira app key to be no longer than 64](gitlab-org/gitlab@084ec2d644f453f2bae0970c9fe2d1642d0e1835) ([merge request](gitlab-org/gitlab!80922))
- [Ensure cleanup job artifacts task does not include pipeline artifacts](gitlab-org/gitlab@1a36a02ce63d4001b105705690ee8da77ee892bb) ([merge request](gitlab-org/gitlab!81022))
- [Avoid idling in transaction when fetching source for merge requests](gitlab-org/gitlab@1349b8cf09bdc0396522ff10aee04124ec86fa40) ([merge request](gitlab-org/gitlab!80876))
- [Fix response of `securityTrainingUpdate` mutation](gitlab-org/gitlab@a9fcbb72f1449357a5692b04818b8b983ce287e4) ([merge request](gitlab-org/gitlab!80731)) **GitLab Enterprise Edition**
- [Remove CachingArrayResolver from epic issues](gitlab-org/gitlab@ba02cfd09d56bdc87e42c7c6cfaa0a9ddf0a37e2) ([merge request](gitlab-org/gitlab!80635)) **GitLab Enterprise Edition**
- [Do not mirror protected tags restricted for a creation](gitlab-org/gitlab@e72300fca11097a0c244795b06e43130348eb3b7) ([merge request](gitlab-org/gitlab!80388)) **GitLab Enterprise Edition**
- [Hide white box at bottom of MR diff page](gitlab-org/gitlab@7dc62567ce0d6ec5e650e0538a39e8bde1bece27) ([merge request](gitlab-org/gitlab!81117))
- [Stop backup files from requiring directories to exist when skipped](gitlab-org/gitlab@e2541c622021b709013d915a283920ec4173691c) ([merge request](gitlab-org/gitlab!81098))
- [Fix the Content Editor strikethrough shortcut docs](gitlab-org/gitlab@bd689aafcd91ea64742b4a25d0528b8ab602397a) by @smokris ([merge request](gitlab-org/gitlab!81091))
- [Fix TypeError from Tags::Reference](gitlab-org/gitlab@9a2ee6777644e2dd5d81ea843ea46f69561b241d) ([merge request](gitlab-org/gitlab!80845))
- [Fix copy button in Enable Review App modal](gitlab-org/gitlab@11d275b36d9c7da44946365bfa51e7ebaf319640) by @aeboyaci ([merge request](gitlab-org/gitlab!80561))
- [Pass all options from member entity](gitlab-org/gitlab@d8b7136c5f930b7db6d261d462df46b48db93fdc) ([merge request](gitlab-org/gitlab!81046))
- [Automatically adapt the CSP when snowplow is enabled](gitlab-org/gitlab@7f73ea342359eb628117f332e59263bb79bc617c) ([merge request](gitlab-org/gitlab!78624))
- [Fix toolbar buttons in Markdown field](gitlab-org/gitlab@bd6522df2cb9019276204da7e6ccc1f052b2678f) ([merge request](gitlab-org/gitlab!80919))
- [Fix Replace button form path](gitlab-org/gitlab@5c6ac77fad63912a2254aba9b2c48f8aeabe5c5a) ([merge request](gitlab-org/gitlab!80953))
- [Allow project admin to read project approvals](gitlab-org/gitlab@b103c49e3c200bc9cce0615a1a55427501bd0dd7) ([merge request](gitlab-org/gitlab!80652)) **GitLab Enterprise Edition**
- [Dynamically add AWS URLs to CSP on EKS auth page](gitlab-org/gitlab@6f448c0396315ddda967ed55dd9feefd11c6011e) ([merge request](gitlab-org/gitlab!80576))
- [Do not count group bot users from shared group towards seat usage](gitlab-org/gitlab@dabae884b2f1afaa37213689568811c4bdd0d79d) ([merge request](gitlab-org/gitlab!80889)) **GitLab Enterprise Edition**
- [Make contribution graph email grouping ignore case](gitlab-org/gitlab@c524cfacbd2a3be25d303c503e34a7be4bf8a9b1) ([merge request](gitlab-org/gitlab!80701))
- [Don't return 500 error in Commits API when repository is missing](gitlab-org/gitlab@95177859a3421535adc36fa5bb190069d7fbd233) ([merge request](gitlab-org/gitlab!80410))

### Changed (194 changes)

- [Add iteration selector to board scope](gitlab-org/gitlab@ed7049fb25e7d4bebc6d74a980d2bd58255c6666) ([merge request](gitlab-org/gitlab!69052)) **GitLab Enterprise Edition**
- [Block limited broadcast address (255.255.255.255) in UrlBlocker](gitlab-org/gitlab@9ba2dfbeb1e21540e9350859eec6823e73700468) ([merge request](gitlab-org/gitlab!82571))
- [Migrate to unique indices in projects runners tokens](gitlab-org/gitlab@66c9c3b9e1f1828431119ab3f282495c058d4b1f) ([merge request](gitlab-org/gitlab!81991))
- [Track git blame clicks from code search results](gitlab-org/gitlab@cbf4c4c64a68e5e8a65e5bc4d46ae7a5bf44adf5) ([merge request](gitlab-org/gitlab!82533))
- [Split cluster creation page into two pages](gitlab-org/gitlab@d6e1b58f7547f40db9b53f1c27c7eb12d7b178e0) ([merge request](gitlab-org/gitlab!80730))
- [Prevent group owners from deleting certain project runners](gitlab-org/gitlab@4b488c3049ac9318bdf58ce424a405acc14c99b7) ([merge request](gitlab-org/gitlab!82023))
- [Remove unnecessary Edit tab in WebIDE](gitlab-org/gitlab@578ef1438606d0e3c2b8e7e288f4fea744361756) by @Bisht13 ([merge request](gitlab-org/gitlab!81366))
- [Switch AWS "easy button" icons with radio buttons](gitlab-org/gitlab@5e1115f55e58e059af361c097aaad71bbba8d953) ([merge request](gitlab-org/gitlab!82203))
- [Update error message with importing container repository](gitlab-org/gitlab@fbe5608fae60004a06e0a2855988dbe769cd3948) ([merge request](gitlab-org/gitlab!82730))
- [Update runner Pause/Resume button labels](gitlab-org/gitlab@6963d4a34f79d659b05a7235c0d655d1ae0f9a51) ([merge request](gitlab-org/gitlab!82702))
- [Update Jira integration form to have sections](gitlab-org/gitlab@fc40199266c55b6c50ba3a6af5995ad8803dca7f) ([merge request](gitlab-org/gitlab!82970))
- [Set geo_job_artifact_replication default to true](gitlab-org/gitlab@4bc1a37e76291b5b84eae9243b3ee35fe5c3e650) ([merge request](gitlab-org/gitlab!82906)) **GitLab Enterprise Edition**
- [Use checkboxes to select target roles for broadcast messages](gitlab-org/gitlab@bb22d0083401a8d3964924194b3e3b812ccc502b) ([merge request](gitlab-org/gitlab!80131))
- [Add frontend validation to avoid duplicate asset link names](gitlab-org/gitlab@965d07d9966853d3f95905af134932ba0d0b60ae) by @emanuelfarias ([merge request](gitlab-org/gitlab!81591))
- [Adding Secure Files upload limit](gitlab-org/gitlab@3710372c3530bea064640204e57fdc7562d19c65) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82858))
- [Promote exp: change_continuous_onboarding_link_urls](gitlab-org/gitlab@4c43e3cef10f11ec69962da60db3f4bfcd466605) ([merge request](gitlab-org/gitlab!80906))
- [Move two-factor authentication callout to the todo-list page](gitlab-org/gitlab@16f27135ede22584735d57fe9f1d32c6a485808d) ([merge request](gitlab-org/gitlab!82612))
- [Use new vulnerability report for pipeline security tab](gitlab-org/gitlab@b4551ff88a5eef51c653554f9c4aee621ff5ebc2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/81760)) **GitLab Enterprise Edition**
- [Update job page for blocked deployments](gitlab-org/gitlab@e56c04cb5db42f4b43f716b91ff71192308f5b75) ([merge request](gitlab-org/gitlab!82456)) **GitLab Enterprise Edition**
- [Remove block_project_serialization feature flag](gitlab-org/gitlab@2912ac093f963107630ba4e7b1788d9a473bafa1) ([merge request](gitlab-org/gitlab!82866))
- [Migrate two-factor auth error message to shared HAML partial](gitlab-org/gitlab@65604eaf0ce4be6ee88316d6cd013dded62a994c) ([merge request](gitlab-org/gitlab!82753))
- [Enable the `geo_token_user_authentication` FF by default](gitlab-org/gitlab@33378ee41d6c487eb688aaf438c0e04dfd070a45) ([merge request](gitlab-org/gitlab!82835))
- [Do not ensure HEAD is default_branch on snippets](gitlab-org/gitlab@81f2238ec2d21bfa8d6e34214474d0b5f9fd2feb) ([merge request](gitlab-org/gitlab!82731))
- [Project authorization is unique per user, project](gitlab-org/gitlab@7fc54b1ca86c382662c389ddece169c7cbb0a407) ([merge request](gitlab-org/gitlab!82460))
- [Change CI lint primary button style](gitlab-org/gitlab@186169740baf93a12bf9bff4ba78496fd18adbfe) by @gtsiolis ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/81611))
- [Add pipeline editor walkthrough feature permanently](gitlab-org/gitlab@4efb2b11021600a0f895c59d78f9bb0584933717) ([merge request](gitlab-org/gitlab!82682))
- [Add error when acccess denied due to credit card](gitlab-org/gitlab@f2344f3820cf62ab475598c61041d56903a7ab7e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80657)) **GitLab Enterprise Edition**
- [Turn the subscribable banner into an alert](gitlab-org/gitlab@2e1ea8ecd8963778cfe84334bca000f1ad127ac6) ([merge request](gitlab-org/gitlab!81236)) **GitLab Enterprise Edition**
- [Add configurable search rate limits](gitlab-org/gitlab@803ba15846843113f7eda03dd6d062f413074f9d) ([merge request](gitlab-org/gitlab!80631))
- [Improve email notification styling](gitlab-org/gitlab@5e88a2bcedc112c83fe6f7321f7c67fd3008432c) by @smokris ([merge request](gitlab-org/gitlab!78604))
- [Enable API kaminari count with limit](gitlab-org/gitlab@2b8dcb45a380ee40c2a3760ec89afa03c4fa8cc4) by @jaspreet-3911 ([merge request](gitlab-org/gitlab!82003))
- [Bump GITLAB_KAS_VERSION to 14.9.0](gitlab-org/gitlab@4f09d013774b45590f3dab71faba2e0fb3b79aef) ([merge request](gitlab-org/gitlab!82765))
- [Revise merge-conflict modal text](gitlab-org/gitlab@b6fa39a018486ee93bf450e21d257bba6eeba8dd) ([merge request](gitlab-org/gitlab!80666))
- [Rename remove user action](gitlab-org/gitlab@af0a2866bddb68f56ef2812ac00f87e6a296ead5) ([merge request](gitlab-org/gitlab!82109))
- [Search presenter is a noop when given empty results](gitlab-org/gitlab@2b309e390b2474358908d6799ada2fee0b5969ae) ([merge request](gitlab-org/gitlab!82619))
- [Restyle project deletion and restoration containers](gitlab-org/gitlab@05503faf43544769f53497b9e2f0effa0dfb11a6) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82313)) **GitLab Enterprise Edition**
- [Remove new environments table feature flag](gitlab-org/gitlab@2a7690c59e83439f1133d7c34f63578deb5e8771) ([merge request](gitlab-org/gitlab!80948))
- [Add link to incident title](gitlab-org/gitlab@32642d5e4cbb3a564df265791e1ba7a2f7553ef3) ([merge request](gitlab-org/gitlab!82373))
- [Remove type from ruby template](gitlab-org/gitlab@5c928b128332cbd18e1e4fef3af2bf05bb374681) ([merge request](gitlab-org/gitlab!82686))
- [Enable feature flags to resume artifact removal](gitlab-org/gitlab@818e748f7e56f56cba0f13ebc8a3b8a64643af61) ([merge request](gitlab-org/gitlab!82681))
- [Validate urls before attempting to download](gitlab-org/gitlab@bf1443c0bc54a0b2fff8f8594eeb35cedb28cc7a) ([merge request](gitlab-org/gitlab!80700))
- [Parse Snowplow value as Number](gitlab-org/gitlab@da274cf499696aa40bcfec54e4f30ba5148fdf40) ([merge request](gitlab-org/gitlab!81928))
- [Remove placeholder and move error message in the form](gitlab-org/gitlab@6eb7350a58ec89904db0442ed5606a908d8471ab) ([merge request](gitlab-org/gitlab!82404))
- [Update auto-build-image to v1.9.1](gitlab-org/gitlab@b0f44e42e5b6593317cd7083619b8b4412d42e00) ([merge request](gitlab-org/gitlab!80289))
- [Remove feature flag to read finding evidence model](gitlab-org/gitlab@73b17f4fdeccefecef074d2026279d0c89e8d1bf) ([merge request](gitlab-org/gitlab!82450)) **GitLab Enterprise Edition**
- [Removed compliance_violations_graphql_type feature flag](gitlab-org/gitlab@085a7f27317fdb41eabfad27e6483388c2ddb909) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82603)) **GitLab Enterprise Edition**
- [Enable show_report_validation_warnings by default](gitlab-org/gitlab@94a9eb8f03d636b79c0629752f1ac335c1e9ba47) ([merge request](gitlab-org/gitlab!82520))
- [Use follow redirects middleware in the Container Registry clients](gitlab-org/gitlab@ffb7697483299fc496affc694e9a0884051a64f5) ([merge request](gitlab-org/gitlab!82614))
- [Use SAX parser for cobertura coverage reports](gitlab-org/gitlab@6dc4483658c6183db12877fe34ab2014b8322343) ([merge request](gitlab-org/gitlab!82610))
- [Migrate spinners in approver suggestion partial](gitlab-org/gitlab@e65ad1e60e1975cf7706d6f5477024820bd1c418) ([merge request](gitlab-org/gitlab!82503)) **GitLab Enterprise Edition**
- [Release chat notification branch filter for deployments](gitlab-org/gitlab@ad9573df04405d5577cf68dd7df52a52f34fb1ee) ([merge request](gitlab-org/gitlab!82583))
- [Add no-sort-reset prop to vulnerability list](gitlab-org/gitlab@43e72012072b081bdde47af1729c077daa6bac05) ([merge request](gitlab-org/gitlab!82588)) **GitLab Enterprise Edition**
- [Update placeholder text in import projects table](gitlab-org/gitlab@80c5f0dce139cb17347379078667849685a54096) ([merge request](gitlab-org/gitlab!82575))
- [Reduce the number of buckets in Sidekiq histograms](gitlab-org/gitlab@7c912e143b6ea039ce58ee023cc9991e8d52136b) ([merge request](gitlab-org/gitlab!82509))
- [Wrap alert in a DIV](gitlab-org/gitlab@eddeceff21fa85221d0b8b4deb3f00a582586cfe) by @gitlab-dependency-update-bot ([merge request](gitlab-org/gitlab!81282)) **GitLab Enterprise Edition**
- [Remove vulnerability_finding_replace_metadata flag](gitlab-org/gitlab@0a84a07e9c995f60cef7e6bc0e0687105dae1727) ([merge request](gitlab-org/gitlab!82440)) **GitLab Enterprise Edition**
- [Update group-level compliance framework to match project settings](gitlab-org/gitlab@7f68de064f68e9e9e0c4b7c420d8cce2ac43c1e9) ([merge request](gitlab-org/gitlab!82492)) **GitLab Enterprise Edition**
- [Merge injected KUBECONFIGs for clusters and agents](gitlab-org/gitlab@bc2b67cf6e88f6afb241dd9861c60795c38fccc5) ([merge request](gitlab-org/gitlab!82246))
- [Fallback to basic search on archived projects](gitlab-org/gitlab@5ba09f808887fc96b91d18aac18341d5353d0885) ([merge request](gitlab-org/gitlab!82517)) **GitLab Enterprise Edition**
- [Added cluster Actions menu to group and admin view](gitlab-org/gitlab@cfe32c2fe7e9c119cfc3b392adbb8778521ce57c) ([merge request](gitlab-org/gitlab!81846))
- [Remove feature flags for runner token prefix](gitlab-org/gitlab@29bbf97e2bc9b22ef35cc92fb076c14cf2f3fb57) ([merge request](gitlab-org/gitlab!81839))
- [Fix RSpec/TimecopTravel offenses (Part 2/2)](gitlab-org/gitlab@6a092c053c6195c187afe6589ea52ee6152ee2d4) by @KevSlashNull ([merge request](gitlab-org/gitlab!76034))
- [Disallow integrated error tracking by default](gitlab-org/gitlab@99ebbe65a746cf04c0eeccc7b93a815f87b4ba64) ([merge request](gitlab-org/gitlab!81767))
- [Improve and internationalize Deployment Approval error messages](gitlab-org/gitlab@3dbac553b737cee798eaec5f3394661fb7a890fa) ([merge request](gitlab-org/gitlab!82454)) **GitLab Enterprise Edition**
- [Update new issue form to match Pajamas specs](gitlab-org/gitlab@8832a74998ba32b3be15e2bef8ba4a5b157540c7) ([merge request](gitlab-org/gitlab!82425))
- [Refactor(Groups SSO): migrate to gl-tabs](gitlab-org/gitlab@bde7a342ac79b1c9d0490677cbad7996a8930f42) ([merge request](gitlab-org/gitlab!82512)) **GitLab Enterprise Edition**
- [Enable cleanup policies throttling by default](gitlab-org/gitlab@3cd38afaf2cb736d424e0dec41d481ceeb6109ee) ([merge request](gitlab-org/gitlab!80815))
- [Global Search - Support non-js searches](gitlab-org/gitlab@65317192013f24f8374e9ba06720cdad00265208) ([merge request](gitlab-org/gitlab!80964))
- [Update icon, remove text, and switch](gitlab-org/gitlab@f46ec577443c20f1267838234af83e565743cc22) ([merge request](gitlab-org/gitlab!80395))
- [Allow to hide deployment target on New Project page](gitlab-org/gitlab@31e632190cb09ca72392a731601ff20ad3714d6f) by @wwwjon ([merge request](gitlab-org/gitlab!82485))
- [Support GraphQL authentication with project tokens](gitlab-org/gitlab@16913601c1852fd09fc6bdc89cd4263fc1e6b1e8) ([merge request](gitlab-org/gitlab!82316))
- [Migrate Epic Tabs to use Button Group](gitlab-org/gitlab@5f12034bb14cdb1968c3636f4f0db4a388859e82) ([merge request](gitlab-org/gitlab!81978)) **GitLab Enterprise Edition**
- [Extend billable members count to accept requested hosted plan parameter](gitlab-org/gitlab@7703838094e42a16a950aaa3674fe31544bbd0a7) ([merge request](gitlab-org/gitlab!82049)) **GitLab Enterprise Edition**
- [Bump Auto Deploy Image verion to v2.22.0](gitlab-org/gitlab@28e8783ce990ddf443c25e8ab39c38f75a08c6d9) ([merge request](gitlab-org/gitlab!82461))
- [Consider non-default config files for Security UI](gitlab-org/gitlab@9a74d9ba9bf2a68dde0149aaa3c8c4992b409e5f) ([merge request](gitlab-org/gitlab!81027))
- [Migrate loading spinners](gitlab-org/gitlab@0e22efabb4ca4ffa3077130c9d0fb4ccc310eefd) ([merge request](gitlab-org/gitlab!82236))
- [Update project compliance frameworks settings](gitlab-org/gitlab@c1aec2f8a65f1d012cfc2e9aae429eab38d4c3a1) ([merge request](gitlab-org/gitlab!81889)) **GitLab Enterprise Edition**
- [Issue 349398 - Update search field in Global Search](gitlab-org/gitlab@c7720cb353ff473821a5cf17500fe7bc72531822) ([merge request](gitlab-org/gitlab!80916))
- [Header Search Refactor - Handle Errors in the component](gitlab-org/gitlab@f0d356994a99ad4bb6ad938bcb085fd17be7b714) ([merge request](gitlab-org/gitlab!80746))
- [Migrate spinners in archived projects partial](gitlab-org/gitlab@223b665a5985429409fa2d229ca925eeb65b3167) ([merge request](gitlab-org/gitlab!82385))
- [Migrate spinners in user's overview](gitlab-org/gitlab@9a365876efc4bd00e195833667c3736249cdf6ab) ([merge request](gitlab-org/gitlab!82379))
- [Migrate spinners in explore groups partial](gitlab-org/gitlab@b3e58fccee2018a3326c3ea4e16ea8bd0eb1fa47) ([merge request](gitlab-org/gitlab!82377))
- [Creates audit event when approval rule is deleted](gitlab-org/gitlab@1f1d3801c8648ba4e5491364bcb9f924a05dc155) ([merge request](gitlab-org/gitlab!82297)) **GitLab Enterprise Edition**
- [Creates audit event on approval rule creation](gitlab-org/gitlab@adcddf4419f946b1f31449300149f919508efd2a) ([merge request](gitlab-org/gitlab!81973)) **GitLab Enterprise Edition**
- [Update Auto DevOps docker versions to 20.x](gitlab-org/gitlab@f71efa773512bda0430400817ff0f22fd906a156) ([merge request](gitlab-org/gitlab!82353))
- [Remove constraints from sprints table](gitlab-org/gitlab@444a02c30a39a844e40bcc0ab9b00fde2c835013) ([merge request](gitlab-org/gitlab!82169))
- [Move Geo repository updated event creation into a worker](gitlab-org/gitlab@d12d94cc3e35d6e0593e5639d2628a6f1d8b4f5d) ([merge request](gitlab-org/gitlab!80971)) **GitLab Enterprise Edition**
- [Migrate loading icon to be Pajamas compliant](gitlab-org/gitlab@9b70879b5dd948fdcacddb91a720658995cab83c) ([merge request](gitlab-org/gitlab!81985))
- [Migrate loading spinners](gitlab-org/gitlab@0382386fc0c5eb3f67bcd4ffc3c21ca85a5cb6b3) ([merge request](gitlab-org/gitlab!82334))
- [Move default branch protection to repository settings](gitlab-org/gitlab@1a8206261fbda415a12792893cf6e6277fd84bae) ([merge request](gitlab-org/gitlab!81012))
- [Migrate loading spinners](gitlab-org/gitlab@dc0024941f8766631a88768c206ccc19c51658d7) ([merge request](gitlab-org/gitlab!82324))
- [Update registration enabled callout](gitlab-org/gitlab@bb5253b2516dc17578d9bb05cf5e04d44028a547) ([merge request](gitlab-org/gitlab!80972))
- [Migrate loading spinners](gitlab-org/gitlab@a14c08ae439075b20874fdaa874812bfda4f2198) ([merge request](gitlab-org/gitlab!82238))
- [Iteration search uses cadence and iteration titles](gitlab-org/gitlab@2ef936654487e08fe3944bb5548302e3867253d5) ([merge request](gitlab-org/gitlab!81615)) **GitLab Enterprise Edition**
- [Display license ID retrieved from CustomersDot](gitlab-org/gitlab@6d9df1c3c44ca74bd8e4d23a7ed48f34dd898da0) ([merge request](gitlab-org/gitlab!82112)) **GitLab Enterprise Edition**
- [Re-introduce role-targeted broadcast messages](gitlab-org/gitlab@c7a8a89c7513b0951f6b0994fe7505b3a9100810) ([merge request](gitlab-org/gitlab!81232))
- [Use GlAvatar in security dashboard](gitlab-org/gitlab@c5ac6e5ea076ab5451c6a62cf9a3cc30fc0c665e) ([merge request](gitlab-org/gitlab!82172)) **GitLab Enterprise Edition**
- [Remove personal_project_owner_with_owner_access feature flag](gitlab-org/gitlab@ad3f27b2a70e29c026d5a92e834ec72462a1182a) ([merge request](gitlab-org/gitlab!82088))
- [Use the environment tier for jira connect deployment environment type](gitlab-org/gitlab@87a9dfa80b339fa71db4838fc76696b420c4dbff) by @alanandrade ([merge request](gitlab-org/gitlab!80539))
- [Add unique index for security training providers](gitlab-org/gitlab@8cfba7dbb1a7203de0b4998b14976e67e7753e75) ([merge request](gitlab-org/gitlab!82235))
- [Allow tags as target of pipeline scheduled](gitlab-org/gitlab@f6e9762d39ab883f33853a107057b5ed370e630b) by @KevSlashNull ([merge request](gitlab-org/gitlab!81476))
- [Migrate group/project member spinners](gitlab-org/gitlab@bfa13484ec47ece14aff14f0e3fba4b7c5f478a0) ([merge request](gitlab-org/gitlab!82225))
- [Migrate legacy spinner](gitlab-org/gitlab@02e6cb553e7338ca40d5e05f3c49593a201e5d4e) ([merge request](gitlab-org/gitlab!81840))
- [Disable multi-project viz for free users](gitlab-org/gitlab@d362c451cfeeca06ec04ba6f5d8c731a9a391f89) ([merge request](gitlab-org/gitlab!79889))
- [Update Import object persistence approach](gitlab-org/gitlab@489555c94e0e24467e12b5a2ef5b9375800d2e78) ([merge request](gitlab-org/gitlab!79963))
- [Correct text of Banner message label](gitlab-org/gitlab@24ed46db54b5196442e3742f91485d0ebc3c8437) ([merge request](gitlab-org/gitlab!81221)) **GitLab Enterprise Edition**
- [Remove non-human created tokens from PAT list](gitlab-org/gitlab@7b893669b389b340759877d11c329dbff305759c) ([merge request](gitlab-org/gitlab!80716)) **GitLab Enterprise Edition**
- [Remove non-human created tokens from PAT list](gitlab-org/gitlab@34ded80954ee5e3c966c6602bb24b6feb00d0555) ([merge request](gitlab-org/gitlab!80716)) **GitLab Enterprise Edition**
- [Update maximum allowable lifetime message for PAT](gitlab-org/gitlab@5c71c8adc2c36c47fbc4303e9a89d95c27a85807) ([merge request](gitlab-org/gitlab!81949)) **GitLab Enterprise Edition**
- [Disable the PA commit button when there are no changes](gitlab-org/gitlab@632aefed5070daeb034e127c2df5edf27d59e633) ([merge request](gitlab-org/gitlab!81531))
- [Add the "Support Ukraine" tanuki](gitlab-org/gitlab@72585cf30f5ef613bb3056e93e12985a69f82e3b) ([merge request](gitlab-org/gitlab!82050))
- [Link new issue to original via checkbox](gitlab-org/gitlab@4c30e09e1b3b8b84bce36770ce59a351bd87fedb) by @smokris ([merge request](gitlab-org/gitlab!80556))
- [Migrate gfm loading spinner](gitlab-org/gitlab@f79d23fc39b1e83211ae426d28c10ac40dc5b743) ([merge request](gitlab-org/gitlab!82111))
- [Use report-declared version of the schema](gitlab-org/gitlab@0ecb51dee1eae742f8c0e294f1ef68468fb37324) ([merge request](gitlab-org/gitlab!81907)) **GitLab Enterprise Edition**
- [Migrate MAINTAINER access memberships to OWNER](gitlab-org/gitlab@0ff770b001fe3c6f3766a8fd32bbdcac17c70439) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80146))
- [Surface validation errors as warnings](gitlab-org/gitlab@855c036adebba757cdbc928259288d6b66521867) ([merge request](gitlab-org/gitlab!80930)) **GitLab Enterprise Edition**
- [Migrate loading icon](gitlab-org/gitlab@a66ddd653a41b6e549a590218d004b7f1399e744) ([merge request](gitlab-org/gitlab!82042))
- [Geo secondary proxying: serve assets locally](gitlab-org/gitlab@c350122401906ee1c74066b96f71b721b72dd222) ([merge request](gitlab-org/gitlab!79761)) **GitLab Enterprise Edition**
- [Replace n/a with a hyphen in the runners table](gitlab-org/gitlab@69ac20935dd4ed56e8b9a5fedd56f2d013bf7fa7) ([merge request](gitlab-org/gitlab!81904))
- [Update Secret Detection template](gitlab-org/gitlab@ef2904cd4e61c386fc6c8a040e6a806e23c7a9f8) ([merge request](gitlab-org/gitlab!80326))
- [Add alert and disable active checkbox](gitlab-org/gitlab@fd5388c670b38f483d9458cf9a9300b60f6c072a) ([merge request](gitlab-org/gitlab!81896))
- [Improve UI text of sign-in restrictions](gitlab-org/gitlab@9a1f8721ed0b8c87258194323d5d4b443b0e92f2) ([merge request](gitlab-org/gitlab!81776))
- [Put deprecated serverless features behind feature flag](gitlab-org/gitlab@ef88f5c53871d6c7ad795887751381f0276de1ea) ([merge request](gitlab-org/gitlab!81493))
- [Add BlocksUnsafeSerialization to Project](gitlab-org/gitlab@9b3f3d30f385f6fe1c972a5b91b8d6bda9dc7426) ([merge request](gitlab-org/gitlab!81900))
- [Add default_branch to KAS responses](gitlab-org/gitlab@73788fa265be7c6bcc2852e64ee07f4e7f3b06af) ([merge request](gitlab-org/gitlab!81950))
- [Use GlButtonGroup instead of GlSegmentedControl](gitlab-org/gitlab@4f5a1079ea2b6c96c5d62dd3a8b7323e927b103a) ([merge request](gitlab-org/gitlab!81278)) **GitLab Enterprise Edition**
- [Change loading state jobs tab](gitlab-org/gitlab@a1dcec6771d3d65c477b94e7fa8d9425e40db8c7) ([merge request](gitlab-org/gitlab!81568))
- [Increase pipeline editor debounce to 500ms](gitlab-org/gitlab@c6de5d893856852b8ea23c38199eb6e63c42a3e1) ([merge request](gitlab-org/gitlab!81534))
- [Set danger variant and label to delete WA Device](gitlab-org/gitlab@5a2e927aed0c8ad2d30d1b02fee19dceec5dd850) ([merge request](gitlab-org/gitlab!81868))
- [Set danger variant and label to destroy oauth app](gitlab-org/gitlab@45ced1f5836302b14801af57624058ed71c241d0) ([merge request](gitlab-org/gitlab!81854))
- [Set variants and labels to abuse report buttons](gitlab-org/gitlab@fce6201af9a961ecafa023b07b21665bfbde3228) ([merge request](gitlab-org/gitlab!81871))
- [Set danger variant to delete artifact button](gitlab-org/gitlab@94a283f6447149ed9bae4c81f7d21966f86959c5) ([merge request](gitlab-org/gitlab!81877))
- [Set danger variant & labels for appearance buttons](gitlab-org/gitlab@8c3b077aee8e6f1270a07f8f721d44b3dde21cf8) ([merge request](gitlab-org/gitlab!81878))
- [Improve Sourcegraph settings text](gitlab-org/gitlab@da795bdf58234910ce2c3a1339cf1dfe863292d6) ([merge request](gitlab-org/gitlab!81223))
- [Remove pipeline editor button from blob view](gitlab-org/gitlab@932a7de395f0ed97d2e9545677e591040aad99a4) ([merge request](gitlab-org/gitlab!81903))
- [Refine copy for Jira integration](gitlab-org/gitlab@c9e336f4811de2e32ca79f3bf2ada1996a1fb259) ([merge request](gitlab-org/gitlab!81819))
- [Project quality summary: add test runs empty state](gitlab-org/gitlab@bbe504d8f0b499f1b21e22ed60e112078141465f) ([merge request](gitlab-org/gitlab!78498))
- [Backfill `member_namespace_id` for `GroupMember`](gitlab-org/gitlab@019e70a88d1abddc2b590eb6ba7e9cb0b95c1370) ([merge request](gitlab-org/gitlab!78715))
- [Merge branch 'user-validation-failed-message' into 'master'](gitlab-org/gitlab@6d582ea07e7b560945f4d89b56802f62920d5657) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80304))
- [Improve user validation failed message](gitlab-org/gitlab@8a37bdae51be4f7c283bf37e2d984f948e020c3c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80304))
- [Remove releases with NULL tags and add not-NULL constraint](gitlab-org/gitlab@9896cafbbcbb9ca8dc8febe96d1ad14d636d1279) ([merge request](gitlab-org/gitlab!80664))
- [Replace success with confim variant](gitlab-org/gitlab@3f0c7a8e2a5f7c1580cbbcb34e7deb274572fdab) ([merge request](gitlab-org/gitlab!81837))
- [Suggest backend reviewer for erb and haml files](gitlab-org/gitlab@0ef97f29b696626cdd380e56f67a52d35878c9e3) ([merge request](gitlab-org/gitlab!81542))
- [Add Gitlab.revision to Gitlab::JsonCache cache_key by default](gitlab-org/gitlab@5cd29114c5846471e053577198cb9ad5942a3e1a) ([merge request](gitlab-org/gitlab!81413))
- [Replace window.confirm with GlModa in environment actions](gitlab-org/gitlab@94ec1ed345e5db641956a33b2cc97bb618f38203) ([merge request](gitlab-org/gitlab!80425))
- [Use instrumentation classes for Service Ping generation](gitlab-org/gitlab@22174f888e7cc8853bf698d413a9585b81d151ad) ([merge request](gitlab-org/gitlab!81520))
- [Remove null constraint from security_scan_succeeded column](gitlab-org/gitlab@cc442d0ddbb132fe2b7ac52105ac7e54379b9bd0) by @svdj ([merge request](gitlab-org/gitlab!81322))
- [Improve the labels on Kubernetes Agent UI](gitlab-org/gitlab@7a78b512e7f825dd31cef0e429669c93e7fb4584) ([merge request](gitlab-org/gitlab!81606))
- [Expose created_at when serializing Deployment Approvals](gitlab-org/gitlab@428038a04d30bf048b10de1a2acae4e913a1069a) ([merge request](gitlab-org/gitlab!81487)) **GitLab Enterprise Edition**
- [Split rebase action buttons into two separate buttons](gitlab-org/gitlab@696f7462255c2604f97a46ab6472b895aadd4465) by @KevSlashNull ([merge request](gitlab-org/gitlab!81335))
- [Reword 'build' to 'pipeline' in todos](gitlab-org/gitlab@fee372c20e83539ae5e9b41ce03181eb87a9fc9f) by @KevSlashNull ([merge request](gitlab-org/gitlab!75901))
- [Update pipeline labels](gitlab-org/gitlab@ad48c74a8b0542b0db3f74aeff1eb32c9e48df89) ([merge request](gitlab-org/gitlab!81032))
- [Re-position the erase log button](gitlab-org/gitlab@54003d98518906d74c9b0f3484f695a631a78f19) ([merge request](gitlab-org/gitlab!81049))
- [Adjust incident list column widths and truncation ](gitlab-org/gitlab@b1b639c986813bfe9ee8e819156671c1a1ab6fdf) ([merge request](gitlab-org/gitlab!80645))
- [Replace the gitlab import haml modal with a GlModal](gitlab-org/gitlab@42bcf23bdcc38cfbc14ae1296aff949721df6689) ([merge request](gitlab-org/gitlab!80863))
- [Adds a notification for a future dated license](gitlab-org/gitlab@7fa25e26d01c92b7af3c731e4d494dc80ee4d2ab) ([merge request](gitlab-org/gitlab!77304)) **GitLab Enterprise Edition**
- [Use strong params for ProjectsController by default](gitlab-org/gitlab@8dc1b646fe9da7a95f74cfb2d9d51b72bdbed619) ([merge request](gitlab-org/gitlab!81392))
- [Update iteration lists](gitlab-org/gitlab@d72a96bf2bb35dd8a80bc674f1770500bcc84c20) ([merge request](gitlab-org/gitlab!78039)) **GitLab Enterprise Edition**
- [Improve accessibility on empty project page](gitlab-org/gitlab@747130b16d92231a506c86b1b7d46eac7f5dafa1) ([merge request](gitlab-org/gitlab!81265))
- [Use GlAvatar in operations dashboard](gitlab-org/gitlab@22b275427d636ae0b5ff3333ec5a660e62e02454) ([merge request](gitlab-org/gitlab!81233)) **GitLab Enterprise Edition**
- [Update trial status reminder design](gitlab-org/gitlab@2ef8e7b8049bf059241280b3906814a56120acd8) ([merge request](gitlab-org/gitlab!80611)) **GitLab Enterprise Edition**
- [Hide issue header dropdown button if there are no actions](gitlab-org/gitlab@e09446bbd1179cf7b9ad6d316d065e23a4bc2c77) by @KevSlashNull ([merge request](gitlab-org/gitlab!76055))
- [Use groups API for Approvals form by default](gitlab-org/gitlab@1722e7adc88ff3abe51fcf287f91dc293aa2dcd3) ([merge request](gitlab-org/gitlab!80933)) **GitLab Enterprise Edition**
- [Remove the VSA duration chart stage dropdown](gitlab-org/gitlab@a5a58e7e7aeb329ed261897c999817cc77b47816) ([merge request](gitlab-org/gitlab!80365)) **GitLab Enterprise Edition**
- [Introduce new jobs tab](gitlab-org/gitlab@573741bcde8a1e62231c820f8fe992f5ca01363a) ([merge request](gitlab-org/gitlab!79631))
- [Rate limit epic create service](gitlab-org/gitlab@de97dfabebb77f1cbcccc28f2217e92a9e8fbe55) ([merge request](gitlab-org/gitlab!80909)) **GitLab Enterprise Edition**
- [Use sentence case for trigger events](gitlab-org/gitlab@73c8339829e3004dcd7e951ebdf7f8e188a2002f) ([merge request](gitlab-org/gitlab!80899))
- [Remove GlAlert contained prop](gitlab-org/gitlab@4d4ae050480e41cc796908879c08bd02f53e8c7b) ([merge request](gitlab-org/gitlab!81167)) **GitLab Enterprise Edition**
- [Switched title to h1 on issues](gitlab-org/gitlab@62fe29f4c160b8b439503b1acc26fe44a2e17ad4) ([merge request](gitlab-org/gitlab!75248))
- [Improve Amazon EKS settings text](gitlab-org/gitlab@111b8f2c031b6bebd348682641112b02698960b3) ([merge request](gitlab-org/gitlab!81114))
- [Stop using type, and use type_new instead](gitlab-org/gitlab@3e6da3aaa23204f45b35b3698d07b984b9ed76ce) ([merge request](gitlab-org/gitlab!80065))
- [Drop show_diff_preview_in_email column](gitlab-org/gitlab@8395ee778260fa68fd4e6f956b4bcb3e9e064d55) ([merge request](gitlab-org/gitlab!81200))
- [Add aria-label and tooltip to the emoji picker](gitlab-org/gitlab@a59272bceca5f866fbb43dd02da1daa01b8c7d42) ([merge request](gitlab-org/gitlab!68297))
- [Update cleanup policy parameters](gitlab-org/gitlab@40398dffd2b17b93f8dca1807de08e12b9049f51) ([merge request](gitlab-org/gitlab!80809))
- [Increase text limit of maintainer_note field](gitlab-org/gitlab@9e754ee50718ccc95f4e28ec1f8509a20088e27e) ([merge request](gitlab-org/gitlab!81137))
- [Clear future subscriptions info on license destroy](gitlab-org/gitlab@80b5526d8fb38198773f41e9afc7d1f6b5714822) ([merge request](gitlab-org/gitlab!80330)) **GitLab Enterprise Edition**
- [Change button variant to confirm in Web IDE modals](gitlab-org/gitlab@b4603317985e5ec556bbd92f66f1f47f3418e0ee) ([merge request](gitlab-org/gitlab!80780))
- [Allow only topic names that are case insensitive unique](gitlab-org/gitlab@c98cb46f3378ebf7405a3e99f434ed8fb0fba271) by @wwwjon ([merge request](gitlab-org/gitlab!79826))
- [Return project delete errors](gitlab-org/gitlab@72d3dcf6c382c060ec0ac0cf376ff05eda8d355c) ([merge request](gitlab-org/gitlab!78500))
- [Replace GlSegmentedControl with GlDropdown](gitlab-org/gitlab@6d20f713f7a37fddc869b486ca0e543f71470441) ([merge request](gitlab-org/gitlab!81113))
- [Change the order column of topics to non_private_projects_count](gitlab-org/gitlab@99f6dfc88b70a531b695d9d54df2c6bb28ac293e) by @wwwjon ([merge request](gitlab-org/gitlab!80478))
- [Removed rate_limited_service_issues_create flag](gitlab-org/gitlab@e2e94cce73d89d27f11403eaa5bdce6f90ed59a4) ([merge request](gitlab-org/gitlab!80990))
- [Migrate create protected branch form to GlToggle](gitlab-org/gitlab@66ed251bb9dbe7defbec50f600a82855b084b6b1) ([merge request](gitlab-org/gitlab!80548))
- [Deprecate test reports relationship with requirements](gitlab-org/gitlab@bd97abee754fb3acd64a18845d77332df9c31ab7) ([merge request](gitlab-org/gitlab!78120)) **GitLab Enterprise Edition**
- [Update registry regex to allow 4 levels](gitlab-org/gitlab@410c970974170522ba87fc5b0cd52f00ce72863c) ([merge request](gitlab-org/gitlab!80929))
- [Validate NOT NULL on security_findings.uuid column](gitlab-org/gitlab@e0e968681363a80e1e17146aa6f073643d72eafc) ([merge request](gitlab-org/gitlab!80912))
- [Migrate edit protected branch form to GlToggle](gitlab-org/gitlab@1648af2459591cb3f86b4a2862feb4b94bc70b3c) ([merge request](gitlab-org/gitlab!80549))
- [Clean up feature flag publish_project_deleted_event to enable by default](gitlab-org/gitlab@4d49dff5001aa842e250bb42aa55dfd16154e63b) ([merge request](gitlab-org/gitlab!80875))
- [Default to delayed deletion for projects not in personal namespace](gitlab-org/gitlab@b420e180be529965e6e6111aa06be187d46d4cec) ([merge request](gitlab-org/gitlab!80139))
- [Enable scan_result_policy by default](gitlab-org/gitlab@d39e2c8a0756d2fc520e668137267aa021bde65e) ([merge request](gitlab-org/gitlab!80831)) **GitLab Enterprise Edition**
- [Append URL issue description to template](gitlab-org/gitlab@3a6ed05de16d6e5e0d705973785db400750dbd4e) by @smokris ([merge request](gitlab-org/gitlab!80554))
- [Remove fork_project_form feature flag](gitlab-org/gitlab@9e2d32da4ae18da3b441583c0b36e04726e536ae) ([merge request](gitlab-org/gitlab!77181))
- [Add SUPPORTED_VERSIONS and DEPRECATED_VERSIONS to SchemaValidator](gitlab-org/gitlab@d79f6b5bfbdac89e4d375e8fe5f76d22f39513c3) ([merge request](gitlab-org/gitlab!80498))
- [Update documentation for Usage quota](gitlab-org/gitlab@e039019fc82f899cb950dc7d12d398f17adceb93) ([merge request](gitlab-org/gitlab!80182))

### Deprecated (3 changes)

- [Deprecate VALIDATE_SCHEMA configuration variable](gitlab-org/gitlab@959c1422f429f8e7411a89eaff9119ffdd3b7159) ([merge request](gitlab-org/gitlab!82449))
- [Add deprecation notice to NetworkPolicyConnection](gitlab-org/gitlab@8337c8bb4da57a543c9a1312e4e7d953d870dfbb) ([merge request](gitlab-org/gitlab!82441)) **GitLab Enterprise Edition**
- [feat: Update SECURE_ANALYZER_PREFIX in all Sec Section templates](gitlab-org/gitlab@382bd94d9ef13b07603f29ce39b54b4699cf8f77) ([merge request](gitlab-org/gitlab!80342))

### Removed (10 changes)

- [Clean up import and other invite members modal rollout pieces](gitlab-org/gitlab@20f015094137ad2703d5116afbd55e7bf3cbb500) ([merge request](gitlab-org/gitlab!82821))
- [Untrack external_pull_requests row deletions](gitlab-org/gitlab@75ac2ecd0935b2969650bbff52c7fbc8eb343364) ([merge request](gitlab-org/gitlab!82476))
- [Remove support for unsafe regular expressions](gitlab-org/gitlab@4c75b10e3c9c7a0740d99dae0d4fea20bf48868e) ([merge request](gitlab-org/gitlab!79611))
- [Drop unused partitioned_foreign_keys table](gitlab-org/gitlab@42913c5ab28e980c244bbd42bfba4dd34bb4c2b1) ([merge request](gitlab-org/gitlab!82215))
- [Cleanup Code Quality Walkthrough experiment](gitlab-org/gitlab@2333b6ecc57cbdd95e69a7c30b254e7ba3ac44c0) ([merge request](gitlab-org/gitlab!82106))
- [Cleanup Ci Runner Templates experiment](gitlab-org/gitlab@6634d3a35dfd7bd3d5220de859f50b06e5a99f19) ([merge request](gitlab-org/gitlab!81168))
- [Remove :cluster_vulnerabilities feature flag](gitlab-org/gitlab@e7b5b39bbb1ebfe8012de88222c88b1fef4aa00a) ([merge request](gitlab-org/gitlab!81462)) **GitLab Enterprise Edition**
- [Clean up forcibly_show_trial_status_popover experiment](gitlab-org/gitlab@1b93b0c39b65422c07807b4f849778cbd0834efb) ([merge request](gitlab-org/gitlab!80413))
- [Remove `security_report_ingestion_framework` feature flag](gitlab-org/gitlab@db93cc96fe2ef4478531f7f27b212500b0b98df1) ([merge request](gitlab-org/gitlab!81021)) **GitLab Enterprise Edition**
- [Remove cache_shared_runners_enabled FF](gitlab-org/gitlab@ed2cd31564381453db86800027e5ff823fd53602) ([merge request](gitlab-org/gitlab!81143))

### Security (16 changes)

- [Set nosniff header on assets requests](gitlab-org/gitlab@72b2cb327beba926ad3a62af525521820d79f7a7) ([merge request](gitlab-org/gitlab!82563))
- [Default enable header_read_timeout_buffered_io](gitlab-org/gitlab@4dde99e1d90e7cb115d113a6cc132d11b7b65488) ([merge request](gitlab-org/gitlab!81910))
- [Escape branch names in push instructions](gitlab-org/gitlab@e1f3fd2be8b76cdd45e6f44615f5eed185a0844b) ([merge request](gitlab-org/gitlab!82448))
- [Create Error.rb, update ProcessPolicyService](gitlab-org/gitlab@e2250af72ad76e736d3adc5977a97af346570094) by @FacVain ([merge request](gitlab-org/gitlab!79667)) **GitLab Enterprise Edition**
- [Add Integration.encrypted_properties](gitlab-org/gitlab@0ee6c61d8051661ffbc789f1af81a5c63c412fed) ([merge request](gitlab-org/gitlab!80219))
- [Warn when snippet contains unretrievable files](gitlab-org/gitlab@f9dc8a613d6fe05c55f9384141597a2664210c24)
- [Change runners_token prefix for Group and Project](gitlab-org/gitlab@08873630734bdd1efbcf7eb9b0e334c7b3babcb0)
- [Add runners_token prefix to Group and Project](gitlab-org/gitlab@518468d38df9bf0d62ede1f70f383d495ed333a0)
- [Only expose `id` and `name` attributes when serializing deploy token](gitlab-org/gitlab@b893d583b15e68ed8065148773165d79c5fce7ec) ([merge request](gitlab-org/gitlab!81587))
- [Prevent DOS when rendering math markdown](gitlab-org/gitlab@40b1b67a4c437304ab4646207cb5bbb420ce9ec8)
- [Limit commands_changes to certain keys](gitlab-org/gitlab@ae5a7735ffebfeed8d99e266a41a196eca0d60c2)
- [Reset password field on page load](gitlab-org/gitlab@76b35cdba11c280a29f89af3dfbb395a9af44f99)
- [Check permission when creating members through service](gitlab-org/gitlab@2063a3b626e9927380633603719a3c6bbe9dc447)
- [Check for unsafe characters in email addresses before sending](gitlab-org/gitlab@97f804b394ee1e2b36972b12240d27c7ad1bc671)
- [Anonymous user can enumerate all users through GraphQL endpoint](gitlab-org/gitlab@8e550ad519d1c74f82b8e3f900a212ffb495e626)
- [Exif metadata not stripped when uploading image attachments via Emails](gitlab-org/gitlab@5dd9cc8fe85e0435db0891e22b22dc58ebb824d7) ([merge request](gitlab-org/gitlab!80735))

### Performance (10 changes)

- [Improve performance of group releases endpoints](gitlab-org/gitlab@c259d6af344b1016cb332f1683d24fcba4353125) ([merge request](gitlab-org/gitlab!80093))
- [Load highlight.js languages asynchronously](gitlab-org/gitlab@6b881013f3b8152d2a10138118eef91f6d872595) ([merge request](gitlab-org/gitlab!82638))
- [Add index on releases table to resolve cicd settings page timeout](gitlab-org/gitlab@74e0a1394f144ed0e4cf2c2000574ee8a0f3cfc9) ([merge request](gitlab-org/gitlab!82506))
- [Fix slow query for "All" tabs in "Your projects" activity page](gitlab-org/gitlab@c12eb806b05da2abfd282e3c9fd5bf7058b4e7cf) ([merge request](gitlab-org/gitlab!82296))
- [Drop old index for security ci builds on name and id parser](gitlab-org/gitlab@7e03d6ad1bbbcc861f8e5e4a6ec815db7c1c5c3f) ([merge request](gitlab-org/gitlab!82354))
- [Create new index for security ci builds with new features](gitlab-org/gitlab@fdd7c1db3d5b1086a72e29b0f5bd1b202d121637) ([merge request](gitlab-org/gitlab!82047))
- [Recreate index for security builds to include fuzzing jobs](gitlab-org/gitlab@c49556695136d525f05bc4eef0c9af1146d9d958) ([merge request](gitlab-org/gitlab!81586))
- [Schedule async weekend build of index for job traces](gitlab-org/gitlab@1487cf22f9cc62cd872b4f34584fe5feba6daca3) ([merge request](gitlab-org/gitlab!81341))
- [Decrease the default fast statement timeout](gitlab-org/gitlab@f4590fd25760f9a2faa3f83b8d8364b85404a1a3) ([merge request](gitlab-org/gitlab!81270))
- [GlTableLite in favor of GlTable for runners list](gitlab-org/gitlab@eff40efc7d434ae03a57b348a8cd8b4d78591750) ([merge request](gitlab-org/gitlab!80928))

### Other (82 changes)

- [Adjust NullifyOrphanRunnerIdOnCiBuilds batch parameters](gitlab-org/gitlab@4c0efcd32868b6bdb156f3d692a3ed9bf2388a72) ([merge request](gitlab-org/gitlab!83094))
- [Remove duplicate releases from projects](gitlab-org/gitlab@81a5a6f417922316a4a9d45fe8f6d22b34be3ae3) ([merge request](gitlab-org/gitlab!82335))
- [Pass formats explicitly when rendering .html format](gitlab-org/gitlab@0481fdffaa0f0b591f4c4513976ab9b5350e7e92) by @edith007 ([merge request](gitlab-org/gitlab!75784))
- [Complete environments `GET` API docs](gitlab-org/gitlab@dd75643207db136116dce6d969710e4f6adf95cc) by @tuxtimo ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82980))
- [Add statistics seats card](gitlab-org/gitlab@b7e33581018e9ffa955a250a77a9d43394c1b069) ([merge request](gitlab-org/gitlab!80260)) **GitLab Enterprise Edition**
- [Remove `maxlength` limit from the project description textarea](gitlab-org/gitlab@8089d69fd4dcab624b39e5c05b35de37c0834f62) ([merge request](gitlab-org/gitlab!82812))
- [Add support for relating epics](gitlab-org/gitlab@0a36bbc54b9db652e4f9a3d2b6d770936371f6b8) ([merge request](gitlab-org/gitlab!82128)) **GitLab Enterprise Edition**
- [Revert changes about moving methods to base class](gitlab-org/gitlab@88ad6814dfd0c17c1ea78609de30fd6897957e9a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82849)) **GitLab Enterprise Edition**
- [Add list related epic links API documentation](gitlab-org/gitlab@709930602b75acce740056bfefb806ce2ad4e208) ([merge request](gitlab-org/gitlab!82628))
- [Remove restrict_special_characters_in_project_path feature flag](gitlab-org/gitlab@9aa12e3b7d5e485fd94fcec3b06cbb4906b52480) ([merge request](gitlab-org/gitlab!82807))
- [Update import manifest alert](gitlab-org/gitlab@a15c7181b47acdc661a29e34690d9908ba2ae440) ([merge request](gitlab-org/gitlab!82761))
- [Update gcp signup offer to alert partial](gitlab-org/gitlab@f05cb91d5142b1d699e8e0f9bb5876fb8e61100e) ([merge request](gitlab-org/gitlab!82759))
- [Update runner edit alert to use partial](gitlab-org/gitlab@b661d85b502b634f331d9175b2b5d40737abe90d) ([merge request](gitlab-org/gitlab!82758))
- [Fix GraphQL/FieldMethod offense (Part 1/2)](gitlab-org/gitlab@ff8b0e5be942f5b8d1de67e19ac28d2180d10c3e) by @KevSlashNull ([merge request](gitlab-org/gitlab!76020))
- [Remove dependency list usage data from Redis](gitlab-org/gitlab@91b4a64615b667331cc1ee8407e623c2e520103e) ([merge request](gitlab-org/gitlab!82604)) **GitLab Enterprise Edition**
- [Remove corpus management feature flags](gitlab-org/gitlab@b504880a7f839d48025938fe632269a1be926cc8) ([merge request](gitlab-org/gitlab!82463)) **GitLab Enterprise Edition**
- [Fix artifacts with wrong expire_at date](gitlab-org/gitlab@bbc5329a58bd25c629ac9f318b92e3b37c16db08) ([merge request](gitlab-org/gitlab!82084))
- [Update data in batches while deleting a user](gitlab-org/gitlab@049a428c8e008f822d79011cbd978456a40a9751) ([merge request](gitlab-org/gitlab!81429)) **GitLab Enterprise Edition**
- [Document performance implication of the feature flags](gitlab-org/gitlab@bfce1da9a755c3a62844cc62022a27d65be23464) ([merge request](gitlab-org/gitlab!81880))
- [Remove real-time feature flags](gitlab-org/gitlab@ea7853ac062b234a13444b0a92da773ce1b2f0b4) ([merge request](gitlab-org/gitlab!82378))
- [Move reactive cache methods to base class](gitlab-org/gitlab@0e91a796b8ca11be25284a12cfceb8f19ade63e9) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/82442)) **GitLab Enterprise Edition**
- [This enables the pipeline_schedules_with_tags feature flag](gitlab-org/gitlab@ed19925c1b86a58044047fe721e7aedd5ec95171) ([merge request](gitlab-org/gitlab!82428))
- [Remove the invite members modal feature flag](gitlab-org/gitlab@f953bfffaa7c46aa0cb0d3d7ed1b63df0f2e7be3) ([merge request](gitlab-org/gitlab!81940)) **GitLab Enterprise Edition**
- [Remove feature flag `project_owners_list_project_pending_deletion`](gitlab-org/gitlab@323e070bb6208855509c87f5c894c5e105b0141b) ([merge request](gitlab-org/gitlab!82372)) **GitLab Enterprise Edition**
- [Update Web IDE copy](gitlab-org/gitlab@0b8d1bae9702cc0be39ccb4715f31c5c0585a050) ([merge request](gitlab-org/gitlab!82256))
- [Add dispensable_render methods](gitlab-org/gitlab@1780145c511648bd7811e0f617a14d98f1e37be9) ([merge request](gitlab-org/gitlab!81546))
- [Remove ci_pipeline_merge_request_presence_check feature flag](gitlab-org/gitlab@3b06ee0014336480b7c180a1821b2b964db9250b) ([merge request](gitlab-org/gitlab!82107))
- [Remove default_merge_ref_for_diffs feature fflag](gitlab-org/gitlab@2608f81c4d52d751c4390b33fd7042292d622765) ([merge request](gitlab-org/gitlab!82069))
- [Remove rearrange_pipeline_table feature flag](gitlab-org/gitlab@6ace75f59f3c42abdfdf8a9078e02308a097a914) ([merge request](gitlab-org/gitlab!81924))
- [Add RelatedEpicsLinks::DestroyService](gitlab-org/gitlab@b6da269cf095fdd82dcd56a1e1a0f469caf5e80d) ([merge request](gitlab-org/gitlab!81610)) **GitLab Enterprise Edition**
- [Ignore requirements_management_test_reports.requirement_id column](gitlab-org/gitlab@778ffb36ec8eaa10ec9791aadc7806b707dcdb5d) ([merge request](gitlab-org/gitlab!82134)) **GitLab Enterprise Edition**
- [Add nullify job for orphan runner_id columns of ci_builds](gitlab-org/gitlab@b44fac47468e79efb2ec92a4dd0326ef9a489d11) ([merge request](gitlab-org/gitlab!81410))
- [Rerun ConvertStringifiedRawMetadataHashToJson inline](gitlab-org/gitlab@1e4c6529f3d862b830e5ce524ba27ffee80e4617) ([merge request](gitlab-org/gitlab!80768))
- [Update GlAlert in security dashboard table](gitlab-org/gitlab@f9211802661ed7de62113dfb7cc3983dee402975) ([merge request](gitlab-org/gitlab!82014)) **GitLab Enterprise Edition**
- [Fix GraphQL/OrderedFields offenses](gitlab-org/gitlab@321b3ca23e7efb069ecd6346da6e0684b1f68de7) by @edith007 ([merge request](gitlab-org/gitlab!81469))
- [Remove context_commits feature flag](gitlab-org/gitlab@960ccee0fc4962bb2c0cfb88fd94313366b5b710) ([merge request](gitlab-org/gitlab!80881))
- [Remove deprecated package application setting](gitlab-org/gitlab@e3e1cdd682037dd65b34e7ef84b42332510a2adc) ([merge request](gitlab-org/gitlab!80842))
- [Remove feature flag for bulk inserting job tags](gitlab-org/gitlab@f78b53e0fb59848b54b89cce8025963a1d5cca87) ([merge request](gitlab-org/gitlab!79243))
- [Cleanup back-filling CI queuing tables migration](gitlab-org/gitlab@af8fa00f4ceb2fb2e02658a2715c059136a5a3f7) ([merge request](gitlab-org/gitlab!81602))
- [Fix GraphQL/OrderedFields offenses](gitlab-org/gitlab@868a9d2575c2883f32e2ae5cf419ace538cc7bec) by @edith007 ([merge request](gitlab-org/gitlab!81474))
- [Fix GraphQL/OrderedFields offenses](gitlab-org/gitlab@0ec8ab44613d558ead33856d283d2d902ccf0eb0) by @edith007 ([merge request](gitlab-org/gitlab!81466))
- [Fix GraphQL/OrderedFields offenses](gitlab-org/gitlab@def8caf919ad9712b43d2047e74934f821624db2) by @edith007 ([merge request](gitlab-org/gitlab!81478))
- [Remove snippets_binary_blob FF](gitlab-org/gitlab@ca06b30a7eaa1629a87535084d3a8759c55e9c91) ([merge request](gitlab-org/gitlab!81827))
- [Remove usage_data_i_snippets_show FF](gitlab-org/gitlab@32ae392e789989f35f30b8288b51ca5d6b5ade61) ([merge request](gitlab-org/gitlab!81822))
- [Implement Gitlab mirror scheduling tracker](gitlab-org/gitlab@b1194aa8a9af09e9eb6e6f0bc84d3654754232e8) ([merge request](gitlab-org/gitlab!81249))
- [Add certificate_based_clusters FF to Service Ping](gitlab-org/gitlab@33601c638476cbb671f46dde724939dda85c20e6) ([merge request](gitlab-org/gitlab!81311))
- [danger: Use changelog rule from gitlab-dangerfiles](gitlab-org/gitlab@59d5f1b34b23fd573ce1d506cc8e98ab34a61c57) ([merge request](gitlab-org/gitlab!81290))
- [Resolve Rails/LinkToBlank rubocop offenses](gitlab-org/gitlab@04fd3292dfdd8764e8503639ddb09572b5a321ec) by @edith007 ([merge request](gitlab-org/gitlab!81397)) **GitLab Enterprise Edition**
- [Resolve Rails/IndexBy rubocop offenses](gitlab-org/gitlab@6ad4f10a77aa5b3c422f6dc38278125b37f08641) by @edith007 ([merge request](gitlab-org/gitlab!81391)) **GitLab Enterprise Edition**
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@36fc826acad51070955162828969bcd39a058f60) by @edith007 ([merge request](gitlab-org/gitlab!81246)) **GitLab Enterprise Edition**
- [Remove feature flag `group_merge_request_approval_settings_feature_flag`](gitlab-org/gitlab@ef2be58240abeb54263d31696844b614ecb4ba37) ([merge request](gitlab-org/gitlab!81252)) **GitLab Enterprise Edition**
- [Move shared code for related epic links](gitlab-org/gitlab@1881821dbcccac5eecd9ea7f3c57d5dedfb03fca) ([merge request](gitlab-org/gitlab!81320)) **GitLab Enterprise Edition**
- [Remove the `container_expiration_policies_historic_entry` feature flag](gitlab-org/gitlab@2a1259f2137db65b3e068cccafa9c8c182fe1dcc) ([merge request](gitlab-org/gitlab!80826))
- [Fix GraphQL/OrderedFields offenses](gitlab-org/gitlab@1c211096525e7bde3f65e2cace007e2ec47d00ca) by @edith007 ([merge request](gitlab-org/gitlab!81481))
- [Fix GraphQL/OrderedFields offenses](gitlab-org/gitlab@a39986e8dda55b1ee8c7c797245b60eb07a02974) by @edith007 ([merge request](gitlab-org/gitlab!81471))
- [Fix GraphQL/OrderedFields offenses](gitlab-org/gitlab@5f9d3afd383f43e9870b3943371e41c0c65e540c) by @edith007 ([merge request](gitlab-org/gitlab!81467))
- [Fix GraphQL/OrderedFields offenses](gitlab-org/gitlab@aea3aec7de86702e490a7e3a2acbdc7c35bbbfe7) by @edith007 ([merge request](gitlab-org/gitlab!81414)) **GitLab Enterprise Edition**
- [Fix GraphQL/OrderedFields offenses](gitlab-org/gitlab@a7b989d814f7851aec719ace35665dbd9c63c06a) by @edith007 ([merge request](gitlab-org/gitlab!81428))
- [Fix GraphQL/OrderedFields offenses](gitlab-org/gitlab@85c0032cbb3f94370d4498814f177d7224838bef) by @edith007 ([merge request](gitlab-org/gitlab!81425)) **GitLab Enterprise Edition**
- [Support load timings for non-Chromium browsers](gitlab-org/gitlab@fdbde7c998b42d8622c0dfe7ce3c5f1da2c09600) by @davebarr ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/81260))
- [Resolve Rails/ShortI18n rubocop offenses](gitlab-org/gitlab@481b3bc0b13ca8e7d50cc142de4186aa572dff2c) by @edith007 ([merge request](gitlab-org/gitlab!81399))
- [Migrate projects create from template page to GlTabs](gitlab-org/gitlab@a607d8131003415c479e74ec2ded124ea2d252b8) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/81254))
- [Memoize group secret variables on the variables builder](gitlab-org/gitlab@669cedbbd7e4d0f6e55ca4dc5ed30767db35b065) ([merge request](gitlab-org/gitlab!79936))
- [Resolve Performance/Sum rubocop offenses](gitlab-org/gitlab@c223a6021f565fea96b3fbae4ee7c59b2b1738b5) by @edith007 ([merge request](gitlab-org/gitlab!81350)) **GitLab Enterprise Edition**
- [Resolve Performance/DeleteSuffix rubocop offenses](gitlab-org/gitlab@fd5987e7ff762dacc6a78f8b025635bd9058ae4c) by @edith007 ([merge request](gitlab-org/gitlab!81344))
- [Remove feature flag for Group Projects API Plan Preloading](gitlab-org/gitlab@79469788adb49b64cc6bcb09c1f3ac8aac7b3e67) ([merge request](gitlab-org/gitlab!81324)) **GitLab Enterprise Edition**
- [Show an IPv6 sample in placeholder text](gitlab-org/gitlab@3f626453daca70c0df3a2b28708545c93302f61e) ([merge request](gitlab-org/gitlab!80792)) **GitLab Enterprise Edition**
- [Fix GraphQL/OrderedArguments offense (Part 6/6)](gitlab-org/gitlab@8d7a0608a4be68f3f650c9ea986427d869f4cb40) by @KevSlashNull ([merge request](gitlab-org/gitlab!76028))
- [Add advanced_search metrics to the dictionary](gitlab-org/gitlab@66057046f073a33b9f9c618e6fc5dee7dbb4af53) ([merge request](gitlab-org/gitlab!81003)) **GitLab Enterprise Edition**
- [Rename usage column in storage projects-list](gitlab-org/gitlab@eb69a2db015389981355328a52e572f64c9b484e) ([merge request](gitlab-org/gitlab!81144)) **GitLab Enterprise Edition**
- [Set worker resource boundary for ImportRequirementsCsvWorker](gitlab-org/gitlab@5f23bc1dced38334e2a14de7232dfcb805c48b7c) by @edith007 ([merge request](gitlab-org/gitlab!81229)) **GitLab Enterprise Edition**
- [Clean up roadmap_settings feature flag](gitlab-org/gitlab@fb7bd832a5c9bdbd6318c744a1d6618b209e6481) ([merge request](gitlab-org/gitlab!80975))
- [Fix GraphQL/FieldDefinitions offense (Part 4/4)](gitlab-org/gitlab@f06a2c460efb3cebf087be61c8393b8e49c05137) by @KevSlashNull ([merge request](gitlab-org/gitlab!76017))
- [Fix GraphQL/OrderedArguments offense (Part 5/6)](gitlab-org/gitlab@210baf44a6eb8c254261119b30022d3f30f5734c) by @KevSlashNull ([merge request](gitlab-org/gitlab!76027))
- [Simplify container repository delete tags services](gitlab-org/gitlab@67e8cf3f8308b14615d1f30d8afdca973f4f8b9b) by @edith007 ([merge request](gitlab-org/gitlab!81187))
- [Make labels sort dropdown pajamas compliant](gitlab-org/gitlab@47dee9f25e1e7cb23fb0fb4863465a8fc35ac81c) ([merge request](gitlab-org/gitlab!80702))
- [Fix Style/OpenStructUse offenses in auth provider specs](gitlab-org/gitlab@cad9f4cccf016bbabcbbef18d042ee4a0bb079f8) by @edith007 ([merge request](gitlab-org/gitlab!75277))
- [Remove the generic_packages feature flag](gitlab-org/gitlab@a6b06521df3d9beffdfbdb02146990c4c813da0e) ([merge request](gitlab-org/gitlab!80886))
- [Remove delegate as it's redundant due to SimpleDelegator](gitlab-org/gitlab@46d5c76e0b953bc004cb6a4656a8e0f8dd8842ee) by @edith007 ([merge request](gitlab-org/gitlab!75883))
- [Remove unneeded override in Ci::PipelinePresenter](gitlab-org/gitlab@35ae95950999d2efbbc35fc9076335ed2afffd3f) by @edith007 ([merge request](gitlab-org/gitlab!75854))
- [Clean up issue_boards_filtered_search feature flag](gitlab-org/gitlab@a97ed09ffb0d88007b21a314ab48b2e50d7c4bfa) ([merge request](gitlab-org/gitlab!80771))
- [Add table for storing issue tsvector](gitlab-org/gitlab@ceabf5a8ad0d67768b05a58a84b242495645a57c) ([merge request](gitlab-org/gitlab!71913))

## 14.8.6 (2022-04-29)

### Security (14 changes)

- [Update Import/Export merge/push access levels & exclude ci config path](gitlab-org/security/gitlab@abfa8d4c128316b1ba095ff8eda7e86018e47caf) ([merge request](gitlab-org/security/gitlab!2372))
- [Prevent maintainers from editing PipelineSchedule](gitlab-org/security/gitlab@761a7777cb480d02b9c3418aa7317eba7c0eaff1) ([merge request](gitlab-org/security/gitlab!2423))
- [Add validation to pypi file sha256 values](gitlab-org/security/gitlab@712cc01aee2be4b6a9847746a080f190041367d5) ([merge request](gitlab-org/security/gitlab!2417))
- [Conan Token uses PAT rather than ID in payload](gitlab-org/security/gitlab@ba3070c90dd1b575982df22c256b0e3f97a9e919) ([merge request](gitlab-org/security/gitlab!2346))
- [[security] Fix markdown API disclosing issue titles of limited projects](gitlab-org/security/gitlab@fd3cb263e8f165a4a1a7894c08ddf254f9cf1e92) ([merge request](gitlab-org/security/gitlab!2405))
- [Verify that mentioned user can read TODO's note](gitlab-org/security/gitlab@e54be58cc79011d7c79dae94b993774ab36ef232) ([merge request](gitlab-org/security/gitlab!2398))
- [Invalidate markdown cache to clear up stored XSS](gitlab-org/security/gitlab@160cdda98c80e052abbb4bec226ad63fe9c9e403) ([merge request](gitlab-org/security/gitlab!2420))
- [Allow rate limiting of deploy tokens](gitlab-org/security/gitlab@78f7ee3d7e1258375ddcea3a20e3798092e89d41) ([merge request](gitlab-org/security/gitlab!2385))
- [Add suffix to cache name to add isolation](gitlab-org/security/gitlab@184d49640f5dcc4ac1522c874a7b5e0c16d2e05f) ([merge request](gitlab-org/security/gitlab!2373))
- [Disable wiki access with CI_JOB_TOKEN when improper access level](gitlab-org/security/gitlab@db93d134394675a4335c92557a55ac4381ed303f) ([merge request](gitlab-org/security/gitlab!2391))
- [Sanitize error input to prevent HTML/CSS injection in messages](gitlab-org/security/gitlab@333dd602091810639912702c80034468ff6f8aa0) ([merge request](gitlab-org/security/gitlab!2378))
- [Secure debug trace artifact download](gitlab-org/security/gitlab@266d812ba2e8e9936269323465c867983e3a2ebf) ([merge request](gitlab-org/security/gitlab!2367))
- [Use password type for all secret integration properties](gitlab-org/security/gitlab@eda2b8f02b34ead354ef07b9e41be006cf90f51b) ([merge request](gitlab-org/security/gitlab!2411))
- [Limit CI job group_name regexp](gitlab-org/security/gitlab@03ab6e9f312fb6fe50a6361f7bc78d527b223b96) ([merge request](gitlab-org/security/gitlab!2381))

## 14.8.5 (2022-03-31)

### Security (21 changes)

- [Update to commonmarker 0.23.4](gitlab-org/security/gitlab@51532ccc5f1b6b053d4ca6c54496607e62f8f25c) ([merge request](gitlab-org/security/gitlab!2282))
- [Revert merge request approval groups behavior](gitlab-org/security/gitlab@dd9724e429033974da6c3852dc6fd33f0f2b0a46) ([merge request](gitlab-org/security/gitlab!2334))
- [Disallow login if password matches a fixed list](gitlab-org/security/gitlab@6779d5f2948425a7ad7f19a6e10f82cc10b80989) ([merge request](gitlab-org/security/gitlab!2358))
- [Update devise-two-factor to 4.0.2](gitlab-org/security/gitlab@0329d2d82a9064c0bae36e7b993ee40df7c999bc) ([merge request](gitlab-org/security/gitlab!2350))
- [Limit the number of tags associated with a CI runner](gitlab-org/security/gitlab@8d5938c08fe66c22f1bc54ff76cc9daf2de86b1a) ([merge request](gitlab-org/security/gitlab!2302))
- [GitLab Pages Security Updates for 14.9](gitlab-org/security/gitlab@5a5a862c8a9e37ca2ea84133f92b216eaa7cd148) ([merge request](gitlab-org/security/gitlab!2328))
- [Upgrade swagger-ui dependency](gitlab-org/security/gitlab@afcb570867db61347bb6a4e243bb2557340191be) ([merge request](gitlab-org/security/gitlab!2337))
- [Modify release link format check to avoid regex if string is too long](gitlab-org/security/gitlab@a3ab0ff9c470c1c6e5b4fd055ddd02dffce32652) ([merge request](gitlab-org/security/gitlab!2243))
- [Masks variables in error messages](gitlab-org/security/gitlab@94236bbdb8eef6600562bdc4e242e07eaed8c50f) ([merge request](gitlab-org/security/gitlab!2291))
- [Escape user provided string to prevent XSS](gitlab-org/security/gitlab@03e695d4c34546582b503b3f7712246206b56b99) ([merge request](gitlab-org/security/gitlab!2314))
- [Monkey patch of RDoc to prevent Ruby segfault](gitlab-org/security/gitlab@14eec4487387bc0c999f1c48b046a3ed3848c5a1) ([merge request](gitlab-org/security/gitlab!2232))
- [Project import maps members' created_by_id users based on source user ID](gitlab-org/security/gitlab@7fd7ab3f57e8d8b4e0aed42aebe9a8b7436a6255) ([merge request](gitlab-org/security/gitlab!2238))
- [Redact InvalidURIError error messages](gitlab-org/security/gitlab@0592c182bfd60aee501c4c66f47a71c9469f2bcd) ([merge request](gitlab-org/security/gitlab!2296))
- [Fix access for approval rules API](gitlab-org/security/gitlab@987e06bacba224519adf94cda73b5a8b2e7b917a) ([merge request](gitlab-org/security/gitlab!2323))
- [Fix kroki exploit](gitlab-org/security/gitlab@bf056c683af25ec4b94c0efa7166eea399ed6502) ([merge request](gitlab-org/security/gitlab!2277))
- [Fix blind SSRF when looking up SSH host keys for mirroring](gitlab-org/security/gitlab@3c853a32a73aba15e309d05111b744455a360cca) ([merge request](gitlab-org/security/gitlab!2310))
- [Escape original content in reference redactor](gitlab-org/security/gitlab@00ee99bc3834d9d59572272064c9ad6abeae5975) ([merge request](gitlab-org/security/gitlab!2318))
- [Security fix for CI/CD analytics visibility](gitlab-org/security/gitlab@691d69be77ae3c8e0a2598b75ccf336b672fd540) ([merge request](gitlab-org/security/gitlab!2273))
- [Latest commit exposed through fork of a private project](gitlab-org/security/gitlab@6ca7a3b040edac06b23a697bfc2bf46f457d6b81) ([merge request](gitlab-org/security/gitlab!2271))
- [Fix Asana integration restricted branch filter](gitlab-org/security/gitlab@4c1db692b4e99fab6cdbb818cf02fb879f6d4886) ([merge request](gitlab-org/security/gitlab!2218))
- [Revert "JH need more complex passwords"](gitlab-org/security/gitlab@919aa2b28645d49fb71508362a0c61da39893c69) ([merge request](gitlab-org/security/gitlab!2353))

## 14.8.4 (2022-03-16)

### Added (1 change)

- [Detect and fix artifacts with backfilled expire_at](gitlab-org/gitlab@a627e0ac2f71e48235b956a7f744608b1cf9632f) ([merge request](gitlab-org/gitlab!83013))

### Fixed (1 change)

- [Pass issue ID to merge request creation form](gitlab-org/gitlab@86c4ec0d5f73a7139a8a22021e73171c354f9326) ([merge request](gitlab-org/gitlab!83013))

### Changed (1 change)

- [Enable feature flags to resume artifact removal on self-managed](gitlab-org/gitlab@07dcfcfc11428900de446d195e673be127ad4f07) ([merge request](gitlab-org/gitlab!83013))

## 14.8.3 (2022-03-14)

### Fixed (3 changes)

- [Fix rake task to setup the Geo tracking database](gitlab-org/gitlab@5382a63c46b205bf49b096e834f7241d6bdd6814) ([merge request](gitlab-org/gitlab!82782)) **GitLab Enterprise Edition**
- [Fix handling of resource iteration events when deleting a User](gitlab-org/gitlab@f26db84ae16d36186b70e630fcb6c3706976ce96) ([merge request](gitlab-org/gitlab!82782)) **GitLab Enterprise Edition**
- [Ensure cleanup job artifacts task does not include pipeline artifacts](gitlab-org/gitlab@c75ecbaeb59be774d8f449b180b772bd0f611a8d) ([merge request](gitlab-org/gitlab!82782))

### Changed (1 change)

- [Remove runners token prefix feature flags](gitlab-org/gitlab@9f316b9a606df7751b56b4eb966c1c02f6d6b3a0) ([merge request](gitlab-org/gitlab!82119))

## 14.8.2 (2022-02-25)

### Security (8 changes)

- [Limit commands_changes to certain keys](gitlab-org/security/gitlab@7a4e348b3ea3d34469bcd353286474c25288d836) ([merge request](gitlab-org/security/gitlab!2225))
- [Add runners_token prefix to Group and Project](gitlab-org/security/gitlab@87bd94f7252f887f22f971ffd59044b355712042) ([merge request](gitlab-org/security/gitlab!2248))
- [Anonymous user can enumerate all users through GraphQL endpoint](gitlab-org/security/gitlab@945da4fadb156ce862bdd12ee5625f57709b590d) ([merge request](gitlab-org/security/gitlab!2213))
- [Check for unsafe characters in email addresses before sending](gitlab-org/security/gitlab@641b23f6b1ad827536ea704c848330a068fc0472) ([merge request](gitlab-org/security/gitlab!2206))
- [Warn when snippet contains unretrievable files](gitlab-org/security/gitlab@d703ecef74f7d73eab3d5345af3a5d60f28c9d7f) ([merge request](gitlab-org/security/gitlab!2205))
- [Prevent DOS when rendering math markdown](gitlab-org/security/gitlab@cedf63be73dc9c37352e425cf8b8cf4e16980935) ([merge request](gitlab-org/security/gitlab!2219))
- [Check permission when creating members through service](gitlab-org/security/gitlab@6228fd285e7062dd1c2e88f8ca33bc8e9a0f4fad) ([merge request](gitlab-org/security/gitlab!2209))
- [Reset password field on page load](gitlab-org/security/gitlab@5ece8645add37c3e77f28d7afb8f28ce4bbe2b7f) ([merge request](gitlab-org/security/gitlab!2224))

## 14.8.1 (2022-02-23)

### Fixed (3 changes)

- [Allow assigning users with private profiles with quick-actions](gitlab-org/gitlab@be36d36a5a0a3d2f0a3b507acd1ab1762e1b0f34) ([merge request](gitlab-org/gitlab!81398))
- [Stop backup files from requiring directories to exist when skipped](gitlab-org/gitlab@f8002e4fe2c83bf01557020e20be5d29f70b20c6) ([merge request](gitlab-org/gitlab!81398))
- [Fix toolbar buttons in Markdown field](gitlab-org/gitlab@74c058e49eb014662a12247ae5fc5bbfb367af0e) ([merge request](gitlab-org/gitlab!81398))

## 14.8.0 (2022-02-21)

### Added (134 changes)

- [Add fields to PipelineSecurityReportFindingType](gitlab-org/gitlab@732f134e9342df18dd3f0c31668f5d43b82b35ac) ([merge request](gitlab-org/gitlab!75001)) **GitLab Enterprise Edition**
- [Add overage confirmation modal](gitlab-org/gitlab@0d26cab716b54fdbdc224e5f72b109ffb276dd90) ([merge request](gitlab-org/gitlab!79644)) **GitLab Enterprise Edition**
- [Add custom tags to the Datadog integration](gitlab-org/gitlab@694a0512374106d42b2fe8296a3bf9d0714f35e3) by @AdrianLC ([merge request](gitlab-org/gitlab!79665))
- [Save sort on querystring for vulnerability report](gitlab-org/gitlab@0000d7993aea7420d914641124a4b3aae4e6b8e5) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80140)) **GitLab Enterprise Edition**
- [Pipeline and other fixes to community contribution](gitlab-org/gitlab@091a55c1d2dcbd9b3b3041548dec3403af57df19) ([merge request](gitlab-org/gitlab!78899))
- [Allow broadcast messages to be targeted to the current user's role](gitlab-org/gitlab@cbfa1e26b2ccb41ea0cc050dcba4943e2575bc2a) ([merge request](gitlab-org/gitlab!77498))
- [Provide FF to project edit action](gitlab-org/gitlab@e35d9ec63567f6360bf1d086df6130ed2380e41c) ([merge request](gitlab-org/gitlab!80805)) **GitLab Enterprise Edition**
- [Stream audit events using audit event JSON](gitlab-org/gitlab@156e6741c0ac457821f71e49ba9b9d2ebd71cd86) ([merge request](gitlab-org/gitlab!80297)) **GitLab Enterprise Edition**
- [Add CI minutes usage charts to group usage quotas](gitlab-org/gitlab@0157ce737c68f966eb1f1d3226da33c936f46354) ([merge request](gitlab-org/gitlab!80321)) **GitLab Enterprise Edition**
- [Defaulted roadmap_settings to true](gitlab-org/gitlab@1bc7cfa4415c717c926b41c7d97106e192dd10e4) ([merge request](gitlab-org/gitlab!80766))
- [GraphQL: Expose token_expires_at property and sorting](gitlab-org/gitlab@800bf64eb87a83d78c19cfa9d2c2c196884043b6) by @KyleFromKitware ([merge request](gitlab-org/gitlab!79135))
- [Add scan method to dast site profile](gitlab-org/gitlab@cb8679b4c5f6cc1abcf6847021725f6967e72042) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78745))
- [Enable admin runner read-only runner view](gitlab-org/gitlab@a8f249d0a0bc999d823de2adbae1b022e3a2beb7) ([merge request](gitlab-org/gitlab!80726))
- [Enable corpus management for self-managed installs](gitlab-org/gitlab@5e076a822e18a30422cf0906e44ed0ec669251c1) ([merge request](gitlab-org/gitlab!80570)) **GitLab Enterprise Edition**
- [Fix(SM: Subscription): Refresh local state](gitlab-org/gitlab@b40b5a91ac7dc008cd77fa955ca0943f30d4c121) ([merge request](gitlab-org/gitlab!80482)) **GitLab Enterprise Edition**
- [Enable Service Usage data page by default](gitlab-org/gitlab@197ba70e725f4acb935a94ddcf594c0d21474a1d) ([merge request](gitlab-org/gitlab!80651))
- [Exclude pending memberships from billable members count](gitlab-org/gitlab@2ef98e1b549d7c0b433ac702f69d3f418fdc813c) ([merge request](gitlab-org/gitlab!79377)) **GitLab Enterprise Edition**
- [Make granting of open-source license to public projects configurable](gitlab-org/gitlab@cfdf221afd43c23a2940fe1abe17f66ce47fd706) ([merge request](gitlab-org/gitlab!79855))
- [Enable prohibition of hex branch names](gitlab-org/gitlab@90e848582fcaa1801a02bb1b2892c469b5ed874b) ([merge request](gitlab-org/gitlab!80603))
- [Add dependency_proxy_size to GraphQL type](gitlab-org/gitlab@d898fc91b1ab2bed851352721834aa8c1ba8b16d) ([merge request](gitlab-org/gitlab!80402))
- [Removed work_items_hierarchy feature flag](gitlab-org/gitlab@4e50d3797279effd0a21d23bd4db55086ee671bd) ([merge request](gitlab-org/gitlab!80004))
- [Add the ability to ban users in the Admin Area](gitlab-org/gitlab@aee60e7d75360563ad3d5b9e540c9969dfc20b45) ([merge request](gitlab-org/gitlab!79783))
- [Add "Delete" group button to the groups dashboard](gitlab-org/gitlab@356482ce914c09168671ada12155d0d2e34c70df) ([merge request](gitlab-org/gitlab!79312))
- [Registry import enqueuer](gitlab-org/gitlab@9ebf63832e55c731c6896670d0d12c8ea27d6e21) ([merge request](gitlab-org/gitlab!78613))
- [Add crm system notes](gitlab-org/gitlab@2729386bae652f45391c018b0fd5fb63a3080251) by @leetickett ([merge request](gitlab-org/gitlab!77816))
- [Extend the GraphQL interface with `securityTrainingUpdate` mutation](gitlab-org/gitlab@7655fb2ef3d443fd11e41a3f170cb253e4eb79c4) ([merge request](gitlab-org/gitlab!78687)) **GitLab Enterprise Edition**
- [Add alert metric image table and basic model](gitlab-org/gitlab@0adf9f76c46be0100ad5df14fa91cb5ff081ad1d) ([merge request](gitlab-org/gitlab!80339))
- [Add required approvals to Protected Environment settings](gitlab-org/gitlab@65ffaea172efa43a28ed052cb049dd2d0d745f3d) ([merge request](gitlab-org/gitlab!78931)) **GitLab Enterprise Edition**
- [Add GEMNASIUM_LIBRARY_SCAN_ENABLED variable](gitlab-org/gitlab@3f5c5dda30bfe70889401b9353d7f118ab86255e) ([merge request](gitlab-org/gitlab!80226))
- [Allow to list project group ancestors on REST API](gitlab-org/gitlab@25d21e699c2472c9021f1bd6571261ef3a2adfa4) ([merge request](gitlab-org/gitlab!79671))
- [Upgrade GitLab Pages to 1.54.0](gitlab-org/gitlab@a014857041df691d27c1fb6336bba8355f532461) ([merge request](gitlab-org/gitlab!80406))
- [Add `public_projects_count` counter to topics](gitlab-org/gitlab@4b79ed2389e21677a060e2aaea19f60a43f0b2ff) by @wwwjon ([merge request](gitlab-org/gitlab!79140))
- [Registry import observer worker](gitlab-org/gitlab@0493b2525e8b5a3123e12bd4f0be8e8c14a22997) ([merge request](gitlab-org/gitlab!79692))
- [Add support for contacts autocompletion](gitlab-org/gitlab@543067dd93c7b72ccc5be0dda00d946520077bf8) ([merge request](gitlab-org/gitlab!79639))
- [Add the registry migration guard job](gitlab-org/gitlab@e5e0c6a2f8386bc44c8e56def620fe334824c01b) ([merge request](gitlab-org/gitlab!79634))
- [Save audit events for start/stop user impersonation to group level](gitlab-org/gitlab@82954c4b3aeeb11605e4a4ce1d2aed0e38adf0d9) ([merge request](gitlab-org/gitlab!79340)) **GitLab Enterprise Edition**
- [Add ability to download Service Ping payload](gitlab-org/gitlab@428e758243d13720c53cb7eb8e89a5331c679a58) ([merge request](gitlab-org/gitlab!78857))
- [Backfill route namespace_id for namespaces](gitlab-org/gitlab@93beae4aea556412c213234f970fc281df5fa2f5) ([merge request](gitlab-org/gitlab!78393))
- [Support position params in issue creation mutation](gitlab-org/gitlab@42dd3d1376eda2e94d0ee710a3eed60b89fc8a8f) ([merge request](gitlab-org/gitlab!79397))
- [Add dependency proxy migrate rake task](gitlab-org/gitlab@007224aa6c43ac70cab2624330b8ddd53d5b26ac) ([merge request](gitlab-org/gitlab!79663))
- [Add script to track clicks for RF offer](gitlab-org/gitlab@e76a22e0b002636365cc87402da705c950a17633) ([merge request](gitlab-org/gitlab!79559)) **GitLab Enterprise Edition**
- [Add owner_valid to Dast::ProfileScheduleType](gitlab-org/gitlab@08cd9b3cf8dd5170b5629024a208343e63994149) ([merge request](gitlab-org/gitlab!71214)) **GitLab Enterprise Edition**
- [Add deprecation notice to the Serverless UI](gitlab-org/gitlab@ba4dae4aa22a9b59bad0d5a9e57db41a771ac9db) ([merge request](gitlab-org/gitlab!80233))
- [Add Project Access Tokens to credentials inventory](gitlab-org/gitlab@538a5c670b9bc3c9e48133ef346cf20a09be15bb) ([merge request](gitlab-org/gitlab!79645)) **GitLab Enterprise Edition**
- [Copy contacts when moving an issue](gitlab-org/gitlab@04a8db0ada5324b32f7b520cd49668e69dc7a47f) ([merge request](gitlab-org/gitlab!80069))
- [Request deployment target info from users](gitlab-org/gitlab@83f1d280d446b2e0d616c917cf7d7840007c2f83) ([merge request](gitlab-org/gitlab!79873))
- [Add utility method to add parameters to a URL](gitlab-org/gitlab@e4266d5cf40e46c09e239fa781e3c8689403d905) ([merge request](gitlab-org/gitlab!79758))
- [Enable invite member modal by default](gitlab-org/gitlab@5aae7959fae2bda3b8edf74f1300f902358a58b7) ([merge request](gitlab-org/gitlab!79679))
- [Add GraphQL API endpoint access from primary to secondary Geo nodes](gitlab-org/gitlab@125b4fcee99bc635597bec4d7d3b34e30248ed65) ([merge request](gitlab-org/gitlab!79431)) **GitLab Enterprise Edition**
- [Add epic sort by last created or updated](gitlab-org/gitlab@b8c4af272bf1d9cd3bac018bc49a555a5f4f4ad5) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79923)) **GitLab Enterprise Edition**
- [Add epic sort by last created or updated](gitlab-org/gitlab@e456516cad18f4dbc36cbffffca66e042245bab4) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79923)) **GitLab Enterprise Edition**
- [Add simple multi select for when the number of](gitlab-org/gitlab@fafb7d33287e1849db1ea8e42a198101780831c5) ([merge request](gitlab-org/gitlab!79571)) **GitLab Enterprise Edition**
- [Cache shared runners enabled check](gitlab-org/gitlab@42d74a1168bb8a8d341de254561541417a00fd59) ([merge request](gitlab-org/gitlab!80056))
- [Implement fair queueing for LFK](gitlab-org/gitlab@68410b2dc945ae15c3a9a403b982fd7cec8ba620) ([merge request](gitlab-org/gitlab!79116))
- [Add max_batch_size to batched migrations table](gitlab-org/gitlab@d40b94a4268374d5d7c79927bb52594360fef7ad) ([merge request](gitlab-org/gitlab!79848))
- [Add setting to not display code diffs in MR review emails](gitlab-org/gitlab@9950838ee3ddd0c5d88f9ac76d0e7fa20968e18f) by @joe-snyder ([merge request](gitlab-org/gitlab!79229))
- [Add attention requests to the MR list view](gitlab-org/gitlab@735603d3b043347d9f9bb10336475a889430ce64) ([merge request](gitlab-org/gitlab!77136))
- [Add version column to the Agent listing page](gitlab-org/gitlab@eed6b9a66943ed10558d3e8f7e7a83c2ceffef3b) ([merge request](gitlab-org/gitlab!78553))
- [Add owners array to webhook data](gitlab-org/gitlab@d46bea3f5bc0e7e9db871ffa98922cf4867f8689) ([merge request](gitlab-org/gitlab!79285))
- [Enable searching for MRs by updated_at](gitlab-org/gitlab@544d23eb380e72b3f398cc6cdabb9a29de4d865d) ([merge request](gitlab-org/gitlab!79872))
- [Support "ecdsa-sk" and "ed25519-sk" SSH keys](gitlab-org/gitlab@782a634c663f7db5d27ffdf948d22c9da91549a1) ([merge request](gitlab-org/gitlab!78934))
- [Promote the trial_registrations_with_reassurance experiment](gitlab-org/gitlab@0c2fa2c16a645c7616c1abac638c53042e7e5f72) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78920)) **GitLab Enterprise Edition**
- [Record and publish application boot time](gitlab-org/gitlab@335317a0a024264e182bae7324fdacdf4c0262b6) ([merge request](gitlab-org/gitlab!79139))
- [Add GraphQL create API for incident timeline events](gitlab-org/gitlab@033b1622f1d3a32cc646261feeb853bfc6087ef6) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78884)) **GitLab Enterprise Edition**
- [Populate data for vulnerability_reads from vulnerabilities](gitlab-org/gitlab@6b66dd6c7b52c723c12dfdd0d530acf9846709b1) ([merge request](gitlab-org/gitlab!75441))
- [Remove deployment_approvals feature flag](gitlab-org/gitlab@32d1e07b3ed1103ae8bbc993a0b3633ced2e0352) ([merge request](gitlab-org/gitlab!79681)) **GitLab Enterprise Edition**
- [Added Qualys IaC Security template](gitlab-org/gitlab@6fc4eae57cb4f65c494118234da8009999f50c5d) by @mbachhav ([merge request](gitlab-org/gitlab!77362))
- [CI/CD analytics: Add metric tiles](gitlab-org/gitlab@9124f81f2c65bb905c610f2c9ba7099fbe1218de) ([merge request](gitlab-org/gitlab!78655)) **GitLab Enterprise Edition**
- [Show KAS version on admin dashboard](gitlab-org/gitlab@84a5106cd9f0ca76decf66c565ce3609a6fd3bc3) ([merge request](gitlab-org/gitlab!79720))
- [Add validation to check if branches are valid for security policy](gitlab-org/gitlab@0fa2a7b4b6b9c60782cf4709feff148c20055637) ([merge request](gitlab-org/gitlab!78714)) **GitLab Enterprise Edition**
- [Add Container Registry migration notification APIs](gitlab-org/gitlab@ada11f37e8cd5fd485113b827d111bce754dd5be) ([merge request](gitlab-org/gitlab!79200))
- [Allow group maintainers to list provisioned users for a group](gitlab-org/gitlab@4733c36bae3a79bb39410e78d80ce140e57f6fef) ([merge request](gitlab-org/gitlab!79600)) **GitLab Enterprise Edition**
- [Upgrade GitLab Pages to 1.53.0](gitlab-org/gitlab@a538e469791a4cd1507d4c69a2a25d19f6b4518b) ([merge request](gitlab-org/gitlab!79628))
- [Enable Configure with a MR button for Container Scanning](gitlab-org/gitlab@ecf0b83300cc9223ecf2534a877b712179ef8e93) ([merge request](gitlab-org/gitlab!79202)) **GitLab Enterprise Edition**
- [Enable json_limited_encoder ff by default](gitlab-org/gitlab@a8c92a485e7b1d5451cc86276a044a89046d6edc) ([merge request](gitlab-org/gitlab!79612))
- [Add Blob#symlink? boolean method](gitlab-org/gitlab@1e6d3f3abb4d3d8aff7866484139eb4397b07f47) ([merge request](gitlab-org/gitlab!79590))
- [Feat(SM: Subscription History): add future subscr](gitlab-org/gitlab@ad7f40bcc940e066d6436ccf57e12a719390354c) ([merge request](gitlab-org/gitlab!79015)) **GitLab Enterprise Edition**
- [Remove extract_mr_diff_commit_deletions FF](gitlab-org/gitlab@df2ab6ed91d663e86b50e9977042de8f47e51349) ([merge request](gitlab-org/gitlab!79548))
- [Add enabling container-scanning for project with GraphQL](gitlab-org/gitlab@682fb105e900a3158e225e349af70006c223901c) ([merge request](gitlab-org/gitlab!79201)) **GitLab Enterprise Edition**
- [Add median to CI/CD lead time chart](gitlab-org/gitlab@f16769f14615ef929fd455e04a7504ea68fe5590) ([merge request](gitlab-org/gitlab!78999)) **GitLab Enterprise Edition**
- [Feat(SM: Subscription Activation): size + text](gitlab-org/gitlab@dc353ad13001d5b37696e3203f70b3c46f0cb34e) **GitLab Enterprise Edition**
- [Bump GitLab pages to 1.52.0](gitlab-org/gitlab@ee9474a02cf96a3257f61a683ee8ecacc2c33b96) ([merge request](gitlab-org/gitlab!79529))
- [Feat(SM: Subscription Activation): size + text](gitlab-org/gitlab@eb3b3fb22951e29a6d7937fc5a6d0325dcd847b2) ([merge request](gitlab-org/gitlab!79334)) **GitLab Enterprise Edition**
- [Remove `vue_epics_list` and legacy code](gitlab-org/gitlab@0c516d3b7ff1bc4a575ec3d090aee9485cd07d06) ([merge request](gitlab-org/gitlab!79404)) **GitLab Enterprise Edition**
- [Add triggers to sync vulnerability_reads](gitlab-org/gitlab@b9bf81f189e0f9c120fe074552a0a33612e175d7) ([merge request](gitlab-org/gitlab!75230))
- [Add ability to search for an escalation policy by name](gitlab-org/gitlab@f7bb2b1de6ffad50783c881e4dc99a6fb12b3250) ([merge request](gitlab-org/gitlab!78950)) **GitLab Enterprise Edition**
- [Expose language field in GraphQL blob type](gitlab-org/gitlab@a33ef7674aa529c7bd2196342fb415bdcbba400d) ([merge request](gitlab-org/gitlab!78895))
- [Adds mergeRequestInteraction to GraphQL MemberInterface type](gitlab-org/gitlab@09ee9d960f2432b2e4e4de625ee5ac0d090b2c70) ([merge request](gitlab-org/gitlab!77048))
- [Ask for feedback on the Agent listing page](gitlab-org/gitlab@f4bb6c4ed85322ca719aa0e1856e96fb36f893dc) ([merge request](gitlab-org/gitlab!78567))
- [Re-remove foreign keys on GitLab.com](gitlab-org/gitlab@8ed4f00ef1246136b9d6881985a95f406cf97c50) ([merge request](gitlab-org/gitlab!79418))
- [Add Planning Hierarchy page](gitlab-org/gitlab@7d4ae6b96c6ad9145da3ba90cc1fa4e10b1ecfc0) ([merge request](gitlab-org/gitlab!79315))
- [Enable Gitlab Shell rate limit by default](gitlab-org/gitlab@eda5a6a0b4a4dfdc3393fbbfa0432e0155e2aa99) ([merge request](gitlab-org/gitlab!79419))
- [Enable bulk job tags insertion by default](gitlab-org/gitlab@70ced4e140c2a6723a5dfe0f92d210d6012fae99) ([merge request](gitlab-org/gitlab!79415))
- [GraphQL: Add jobs field to CiRunner](gitlab-org/gitlab@f6e4eed3e63b4d1da1f7cd39f5acee753ae24f2b) ([merge request](gitlab-org/gitlab!79123))
- [Add a GraphQL resolvers to get pipeline counts by scope](gitlab-org/gitlab@2fd7902d4f1b6209df65588e697b6bd3b6e5851d) ([merge request](gitlab-org/gitlab!77949))
- [Pass custom slots from HelpPopover to GlPopover](gitlab-org/gitlab@87d190eb7ff1bde814ab91e806b75c7fe008b808) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79319))
- [Enable project owners to list their projects pending deletion by default](gitlab-org/gitlab@01e4eb80211709fa2c44e3068d9db98e95297ab8) ([merge request](gitlab-org/gitlab!79104)) **GitLab Enterprise Edition**
- [Hide ancestor groups in group invites](gitlab-org/gitlab@fdd0423d7a45eb0bfe342786d26032cffdda11e9) ([merge request](gitlab-org/gitlab!78106))
- [Track api usage of the jetbrains plugin](gitlab-org/gitlab@abf7ea974612f0cd3da8ed4fc00bde53b3b28ad9) ([merge request](gitlab-org/gitlab!78713))
- [Indicate locked users in Admin Area users list](gitlab-org/gitlab@d61dc91e2dff72b45368e3703f9743e86a3df13d) ([merge request](gitlab-org/gitlab!79160))
- [Add metric tile component](gitlab-org/gitlab@38b7f1ea051a4d45fe5ee6120c7c5296fe45383c) ([merge request](gitlab-org/gitlab!79153))
- [Support iteration search by cadence title](gitlab-org/gitlab@75e3079e25fb70e08ed33e9019cbbc8743ca3a17) ([merge request](gitlab-org/gitlab!76231)) **GitLab Enterprise Edition**
- [Add badge for invited user](gitlab-org/gitlab@d255256b23079c08f474b625083dc48d1ebd421e) ([merge request](gitlab-org/gitlab!78407))
- [Remove import_redis_increment_by feature flag](gitlab-org/gitlab@5864218b753d495a0942c398802f8e26912217a1) ([merge request](gitlab-org/gitlab!79130))
- [Submit ServicePing generation errors to Version app](gitlab-org/gitlab@3a66f6bf348f4b7d901127082f8caa292f298aa4) ([merge request](gitlab-org/gitlab!78028))
- [Add mutation for updating user preferences](gitlab-org/gitlab@1706b68fd203aa3baf70ca26ee187bfc5ac8a676) ([merge request](gitlab-org/gitlab!79127))
- [Add Graphql mutation to update timeline event](gitlab-org/gitlab@cd15de7b2fdf06ea65ed16556a884f4c2d155af8) ([merge request](gitlab-org/gitlab!79016)) **GitLab Enterprise Edition**
- [Log project export timings](gitlab-org/gitlab@cb1925222737f9886761d70218f04e6890346727) ([merge request](gitlab-org/gitlab!79093))
- [Re-enable sanboxed mermaid FF with a fix](gitlab-org/gitlab@8db1c36c802556ba38e284cd7331a5283611693a) ([merge request](gitlab-org/gitlab!79043))
- [Redirect in-app trial users to the feature](gitlab-org/gitlab@4b5c46c6a755f537dd975bf931397357d8ae217d) ([merge request](gitlab-org/gitlab!78917)) **GitLab Enterprise Edition**
- [Add more issue due_date filters to API](gitlab-org/gitlab@393e4a5c2d92208c82d934a5a47e5e3025425b6b) by @leetickett ([merge request](gitlab-org/gitlab!78460))
- [Add support for the gitlab container registry API](gitlab-org/gitlab@f4504543103ea5dc5dd1ac436e39f2fe616ebf9a) ([merge request](gitlab-org/gitlab!78452))
- [CI Runners: Support sorting by token_expires_at](gitlab-org/gitlab@a4182be45c13baa0276722fd8626052efb7faeea) by @KyleFromKitware ([merge request](gitlab-org/gitlab!78939))
- [Restrict JWT requests when importing repositories](gitlab-org/gitlab@c6c6d609b137583041535e44f763e3c4bcaf65bd) ([merge request](gitlab-org/gitlab!78489))
- [Show deprecation notification in pipeline page](gitlab-org/gitlab@1c8ca0874c257cb48183079ad1491fd5cc7c69d1) ([merge request](gitlab-org/gitlab!77876))
- [Allow project owners to list & restore their projects pending deletion](gitlab-org/gitlab@1248d0f3d78d703e0cdf1e49ab4ff6f721323bcd) ([merge request](gitlab-org/gitlab!76484)) **GitLab Enterprise Edition**
- [Allow merge requests to be sorted by title](gitlab-org/gitlab@84cc023c5198c1f870249139c3cc831d21ef66c9) ([merge request](gitlab-org/gitlab!76472))
- [Add everage to CI/CD deployment chart](gitlab-org/gitlab@d9fb45d66528e64a20591e75d8bd2a0cb3375397) ([merge request](gitlab-org/gitlab!78358)) **GitLab Enterprise Edition**
- [Add improved readme content for all new projects](gitlab-org/gitlab@e9241478b98a40bd7d05e1e8fc9070b474b6cc59) ([merge request](gitlab-org/gitlab!77706))
- [Adds dependency_proxy_size to namespace statistics](gitlab-org/gitlab@2fd34490d3c4109ad87e1a6f4d56b9afafb750f0) ([merge request](gitlab-org/gitlab!78560))
- [GraphQL: Add projects property to CiRunner type](gitlab-org/gitlab@613fa6194e7e2e1b493740c1bc8399f8feef932a) ([merge request](gitlab-org/gitlab!78547))
- [Add identifier to VSA summary metrics](gitlab-org/gitlab@f037767d3f538a069a95cc8abc28084546de4a74) ([merge request](gitlab-org/gitlab!78470))
- [GraphQL: Add groups property to Runner type](gitlab-org/gitlab@1101f5699fd2af691aec9ab1eb12861fb432c76f) ([merge request](gitlab-org/gitlab!78454))
- [Add verification header for streamed events](gitlab-org/gitlab@d44d003052f8a3bceacfbd8eac2073c99c579297) ([merge request](gitlab-org/gitlab!78273))
- [Hide issue contacts and quick actions](gitlab-org/gitlab@93e96b73089c754976fc5e83795c12c17503bfaa) by @leetickett ([merge request](gitlab-org/gitlab!77822))
- [Update templates for repository size RF CTA](gitlab-org/gitlab@916bbaf14d3c6ebd2319ec7ab4125997972e844b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/77355)) **GitLab Enterprise Edition**
- [Adds dependency_proxy_size to root storage stats](gitlab-org/gitlab@33e4c4e6c89a810c52430fa79ab3b9eee09d7e8e) ([merge request](gitlab-org/gitlab!78565))
- [CI Runners: Add token expiration field](gitlab-org/gitlab@874d5f8072adf51027b9ee2751fa5d3356dbad63) by @KyleFromKitware ([merge request](gitlab-org/gitlab!77899))
- [Add state/province selector to trials](gitlab-org/gitlab@3510cbd99eb805b8c633f5daabf4cca0dc29eca8) ([merge request](gitlab-org/gitlab!78484)) **GitLab Enterprise Edition**
- [Add audit logging for runner registration](gitlab-org/gitlab@99c2f2930b3d30eddc755c2c0dff0d92cc243ebf) ([merge request](gitlab-org/gitlab!77109)) **GitLab Enterprise Edition**
- [Support default templates for issues/MRs via .gitlab/ folders](gitlab-org/gitlab@3aa3426880b85916a04147b1c891455ebfee175e) by @davebarr ([merge request](gitlab-org/gitlab!78302))
- [Allow querying recent boards in a group or project](gitlab-org/gitlab@5b026dd5465d09461f51e221a88640247b9d6123) ([merge request](gitlab-org/gitlab!78076))
- [Add url_text column to issuable metric images](gitlab-org/gitlab@31d4b47ddf4fc5394ca6f5d7b8bbdc91dfb9a5b1) ([merge request](gitlab-org/gitlab!78430))
- [Add migration for backfilling project namespaces](gitlab-org/gitlab@b88c1e81a2c32357da42037a7667e42c5c5ad52e) ([merge request](gitlab-org/gitlab!73640))

### Fixed (168 changes)

- [Allow specifying project name on importing an exported GitLab project](gitlab-org/gitlab@32e6193a498ce10ad0ae7cba9393652da5b41c68) by @zhzhang93 ([merge request](gitlab-org/gitlab!80150))
- [Clean up wrong max_seats_used batch two](gitlab-org/gitlab@5691252a3a804c8f3fba632693be1739e2365c1a) ([merge request](gitlab-org/gitlab!79705))
- [Fix Date::Error exception when viewing audit logs for an invalid date](gitlab-org/gitlab@2d3064509b29ed48dbba26c6307af064a8329e1b) ([merge request](gitlab-org/gitlab!80634)) **GitLab Enterprise Edition**
- [Revert "Merge branch 'if-personal_project_owners' into 'master'"](gitlab-org/gitlab@8f98dbae4804eef2a9f740f25c0aa39d48779e2f) ([merge request](gitlab-org/gitlab!80723))
- [Fix unit display for VSA charts](gitlab-org/gitlab@0a53ce8214149c36fd33311b89b5da369a359741) ([merge request](gitlab-org/gitlab!80707)) **GitLab Enterprise Edition**
- [Added merge policy for design collection](gitlab-org/gitlab@2a2a838ce36ff895c6696d8c4436e064cb291ec3) ([merge request](gitlab-org/gitlab!80705))
- [Fix merge request tabs background leakage](gitlab-org/gitlab@a5ba0956e1d4e04c7246a06d6df75cfb0f62f02d) ([merge request](gitlab-org/gitlab!80612))
- [Fix position when creating issue in issue boards](gitlab-org/gitlab@3c49f96b53d7eceeb0c9bf42233a1952aa6b4903) ([merge request](gitlab-org/gitlab!80429))
- [Delete issue contacts if project root changed](gitlab-org/gitlab@d11319c4a12a38b9587445e8ba536208bbc62cd8) by @leetickett ([merge request](gitlab-org/gitlab!80394))
- [Revert user already exists to members API](gitlab-org/gitlab@e640b9d73b9a447bf458c5b146d42119653d321b) ([merge request](gitlab-org/gitlab!80672))
- [Avoid exceptions from un-symbolizable job names](gitlab-org/gitlab@f9b475c72c4d0b4352679667553e298f022c4a7c) ([merge request](gitlab-org/gitlab!80417))
- [Block external fork mirrors](gitlab-org/gitlab@f165783d139ecc5245d2ed20418ab035298bb63e) ([merge request](gitlab-org/gitlab!80626))
- [Allow testing of disabled hooks](gitlab-org/gitlab@32a2063ebf67ef0b5ee347b81326fd43d87126ad) ([merge request](gitlab-org/gitlab!80615))
- [Fix duplicate draft help text](gitlab-org/gitlab@b824b9ac6c471f82689a1f67de809d493e98db23) ([merge request](gitlab-org/gitlab!79411))
- [Stop browser from caching learn gitlab](gitlab-org/gitlab@b0260a7ff8afc97fe20fd40ac92614fee2b70d38) ([merge request](gitlab-org/gitlab!80423)) **GitLab Enterprise Edition**
- [Add ref param to project level ci/lint](gitlab-org/gitlab@edb848b767350266a350c76e6515587b2cd68ad1) by @thadc23 ([merge request](gitlab-org/gitlab!79992))
- [Apply PJs styling to Pages DNS badge](gitlab-org/gitlab@034336c40c70ac150f38f32d9eb59e87df8c7f2c) ([merge request](gitlab-org/gitlab!79858))
- [Fix missing discussion_id in GitHub imports](gitlab-org/gitlab@ab0598917c09b2697ef84dd117bb5b1c68ac2b62) ([merge request](gitlab-org/gitlab!80584))
- [Allows invite modal to re-invite single users](gitlab-org/gitlab@0ce00442ebd35088fa32add0fa8a169cf202efb5) ([merge request](gitlab-org/gitlab!80177))
- [Add encoding for url params for board filtered search](gitlab-org/gitlab@4e1e934b89f7e45a88d6e98e0bd5d020b766f4a7) by @sstern ([merge request](gitlab-org/gitlab!80006))
- [Handle Gitaly error on fetching total-branches for pipeline editor](gitlab-org/gitlab@b7bbef2f034c1ff036ad8d680fb9f81a7941698a) ([merge request](gitlab-org/gitlab!80467))
- [Fix typo in Pull mirror verification](gitlab-org/gitlab@1b20f827741bcf1ba66e831703099886e0260561) ([merge request](gitlab-org/gitlab!80408)) **GitLab Enterprise Edition**
- [Allow to toggle requirements_access_level on REST API](gitlab-org/gitlab@68364a93c2e8aba6b001a58380a8f833513a3ea4) ([merge request](gitlab-org/gitlab!79968)) **GitLab Enterprise Edition**
- [Allow GC to run if deduplication service runs into an error](gitlab-org/gitlab@569557f02d71733a7231ac88bfd46827f3d83759) ([merge request](gitlab-org/gitlab!80269))
- [Render submit button only once in Pages settings](gitlab-org/gitlab@96278df4c4286753d5413010df5d91bff2ba89c8) ([merge request](gitlab-org/gitlab!79545))
- [Update GitHub PRs Importer to force update repository](gitlab-org/gitlab@4b20a3def1b3957f8e038c43dd04723ceecac4ef) ([merge request](gitlab-org/gitlab!80379))
- [Use strong parameters for CompareController](gitlab-org/gitlab@557fcc3bfd5c4c8c743ca9d25f622de1b5e59e15) ([merge request](gitlab-org/gitlab!80396))
- [Fix default sort for tags page](gitlab-org/gitlab@778a3882d78e501bf31ce4edab194413538a416b) ([merge request](gitlab-org/gitlab!80232))
- [Update namespace statistics when project is destroyed](gitlab-org/gitlab@1e78b395bbc29cce9db1542df6b6c4489d47b23e) ([merge request](gitlab-org/gitlab!78862))
- [Don't rebase when the branch protected from force push](gitlab-org/gitlab@14db567b70d9e9e37ed5080fe4e770b0286b03db) ([merge request](gitlab-org/gitlab!80329))
- [fix: Reintroduce top-level SAST_ANALYZER_IMAGE_TAG for SCS](gitlab-org/gitlab@d45a7685c7ba4a32483634908d7e31c67b1a77c6) ([merge request](gitlab-org/gitlab!80338))
- [Fix typo in Gitlab::Changelog::Release](gitlab-org/gitlab@23e9266884ec3d67fbfd25ed69baf64c198a0541) ([merge request](gitlab-org/gitlab!80314))
- [Merge branch...](gitlab-org/gitlab@66f5a8403643b5852268681efd5072587dee7506) ([merge request](gitlab-org/gitlab!80113))
- [Fix corpus delete by updating corpus fetch](gitlab-org/gitlab@905a0f73d3e6306b53f9282203cdceb1cda9e00b) ([merge request](gitlab-org/gitlab!80095)) **GitLab Enterprise Edition**
- [Return an error for an invalid ref_name](gitlab-org/gitlab@ca87a51358066e10788f9e5e9e1e27e4199b5f91) ([merge request](gitlab-org/gitlab!79531))
- [Fix Geo checksummable check failing when file is nil](gitlab-org/gitlab@89675a1a564431eb179de8f77a8e363186686eeb) ([merge request](gitlab-org/gitlab!80280)) **GitLab Enterprise Edition**
- [Fix layout issues for project tokens in credentials inventory](gitlab-org/gitlab@2c171971a39a4842742cc31272db94dc8c840a2c) ([merge request](gitlab-org/gitlab!80273)) **GitLab Enterprise Edition**
- [Use StrongParameters for ExtractsRef](gitlab-org/gitlab@32683c2db708bee85276c90dd977d3502e486a5e) ([merge request](gitlab-org/gitlab!79997))
- [Remove label hover state css override in right sidebars](gitlab-org/gitlab@9aeb49557fe36b303083ad1fe57510e91b714c3e) ([merge request](gitlab-org/gitlab!80211))
- [Change minutes field to shared_runners_duration](gitlab-org/gitlab@ee407a3d340b0e3ef261af6101a001d2fe041da6) ([merge request](gitlab-org/gitlab!80197)) **GitLab Enterprise Edition**
- [Don't record the exception when the repostory already exists](gitlab-org/gitlab@2219fe6d68c3508e2056409d36518332bdbf43f5) ([merge request](gitlab-org/gitlab!80090))
- [Allow sorting epics by created & updated dates](gitlab-org/gitlab@8ba1fafb9d6bdd69d41f5869e6176f594a767270) ([merge request](gitlab-org/gitlab!80173)) **GitLab Enterprise Edition**
- [Use StrongParameters for ProjectsController](gitlab-org/gitlab@06c8a4e53594067570413c4a63ddb4597d295113) ([merge request](gitlab-org/gitlab!79956))
- [Reject reply by email to notification if the from email is not verified](gitlab-org/gitlab@6c33182ce0898ce0d29207c83623d1f6617c2b48) ([merge request](gitlab-org/gitlab!79932))
- [Fix Typo in Protected Tags Settings](gitlab-org/gitlab@2c1f0c0893cd32c99cd56f02f6fe2104e7417551) by @Taucher2003 ([merge request](gitlab-org/gitlab!80028))
- [Roadmap - Fix today indicator alignment](gitlab-org/gitlab@09ec9ebcb369b5d82b7c4652abcad15d2956266d) ([merge request](gitlab-org/gitlab!80126)) **GitLab Enterprise Edition**
- [MacOS remove horizontal scroll in left navigation](gitlab-org/gitlab@f83e25cedf3d4636cef263d9e545608a44309120) by @OmerFarukMerey ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80015)) **GitLab Enterprise Edition**
- [Remove secondary variant from agent modal cancel button](gitlab-org/gitlab@3e1d9e70413de3a0e6b4a0bf0796afdf7819e77e) ([merge request](gitlab-org/gitlab!79664))
- [Add width and alt tag to image in trial flow second step](gitlab-org/gitlab@f12103cdf9f690a01c63e1474bcd033fdbbc81cc) ([merge request](gitlab-org/gitlab!79971))
- [Fix provisioned_users API endpoint with full_path](gitlab-org/gitlab@b4de6aa133a72babd3d55b227e626e585f8b0429) ([merge request](gitlab-org/gitlab!80061)) **GitLab Enterprise Edition**
- [Verify project id in API](gitlab-org/gitlab@f059837f4d94a98678206f19e43fb56e0f26668f) ([merge request](gitlab-org/gitlab!80086))
- [Fix NoMethodError for calling modified_paths on nil pipeline](gitlab-org/gitlab@fe96b2d02c1803b56efce655340175575777c0cf) ([merge request](gitlab-org/gitlab!80089))
- [Introduce concept of parse errors for quick actions](gitlab-org/gitlab@a033bff843c4094e29ace281467231068ddf489b) ([merge request](gitlab-org/gitlab!79948))
- [Test the logical path rather than the real path](gitlab-org/gitlab@4d6382e2260332b98628975067e3c57baaaf6beb) ([merge request](gitlab-org/gitlab!79738))
- [Fix merge requests page dark mode](gitlab-org/gitlab@a892991d6dda477724ce941b1470224425718327) ([merge request](gitlab-org/gitlab!80026))
- [Remove container-image: from location on the Dependency List](gitlab-org/gitlab@0fc93315a28604bb48ae8844bc2d759cd2014780) ([merge request](gitlab-org/gitlab!79767)) **GitLab Enterprise Edition**
- [Remove dangling running entries from ci running builds table](gitlab-org/gitlab@0f69fdc0f64587e7d06bbb322168a7d447a46acf) ([merge request](gitlab-org/gitlab!79444))
- [Reject MIME parts with unsupported encoding](gitlab-org/gitlab@0ea5a23d8992601f6d0aaa218955fe3d8c8dd2e1) ([merge request](gitlab-org/gitlab!78699))
- [Drop legacy finished at in Deployment](gitlab-org/gitlab@b8f911e22d1fc71c5d629ccd1fa06b98a6145b4c) ([merge request](gitlab-org/gitlab!73172))
- [Use strong_parameters for RefsController](gitlab-org/gitlab@69d9bf58e05d2f5f586c8f4b629a7ba88d98b74f) ([merge request](gitlab-org/gitlab!79951))
- [Check for group confidential access in EpicsFinder](gitlab-org/gitlab@f5458eb612b6b912704f29332e24c933b3cdf46f) ([merge request](gitlab-org/gitlab!79236)) **GitLab Enterprise Edition**
- [Allow searching of users using less than 3 chars](gitlab-org/gitlab@614a690fd490e3416f2f93316bfea166926b7e7e) ([merge request](gitlab-org/gitlab!79927))
- [Fix label links in MR system notes](gitlab-org/gitlab@4daa5ea85c2f43911b5471a68335d106b55730e0) ([merge request](gitlab-org/gitlab!79928))
- [Epic boards - Hide toggled off Open column](gitlab-org/gitlab@e91a562739557725c5d63fef29ce15add2448590) ([merge request](gitlab-org/gitlab!79911))
- [Fix for rate lmiting test errrors](gitlab-org/gitlab@c7bcfdcb3d07691214eede278693e4c68f42323d) ([merge request](gitlab-org/gitlab!79836)) **GitLab Enterprise Edition**
- [Catch GitLab::HTTP:ERRORS while streaming auditevents](gitlab-org/gitlab@2344fddb03d8b771562c066897798e5a3183d75b) ([merge request](gitlab-org/gitlab!79410)) **GitLab Enterprise Edition**
- [Fix missing upvote/downvote counts on Epics list](gitlab-org/gitlab@c3000afb66062d736b079085e26764e1f8e89f42) ([merge request](gitlab-org/gitlab!79844)) **GitLab Enterprise Edition**
- [Roadmap - Fix bar width for week layout](gitlab-org/gitlab@dabd416aa6dc31c863b44c1bf23052fb96cd006f) ([merge request](gitlab-org/gitlab!79814)) **GitLab Enterprise Edition**
- [Improve dashboard projects blank state code](gitlab-org/gitlab@38fb3bbd4de8f4299b611a46f35df7fa834d1c63) ([merge request](gitlab-org/gitlab!79782))
- [Fix how busy is displayed in group/project members list](gitlab-org/gitlab@953da37daad786dbabe2db830174953730667d60) ([merge request](gitlab-org/gitlab!79780))
- [Fix NoMethodError for RefsController](gitlab-org/gitlab@3879534f816b427673121c3dd26c48da6bfb52df) ([merge request](gitlab-org/gitlab!79779))
- [Merge stable Jobs/Deploy.gitlab-ci.yml into latest](gitlab-org/gitlab@c01598fdb32e5e3aec0d3a608b75aa8e3535c0ad) ([merge request](gitlab-org/gitlab!79240))
- [Create specific CE display_public_email? user helper](gitlab-org/gitlab@5a56f514c62d8777275b5e2b9b687662a224e654) ([merge request](gitlab-org/gitlab!79752))
- [REST: Fix scope of GET /projects/:id/runners endpoint](gitlab-org/gitlab@b5ded2bc9ea6bc91ec1e58f2fba14829517d9ca5) ([merge request](gitlab-org/gitlab!79733))
- [Validate that reference exists for atom format](gitlab-org/gitlab@b5b4bdf20caaf3848f561a2c9bdeee8f86ed6e9b) ([merge request](gitlab-org/gitlab!79635))
- [Fix reverse tabnabbing vulnerability with improper URL protocol](gitlab-org/gitlab@2a025add6edc4eb9a096b5ce9d34444fe0167cb1) ([merge request](gitlab-org/gitlab!79727))
- [Allow mergeability check when merge_status is already checking](gitlab-org/gitlab@b535f1ff45c8d661ba1c9818b26f5a41b32ae5ad) ([merge request](gitlab-org/gitlab!79723))
- [Validate sort parameter for branches page and branches API](gitlab-org/gitlab@f3158d91ec05339d0ba7a2205505dbffa6b58e68) ([merge request](gitlab-org/gitlab!79476))
- [Fix deep linking into settings panels](gitlab-org/gitlab@850f979021d81c0a5b33dea54d6151d8e2563b2c) ([merge request](gitlab-org/gitlab!79689))
- [Deduplicate findings by comparing the UUIDs](gitlab-org/gitlab@179484a367405777e3e20cffc6b0d68dc6dc4f1a) ([merge request](gitlab-org/gitlab!79680)) **GitLab Enterprise Edition**
- [Fix Popen not always returning error code](gitlab-org/gitlab@93b8cae9c68a9fc5a3eeeb1a638a05215ee96730) ([merge request](gitlab-org/gitlab!79564))
- [REST: Follow shared runners setting](gitlab-org/gitlab@4f12dcf77f622ecff4741f40e5b7774c7f9ab556) ([merge request](gitlab-org/gitlab!79448))
- [Fix spacing issue in the packages version details](gitlab-org/gitlab@8c794e8b3cb7ea3822122f489c74cfb84c1a7bfb) ([merge request](gitlab-org/gitlab!79622))
- [REST: Fix scope of /groups/:id/runners?type endpoint](gitlab-org/gitlab@16bfce401ad2e3e55f83745b568d6c9214d065ad) ([merge request](gitlab-org/gitlab!79447))
- [Add darkmode variant for black-normal color](gitlab-org/gitlab@822f913bda58929d923f67952ab96c5c309cb04e) ([merge request](gitlab-org/gitlab!79232))
- [Enable Zip64 support](gitlab-org/gitlab@908ff65d87aa29acaa9a41bb6aac606a8a38b747) ([merge request](gitlab-org/gitlab!79596))
- [Fix arrow that was overlapping button in Admin -> Users](gitlab-org/gitlab@bdb0a9bb8cdb7ac8f5d1b7cadda5a9050473e683) by @orozot ([merge request](gitlab-org/gitlab!79029))
- [Fix search term case sensitivity for transfer namespace](gitlab-org/gitlab@d8256211ca5a786aafbf07348c9d94f33acaa4f9) ([merge request](gitlab-org/gitlab!79595))
- [Show underscores in branch name in merge request](gitlab-org/gitlab@0ce5bd488f89fc46c7758f654d8e942049118540) by @brcampbell1 ([merge request](gitlab-org/gitlab!79566))
- [Fix editor browser modal when creating new MR](gitlab-org/gitlab@df3db1dfd6f5362c5b67bf8cf871fc4b20a42160) ([merge request](gitlab-org/gitlab!79032))
- [Fix NoMethodError when commit is missing](gitlab-org/gitlab@78ae06a4f0a51674a4c124892ca027f15493c594) ([merge request](gitlab-org/gitlab!79553))
- [Fix incorrect render in JUnit merge UI with null or blank name value](gitlab-org/gitlab@2234a465e8cc7590023f6cd8703abca29e6f01ed) ([merge request](gitlab-org/gitlab!79539))
- [Add id to user of ZentaoSerializers](gitlab-org/gitlab@866d958584a5cf68c9c29de7265537b6d2e087a2) by @icbd **GitLab Enterprise Edition**
- [Remove invalid groups from sharing in invite group modal](gitlab-org/gitlab@cae3614ee9fa59a0c22259bba48c06bac4830a80)
- [Add id to user of ZentaoSerializers](gitlab-org/gitlab@7fe670bfd0c8372083a54aae45059e2473e62ebb) by @icbd ([merge request](gitlab-org/gitlab!79205)) **GitLab Enterprise Edition**
- [Remove invalid groups from sharing in invite group modal](gitlab-org/gitlab@fd5a6666de48c18d43935ca6859502251d95f66b) ([merge request](gitlab-org/gitlab!79036))
- [Revert "Merge branch 'revert-b59c6630' into 'master'"](gitlab-org/gitlab@26ec9653da00ab073103c4635649fbf2b8189d1f) ([merge request](gitlab-org/gitlab!79391))
- [Geo: Mark object stored files verified](gitlab-org/gitlab@8c91e7cbe273b92a7e5efda8eb5ad1753f11ecf5) ([merge request](gitlab-org/gitlab!79469)) **GitLab Enterprise Edition**
- [Fix exception when epic has no author](gitlab-org/gitlab@43f8b543ac0a51b8ccc0bb629161c678199174d0) ([merge request](gitlab-org/gitlab!79252))
- [Use finding signatures in deduplication logic](gitlab-org/gitlab@7b452dba078bce8c931dab02f0a25de126fbb291) ([merge request](gitlab-org/gitlab!79491)) **GitLab Enterprise Edition**
- [Use strong parameters for CommitsController](gitlab-org/gitlab@b5d792d527aa48e47779490dc8ebafcfd70035e5) ([merge request](gitlab-org/gitlab!79485))
- [Don't return 500 error for tags in atom format](gitlab-org/gitlab@3f0579e178b4205cb157ee209cc8c7949891e47f) ([merge request](gitlab-org/gitlab!79483))
- [Use strong_parameters for ForksController#index](gitlab-org/gitlab@824dce639f1039cc5422701d5fc2baf43d9e9864) ([merge request](gitlab-org/gitlab!79482))
- [Fix NoMethodError for empty changelog](gitlab-org/gitlab@aedbd810e7052fc14e49beeabac3f3e1f4de3fa7) ([merge request](gitlab-org/gitlab!79481))
- [Fix typo in RepositoryController#cleanup](gitlab-org/gitlab@f2194e69d0b9311e95106aa6752a025b9821a931) ([merge request](gitlab-org/gitlab!79480))
- [Restrict pagination per_page possible values](gitlab-org/gitlab@459e83fd5595ebdf1600a302791057f1ae28f3e8) ([merge request](gitlab-org/gitlab!79479))
- [Fix input parameter validation for tags controller](gitlab-org/gitlab@47730e3e159d7a5bdd6299845055528c965c3d09) ([merge request](gitlab-org/gitlab!79464))
- [Fix NoMethodError for UnfoldPresenter](gitlab-org/gitlab@2add7932af1a3f52ee18a9f6e42be6a4d0a22401) ([merge request](gitlab-org/gitlab!79468))
- [Deprecate and replace MR with approval rules metric](gitlab-org/gitlab@50f221fed9ccca74cfe989b9517a78053b07f181) ([merge request](gitlab-org/gitlab!78664)) **GitLab Enterprise Edition**
- [Sign out before redirecting to login page](gitlab-org/gitlab@0878ebf82ad9b7144651208af5d8c6614f4d9f02) ([merge request](gitlab-org/gitlab!78214))
- [Restore the lost success event handler for hiding the verification modal](gitlab-org/gitlab@f6c336e990e25dbaf483395ea59c329402355b62) ([merge request](gitlab-org/gitlab!79422)) **GitLab Enterprise Edition**
- [Dedup Ci::RunnerProjects](gitlab-org/gitlab@5db54a84dc56e8428f8173932ac9435ea146859f) ([merge request](gitlab-org/gitlab!79011))
- [Allow searching of users using less than 3 chars](gitlab-org/gitlab@2f85f21f11f8b53d3800a9bb8ddf5bc9482a495c) ([merge request](gitlab-org/gitlab!79401))
- [Allow all users within a group to view all compliance frameworks](gitlab-org/gitlab@b7eb6ed70ce602db00bb3f3afdee416e6161a2f2) ([merge request](gitlab-org/gitlab!79133)) **GitLab Enterprise Edition**
- [Sort vulnerability identifiers on ingestion to prevent Deadlock errors](gitlab-org/gitlab@d0ea399892e21a55236474c9f1fe74d16a66671f) ([merge request](gitlab-org/gitlab!79372)) **GitLab Enterprise Edition**
- [Refactor issue move to not require group_id param](gitlab-org/gitlab@88512cefa5455e3926534a0034c8cddc6cef10bb) ([merge request](gitlab-org/gitlab!79309))
- [Pass URI to elasticsearch client instead of string](gitlab-org/gitlab@598d3969e5415dbea216b48192f16eccf623d1ee) ([merge request](gitlab-org/gitlab!79374)) **GitLab Enterprise Edition**
- [Add rouge-ruby Comment.Doc style support](gitlab-org/gitlab@fa82d19c9d38f3a7f66a95a968db0543d4920bdc) by @zsgsdesign ([merge request](gitlab-org/gitlab!78985))
- [Fix long label overflow in the sidebar](gitlab-org/gitlab@56b30f0b39d064148061eedc1a92ccd716f4c181) by @smortex ([merge request](gitlab-org/gitlab!79181))
- [Fix hidden notifications dropdown on smaller screens](gitlab-org/gitlab@a4f5719d014c599309f659f1f89fc299dd38f551) ([merge request](gitlab-org/gitlab!79360))
- [Change epic list payload variable to uppercase](gitlab-org/gitlab@33036955a69da8d1fc1ec02ee0a43af30ee52910) by @orozot ([merge request](gitlab-org/gitlab!79359)) **GitLab Enterprise Edition**
- [Change trials_link_url name to callouts_trials_link_url](gitlab-org/gitlab@c230624921248c16c52975eb1a63704c5e224133) by @orozot ([merge request](gitlab-org/gitlab!79338)) **GitLab Enterprise Edition**
- [Only call the resolved service if we resolve all the active notes](gitlab-org/gitlab@382c653cc88f86876bf8c8d18fc56bb2cb1c77d8) ([merge request](gitlab-org/gitlab!79142))
- [Gracefully handle unexpected severities in code quality report](gitlab-org/gitlab@5de9508be618cc0a169ff04460ad6dc21066e388) ([merge request](gitlab-org/gitlab!79304))
- [Ensure mergeability check runs on specific cases](gitlab-org/gitlab@76e5f067c857cf3b3a440becfb0503c4a6efd32b) ([merge request](gitlab-org/gitlab!79311))
- [Re-align "Register" and "Cancel" buttons in Agent installation modal](gitlab-org/gitlab@17fe351f237858ca3d36c02cbab46e8021fc6fb2) ([merge request](gitlab-org/gitlab!79188))
- [Geo: Fix verification failures of remote stored files](gitlab-org/gitlab@177468e219c291b1f3feb2be9f0eb5be7c05503b) ([merge request](gitlab-org/gitlab!79303)) **GitLab Enterprise Edition**
- [Update project export job status upon failure](gitlab-org/gitlab@c62d89cd2fb592b1f9d7d0d6c3268960ea00ac93) ([merge request](gitlab-org/gitlab!79257))
- [GitLab Version - CE Admin Dashboard](gitlab-org/gitlab@54f7c39067823b7ee84f465b24c4c1fa273c6936) ([merge request](gitlab-org/gitlab!79258))
- [Ensure git url validation is always performed](gitlab-org/gitlab@a7f879ba216b492b708769aa2a579fc8cb98e7e7) ([merge request](gitlab-org/gitlab!78495))
- [Bump default auto-deploy-image to 2.18.1](gitlab-org/gitlab@a7460adf86ad62cfe43dfca8acb9350daa425cce) ([merge request](gitlab-org/gitlab!79280))
- [Set class name for the proxy ingestion tasks](gitlab-org/gitlab@a2ea0d058a26ddd2252ca6909d55f69f5dd056bb) ([merge request](gitlab-org/gitlab!79169)) **GitLab Enterprise Edition**
- [Show issuable reference title in milestone description](gitlab-org/gitlab@934f4af115958fffefb4226f47eafa2a3a89bf8e) by @wwwjon ([merge request](gitlab-org/gitlab!79027))
- [Prevent Group API N+1 loading group plans](gitlab-org/gitlab@3182a9464822dc2d15c61fc1c6fa970e7fd267c4) ([merge request](gitlab-org/gitlab!77538)) **GitLab Enterprise Edition**
- [Fix issue sticky header doesn't align left in fluid layout](gitlab-org/gitlab@01c21d394117a817945fc255eab8696cd1c012a2) ([merge request](gitlab-org/gitlab!78859))
- [Enable ci_order_subsequent_jobs_by_stage by default](gitlab-org/gitlab@c1bdf8f2b8822fe813a5878be1af765ee02fb594) ([merge request](gitlab-org/gitlab!79109))
- [Exempt bot users for groups from license seat usage](gitlab-org/gitlab@9184bcd07d77365bd2cf8619405377854ce19619) by @fh1ch ([merge request](gitlab-org/gitlab!79101)) **GitLab Enterprise Edition**
- [Fix incorrect max_seats_used values](gitlab-org/gitlab@038167790afec90fb7103f69a4d9d2d087670f1e) ([merge request](gitlab-org/gitlab!78107))
- [Fix the primary button on KAS installation modal](gitlab-org/gitlab@14f8afedc140ab9c09e219d15547a7e33ccac50b) ([merge request](gitlab-org/gitlab!78864))
- [Fix typo in message](gitlab-org/gitlab@06e7bbc631bf6810ef7206914007d47ceb25a5cd) ([merge request](gitlab-org/gitlab!78900))
- [Fix broken references when previewing SP payload](gitlab-org/gitlab@a50e2bbd844d6f67962baebb1eb1b80da408b8d5) ([merge request](gitlab-org/gitlab!78701))
- [Use Bitbucket repo description over project description when importing](gitlab-org/gitlab@e0399247740c320a27152eafca593cf879c28c44) by @nicosullivan ([merge request](gitlab-org/gitlab!78160))
- [Guard create issue button in boards against submitting spaces](gitlab-org/gitlab@36ecfa9f819cf59a460d448c559bf1143161d1e3) by @sstern ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78505))
- [Replace offsetTop with getBoundingClientRect for roadmap_setting panel](gitlab-org/gitlab@f078cf8f1e8fc69a089df939f746dd49870b2f93) by @orozot ([merge request](gitlab-org/gitlab!78992))
- [Fix import/export not checking upload result](gitlab-org/gitlab@b67a5b5a12498d57cd877023b7385f7251e57de8) ([merge request](gitlab-org/gitlab!78905))
- [Update `resolved_on_default_branch` attribute in batches](gitlab-org/gitlab@683e1c9e5ac33b809a14deb21ecedb77cf63cef9) ([merge request](gitlab-org/gitlab!78960)) **GitLab Enterprise Edition**
- [Add missing Git authentication support for group level bot build tokens](gitlab-org/gitlab@3a1dae667023be8cc5b04472faa39a0cc6cb3fc8) by @fh1ch ([merge request](gitlab-org/gitlab!78595))
- [Update `Project.updated_at` if other timestamps change](gitlab-org/gitlab@b21f9db220caf2dea304ccf138587b8192e11178) by @wwwjon ([merge request](gitlab-org/gitlab!78572))
- [Remove project loads for dast profiles policy checks](gitlab-org/gitlab@34efffe85f13c306572e83ae16b0e93dbeac3e11) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78312)) **GitLab Enterprise Edition**
- [Do not require credit card validation when it is present](gitlab-org/gitlab@75b2eba0df0949692ce776d46dd8e4e87e34b974) ([merge request](gitlab-org/gitlab!78910)) **GitLab Enterprise Edition**
- [Fix CI instance variable cache misses](gitlab-org/gitlab@0410fb860b32971f59786cc9cbdbabe254c5fd65) ([merge request](gitlab-org/gitlab!78944))
- [Fix cluster integration HTTP adapter](gitlab-org/gitlab@332652b988fe017ceba8ac79dd1ae17550b9b57d) ([merge request](gitlab-org/gitlab!78737))
- [Clear childrenEpic state when changing roadmap sort order](gitlab-org/gitlab@41c3324c8706659be7f926e5c0a98bb4b05247ff) by @espadav8 ([merge request](gitlab-org/gitlab!78275)) **GitLab Enterprise Edition**
- [Prevent compliance pipelines from overwriting child pipelines](gitlab-org/gitlab@b3dcb160802e8ef4319638fb657a4d39070eecce) ([merge request](gitlab-org/gitlab!78878)) **GitLab Enterprise Edition**
- [Fix selection summary not showing on vulnerability report](gitlab-org/gitlab@e3bbcc5bf2a4518ede0cd0ad8955f5df1ee6dbec) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78869)) **GitLab Enterprise Edition**
- [Fix runner count when tabs are used](gitlab-org/gitlab@0805e28d115c312361852eed4f5ef6ab05aa4329) ([merge request](gitlab-org/gitlab!78706))
- [fix: Fix incorrect il8n referenece for Vulnerability Dismissal](gitlab-org/gitlab@5cd6952fb8712d3311fef16993825cd54aceee9f) ([merge request](gitlab-org/gitlab!78692)) **GitLab Enterprise Edition**
- [Allow strings and nested arrays of strings for before/after script](gitlab-org/gitlab@1163adc7f0d6d63bb51141d7a82fdf70b98c3912) by @guillaume.chauvel ([merge request](gitlab-org/gitlab!74792))
- [Extract MergeRequestDiffCommit deletions](gitlab-org/gitlab@b545abbf102de8137757fbef9b714bd477f7e4c4) ([merge request](gitlab-org/gitlab!75963))
- [Reject MIME parts with unsupported encoding](gitlab-org/gitlab@516891d681ef14b4c816cc3d7a5ff4f57b67f1fb) ([merge request](gitlab-org/gitlab!77688))
- [Add user's preferred language to cache key of MR title partial](gitlab-org/gitlab@93ae17ec2c56f2512d44822b048a77604812ce0d) ([merge request](gitlab-org/gitlab!78640))
- [Transition abuse_reports_controller spec](gitlab-org/gitlab@50d9c79a072419445b40b706eba3857a969eeb31) by @leetickett ([merge request](gitlab-org/gitlab!76922))
- [Calculate location fingerprint by signature for findings if available](gitlab-org/gitlab@32bf56fc2930eceee9593dacaecb833cedda9848) ([merge request](gitlab-org/gitlab!78389)) **GitLab Enterprise Edition**
- [Extend Google Cloud Storage max transfer timeout to 60 minutes](gitlab-org/gitlab@4fe77a6a5f7525a3a8c31015c13b0b4e5529dbda) ([merge request](gitlab-org/gitlab!78526))
- [Add spacing for pipeline editor alert close button](gitlab-org/gitlab@aa5434f27c5b88b0beb28a83127113a3b779e8ba) ([merge request](gitlab-org/gitlab!78600))
- [Fix check for valid custom pages domains](gitlab-org/gitlab@71f3a88ce7265521fc8ea6aa5e570dc6a548f244) by @mlegner ([merge request](gitlab-org/gitlab!77247))
- [Add missing tooltip and aria-label for commit description toggle](gitlab-org/gitlab@4644573dfc97d5d79dbb8c26204a90db60438d5e) by @nicosullivan ([merge request](gitlab-org/gitlab!78969))
- [Users who can read project can read bot names](gitlab-org/gitlab@933798cc498d4fe6c39e248e2009624c8f4bb475) ([merge request](gitlab-org/gitlab!78319))

### Changed (216 changes)

- [Use GlAvatar in env dashboard project header](gitlab-org/gitlab@3fcf9edaf55f39a3dfb9744c33c342aa8ff8c5bf) ([merge request](gitlab-org/gitlab!80776)) **GitLab Enterprise Edition**
- [Remove legacy license compliance approval_status](gitlab-org/gitlab@4db506dc60af05418325c9dc39ef145717873bb5) ([merge request](gitlab-org/gitlab!79266)) **GitLab Enterprise Edition**
- [Allow setting feature flag for a single namespace](gitlab-org/gitlab@1a6dd64eea9cf49f126ee2ae861bd3630fd6a38f) ([merge request](gitlab-org/gitlab!79555))
- [No-coverage lines more prominent than covered lines](gitlab-org/gitlab@2c7db3fff1130dede6a0355ff2da7f4ca0f810bf) by @MMSandal ([merge request](gitlab-org/gitlab!80743))
- [Global Search - Optimize SearchContext](gitlab-org/gitlab@b90de6c9ed456d0565c7217a02867ad0c3e0562b) ([merge request](gitlab-org/gitlab!80791))
- [Geo: Job Artifacts replication using SSF](gitlab-org/gitlab@4fbccfcb2451faff6fc63e0442ed53c2c76d3fd4) ([merge request](gitlab-org/gitlab!75264))
- [Update to Puma 5.6.2](gitlab-org/gitlab@624a6067225cda864cfb5c5651fadfbd12303236) ([merge request](gitlab-org/gitlab!80583))
- [Handle invalid URL for DAST Site Profile](gitlab-org/gitlab@ebdb3c04444c84c047a4f9e33e67d2caac8b902b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80170))
- [Use `system-err` if no failure/error message was given in JUnit output](gitlab-org/gitlab@80a6a3e1a1fcbdf270563be22b8acd269e8f5843) by @jdyl ([merge request](gitlab-org/gitlab!80722))
- [Use pagination for vulnerability report](gitlab-org/gitlab@87cf025cc9b062832e943640d43caf5868f6ed98) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79834)) **GitLab Enterprise Edition**
- [Handle invalid URL for DAST Site Profile](gitlab-org/gitlab@5407670fa2354448ae76de2f78b9435a360ce825) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80170))
- [Handle invalid URL for DAST Site Profile](gitlab-org/gitlab@4523782fcf363bb0109a178a95db22821e2a4446) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80170))
- [Updated the docs to include new agent information](gitlab-org/gitlab@286336517a481e3b8bcfe4e82519807ea41b6e7b) ([merge request](gitlab-org/gitlab!80748))
- [Fixed constant wording for clearer understanding](gitlab-org/gitlab@91cc7057ba05de5d194d7e6a0a2616761a4a286c) ([merge request](gitlab-org/gitlab!79167)) **GitLab Enterprise Edition**
- [Remove feature flag for the container registry Google CDN feature](gitlab-org/gitlab@8a642b8e42927944ff84041dd5f76e3389713d63) ([merge request](gitlab-org/gitlab!80622))
- [Add jobs template for Dependency Scanning and License Scanning](gitlab-org/gitlab@f99974161fb323a0a59481ae48fcd544d9d2bd98) ([merge request](gitlab-org/gitlab!79454))
- [Replicate integrations indices for type_new](gitlab-org/gitlab@bc3cf1581c3b87158deba2d3227572485667b2bf) ([merge request](gitlab-org/gitlab!80560))
- [Add missing translations](gitlab-org/gitlab@1bd3800b5e277da103d1fbb85eaa971085af15b2) ([merge request](gitlab-org/gitlab!80616)) **GitLab Enterprise Edition**
- [Replace the bitbucket import modal with a GlModal](gitlab-org/gitlab@516ee15f05ef5464ea09365156c84bfbb93e9e52) ([merge request](gitlab-org/gitlab!80434))
- [Update status icons for requirements](gitlab-org/gitlab@e4d5c3cb1c261381217edd4241c2e29c477fa65f) ([merge request](gitlab-org/gitlab!80775)) **GitLab Enterprise Edition**
- [Bump cluster management project template for 14.8](gitlab-org/gitlab@cccd05e3f420e792e8d5c915705c16d6093072af) ([merge request](gitlab-org/gitlab!80646))
- [Remove dast_sharded_cloned_ci_builds feature flag](gitlab-org/gitlab@dc522c8879c4b954340bf88d129a8dc481c6998b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80133)) **GitLab Enterprise Edition**
- [Switch to GlTabs for markdown header component](gitlab-org/gitlab@51c05183e669c617c6c979337efc263a84f71e9b) ([merge request](gitlab-org/gitlab!80153))
- [Link by commit and name for pipeline](gitlab-org/gitlab@8bf2a9fbae8b32dff090e7ec5660f7338e8ae2ab) ([merge request](gitlab-org/gitlab!80648))
- [Add approvers when editing scan result policies](gitlab-org/gitlab@b40ee4d12ea1e69ce381fed00d6672d3c7068092) ([merge request](gitlab-org/gitlab!80029)) **GitLab Enterprise Edition**
- [Move findings deletion into a worker](gitlab-org/gitlab@1a231d0e573fc5e3a6597c01514bebe0c841f18c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80096)) **GitLab Enterprise Edition**
- [Replace window.confirm with GlModa in deployment actions](gitlab-org/gitlab@b678d445835befcba9a6d7afa6abf37aba570a6d) ([merge request](gitlab-org/gitlab!80360))
- [Modify upload license error language](gitlab-org/gitlab@d689744100e3e655a40ce619a55484e46709bfce) ([merge request](gitlab-org/gitlab!80382)) **GitLab Enterprise Edition**
- [Make integrations type_new trigger null-safe](gitlab-org/gitlab@2e114fcee3ceb294d2a95d415824446c3a4f2b4a) ([merge request](gitlab-org/gitlab!80537))
- [Default on :cluster_vulnerabilities feature flag](gitlab-org/gitlab@38e34090ed9b4e942d7dc58ff40ef7e331c698f4) ([merge request](gitlab-org/gitlab!78140))
- [Improve UI message for unfinished pipelines](gitlab-org/gitlab@be41aa289d597e69b75b249cfff4b92d3ede46f1) ([merge request](gitlab-org/gitlab!74726))
- [Drop temporary index on vulnerability_occurrences](gitlab-org/gitlab@f09b6071cb33947ce175cdbd1fd2bbb3ef5566bf) ([merge request](gitlab-org/gitlab!52120))
- [Change file input on upload license page to a dropzone](gitlab-org/gitlab@ce1c426d689ace07641add0904266d5b204dbc31) ([merge request](gitlab-org/gitlab!77363)) **GitLab Enterprise Edition**
- [Allow offline cloud license upload](gitlab-org/gitlab@98215f5eb33afe0b1d8eb97a00d78abc8a4eb757) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79957)) **GitLab Enterprise Edition**
- [Improve UI text of group settings page](gitlab-org/gitlab@360db80bf29eef546a8ca0ffb3ae7ddb675178e3) ([merge request](gitlab-org/gitlab!80457))
- [Edit UI text to comply with standards](gitlab-org/gitlab@1759c46e43f36f779f621918162c5470c892cf63) ([merge request](gitlab-org/gitlab!80460))
- [Show default value in squash and merge commit template textareas](gitlab-org/gitlab@0c5beda938d90b9de6292cb306e87e4c138abc88) by @trakos ([merge request](gitlab-org/gitlab!77081))
- [Treat API requests from the frontend as web traffic in the rate limiter](gitlab-org/gitlab@5e823d824aa416b6b8bcf5cf88b3d42a6a78a46a) ([merge request](gitlab-org/gitlab!80404))
- [Update KAS to v14.8.1](gitlab-org/gitlab@f873b6569b995f36d48d208e8fc6230d3e535c4a) ([merge request](gitlab-org/gitlab!80527))
- [Put feature flag for reading from finding_evidence](gitlab-org/gitlab@a6d2e2039620ffb673eb562f7303786c1601db34) ([merge request](gitlab-org/gitlab!79883)) **GitLab Enterprise Edition**
- [Remove the border from the signub box on the trial registration page](gitlab-org/gitlab@2e5ba72dd5419e5910073e984b1d8f9cdd9154f1) ([merge request](gitlab-org/gitlab!80451)) **GitLab Enterprise Edition**
- [Upgrade CI images to Debian bullseye](gitlab-org/gitlab@b66c5cb36cab22595d53b1102a3878344eb58ef5) ([merge request](gitlab-org/gitlab!80362))
- [Update confirmation button variant and label](gitlab-org/gitlab@989a28c17d160710b9fb7cf317832c7f6cadd708) ([merge request](gitlab-org/gitlab!80357))
- [Limit on-demand scans tabs counts](gitlab-org/gitlab@9bdccd695718d3f05396a475a581deb964d51d02) ([merge request](gitlab-org/gitlab!79851)) **GitLab Enterprise Edition**
- [Bump Gitlab Shell version to 13.23.2](gitlab-org/gitlab@e553f5ae6df2f5fa456a15df57b15f9b26bba79d) ([merge request](gitlab-org/gitlab!80462))
- [Geo Sites - Filter by Search](gitlab-org/gitlab@d8479184c7b267d01cf4bce331fd9e467f3c27eb) ([merge request](gitlab-org/gitlab!79550)) **GitLab Enterprise Edition**
- [Add feature flag toggle for elastic migration worker](gitlab-org/gitlab@b3c1a78908ba4d111d835564f6da08792876c6f2) ([merge request](gitlab-org/gitlab!80310)) **GitLab Enterprise Edition**
- [Add a memory report link in the Performance Bar](gitlab-org/gitlab@558e451c5b6116999f21cb3b13c5a6bcc207983a) ([merge request](gitlab-org/gitlab!78670))
- [Add vue js fork confirmation modal](gitlab-org/gitlab@4c6fe2801a8324a528a3993af8e6c194af12f2a8) ([merge request](gitlab-org/gitlab!77549))
- [Jira create branch: Alert when lacking permissions](gitlab-org/gitlab@0e18d47cb92efea8f3b485db38c0dc6025bf6357) ([merge request](gitlab-org/gitlab!80043))
- [Replace window.confirm with GlModa in pipeline manual actions](gitlab-org/gitlab@a40410512357a713bc6a24168fa7237ced9275ea) ([merge request](gitlab-org/gitlab!80156))
- [Exclude guests being billable for ultimate trials](gitlab-org/gitlab@16a78be09a86450bd484ec4c0feeb4cb4872bdd2) ([merge request](gitlab-org/gitlab!80284)) **GitLab Enterprise Edition**
- [Add message for user count overage](gitlab-org/gitlab@e4375a34b6b3807082dfe3273df1f59063430666) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/80149)) **GitLab Enterprise Edition**
- [Refactor NamespaceStatistics into CE](gitlab-org/gitlab@2bae697a4dea21e3245e2a787cbe434364500f40) ([merge request](gitlab-org/gitlab!79657))
- [Remove limited class from global_alert](gitlab-org/gitlab@f96def7496ad0ea4167d8aea93f8f539f19ed634) ([merge request](gitlab-org/gitlab!79235))
- [Changed the deployment target option](gitlab-org/gitlab@3f42f9045ea6b66d06887c1f7d8bf2d46b63303b) ([merge request](gitlab-org/gitlab!80262))
- [Remove `ci_skip_require_credit_card_for_addon_ci_minutes` feature flag](gitlab-org/gitlab@6c147ac4da49c2a9d2ec2600b9a5b00740e366b3) ([merge request](gitlab-org/gitlab!80252))
- [Make rate limiting of /users/:id configurable](gitlab-org/gitlab@cd6ddb364e267832e5253fd522f36c7520fe55cf) ([merge request](gitlab-org/gitlab!78364))
- [Use better colors for activity calendar in darkmode](gitlab-org/gitlab@00ab070d0bebf657505cb6f64d06d8f8cb474805) ([merge request](gitlab-org/gitlab!79838))
- [Convert timestamps to utc in license usage export](gitlab-org/gitlab@34bea73fad73634d477f4e8fc3a17feecae28dd0) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79832)) **GitLab Enterprise Edition**
- [Update copy for API Security in DAST](gitlab-org/gitlab@54ed61d49bccd522d9a988219d46871ee190348c) ([merge request](gitlab-org/gitlab!80068))
- [Exclude pending_destruction packages when creating one](gitlab-org/gitlab@0b64d92f6f1b4f1ff8d1fb9db5296c57ab79a033) ([merge request](gitlab-org/gitlab!79868))
- [Set danger variant and label to leave group](gitlab-org/gitlab@b1ffd91f033965e724624e4c3d86cebf2c42f819) ([merge request](gitlab-org/gitlab!80141))
- [Clean up Create Branch from Jira form](gitlab-org/gitlab@4a005a4717f9a07464b91c38435401db554b9d0f) ([merge request](gitlab-org/gitlab!79922))
- [Improve retry tooltip for failed pipeline](gitlab-org/gitlab@52d9593e4a7687c729ee5a830abd16f99ff9a28f) ([merge request](gitlab-org/gitlab!79888))
- [Deprecate custom geo:db:* rake tasks in favor of built-in tasks](gitlab-org/gitlab@40a486187ca788df77a3c68c59cef747de3921a9) ([merge request](gitlab-org/gitlab!77269)) **GitLab Enterprise Edition**
- [Make squash/rebase failed messages better](gitlab-org/gitlab@ce088cd40744369654bfdd190b59355a23a09056) ([merge request](gitlab-org/gitlab!79152))
- [Enable storage purchase via GitLab by default](gitlab-org/gitlab@2cfec65140f29fa1918d9e1ea69e076670ed6dc9) ([merge request](gitlab-org/gitlab!80058))
- [Remove early_prepare_for_mergeability feature flag](gitlab-org/gitlab@1f646ea8b36682350df111946896a9897b3cd35a) ([merge request](gitlab-org/gitlab!80042))
- [Add tooltip to project variables in CI/CD settings](gitlab-org/gitlab@78261494cfaa90425463d9d87cba366412b921cc) ([merge request](gitlab-org/gitlab!79778))
- [feat: Bump major security-code-scan sast version for 15.0](gitlab-org/gitlab@925cee67b9501fbc3075294b4fc6e5b5980fb374) ([merge request](gitlab-org/gitlab!79569))
- [Add link to group pipeline usage quota](gitlab-org/gitlab@c68833b096566bf2197a4b69fb61808fc0e727d8) ([merge request](gitlab-org/gitlab!79969))
- [Update auto-build-image to v1.5.0](gitlab-org/gitlab@bda3b9d031628b97e5b0f940288d04688546d400) ([merge request](gitlab-org/gitlab!79652))
- [Update Go to version 1.17.6, workhorse](gitlab-org/gitlab@bf63170d547a9965e953ad4403f7f6b8b636d5ea) ([merge request](gitlab-org/gitlab!79562))
- [Simplify CI_DEPLOY_FREEZE conditions in Auto DevOps](gitlab-org/gitlab@1674b4b15fc2237d9e75d2b86937807fe9eb0fac) ([merge request](gitlab-org/gitlab!79976))
- [Replace window.confirm with GlModal for noteable notes delete and edit](gitlab-org/gitlab@67679f46b7399ac11e6909ef3f0de6e2161d88ef) ([merge request](gitlab-org/gitlab!78879))
- [Add severity level to compliance violations table](gitlab-org/gitlab@8faf152a534b0c8b0514e0bb5ede6bca0a804fec) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79523))
- [Move VSA metrics to shared analytics](gitlab-org/gitlab@20c17ab23d33a88ca32d6365fa9a00c891e9d656) ([merge request](gitlab-org/gitlab!79824)) **GitLab Enterprise Edition**
- [Remove redundant index_epic_issues_on_epic_id](gitlab-org/gitlab@08ea1d3852ceb280560ae98125d211c03fd3b10d) ([merge request](gitlab-org/gitlab!79925))
- [Remove vue_integration_form feature flag](gitlab-org/gitlab@d60c6f464aa6e687a517b82aa144f6e0f48a9fb5) ([merge request](gitlab-org/gitlab!79603))
- [Remove enable_ci_variable_caching feature flag](gitlab-org/gitlab@5d1068bda295b3a101d3f4121a02ed56dafb142e) ([merge request](gitlab-org/gitlab!79819))
- [Improve the project deletion UI text](gitlab-org/gitlab@2ff35c24dbde968c4af93ca9fca5e77d95a4003f) ([merge request](gitlab-org/gitlab!79363))
- [Improve copy on Slack app delete project modal](gitlab-org/gitlab@60534c0224e1885b8ddc745731ef0b53f07d067c) ([merge request](gitlab-org/gitlab!79714)) **GitLab Enterprise Edition**
- [Improve delete webhook modal copy](gitlab-org/gitlab@67f5c772edc13f009f10d6404c528dea1cd1421c) ([merge request](gitlab-org/gitlab!79718))
- [Change protected branches selector internals](gitlab-org/gitlab@0c6f228a682c57dbe4c3cb307affc61532773721) ([merge request](gitlab-org/gitlab!79451)) **GitLab Enterprise Edition**
- [Alias wip* methods to -> draft*](gitlab-org/gitlab@90065a2b84eaefcc91ad2c980519e801a15f2072) ([merge request](gitlab-org/gitlab!79797))
- [Remove new_route_ci_minutes_purchase feature flag](gitlab-org/gitlab@d3015405004b601e6437783c2db34080cd380aa2) ([merge request](gitlab-org/gitlab!79686))
- [Remove WIP support from commits](gitlab-org/gitlab@8ddead16dc42e8bee7b0bda92426647cfe982927) ([merge request](gitlab-org/gitlab!79695))
- [Add tooltips for pipeline icons](gitlab-org/gitlab@bf22bf798f3dbdbe73d5d4aacc3cd9dabbc7afd7) ([merge request](gitlab-org/gitlab!79763))
- [Hide `None` & `Any` token wildcards](gitlab-org/gitlab@2b9a731b7dade094ecbeed81f21371a954450db6) ([merge request](gitlab-org/gitlab!79728)) **GitLab Enterprise Edition**
- [Give immediate feedback when awarding an issuable](gitlab-org/gitlab@84deccab35365609acd102422ba21cd834fbf497) by @KevSlashNull ([merge request](gitlab-org/gitlab!75808))
- [Remove WIP support from Merge Requests](gitlab-org/gitlab@97abfb8bfae9eac9be50b646c8d1124357e79c3f) ([merge request](gitlab-org/gitlab!79693))
- [Undo filter milestones dropdown in boards by state](gitlab-org/gitlab@e18f2711f1c6445b9274386799f562f6167ed395) by @sstern ([merge request](gitlab-org/gitlab!79554))
- [Fix Kubernetes Agent label capitalization](gitlab-org/gitlab@f85c259b0e6f494f4d54e9028e4a1c01bb5f2328) ([merge request](gitlab-org/gitlab!79682))
- [Add quickSuggestions to Pipeline Editor](gitlab-org/gitlab@38f1fc7e4c34c01a3c3bbe0c0ffa4f1c6bbe807b) ([merge request](gitlab-org/gitlab!79670))
- [Update bitbucket logo](gitlab-org/gitlab@aeefdd9df3bcc5a15a80f7181fc754ccc0fedee7) ([merge request](gitlab-org/gitlab!69192))
- [Update Atlassian logo](gitlab-org/gitlab@a6a21292151826f56b1cd4e74fa6c2a95094413d) ([merge request](gitlab-org/gitlab!69194))
- [Update Twitter logo](gitlab-org/gitlab@ccadb1a35c4bac23d3b2f7b2384c0411f3dfd506) ([merge request](gitlab-org/gitlab!69191))
- [Update Facebook logo](gitlab-org/gitlab@4eb92a9a8e2ae12a8f8d50847041f4b19fac8989) ([merge request](gitlab-org/gitlab!69189))
- [Remove github_importer_use_diff_note_with_suggestions feature flag](gitlab-org/gitlab@0fce5dd2dfe705760b18277894b0e4fa7c6a5524) ([merge request](gitlab-org/gitlab!79661))
- [Error on delete tag when importing repository](gitlab-org/gitlab@820ff2a8f109913f4696dcd9db503fe2eec75210) ([merge request](gitlab-org/gitlab!79660))
- [Treat API requests from the frontend as web traffic in the rate limiter](gitlab-org/gitlab@e77b3686ccd7af6951f0ef690bf2f0f053dee483) ([merge request](gitlab-org/gitlab!79341))
- [Enable jobs tab vue by default](gitlab-org/gitlab@50d0f4e2328b1bcf09826b082cbf4d9d4a2d0159) ([merge request](gitlab-org/gitlab!79659))
- [Update Auth0 logo](gitlab-org/gitlab@09cf9529f1736fa505b12d9f9481d69a2d1bf7b0) ([merge request](gitlab-org/gitlab!69193))
- [Hide user cap alert if viewing pending members](gitlab-org/gitlab@8a70a652efd9b62aec080969a4e796a67396d3a4) ([merge request](gitlab-org/gitlab!79618)) **GitLab Enterprise Edition**
- [Geo Sites - Filter By Status](gitlab-org/gitlab@bd82e5917ad65cf29c7938146a5c227f52da71b2) ([merge request](gitlab-org/gitlab!79070)) **GitLab Enterprise Edition**
- [Add indeterminate state to select all checkbox on vulnerability report](gitlab-org/gitlab@dde9f6e450fd91407accd3fb84f125a175250342) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79398)) **GitLab Enterprise Edition**
- [Update to ruby-magic v0.5.4](gitlab-org/gitlab@91318d98f3d20b06626edf03011075d11472778b) ([merge request](gitlab-org/gitlab!79388))
- [Add combined registration to trial registration flow](gitlab-org/gitlab@5078efb2425a5086aea1ca8035103f016d03ce33) ([merge request](gitlab-org/gitlab!79437))
- [Update rubyzip gem to v2.3.2](gitlab-org/gitlab@98d32a3bfd1fd330540d96903c65cf42dd65cac4) ([merge request](gitlab-org/gitlab!79602))
- [Don't notify Sentry about PreReceiveErrors](gitlab-org/gitlab@245c482098ee367dd140658eeca62c2ab51f9349) ([merge request](gitlab-org/gitlab!79558))
- [Show disabled CI action icon when unauthorized](gitlab-org/gitlab@cf74bdab7a8238a447a922fa555a220e3bb6540f) ([merge request](gitlab-org/gitlab!76959))
- [Enable the pipelines table redesign by default](gitlab-org/gitlab@aef9bb4040e9136371c96313b6daaf9cfe071bc8) ([merge request](gitlab-org/gitlab!79452))
- [Change settings copy](gitlab-org/gitlab@7d1f521e3d9a120a791100c14da53ea547b4a57f) ([merge request](gitlab-org/gitlab!79541))
- [Edit UI text of project permissions](gitlab-org/gitlab@2959d2de5918a2e3325ce60bbc7a22672b8dce45) ([merge request](gitlab-org/gitlab!78748))
- [Add instrumentation class to by-stage-secure metrics](gitlab-org/gitlab@6ee8e88fb764e37a62cc84a8d4023fbcbe17d0d5) ([merge request](gitlab-org/gitlab!76836)) **GitLab Enterprise Edition**
- [Return pretty error validation messages for Security Policy](gitlab-org/gitlab@7e0e5a4334bca72ea588f73ead6b19ef92253426) ([merge request](gitlab-org/gitlab!78916)) **GitLab Enterprise Edition**
- [Hide search bar when registry is empty](gitlab-org/gitlab@8203c487fcff1c57c5180681000790100e4e7b8a) by @KevSlashNull ([merge request](gitlab-org/gitlab!75915))
- [Bump Gitlab Shell version](gitlab-org/gitlab@16910907ad8e89e6a9c6daab865b67c79d8c3b5c) ([merge request](gitlab-org/gitlab!79502))
- [Update styling of date range indicator](gitlab-org/gitlab@bce045861adddea70978d5b7c972a0bc9e36069c) ([merge request](gitlab-org/gitlab!78108))
- [Show error message for permissions](gitlab-org/gitlab@61496e8764f514c3ec2d2c96c61b262010608b0c) ([merge request](gitlab-org/gitlab!79242))
- [Show error message for permissions](gitlab-org/gitlab@b2dfdcb927e888fe6bd27be9eb2a9fe511c9df56)
- [Change contact details for support](gitlab-org/gitlab@4e705e29f2ac0002fa9ecadea1c58d6cc87c990f) ([merge request](gitlab-org/gitlab!78609))
- [Skip redundant checks for runners already scoped to a project](gitlab-org/gitlab@6cef95a994830643a077a2a9a0501f95024f2b18) ([merge request](gitlab-org/gitlab!79346))
- [Swap FK ci_pipelines to projects for LFK](gitlab-org/gitlab@1716da959240ac1a8a90114cda721753518b30b9) ([merge request](gitlab-org/gitlab!79277))
- [Reorganize Kubernetes clusters action button menu](gitlab-org/gitlab@04a4c42df07df7d2560d6c95a8ccac2b4edb18f7) ([merge request](gitlab-org/gitlab!79305))
- [feat(badge): Migrate diff LFS badge to glbadge](gitlab-org/gitlab@fc575676697e2a4561820feb5bde95ee8fc00d66) ([merge request](gitlab-org/gitlab!78413))
- [Enable linear roots in UpdateAllMirrorsWorker](gitlab-org/gitlab@de22b4edad8e3b4391515a3beb7303042202b316) ([merge request](gitlab-org/gitlab!77854)) **GitLab Enterprise Edition**
- [Default enable issue_boards_filtered_search](gitlab-org/gitlab@827f9434e2fdfcdbe984dd236eb33bcf51225ae0) by @sstern ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78230))
- [Add confirmation modal for merge](gitlab-org/gitlab@3a20c6410e4fb240caff10fb3728a6e17efd7bed) ([merge request](gitlab-org/gitlab!78722))
- [Update navigation badge to pajamas styling](gitlab-org/gitlab@fffb3db66186ecd7b56d65f10b571e41777c0021) ([merge request](gitlab-org/gitlab!79390))
- [Allow developers to read Kubernetes clusters](gitlab-org/gitlab@722985df1406cc7c49d93fb72147e440a569202e) ([merge request](gitlab-org/gitlab!77407))
- [Enable `security_report_ingestion_framework` FF by default](gitlab-org/gitlab@17184621c0e963f7930f3d4c7ba2357144686763) ([merge request](gitlab-org/gitlab!79364)) **GitLab Enterprise Edition**
- [Add text for all branches](gitlab-org/gitlab@63718b047e713f0ee6db45a1db571c1140d5655b) ([merge request](gitlab-org/gitlab!79370)) **GitLab Enterprise Edition**
- [Swap FK ci_pipeline_schedules to projects for LFK](gitlab-org/gitlab@eb5eb7b069b4af9a7b8d215e5a296e825be42b5f) ([merge request](gitlab-org/gitlab!79270))
- [Content for hand raise leads](gitlab-org/gitlab@1befa032c2127c593963e846011434022e3355e9) ([merge request](gitlab-org/gitlab!79256)) **GitLab Enterprise Edition**
- [Improve UI text for style compliance](gitlab-org/gitlab@8641e274098a0c9144f16750872836653060653b) ([merge request](gitlab-org/gitlab!78756))
- [Swap FK ci_builds to projects for LFK](gitlab-org/gitlab@511221eb8bcce9ec998d1dda4823414e6da1ef79) ([merge request](gitlab-org/gitlab!79275))
- [Packages list sort by Published and store pref](gitlab-org/gitlab@67ae4d8a2672ebeb85cd3280642be600616f3490) ([merge request](gitlab-org/gitlab!78386))
- [Remove projects that are marked for deletion from UI](gitlab-org/gitlab@69b2ac8026ea90e399c9e349597be145e35c32d2) ([merge request](gitlab-org/gitlab!75742))
- [Swap FK ci_sources_projects to projects for LFK](gitlab-org/gitlab@b01cf0614c285bd8a1cec48d14c44fc6fa48cb7a) ([merge request](gitlab-org/gitlab!79269))
- [Swap FK ci_job_token_project_scope_links to projects for LFK](gitlab-org/gitlab@ed97fc5739f8bd8e699574afd4c4ec55dca9b14b) ([merge request](gitlab-org/gitlab!79268))
- [Add alert after Slack application is installed](gitlab-org/gitlab@278e401bba0f090224e7169b2ffae5699aff5736) ([merge request](gitlab-org/gitlab!79233)) **GitLab Enterprise Edition**
- [Swap FK ci_runner_projects to projects for LFK](gitlab-org/gitlab@92ce5750de0a0a883a8fb65eb49ea4f732f92928) ([merge request](gitlab-org/gitlab!79022))
- [Swap FK ci_job_artifacts to projects for LFK](gitlab-org/gitlab@3eb69eebab55459b0823ff12d4b3974fc7bcebc2) ([merge request](gitlab-org/gitlab!79026))
- [Update UI for MR pipeline rename](gitlab-org/gitlab@dbcc0895c709c7070439cc7f6ada273fddcf11db) ([merge request](gitlab-org/gitlab!79224))
- [Swap FK vulnerability_feedback to ci_pipelines for LFK](gitlab-org/gitlab@0c7e5b94c9a71cfa1510174b0bc31abb1b070320) ([merge request](gitlab-org/gitlab!79105))
- [Only fetch namespaces if search value changes](gitlab-org/gitlab@3f22e42417ba66903324340515c088f1599122c3) ([merge request](gitlab-org/gitlab!78994))
- [Add error code to project export command status log](gitlab-org/gitlab@78895a359ca0b6506e9cf23866c1f020ebe5fa97) ([merge request](gitlab-org/gitlab!79193))
- [Swap FK dast_site_profiles_pipelines to ci_pipelines for LFK](gitlab-org/gitlab@7efa6cb1976b362fded4c6e54ad19709cd31094e) ([merge request](gitlab-org/gitlab!79103))
- [Add compatibility alert to Jira Connect App](gitlab-org/gitlab@7e79f5930558f1c37dd886faa5002f1452d04ca8) ([merge request](gitlab-org/gitlab!78866))
- [Swap FK ci_subscriptions_projects to projects for LFK](gitlab-org/gitlab@ca7812d26c9d2c4f14ae0f9424aadee331fbccab) ([merge request](gitlab-org/gitlab!79042))
- [Replace window.confirm with GlModal for noteable discussions](gitlab-org/gitlab@20e05799c765193e8720cf4c0ef56019ef0c910d) ([merge request](gitlab-org/gitlab!78661))
- [Replace window.confirm with GlModal for board setting sidebar](gitlab-org/gitlab@0eae96df678e2d337ae70d5544dc9ebc64d205b8) ([merge request](gitlab-org/gitlab!78097))
- [Swap FK ci_project_monthly_usages to projects for LFK](gitlab-org/gitlab@1f1ec8694fd9a1b5d5bcbe58b2567da459671ddc) ([merge request](gitlab-org/gitlab!79073))
- [Add IDE preview success metrics](gitlab-org/gitlab@e11d4a7c64126185b68f37ed5532db681f7c5e08) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78952))
- [Swap FK ci_stages to projects for LFK](gitlab-org/gitlab@dbc0fb73824c5cbd650c194e2aefca322ad2b9d4) ([merge request](gitlab-org/gitlab!78945))
- [Improve UI text for style compliance](gitlab-org/gitlab@13529a0c6f5085866e7c206316ed8c3728ed90b4) ([merge request](gitlab-org/gitlab!78853)) **GitLab Enterprise Edition**
- [Replace window.confirm with GlModal for repository index](gitlab-org/gitlab@5c2bdf2ae136d3f974063fb911a7526671690875) ([merge request](gitlab-org/gitlab!78907))
- [Hide subs expiration banner before eligible](gitlab-org/gitlab@c50aac982ed3b6c9ac2cb55c609cffbf4dabbc82) ([merge request](gitlab-org/gitlab!77625)) **GitLab Enterprise Edition**
- [Remove export_reduce_relation_batch_size feature flag](gitlab-org/gitlab@7db41adaeb2a1ae3df6bb9e2609f044647f1c670) ([merge request](gitlab-org/gitlab!79132))
- [Update runner registration token reset modal](gitlab-org/gitlab@73f80a03948592b666e2d51758b385f95dde440d) ([merge request](gitlab-org/gitlab!79136))
- [Swap FK ci_pipelines to merge_requests for LFK](gitlab-org/gitlab@e991d61c19f1197ed7f9441ba23ef9ed5536c355) ([merge request](gitlab-org/gitlab!78574))
- [Swap FK ci_job_token_project_scope_links to projects for LFK](gitlab-org/gitlab@cd3dc6e47ad461e4bdf2392a69b118decfdc6e83) ([merge request](gitlab-org/gitlab!79069))
- [Add Cluster Image Scanning to AutoDevOps](gitlab-org/gitlab@f0adeb683d0e006c036e4580d0a299dbe9809afd) ([merge request](gitlab-org/gitlab!78271))
- [Update iteration dropdowns in sidebars/board list](gitlab-org/gitlab@4c458201ba4af050012d5205dc7ab1954f5a13b3) ([merge request](gitlab-org/gitlab!78361)) **GitLab Enterprise Edition**
- [Add unit test for trials_link_url](gitlab-org/gitlab@db33b61af6e65caae6dccd0f372cec8d318bb226) by @orozot ([merge request](gitlab-org/gitlab!78872)) **GitLab Enterprise Edition**
- [Refactor hello_deferred path to jh_else_ce](gitlab-org/gitlab@5de1b0a23d4b929081e6a2169e1f38b780db83ec) by @orozot ([merge request](gitlab-org/gitlab!78872))
- [Extract callout content trails link to variable](gitlab-org/gitlab@d7b774da7a0d5c000dacb7fe79527eb4629a46c0) by @orozot ([merge request](gitlab-org/gitlab!78872)) **GitLab Enterprise Edition**
- [Boards - Fix top elements alignment](gitlab-org/gitlab@08b2142a003dd74612cfd68acc93def126212ed0) ([merge request](gitlab-org/gitlab!78428))
- [Swap FK ci_refs to projects for LFK](gitlab-org/gitlab@3383b327e2a84c64536c02fc2d478b7f29072769) ([merge request](gitlab-org/gitlab!79065))
- [Swap FK ci_sources_pipelines to projects for LFK](gitlab-org/gitlab@11b4ece681f3eacb08fede0fd81726eb06db0e5e) ([merge request](gitlab-org/gitlab!79062))
- [Hide user avatar for blocked and unconfirmed users](gitlab-org/gitlab@565dc6f44762fc631c013875756acba2cba13c69) ([merge request](gitlab-org/gitlab!77250))
- [Swap FK ci_builds_metadata to projects for LFK](gitlab-org/gitlab@6544a4abaf832daf26490a21bbb9e836ea9127c6) ([merge request](gitlab-org/gitlab!79039))
- [Improve OmniAuth sign in description](gitlab-org/gitlab@43acbf24b781885ca49644581fcf3fbbd36eb3c1) by @scootergrisen ([merge request](gitlab-org/gitlab!72438))
- [Swap FK ci_variables to projects for LFK](gitlab-org/gitlab@f5feec0e744911138b233a548fa43da455dcbd69) ([merge request](gitlab-org/gitlab!78946))
- [Swap FK ci_subscriptions_projects to projects for LFK](gitlab-org/gitlab@8107fe95875c1a4d59aa8e7e874268363b1fe551) ([merge request](gitlab-org/gitlab!79024))
- [Swap FK ci_triggers to projects for LFK](gitlab-org/gitlab@6f1546ce9e1706ff6e59b56645191ac8dab8fb2c) ([merge request](gitlab-org/gitlab!79021))
- [Swap FK external_pull_requests to projects for LFK](gitlab-org/gitlab@2dfceed9d70cf3cf7060142016523f6f4cd706e1) ([merge request](gitlab-org/gitlab!79019))
- [Add Pajamas badge for diverged from upstream](gitlab-org/gitlab@78e8a2896a718cf4c92116039ce81b9940af2d54) ([merge request](gitlab-org/gitlab!78984))
- [Refactor system notes for alerts and incidents for consistentcy](gitlab-org/gitlab@3b3f92bacc3541f49b19d4d7c9a3e7f572b7cf85) ([merge request](gitlab-org/gitlab!78243))
- [Improve explanation for Advanced Project settings](gitlab-org/gitlab@bf9c0b1e92adde26fbb1edec26008b8c5ca3953a) ([merge request](gitlab-org/gitlab!78290))
- [Handle path not found without throwing, accept array as path](gitlab-org/gitlab@7aa8ff9bd8896de63872967a874279067bb6faf7) ([merge request](gitlab-org/gitlab!78261))
- [Add scan result policy into policy editor](gitlab-org/gitlab@5bc6ae0dddeb19c1746901b2b210266fdaa82b64) ([merge request](gitlab-org/gitlab!77814)) **GitLab Enterprise Edition**
- [Use gl-badge for web IDE activity bar](gitlab-org/gitlab@036d6cea1614a45ee7be4a66fb6333d17b300102) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78965))
- [Geo Sites - NA Verification Help](gitlab-org/gitlab@be2075f14b69898902766262778b614ee48f15f2) ([merge request](gitlab-org/gitlab!78947)) **GitLab Enterprise Edition**
- [Disable sync for offline cloud licenses](gitlab-org/gitlab@6184e4018e2000e1ecb8a49a797d3e437cdd7a61) ([merge request](gitlab-org/gitlab!78728)) **GitLab Enterprise Edition**
- [Geo Sites - Update replication button](gitlab-org/gitlab@9a898f4ecd729f0c7042199a45565eb8450ca6b0) ([merge request](gitlab-org/gitlab!78927)) **GitLab Enterprise Edition**
- [Geo Forms - Fix Buttons](gitlab-org/gitlab@6471ad685f24be68170b075f73dfdca71885a8ca) ([merge request](gitlab-org/gitlab!78924)) **GitLab Enterprise Edition**
- [VSA metrics: Only render decimal places for floats](gitlab-org/gitlab@de98f4d5ac34c03540dffddfe1d3b7894d8a766d) ([merge request](gitlab-org/gitlab!78675))
- [Swap FK vulnerability_statistics to ci_pipelines for LFK](gitlab-org/gitlab@da3e27e091d722794bde807893c674ffaa9ae6f8) ([merge request](gitlab-org/gitlab!78599))
- [Remove instructions to install Agent if KAS is not set up](gitlab-org/gitlab@51d7f1e05425031463688adc97a35d586ab92953) ([merge request](gitlab-org/gitlab!78168))
- [Update iteration changed notification format](gitlab-org/gitlab@79f89989f62e9af2a8a078e3f4cace722574575e) ([merge request](gitlab-org/gitlab!78250)) **GitLab Enterprise Edition**
- [Lowercased runner because it's referring to agent](gitlab-org/gitlab@909978158ef46a88bb0d69fd38f1fe1b6991204d) ([merge request](gitlab-org/gitlab!78725))
- [Keep branch when going to Pipeline Editor through nav](gitlab-org/gitlab@48c95031377b2cbd1a057f186b939fa59906d5a0) ([merge request](gitlab-org/gitlab!78594))
- [Swap FK vulnerability_occurrence_pipelines to ci_pipelines for LFK](gitlab-org/gitlab@51f3ff916edbd3fd5aac78732f75d6e2d8f00ee7) ([merge request](gitlab-org/gitlab!78601))
- [Swap FK dast_profiles_pipelines to ci_pipelines for LFK](gitlab-org/gitlab@18f11e7f31d6a4bf07300065e8980a86e98b238f) ([merge request](gitlab-org/gitlab!78597))
- [Limit the length of generated anchor URL for markdown headers](gitlab-org/gitlab@32b2723912e4b35bfb0701dfe374c8197f64facf) ([merge request](gitlab-org/gitlab!78672))
- [Treat API requests from the frontend as web traffic in the rate limiter](gitlab-org/gitlab@a5440d5bf6f617cb2342e76811b37a7c2d7986ea) ([merge request](gitlab-org/gitlab!78082))
- [Handle members who are existing hierarchy members](gitlab-org/gitlab@d74a9d9991ce856a948424e3d7216750206e3418) ([merge request](gitlab-org/gitlab!76850)) **GitLab Enterprise Edition**
- [Fix empty line to contain two values](gitlab-org/gitlab@872dfcc8d94d9d6edee8cad61bc8531ac200b627) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78678)) **GitLab Enterprise Edition**
- [Swap FK merge_trains to ci_pipelines for LFK](gitlab-org/gitlab@e7bfb7dd322c66361ff8cb67057d01866ecb5a03) ([merge request](gitlab-org/gitlab!78568))
- [Add Pajamas complient "whats new" badge](gitlab-org/gitlab@2a9007343d4047f241924838057cc8e5f881345e) ([merge request](gitlab-org/gitlab!78524))
- [Swap FK ci_triggers to users for LFK](gitlab-org/gitlab@3540dcc5a4f80df4ba5f43a9b726af21212a5f8c) ([merge request](gitlab-org/gitlab!78563))
- [Extract container registry page common component](gitlab-org/gitlab@6b62906cc0d0077612df461e79efd2bb69817dfa) by @orozot ([merge request](gitlab-org/gitlab!77833))
- [Update secret detection template to be more robust](gitlab-org/gitlab@9a1dbbadf89e1eb6c729206542e11161abf71129) ([merge request](gitlab-org/gitlab!78321))
- [Remove feature flag for auto-linking LFS objects in forks](gitlab-org/gitlab@dd5724c49c3f6ce2e0f910f636f84a8ccb2549c1) ([merge request](gitlab-org/gitlab!78592))
- [Enable ci_skip_require_credit_card_for_addon_ci_minutes by default](gitlab-org/gitlab@3410f7977bd42cac416b1ed3db785bf0d19ff377) ([merge request](gitlab-org/gitlab!78591))
- [Loosen rule to detect cyclical pipelines](gitlab-org/gitlab@9254fa578747056703bd11b308c89ed95adc399f) ([merge request](gitlab-org/gitlab!78171))
- [Swap FK merge_requests to ci_pipelines for LFK](gitlab-org/gitlab@27ce821111e9d851f5ae080e4a6d3921634936cc) ([merge request](gitlab-org/gitlab!78566))
- [Swap FK ci_sources_pipelines to projects for LFK](gitlab-org/gitlab@9f2dc374ed970df1c39a671cf449dc9690f15f99) ([merge request](gitlab-org/gitlab!78090))
- [Remove summary from Finding Evidence](gitlab-org/gitlab@44fa8380e8f353b14b19d4dabe956fe9f22f2e14) ([merge request](gitlab-org/gitlab!77710))
- [Geo UI - Rename Nodes to Sites](gitlab-org/gitlab@4254017865c20fb01252bfa653351005e37ce937) ([merge request](gitlab-org/gitlab!78310)) **GitLab Enterprise Edition**
- [Remove FF custom_preloader_for_deployments](gitlab-org/gitlab@b173add5839e1e6c518530556620c97dab991acc) ([merge request](gitlab-org/gitlab!78197))
- [Update group#shared_externally to include projects](gitlab-org/gitlab@14197fbf378b0ba4571c7de5594ed5ef44a31238) ([merge request](gitlab-org/gitlab!78270)) **GitLab Enterprise Edition**
- [Improve the labels on Kubernetes Agent UI](gitlab-org/gitlab@85a377fd4618728a91b2183b25ff1ad0ffc8e4e9) ([merge request](gitlab-org/gitlab!77845))

### Deprecated (12 changes)

- [Add warning for deprecation notice on logs page](gitlab-org/gitlab@524b57fe9758fe787bb06f0d011f14323cd27d7b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79506))
- [feat: Update SECURE_ANALYZER_PREFIX in all Sec Section templates](gitlab-org/gitlab@c20808b214f2a2304027a834561852a0e0026fd1) ([merge request](gitlab-org/gitlab!79063))
- [Require `auto-deploy use_kube_context` to be present](gitlab-org/gitlab@48663c8f268d94ff2de99c28e36741603ede856f) ([merge request](gitlab-org/gitlab!79240))
- [Change merged_by deprecation to breaking change](gitlab-org/gitlab@7f9f577976f1186f83e8dc1d0e22121a17fbe7b1) ([merge request](gitlab-org/gitlab!79669))
- [Deprecate /groups/:id/runners?type=project_type](gitlab-org/gitlab@2f9faca20aa8ee6cd9ae790c5ef60eb369fbe40a) ([merge request](gitlab-org/gitlab!79450))
- [REST API: Deprecate active/paused values in status filters](gitlab-org/gitlab@d493fea4927329758424e662c30b5ef2de0d0642) ([merge request](gitlab-org/gitlab!79349))
- [GraphQL: Deprecate active field in RunnerUpdateInput](gitlab-org/gitlab@67410860c452c65583e9a1e79996bef1d7cd9cb0) ([merge request](gitlab-org/gitlab!79131))
- [REST API: Deprecate ‘active’ property for Runners](gitlab-org/gitlab@3ca9f3e7fb54b2568e62ef733c862fff10c062a8) ([merge request](gitlab-org/gitlab!79244))
- [GraphQL: Deprecate active field for RunnerType](gitlab-org/gitlab@f42fa2c42be43c6be34fd62566eb689799c84b8c) ([merge request](gitlab-org/gitlab!79017))
- [GraphQL: Deprecate active filter for Runners resolver](gitlab-org/gitlab@e1aee64fbfbee97a50fca50b55d74b2031d3c27f) ([merge request](gitlab-org/gitlab!79018))
- [Deprecate Runner API maintainer_note](gitlab-org/gitlab@1f56df9b059ac368877889326b4f7a5c6b649d9e) ([merge request](gitlab-org/gitlab!78677))
- [Deprecate Gitlab Shell's self_signed_cert setting](gitlab-org/gitlab@4374e0351830fba7db2099e68413b259eefab4e2) ([merge request](gitlab-org/gitlab!78078))

### Removed (21 changes)

- [Remove deprecated CanMutateSpammable](gitlab-org/gitlab@d9f911149c0c15cca91d9f0643a8f0c9119783f7) ([merge request](gitlab-org/gitlab!80778))
- [Remove unused partial remove_approver](gitlab-org/gitlab@6381f48c7bcaaae40921e8bc62cdc15b79b5780d) ([merge request](gitlab-org/gitlab!80582))
- [git: Stop calling Gitaly's Cleanup RPC](gitlab-org/gitlab@9a63b10c932d67014ceaf68ef72d5505ae0b2465) ([merge request](gitlab-org/gitlab!80485))
- [Remove the billing in side nav experiment](gitlab-org/gitlab@99d194de05bc266cb3a71ab489c17f9377c4e7c7) ([merge request](gitlab-org/gitlab!80306)) **GitLab Enterprise Edition**
- [Remove unique index](gitlab-org/gitlab@493715d878adce00eba5cb0b5efa6bd8fe35a085) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/79683))
- [rake/info: Stop reporting Git version](gitlab-org/gitlab@5f31c7de4d499bc97c331ca853651023773934b0) ([merge request](gitlab-org/gitlab!80048))
- [system_check: Remove Git version check](gitlab-org/gitlab@9d036a37c66f890a614556504af4dd0931c0a75d) ([merge request](gitlab-org/gitlab!80048))
- [system_check: Remove Git configuration check](gitlab-org/gitlab@469849c307269c137f1845e8260f683b10dfff87) ([merge request](gitlab-org/gitlab!80048))
- [Remove unused WIP regex](gitlab-org/gitlab@0ad8a5451832fba1c6b17e516f449a0b76f82f20) ([merge request](gitlab-org/gitlab!79856))
- [Remove the loose_foreign_key_cleanup FF](gitlab-org/gitlab@cc1805c4fc3480f10742373578aa342fd75f75e2) ([merge request](gitlab-org/gitlab!79831))
- [Remove feature flag](gitlab-org/gitlab@ccfa41280a2359ea1a850755fb8bd2c0fc8664dd) ([merge request](gitlab-org/gitlab!79707))
- [Remove security_finding_build_disable_joins feature flag](gitlab-org/gitlab@81ce34f28e73ad7f7f1fe5571d2e5b521ddafc29) ([merge request](gitlab-org/gitlab!79704))
- [Remove vulnerability_history feature flag](gitlab-org/gitlab@e95671953d747eed9bda479bd3c1b49d6a3149ae) ([merge request](gitlab-org/gitlab!79186))
- [Remove instance_security_dashboard feature flag](gitlab-org/gitlab@eb53bce4233949fc80ae2cd6587e325741f39734) ([merge request](gitlab-org/gitlab!79187))
- [Remove all code related to Gitlab::RequestProfile](gitlab-org/gitlab@ff5d698d6507c313e76490ef924bb09415b70e24) ([merge request](gitlab-org/gitlab!78911))
- [Remove duplicate data_category: entry](gitlab-org/gitlab@fa07e581af7dd9232f6926901d2043e62900edab) ([merge request](gitlab-org/gitlab!78621))
- [Remove paid feature callout badge](gitlab-org/gitlab@78d50cd46706b3d2996c849e1186b573c4267f97) ([merge request](gitlab-org/gitlab!78954))
- [Disable sandboxed_mermaid feature flag](gitlab-org/gitlab@524979a74aa733eda4301c8e24162f532b88219b) ([merge request](gitlab-org/gitlab!79045))
- [Remove incident labeled metric](gitlab-org/gitlab@66ba7cd73f074542db48be3fe9ff268b0c878380) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78447))
- [Drop `position` column from `security_findings` table](gitlab-org/gitlab@4ce8c43a1f8a11b4fb38015ff8728d410f0c09bc) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78665))
- [Remove username suggestion for trial registration](gitlab-org/gitlab@f86647431d200028628691e393f5da01d39d4f74) ([merge request](gitlab-org/gitlab!78686)) **GitLab Enterprise Edition**

### Security (8 changes)

- [Upgrade to Rails v6.1.4.6](gitlab-org/gitlab@f9879f031441b0b280dad9c3538e307b933cb9ab) ([merge request](gitlab-org/gitlab!80579))
- [Fixes typo on pipeline model](gitlab-org/gitlab@9d2fbf7b3877e0fe33483dcb07569d155f672123)
- [Add Gitlab::BufferedIo with header read timeout](gitlab-org/gitlab@a8807ee52d0b22b68beb31f0cad6ad5b77b4caf6) ([merge request](gitlab-org/gitlab!78065))
- [Ignore spoofable Reply-To address in Service Desk](gitlab-org/gitlab@1be6d168a885f147b9fd71fa93165522bcdd0391) ([merge request](gitlab-org/gitlab!79677))
- [Enable Secure attribute for frontend cookies](gitlab-org/gitlab@9104396d0cdaa832fa3846061072ea238ab26068) ([merge request](gitlab-org/gitlab!79383))
- [Block recursive webhooks](gitlab-org/gitlab@0536b9e7be125f8af0f0fd290e1b128b8a8a4471) ([merge request](gitlab-org/gitlab!79085))
- [Sanitize link markup for vulnerability chat messages](gitlab-org/gitlab@60913a4b1b461e72ddeecde0254449444bb41e8c) ([merge request](gitlab-org/gitlab!78669)) **GitLab Enterprise Edition**
- [Adding a conditional to prevent an unauthorized route](gitlab-org/gitlab@1fa306fb7e85621242a2e0ac40fbe13326b7f84d) ([merge request](gitlab-org/gitlab!78490))

### Performance (17 changes)

- [Refactor building project secret variables](gitlab-org/gitlab@c59017aee6854f00add37a0fc635b4ce4cb45b1f) ([merge request](gitlab-org/gitlab!79850))
- [Enable branches API rate limit cache](gitlab-org/gitlab@0cc3485a9d7f207938e8a70b1693eebfad49e89e) ([merge request](gitlab-org/gitlab!80613))
- [Enable caching on tags API](gitlab-org/gitlab@cf0390e9e934a8e041c78b39cab5cde62939e4d0) ([merge request](gitlab-org/gitlab!80606))
- [Enable JSON limited encoder](gitlab-org/gitlab@28287bda0bf0c869d2d3a30e6e7af31314c1e4a0) ([merge request](gitlab-org/gitlab!80627))
- [Enable repository API rate limit cache](gitlab-org/gitlab@58ee1738c771d19d8d298742e02438cae5ac3217) ([merge request](gitlab-org/gitlab!80624))
- [Enable caching on merge requests API](gitlab-org/gitlab@b2cdc30f493db426c6be444eadbffd753c576291) ([merge request](gitlab-org/gitlab!80609))
- [Enable Grape/Gitlab::Json hook](gitlab-org/gitlab@60aaff3bd1145134d89e1c41393d35271d2b8657) ([merge request](gitlab-org/gitlab!80604))
- [Add partial index for active Cluster Image Scanning vulnerabilities](gitlab-org/gitlab@286352f129f0b8bd302533bdb35ae4eaadd77d8e) ([merge request](gitlab-org/gitlab!80300))
- [Reduce Redis calls for instance level variables](gitlab-org/gitlab@2998c15be6e00d35f91c66ca5a86cb1ccb577b15) ([merge request](gitlab-org/gitlab!79435))
- [Optimize User#ci_owned_runners query](gitlab-org/gitlab@79085e714552254dd82621b581e4a6d4a923c3a4) ([merge request](gitlab-org/gitlab!79729))
- [Add compound index for `vulnerabilities` table on `project_id` and `id`](gitlab-org/gitlab@26b89a55b03c7a857d483e46b6a179620dd78e32) ([merge request](gitlab-org/gitlab!79171))
- [Cache CI expire_in parsing](gitlab-org/gitlab@5fc166b9993598f7c9d9da00015be5ab6c681f76) ([merge request](gitlab-org/gitlab!78953))
- [Speed up project exports by moving the archive to the cache dir](gitlab-org/gitlab@23efa56bfb203c92b16f3967b876c063baceb496) ([merge request](gitlab-org/gitlab!78986))
- [Fix cross join query for Ci::Runner#projects](gitlab-org/gitlab@7f29e633b52a4d1ac2e2fcd0c069711066c42f4a) ([merge request](gitlab-org/gitlab!78372))
- [Remove ci_preload_runner_tags feature flag](gitlab-org/gitlab@b5be11f7c3de6febd58f2ee340e422c692d9980a) ([merge request](gitlab-org/gitlab!78663))
- [Optimize decryption of CI variables](gitlab-org/gitlab@d0ff854f0068aa3cc793ac583016764165aa7e07) ([merge request](gitlab-org/gitlab!78440))
- [Improve Sidekiq jobs that use DB load balancing](gitlab-org/gitlab@418e80689aa902413ce25317614b01a95262cdf1) ([merge request](gitlab-org/gitlab!78471))

### Other (66 changes)

- [Revert "Merge branch 'role-targeted-broadcast' into 'master'"](gitlab-org/gitlab@ac8cc851b95dc4786742d15abce502d7dfe0b5cd) ([merge request](gitlab-org/gitlab!80893))
- [Add foreign key to ci_builds runner_id](gitlab-org/gitlab@53884146bf8875e24423981df84c7c2f0b23e9ec) ([merge request](gitlab-org/gitlab!80203))
- [Fix Style/OpenStructUse offenses for import service and spec helpers](gitlab-org/gitlab@d762ddf0c88641a9ab75b6cb52b197e023038ba9) by @edith007 ([merge request](gitlab-org/gitlab!75280))
- [Remove new_route_storage_purchase feature flag](gitlab-org/gitlab@e1d1585414033d0ddd816e242fd0b9965cf81fc7) ([merge request](gitlab-org/gitlab!80568))
- [Fix Style/OpenStructUse offenses in project cluster_controller_spec](gitlab-org/gitlab@2f0a58906046ad44021b7072f89e4320aa22eb6a) by @edith007 ([merge request](gitlab-org/gitlab!75214))
- [Fix Style/OpenStructUse offenses in project clusters_spec](gitlab-org/gitlab@99cf4cdda5730f3416ee83c6000a068acd9251f0) by @edith007 ([merge request](gitlab-org/gitlab!75224))
- [Fix Style/OpenStructUse offenses in group cluster controller specs](gitlab-org/gitlab@c9cb2feda92fb132aeacf6421abc1e6f3083d186) by @edith007 ([merge request](gitlab-org/gitlab!75190))
- [Backfill CI queuing tables](gitlab-org/gitlab@31e260d6928ba531bd6009680cff4c7cba0ff736) ([merge request](gitlab-org/gitlab!80172))
- [Mentioned breaking change label in contribution guide](gitlab-org/gitlab@551f07cfe00fb5ba0719083d2c3b73150cf845c9) ([merge request](gitlab-org/gitlab!80487))
- [Migration for deleting service template records](gitlab-org/gitlab@406a32616554aea83150b1a573b317303e0ffb18) by @lenikadali ([merge request](gitlab-org/gitlab!79737))
- [Make starrers sort dropdown Pajamas-compliant](gitlab-org/gitlab@6629bbcbf087f18418c6183d4f2785de74e7c10f) ([merge request](gitlab-org/gitlab!78708))
- [Remove track_application_boot_time FF](gitlab-org/gitlab@31d451bb5c167f4b38bbf5d80503fc2dd5d80aa6) ([merge request](gitlab-org/gitlab!80366))
- [Add statistics card component with tests](gitlab-org/gitlab@457f0ebc7b539c4021697c336f9d5209553f1ad3) ([merge request](gitlab-org/gitlab!80261)) **GitLab Enterprise Edition**
- [Moving gitlab_loose_foreign_key to config/ directory](gitlab-org/gitlab@b29a03836da9b6349746d3edc73f153387379526) by @edith007 ([merge request](gitlab-org/gitlab!80064))
- [Remove Geo proxying metrics feature flag](gitlab-org/gitlab@ca87691602ea72e01a2ee865741a6537e6f31766) ([merge request](gitlab-org/gitlab!80018)) **GitLab Enterprise Edition**
- [Update comment for ActiveModel::Serializers::JSON in presenter](gitlab-org/gitlab@698c8e3bab8a8b0cddc7104a8ce0dc9bdfcd834b) by @edith007 ([merge request](gitlab-org/gitlab!75858))
- [Truncate before vulnerability link index creation](gitlab-org/gitlab@58b4b540566246dfff5222321859dd88d745c699) ([merge request](gitlab-org/gitlab!79637))
- [Remove the FF ci_find_runners_by_ci_mirrors](gitlab-org/gitlab@31ea7607e1bf94d41dcf58e61618bfd99706b55d) ([merge request](gitlab-org/gitlab!79879))
- [Remove ::Gitlab::Utils::StrongMemoize inclusion as it's duplicate](gitlab-org/gitlab@7e7724a23ff6542886320c455d1424c20cb7542e) by @edith007 ([merge request](gitlab-org/gitlab!75857))
- [Remove Gitlab::Utils::StrongMemoize inclusion as it's duplicate](gitlab-org/gitlab@20c6604b39d70bd2fa04df3c130509eafb1c96d2) by @edith007 ([merge request](gitlab-org/gitlab!75863))
- [Add documentation links to Merge Request settings page](gitlab-org/gitlab@6f34f447df18a2674fdf4646244fe3fb0a0fae0a) ([merge request](gitlab-org/gitlab!79999))
- [Remove FF ci_order_subsequent_jobs_by_stage](gitlab-org/gitlab@f87e7dbdea45294cd2af75b0c8a5aa107ab022dd) ([merge request](gitlab-org/gitlab!79952))
- [Remove the `packages_installable_package_files` feature flag](gitlab-org/gitlab@724b0766c58a3fb025f091b659f012cb923acaae) ([merge request](gitlab-org/gitlab!79745))
- [Update badge in accessibility issue body](gitlab-org/gitlab@ce8ed5b344e5ebfc2ea1496eb1939fc85dc0320f) ([merge request](gitlab-org/gitlab!79777))
- [Unify image pin style for diffs/design management](gitlab-org/gitlab@8e85a2189246247bdfe003759425bc6d97513c93) ([merge request](gitlab-org/gitlab!75627))
- [Cleanup after variables builder](gitlab-org/gitlab@009ba486b47c275016baf16f40a6d8218ac660b9) ([merge request](gitlab-org/gitlab!79330))
- [Update external authorization docs](gitlab-org/gitlab@066c832566cf72396cb271154ee2a8d2ee58db03) ([merge request](gitlab-org/gitlab!79676))
- [Cleanup PopulateTestReportsIssueId background migration jobs](gitlab-org/gitlab@adea69c5247b3f0d97cba76aac2d73168f0456c2) ([merge request](gitlab-org/gitlab!79633))
- [Set type of Web IDE commit button to submit](gitlab-org/gitlab@a3389934d5049815c2ebca543ffeca64ac4206ca) by @tchandelle ([merge request](gitlab-org/gitlab!79259))
- [Remove redundant index on clusters_kubernetes_namespaces](gitlab-org/gitlab@dc77e8e19e33daf8bf71bdae6879492e9ebb7bbc) ([merge request](gitlab-org/gitlab!79597))
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@4575769dedb71f5da555a086f8c9820e895824ed) by @edith007
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@06f13583cd7d1310d0c90d8eed25e9d52ffd276c) by @edith007 ([merge request](gitlab-org/gitlab!75974))
- [Pass formats explicitly when rendering .md file](gitlab-org/gitlab@a4dc45e341314fc1e74657292b1d9ef70f61523c) by @edith007 ([merge request](gitlab-org/gitlab!75781)) **GitLab Enterprise Edition**
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@d06cdd6bbfbecac2ef312065887696dcd591924a) by @edith007 ([merge request](gitlab-org/gitlab!75975))
- [Finalize backfilling ci mirror tables](gitlab-org/gitlab@8f1eb28f6e05dd8c11e5fc949d1bb3e7e2fbe732) ([merge request](gitlab-org/gitlab!79344))
- [Delete tributejs for autocomplete](gitlab-org/gitlab@b2115644ff2437c1275fe9aaf02d60830f62c48a) ([merge request](gitlab-org/gitlab!78564))
- [Remove feature flags for configuring object store files deletion](gitlab-org/gitlab@9aefd98b7ffe8adc3db800bbfff4418a6fa2c72c) ([merge request](gitlab-org/gitlab!79249))
- [Fixes OpenStruct use in design_management specs](gitlab-org/gitlab@459ad59fb867502682559ebb575ed486b9f2b7fc) by @mehulsharma ([merge request](gitlab-org/gitlab!74408))
- [Fix Style/OpenStructUse offenses](gitlab-org/gitlab@91922beacc73fa0542a8b853e0315c1ca3bfe426) by @edith007 ([merge request](gitlab-org/gitlab!75226))
- [Remove FF ci_namespace_project_mirrors](gitlab-org/gitlab@b2cc96dc03cd901e6a9b8dc5f878f270725b8b47) ([merge request](gitlab-org/gitlab!79221))
- [Remove ci_runner_projects_disable_joins feature flag](gitlab-org/gitlab@952653cc8903acecdbf947dfff608b26906b3264) ([merge request](gitlab-org/gitlab!79196))
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@b173fe212f1ad72767efb5c357281d16c55e6f05) by @edith007 ([merge request](gitlab-org/gitlab!75984))
- [Update seat_usage references](gitlab-org/gitlab@f1ab2925b750ab54e4abd90e6c8c5dc80e63a8bb) ([merge request](gitlab-org/gitlab!78450)) **GitLab Enterprise Edition**
- [Add World.prepend_mod to allow JH override](gitlab-org/gitlab@ba2f4de97244909787d08ce28fe9252ef7af262d) by @chaomao ([merge request](gitlab-org/gitlab!79098)) **GitLab Enterprise Edition**
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@4462d511c804b9493b6ec1249944077b57a2f96b) by @edith007 ([merge request](gitlab-org/gitlab!75986))
- [Fix OpenStruct use in metadata_extraction_service](gitlab-org/gitlab@a8057eb8a9417d50610466add52969eb4fa50a47) by @mehulsharma ([merge request](gitlab-org/gitlab!74271))
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@01b295e5e628f469bf88f2381f6295f81b4df87e) by @edith007 ([merge request](gitlab-org/gitlab!75983))
- [Remove feature flag `ff_external_audit_events_namespace`](gitlab-org/gitlab@20720f5329335385ec9a822ca67390f6957ef7ef) by @davebarr ([merge request](gitlab-org/gitlab!79117)) **GitLab Enterprise Edition**
- [Add gl-pr-3 to top_nav_menu_item to account for chevron](gitlab-org/gitlab@daee1c9bf2879defbd152d643d6060da121b2b9e) ([merge request](gitlab-org/gitlab!64359))
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@0630b159c0790bd3e965cdb2e21b90bc8479fe6a) by @edith007 ([merge request](gitlab-org/gitlab!75955)) **GitLab Enterprise Edition**
- [Remove ci_decompose_for_namespace_monthly_usage_query feature flag](gitlab-org/gitlab@d4e7fb041f98fcdd03a64eddbcbaa7e2d3edbfb1) ([merge request](gitlab-org/gitlab!79004))
- [Fix RSpec/TimecopFreeze offenses (Part 1/2)](gitlab-org/gitlab@269d158b679c29fe367e5caa1ed30038587a86b6) by @KevSlashNull ([merge request](gitlab-org/gitlab!76031))
- [Fix display of times in access and deploy token table](gitlab-org/gitlab@c281d063f841378847d2712033a3e36040a1cdc6) by @edith007 ([merge request](gitlab-org/gitlab!75840))
- [Fix GraphQL/OrderedArguments offense (Part 4/6)](gitlab-org/gitlab@618510e2d5ef368724d44c9ec624fa33f4825f74) by @KevSlashNull ([merge request](gitlab-org/gitlab!76026))
- [Fix GraphQL/FieldDefinitions offense (Part 1/4)](gitlab-org/gitlab@62a0a2037cc4b584ab8adcb6d9abc2130a18aac8) by @KevSlashNull ([merge request](gitlab-org/gitlab!76014))
- [Update missing branch widget text to include branch name](gitlab-org/gitlab@c580a27dda198a772fa27c7f7f20469248f2560e) ([merge request](gitlab-org/gitlab!78439))
- [Revert frontend API rate limits change](gitlab-org/gitlab@47d7d954d15871cfe1725f62811916b35c22e423) ([merge request](gitlab-org/gitlab!78893))
- [Separate deployments creation from pipeline job creation](gitlab-org/gitlab@deedfe19613c517d1c49010bca678fea024c577c) ([merge request](gitlab-org/gitlab!77734))
- [Move the merge train helper icon to near the merge button](gitlab-org/gitlab@e8ec1722dace7eba12021e102cbb4b54c8566eae) ([merge request](gitlab-org/gitlab!78525))
- [Reschedule migration for self-managed](gitlab-org/gitlab@87b58670191d51e3ebc671a7886fa71b0b88f2f4) ([merge request](gitlab-org/gitlab!78509)) **GitLab Enterprise Edition**
- [Remove unnecessary index on cluster_agent_tokens](gitlab-org/gitlab@6fce8363544a245f0ec623040d3413c5b59f0c32) ([merge request](gitlab-org/gitlab!78348))
- [Remove `net-ssh`, `ed25519`, and `bcrypt_pbkdf` gems from dependencies](gitlab-org/gitlab@91a7c32b6a2e00dc27ee885e3beb666ea6b390a7) ([merge request](gitlab-org/gitlab!78532))
- [Update GitLab Runner Helm Chart to 0.37.1](gitlab-org/gitlab@185f6478720d1b4351226b20f4001d376e3d5014) ([merge request](gitlab-org/gitlab!78584))
- [Update GitLab Runner Helm Chart to 0.37.0](gitlab-org/gitlab@d6a1ee24018d2d96982a2bc7de5663391ba61dc6) ([merge request](gitlab-org/gitlab!78584))
- [Use `ssh_data` gem instead of `net-ssh` and `sshkey` where possible](gitlab-org/gitlab@59a0ee8605d509753c9aec719f8e0da77bcc679d) ([merge request](gitlab-org/gitlab!77424))
- [Remove feature flag already default enabled](gitlab-org/gitlab@9b7059a4bf9dc2ecdce1910a931cc6967d05b5ad) ([merge request](gitlab-org/gitlab!78238)) **GitLab Enterprise Edition**

## 14.7.7 (2022-03-31)

### Security (21 changes)

- [Update to commonmarker 0.23.4](gitlab-org/security/gitlab@eb4b231173c86901f93b5b7781716b1f7706dad1) ([merge request](gitlab-org/security/gitlab!2283))
- [Revert merge request approval groups behavior](gitlab-org/security/gitlab@08e3ecced649f6ad241db6de7050b1502f7bef21) ([merge request](gitlab-org/security/gitlab!2333))
- [Disallow login if password matches a fixed list](gitlab-org/security/gitlab@02a69ab32da1ac67d855de3ee388d0bd2bb6586e) ([merge request](gitlab-org/security/gitlab!2359))
- [Update devise-two-factor to 4.0.2](gitlab-org/security/gitlab@c9fde96c7780f5b883cd1ac63d7ac3d5f4d78dc6) ([merge request](gitlab-org/security/gitlab!2351))
- [Limit the number of tags associated with a CI runner](gitlab-org/security/gitlab@00124d5f8ba0d7437d1f6f19b029754bf481185b) ([merge request](gitlab-org/security/gitlab!2305))
- [GitLab Pages Security Updates for 14.9](gitlab-org/security/gitlab@d335917e233658fa9d4452053469c3582ef38368) ([merge request](gitlab-org/security/gitlab!2325))
- [Upgrade swagger-ui dependency](gitlab-org/security/gitlab@7a8ce32f70fd0338817705651ee0dbe0a277d5f1) ([merge request](gitlab-org/security/gitlab!2338))
- [Modify release link format check to avoid regex if string is too long](gitlab-org/security/gitlab@e18dc2be245bca7e192c8536d1ba7de2ad798c43) ([merge request](gitlab-org/security/gitlab!2244))
- [Masks variables in error messages](gitlab-org/security/gitlab@1706c5cf9b939a6ab0682db7b8945feb851a3f8b) ([merge request](gitlab-org/security/gitlab!2292))
- [Escape user provided string to prevent XSS](gitlab-org/security/gitlab@c57edf9ab52810d455e41d71bad4e4d12c098cad) ([merge request](gitlab-org/security/gitlab!2315))
- [Monkey patch of RDoc to prevent Ruby segfault](gitlab-org/security/gitlab@f9e5597d1864d03bf1f0103787becbc84886968d) ([merge request](gitlab-org/security/gitlab!2233))
- [Project import maps members' created_by_id users based on source user ID](gitlab-org/security/gitlab@3ea1e477e0596f15e040f42b59fa86953d057128) ([merge request](gitlab-org/security/gitlab!2239))
- [Redact InvalidURIError error messages](gitlab-org/security/gitlab@a42ede835e32f44b68c1affe78a7ee48332bb30a) ([merge request](gitlab-org/security/gitlab!2297))
- [Fix access for approval rules API](gitlab-org/security/gitlab@b8c3997763d1e041dc2b82e464a99a5b2f15a798) ([merge request](gitlab-org/security/gitlab!2324))
- [Fix kroki exploit](gitlab-org/security/gitlab@ad123e33510103af4fb00378ef1fc8dae4cacb21) ([merge request](gitlab-org/security/gitlab!2278))
- [Fix blind SSRF when looking up SSH host keys for mirroring](gitlab-org/security/gitlab@0209f44cb4876f0a9ef13d4c8875a95a0cda1e2f) ([merge request](gitlab-org/security/gitlab!2311))
- [Escape original content in reference redactor](gitlab-org/security/gitlab@f63861d8fe7b2b8d161162063e7995782cbfada8) ([merge request](gitlab-org/security/gitlab!2319))
- [Security fix for CI/CD analytics visibility](gitlab-org/security/gitlab@fea6a4ff80862f9dba493405d03d82cf129e8854) ([merge request](gitlab-org/security/gitlab!2274))
- [Latest commit exposed through fork of a private project](gitlab-org/security/gitlab@b573cea38cdce020e5f25fb9de60e0e506c87a9b) ([merge request](gitlab-org/security/gitlab!2272))
- [Fix Asana integration restricted branch filter](gitlab-org/security/gitlab@56e2d9ae3de4f587d2c8a5aa111c2922553d6b7b) ([merge request](gitlab-org/security/gitlab!2214))
- [Revert "JH need more complex passwords"](gitlab-org/security/gitlab@2419522b02700ce98e0c4d6e7bfd4d28b6464506) ([merge request](gitlab-org/security/gitlab!2354))

## 14.7.6 (2022-03-24)

### Added (1 change)

- [Detect and fix artifacts with backfilled expire_at](gitlab-org/gitlab@92938348905581798fa669051a61c107d082d908) ([merge request](gitlab-org/gitlab!83054))

### Changed (2 changes)

- [Enable feature flags to resume artifact removal on self-managed](gitlab-org/gitlab@45e4aba7099e0b6963674d192dc87edfe9ff8cdb) ([merge request](gitlab-org/gitlab!83054))
- [Remove runners token prefix feature flags](gitlab-org/gitlab@d57e7e1966cac500ba830dca7843cb315a34a4e4) ([merge request](gitlab-org/gitlab!82121))

## 14.7.5 (2022-03-09)

### Fixed (1 change)

- [Ensure cleanup job artifacts task does not include pipeline artifacts](gitlab-org/gitlab@7b5e91bc78c46109e48537b20239d4ab649a971a) ([merge request](gitlab-org/gitlab!82430))

### Other (1 change)

- [Change to truncate table before adding finding_link_url_idx](gitlab-org/gitlab@6411ec61f40cb8648cea24ed26c1d69c8b910891) ([merge request](gitlab-org/gitlab!82430))

## 14.7.4 (2022-02-25)

### Security (8 changes)

- [Limit commands_changes to certain keys](gitlab-org/security/gitlab@59351be8d1d868e31bc849482b266e4047710eeb) ([merge request](gitlab-org/security/gitlab!2226))
- [Add runners_token prefix to Group and Project](gitlab-org/security/gitlab@74615b7fd5359c4da7f1a3ca9052685e81e1690f) ([merge request](gitlab-org/security/gitlab!2249))
- [Anonymous user can enumerate all users through GraphQL endpoint](gitlab-org/security/gitlab@e213dfc546020d3f88b40cdfc0f877138b0aaef5) ([merge request](gitlab-org/security/gitlab!2119))
- [Check for unsafe characters in email addresses before sending](gitlab-org/security/gitlab@395385ffccfd9d25063531ea955b179d9bc4f0c5) ([merge request](gitlab-org/security/gitlab!2207))
- [Warn when snippet contains unretrievable files](gitlab-org/security/gitlab@dc4b3c00284e17bcbf20ec2ae1ee7e8a7efae9b2) ([merge request](gitlab-org/security/gitlab!2204))
- [Prevent DOS when rendering math markdown](gitlab-org/security/gitlab@f01674f210dee4c803b4850292d16412463b18e3) ([merge request](gitlab-org/security/gitlab!2200))
- [Check permission when creating members through service](gitlab-org/security/gitlab@4f9b302511ddfaf07af8d08d848252e0c64ff307) ([merge request](gitlab-org/security/gitlab!2210))
- [Reset password field on page load](gitlab-org/security/gitlab@1a6541462e1ddd58ea9a172fbd3c0b9026760784) ([merge request](gitlab-org/security/gitlab!2193))

## 14.7.3 (2022-02-15)

### Fixed (2 changes)

- [Update GitHub PRs Importer to force update repository](gitlab-org/gitlab@33f12736b070362cb89e9bbb4b3aa7d86fc373c3) ([merge request](gitlab-org/gitlab!80595))
- [Fix Geo checksummable check failing when file is nil](gitlab-org/gitlab@f49e3ea3e4d4ca7a64607687f9aaa974801b6bf9) ([merge request](gitlab-org/gitlab!80595)) **GitLab Enterprise Edition**

### Changed (1 change)

- [Properly exclude pending_destruction packages when creating one](gitlab-org/gitlab@9fb9f1ca8a2342225b7017c211f85175a4ef56dd) ([merge request](gitlab-org/gitlab!80595))

## 14.7.2 (2022-02-08)

### Added (1 change)

- [Allow self-hosted instances to render same-origin Iframe](gitlab-org/gitlab@eb7c78363cdfc670286967872d8458fc5f6d82e8) ([merge request](gitlab-org/gitlab!79966))

### Fixed (4 changes)

- [Geo: Fix reverify object stored files](gitlab-org/gitlab@603700dcca3b8f25a3b80b44b11a73df549c0cb3) ([merge request](gitlab-org/gitlab!79966)) **GitLab Enterprise Edition**
- [Geo: Fix verification failures of remote stored files](gitlab-org/gitlab@2eb8ac7e88dcd40f0e8266966655962e4d6e3171) ([merge request](gitlab-org/gitlab!79966)) **GitLab Enterprise Edition**
- [GitLab Version - CE Admin Dashboard [RUN ALL RSPEC] [RUN AS-IF-FOSS]](gitlab-org/gitlab@f2253ce2d729fa202a26b54f3ca870b932ea1855) ([merge request](gitlab-org/gitlab!79966))
- [Fix cluster integration HTTP adapter](gitlab-org/gitlab@c05027ef4d7ec35fc16e8e16dc6e5af201f665c3) ([merge request](gitlab-org/gitlab!79966))

### Changed (1 change)

- [Update to ruby-magic v0.5.4](gitlab-org/gitlab@ced6ef1001730dc2851f58f7db3229d1c585b9d3) ([merge request](gitlab-org/gitlab!79966))

### Removed (1 change)

- [Disable sandboxed_mermaid feature flag by default](gitlab-org/gitlab@70c40d43169bd48d360ed7a6a03c33c05d5e3738) ([merge request](gitlab-org/gitlab!79966))

## 14.7.1 (2022-02-03)

### Security

See https://about.gitlab.com/releases/2022/02/03/security-release-gitlab-14-7-1-released/

## 14.7.0 (2022-01-21)

### Added (84 changes)

- [Add verification before namespace creation](gitlab-org/gitlab@62c6ea0ff38f4a90ede4d5200e78206cdb71d29b) ([merge request](gitlab-org/gitlab!77315))
- [Add GraphQL mutation to destroy timeline events](gitlab-org/gitlab@71a1be80522bd01d3434dde6a5bb009454e65839) ([merge request](gitlab-org/gitlab!78192)) **GitLab Enterprise Edition**
- [ApplicationSetting: Add runner_token_expiration_interval field](gitlab-org/gitlab@d62621aa82714995cfe84c056773b291775b77bc) by @KyleFromKitware ([merge request](gitlab-org/gitlab!77884))
- [Rate limit Gitlab Shell operations](gitlab-org/gitlab@ddda5851babbad2f89b7ba37b0437b87e55950e5) ([merge request](gitlab-org/gitlab!78373))
- [Add `Delete` button to label edit view](gitlab-org/gitlab@07fa8e097bfc1143cfe362a0a4f2031d4792b73b) ([merge request](gitlab-org/gitlab!77917))
- [Enable autocomplete on cadence iteration create/edit pages](gitlab-org/gitlab@f0f99fc37266ebffb82134419bde8346ca799091) by @espadav8 ([merge request](gitlab-org/gitlab!78272)) **GitLab Enterprise Edition**
- [Extend GraphQL API interface with `securityTrainingProviders` field](gitlab-org/gitlab@d182af0c80834ddfc6f5db0587202f013351a42e) ([merge request](gitlab-org/gitlab!78195)) **GitLab Enterprise Edition**
- [Hierarchy page to show work items](gitlab-org/gitlab@a88b585c3b8cc4fd4fd11229e175ed4e24dead13) ([merge request](gitlab-org/gitlab!76720))
- [Add group level access token UI](gitlab-org/gitlab@a1a5cb34efe5218b562c69e621fc586625b3ed0a) by @fh1ch ([merge request](gitlab-org/gitlab!77449))
- [Remove ci_archived_build_trace_checksum feature flag](gitlab-org/gitlab@fbdec367917ae9f8ec4577f6de6ecd292755d5d0) ([merge request](gitlab-org/gitlab!78368))
- [Add scan result policies into the policy](gitlab-org/gitlab@71e49518d368fa7ab6a20a7ce295b5025923179f) ([merge request](gitlab-org/gitlab!77810)) **GitLab Enterprise Edition**
- [Enable logging when recursive webhook detected](gitlab-org/gitlab@2c9dc9a4b3d8b9f510369277f9d9fb12c319ee57) ([merge request](gitlab-org/gitlab!78343))
- [Enable sandboxed_mermaid feature flag](gitlab-org/gitlab@da35abbc144db7737f0633cc7c3b4121e7db1ad5) ([merge request](gitlab-org/gitlab!78283))
- [Feat(SM Subscription History): trim table size](gitlab-org/gitlab@1f43ddd699ee4934878f99d9741dc3ccbeb48e1a) ([merge request](gitlab-org/gitlab!78183)) **GitLab Enterprise Edition**
- [Add subsidized cost factor for Open Source plan](gitlab-org/gitlab@f71cc9528fb35bf963845913c67cf1ad69e144e9) ([merge request](gitlab-org/gitlab!77882)) **GitLab Enterprise Edition**
- [Remove expired agent activity events as new events are created](gitlab-org/gitlab@8aa9f25450d99139cc806cc985422a1ae0808b50) ([merge request](gitlab-org/gitlab!75709))
- [Add docs for pages domain rate-limits](gitlab-org/gitlab@12555484fbbe1687188644806e2c0880859f1977) ([merge request](gitlab-org/gitlab!77969))
- [Add a temporary index for Member.state](gitlab-org/gitlab@4a0852c64aee2312a4475db720d9acb04beeb075) ([merge request](gitlab-org/gitlab!77298))
- [Adding Secure Files data model and file uploader](gitlab-org/gitlab@92da2973e1cfc22b988ec4a24a5e36da6e1ff426) ([merge request](gitlab-org/gitlab!77886))
- [Expose internal_url setting for Geo secondaries](gitlab-org/gitlab@0af8fa9eba99528d17cbadc3a811575fea862897) ([merge request](gitlab-org/gitlab!77179)) **GitLab Enterprise Edition**
- [Add the `draft` argument to GraphQL MergeRequestsResolver](gitlab-org/gitlab@701214248ec36e6b79c4db3cd78cd315ba62e7f2) ([merge request](gitlab-org/gitlab!78181))
- [Send a rejection email if incoming emails are too large](gitlab-org/gitlab@d9e1fb2be07af9f43f8cda7ceca2f362586830f1) ([merge request](gitlab-org/gitlab!77638))
- [Clean up escalations after changing incident proj](gitlab-org/gitlab@75943f4afd57a030e8c3667d47a938d9d3bf02c1) ([merge request](gitlab-org/gitlab!77086)) **GitLab Enterprise Edition**
- [Support default templates for issues/MRs via .gitlab/ folders](gitlab-org/gitlab@9cdca50399671316824442cbb00f3c27f4a82a13) by @davebarr ([merge request](gitlab-org/gitlab!76326))
- [Add link to the self-managed trial flow from SaaS trial signup](gitlab-org/gitlab@c68e39aab18b6d373369b1b4fce5d9f99b1c2fae) ([merge request](gitlab-org/gitlab!76476)) **GitLab Enterprise Edition**
- [feat: Bump Code-Quality image to 0.85.26](gitlab-org/gitlab@fb862e4f77f377e269a15d6bdbbd3b1b2f0fe22f) ([merge request](gitlab-org/gitlab!78125))
- [Allow issue contacts from parent groups](gitlab-org/gitlab@380cc55a36a2e0e738f8c58e03f18b344712d99b) by @leetickett ([merge request](gitlab-org/gitlab!77352))
- [Allow to wrap inline code in other marks](gitlab-org/gitlab@e3b9f1ab6a7002c5d7ed1b4917b7a3e5aa54d016) ([merge request](gitlab-org/gitlab!78081))
- [Registration features info for ip restriction](gitlab-org/gitlab@70dad3a46c4e7a8aa052014b1972ebe1d6feaa32) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/74022)) **GitLab Enterprise Edition**
- [Add approve button on pending members table](gitlab-org/gitlab@844577de50d75d35eaad3950ea972f677d721889) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/75756)) **GitLab Enterprise Edition**
- [Upgrade GitLab Pages to 1.51.0](gitlab-org/gitlab@fe8eab56e1af1cb531b80bdd9418b80aab045387) ([merge request](gitlab-org/gitlab!78066))
- [Indicate locked users in Admin Area](gitlab-org/gitlab@ecb69f22f0bcf9e45638441edc8a096060138179) ([merge request](gitlab-org/gitlab!77729))
- [Include the project name VSA stage records](gitlab-org/gitlab@2277b12463d6ba32a68737f396a001842e530f07) ([merge request](gitlab-org/gitlab!77841)) **GitLab Enterprise Edition**
- [Accept maintainer_note in REST runner registration](gitlab-org/gitlab@574e6f6e2ee3d80b89a09abb7346b60e94e06269) ([merge request](gitlab-org/gitlab!77779))
- [Enforce unique contact email for group hierarchy](gitlab-org/gitlab@6895e1ad1ec27efebd0750d0351917ebbba38c6f) by @leetickett ([merge request](gitlab-org/gitlab!77830))
- [Add maintainer_note field to CI runners table](gitlab-org/gitlab@0ecabcff56b140cd7a9211500d44072d2c020f8c) ([merge request](gitlab-org/gitlab!77767))
- [GitLab Version - Help Dropdown Version](gitlab-org/gitlab@a12657ea63d161613d2b1ce88cb01029d196f9e5) ([merge request](gitlab-org/gitlab!74830))
- [Add support for backing up Packages](gitlab-org/gitlab@7d89a2283e629ddad1695189774f66d2c1e4d8d4) ([merge request](gitlab-org/gitlab!77532))
- [Allow to configure log level of Gitlab:Logger (by env variable)](gitlab-org/gitlab@f5718975c73f2469eb437d7f0e40c7b9ab3c0cdb) by @wwwjon ([merge request](gitlab-org/gitlab!77667))
- [REST API: add field merge_user to MR response](gitlab-org/gitlab@5246e6c9ebd5d717ddc1c48bcba39e754656bf34) by @trakos ([merge request](gitlab-org/gitlab!77658))
- [Add index for selecting active agent tokens](gitlab-org/gitlab@732ecd9ce4ad55e6149f62501acd51c70b168508) ([merge request](gitlab-org/gitlab!77923))
- [Add vulnerabilityFindingDismiss GraphQL mutation](gitlab-org/gitlab@3a3e04be0d988de3d0742eae81cb34de25be3b9c) ([merge request](gitlab-org/gitlab!77372)) **GitLab Enterprise Edition**
- [Enable filtering agent tokens by status](gitlab-org/gitlab@caab657574087d94a02a6e8fca482e6683f8acfe) ([merge request](gitlab-org/gitlab!77735))
- [Add customer relations group setting](gitlab-org/gitlab@3ecdc804ab926194bf7b6687ce6e850480b400e5) by @leetickett ([merge request](gitlab-org/gitlab!77386))
- [Add namespace_id reference to routes](gitlab-org/gitlab@b8eb9f1daf0f17f9f4b1a7024f7b8a471937892e) ([merge request](gitlab-org/gitlab!77571))
- [Add scan result policy into policy list](gitlab-org/gitlab@f8846f093036b1e44f406f0817455563341b8e20) ([merge request](gitlab-org/gitlab!77778)) **GitLab Enterprise Edition**
- [Add package managers api paths to details type](gitlab-org/gitlab@d00938625158efc2dbc15228962787ab1fa82eef) ([merge request](gitlab-org/gitlab!77518))
- [Adds API feature configuring default mr target](gitlab-org/gitlab@1e3a3ddfc408d43de1ce018525912c6f19953581) ([merge request](gitlab-org/gitlab!77169))
- [Enable autocomplete features on iteration forms](gitlab-org/gitlab@bcb5110c0a49760cf4fbc03f0e13f80c2cd28ff3) by @espadav8 ([merge request](gitlab-org/gitlab!77511)) **GitLab Enterprise Edition**
- [Add editAdminUrl to Runner GraphQL API](gitlab-org/gitlab@62dd4d2257bf3322d06fb3e45223dca94468ab1a) ([merge request](gitlab-org/gitlab!77748))
- [Expose iteration ordinal number via APIs](gitlab-org/gitlab@e558ef90dcbed60c0e234f2ec3a8733a0fc040e8) ([merge request](gitlab-org/gitlab!77650)) **GitLab Enterprise Edition**
- [Add enable and disable advanced search rake tasks](gitlab-org/gitlab@4de079337744c963657174e43fd72dbfe42a638b) ([merge request](gitlab-org/gitlab!75946)) **GitLab Enterprise Edition**
- [Allow to hide personalization questions on New Group page](gitlab-org/gitlab@f64750a2ce222c7f0199408a6f5d53a1d6bff36e) by @wwwjon ([merge request](gitlab-org/gitlab!76920))
- [Registration features info for sending emails](gitlab-org/gitlab@657c11fec93bb29b8e3bd28f8b9c9330f1498a43) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/74042)) **GitLab Enterprise Edition**
- [Add Group Access Token API endpoints](gitlab-org/gitlab@de7db9d75eecc16266f9331fa99aa7ab8cdf2e1e) by @fh1ch ([merge request](gitlab-org/gitlab!77236))
- [GraphQL: Add count property to RunnerType’s connection](gitlab-org/gitlab@fcaa5681819bc800acc0e1ae751420e6e994c193) ([merge request](gitlab-org/gitlab!77578))
- [Add GraphQL mutation to revoke an agent token](gitlab-org/gitlab@43d8a69cfbdd26e55a61d13fada73d9012a77242) ([merge request](gitlab-org/gitlab!77635))
- [Schedule recalculating UUID for all `Vulnerabilities::Finding` records](gitlab-org/gitlab@88326bacf0d0dd14c04aed23f0506cf6ff51d45b) ([merge request](gitlab-org/gitlab!75546))
- [Add migration to enqueue background worker](gitlab-org/gitlab@853e639114a473a00338f5b42c0085fbee8e91a9) ([merge request](gitlab-org/gitlab!76714))
- [Add createdAt to Runner GraphQL API](gitlab-org/gitlab@f91730711cf4c452b90863fadd3dd4fcbedc7093) ([merge request](gitlab-org/gitlab!77561))
- [Add search and sorting to tags](gitlab-org/gitlab@ee4c64d2c469291e3b51a88e20bc658c58f52004) ([merge request](gitlab-org/gitlab!76759))
- [Update gitlab-omniauth-openid-connect gem to support ECSDA keys](gitlab-org/gitlab@1c8377c8cf95ec518561a65323766856d1f76d81) ([merge request](gitlab-org/gitlab!77491))
- [Remove dependency proxy feature flag](gitlab-org/gitlab@5237844f3fcfc918376d20012a703ed1a2525b4a) ([merge request](gitlab-org/gitlab!77477))
- [Upgrade GitLab Pages to 1.50.0](gitlab-org/gitlab@7bae98c9590cd2ad1b17e5a1abd4737320632ada) ([merge request](gitlab-org/gitlab!77405))
- [Add HTTP status to LFS push client error messages](gitlab-org/gitlab@4e1acedbfd28b3adf9c0a0569843e80f2d5d6ef8) ([merge request](gitlab-org/gitlab!77334))
- [Add group crm settings](gitlab-org/gitlab@083c1f8f6eb4accca6b6707a32866a59260504c6) by @leetickett ([merge request](gitlab-org/gitlab!76983))
- [Add co_authored_by to merge commit templates](gitlab-org/gitlab@143e577c77c56339473561ddeeb0e0c75073f8ff) by @trakos ([merge request](gitlab-org/gitlab!76042))
- [Allow filtering epics by author_username and not[author_username]](gitlab-org/gitlab@5d759493f94eafb3361ab1080d31beeff6203375) by @espadav8 ([merge request](gitlab-org/gitlab!77151)) **GitLab Enterprise Edition**
- [Add `ref_path` to PipelineType](gitlab-org/gitlab@f1cb789d3d0267455a7242f6a8de63688f65eb26) by @genctys ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/72591))
- [Allow LDAP failover](gitlab-org/gitlab@3a900c1b39be153b37be3db8e60bcfb8de51513b) by @sathieu ([merge request](gitlab-org/gitlab!77000))
- [Add Backup and Restore tasks for Terraform States](gitlab-org/gitlab@58a8d4f80b24f2e6dc6d99a2675ea220310d044b) ([merge request](gitlab-org/gitlab!63347))
- [Handle syncing alert escalation status to incident](gitlab-org/gitlab@badcfcd2aa91748bf67adfcfd22b316199723e91) ([merge request](gitlab-org/gitlab!75706))
- [Added possibility to remove agent from UI](gitlab-org/gitlab@6b5b5e8f5879e896efcb76a8eb9fff16282f4881) ([merge request](gitlab-org/gitlab!77199))
- [Add "Scan library" tab](gitlab-org/gitlab@d3ca75aacca08c7651b0c0b8bd49a3253aac8e51) ([merge request](gitlab-org/gitlab!77107)) **GitLab Enterprise Edition**
- [Enable github_importer_use_diff_note_with_suggestions by default](gitlab-org/gitlab@eaab50eb575d73513ac2f2eef4f85adbbccb0043) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/74096))
- [Rename projects set for delayed deletion](gitlab-org/gitlab@268d41a518a7021f75881e46290e533ac85ab3df) ([merge request](gitlab-org/gitlab!76675))
- [Add unique userid count for Geo proxied requests](gitlab-org/gitlab@27ae10f38bbeffa53d729881b854f63402e86d82) ([merge request](gitlab-org/gitlab!76587)) **GitLab Enterprise Edition**
- [Add rate limiting for user email lookup](gitlab-org/gitlab@fe9363276e8e6027c851b83ec6bf13ec6a412878) ([merge request](gitlab-org/gitlab!76760))
- [Export Project LFS Objects as part of GitLab Migration](gitlab-org/gitlab@7867db2c22fb9c9850e1dcb49f26fa2b89a665c6) ([merge request](gitlab-org/gitlab!77018))
- [Add GraphQL query to retrieve timeline events](gitlab-org/gitlab@e18bf545fa62c1e15977bed1f55c94de88285932) ([merge request](gitlab-org/gitlab!76232)) **GitLab Enterprise Edition**
- [Limit Sidekiq push_bulk to a maximum of 1000 jobs in one go by default](gitlab-org/gitlab@8e2664ed46c4d172024a1c52673fc6ea3a1be667) ([merge request](gitlab-org/gitlab!77088))
- [Add revoked status to cluster agent tokens](gitlab-org/gitlab@283842444a31d6ebab0ae22559e6e71dd918e691) ([merge request](gitlab-org/gitlab!76505))
- [Allow passing in an epic parent_id when updating epics](gitlab-org/gitlab@d71076d540cd7a888ffbdc34748c493d229c4f5e) by @espadav8 ([merge request](gitlab-org/gitlab!76510)) **GitLab Enterprise Edition**
- [Add database.flavor to usage data](gitlab-org/gitlab@9179c6fc3d589d2a042d3716b3577bb0b1644989) ([merge request](gitlab-org/gitlab!75587))

### Fixed (98 changes)

- [Fix copying/pasting images in the Content Editor](gitlab-org/gitlab@0cbc98ec5e900b1e5cd9bc70330038b6bd1facb8) ([merge request](gitlab-org/gitlab!78295))
- [Fix security dashboard showing wrong count for more than 100 projects](gitlab-org/gitlab@bdceb76ca0d67b8aeb3d60ceddd9f546f15880b9) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78074)) **GitLab Enterprise Edition**
- [Fix default emaildomain when creating RAT users](gitlab-org/gitlab@b8f08407b9b3551e9a6f2e194cc68d4621b16f53) by @cruelsmith ([merge request](gitlab-org/gitlab!74506))
- [Show blocked status label in deployments view](gitlab-org/gitlab@95fc512756749b80d46863975b98e9ba8c081bf1) ([merge request](gitlab-org/gitlab!78234)) **GitLab Enterprise Edition**
- [Dependency proxy settings are built on access](gitlab-org/gitlab@b45f64264ef2d86a9461bce01f329515c06a4cf8) ([merge request](gitlab-org/gitlab!77553))
- [Allow git protocol to be used for repository imports](gitlab-org/gitlab@0f5eade690d7b5f744ea19a5a4e84bb126e4b60e) ([merge request](gitlab-org/gitlab!78479))
- [Show "Issues" menu when Jira issues is enabled](gitlab-org/gitlab@807e746aeb02406309e9dc40afca0d5f4b4c7428) ([merge request](gitlab-org/gitlab!78467)) **GitLab Enterprise Edition**
- [Order child epics in roadmap by configured sort order](gitlab-org/gitlab@53a095bf9d319b69d95517895495d84f0801b0dc) by @espadav8 ([merge request](gitlab-org/gitlab!78249)) **GitLab Enterprise Edition**
- [Fix disabled style for mirror settings field](gitlab-org/gitlab@105e3ac6aa244fd202d846fed19b30cdde07360d) ([merge request](gitlab-org/gitlab!78399))
- [Destroy trace chunks and data when deleting pipelines](gitlab-org/gitlab@70987ae1fad949e03f9812a2baa5635c64d0dd23) ([merge request](gitlab-org/gitlab!78116))
- [Fix authorized_groups to include sub groups as well](gitlab-org/gitlab@2273ebc4d6defa6b76be38bf4fd026926d5e0704) by @wwwjon ([merge request](gitlab-org/gitlab!76556))
- [Fix margin for submit button with captcha](gitlab-org/gitlab@b6b3509f1bb98adeaa4a24bc40faa8e8e8799176) ([merge request](gitlab-org/gitlab!78316))
- [Migrate Epics tabs to Vue](gitlab-org/gitlab@186fe2573fc3b97481a234764f238ca782184792) ([merge request](gitlab-org/gitlab!77653)) **GitLab Enterprise Edition**
- [Fix N+1 issue when associating DAST profiles and CI Builds](gitlab-org/gitlab@1136d945411c12e328d96faf9d019167c629e086) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/75448)) **GitLab Enterprise Edition**
- [Geo: Fix undefined separate_verification_state_table?](gitlab-org/gitlab@17bb757f0b2781606194e3c504ea9fd468981c0b) ([merge request](gitlab-org/gitlab!78293)) **GitLab Enterprise Edition**
- [Error Tracking: Fix collecting errors for golang](gitlab-org/gitlab@e0d5bee3b05bf7c90dbc36c788a77924006939d0) by @bastianccm ([merge request](gitlab-org/gitlab!78199))
- [Notify admins 15 days prior to license expiration](gitlab-org/gitlab@c58f99d5aaa7f70b1d727d9c4591dbe030867bdb) ([merge request](gitlab-org/gitlab!78000)) **GitLab Enterprise Edition**
- [Fix auditor user able to bulk select vulns on vulnerability report](gitlab-org/gitlab@0d18a578bc1fcd8ea7cec17ac2e5eeae8bd6df46) ([merge request](gitlab-org/gitlab!78241)) **GitLab Enterprise Edition**
- [Fix autoscroll to comments on issues](gitlab-org/gitlab@2884857277ce2b6c1c01635f04022117258f9ac1) ([merge request](gitlab-org/gitlab!76340))
- [Strip + reference format from HTML links](gitlab-org/gitlab@4a9a163cfe57669a96cf7f52babe5296817f81ce) ([merge request](gitlab-org/gitlab!78229))
- [Allow developers to fork into group](gitlab-org/gitlab@ddcf166129acb5aee41547d2f6edd5596b7a49b2) ([merge request](gitlab-org/gitlab!78204))
- [Use normal font weight and border for 'Subscribe' buttons](gitlab-org/gitlab@dc35d3c742b89c7e15648b3de05e81bad0158483) by @KevSlashNull ([merge request](gitlab-org/gitlab!75961))
- [Improve visibility radio option text on new project page](gitlab-org/gitlab@bce954ea1ed798fd0cac0a9ff6660a94f53ca34c) ([merge request](gitlab-org/gitlab!78083))
- [Fix schema registration in the pipeline editor](gitlab-org/gitlab@8710212ee7ade8321f0c3cdc2cb4615cad365017) ([merge request](gitlab-org/gitlab!77743))
- [Boards - Fix weight assigned to wrong card](gitlab-org/gitlab@fe2abc0bc79a20c2017ff082b3ad220be2f6b222) ([merge request](gitlab-org/gitlab!78161)) **GitLab Enterprise Edition**
- [Remove unnecessary CSS in VSA](gitlab-org/gitlab@2e80c7955adfa1c05ad5bf56c32e169642312f67) ([merge request](gitlab-org/gitlab!78175))
- [Fix shift after VSA path load](gitlab-org/gitlab@51961b486dae6db5d09b0c958b96d3ef4a2eef8d) ([merge request](gitlab-org/gitlab!77960))
- [Fix Incident sidebar on issue boards](gitlab-org/gitlab@743ee5d690df326d441702aaa06041ca5e38505b) ([merge request](gitlab-org/gitlab!78021))
- [Always autofill group slug](gitlab-org/gitlab@f4c35074e597fb95738fdc7977f20665062bf01f) ([merge request](gitlab-org/gitlab!78152))
- [Update excon to v0.90.0](gitlab-org/gitlab@4efa0b3feee70cd1f1b95e100fbdd858a674d7d2) ([merge request](gitlab-org/gitlab!78147))
- [Format issue list counts](gitlab-org/gitlab@2a359443494573caf5fab88a72df45d504fc5a56) ([merge request](gitlab-org/gitlab!77986))
- [Ignore multiple <code> when syntax highlighting](gitlab-org/gitlab@7a6fb02d8c4c6a9755dcc849913813b9c57cf35c) ([merge request](gitlab-org/gitlab!77796))
- [Waive credit card validation if project has paid CI/CD minutes](gitlab-org/gitlab@7c2e0e1bf79c63bb1436ed2cb1aa1c97baf9441b) ([merge request](gitlab-org/gitlab!77829)) **GitLab Enterprise Edition**
- [Fix toggle code block button in Content Editor](gitlab-org/gitlab@766da0c228f5b1bf6dae79c45fa67fbb5844e260) ([merge request](gitlab-org/gitlab!78071))
- [Use the same email validation for User and Email](gitlab-org/gitlab@866a5fa0f6ba9c71d728a8c7b4f7007d9fa9d755) ([merge request](gitlab-org/gitlab!77785))
- [Expose new monthIso8601 GraphQL option to fix CI minutes usage sorting](gitlab-org/gitlab@43cd0bbd9ec6e59ae7bad449dd21ee10a67f0267) by @davebarr ([merge request](gitlab-org/gitlab!78006))
- [Improve ReadTotalTimeout to start with reading](gitlab-org/gitlab@7448b7927973ba17af2d5a5121b2f5b221eb4405) ([merge request](gitlab-org/gitlab!77879))
- [Update excon gem to v0.89.0](gitlab-org/gitlab@af75482f39e73d3670d82f4dd7050bd6bd46a4ab) ([merge request](gitlab-org/gitlab!78007))
- [Fix infinite loop in Content Editor codeblocks](gitlab-org/gitlab@2fe3c8849ba12a03608de211b3cf3d5eb334f8e4) ([merge request](gitlab-org/gitlab!77965))
- [Only show owners & admins CI minutes purchase notifications](gitlab-org/gitlab@723c7229d3e927b6552bdd84b8cbcd120fb3a24a) ([merge request](gitlab-org/gitlab!77118)) **GitLab Enterprise Edition**
- [Restric access to crm to reporter+](gitlab-org/gitlab@e495d6a5c83c7e9e194d425e5558385749cae73e) by @leetickett ([merge request](gitlab-org/gitlab!77825))
- [Fix destruction of projects with pipelines](gitlab-org/gitlab@1cbf0709c5df11aa273350054ad276edf50e16fb) ([merge request](gitlab-org/gitlab!77941))
- [Fix invalid raw_metadata being persisted](gitlab-org/gitlab@14835eb9bfda4c1a107f20c0c7f6594a89a3fa16) ([merge request](gitlab-org/gitlab!76151))
- [Disable copy-code button for mermaid diagrams](gitlab-org/gitlab@ca5833e1c8adeda25c9a2e5ea64349307bef3c84) ([merge request](gitlab-org/gitlab!77935))
- [Return 401 when using invalid tokens in oauth/token/info](gitlab-org/gitlab@3e0738ce3ae3d4b19d728f3cc719857b5f7c88ce) ([merge request](gitlab-org/gitlab!77644))
- [Fix the text on Kubenetes Agent modal](gitlab-org/gitlab@60d29a672dceb8a41e13f2754339aef3dccacff0) ([merge request](gitlab-org/gitlab!77933))
- [Add patch for WikiCloth Lua vulnerability](gitlab-org/gitlab@6c03aad1d81c574b695b207eb4335d6905f24ba5) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/76174))
- [Notify admins 15 days prior to license expiration](gitlab-org/gitlab@b07a83f73772ff9abdbd44153c4203a117661d0e) ([merge request](gitlab-org/gitlab!77608)) **GitLab Enterprise Edition**
- [Fix image comment note submission](gitlab-org/gitlab@a2e81cec76c72053f676dcea082a7b75b3f2037e) ([merge request](gitlab-org/gitlab!77864))
- [Fix last update time for project in group page](gitlab-org/gitlab@a290c395c7af5012052045136a95bfde8de45dce) by @orozot ([merge request](gitlab-org/gitlab!77356))
- [Fix missing autosave support in Epic create form](gitlab-org/gitlab@3c479a42896e4b9390232c8d5b0bce6635dc9e89) ([merge request](gitlab-org/gitlab!77859)) **GitLab Enterprise Edition**
- [Remove menu when is not possible to delete](gitlab-org/gitlab@3d10359ebe5e2c9f32ce51e27239ba5a9d0593a8) ([merge request](gitlab-org/gitlab!77692))
- [Correctly pass instance in EDITOR_READY_EVENT](gitlab-org/gitlab@6be7d6bee5a2d1ad70a9d04013f5fdc3746f62a9) ([merge request](gitlab-org/gitlab!77852))
- [Merge/squash commit templates: avoid breaking Git trailers](gitlab-org/gitlab@77922683758f9772d4b88f53a9e9cabf38267944) by @trakos ([merge request](gitlab-org/gitlab!77758))
- [Prevent design discussions without login](gitlab-org/gitlab@73a6999553598919ea2db32bb3266e56cea03852) ([merge request](gitlab-org/gitlab!77563))
- [Remove cluster image scanning dropdown item from scanner filter](gitlab-org/gitlab@343443b4abb7102549c67b498d96163eacfe2250) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/77738)) **GitLab Enterprise Edition**
- [Fix hook log path for service hooks](gitlab-org/gitlab@b9141ad9c798d0e4219c922d5f2ee0ec8735661e) ([merge request](gitlab-org/gitlab!77741))
- [Fix pipeline schedule resets to UTC on edit](gitlab-org/gitlab@d5298c293fc60a14ce431b63a13493025be2814f) by @JonstonChan ([merge request](gitlab-org/gitlab!77723))
- [Use correct namespace method](gitlab-org/gitlab@375ee7ac45a4e9f554339752e6ec207e2b662787) ([merge request](gitlab-org/gitlab!77678))
- [Re-add EachBatch include for failed_verification_timeouts](gitlab-org/gitlab@6285caf988103d29883e55fbc1b3d34c6699cd0f) ([merge request](gitlab-org/gitlab!77676)) **GitLab Enterprise Edition**
- [Fix Sidekiq reporting to Sentry outside of job contexts](gitlab-org/gitlab@4ee15af663a4277e43cd53798168edfac7367428) ([merge request](gitlab-org/gitlab!77659))
- [Fix sticky filters not working on vulnerability report](gitlab-org/gitlab@d57da00d0771100f1b7a278715882088fadc24ec) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/77647)) **GitLab Enterprise Edition**
- [Fix Kubernetes Agent Link on Project page](gitlab-org/gitlab@eff9a85753bfc0d6d4ed5316d65c2d49bf17cc2b) ([merge request](gitlab-org/gitlab!77645))
- [Externalize strings for translation in todos](gitlab-org/gitlab@224f2ead1c3592dd7372de94e05d5d0d65342dbc) ([merge request](gitlab-org/gitlab!77402))
- [Update Rails to v6.1.4.4](gitlab-org/gitlab@a091fd5e95b7033453c236d7f8e188cebd8b94ff) ([merge request](gitlab-org/gitlab!77630))
- [Fix input group text border color](gitlab-org/gitlab@4ba08fe6ad7bc85e760fc0b6c9fcb7bac898c19a) ([merge request](gitlab-org/gitlab!77607))
- [Match address of host when checking whether to login](gitlab-org/gitlab@d8d066def6db36708a6373ec1640ef4401c66647) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/73492)) **GitLab Enterprise Edition**
- [Improve LFS client performance and fix compatibility with Azure DevOps](gitlab-org/gitlab@6e532b4d22abcac66b54993ab27fc791db13e40f) ([merge request](gitlab-org/gitlab!77326))
- [Do not fail report ingestion if there is an invalid finding](gitlab-org/gitlab@c752c229fc0bb68fdf0503301c192ffd364aca3a) ([merge request](gitlab-org/gitlab!77591)) **GitLab Enterprise Edition**
- [Update acme-client to v2.0.9](gitlab-org/gitlab@c0a40f092db148ec87dc0bb09d75f664e7ebd305) ([merge request](gitlab-org/gitlab!77534))
- [Update rouge gem version](gitlab-org/gitlab@bad64f0b050212029e5a7ae2b4d5ea696b36ee48) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/76884))
- [Adjust bottom margin for loose markdown lists](gitlab-org/gitlab@c197e14dbd8fb307c4580e26d1196e703315b449) ([merge request](gitlab-org/gitlab!77275))
- [Remove running build entries when calling doom on a build](gitlab-org/gitlab@bedc9243d29e8c5bbfd8a1c17373e8d09c5f388a) ([merge request](gitlab-org/gitlab!77507))
- [Fix migration for cases with empty strings](gitlab-org/gitlab@8d5405a6516ee07721fadcc43c1da27fc0b7a177) ([merge request](gitlab-org/gitlab!77506))
- [Fix 500 errors when renaming projects with underscores](gitlab-org/gitlab@4a70f4ef144347dc9dc98240cfc63693e2458855) ([merge request](gitlab-org/gitlab!77485))
- [Geo: adapt verification timed out query to use state table](gitlab-org/gitlab@2b6d41e07fc4be9318aa0402856cb4f23aa46dc3) ([merge request](gitlab-org/gitlab!77364)) **GitLab Enterprise Edition**
- [Allow admins to foce confirm emails](gitlab-org/gitlab@e3a73408c5d8fea67dc613fb54225c925115eb50) ([merge request](gitlab-org/gitlab!77287))
- [Ignore new line differences when deciding whether to squash MR](gitlab-org/gitlab@7b38fbeeddbaed7fc34470ee29a7d6a0c7bd2793) by @trakos ([merge request](gitlab-org/gitlab!77429))
- [Fix re-use of extensions between instances](gitlab-org/gitlab@6c29b2da23027c526be90091370a9dcb663a46c2) ([merge request](gitlab-org/gitlab!77319))
- [Fix nil actor errors in Sentry API handler](gitlab-org/gitlab@fa51f84199e4ef09d3c7d5fe96927bf2aebfed3d) ([merge request](gitlab-org/gitlab!77340))
- [Removes the dismiss button from the pipeline header alert](gitlab-org/gitlab@e1f8647c94e84033856f94ac0bedf49e31b6e908) ([merge request](gitlab-org/gitlab!77128))
- [Call dependency proxy cleanup workers in purge](gitlab-org/gitlab@ed164a8c593f4e4a34db9e3f056721ee30f67563) ([merge request](gitlab-org/gitlab!77043))
- [Add Auth0, JWT, and Shibboleth to list of providers with icons](gitlab-org/gitlab@67a5600d4b36f1a673be94ed75aab70426d63a78) ([merge request](gitlab-org/gitlab!77213))
- [Fix Prometheus endpoint to return created alerts](gitlab-org/gitlab@d473fefa655b7d362f8ebcc4d1205b2955d466fd) ([merge request](gitlab-org/gitlab!77168))
- [Make time track help state top margin consistent](gitlab-org/gitlab@010bca712fd8db81589e8cd4d73b90983735868c) ([merge request](gitlab-org/gitlab!77087))
- [Validate against duplicates in job needs](gitlab-org/gitlab@1aa37265cf00ac987cd33a56823db7bfdd0238a5) ([merge request](gitlab-org/gitlab!77083))
- [Fix MergeRequest's MergeUser for non-MWPS merges in GraphQL API](gitlab-org/gitlab@a65d4e2b68f3849c9d5193e38fcf300aa0985549) by @trakos ([merge request](gitlab-org/gitlab!76043))
- [Align roadmap quarters to calendar quarters](gitlab-org/gitlab@e0e4058d7d934bdc3db3c06ab8449b3d35049621) by @espadav8 ([merge request](gitlab-org/gitlab!76927)) **GitLab Enterprise Edition**
- [checks: Fix revalidation of preexisting commits](gitlab-org/gitlab@d86514f1068552632ea4988d705b18803938f696) ([merge request](gitlab-org/gitlab!76106))
- [Fix project import from remote to import from S3](gitlab-org/gitlab@242c4c8f6128580d78da81e18a655c7dbda7a380) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/75170))
- [Mark vulnerabilities as not resolved on default branch on ingestion](gitlab-org/gitlab@80e79c7adc9574a485628b1479ababd98600551d) ([merge request](gitlab-org/gitlab!77060)) **GitLab Enterprise Edition**
- [Skip updating vulnerability statistics if there are no new records](gitlab-org/gitlab@e580999f2b52996769a80a0930f5fc846bf7b7a2) ([merge request](gitlab-org/gitlab!77056)) **GitLab Enterprise Edition**
- [Remove legacy pages config updates](gitlab-org/gitlab@a1a540c0c4db7376cce601cc87e14f9193302c3b) ([merge request](gitlab-org/gitlab!76918))
- [Do not check SSO session for git operations originating from CI/CD jobs](gitlab-org/gitlab@fc84cab8beb8e64df750e7e4019978d4551f886f) ([merge request](gitlab-org/gitlab!76909)) **GitLab Enterprise Edition**
- [MR Documentation suggestions](gitlab-org/gitlab@9f4cf0975108469e83ec16fb30530f69c2fdc4a9) by @lzampier ([merge request](gitlab-org/gitlab!66778))
- [Drop reindexing leftovers only if exclusive lease is granted](gitlab-org/gitlab@0b4a82f2120527a21a502ca8531d7da0726c3dd5) ([merge request](gitlab-org/gitlab!75290))
- [Fix import project from gitlab.com error](gitlab-org/gitlab@677873e2d0df439cda3a5a92eabaf76e354fa9bb) by @orozot ([merge request](gitlab-org/gitlab!76768))
- [Fix filename overflowing modal when importing](gitlab-org/gitlab@b49c821609cee720da8d277488fd2969f3f97d25) by @KevSlashNull ([merge request](gitlab-org/gitlab!75891))

### Changed (135 changes)

- [Change hashing algorithm in webpack](gitlab-org/gitlab@8d42ec95c12041ce8738828a9e07e7569afd8bea) ([merge request](gitlab-org/gitlab!78581))
- [Swap FK ci_pipeline_artifacts to projects for LFK](gitlab-org/gitlab@5e3f68fc65480679d2e12aaab0ca05729e56c079) ([merge request](gitlab-org/gitlab!78058))
- [Remove permitted_attributes_for_import_export feature flag](gitlab-org/gitlab@8897e37db2c20621fc59371f4e3c38c0f6048ad2) ([merge request](gitlab-org/gitlab!75090))
- [Do not add a failed build todo before auto-retry](gitlab-org/gitlab@971b38d23fd1359b6e9838ec3df8e5a3a6745fc9) ([merge request](gitlab-org/gitlab!77972))
- [Redesign new policy form](gitlab-org/gitlab@eedf5c443a761b90d3b9f4cf31c8c5afc150fb99) ([merge request](gitlab-org/gitlab!77482)) **GitLab Enterprise Edition**
- [Labels widget - focus first item on search](gitlab-org/gitlab@13986d5bb220d21830b8462170daf856c59bc3e2) ([merge request](gitlab-org/gitlab!78425))
- [Add shared runner tab to group CI/CD analytics](gitlab-org/gitlab@927f165c4d6d02006ddb2acca84c7b3cde97644d) ([merge request](gitlab-org/gitlab!78014)) **GitLab Enterprise Edition**
- [Update sort name from Last updated to Updated date](gitlab-org/gitlab@546e0a86241a332bde96bacd991876db06ea6c69) ([merge request](gitlab-org/gitlab!77684))
- [Warn when mention all users in a group](gitlab-org/gitlab@1c858cc3e2c13f05068f83a3bb81451084c3c1f4) ([merge request](gitlab-org/gitlab!77624))
- [Check for removed external issues before creation](gitlab-org/gitlab@cb2ee27d217c9616f297b05e9ce473aec94d920c) ([merge request](gitlab-org/gitlab!78323)) **GitLab Enterprise Edition**
- [Replace Member created state with active](gitlab-org/gitlab@58655c28e5232fd4b79cd85693f526ffc7591303) ([merge request](gitlab-org/gitlab!76653))
- [Polish Slack application edit page UI](gitlab-org/gitlab@bc80b81cdf3207196b294d19752e56a4a070eb05) ([merge request](gitlab-org/gitlab!78252)) **GitLab Enterprise Edition**
- [Enable feature flag bulk_expire_project_artifacts](gitlab-org/gitlab@df74c6101841f141a5cd993665f0bce1c75606fc) ([merge request](gitlab-org/gitlab!78429))
- [Make pipeline badges Pajamas-complient](gitlab-org/gitlab@855d9ddf8511364a892f3bb1b6c12f97770d350a) ([merge request](gitlab-org/gitlab!77980))
- [Format email code blocks and code blocks in emails](gitlab-org/gitlab@d9e12b8fd319285d0415b794750e531bff5f11ba) by @smokris ([merge request](gitlab-org/gitlab!76977))
- [Geo Sites - Icon Actions](gitlab-org/gitlab@2bf77ebf3f0b27edca536737aa7a88afd7a05786) ([merge request](gitlab-org/gitlab!78410)) **GitLab Enterprise Edition**
- [Geo - Rename routes from Nodes to Sites](gitlab-org/gitlab@7e9d16fa36764634c7eb230f81dcae68fcd9cdff) ([merge request](gitlab-org/gitlab!78150)) **GitLab Enterprise Edition**
- [Cleanup after AddPrimaryEmailToEmailsIfUserConfirmed](gitlab-org/gitlab@074490e6d9646d5757bfc5b309530f4bfb564c2f) ([merge request](gitlab-org/gitlab!76141))
- [Change default shallow clone depth to 20](gitlab-org/gitlab@07ed1b8bbfd9e9088cc0aa30de35547aeec54f92) ([merge request](gitlab-org/gitlab!77576))
- [Update webhook badges to pajamas](gitlab-org/gitlab@173a008c9800be87ef6fc7991bf84b44fd62cd8a) ([merge request](gitlab-org/gitlab!78325))
- [Update button text to expand all files](gitlab-org/gitlab@95d919a3ea9b4fbe3dee9b2155417491285ede38) ([merge request](gitlab-org/gitlab!78322))
- [Ignnore Finding Evidence summary column](gitlab-org/gitlab@888bfec3014f5b9fe6df528a25ff22d2c22774a1) ([merge request](gitlab-org/gitlab!78314)) **GitLab Enterprise Edition**
- [Add LFK ci_daily_build_group_report_results to projects](gitlab-org/gitlab@59186e18639f1de38dd299584a1b7a31da4fb72b) ([merge request](gitlab-org/gitlab!78149))
- [Enable by default the feature flag to track Geo proxy events](gitlab-org/gitlab@3254c186c2c148ffd66646c17b7d22a6ec8da652) ([merge request](gitlab-org/gitlab!78301)) **GitLab Enterprise Edition**
- [Update on-demand scans breadcrumbs](gitlab-org/gitlab@b880dcb10a7a24989f9cfe9bb5986ceb20eacad8) ([merge request](gitlab-org/gitlab!78063)) **GitLab Enterprise Edition**
- [Change pipeline page layout to fluid](gitlab-org/gitlab@33bab2ef1a7f96860a3761238492868cb4ce3109) ([merge request](gitlab-org/gitlab!78124))
- [Default to fluid layout for the pipeline editor](gitlab-org/gitlab@b3cad6c69325d466090c742e813f938dddfe6be0) ([merge request](gitlab-org/gitlab!78038))
- [Skip failed builds](gitlab-org/gitlab@ba8a9b5b2b3f51c04f472ee7592be34c2411c742) ([merge request](gitlab-org/gitlab!78218)) **GitLab Enterprise Edition**
- [Redirect to on-demand scan form after editing a DAST profile](gitlab-org/gitlab@d5edfabb6dbbb706801305a09bd4625f5cdff5b3) ([merge request](gitlab-org/gitlab!77819)) **GitLab Enterprise Edition**
- [Conditionally disable group user cap enablement](gitlab-org/gitlab@a746c36cf8ca59483cf885a05984b68d7545621a) ([merge request](gitlab-org/gitlab!76130)) **GitLab Enterprise Edition**
- [Use normalized license data in csv export](gitlab-org/gitlab@c77746663f2777f9fa645d8c0fee4543b34c07a1) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78266)) **GitLab Enterprise Edition**
- [Enable vue-router in package registry](gitlab-org/gitlab@37277b57975d68b8ac6144ccd7f998a815f05cd8) ([merge request](gitlab-org/gitlab!77762))
- [Replace window.confirm with GlModal for registration token reset](gitlab-org/gitlab@ba77f398a904f3147985e17de2a34b85c4cf97f2) ([merge request](gitlab-org/gitlab!77883))
- [Enable `packages_installable_package_files` by default](gitlab-org/gitlab@a72b417afc0c0a026258b4d04b808ad30e86be0d) ([merge request](gitlab-org/gitlab!78254))
- [Labels widget - focus first item on search](gitlab-org/gitlab@2a3760507fd6874dac0e6b6a286978df649ab916) ([merge request](gitlab-org/gitlab!78246))
- [Increase exclusive lease timeout](gitlab-org/gitlab@45cd1d6f10d4e59ae36317adc687cbb5c4b68760) ([merge request](gitlab-org/gitlab!78240)) **GitLab Enterprise Edition**
- [Add offline, stale count to runner admins section](gitlab-org/gitlab@1351c794534c43fcb14df4d32da98ad4a73c158d) ([merge request](gitlab-org/gitlab!77871))
- [Enable trial onboarding flow for other sources](gitlab-org/gitlab@d95bb41326a8487ed1dceaa06ea7e500353873a4) ([merge request](gitlab-org/gitlab!77992)) **GitLab Enterprise Edition**
- [Add member_namespace_id to members table](gitlab-org/gitlab@4dae8709826eaede354d906370cd91a0fa230911) ([merge request](gitlab-org/gitlab!77592))
- [Convert trial lead creation form to Vue](gitlab-org/gitlab@bcbe2b3ddfb71609295262857d313b8743ea1e48) ([merge request](gitlab-org/gitlab!77537)) **GitLab Enterprise Edition**
- [Update approval settings to toast on success](gitlab-org/gitlab@ad8c805970245dc3c3118a318ff0e23fc19a2a5d) ([merge request](gitlab-org/gitlab!77975)) **GitLab Enterprise Edition**
- [Format total count of runners in tabs by locale](gitlab-org/gitlab@3b516f7d4359f5a4c15f9b9b769ecce7990f85d5) ([merge request](gitlab-org/gitlab!78187))
- [Updated Group/Project home panel ID copy-on-click](gitlab-org/gitlab@55072ccd0870eab2031c4f453b8951b015910faa) by @stingrayza ([merge request](gitlab-org/gitlab!75904))
- [Update MR head pipeline when pipeline event is published](gitlab-org/gitlab@5a8dd34937474f90d39bc4a9a2332fb69ae6b90a) ([merge request](gitlab-org/gitlab!78172))
- [Removes FK for ci_pipeline_schedules to users](gitlab-org/gitlab@abea2e32298f4efcda6fe062d626f9c1e3a1c66a) ([merge request](gitlab-org/gitlab!78163))
- [Removes FK for ci_job_token_project_scope_links to users](gitlab-org/gitlab@3a12e4cd830d5a9c910484377388f7187aa18306) ([merge request](gitlab-org/gitlab!78162))
- [Swap FK ci_build_report_results to projects for LFK](gitlab-org/gitlab@6fbc44b7e47ce8ba2e39da88fdb694ecaf8e992a) ([merge request](gitlab-org/gitlab!78157))
- [Swap FK ci_resource_groups to projects for LFK](gitlab-org/gitlab@fe98ddccf9d5f9fa2cc2cfec5f8132101bf2cf11) ([merge request](gitlab-org/gitlab!78156))
- [Swap FK ci_freeze_periods to projects for LFK](gitlab-org/gitlab@84bac9521da055ef8bc7e66fcab4443cf238a1a8) ([merge request](gitlab-org/gitlab!78155))
- [Add LFK ci_unit_tests to projects on project_id](gitlab-org/gitlab@3e4b59847decb8f8954862c1581e566ece04d9b4) ([merge request](gitlab-org/gitlab!78146))
- [Enable new rich text/source toggle in self-managed](gitlab-org/gitlab@ccac603d81f009b5fae616e9b3298b7d8d0fc6ba) ([merge request](gitlab-org/gitlab!77995))
- [Nullify project_namespace_id reference](gitlab-org/gitlab@9699e82fbb26b6921b01f1eb2e15189f106605da) ([merge request](gitlab-org/gitlab!78046))
- [Geo Nodes Form - Object Storage Beta Badge](gitlab-org/gitlab@578cdcfe5b81f2de7a49131b82a9afd56a1323cd) ([merge request](gitlab-org/gitlab!77989)) **GitLab Enterprise Edition**
- [Update total count of runners for each type](gitlab-org/gitlab@92512ba6c3fdb2f36e49f552e525bdd914098dee) ([merge request](gitlab-org/gitlab!77752))
- [Clean up add GitLab to Slack app](gitlab-org/gitlab@1c86cc581f5d74c87dc79e0891ad7bc172b0c0c9) ([merge request](gitlab-org/gitlab!78094)) **GitLab Enterprise Edition**
- [Fix help text for checkboxes on integrations form](gitlab-org/gitlab@dc0edd94ffa032702dac1669a216b0c41962469e) ([merge request](gitlab-org/gitlab!77885))
- [Encrypt static_object_token_encrypted field via background migration](gitlab-org/gitlab@12f6ada924e737e6d0ecf4f50bf45fc9b7f3fe80) ([merge request](gitlab-org/gitlab!76684))
- [Migrate enable Gitpod confirmation modal to `GlModal`](gitlab-org/gitlab@699354cc7380c6b4346aefaafc8e9b154d5ab198) ([merge request](gitlab-org/gitlab!77716))
- [Allow skipping CI when rebasing in UI](gitlab-org/gitlab@ef01df71974b083fcb773b397253a55c074e710c) by @KevSlashNull ([merge request](gitlab-org/gitlab!76056))
- [Update Nokogiri to v1.12.5](gitlab-org/gitlab@e3c195f6db687cccddf2bd3dcd07b873e853b197) ([merge request](gitlab-org/gitlab!77631))
- [Use badges for branches/tags in commit page](gitlab-org/gitlab@6a13a3aee811edba6c436dc101b6142e7f31dd13) ([merge request](gitlab-org/gitlab!77851))
- [Update DAST On-demand scan template](gitlab-org/gitlab@8f13ed956909aa9528afd1d89145012d052f9a4e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/73564)) **GitLab Enterprise Edition**
- [Update secret-detection git log command](gitlab-org/gitlab@7c0576b5901f5fef72b5b4ae949534b92871e503) ([merge request](gitlab-org/gitlab!77722))
- [Add validation for new_user_signups_cap enabling](gitlab-org/gitlab@708d3a4891bf5575f3e891e43d860d3d70cc52d3) ([merge request](gitlab-org/gitlab!75906)) **GitLab Enterprise Edition**
- [Update upload a license file docs](gitlab-org/gitlab@2e39fcc0ea0af37d4a397f195b6b0f1a8b99c80a) ([merge request](gitlab-org/gitlab!77311)) **GitLab Enterprise Edition**
- [Reposition and restyle integration reset button](gitlab-org/gitlab@f4a072b67ab4aef9f6a27bc1fb20478cb6fa2ea3) ([merge request](gitlab-org/gitlab!77921))
- [Add merge trains copy to ff merge](gitlab-org/gitlab@e795349c99768f8f6599688e4c4b2897746b8848) ([merge request](gitlab-org/gitlab!77904))
- [Remove carat from dropdown button](gitlab-org/gitlab@41f50cde39f7a9347d96c566a77e26dd838df853) ([merge request](gitlab-org/gitlab!77870))
- [Convert OAuth2 authorization panel to GitLab UI utility classes](gitlab-org/gitlab@7783f443a91240c6fe0fc6bfd1060fc373a286e2) ([merge request](gitlab-org/gitlab!77621))
- [Translate settings string in user preferences](gitlab-org/gitlab@d1928d59b92e33bc992192a286e9ee5fc2ce3d60) ([merge request](gitlab-org/gitlab!77439))
- [Replaced browser confirm modal with GlModal for lock button](gitlab-org/gitlab@46b3429a5afcaba64e1be54c4acd0ea4bc2a5f7e) ([merge request](gitlab-org/gitlab!77690)) **GitLab Enterprise Edition**
- [Enable linear versions in GroupDescendantsFinder](gitlab-org/gitlab@3c7dc938bfe474d55503bdfa0c95ccf4eb78ea4d) ([merge request](gitlab-org/gitlab!75877))
- [Create Deployments in Separate Transaction](gitlab-org/gitlab@b74b75293717263e52ac8da3c77be7a4801996e9) ([merge request](gitlab-org/gitlab!77840))
- [Improve UI text of external authentication](gitlab-org/gitlab@2fb0a9fa6e6a2647910f6110115e80e1a169243b) ([merge request](gitlab-org/gitlab!75822))
- [Update search badges to pajamas](gitlab-org/gitlab@a60ee44463c5bea59847a8ceebc15af74db2cb95) ([merge request](gitlab-org/gitlab!77812))
- [Switch from confirm to default](gitlab-org/gitlab@0d7434f06046bfef8d01f86b7f3526cd2002df5e) ([merge request](gitlab-org/gitlab!77780))
- [Improve UI text of group webhooks page](gitlab-org/gitlab@8272c8ce1bd721a8783137e5efc6595524ac8757) ([merge request](gitlab-org/gitlab!76187))
- [Refactor admin labels to use shared HAML partial](gitlab-org/gitlab@a016abab7d3a95f2bb04db557e0e5e84fd4aa42e) ([merge request](gitlab-org/gitlab!77546))
- [Update flash alerts of Admin Runner UI](gitlab-org/gitlab@c7d1fc6075a38186d3877d5b812c6d8ea8822e21) ([merge request](gitlab-org/gitlab!77669))
- [Sort followed users events by id desc](gitlab-org/gitlab@d67b33e8b2b5f636abaa12ae711bd3ef66523408) ([merge request](gitlab-org/gitlab!77436))
- [GitLab Version - Update Version Status Indicator](gitlab-org/gitlab@e8826a3c4221a9793f88a9a0e817653a037641ca) ([merge request](gitlab-org/gitlab!77521))
- [Prevent raising validation errors for SyncDashboardsWorker](gitlab-org/gitlab@e7f36851f7b02e1c4e67b159b961caef7816a840) ([merge request](gitlab-org/gitlab!77657))
- [Update snippet search badge to use pajamas](gitlab-org/gitlab@b1fd72385f1c416a9109cae62267039c00705e8c) ([merge request](gitlab-org/gitlab!77726))
- [Improve outbound requests settings UI text](gitlab-org/gitlab@8ecdf1de3e9b4428f3836c886db470121998585b) ([merge request](gitlab-org/gitlab!77488))
- [Remove Geo pages verification feature flag](gitlab-org/gitlab@9a76f4e6712e855a491e90fe69e501e34508f9c1) ([merge request](gitlab-org/gitlab!77551)) **GitLab Enterprise Edition**
- [Geo: Verify LFS objects](gitlab-org/gitlab@aa4207006a9b63d2c3731e680551eb886c90df9e) ([merge request](gitlab-org/gitlab!76363)) **GitLab Enterprise Edition**
- [Add support for user_id, group_id and group_path](gitlab-org/gitlab@a2187ab03790d31cf0a92f17ed01ff83c2d1c4af) ([merge request](gitlab-org/gitlab!76595)) **GitLab Enterprise Edition**
- [Remove `log_import_export_relation_creation` feature flag](gitlab-org/gitlab@ad7c30ff1d8054915adf35b164314c36e4e48720) ([merge request](gitlab-org/gitlab!77144))
- [Remove feature flag optimize_merge_request_parser](gitlab-org/gitlab@ff5b66f0dac674acd11070ca4e4501720f16162f) ([merge request](gitlab-org/gitlab!68379))
- [Update look and feel of runner heading](gitlab-org/gitlab@f3cf2fee21f932765556b79fe343c56a49fc6884) ([merge request](gitlab-org/gitlab!77519))
- [Move the Runner edit page to an `/edit` path](gitlab-org/gitlab@0db46eaeb1973543394374737e5f040600989ebb) ([merge request](gitlab-org/gitlab!77514))
- [User linear version UserGroupNotificationSettingsFinder#execute](gitlab-org/gitlab@9d4a65977f91211ba6ac52a0706dbff39eb929d7) ([merge request](gitlab-org/gitlab!75645))
- [Refactored sidebar jobs details container badge](gitlab-org/gitlab@14fcb9fe7ce2773bfb25caeb42b657475cbbedf1) ([merge request](gitlab-org/gitlab!77675))
- [Remove deployments_archive feature flag](gitlab-org/gitlab@616cfcc6e78979b43540c74019c1ae2906b207c5) ([merge request](gitlab-org/gitlab!77490))
- [Update Coverage-Fuzzing yml and use last package file in corpus](gitlab-org/gitlab@0bb3bcc59c61aedc459e8a81c8ebbbfcf3b928da) ([merge request](gitlab-org/gitlab!77228)) **GitLab Enterprise Edition**
- [Make strings in user preferences translatable](gitlab-org/gitlab@df4151982ee381efa303a1f6a514069d0ea39f42) ([merge request](gitlab-org/gitlab!77483))
- [Deprecate plaintext field static_objects_external_storage_auth_token](gitlab-org/gitlab@733e5ddd605435b7cbe10449f1e58c8ac3b04988) ([merge request](gitlab-org/gitlab!77579))
- [Add createAlert as alternative to createFlash](gitlab-org/gitlab@a205f845c65ef8728b7489b320c3ce656de7f5de) ([merge request](gitlab-org/gitlab!76136))
- [Increase icon size for categories in emoji picker](gitlab-org/gitlab@f075efeacac0720f13528a1cd740e5c5105016b3) ([merge request](gitlab-org/gitlab!77577))
- [Update acts-as-taggable-on gem version](gitlab-org/gitlab@c84e36fedbb4ecdb2834810eb15c07584f0b68bc) ([merge request](gitlab-org/gitlab!77565))
- [Refactored Badges on environment items](gitlab-org/gitlab@055cd12f11c10dfb0e502faf9ed0adc836a05b21) ([merge request](gitlab-org/gitlab!77113))
- [Update nuget version regex](gitlab-org/gitlab@d1f2e41a4d4e23e7a2f4391725a8347740d2dd19) ([merge request](gitlab-org/gitlab!77543))
- [Remove commit templates variable placeholders from settings](gitlab-org/gitlab@940da33d70644349f97219087fe1fa18b5c3fe5e) by @trakos ([merge request](gitlab-org/gitlab!77350))
- [Externalize strings for translation on dashboard](gitlab-org/gitlab@006ae2d6172f3c10e3764db9f8c55d2ef6b2640b) ([merge request](gitlab-org/gitlab!77432))
- [Make strings in top nav translatable](gitlab-org/gitlab@03c5a413485f24c6014427b2de8b654728566ecc) ([merge request](gitlab-org/gitlab!77475)) **GitLab Enterprise Edition**
- [Fail remote mirror if LFS sync fails](gitlab-org/gitlab@10c8a8ba9c1fd1bb731e27afa1006bc8c31f6bd4) ([merge request](gitlab-org/gitlab!77339))
- [Update Azure storage Gem dependencies](gitlab-org/gitlab@2741aefc230f467e0574682333cb07a9b3df7e80) ([merge request](gitlab-org/gitlab!77472))
- [Add Pajamas-complient badge for runners](gitlab-org/gitlab@f8e41cd2351fe2f64099bf8762d02f0281ee630a) ([merge request](gitlab-org/gitlab!77399))
- [Translate labels in user main settings](gitlab-org/gitlab@9cb8eb9e01c9f3b64eb3c41e7069096dda558d0e) ([merge request](gitlab-org/gitlab!77450))
- [Allow hidden pacakge files to be downloaded](gitlab-org/gitlab@e6eecff1491a3817451fd481f4e79a6852beda53) ([merge request](gitlab-org/gitlab!77291))
- [Externalize strings for translation user's chat settings](gitlab-org/gitlab@c9d0b0c87a4cd56a420d73e3d2778662e80109f4) ([merge request](gitlab-org/gitlab!77433))
- [Use "never contacted" wording in runner's frontend](gitlab-org/gitlab@2048b5e101b868c8c27db07221feaf6878247010) ([merge request](gitlab-org/gitlab!77375))
- [Rename routes for project services](gitlab-org/gitlab@523c3082b4186f1f2ca63bad9e5573a9f3137eb2) ([merge request](gitlab-org/gitlab!77376))
- [Update button variant and category](gitlab-org/gitlab@9d6c6562651cab2129c3a815d22b4ef37b66e340) ([merge request](gitlab-org/gitlab!77313))
- [Alter phone constraint bigger](gitlab-org/gitlab@74d33307a6b254d889f5dcbd67c583b665d41a0f) by @memorycancel ([merge request](gitlab-org/gitlab!76516))
- [Set feature flag lfs_auto_link_fork_source to true by default](gitlab-org/gitlab@0b5407ccc9a198b1e779850d4c4951a7b63afb70) ([merge request](gitlab-org/gitlab!77341))
- [Registration Flow - Don't pre-select role](gitlab-org/gitlab@81fea3beaae533a27a041850b691c06b900697ac) by @tarunvelli ([merge request](gitlab-org/gitlab!76051))
- [Remove find_tag_via_gitaly feature flag](gitlab-org/gitlab@cf9515de7a31631b18cfef1580bba90e2f1abdcb) ([merge request](gitlab-org/gitlab!77303))
- [Adjusts Member awaiting scope to be distinct](gitlab-org/gitlab@0f117a67c9c59afef603db58e0a186a815e08dfc) ([merge request](gitlab-org/gitlab!76864)) **GitLab Enterprise Edition**
- [Add fail flag to pipeline trigger examples](gitlab-org/gitlab@666c22848f6ff042d5fde38b6649ca2c81f5eb6e) ([merge request](gitlab-org/gitlab!77095))
- [Release Geo: Treat missing blobs as sync failed](gitlab-org/gitlab@1ee0241c957ec82ce10616f69e916833514da2ff) ([merge request](gitlab-org/gitlab!77274)) **GitLab Enterprise Edition**
- [Delete events in batches when project is destroyed](gitlab-org/gitlab@7d633be80765ddd75436dd94663c01f2da27b728) ([merge request](gitlab-org/gitlab!77031))
- [Add limitation warning for permission export](gitlab-org/gitlab@079fe3bbe45129c149d3981b752ea2ebde273e91) ([merge request](gitlab-org/gitlab!77121)) **GitLab Enterprise Edition**
- [Change texts about credit card verification](gitlab-org/gitlab@cc868d4accbb5f44259c66a463b0bb23ff9148c4) ([merge request](gitlab-org/gitlab!77111)) **GitLab Enterprise Edition**
- [Treat API requests from the frontend as web traffic in the rate limiter](gitlab-org/gitlab@7b54a4b5184003f85919921c2aa8a7ba3848c989) ([merge request](gitlab-org/gitlab!76965))
- [Restyle "hints" on appearance settings](gitlab-org/gitlab@c17e794bd8d2cb427bb04d775afb9b1acaef1454) by @KevSlashNull ([merge request](gitlab-org/gitlab!75871))
- [Do not show participants invisible to the user](gitlab-org/gitlab@d07f416fbeb5f924a41c064138512da035f1905f) ([merge request](gitlab-org/gitlab!77021))
- [Use connects_to to connect to the Geo tracking DB](gitlab-org/gitlab@235cfc0308426acfc22e5ad29fd29d91c4c54d08) ([merge request](gitlab-org/gitlab!76700)) **GitLab Enterprise Edition**
- [Add CI_JOB_JWT_V2 with iss and aud format changes](gitlab-org/gitlab@25081011347036615ae981314f6cfcb252f4e671) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/72555))
- [Migrate the visibility change confirmation to vue](gitlab-org/gitlab@db85f7235a474ee1bb48ba194f15aae274b6e90d) ([merge request](gitlab-org/gitlab!76417))
- [Drop jira_use_first_ref_by_oid feature flag](gitlab-org/gitlab@ce5c275e4ccc00ce67b8c885d504aa220335059e) ([merge request](gitlab-org/gitlab!76611))
- [Update button variant to confirm](gitlab-org/gitlab@2d80d85cbfaa8a80145a992c933c25866a3b7c86) ([merge request](gitlab-org/gitlab!77022))
- [Remove OAuth paths from protected paths rate limit](gitlab-org/gitlab@cf35d50245622626d178ab21fe1b429bc85cb729) ([merge request](gitlab-org/gitlab!76882))
- [Add vulnerability_states for scan_result_policies](gitlab-org/gitlab@a7e8caeb92aea8508503bdd90eb08fcc1e74271b) ([merge request](gitlab-org/gitlab!76865)) **GitLab Enterprise Edition**
- [Add toggle method to control use_minimum_char_limit](gitlab-org/gitlab@a4d04c0b2d3786cd0ba3e158cadc4bdbd547aa57) by @orozot ([merge request](gitlab-org/gitlab!76835))

### Removed (13 changes)

- [Remove feedback link in discover security point](gitlab-org/gitlab@e721427a2c56d337ec8899741ba6f146ec055379) ([merge request](gitlab-org/gitlab!78313)) **GitLab Enterprise Edition**
- [Revert "Merge branch 'rajat/work-hierarchy' into 'master'"](gitlab-org/gitlab@025fa4da03ea514fa83feb5a8b5b0dff98bc1a48) ([merge request](gitlab-org/gitlab!78395))
- [Remove cached_mr_widget feature flag](gitlab-org/gitlab@38c4ca9b293730ab4e9015f371234aee2422e654) ([merge request](gitlab-org/gitlab!78355))
- [Remove automatic addition of incident label](gitlab-org/gitlab@d4a57b8fc3b879a02760b7be4780f23ee9a26ee7) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/78258))
- [Delete paginatable_namespace_drop_down_for_project_creation FF](gitlab-org/gitlab@a20daa48a9b8331264b21571ff4bd709efa5b1a7) ([merge request](gitlab-org/gitlab!72240))
- [Remove redis MultiStore implementation](gitlab-org/gitlab@c66fb99d1e09f3b061c5d8a678a17f772376f4ef) ([merge request](gitlab-org/gitlab!78049))
- [Remove "Saved scans" tab from DAST configuration](gitlab-org/gitlab@011bf15a10f914ab9f57eff5d5cf513c2e928b74) ([merge request](gitlab-org/gitlab!77288)) **GitLab Enterprise Edition**
- [Remove EXMOD experiment documentation](gitlab-org/gitlab@f355b4d84cc9e3beb6ea28c1046c50c36b3ac766) ([merge request](gitlab-org/gitlab!78091))
- [Remove delete_branch_confirmation_modals feature flag](gitlab-org/gitlab@336301f70b9f2af71ed73bdfe101b83747f08fd7) ([merge request](gitlab-org/gitlab!77231))
- [Remove problematic query from obselete open environment in diff feature](gitlab-org/gitlab@90f07756725877199ef1661fdabad84b8acd0d4d) ([merge request](gitlab-org/gitlab!77963))
- [Remove LooseIndexScanDistinctCount class](gitlab-org/gitlab@e105810c007104bc48edb5c88a9544115a7319a0) ([merge request](gitlab-org/gitlab!77746))
- [Delete vue_issuables_list feature flag](gitlab-org/gitlab@3abadcad5791b8b40a9db9905a4275b9fee4e144) ([merge request](gitlab-org/gitlab!77051))
- [Remove vulnerability_location_image_filter feature flag](gitlab-org/gitlab@a9a8fde623c5936f667c5fed890394478a4cf3b9) ([merge request](gitlab-org/gitlab!76298))

### Security (4 changes)

- [Upgrade mermaid js library](gitlab-org/gitlab@7ad21d909cea9e2ec1dec848c2c395aee745db8b) ([merge request](gitlab-org/gitlab!78176))
- [Rate limit /users/sign_up](gitlab-org/gitlab@9c15124fdb59b50fd210837d803dba3ed1723284) ([merge request](gitlab-org/gitlab!77835))
- [Rate limit update username action](gitlab-org/gitlab@5e4cc7ebac15542c14fa82ba408d21d75345d774) ([merge request](gitlab-org/gitlab!77221))
- [Enforce rate limit per IP on /users/:username/exists](gitlab-org/gitlab@5e9c4d189b90caec408c3649b84d2787c8931cfa) ([merge request](gitlab-org/gitlab!77119))

### Performance (12 changes)

- [Avoid extra Sidekiq jobs for expiring CI etags](gitlab-org/gitlab@dc29dc66328fc6609c134d6569f8a6c0c74c9309) ([merge request](gitlab-org/gitlab!78468))
- [Optimize query for issue neighbors](gitlab-org/gitlab@1833947a07026c195175ab4056336e4b6b480a30) ([merge request](gitlab-org/gitlab!78443))
- [Improve on-demand scans polling performances](gitlab-org/gitlab@186f44f9760b0c5760c7ddd27bb34f4f1789006c) ([merge request](gitlab-org/gitlab!78375)) **GitLab Enterprise Edition**
- [Remove ci_decompose_belonging_to_parent_group feature flag](gitlab-org/gitlab@c6926279b2e790d32146cf66b19a770fe443acd0) ([merge request](gitlab-org/gitlab!77944))
- [Optimize protected branches/tags matching](gitlab-org/gitlab@d95f91c344faacb36aad43adae2412c038d48280) ([merge request](gitlab-org/gitlab!77988))
- [Add index for resolving timeouts on environments page](gitlab-org/gitlab@171f3decb6f2e52739d2de9a0a868f62b715e2db) ([merge request](gitlab-org/gitlab!75767))
- [Inline diff line rendering](gitlab-org/gitlab@839bc405f542ea98d16a6a0b3bc9cb4566b08906) ([merge request](gitlab-org/gitlab!57237))
- [Utilize C version of CommonMark renderer](gitlab-org/gitlab@cc2380771b8c314bf325a2fe7212a02ef9675e37) ([merge request](gitlab-org/gitlab!75800))
- [Improve epic swimlanes query performance for group board](gitlab-org/gitlab@42de05b81420534abd05ce531436e08f9d906b53) ([merge request](gitlab-org/gitlab!75378)) **GitLab Enterprise Edition**
- [Fix slow events query for followed users](gitlab-org/gitlab@17b71e6ce339424ac6f5658da345b7b3e307b7e6) ([merge request](gitlab-org/gitlab!77028))
- [Read running builds from denormalized table upon assignment](gitlab-org/gitlab@7f669ae8570cc373581464861d764b0334c3a1c4) ([merge request](gitlab-org/gitlab!77104))
- [Introduce an optimized labels query on group transfer](gitlab-org/gitlab@7cdf20af2a29ab118663ce32dbb59794e93c12a4) ([merge request](gitlab-org/gitlab!77034))

### Other (68 changes)

- [Geo: Verify uploads](gitlab-org/gitlab@ddf052cf83d329149f359cd690447bbeccd95de0) ([merge request](gitlab-org/gitlab!78068)) **GitLab Enterprise Edition**
- [Add columns in prep of registry import](gitlab-org/gitlab@8d2ee3c7055dd089760d9fd8ffb1e6a0b7da130d) ([merge request](gitlab-org/gitlab!77725))
- [Remove ci_running_builds FK to projects](gitlab-org/gitlab@5e0a4b2309ba8d6d94533e8d52cc976152007cfb) ([merge request](gitlab-org/gitlab!78027))
- [Remove `scim_token_vue` feature flag](gitlab-org/gitlab@a99950d4a544ec74a67aaa44e3667d83920318da) ([merge request](gitlab-org/gitlab!78220))
- [Remove FK security_scans.build_id as we have LFK](gitlab-org/gitlab@fc438951bc97aca0e818730e51f83b730f3f2796) ([merge request](gitlab-org/gitlab!77919))
- [Add backfill migrations for ci namespace/project mirrors](gitlab-org/gitlab@10412e26ab4772f0a70975e3509eecad18d1ea01) ([merge request](gitlab-org/gitlab!76327))
- [Add package file cleanup jobs](gitlab-org/gitlab@d039bfa25a695d87a9486a5c56b190d42ecac65a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/77212))
- [Remove ci_store_trace_outside_transaction feature flag](gitlab-org/gitlab@2efe1c3552b13e55e4ed6aacc75f50f87b4830cd) ([merge request](gitlab-org/gitlab!78465))
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@67db38fc01aeefe8ebce455c223d0292bd5d2ce4) by @edith007 ([merge request](gitlab-org/gitlab!75940)) **GitLab Enterprise Edition**
- [Remove FK dast_scanner_profiles_builds.ci_build_id as we have LFK](gitlab-org/gitlab@ac5eacabbdb89c6311df7763a07ae78a0067d8f4) ([merge request](gitlab-org/gitlab!77910))
- [Remove FK requirements_management_test_reports.build_id as we have LFK](gitlab-org/gitlab@aa91697c133b208b48b95e7df1d3f7bea2800018) ([merge request](gitlab-org/gitlab!77912))
- [Remove FK dast_site_profiles_builds.ci_build_id as we have LFK](gitlab-org/gitlab@89d4d45ea795febdbe6d49f0e6fcf107ab598f14) ([merge request](gitlab-org/gitlab!77916))
- [Fix GraphQL/FieldDefinitions offense (Part 3/4)](gitlab-org/gitlab@e3939b1b2814393988c642cc22d4ac01fba00df0) by @KevSlashNull ([merge request](gitlab-org/gitlab!76016))
- [Fix GraphQL/ArgumentName offense](gitlab-org/gitlab@10601fb5bf124aa47aa89119428b3655fa22f9e6) by @KevSlashNull ([merge request](gitlab-org/gitlab!76013))
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@2f817b54d9bb7a793c0e187b7541314a885bb44f) by @edith007 ([merge request](gitlab-org/gitlab!75988))
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@8c1b0a556c085cdd178dbbd150d04648c87092d9) by @edith007 ([merge request](gitlab-org/gitlab!75970)) **GitLab Enterprise Edition**
- [Fix Gitlab/DelegatePredicateMethods offenses](gitlab-org/gitlab@2a2bc7c5e700bf0531753ae3e58eb847d95d3dcc) by @edith007 ([merge request](gitlab-org/gitlab!76010))
- [Remove alllow database cross join from runner_matchers](gitlab-org/gitlab@7f4df5cc89b944c2227128cb88df063a078a629d) ([merge request](gitlab-org/gitlab!78084))
- [Remove opt_in_sidekiq_status feature flag](gitlab-org/gitlab@73166fc00e91a7c02ce77920b5f0685cd84f03d1) ([merge request](gitlab-org/gitlab!78279))
- [chore: Mark previous Recalculation background migrations as succeeded](gitlab-org/gitlab@4d50836b166c3e61879b44606820aa558667a6d6) ([merge request](gitlab-org/gitlab!77052))
- [Limit subscription page container to 990px](gitlab-org/gitlab@ffd11f2cb270a8a578b86ad7f5403c90fc5a56be) ([merge request](gitlab-org/gitlab!77947)) **GitLab Enterprise Edition**
- [Improve SSH key format validation](gitlab-org/gitlab@053b079d82c58a185afc4010440c78c64024944a) ([merge request](gitlab-org/gitlab!77996))
- [Remove `admin_deploy_keys_vue` feature flag](gitlab-org/gitlab@18f44e6f41b198e5986b0eee0e29c2b3806f111d) ([merge request](gitlab-org/gitlab!78144))
- [Remove `hide_access_tokens` feature flag](gitlab-org/gitlab@74f72fde3fa8b5c9298adc67ca149b5637519d32) ([merge request](gitlab-org/gitlab!78148))
- [Remove show.html.erb as Rails 5 now supports nonce-based CSP headers](gitlab-org/gitlab@dd23e8540b8a3e3ae3b5e93480422426c87ca039) by @edith007 ([merge request](gitlab-org/gitlab!75998))
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@9ee72296a506b389593abc5d0f5182a3e2a21f6a) by @edith007 ([merge request](gitlab-org/gitlab!75976))
- [Remove ci_pending_builds FK to projects](gitlab-org/gitlab@671e495b24f812df2f36b59ec1be592023aae85e) ([merge request](gitlab-org/gitlab!78010))
- [Truncate ci_namespace_mirrors and ci_project_mirrors](gitlab-org/gitlab@63143a7853b61a155d90d5ff3f3e033cedaf5b71) ([merge request](gitlab-org/gitlab!77953))
- [Remove feature flag multiple_gpg_signatures](gitlab-org/gitlab@e6f08a7853161ef2c3597bfa151ef7816f0dbf04) ([merge request](gitlab-org/gitlab!78112))
- [Backfill TestReports issue_id column](gitlab-org/gitlab@d1045bff47b7a231a5fc79990be5c3869f19457c) ([merge request](gitlab-org/gitlab!77770))
- [Fix Style/OpenStructUse offenses for users and package specs](gitlab-org/gitlab@a61455cd231d54ddee54cb6ebbd63ff5e1550df4) by @edith007 ([merge request](gitlab-org/gitlab!75240))
- [Fix Style/OpenStructUse offense for Gitlab::Database::Migrations::Runner](gitlab-org/gitlab@895a968955624e3f80d65523b7f9428a34e54791) by @edith007 ([merge request](gitlab-org/gitlab!75323))
- [Fix Style/OpenStructUse offenses](gitlab-org/gitlab@85f034ff82119df755959ff71edbe32454411fba) by @edith007 ([merge request](gitlab-org/gitlab!75289))
- [Pass formats explicitly when rendering .html file](gitlab-org/gitlab@9ab0a173f11a09248a65692f586e82fa5841b063) by @edith007 ([merge request](gitlab-org/gitlab!75775)) **GitLab Enterprise Edition**
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@11dd30f1eba382d96a84aa0985f812a175f290de) by @edith007 ([merge request](gitlab-org/gitlab!75969)) **GitLab Enterprise Edition**
- [Pass formats explicitly when rendering kerberos error](gitlab-org/gitlab@bcbf3501ece285a6fef2a5be057e27b69c522cfe) by @edith007 ([merge request](gitlab-org/gitlab!76011)) **GitLab Enterprise Edition**
- [Fix Style/OpenStructUse offenses in gitlab_controller_spec](gitlab-org/gitlab@e20818ecb8485a22e0e6d2341c79564bbca654aa) by @edith007 ([merge request](gitlab-org/gitlab!75194))
- [Pass formats explicitly when rendering .md file](gitlab-org/gitlab@d0a56f252c025fa25ac706387ef5a6094e3a267d) by @edith007 ([merge request](gitlab-org/gitlab!75779)) **GitLab Enterprise Edition**
- [Adjust license upload page style](gitlab-org/gitlab@a224cdf8d9c3a8252f1853b3fd6a3365d49ae163) ([merge request](gitlab-org/gitlab!77670)) **GitLab Enterprise Edition**
- [Pass formats explicitly when rendering html](gitlab-org/gitlab@29f03fb2ba7dd9590b95b3b457160ca81b50fe5a) by @edith007 ([merge request](gitlab-org/gitlab!75772))
- [Remove index_merge_requests_on_title index from merge_requests table](gitlab-org/gitlab@ffa845bf5d480a528a7183beeb4bf536465cf9a3) by @edith007 ([merge request](gitlab-org/gitlab!75823))
- [Improve 'Add an SSH key' page](gitlab-org/gitlab@2a2596f2d7ea8e2afa151da430c2061193bd31e3) ([merge request](gitlab-org/gitlab!77403))
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@de123aba96869395eb4878d00947fcb35f27306a) by @edith007 ([merge request](gitlab-org/gitlab!75929)) **GitLab Enterprise Edition**
- [Remove "show_relevant_approval_rule_approvers" feature flag](gitlab-org/gitlab@afcfaa8cef0c35ba907fd54c6c4188b621fa3f0d) ([merge request](gitlab-org/gitlab!77227))
- [Cleanup pipeline logger feature flags](gitlab-org/gitlab@ec525e62a32e70c12b7e773c072fd645f2f8975f) ([merge request](gitlab-org/gitlab!77973))
- [Remove the dast_view_scans feature flag](gitlab-org/gitlab@0d05f8de936646d95d4d5fa4c60a24014701e57e) ([merge request](gitlab-org/gitlab!77672)) **GitLab Enterprise Edition**
- [Refactor all the specs to use `:integration` rather than `:service`](gitlab-org/gitlab@2930cf7c19308df5524b2bb431e02827a77cf73e) by @edith007 ([merge request](gitlab-org/gitlab!75997))
- [Fix Gitlab/DelegatePredicateMethods offenses](gitlab-org/gitlab@223ebf2c17861e2c4adbee2b00ffb2b36b45277a) by @edith007 ([merge request](gitlab-org/gitlab!76007)) **GitLab Enterprise Edition**
- [Remove foreign key constraint ci_runner_namespaces.namespace_id](gitlab-org/gitlab@2bed6a32c702a787ef4521c449255d47145b94af) ([merge request](gitlab-org/gitlab!77727))
- [Remove foreign key ci_daily_build_group_report_results.group_id](gitlab-org/gitlab@d801789b2ebb064386366bd3673124899af3b5ba) ([merge request](gitlab-org/gitlab!77721))
- [Deprecate agent token deletion mutation](gitlab-org/gitlab@fd65575598150ac1a23da513d7ab3aaadc2cc2d2) ([merge request](gitlab-org/gitlab!77837))
- [Use an enum for agent token statuses](gitlab-org/gitlab@2f6db027701195d978bd8238bb55d3e3b60c96a8) ([merge request](gitlab-org/gitlab!77735))
- [Remove foreign key ci_pending_builds.namespace_id](gitlab-org/gitlab@668cc33add3476588f83d12e959fd293f9432709) ([merge request](gitlab-org/gitlab!77724))
- [Pass formats explicitly when rendering .md file](gitlab-org/gitlab@7b068a4d88bfa440e3eeafa811bd7da81e5397b8) by @edith007 ([merge request](gitlab-org/gitlab!75778)) **GitLab Enterprise Edition**
- [Raise custom errors when backup creation fails](gitlab-org/gitlab@5689d89da7ceeff03b75db174f898aca9df7fe0c) ([merge request](gitlab-org/gitlab!76754))
- [Pass formats explicitly when rendering .md file](gitlab-org/gitlab@7360983df1c4bd9ce5ea4c0198db7675f0c786e8) by @edith007 ([merge request](gitlab-org/gitlab!75777)) **GitLab Enterprise Edition**
- [Use design system badges for project domains](gitlab-org/gitlab@62e5e7b6b7814d131337f24488bd059a9935c292) ([merge request](gitlab-org/gitlab!77613))
- [Add package file status attribute](gitlab-org/gitlab@e7420d284fafa321cfe3d81d12cadd028f312019) ([merge request](gitlab-org/gitlab!76767))
- [Remove foreign key ci_minutes_additional_packs.namespace_id](gitlab-org/gitlab@aff84c0895e16483554a5aaa19dbc5bd459c2d7a) ([merge request](gitlab-org/gitlab!77550))
- [Remove foreign key ci_group_variables.group_id as we have loose fK](gitlab-org/gitlab@ed2adc84f919c11193be49b2040892a087973e93) ([merge request](gitlab-org/gitlab!77494))
- [Remove feature flag `ff_limit_ssh_key_lifetime`](gitlab-org/gitlab@23e9f7c0bd53915b92f82e735f6463956478cf77) ([merge request](gitlab-org/gitlab!77568))
- [Cleanup after DropInvalidSecurityFindings migration](gitlab-org/gitlab@f8059937c176a19c9795dcbf324098f0f800c5a3) ([merge request](gitlab-org/gitlab!75134))
- [Remove foreign key project_pages_metadata.ci_job_artifacts](gitlab-org/gitlab@d2c9fe10b1ce996c5aef14123668b29b32098d5a) ([merge request](gitlab-org/gitlab!76996))
- [Update GitLab Runner Helm Chart to 0.36.0](gitlab-org/gitlab@bff5d0848213999f67c87ce228db0f93a3820290) ([merge request](gitlab-org/gitlab!77082))
- [Fix GraphQL/OrderedArguments offense (Part 3/6)](gitlab-org/gitlab@55c5417e1e56f83a87660852cab73174382e94be) by @KevSlashNull ([merge request](gitlab-org/gitlab!76025))
- [Pass formats explicitly when rendering .html format](gitlab-org/gitlab@2e8f39197824f4e3203a17f4dc64eb7a0164f8f4) by @edith007 ([merge request](gitlab-org/gitlab!75782))
- [Fix Gitlab/DelegatePredicateMethods offenses](gitlab-org/gitlab@518700a11025b0000ff3ce011638417a882612b0) by @edith007 ([merge request](gitlab-org/gitlab!76001))
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@513b0e1dbdf95ea595e7548ff26929e0be30ce29) by @edith007 ([merge request](gitlab-org/gitlab!75894)) **GitLab Enterprise Edition**

## 14.6.7 (2022-03-31)

### Changed (1 change)

- [Remove runners token prefix feature flags](gitlab-org/gitlab@70330bc3f8c34c4620d7e5c4a9943ec3574e5ee6) ([merge request](gitlab-org/gitlab!82122))

## 14.6.6 (2022-03-01)

### Fixed (3 changes)

- [Ensure cleanup job artifacts task does not include pipeline artifacts](gitlab-org/gitlab@3fc3472de8bfa971985d122573e9896b17606678) ([merge request](gitlab-org/gitlab!81885))
- [Fix Geo checksummable check failing when file is nil](gitlab-org/gitlab@38b55f334c558377de0b1b0d7f853e62723d9791) ([merge request](gitlab-org/gitlab!81885)) **GitLab Enterprise Edition**
- [Resolve "Imports fail in 14.5.2 fail with HTTParty::UnsupportedURIScheme error"](gitlab-org/gitlab@b7cbf0c19d9702a0db3ee9a8f8897df5d7da72f1) ([merge request](gitlab-org/gitlab!81885))

## 14.6.5 (2022-02-25)

### Security (8 changes)

- [Limit commands_changes to certain keys](gitlab-org/security/gitlab@138c437f2819d62ce4750fb84399d8868c844b01) ([merge request](gitlab-org/security/gitlab!2227))
- [Add runners_token prefix to Group and Project](gitlab-org/security/gitlab@682d4e9b63d3d36901638edc75c1b265460d42dc) ([merge request](gitlab-org/security/gitlab!2250))
- [Anonymous user can enumerate all users through GraphQL endpoint](gitlab-org/security/gitlab@2b00a8036b291d3ad5de551a5e13c2a0a39d0234) ([merge request](gitlab-org/security/gitlab!2102))
- [Check for unsafe characters in email addresses before sending](gitlab-org/security/gitlab@6bc653b3dadefb3d2c80823786d43e6b7f8c4620) ([merge request](gitlab-org/security/gitlab!2208))
- [Warn when snippet contains unretrievable files](gitlab-org/security/gitlab@f9ae9515ec98ab934f4aa3a35af0aca806bbe21d) ([merge request](gitlab-org/security/gitlab!2203))
- [Prevent DOS when rendering math markdown](gitlab-org/security/gitlab@fd6d496df6f4b5eb3da0b851f9ff8ebb1d68d3f2) ([merge request](gitlab-org/security/gitlab!2201))
- [Check permission when creating members through service](gitlab-org/security/gitlab@948e5103285de2a6cdb5152ff2c13ae4db2f4cda) ([merge request](gitlab-org/security/gitlab!2211))
- [Reset password field on page load](gitlab-org/security/gitlab@1417b463f2771a4b17e068dea9de3aa6c4540962) ([merge request](gitlab-org/security/gitlab!2194))

## 14.6.4 (2022-02-03)

### Security

See https://about.gitlab.com/releases/2022/02/03/security-release-gitlab-14-7-1-released/

## 14.6.3 (2022-01-18)

### Fixed (4 changes)

- [Fix destruction of projects with pipelines](gitlab-org/gitlab@83e1616fe46b933c5b78b2d43e08463fdae4264a) ([merge request](gitlab-org/gitlab!78401))
- [Geo: Resolve "undefined method each_batch"](gitlab-org/gitlab@a38bf23ebd0a9931ec5bb91377955824dcda39ea) ([merge request](gitlab-org/gitlab!78401)) **GitLab Enterprise Edition**
- [Fix migration for cases with empty strings](gitlab-org/gitlab@ddda8880db35b7d48ca8e4ec8efe54954d64f41f) ([merge request](gitlab-org/gitlab!78401))
- [Geo: adapt verification timed out query to use state table](gitlab-org/gitlab@89212752226d6c5f34830e3f4a73c5a56764ed17) ([merge request](gitlab-org/gitlab!78401)) **GitLab Enterprise Edition**

## 14.6.2 (2022-01-10)

No changes.

## 14.6.1 (2022-01-04)

### Fixed (2 changes)

- [Ignore new line differences when deciding whether to squash MR](gitlab-org/gitlab@9d25380756bbc11ad5d18ea268b0ed0b60bf92fb) ([merge request](gitlab-org/gitlab!77499))
- [Fix re-use of extensions between instances](gitlab-org/gitlab@0ad3357123bbb72493b965b0ab769dab81890397) ([merge request](gitlab-org/gitlab!77499))

## 14.6.0 (2021-12-21)

### Added (76 changes)

- [Create table to store merge request compliance violations](gitlab-org/gitlab@6020f42812e3dc09d4163488e35d9a75f20da9ff) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/74290))
- [Upgrade GitLab Pages to 1.49.0](gitlab-org/gitlab@b10f47f58cc3c7998e6815580405d00575595715) ([merge request](gitlab-org/gitlab!76908))
- [Add create crm organization component](gitlab-org/gitlab@20998c7f182a6f12001ac10b515fc8c20147b56a) by @leetickett ([merge request](gitlab-org/gitlab!76059))
- [Registration features info for setting repo size](gitlab-org/gitlab@d857bc88bfe2dff493b73934c39ac89c25a4381a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/73222)) **GitLab Enterprise Edition**
- [Log structured message when LFS object is auto-linked from parent](gitlab-org/gitlab@fe545efa9f3c138a1f65bed0f021525b8cb3fc22) ([merge request](gitlab-org/gitlab!76818))
- [Enable display_outdated_line_diff by default](gitlab-org/gitlab@3f368ddb4378101757f7a3ce7a92d0d36bcf7823) ([merge request](gitlab-org/gitlab!76887))
- [Default enable webauthn feature flag](gitlab-org/gitlab@81a6ee387a3f4b593859c04d52245312b9b194ba) by @kingjan1999 ([merge request](gitlab-org/gitlab!50735))
- [Update return type for previousStageJobsOrNeeds](gitlab-org/gitlab@ca6c6a70b0e054b24cd331b0ce6bedb383a86dff) ([merge request](gitlab-org/gitlab!76444))
- [Add support for Rel-License microformat](gitlab-org/gitlab@dd445481700a90c9e9fd645c2315e94b22df4889) ([merge request](gitlab-org/gitlab!76471))
- [Add error alerts and badge for webhooks](gitlab-org/gitlab@d366378ce6612db8316a07e60eb139d4e7eb39da) ([merge request](gitlab-org/gitlab!76871))
- [Add alert for rate limited webhooks](gitlab-org/gitlab@d163f4c929d696884438cb139329cdb3bae75803) ([merge request](gitlab-org/gitlab!76743))
- [Expose iid in pipelines api](gitlab-org/gitlab@a7f53bddf1cfc64d471b13312dd01c42015799c4) ([merge request](gitlab-org/gitlab!76625))
- [Implement separate status for bulk imports](gitlab-org/gitlab@96db744c439129de268cf05f4e7e5b41597ff751) ([merge request](gitlab-org/gitlab!73960))
- [Include parent_iid and parent link in epic responses](gitlab-org/gitlab@16c439adab336b115f9cfa532e5ff4e640a21ddc) by @espadav8 ([merge request](gitlab-org/gitlab!76443)) **GitLab Enterprise Edition**
- [Add `ClusterImageScanningType` to `VulnerabilitiesResolver`](gitlab-org/gitlab@38d8bf4f680a8a5f8f391e162ef3cfa41578ebec) ([merge request](gitlab-org/gitlab!75797)) **GitLab Enterprise Edition**
- [Add ability to retry scans from on-demand scans list](gitlab-org/gitlab@d703847ed921e394ee655afd851b4b36ccd41e61) ([merge request](gitlab-org/gitlab!76448)) **GitLab Enterprise Edition**
- [Add ability to cancel on-demand scans](gitlab-org/gitlab@a77440d405caa34a9e8a6d9661ae32d31124aa99) ([merge request](gitlab-org/gitlab!76448)) **GitLab Enterprise Edition**
- [Add Geo proxied/local events service ping](gitlab-org/gitlab@b500b2cf65ec30ec832dd68259e2d979fb75fe01) ([merge request](gitlab-org/gitlab!76389)) **GitLab Enterprise Edition**
- [Allow use of `when` and `rules`](gitlab-org/gitlab@035e3d34a78b4675ae17e2e64969fa3bdd4a724b) ([merge request](gitlab-org/gitlab!76158))
- [Add Workhorse metrics for secondary proxy requests](gitlab-org/gitlab@a2d4990281f1e130e2267003ded6c02c6abaf7aa) ([merge request](gitlab-org/gitlab!75936)) **GitLab Enterprise Edition**
- [Delete project events before the project](gitlab-org/gitlab@eb8bb098c76575a0cdb558b9f162881ab5527258) ([merge request](gitlab-org/gitlab!76465))
- [Capture job executor value in ci_runners table](gitlab-org/gitlab@251420dc2a2a2e509c079d5b90836c447fc9de78) ([merge request](gitlab-org/gitlab!76368))
- [Add markdown support for Vulnerability Description](gitlab-org/gitlab@0a6c6fddd18359b9184cb6c6e00617693fcb2fde) ([merge request](gitlab-org/gitlab!75859)) **GitLab Enterprise Edition**
- [ADd deprecation warning for group import/export](gitlab-org/gitlab@c11f62f5b8447df1c6d9be35c36265a71d850c20) ([merge request](gitlab-org/gitlab!76442))
- [Add sticky header to group migration table](gitlab-org/gitlab@61fbe8b507adc82fdc95ccef1dd5b1c428a8a19d) ([merge request](gitlab-org/gitlab!76439))
- [Add a total number of jobs run by a runner](gitlab-org/gitlab@a8d84a77a63b9585366c5fdc3737a82679aaae76) ([merge request](gitlab-org/gitlab!76211))
- [GraphQL: Allow filtering runners by active status](gitlab-org/gitlab@39183eb80c31ff868370d851d7d1d221ef1aa2c6) ([merge request](gitlab-org/gitlab!76108))
- [Log an activity event when an Agent connects](gitlab-org/gitlab@0d50fdfb0c8a2c1306d71d7ba1cb826dbc8751ac) ([merge request](gitlab-org/gitlab!75487))
- [Added tracking events for the validation errors](gitlab-org/gitlab@6b3867a319acc08d1cfaab12afddd32398a152f3) ([merge request](gitlab-org/gitlab!75255))
- [Add handling for pending incident escalations](gitlab-org/gitlab@1bd8f8e3c49896558d51d82a9abb22830648f4a7) ([merge request](gitlab-org/gitlab!74337)) **GitLab Enterprise Edition**
- [Add future_subscriptions column](gitlab-org/gitlab@eb3f46880d5ee5e0b46064940e6600633362febc) ([merge request](gitlab-org/gitlab!75716))
- [Create data model for Deployment Approvals](gitlab-org/gitlab@c4d5ac49db3d87792ef4eadd6c55b1129ccac3d4) ([merge request](gitlab-org/gitlab!74932))
- [Add event streaming metrics](gitlab-org/gitlab@2a4da833925458f1a43af248ab0b44246a71a407) ([merge request](gitlab-org/gitlab!75504)) **GitLab Enterprise Edition**
- [Enable bulk delete in tags list](gitlab-org/gitlab@edc3beb193a3d686c4f2c780a690c68a05793d16) ([merge request](gitlab-org/gitlab!75655))
- [Encrypt plaintext static_objects_external_storage_auth_token](gitlab-org/gitlab@a37ffbb1add2a243bdc0e2a0b4aa0f0965b79aff) ([merge request](gitlab-org/gitlab!75417))
- [Enable SSH key lifetime settings by default](gitlab-org/gitlab@e38f70c752c917936b04e696975595eb359870cb) ([merge request](gitlab-org/gitlab!76217)) **GitLab Enterprise Edition**
- [Adds graphql markdown field for Vulnerability Description](gitlab-org/gitlab@3ad73fc5f61aeb697a09f5897b61a310975fdfea) ([merge request](gitlab-org/gitlab!76202)) **GitLab Enterprise Edition**
- [Add first_commit and first_multiline_commit to commit template](gitlab-org/gitlab@be1b5c22d1f8919e154c4cdc59e63b6d75961799) by @trakos ([merge request](gitlab-org/gitlab!75819))
- [Add the "Scheduled" tab to the on-demand scans page](gitlab-org/gitlab@0cf30a7340ce32fb31d2beb5daeebf2d68857e34) ([merge request](gitlab-org/gitlab!75372)) **GitLab Enterprise Edition**
- [Add index snippets on project_id and title](gitlab-org/gitlab@d5b0bcaf05b845b1e97492b39cab7ae6c0bfe66a) ([merge request](gitlab-org/gitlab!76161))
- [Put vuln finding link ingest behind feature flag](gitlab-org/gitlab@654fb040de721e31449fa0106ac56a9805d3979c) ([merge request](gitlab-org/gitlab!76167))
- [Add stale runners filters and badge](gitlab-org/gitlab@82e179e89a70e94d0a36f71a33c15241496289e7) ([merge request](gitlab-org/gitlab!75244))
- [Add feature to limit the lifetime of SSH keys](gitlab-org/gitlab@02fef58edab24c092da1140e79b782b3d25d1e83) ([merge request](gitlab-org/gitlab!75098))
- [Add Task work item type to the database](gitlab-org/gitlab@b003d23b3350f95b6ccc07d72e0a79e3f3b33c35) ([merge request](gitlab-org/gitlab!75447))
- [Remove importer usage ping feature flag](gitlab-org/gitlab@d93a676545584712f48d3afeb733bb5891d182fe) ([merge request](gitlab-org/gitlab!75663))
- [Enable FF multiple_gpg_signatures](gitlab-org/gitlab@14c1db2f6c8fd4ef317ca3c183672f420f5838ef) ([merge request](gitlab-org/gitlab!74385))
- [Fixed sign-in via LDAP when a user cap is set](gitlab-org/gitlab@79d33c5132a820aa6e8b726608c652e638cd5df4) ([merge request](gitlab-org/gitlab!75555)) **GitLab Enterprise Edition**
- [Support expanded reference formats for URLs](gitlab-org/gitlab@175b336a81cd1b50f4aa7f5bddb551aec93651be) ([merge request](gitlab-org/gitlab!75719))
- [Create vulnerability read model](gitlab-org/gitlab@90ca3058d1e44a60c56d505052ecb4f95e32ad7f) ([merge request](gitlab-org/gitlab!74733))
- [Execute build hooks on pending status](gitlab-org/gitlab@242d363597e47ef5507b64012d1554683c487c2c) ([merge request](gitlab-org/gitlab!75737))
- [Include `Last Activity` in User Permissions CSV export](gitlab-org/gitlab@c95987e5a5b98f9b60e3d78d7c143f65a9d421bc) ([merge request](gitlab-org/gitlab!75652)) **GitLab Enterprise Edition**
- [Introduce API to transfer groups to a new parent group](gitlab-org/gitlab@c3f71ada42976cd4cb980df616b33c7cb701fb1d) ([merge request](gitlab-org/gitlab!75205))
- [Added Snowplow events to the Clusters page](gitlab-org/gitlab@eb01d7be919cd15e2d01be0329885fe51ffe402b) ([merge request](gitlab-org/gitlab!75223))
- [Return job failure reason in API responses](gitlab-org/gitlab@7b143a405dac3f184b2f6253afb90b83dcb39c1a) by @albertvaka ([merge request](gitlab-org/gitlab!74888))
- [Add project CI CD tab tracking](gitlab-org/gitlab@ecdd2b6bc9d4afecd8062b40754b90c5498df7d6) ([merge request](gitlab-org/gitlab!75187))
- [Add incident_management_timeline_events table](gitlab-org/gitlab@7d8c3c4c5cc85ba50de4fbde83b174c7addaa89f) ([merge request](gitlab-org/gitlab!74530))
- [Set `CS_DEFAULT_BRANCH_IMAGE` in Auto DevOps template](gitlab-org/gitlab@77d1224ba0ee259e99a471cf394ce31dd34667c8) ([merge request](gitlab-org/gitlab!74627))
- [Add confidential filter to board list in GraphQL](gitlab-org/gitlab@28d98d1aafba58a51840e9becc4aec31fd90e802) ([merge request](gitlab-org/gitlab!75380))
- [Add canCurrentUserPushToBranch permission](gitlab-org/gitlab@c38e4ccde4272ef572b531d478f9803d1e7e4234) ([merge request](gitlab-org/gitlab!75017))
- [Use Keyset pagination for Groups API by default](gitlab-org/gitlab@39e5b880c94d38cb349eda3e875001211598993b) ([merge request](gitlab-org/gitlab!75078))
- [Add GraphQL type and resolver for agent activity events](gitlab-org/gitlab@a61b8130687e4b60a0c59ede4f7f9b2a902d4adf) ([merge request](gitlab-org/gitlab!74651))
- [Create default squash commit message using customizable template](gitlab-org/gitlab@42375dd47442ec61f05e7b1eed52f447a30429bc) by @trakos ([merge request](gitlab-org/gitlab!74340))
- [Display issue crm contacts in UI](gitlab-org/gitlab@db0b92544f740b3ffe4e55e1d14f08f84dfacac1) by @leetickett ([merge request](gitlab-org/gitlab!74346))
- [Create a note when replied to the email creating the service desk issue](gitlab-org/gitlab@ebcfb38567c59197d9975cb893d78b21ef76894e) ([merge request](gitlab-org/gitlab!71749))
- [Update Member entity to expose member state](gitlab-org/gitlab@2f60cfca85e36327b26a2267f58f76633c66dc45) ([merge request](gitlab-org/gitlab!74624)) **GitLab Enterprise Edition**
- [Remove tag limit feature flag](gitlab-org/gitlab@39952697e877d9075c37764fec310111dae45908) ([merge request](gitlab-org/gitlab!74813))
- [Migrate remaining U2fRegistrations to WebauthnRegistrations](gitlab-org/gitlab@453758b6f0f3556903488a839ac59bbe4d0061d6) ([merge request](gitlab-org/gitlab!74671))
- [Create `agent_activity_events` table for storing Agent activity](gitlab-org/gitlab@4ef36dfb25fe6104c3240e247cf43eaf01bc47ae) ([merge request](gitlab-org/gitlab!74577))
- [Invite members for tasks](gitlab-org/gitlab@dc21cfe23f0796b37230b9911790e3158f8acce7) ([merge request](gitlab-org/gitlab!74898))
- [Add issue customer relations contacts quick actions](gitlab-org/gitlab@b5e6f7b38b39ec6124c5582fab4647ed1dadd654) by @leetickett ([merge request](gitlab-org/gitlab!73413))
- [Allow board issue filtering by iteration cadence ID in GraphQL](gitlab-org/gitlab@42202aeab8e419f0068074c09cc8c2e6a2d2d36a) ([merge request](gitlab-org/gitlab!74451)) **GitLab Enterprise Edition**
- [Make invite members in quick menu permanent](gitlab-org/gitlab@74e014e6a0e2419738126c2a99642ac5d76ac8cc) ([merge request](gitlab-org/gitlab!74760))
- [Partition pruning for the web_hook_logs table](gitlab-org/gitlab@988a96c7e03315df8acac41610784338bf53a0de) ([merge request](gitlab-org/gitlab!74739))
- [Moved user cap worker logic to User](gitlab-org/gitlab@aee2f5bccc0fd32b3201e3cf2ef1416497b779e7) ([merge request](gitlab-org/gitlab!73991)) **GitLab Enterprise Edition**
- [Validate batched migration jobs](gitlab-org/gitlab@f9652cad762a4b97dffa4427029a6f4760c48090) ([merge request](gitlab-org/gitlab!72607))
- [Track created_at on CI minutes records](gitlab-org/gitlab@bf88bdf14db22e501d446c05e29708f291af0372) ([merge request](gitlab-org/gitlab!74533))

### Fixed (93 changes)

- [Fix foreign key and index names in `ci_sources_pipelines`](gitlab-org/gitlab@3fa6e65f34085580ee5ec51770a79faea4e73f44) ([merge request](gitlab-org/gitlab!76171))
- [Strip leading and trailing whitespace from user's name](gitlab-org/gitlab@51ce5737d1e8f3e4967ab5356a298e6af2c5b8a8) ([merge request](gitlab-org/gitlab!76706))
- [Ensure all scanners are translated in alerts](gitlab-org/gitlab@75fd592a9992741681f831cf3c54840f2b7415ff) ([merge request](gitlab-org/gitlab!76940))
- [Fixed cache_key ids](gitlab-org/gitlab@37291085032e8d38028129a9d25d2cce80a6c13e) by @akumar1503 ([merge request](gitlab-org/gitlab!75454))
- [Fix N+1 problem for system notes metadata association](gitlab-org/gitlab@3bc94ab8b4106a9f0171d01c5f30ac5396fed21d) ([merge request](gitlab-org/gitlab!76951))
- [Fix updating emails for group notifications](gitlab-org/gitlab@89ca2e3a19ea0e8693864cd2f837cbebd432913f) ([merge request](gitlab-org/gitlab!76636))
- [Handle nil services error in external pipeline validation](gitlab-org/gitlab@cb1742b80e73baa83f6bd475827c41e5b01b2ab7) ([merge request](gitlab-org/gitlab!76902))
- [Fix expose status in Runners API](gitlab-org/gitlab@6b007a608fd72bc95f9b1b20d3e6e727f9a72260) ([merge request](gitlab-org/gitlab!76761))
- [Fix N+1 problem for notes association](gitlab-org/gitlab@fad40e756e89cba6f39d398f3970152fca78a136) ([merge request](gitlab-org/gitlab!76764))
- [Copy auth field objects when serializing values](gitlab-org/gitlab@5eebc6b3d86e3eab26ba96e0b606cca80bb85cee) ([merge request](gitlab-org/gitlab!76845)) **GitLab Enterprise Edition**
- [Update gitlab-markup gem to 1.8.0](gitlab-org/gitlab@cd57920a1aac2522d42067919c5c469fca9be06c) ([merge request](gitlab-org/gitlab!76386))
- [Expose finished_at in job details JSON](gitlab-org/gitlab@049a865798e336ea73a9756e1acad93be0ff18dc) by @KevSlashNull ([merge request](gitlab-org/gitlab!76668))
- [Fix OlderDeploymentsDropService drops manual deployments](gitlab-org/gitlab@1c2bca949583139e9a0b6613e9f758932c47584a) ([merge request](gitlab-org/gitlab!76632))
- [Unescape and sanitize protected tag name on create and update](gitlab-org/gitlab@a5d837098f0188714df935454682fd0a0140e7a6) ([merge request](gitlab-org/gitlab!76198))
- [Gracefully handle bad dependency scanner input](gitlab-org/gitlab@a139d7db9b881d4cb7f210a36fa301551f43911a) ([merge request](gitlab-org/gitlab!76597)) **GitLab Enterprise Edition**
- [Fix CI/CD settings available when CI/CD is off](gitlab-org/gitlab@b213e3958d0f6e59485e27b1962f2f83cae47d39) by @KevSlashNull ([merge request](gitlab-org/gitlab!76009))
- [Add new line to code nav popover](gitlab-org/gitlab@07f0995a41624fc202313f330a70fa237d958342) ([merge request](gitlab-org/gitlab!76545))
- [Error Tracking: Allow event payload to contain null bytes](gitlab-org/gitlab@cf5d0a4dad83a7286745b6be7c8cda1271e26ff2) ([merge request](gitlab-org/gitlab!76279))
- [Only trigger housekeeping once per push](gitlab-org/gitlab@12353a2281ef7ab6dd64c6234e96b00861f58b0e) ([merge request](gitlab-org/gitlab!75581))
- [Link existing LFS objects from parent fork during uploads](gitlab-org/gitlab@0a374212eae43589c0309b84f6498079053e67a1) ([merge request](gitlab-org/gitlab!75972))
- [Fix SMIME signed email sending, do not overwrite Content-Disposition](gitlab-org/gitlab@8dc47e60863415e317c2184afda1e8b8ba9adc97) by @bufferoverflow ([merge request](gitlab-org/gitlab!76233))
- [GithubImporter: Fallback to LegacyDiffNote when DiffNote fails](gitlab-org/gitlab@0b8c2beaf4a7e12206a456a32312e9629e623eed) ([merge request](gitlab-org/gitlab!76376))
- [Fixed NoMethodError on import from GitHub Enterprise on RFC1918 IP](gitlab-org/gitlab@e10c6951e0296d384cfaa9bde5db8efeb2b9e97b) by @colinbarr ([merge request](gitlab-org/gitlab!76060))
- [Fix issue sidebar keyboard shortcuts](gitlab-org/gitlab@57abb1cdcafb23e7c5f0b31b2602e159e4a7cb82) ([merge request](gitlab-org/gitlab!76415))
- [Fix 'Erase job log' button is misleading](gitlab-org/gitlab@b742d57ed51aadc95590133b34c2b5ed8d0d8bea) by @KevSlashNull ([merge request](gitlab-org/gitlab!75892))
- [Generate human readable message on duplicate dotenv variables](gitlab-org/gitlab@eda1c64e57e6328c51932492b1d39a688992d148) ([merge request](gitlab-org/gitlab!75861))
- [Optimize query for issue neighbors](gitlab-org/gitlab@cbc50b76a7caafa6bf6ea2d4ef7d75b98242d262) ([merge request](gitlab-org/gitlab!76073))
- [Fix commit sha being used instead of tag for tagged pipelines](gitlab-org/gitlab@9ee563ec913be019ddbaf57cbdf1d0bc5aa19872) ([merge request](gitlab-org/gitlab!76047))
- [Ensure Jira users and labels have `id` attribute](gitlab-org/gitlab@fb59909b09f692103e201e80996824c3f83a8dfc) ([merge request](gitlab-org/gitlab!75966)) **GitLab Enterprise Edition**
- [Present pipeline coverage in pipeline API entity as string](gitlab-org/gitlab@0582b70a590b717a0f2a1af3f3b3ab889c1aad55) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/76299))
- [Fix user list selection is not in sync with UI](gitlab-org/gitlab@6bd6e91f45d8f84ca62eaa67233cdc6400af541b) by @KevSlashNull ([merge request](gitlab-org/gitlab!75928))
- [Fix schedule ID is show on schedule edit page](gitlab-org/gitlab@1a4d10e8f5bb3464361e87904b622d86c7544249) by @KevSlashNull ([merge request](gitlab-org/gitlab!75804))
- [Use additional headers for matching service desk email](gitlab-org/gitlab@acf5c801cfe6153f54e7d6fac64437f3f42236d4) ([merge request](gitlab-org/gitlab!75443))
- [Fix vulnerability report tab querystring removed when filters changed](gitlab-org/gitlab@aaf6dc48796bce839207f780cc4f0851d17ab527) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/76208)) **GitLab Enterprise Edition**
- [Fix occasional failure when updating labels from sidebar](gitlab-org/gitlab@52e7bdbe62f0e04388a60c2da4c3fd3c124d5e24) ([merge request](gitlab-org/gitlab!76099))
- [Fix wrong end date in query for contributions](gitlab-org/gitlab@3a358c55644d6d685fd370fdb8e491ef9a6837fc) ([merge request](gitlab-org/gitlab!76077))
- [Copy manual variables when retrying job](gitlab-org/gitlab@b73f9d390a32a7c02cfff6b83ff6de78e478ae81) ([merge request](gitlab-org/gitlab!75720))
- [Fix some private contributions being hidden on the contribution calendar](gitlab-org/gitlab@826220e196c1bd41b659b8755fb99fee2c23b1bb) by @eggerd ([merge request](gitlab-org/gitlab!74826))
- [Fix permissions for label promotion via API](gitlab-org/gitlab@be1b386c4a387ee03ba7d5f8dcda0b5922a91d2e) ([merge request](gitlab-org/gitlab!75930))
- [Fix serverity and alert sidebar edit button style](gitlab-org/gitlab@7c6d82df028c3fd505a273958b5b3e20b29ec8f4) by @orozot ([merge request](gitlab-org/gitlab!75914))
- [Pass current_user when rendering Markdown in email](gitlab-org/gitlab@d789d73f07f2a0fa68b55ff1ba2bfc1823a436f4) ([merge request](gitlab-org/gitlab!75635))
- [Fix infinite loop on saml login of a blocked user](gitlab-org/gitlab@00a4831dfff04da1b4c4e4b7219d288ebcf8a047) ([merge request](gitlab-org/gitlab!75887))
- [Add ci_status.scss for commit piplines page](gitlab-org/gitlab@2b31f599daa64849917104486faa68be86381dd7) by @orozot ([merge request](gitlab-org/gitlab!75878))
- [Fix button variant in maintenance mode settings](gitlab-org/gitlab@6a683d68670b994906df0a7fd52219c09efae824) by @KevSlashNull ([merge request](gitlab-org/gitlab!75870))
- [Fix epic date changes without user input](gitlab-org/gitlab@813257fd5e470e6374310330d8883a078db13535) ([merge request](gitlab-org/gitlab!75817))
- [Fix cut off focus ring in commit container](gitlab-org/gitlab@16b9d6fbb84d4f5e15e979af7580c3d8a9170513) by @KevSlashNull ([merge request](gitlab-org/gitlab!75812))
- [Add patch for WikiCloth](gitlab-org/gitlab@c8a0ad0bb54ca6bb80c730eeac5bb1ebcadf5f9b) ([merge request](...))
- [Fix pride flag emoji rendering](gitlab-org/gitlab@a568cb884a8113ba36a666eb52363ece32223bbf) ([merge request](gitlab-org/gitlab!75011))
- [Fix order in monthly events boundary query](gitlab-org/gitlab@ccae3d568d13992ef761c530cbae998e4950274f) ([merge request](gitlab-org/gitlab!75722))
- [Do not run service discovery for DB load balancing for rake tasks](gitlab-org/gitlab@e460765de45bf01c3e94ca5ed0f79926cce843d2) ([merge request](gitlab-org/gitlab!75612))
- [Ensure current user and variables are updated when playing a job](gitlab-org/gitlab@8b3ba6f3c0a72d17476cfb86a52373c7dc604fbd) ([merge request](gitlab-org/gitlab!75657))
- [Allow creating a group access token for a group with SSO enforcement](gitlab-org/gitlab@96150fbc52fe39ccadceef231cf3fda65688a758) ([merge request](gitlab-org/gitlab!75023)) **GitLab Enterprise Edition**
- [Fixes pending note avatar size in diff view](gitlab-org/gitlab@748c33737782bfe6ed1cc2615b1e900ae17a1972) ([merge request](gitlab-org/gitlab!75130))
- [Fix link to docs in the "Transfer Group" section](gitlab-org/gitlab@6bb12aedf6d2f2508d4fc403efa4ce6a2a3d61c7) by @gizero ([merge request](gitlab-org/gitlab!66246))
- [Fix Wiki Pipeline network error if wiki does not exist](gitlab-org/gitlab@c3d0947e5bca64b69ddfb2e70e9ec2ceacafe8ab) ([merge request](gitlab-org/gitlab!74731))
- [Fix for hexadecimal branch deletion](gitlab-org/gitlab@dc82ec85d4ea6f6fa7846c3f0939959996075724) ([merge request](gitlab-org/gitlab!75344))
- [Fix column order in jobs tab in the pipelines details page](gitlab-org/gitlab@7edd0b370ac9c9a7fbd8d2b67d35f892d9f85549) ([merge request](gitlab-org/gitlab!75160))
- [Fix import from remote object storage documentation](gitlab-org/gitlab@dcf9e51c57b6816d56126237648b64d4a5e5da2d) ([merge request](gitlab-org/gitlab!75158))
- [Fix Gitlab Pages deployment wrong if a project has a public folder](gitlab-org/gitlab@653d77132e9094391660c9de7549834ab97258b0) by @sodepr ([merge request](gitlab-org/gitlab!74952))
- [Catch YAML errors when parsing security policies](gitlab-org/gitlab@19a5e9153e307b7bf9d81b5f64c654a289390055) ([merge request](gitlab-org/gitlab!75092)) **GitLab Enterprise Edition**
- [Fix Debian Sources file name](gitlab-org/gitlab@a629da2abe6deca7071e587c77da72acd3df60e3) by @sathieu ([merge request](gitlab-org/gitlab!74445))
- [Fix the SSL_CERT_DIR logging on git operations](gitlab-org/gitlab@6f7b88c7bb4874dd603c07373b89d3feefc40941) ([merge request](gitlab-org/gitlab!75196))
- [Fix cross database transaction when blocking users](gitlab-org/gitlab@0f030f83991f32aeeeb2cf670a3b918f73c0826c) ([merge request](gitlab-org/gitlab!75195))
- [Support Action Cable on GCP Memorystore](gitlab-org/gitlab@57141bd04ccd71ce1fd4a2984b8a33597d4a9b35) ([merge request](gitlab-org/gitlab!75173))
- [Update dependency proxy copy and help text](gitlab-org/gitlab@d94017a793f6aaec2d46f8dbabb493cce5df485a) ([merge request](gitlab-org/gitlab!74806))
- [Only display user bio for confirmed and active users](gitlab-org/gitlab@f2d0766731a753c3194c0f2930b8c1a5be0fc654) ([merge request](gitlab-org/gitlab!75032))
- [Heartbeat runner only for specific job-context requests](gitlab-org/gitlab@aa5e73e7a7c51c035dd0e5532d05ec0eda19c830) ([merge request](https://gitlab.com/foo/bar/-/merge_requests/123))
- [Sort months of the CI minutes chart app](gitlab-org/gitlab@55da27bed7efc74dbc34f3259dfc5ab8a4586830) ([merge request](gitlab-org/gitlab!74917)) **GitLab Enterprise Edition**
- [Fix broken project creation without import sources](gitlab-org/gitlab@e97a9e239f2ad84eeb84cd5af4664521ada8882b) ([merge request](gitlab-org/gitlab!75121))
- [Do not try to auto-complete vulnerabilities if the user is nil](gitlab-org/gitlab@3e0173cc3d6e644f6422222642e885a7e39ec66c) ([merge request](gitlab-org/gitlab!75112)) **GitLab Enterprise Edition**
- [Do not show primary email as secondary email in admin view](gitlab-org/gitlab@c00c8fd22adaf1b0f96f8b3048c789458dfc32e7) ([merge request](gitlab-org/gitlab!75095)) **GitLab Enterprise Edition**
- [Ensure coverage approval rule sync is successful](gitlab-org/gitlab@791b267b28570c8391b214ba7a6e16cf085285d7) ([merge request](gitlab-org/gitlab!75087)) **GitLab Enterprise Edition**
- [Fix Sidekiq sleep time for jobs that use replicas](gitlab-org/gitlab@80e0b45eb19ada2081a95c89346a800b1ea72444) ([merge request](gitlab-org/gitlab!75081))
- [Fix border spacing on multi-line comments](gitlab-org/gitlab@4b2f5e38af82b593f14335172004bb4dd18c25fb) ([merge request](gitlab-org/gitlab!74486)) **GitLab Enterprise Edition**
- [Add retries to github importer on client errors](gitlab-org/gitlab@2cf4f47daefd4190ed1e9fe5896b32fd70a5ea92) ([merge request](gitlab-org/gitlab!74966))
- [Update dotNET-Core.gitlab-ci.yml template image](gitlab-org/gitlab@2209c3d60523c9c92f36b2b24802ecfa8cc5b329) by @softis-software ([merge request](gitlab-org/gitlab!74744))
- [Fix wrong default branch imported with Bitbucket Server](gitlab-org/gitlab@006f6c73a3480892f03c9152ed5d30f966cf2e1e) ([merge request](gitlab-org/gitlab!74858))
- [Upgrading ipynbdiff to 0.3.8](gitlab-org/gitlab@f7bce9de5ebe7c00a52e92f7bb1fd5503ae41d2f) ([merge request](gitlab-org/gitlab!74820))
- [Allow to create issues by email when it contains only quotes](gitlab-org/gitlab@8cebd721e9c1ec75ad8da7b526646e9866fa953a) ([merge request](gitlab-org/gitlab!74413))
- [Grant permissions for oauth users based on scopes](gitlab-org/gitlab@33390e155221d5cb0dc48e33ccee635934d61739) ([merge request](gitlab-org/gitlab!74646))
- [Fix security report schema validation logic](gitlab-org/gitlab@262b237145469287e3e5714687bd7c95b7a4bd9d) ([merge request](gitlab-org/gitlab!74793)) **GitLab Enterprise Edition**
- [Fix docs error in NuGet API](gitlab-org/gitlab@e6a43962aa566a7ebe4b1dd242ade7f79dad93b8) by @wwwjon ([merge request](gitlab-org/gitlab!74780))
- [Allow uploading up to 10 files](gitlab-org/gitlab@451f9c6ce071b3dd727d1cc097da9c58a08c4dc7) ([merge request](gitlab-org/gitlab!74377))
- [Fix issue and MR exports to support NOT filters](gitlab-org/gitlab@cc00ac7f1c2989336002214e2e2428f47d23cdb5) ([merge request](gitlab-org/gitlab!74764))
- [Create missing /root/.gnupg dir in Scala.gitlab-ci.yml](gitlab-org/gitlab@45825580daede20e597658ca6f83fb23bf982250) by @carlosrogue ([merge request](gitlab-org/gitlab!71561))
- [Don't try to generate url for an finding records](gitlab-org/gitlab@b686da2581c5cbaed62155bc145d503ead95f1fd) ([merge request](gitlab-org/gitlab!74724)) **GitLab Enterprise Edition**
- [Use gpg --recv-keys instead of curl in Scala.gitlab-ci.yml](gitlab-org/gitlab@965546cbf22671f8c86e9eeaa0e9ee651003cff9) by @carlosrogue ([merge request](gitlab-org/gitlab!71561))
- [Error Tracking: Support exceptions from Python's repl](gitlab-org/gitlab@bb6706cdd66e3d94b0dfa8882a60b0cf84178e92) ([merge request](gitlab-org/gitlab!74717))
- [Move VSA stage options to footer](gitlab-org/gitlab@17755bf7ed6b5cf1f700ff21d490c08839099082) ([merge request](gitlab-org/gitlab!74683)) **GitLab Enterprise Edition**
- [Fix discussions filter not working](gitlab-org/gitlab@aaba5cf78aa57442ad38ab880142485a509ef972) ([merge request](gitlab-org/gitlab!74662))
- [Remove deprecated apt-key usage on Scala.gitlab-ci.yml](gitlab-org/gitlab@531c292205adc0975b693eb9642bef4551f9f629) by @carlosrogue ([merge request](gitlab-org/gitlab!71561))
- [Fix display of times in access and deploy token table](gitlab-org/gitlab@5346cfc625ffe68d9376a1cab00e61321ab2ac07) by @edith007 ([merge request](gitlab-org/gitlab!72212))
- [Add emoji aliases for :) and :(](gitlab-org/gitlab@c6fc80be61a03e069cd1b21355bb2a3bb942293a) ([merge request](gitlab-org/gitlab!74204))

### Changed (95 changes)

- [Use linear version GroupsWithTemplatesFinder#extended_group_search](gitlab-org/gitlab@5fe40a793d74ec6b17b566a3974ded3b593afc1d) ([merge request](gitlab-org/gitlab!75981)) **GitLab Enterprise Edition**
- [Add Pajamas badge for pipelines license tab](gitlab-org/gitlab@5eef869f95c55ce05fd30a19d249486ac1516baa) ([merge request](gitlab-org/gitlab!76997)) **GitLab Enterprise Edition**
- [Add copy issue URL button to vulnerability error message](gitlab-org/gitlab@46c207ebba53cb25cf6ea424768680fec3b532c2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/76215)) **GitLab Enterprise Edition**
- [Make badge in admin/users/_access_levels.html.haml Pajamas compliant](gitlab-org/gitlab@63feb703eca8de278693ba1b43061e8d58779c3c) ([merge request](gitlab-org/gitlab!76973))
- [Update badges for ci builds to use helper](gitlab-org/gitlab@89a1adbe264929792a1e32ebd9e11fa2d67dcb58) ([merge request](gitlab-org/gitlab!76791))
- [Update project runner badges to pajamas](gitlab-org/gitlab@cbc62f37616cd13e343b82e0a37ed3d3df5fdf7c) ([merge request](gitlab-org/gitlab!76985))
- [Removes all ci_optimize_project_records_destruction ff](gitlab-org/gitlab@651259ee3593e5bba2d9571420396a14a8125939) ([merge request](gitlab-org/gitlab!72600))
- [Update user signups cap to allow values greater than licensed user count](gitlab-org/gitlab@75a71bc0d3abd9c4c47a4a8065a98aa2d7b68796) ([merge request](gitlab-org/gitlab!76829)) **GitLab Enterprise Edition**
- [Make use of the project data served by Rails](gitlab-org/gitlab@4d1eb551e32b1ef72f52ded40f9e576998ae2378) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/72218))
- [Remove Analytics menu item from unlicensed EE](gitlab-org/gitlab@fd29568620702c0dddf2ebe961f276a1df9fa80f) ([merge request](gitlab-org/gitlab!76212)) **GitLab Enterprise Edition**
- [Geo: Treat missing files as sync failures](gitlab-org/gitlab@af2a926a098eb8105142c61e430da5047b3d833b) ([merge request](gitlab-org/gitlab!76801)) **GitLab Enterprise Edition**
- [Remove FF avoid_cross_joins_environments_in_self_and_descendants](gitlab-org/gitlab@4c768671cf241ff1563202b1e85eb13c31e893f7) ([merge request](gitlab-org/gitlab!76857))
- [Remove cached_mr_title feature flag](gitlab-org/gitlab@6e5e2013f2ea697a351c1ff705e9990fd0e3c837) ([merge request](gitlab-org/gitlab!74228))
- [Update cluster badge to pajamas](gitlab-org/gitlab@df1299ce646ddc76f60a7f334dd6bbd52b0efe1e) ([merge request](gitlab-org/gitlab!76608))
- [Hide user avatar for blocked and unconfirmed users](gitlab-org/gitlab@f2a83cd8e4bf2324b81ad517b229a3d63fd55faa) ([merge request](gitlab-org/gitlab!75921))
- [Order jobs returned desc](gitlab-org/gitlab@e22564510977831a51acbf11c74f6f79d10daca7) ([merge request](gitlab-org/gitlab!76227))
- [Enhance the sidebar to use gl-link focus styling](gitlab-org/gitlab@2acf75da39a4a1630c014ada0bd45f26187b262e) ([merge request](gitlab-org/gitlab!76144))
- [Default improved_container_scan_matching to true](gitlab-org/gitlab@180899a2b6542b68081ec6c39b7fd6fbd6af0918) ([merge request](gitlab-org/gitlab!76285))
- [Add Pajamas-complient protected tags badge](gitlab-org/gitlab@2ce21565cb28698c6201b9f3662c4962d7fa78ba) ([merge request](gitlab-org/gitlab!76552))
- [Split up yaml and humanized policy previews](gitlab-org/gitlab@bc78d76ee02fbe9b6dd7d65e03a60ac765fdd7c0) ([merge request](gitlab-org/gitlab!75386)) **GitLab Enterprise Edition**
- [Use finding_evidence over raw_metadata](gitlab-org/gitlab@adcf3d514325ff3150bb3617cd3214eee7494c28) ([merge request](gitlab-org/gitlab!75140)) **GitLab Enterprise Edition**
- [When dependency proxy is disabled remove the menu](gitlab-org/gitlab@e32c7726bd7d42d96a7473d6ebc4250e15b52e76) ([merge request](gitlab-org/gitlab!76079))
- [Clean up clone_job_variables_at_job_retry](gitlab-org/gitlab@cacedf0f76e4e214480b038dad9f42667c06f8ae) ([merge request](gitlab-org/gitlab!76162))
- [Remove branches_pagination_without_count FF](gitlab-org/gitlab@f14159033cfa8e49253db2031f0a0a7f14628b97) ([merge request](gitlab-org/gitlab!76526))
- [Enable deployments_archive feature flag by default](gitlab-org/gitlab@36c35d4a5eec0eafe09e42a4aa7df9b7a4bef65a) ([merge request](gitlab-org/gitlab!75824))
- [Migrate auto-devops setting to GlBadge abstraction](gitlab-org/gitlab@aeab12c9ee8bdfaf6b628d085254c8f97759ae0e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/76416))
- [Geo - Use Rails 6 many databases support](gitlab-org/gitlab@82798f1caf2c1a42f193f512d61a79618b8b5a86) ([merge request](gitlab-org/gitlab!73109)) **GitLab Enterprise Edition**
- [Tanuki Emoji: switch fallback emoji to Noto Emoji](gitlab-org/gitlab@89e739e3b61865cb40b4c3c8ba322980628e122e) ([merge request](gitlab-org/gitlab!76479))
- [Display tag messages with line endings](gitlab-org/gitlab@9a23492d59758e7c72fcd877425e8fff1a7137ef) by @KevSlashNull ([merge request](gitlab-org/gitlab!75896))
- [Migrate badges to be compliant with the Pajamas design system](gitlab-org/gitlab@99ad081f1cde5ddd3f25f7667cfa683d7bd7c7b0) ([merge request](gitlab-org/gitlab!76257))
- [Merge feature flags related to new CI minutes tracking](gitlab-org/gitlab@28fd1d2c537738feebacf6dcb915118319448f29) ([merge request](gitlab-org/gitlab!75755)) **GitLab Enterprise Edition**
- [Add loose foreign key for Terraform state versions](gitlab-org/gitlab@7fa3cb45b5e621723549156b18fbc71aff7c2c39) ([merge request](gitlab-org/gitlab!74524))
- [Remove load_balancing_for_update_all_mirrors_worker FF](gitlab-org/gitlab@304290485f083f30ce624d6830e1058dabc169a3) ([merge request](gitlab-org/gitlab!76336))
- [Separate CI minutes notification levels between new and legacy](gitlab-org/gitlab@2e94399fa549652df73d347158b0c39c7271bbf4) ([merge request](gitlab-org/gitlab!75512)) **GitLab Enterprise Edition**
- [Allow external Spamcheck API key to be blank](gitlab-org/gitlab@b18777151b0fe840108b2d0c79318715cee1c8a0) ([merge request](gitlab-org/gitlab!76303))
- [Migrate badges in Admin -> Groups -> Show](gitlab-org/gitlab@c218e0a1125b51489ec31fa9453bad01b2cff309) ([merge request](gitlab-org/gitlab!76251))
- [Migrate badge in Group -> CI/CD -> Auto DevOps](gitlab-org/gitlab@e3621af855c594c50299af104c8a9346110306fc) ([merge request](gitlab-org/gitlab!76246))
- [Migrate badge component in the admin -> projects area](gitlab-org/gitlab@a543fc8f4407fffc5f655e32ad8c1f743a58b6b1) ([merge request](gitlab-org/gitlab!76239))
- [Fix: web ide text color in dark theme](gitlab-org/gitlab@5acf8ea271b6be6c239ececd2b77c6ace5386684) by @orozot ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/76046))
- [Make DORA data visible for admins](gitlab-org/gitlab@c241e6dcaec4f56aae733082cd376c298ee9705a) ([merge request](gitlab-org/gitlab!76204))
- [Improve runner deletion modal](gitlab-org/gitlab@5dcb3bc9c9a7a16aae4c5f34d18bc778410aa5a5) ([merge request](gitlab-org/gitlab!75432))
- [Handle query timeouts better](gitlab-org/gitlab@2671aada0b73f0d967fc011a7aa7fd52ebc2fd8c) ([merge request](gitlab-org/gitlab!75034))
- [Add cleanup migration for BackfillUserNamespace](gitlab-org/gitlab@3c86027edd1c759b25c9ec59279744b40f427454) ([merge request](gitlab-org/gitlab!73495))
- [Modify pending member approval endpoint](gitlab-org/gitlab@99f5e8c12c9a8831c8139c54fb1ec5dd9ca84c61) ([merge request](gitlab-org/gitlab!75769)) **GitLab Enterprise Edition**
- [Use confirm variant for 'New requirement' button](gitlab-org/gitlab@f0fd71f07ac1fab7fc87cf23c9777c8f47a44783) by @KevSlashNull ([merge request](gitlab-org/gitlab!76052)) **GitLab Enterprise Edition**
- [Add title with the file name to file_row component](gitlab-org/gitlab@6b684ab5c0d4f46e85cc80e6d3d497524516619b) by @ruben.meza ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/75934))
- [Enable linear version User#membership_groups](gitlab-org/gitlab@1200642b27fac465ea096a0df4e4c8f954b40114) ([merge request](gitlab-org/gitlab!74529))
- [UI text updates in new OAuth applications view](gitlab-org/gitlab@471e729fd3d4c256e2a73839a327f5edded85722) ([merge request](gitlab-org/gitlab!72703))
- [Change job duration label to 'Elapsed time' when in progress](gitlab-org/gitlab@3c9916bb7b1b0f5bfdaec180e22d9b8a9e96927a) by @KevSlashNull ([merge request](gitlab-org/gitlab!75811))
- [Add link for failed pipelines](gitlab-org/gitlab@78e1598c7d0ebfdc4fcdb93b4565d114b21fc33e) ([merge request](gitlab-org/gitlab!75654))
- [Pipelines show full job names](gitlab-org/gitlab@f67371939639e0b6014199ea8bb8c3e99f91e249) by @albertvaka ([merge request](gitlab-org/gitlab!74879))
- [Cleanup unaccessible todos when user leaves public project](gitlab-org/gitlab@84611a7d65589bbea6b593f19ad874bce09433a0) ([merge request](gitlab-org/gitlab!74829))
- [Add space between columns in runner table](gitlab-org/gitlab@6f1fbc2417386dd3b8a23c693c500836ca50e76b) ([merge request](gitlab-org/gitlab!75636))
- [Fixed an event for focus](gitlab-org/gitlab@1d327469b55405a1ef5bc9bc52656d11cb2b2901) ([merge request](gitlab-org/gitlab!75629))
- [Remove feature flag `create_vulnerabilities_via_api`](gitlab-org/gitlab@7d8ac5e29b6ccdd5d5c24dd14f73db82eeff1cad) ([merge request](gitlab-org/gitlab!75685))
- [Adapt to size changes when displaying tooltips](gitlab-org/gitlab@a8dbf7c3b16d241f22b6772e01ba04e604137a24) ([merge request](gitlab-org/gitlab!75020))
- [Rework markdown footnote processing](gitlab-org/gitlab@8614e0a92889381dd8b9f147965caeaa9b9b4686) ([merge request](gitlab-org/gitlab!75054))
- [Add Helm-chart storage limits to API and UI](gitlab-org/gitlab@618aa52faa4eb0c6fc7a2e47e63a53bff78fdb2c) by @mlegner ([merge request](gitlab-org/gitlab!75117))
- [Default jira_use_first_ref_by_oid feature flag to true](gitlab-org/gitlab@6cb137ba64e527e816a8deac71137e2387edd37a) ([merge request](gitlab-org/gitlab!73510))
- [Remove chevron for menu button](gitlab-org/gitlab@4aef1a2d2a30de3e47bfc0257bfb0d46c0a04c6f) ([merge request](gitlab-org/gitlab!75394))
- [Change icon to review-list](gitlab-org/gitlab@2b08f5d6f3648ebf010b1d8bf58864923938c27b) ([merge request](gitlab-org/gitlab!75393))
- [Expose failed import error through API](gitlab-org/gitlab@79e80b522d940cf819ecfd0eef3387e6ab49699e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/75440))
- [Remove ci_new_query_for_pending_stuck_jobs feature flag](gitlab-org/gitlab@e41fa62474b20075a6f53cb5c1359eaefb9194fc) ([merge request](gitlab-org/gitlab!75420))
- [Enable job trace store outside database transaction by default](gitlab-org/gitlab@b90899f8b97482e1bb1ef3dd8f0e546d658e7184) ([merge request](gitlab-org/gitlab!75414))
- [Change namespace type default to 'User'](gitlab-org/gitlab@76454805043d19441715549835f9124662863feb) ([merge request](gitlab-org/gitlab!74592))
- [Load only one scan_finding_rule per policy](gitlab-org/gitlab@db5acf823aca3e95af740d92a42194823ce6feeb) ([merge request](gitlab-org/gitlab!71858)) **GitLab Enterprise Edition**
- [Add line number and import_type to the import status API](gitlab-org/gitlab@7d784019140f00767aedf2ef940acb849f88a2a5) ([merge request](gitlab-org/gitlab!75331))
- [Refine the take-out-of-draft message](gitlab-org/gitlab@0d54e6a943fb5a74684a2057083e188e5e873798) ([merge request](gitlab-org/gitlab!74855))
- [Improve copy when no iteration found in sidebar](gitlab-org/gitlab@e0d3a44f8b257636d2d3efa7ae113e9ec98cf7ad) ([merge request](gitlab-org/gitlab!71010)) **GitLab Enterprise Edition**
- [Update UI message for merge conflicts](gitlab-org/gitlab@650ef4e748847c75e695f2c6772fbe56db084e4f) ([merge request](gitlab-org/gitlab!74655))
- [Change remediated badge icon from wrench to check-circle-dashed](gitlab-org/gitlab@5978966a55cd53dfab2816eb889c3592e4e0a53f) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/74689)) **GitLab Enterprise Edition**
- [Do not require startDate when creating a manual iteration cadence](gitlab-org/gitlab@a267aa3a8dc438877592add694ddcec4ee456a9c) ([merge request](gitlab-org/gitlab!75147))
- [Show disabled fork button for user without enough permissions](gitlab-org/gitlab@01329d6ad7b1033eec01379a3808a5af0ad26871) ([merge request](gitlab-org/gitlab!74876))
- [Copy variables when retrying job](gitlab-org/gitlab@891a4821f229348b6cf5d853583f92e693b0e3dc) ([merge request](gitlab-org/gitlab!75042))
- [Relocate online runners count in search bar](gitlab-org/gitlab@2bd69e208cb32cbc7dca6941927d4fbf30d09549) ([merge request](gitlab-org/gitlab!74877))
- [Prevent runner list IP and version overflow](gitlab-org/gitlab@3013b5434d4c94af2c247461f1cbada3e99e5652) ([merge request](gitlab-org/gitlab!74707))
- [Add more merging messages from the community](gitlab-org/gitlab@164200c719af4f57bdcb204359c67ae911be5b6d) ([merge request](gitlab-org/gitlab!74720))
- [Remove diff limiting feature flags](gitlab-org/gitlab@184f494933bc83f59ac8452918aed0a9441ecd7f) ([merge request](gitlab-org/gitlab!64228))
- [Add URL to rejection_message if terms_not_accepted](gitlab-org/gitlab@33839690dfb5a101a6b237304f90149d5cff954f) by @jgay ([merge request](gitlab-org/gitlab!75082))
- [Drop FindingPipelines and Findings in bg migration](gitlab-org/gitlab@391452f55a11f5fb439980a215016db2cfb982bb) ([merge request](gitlab-org/gitlab!74008))
- [Enable preserve_latest_wal_locations_for_idempotent_jobs by default](gitlab-org/gitlab@2842e05cac072ea7594e7e8056dfb5fd31f9dec4) ([merge request](gitlab-org/gitlab!74902))
- [Enable linear version of `groups_including_descendants_by`](gitlab-org/gitlab@0bb75d09bd372bfb181ddb2d9c0553063ea519b2) ([merge request](gitlab-org/gitlab!74275))
- [Migrate snippets tabs to rails helper](gitlab-org/gitlab@2bdb960f3e7b934f4e6f2a37298c78971fb85236) ([merge request](gitlab-org/gitlab!74867))
- [Remove surface_environment_creation_failure feature flag](gitlab-org/gitlab@08c5550685b6b53626ef6f46ba3c24a0f8f4d531) ([merge request](gitlab-org/gitlab!74773))
- [Improve UI message: creating branch from fork](gitlab-org/gitlab@662d45f54179cab656c8ffb68b37db250ba937bf) ([merge request](gitlab-org/gitlab!74198))
- [Add Shimo integration sidebar menu and landing page](gitlab-org/gitlab@f7f713265577d443f03ccaa49eea36f0980cae6b) by @icbd ([merge request](gitlab-org/gitlab!74140))
- [Enable External MR diff verification by default](gitlab-org/gitlab@77a411b50d32f1ae226ec1e9ce0a88cff2dab2ec) ([merge request](gitlab-org/gitlab!63975)) **GitLab Enterprise Edition**
- [Remove support for sticking to old and new keys](gitlab-org/gitlab@9622020c06c3afc9b91bfcaef9a29c3e64db0100) ([merge request](gitlab-org/gitlab!74784))
- [Add BaseEdge base class](gitlab-org/gitlab@5e02ef43bc655456ce3004a1f47a6dcf5200c1d2) ([merge request](gitlab-org/gitlab!71476))
- [Split out main, and geo DB out of CI transactions](gitlab-org/gitlab@1517b07e9fe485e5d51dd8c55a1e159c8dafa169) ([merge request](gitlab-org/gitlab!74737)) **GitLab Enterprise Edition**
- [Migrate button variants](gitlab-org/gitlab@329ec7e1eaf7141a0876771be2d756c34d0f4977) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/74718)) **GitLab Enterprise Edition**
- [Update gl-modal buttons in user status modal](gitlab-org/gitlab@9aae10a373c444e47dbd7c35ee17b3aa0ab597ed) by @yo ([merge request](gitlab-org/gitlab!59460))
- [Do not select "My company or team" radio box by default](gitlab-org/gitlab@2d93592bc061d93eef5d1a4399a9b3d4521f66cf) ([merge request](gitlab-org/gitlab!74681))
- [Allow squashing in MRs with single commit](gitlab-org/gitlab@869875fed3d0396f529989211382962f2addc957) by @trakos ([merge request](gitlab-org/gitlab!74464))
- [Start using v1.x of our IAC analyzer](gitlab-org/gitlab@9e59964b0cf318677dbbd7126d9c8f33570fdf1a) ([merge request](gitlab-org/gitlab!74560))

### Deprecated (2 changes)

- [Ignore position column](gitlab-org/gitlab@9f7517d2114409bfbba4169ef489a494c8eb2937) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/76311)) **GitLab Enterprise Edition**
- [Deprecate ApiFuzzingCiConfigurationCreate fields](gitlab-org/gitlab@d3f335b100bce0fea2bbb846d75300740805750a) ([merge request](gitlab-org/gitlab!74783)) **GitLab Enterprise Edition**

### Removed (4 changes)

- [Remove `force_company_trial` experiment](gitlab-org/gitlab@e5b9c0d44614dfa6fd476bd5e68b986b43478761) ([merge request](gitlab-org/gitlab!76982))
- [Remove the configureIacScanningViaMr feature flag](gitlab-org/gitlab@2da8ae7b1a76a68513a235756ef244f9ed66ebd4) ([merge request](gitlab-org/gitlab!75721))
- [Remove sast_entry_points experiment](gitlab-org/gitlab@07470fffe85c28fe529aee214f4cf67399c68b96) ([merge request](gitlab-org/gitlab!75014))
- [Remove reference to lower_relation_max_count_limit](gitlab-org/gitlab@8a3163c3025735eb73227ef94d1c0a5cfa13abd8) ([merge request](gitlab-org/gitlab!75482))

### Security (5 changes)

- [Enable visibility filter on Epics menu pill count](gitlab-org/gitlab@0dcd256df0fa812f84e91eb92fcc9884a1ea20d1) ([merge request](gitlab-org/gitlab!76456)) **GitLab Enterprise Edition**
- [Use Gitlab::Json to serialize sessions](gitlab-org/gitlab@7e7cf0b8df64c3ef44def9a085dc2af9dda6d004) ([merge request](gitlab-org/gitlab!72701))
- [Update Puma to version 5.5.2](gitlab-org/gitlab@32d23747fc560f7eafc0eb52fae04a1633e5bded) ([merge request](gitlab-org/gitlab!75642))
- [Disallow non-members unlocking project files](gitlab-org/gitlab@fd76d6850c5179cfedee5263fffd17d3d16f53e1) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/74541)) **GitLab Enterprise Edition**
- [Use a more precise Sourcegraph URL in CSP](gitlab-org/gitlab@29399b2e60a5a22e49973d99e611137549712ac4) ([merge request](gitlab-org/gitlab!72552))

### Performance (18 changes)

- [Limit the amount of ids loaded when using package build infos](gitlab-org/gitlab@253271229a1310708c8b7d108d79b3c501ffc145) ([merge request](gitlab-org/gitlab!75672))
- [Update dependency proxy API to use cleanup worker](gitlab-org/gitlab@a737fe60d820a15e64d4457c1ef2f3e82d6f59f5) ([merge request](gitlab-org/gitlab!76696))
- [Utilize C version of CommonMark renderer](gitlab-org/gitlab@9fa609c7bd77d45cc9110e360ed9ce66b73e22d5) ([merge request](gitlab-org/gitlab!76405))
- [Add index to projects on marked_for_deletion_at field is null](gitlab-org/gitlab@cec0d009f73a4cc962b682c70ca444bcc47c76b8) ([merge request](gitlab-org/gitlab!75888))
- [Only enqueue Jira workers when configured](gitlab-org/gitlab@fd52c4350199b7867d02667c1b8b11a61dd86969) ([merge request](gitlab-org/gitlab!76134))
- [Add index to improve contribution graph query](gitlab-org/gitlab@6c5d441791191b69c5444cc6d1fd81891de57687) ([merge request](gitlab-org/gitlab!76081))
- [Simplify sanitizing emojis from localStorage](gitlab-org/gitlab@90467765284290ed68255a4feb883fc8ac956dc1) ([merge request](gitlab-org/gitlab!75011))
- [Optimize finding environment for BlobController](gitlab-org/gitlab@ed11580c047a0bdf92a176b88febf26a0a18f975) ([merge request](gitlab-org/gitlab!75518))
- [Improve index for calendar query](gitlab-org/gitlab@e37bd6155daa1b31c55170455054e9b3643c7feb) ([merge request](gitlab-org/gitlab!74970))
- [Replace Banzai based label rendering in VSA](gitlab-org/gitlab@c89bb6148a25ca563244d8675bcd049c46f33a3c) ([merge request](gitlab-org/gitlab!75415))
- [Bulk insert job tags when creating a CI pipelines](gitlab-org/gitlab@180b3ff3de375f504bfe227a57b9471daec37a9b) ([merge request](gitlab-org/gitlab!73198))
- [Enable load balancing for update all mirrors by default](gitlab-org/gitlab@df741a6f4e6c2d34c9893398cb6d945bf646914d) ([merge request](gitlab-org/gitlab!75335))
- [Avoid N+1 issue linking DAST profiles and builds](gitlab-org/gitlab@a85fff3be3327e23c037dddc3efc8336abbe6d24) ([merge request](gitlab-org/gitlab!74967)) **GitLab Enterprise Edition**
- [Reduce variables transformations when creating a new pipeline](gitlab-org/gitlab@119f1cd83e544c9850e592f44f1d36da8310f6bc) ([merge request](gitlab-org/gitlab!73378))
- [Replace Ci::Runner with linear scopes](gitlab-org/gitlab@af61def78729c50f86a481416ee26b3e56cd4d54) ([merge request](gitlab-org/gitlab!70385))
- [Enable perform FindTag RPC request for a single tag](gitlab-org/gitlab@6a46459420f4261085969de5b3d36ecc41c9884d) ([merge request](gitlab-org/gitlab!74802))
- [Use linear version of User#ci_owned_runners](gitlab-org/gitlab@a3454700d18eb04ed9dbc37c9af9b9b040611989) ([merge request](gitlab-org/gitlab!68848))
- [Remove trigram index on notes](gitlab-org/gitlab@2a6c75fa8a192dc54c1c558d332c5707559c6488) ([merge request](gitlab-org/gitlab!71982))

### Other (59 changes)

- [Use design system badge in admin project page](gitlab-org/gitlab@7503810f2db3c390d5e95f1930da16b61efd03b8) ([merge request](gitlab-org/gitlab!76775))
- [Fix GraphQL/OrderedArguments offense (Part 1/6)](gitlab-org/gitlab@9afc8328eb6baf5d0e20ab185d8bb40b5b6f44a9) by @KevSlashNull ([merge request](gitlab-org/gitlab!76023))
- [Fix GraphQL/FieldDefinitions offense (Part 2/4)](gitlab-org/gitlab@0f54a8b4664fe806791d7eac183bf2cec6019f4b) by @KevSlashNull ([merge request](gitlab-org/gitlab!76015))
- [Remove abort_deleted_project_pipelines flag](gitlab-org/gitlab@07e7c74bc9e5104f4faf15cb376a109b96cf8c87) ([merge request](gitlab-org/gitlab!76794))
- [Remove vulnerability_occurrences_location_temp_index](gitlab-org/gitlab@7630ce18b73aae7226a107c8db84ae81c92bf942) ([merge request](gitlab-org/gitlab!76749))
- [Snowplow ED first run for data-attributes](gitlab-org/gitlab@3e17fac17b3565e9f8096da7ceb9aafc06b2edf5) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/73809)) **GitLab Enterprise Edition**
- [Remove additional vulnerability finding links](gitlab-org/gitlab@9d6bea163af8987ca5915bd626dd4c1e62a44b22) ([merge request](gitlab-org/gitlab!76580))
- [Merge CI queuing denomalization feature flags into a single one](gitlab-org/gitlab@78556e3fce4ad3a9a37b41f3365feebb424fdd16) ([merge request](gitlab-org/gitlab!76543))
- [Fix Gitlab/DelegatePredicateMethods offenses](gitlab-org/gitlab@b861ed30fd8d05d3e5e776edfdee0e0ee8e0b532) by @edith007 ([merge request](gitlab-org/gitlab!76006)) **GitLab Enterprise Edition**
- [Delegate Requirement model attributes](gitlab-org/gitlab@058fd93adc3c69f4b15ab6bf9e33fdd7adcdb448) ([merge request](gitlab-org/gitlab!74296)) **GitLab Enterprise Edition**
- [Use rails helper to render mark_for_deletion badge](gitlab-org/gitlab@a3da5bdf4483b6de714c4f80cdede4387fc20619) ([merge request](gitlab-org/gitlab!76560)) **GitLab Enterprise Edition**
- [Delete invalid epic_issue records migration](gitlab-org/gitlab@66e146e010aa9d09dcb8d8eb0eb0cccfd19be0ce) ([merge request](gitlab-org/gitlab!73007))
- [Fix Gitlab/DelegatePredicateMethods offenses](gitlab-org/gitlab@595e28bfef06cb1e061865c84da23151b6eea364) by @edith007 ([merge request](gitlab-org/gitlab!76002))
- [Fix Gitlab/DelegatePredicateMethods offenses](gitlab-org/gitlab@810cbc51291d251d8358fb085e9106e721c87e7b) by @edith007 ([merge request](gitlab-org/gitlab!76003))
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@f57e94cbe63a40e2f0306bf14c5025fd6e679be2) by @edith007 ([merge request](gitlab-org/gitlab!75971))
- [Make projects storage badge pajamas compliant](gitlab-org/gitlab@fc682a790b939fb72d4f635fbe61487836c53995) ([merge request](gitlab-org/gitlab!76548))
- [Fix Gitlab/DelegatePredicateMethods offenses](gitlab-org/gitlab@0cc1311f7fd74376b5988c7608e2abca685ec09c) by @edith007 ([merge request](gitlab-org/gitlab!76004)) **GitLab Enterprise Edition**
- [Make milestone page tabs Pajamas-compliant](gitlab-org/gitlab@0fba9e9786654b66424c9fe67e1047ace417cb74) ([merge request](gitlab-org/gitlab!75944))
- [Implement syncing ci_project_mirrors and ci_namespace_mirrors tables](gitlab-org/gitlab@052dfa0564670a492b4336f6f3044b805fd90448) ([merge request](gitlab-org/gitlab!75517))
- [Convert single tab partial to Pajamas](gitlab-org/gitlab@6843ec6f72dc18623fc55cd1abe629ee071389d2) ([merge request](gitlab-org/gitlab!74010))
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@c75e847546eba8cbcecb5e4113d6ec39902866f3) by @edith007 ([merge request](gitlab-org/gitlab!75973))
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@011d417cf5791dbabab790766d3c570765d5b78b) by @edith007 ([merge request](gitlab-org/gitlab!75968)) **GitLab Enterprise Edition**
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@53709c45cf02f4d4fae68af3954a7f1a582eda7f) by @edith007 ([merge request](gitlab-org/gitlab!75951)) **GitLab Enterprise Edition**
- [Fix Rails/SaveBang offenses](gitlab-org/gitlab@abe38ad3834dea8ff5a438c33e2f731e2b8bedc0) by @edith007 ([merge request](gitlab-org/gitlab!75925)) **GitLab Enterprise Edition**
- [Remove ::VisibleApprovable inclusion as it's duplicate](gitlab-org/gitlab@56343658f2a84d950c3a36d1218147ce441ec50c) by @edith007 ([merge request](gitlab-org/gitlab!75886))
- [Pass formats explicitly when rendering .html format](gitlab-org/gitlab@f04e197f4ba199dcfba234a1197e994af1952e76) by @edith007 ([merge request](gitlab-org/gitlab!75785))
- [Apply feedback to Snowplow event definitions](gitlab-org/gitlab@149ee8761a4af6216d7af4938858db6fc0ea8cf2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/73794)) **GitLab Enterprise Edition**
- [Hide search settings component in usage quota page](gitlab-org/gitlab@a37595f3a84c3731ff331365ca1e4b5fe123d7ee) ([merge request](gitlab-org/gitlab!75712)) **GitLab Enterprise Edition**
- [Fix Style/OpenStructUse offenses](gitlab-org/gitlab@4b68ce23b9debc8a95cebf791ac0db589ea9a13a) by @edith007 ([merge request](gitlab-org/gitlab!75215))
- [Fix Style/OpenStructUse offenses](gitlab-org/gitlab@4545f2fcc2f4de8831d4f26299f747082a91ae76) by @edith007 ([merge request](gitlab-org/gitlab!75222))
- [Fix Style/OpenStructUse offenses](gitlab-org/gitlab@0ab791aafb7a3f46c594cfc7b3064cadcf2053a3) by @edith007 ([merge request](gitlab-org/gitlab!75322))
- [Fix Style/OpenStructUse offenses](gitlab-org/gitlab@41337acd84caca36b67373ff9cc7fa9f46806165) by @edith007 ([merge request](gitlab-org/gitlab!75188))
- [Merge branch '341849_cleanup_reference_cache_memoization_ff' into 'master'](gitlab-org/gitlab@a60b2d4b3efae11f96c058d68707722fce346a26) ([merge request](gitlab-org/gitlab!74511))
- [Cleanup feature flag "reference_cache_memoization"](gitlab-org/gitlab@b5c7b417d508302c41d19cec82f6fa0066aa2a6f) ([merge request](gitlab-org/gitlab!74511))
- [Prepare projects and namespaces loose foreign keys](gitlab-org/gitlab@b6fb0d4adcf074f513b8f9d07f0718673f6a6a19) ([merge request](gitlab-org/gitlab!75559))
- [Fix Style/OpenStructUse offenses](gitlab-org/gitlab@76e531841335110535fe0c79850d0bba44a242ab) by @edith007 ([merge request](gitlab-org/gitlab!74957))
- [Fix Style/OpenStructUse offenses](gitlab-org/gitlab@444ad4234c90e04460d020a1169d3eec23e8adea) by @edith007 ([merge request](gitlab-org/gitlab!75281))
- [Merge maintain feature flags for new queuing mechanism](gitlab-org/gitlab@910bbbfab9ffb42c5e21c2c1fab17720a0401e65) ([merge request](gitlab-org/gitlab!75425))
- [Remove decoupling projects-runners feature flags](gitlab-org/gitlab@bb253ec5c91935ac95ad2a2fe4f1bf3f57a781ea) ([merge request](gitlab-org/gitlab!75422))
- [Fix Style/OpenStructUse offenses](gitlab-org/gitlab@a4afd6e3f4ec08f0eeb59e49796913b27400f303) by @edith007 ([merge request](gitlab-org/gitlab!75283))
- [Make design note pin compliant with Pajamas](gitlab-org/gitlab@6c7b826bf247a1d539ce5663f88d06db44765cb1) ([merge request](gitlab-org/gitlab!75004))
- [Remove the `validate_namespace_parent_type` feature flag](gitlab-org/gitlab@557963723100852b44e045f69bc1fea1b8d3089c) ([merge request](gitlab-org/gitlab!75088))
- [Fill TestReport#issue_id field when creating new objects](gitlab-org/gitlab@75dfe32cc737e491d07d01b8ab839f8598bab7bb) ([merge request](gitlab-org/gitlab!74923)) **GitLab Enterprise Edition**
- [Remove ci_predefined_vars_in_builder feature flag](gitlab-org/gitlab@31aa6433d2c639b57e106710b156c5f4f490da6f) ([merge request](gitlab-org/gitlab!75009))
- [Fix Style/OpenStructUse offenses](gitlab-org/gitlab@cbbbd0b8364e957e68f9e27d3cf550ae0d49af37) by @edith007 ([merge request](gitlab-org/gitlab!75186))
- [Make Service Desk Pajamas Design compliant](gitlab-org/gitlab@c9a40be04ec7bda0bb1c0c4df8237e97b9839b44) ([merge request](gitlab-org/gitlab!74795))
- [Improve Blame Page rendering performance](gitlab-org/gitlab@4bc4ddcf06603dbd13c2999a88f9594d182c9fa1) by @cyberap ([merge request](gitlab-org/gitlab!74799))
- [Fix OpenStruct use](gitlab-org/gitlab@d9819978c3fe6b05eff242b28356f7c6e3ffc56e) by @mehulsharma ([merge request](gitlab-org/gitlab!74976)) **GitLab Enterprise Edition**
- [Update GitLab Runner Helm Chart to 0.35.0](gitlab-org/gitlab@76424c1f1c7b9c38b0f6afa5c927c99a0a8e4678) ([merge request](gitlab-org/gitlab!74959))
- [Improve service desk service settings input tips](gitlab-org/gitlab@d8cbdf7c3e4c2efac0a2fc59bd05f3a8f9d35a78) ([merge request](gitlab-org/gitlab!73864))
- [Remove PropagateServiceTemplateWorker and queue](gitlab-org/gitlab@195ce97a5b804346478fe4f2c3599bc6aef71abe) by @lenikadali ([merge request](gitlab-org/gitlab!73387))
- [Remove unused CommitsBetween wrapper](gitlab-org/gitlab@2e417f1c037c6b80d20c5dc4c125ae18c5ba9100) ([merge request](gitlab-org/gitlab!74407))
- [Enhance SSO enforcement warning message](gitlab-org/gitlab@d8c31664f415bac0bbffd34df95a21ffbeb34df7) ([merge request](gitlab-org/gitlab!73233)) **GitLab Enterprise Edition**
- [Fix offenses introduced by Style/OpenStructUse](gitlab-org/gitlab@6d4208b2310243041e49fa912635383d8cadb87b) by @edith007 ([merge request](gitlab-org/gitlab!74203))
- [Fix OpenStruct use](gitlab-org/gitlab@6bc58b036b77051ffb3c708fbf958fdf5195b815) by @mehulsharma ([merge request](gitlab-org/gitlab!74412))
- [Fix OpenStruct use](gitlab-org/gitlab@dfaa8a393685edb8fdda33803c7df2e8917c3387) by @mehulsharma ([merge request](gitlab-org/gitlab!74421))
- [Fix OpenStruct use](gitlab-org/gitlab@60451303098187cb922d29c9088a3e74892aa0d7) by @mehulsharma ([merge request](gitlab-org/gitlab!74618))
- [Fix OpenStruct use](gitlab-org/gitlab@f8466f5943a1afeabaf9cf781f7804a8df515a0e) by @mehulsharma ([merge request](gitlab-org/gitlab!74702))
- [Update Sidekiq to 6.3.1](gitlab-org/gitlab@22e8bc0af656717e56428a7227c467fe08021c66) ([merge request](gitlab-org/gitlab!73973))

## 14.5.4 (2022-02-03)

### Security

See https://about.gitlab.com/releases/2022/02/03/security-release-gitlab-14-7-1-released/

## 14.5.3 (2022-01-11)

No changes.

## 14.5.2 (2021-12-03)

No changes.

## 14.5.1 (2021-12-01)

### Fixed (4 changes)

- [Check validation for license only if new record](gitlab-org/gitlab@3e34c2dc431a2b1c1828f5154a4d2be350359b16) ([merge request](gitlab-org/gitlab!75498)) **GitLab Enterprise Edition**
- [Fix for hexadecimal branch deletion](gitlab-org/gitlab@eb74cd44edac0c16c44aa11d710b742586c31741) ([merge request](gitlab-org/gitlab!75498))
- [Fix the SSL_CERT_DIR logging on git operations](gitlab-org/gitlab@6ef3b63ad5e58baa0e0e0a922fe43a2fb4494508) ([merge request](gitlab-org/gitlab!75498))
- [Support Action Cable on GCP Memorystore](gitlab-org/gitlab@d62aa5bcbad5851209a9d248ca267d0c46d1e7c9) ([merge request](gitlab-org/gitlab!75498))

## 14.5.0 (2021-11-19)

### Added (113 changes)

- [Show warning for markdown structure changes](gitlab-org/gitlab@9b44058536cff8e36996dc04820636a3c39cef2f) ([merge request](gitlab-org/gitlab!71064))
- [Implement Pipeline Editor Walkthrough experiment](gitlab-org/gitlab@2ab23a789a355eb2f1a923b263f2194f72665b5f) ([merge request](gitlab-org/gitlab!73050))
- [Add endpoint for activating all pending members](gitlab-org/gitlab@fb949a578e625f21242fccf20ad8883efb425e56) ([merge request](gitlab-org/gitlab!73849)) **GitLab Enterprise Edition**
- [Add Yaml Source Editor Extension](gitlab-org/gitlab@fe4f8022b129997263cc3e26c597b4c77df878a7) ([merge request](gitlab-org/gitlab!72764))
- [Introduced the Source Editor Instance module](gitlab-org/gitlab@7dbdf10e35cf793e0219344d0830dfcbb229667d) ([merge request](gitlab-org/gitlab!74566))
- [Add total counters in each runner type tab](gitlab-org/gitlab@b852ba5b2da2cabae8eaf5bf1f4f9b950b0576de) ([merge request](gitlab-org/gitlab!74196))
- [Add customer relations organizations viewer](gitlab-org/gitlab@9db2c7fef64053f78eebbc6bf12978ca46d08979) by @leetickett ([merge request](gitlab-org/gitlab!73508))
- [Add customer relations contacts viewer](gitlab-org/gitlab@22a90aa556d503e617b22a8795754197a807dab1) by @leetickett ([merge request](gitlab-org/gitlab!73429))
- [Add endpoint for activating an waiting member](gitlab-org/gitlab@c9857c9dc7f3196ee14f9ff40bd3bc8a4382329e) ([merge request](gitlab-org/gitlab!73845)) **GitLab Enterprise Edition**
- [Add keyset pagination for tags API](gitlab-org/gitlab@e9c3b012dcba273ec9eb2c5aaa4c8163d295cd9a) ([merge request](gitlab-org/gitlab!74239))
- [Enable loose_foreign_key_cleanup FF by default](gitlab-org/gitlab@8e8864cf97eae6f3e9d8bd1187d743d88f243fe9) ([merge request](gitlab-org/gitlab!74499))
- [Allow reporters to see the service desk email address](gitlab-org/gitlab@b12fcd0eccdc9fc66ec0647d7939eb53310a374d) ([merge request](gitlab-org/gitlab!74179))
- [Upgrade GitLab Pages to 1.48.0](gitlab-org/gitlab@a8e068be055bc0bb5805321b175dc6f70278461b) ([merge request](gitlab-org/gitlab!74483))
- [Implement deep linking for project VSA filters](gitlab-org/gitlab@cd4c047cc1c70529c2782b89f5bc9662b8978445) ([merge request](gitlab-org/gitlab!72777))
- [Feature: Let OmniAuth support DingTalk](gitlab-org/gitlab@b1999a4b44c0e6fb2290a4386d7cd0d6a0f0f953) by @icbd ([merge request](gitlab-org/gitlab!72071))
- [Add group SAML configuration changes to group audit events](gitlab-org/gitlab@490388aa861ef9e1a1779f88653e2706739f6fcf) ([merge request](gitlab-org/gitlab!73656)) **GitLab Enterprise Edition**
- [Add migration for backfilling project namespaces](gitlab-org/gitlab@6af415608ee18595c057f977cea2cc263eb344f2) ([merge request](gitlab-org/gitlab!72527))
- [Audit changes to compliance frameworks](gitlab-org/gitlab@77d672bb1177b59c7b62a41a49b018ac5048c9be) ([merge request](gitlab-org/gitlab!74292)) **GitLab Enterprise Edition**
- [Enable dependency_proxy_manifest_workhorse by dflt](gitlab-org/gitlab@8f22a47b4176c13bf7f39e11df1bef93cfcd73b7) ([merge request](gitlab-org/gitlab!73770))
- [Upgrade GitLab Pages to 1.47.0](gitlab-org/gitlab@a2cf642816798d61d244a588a6f969c54c776c51) ([merge request](gitlab-org/gitlab!74280))
- [Add exists support to includes:rules CI config](gitlab-org/gitlab@c73f2fd42120fb6104e8e29f8de6de12d503eb18) ([merge request](gitlab-org/gitlab!71745))
- [Enable configure_iac_scanning_via_mr by default](gitlab-org/gitlab@86d830fa9345b17cd86a1e5878a4c0ed7ec711b3) ([merge request](gitlab-org/gitlab!73268))
- [Allow Minimal Access role for top-level SAML Group Links](gitlab-org/gitlab@2b2a80a2c0ffb36ce32339521294ef335410c0cd) ([merge request](gitlab-org/gitlab!72825)) **GitLab Enterprise Edition**
- [Add slash command to promote issue to incident](gitlab-org/gitlab@9a27a599a83ff0af1006be31d00ab4c6579da579) ([merge request](gitlab-org/gitlab!73992))
- [Add member approval service](gitlab-org/gitlab@5fcbee2d37cf1243232f672ddbb7e849fa1ad044) ([merge request](gitlab-org/gitlab!73483)) **GitLab Enterprise Edition**
- [Enable linear GroupPlanPreloader ancestors queries](gitlab-org/gitlab@6905dd1c49c1b045cb555bcb1ea23e72f435d325) ([merge request](gitlab-org/gitlab!72594)) **GitLab Enterprise Edition**
- [Create default merge commit message using customizable template](gitlab-org/gitlab@61729d8adb84b735feac21ab4213786408b4e05a) by @trakos ([merge request](gitlab-org/gitlab!64437))
- [GithubImporter: Thread diff notes](gitlab-org/gitlab@2b6b33c4bf0a5c18905e556edcf9510f315bda74) ([merge request](gitlab-org/gitlab!73595))
- [Query all partitions when loading loose FK records](gitlab-org/gitlab@44af21f9488cb99dfd4c646408a5ec420e29cf45) ([merge request](gitlab-org/gitlab!74072))
- [Remove flag that hides event streaming from graphQL schema](gitlab-org/gitlab@eba5b07100d5255d250137ed1f8f356fca70664f) ([merge request](gitlab-org/gitlab!74092)) **GitLab Enterprise Edition**
- [Add opensource plan to database](gitlab-org/gitlab@1e8248435b2d9a447cbb268cc66f43ca75a983f9) ([merge request](gitlab-org/gitlab!73925))
- [Add wiki migration to projects and groups](gitlab-org/gitlab@9acfe49a03331800cbc2aaeb5ced38341471f788) ([merge request](gitlab-org/gitlab!72146)) **GitLab Enterprise Edition**
- [Send invite team email after a root group is created](gitlab-org/gitlab@e5f31632956ab62f37850c676cd2ee3d84f3c689) ([merge request](gitlab-org/gitlab!72470))
- [Render inherited templates from group in service desk](gitlab-org/gitlab@9887a3617731374cea9ef4599bb75f4d2325e6a6) ([merge request](gitlab-org/gitlab!71176))
- [Add indexes to aggregated VSA tables](gitlab-org/gitlab@3e11d29f59fd08d1ffbf23de6665890cf3e788a9) ([merge request](gitlab-org/gitlab!73427))
- [Add required label to tag name in release form](gitlab-org/gitlab@9d268fe047e9c20a5bf3a6bf651c1bb1e98276e5) ([merge request](gitlab-org/gitlab!73759))
- [Add modal to warn group owners the impact of changing user cap](gitlab-org/gitlab@16b44b500f2394578d9c4e78d2561fa36d3405bf) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/72805)) **GitLab Enterprise Edition**
- [Add issues set crm contacts service and graphql mutation](gitlab-org/gitlab@6b0c5e6ccbc849ecc65a8fe3a704b06407e54f39) by @leetickett ([merge request](gitlab-org/gitlab!72686))
- [Add pagination support for FindAllTagsRequest](gitlab-org/gitlab@440c1357fcea2a3fd1b61a33c7db97d21ebc2c7e) ([merge request](gitlab-org/gitlab!70199))
- [Enable linear ancestors for groups](gitlab-org/gitlab@524d55023cd37cd8697bd5b97c619c4d49ff006f) ([merge request](gitlab-org/gitlab!72490))
- [Add note regarding topic visibility to admin doc](gitlab-org/gitlab@5ae0eb97ec6f1108836f472d9484c1a037b8d02a) by @wwwjon ([merge request](gitlab-org/gitlab!73934))
- [Track Shared Runners duration separate from CI minutes consumption](gitlab-org/gitlab@2d79fae14d5584a6885da4585bfab7b033e75ea9) ([merge request](gitlab-org/gitlab!73933)) **GitLab Enterprise Edition**
- [Show blocked icon on epic blocked issues](gitlab-org/gitlab@12a16d1895afd13687c0c78b714beb0ea6dd940a) ([merge request](gitlab-org/gitlab!72229)) **GitLab Enterprise Edition**
- [Add Sentry configs to application  settings](gitlab-org/gitlab@8b15bbbd5acf1537c7d2516b592a3d81ed7b6454) ([merge request](gitlab-org/gitlab!73381))
- [Add helpful text to project select modal](gitlab-org/gitlab@3d3dbe631de4a6d8633fe77e76033f853c8c8df5) ([merge request](gitlab-org/gitlab!73766))
- [Enable linear ApplicationSettings ancestors queries](gitlab-org/gitlab@6ab1a7ae58ba829700230f8016db6ee8c39c0855) ([merge request](gitlab-org/gitlab!72500)) **GitLab Enterprise Edition**
- [Enable pipeline_editor_mini_graph feature flag by default](gitlab-org/gitlab@779b703805f0dc5aa7bbcf13b075738f158b9b03) ([merge request](gitlab-org/gitlab!73612))
- [Limit issues one user can quickly create using service desk](gitlab-org/gitlab@cdbd23328c311270873dbab346c322c494edb43f) ([merge request](gitlab-org/gitlab!73346))
- [Add Helm metadata to GraphQL](gitlab-org/gitlab@2b58d6ccd253e73fdbed3d4892ff28e8ecee1f37) by @sathieu ([merge request](gitlab-org/gitlab!71963))
- [Enable linear EE Group ancestors queries](gitlab-org/gitlab@d2cf27b20fbf7dcd6ae80c2d4848694015426fd3) ([merge request](gitlab-org/gitlab!73532)) **GitLab Enterprise Edition**
- [Remove redundant index_events_on_target_type_and_target_id](gitlab-org/gitlab@7c3d5fb203591cbb6cb6ef8833965ea394b960e2) ([merge request](gitlab-org/gitlab!73712))
- [Rollout user namespace & project tracking](gitlab-org/gitlab@57c880783d323587b1b38f38f97ecdcbce38a3b6) ([merge request](gitlab-org/gitlab!73677))
- [Unblock LDAP blocked user on sign-in with other auth methods](gitlab-org/gitlab@8190473e461f1bf0409108082701d073def1be03) ([merge request](gitlab-org/gitlab!73471))
- [Add queuing mechanic for reindexing](gitlab-org/gitlab@446ebbc9549c6f00529e2238d2b1adc1734968e3) ([merge request](gitlab-org/gitlab!73480))
- [Topic management: add link to topic detail page](gitlab-org/gitlab@db82cd254c0667a8fd9bcb0c762dfb7c14767a82) by @wwwjon ([merge request](gitlab-org/gitlab!73648))
- [Add jobArtifacts to PipelineType](gitlab-org/gitlab@22787ff46e8a5935a9904167fdc5c758372c8390) by @genctys ([merge request](gitlab-org/gitlab!72412))
- [Track processed loose FK records](gitlab-org/gitlab@dac93679a0374abbd138263d545f1db7c06fb422) ([merge request](gitlab-org/gitlab!73541))
- [Update user attributes for Group SAML enterprise users](gitlab-org/gitlab@d1db69ca88fc8fe78b3e6626e55e503bbbeee7ce) ([merge request](gitlab-org/gitlab!72792)) **GitLab Enterprise Edition**
- [Add 'show' page for topic](gitlab-org/gitlab@3b325e920700a30e6cda601462fcce1e87ab6614) by @wwwjon ([merge request](gitlab-org/gitlab!71830))
- [Record transaction duration during migrations](gitlab-org/gitlab@3afb6966876aaa3738b13524ea3406cd93e070fa) ([merge request](gitlab-org/gitlab!72181))
- [Add corpus create mutation and service](gitlab-org/gitlab@07e6c2ebee1c9d02e5bb9c5396b8dc65306f1bb4) ([merge request](gitlab-org/gitlab!71992)) **GitLab Enterprise Edition**
- [Update scroll position to synchronize the Jump To Next button](gitlab-org/gitlab@65e7685f25228dd1aa9eef7c86c3492503f33340) ([merge request](gitlab-org/gitlab!71508))
- [Add created_at to the GraphQL LicenseType](gitlab-org/gitlab@53256ffebba0a407c1219e11f2ad6805f7f3c026) ([merge request](gitlab-org/gitlab!72905)) **GitLab Enterprise Edition**
- [Speed up searching environments by ref deployed](gitlab-org/gitlab@3dac2744978d1e60e625a73756011277ce3de51d) ([merge request](gitlab-org/gitlab!72781))
- [Add customer relations menu item and root apps](gitlab-org/gitlab@5bcce5792a2aa237e3004f12ace933bec4535885) by @leetickett ([merge request](gitlab-org/gitlab!72787))
- [Enable linear ParticipantsService ancestors queries](gitlab-org/gitlab@e910d9e20b0399075fdb5c3185e92030af4adeec) ([merge request](gitlab-org/gitlab!72593))
- [Enable linear MembersFinder ancestors queries](gitlab-org/gitlab@9af3cdf155b92a90ab067177ba0a8153da085826) ([merge request](gitlab-org/gitlab!72592))
- [Promote empty_repo_upload experiment](gitlab-org/gitlab@396f2c495369c354f6d4d8f76a2922c9920ebac0) ([merge request](gitlab-org/gitlab!73111))
- [Adding Special diff rendering for .ipynb notebooks](gitlab-org/gitlab@46a0f612b0d4cefb8ebdfa93864622ea0b94b727) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/71477))
- [VSA: Add deployment frequency links](gitlab-org/gitlab@fb9c7aaa932c11a25b9c914a0992f75c805a685c) ([merge request](gitlab-org/gitlab!72485)) **GitLab Enterprise Edition**
- [Enables the mr_changes_fluid_layout flag by default](gitlab-org/gitlab@0f3a585321a79df4925477157613d4ce49fc2842) ([merge request](gitlab-org/gitlab!73261))
- [Adds vulnerability state to Vulnerability-Check](gitlab-org/gitlab@586e14b7462ce11bf69ef233279f9875caa5e73b) ([merge request](gitlab-org/gitlab!72405))
- [Enable logging of Sidekiq bulk job insertions](gitlab-org/gitlab@4fea71a9a5da31c3fa049cb578f7a7c48c734d45) ([merge request](gitlab-org/gitlab!73223))
- [Remove group_authorized_agents feature flag](gitlab-org/gitlab@a8cb522b6b0ab8d9d46c288d6988712e90530b65) ([merge request](gitlab-org/gitlab!71441))
- [Add Prometheus metrics for loose foreign keys](gitlab-org/gitlab@3076b64925711a2900110ddd63e45a660b6b9537) ([merge request](gitlab-org/gitlab!73192))
- [Include state_id when gathering VSA data](gitlab-org/gitlab@f576360f0921ac39b827463985a94797fae729af) ([merge request](gitlab-org/gitlab!72974))
- [Loose foreign key definition experiment](gitlab-org/gitlab@d906530828b3045b0449a1ff4a8213f0571342ce) ([merge request](gitlab-org/gitlab!73146))
- [Enable real-time issue assignees by default](gitlab-org/gitlab@099f9e0e513190bed76863dd6af1dbae6591a8f4) ([merge request](gitlab-org/gitlab!71953))
- [Feature: add user track script entry point](gitlab-org/gitlab@697834c6e26857cda5e66efa069a12cd3408fd24) by @orozot ([merge request](gitlab-org/gitlab!73097))
- [Fix spec to properly support many databases](gitlab-org/gitlab@3bdf92cb1ceefd0969025bf17a0f042dffa9cbca) ([merge request](gitlab-org/gitlab!70063))
- [Enable group-level MR approval settings by default](gitlab-org/gitlab@b20b34405af236b1b2e8b334466224e3c7055095) ([merge request](gitlab-org/gitlab!73058)) **GitLab Enterprise Edition**
- [Enable linear GroupTree ancestors queries](gitlab-org/gitlab@a532cfbde60dab31467cff218db51d9178de9484) ([merge request](gitlab-org/gitlab!72494))
- [Annotate DAST models strings for localization](gitlab-org/gitlab@f85a7cbb5a358dfd2d4c5a4b9385c3ab0e50458f) ([merge request](gitlab-org/gitlab!72799)) **GitLab Enterprise Edition**
- [Persist credit card network](gitlab-org/gitlab@44a6f14acf300e6d7ed18d6c1b417cb34a4ebf5a) ([merge request](gitlab-org/gitlab!72272))
- [Adds DB column for merge request assignee state](gitlab-org/gitlab@11cf2cd3c5c5d01f29ba55dc3cc305782cdcb1e7) ([merge request](gitlab-org/gitlab!72677))
- [Add native systemd units](gitlab-org/gitlab@857efa0d218a883a53c0f4075492d2f4af9a89ab) by @behrmann ([merge request](gitlab-org/gitlab!53847))
- [Clean up migration to populate commit users](gitlab-org/gitlab@9800171fc1aba6a3e5fd5e408b60bce82c4d3954) ([merge request](gitlab-org/gitlab!72219))
- [Enabled variables for CI services](gitlab-org/gitlab@a0b96c07d0fa21a88aaf36a752328a16cd6c54bf) by @ST-Apps1 ([merge request](gitlab-org/gitlab!72025))
- [Add runtime_runner_features column to ci_builds_metadata](gitlab-org/gitlab@1632f48e944728844e37514c531625d856e4bb27) ([merge request](gitlab-org/gitlab!72378))
- [Add metric for users associating group milestones to releases](gitlab-org/gitlab@5618ea7a90f2a74e1c548c9a570c3299aae35048) ([merge request](gitlab-org/gitlab!71650))
- [Loose foreign key worker implementation](gitlab-org/gitlab@1a1e4bdf8267aceee709c1d20509151ef8ab2366) ([merge request](gitlab-org/gitlab!69165))
- [Added kaniko ci template to build docker images](gitlab-org/gitlab@91a10b11726bb27d2652b4705a7b9e6b9db308dd) ([merge request](gitlab-org/gitlab!72400))
- [Invite members for task experiment](gitlab-org/gitlab@56afab221043f7199cb7de4b434ac6c0c2998988) ([merge request](gitlab-org/gitlab!69299))
- [Remove FF verification_state_backfill_worker](gitlab-org/gitlab@9726601c0273c7a30b223cbb6f7a26a42b204330) ([merge request](gitlab-org/gitlab!72762)) **GitLab Enterprise Edition**
- [Add 'tencent_serverless_framework' to built-in project template](gitlab-org/gitlab@69f2c1d5b641fee434fe65ae3e0ba3fe8b856b98) ([merge request](gitlab-org/gitlab!71458))
- [Merge branch 'mw/clearup-ff_group_membership_export' into 'master'](gitlab-org/gitlab@1222dd099b01226f05c92f9dbcde2c5207c5ba1c) ([merge request](gitlab-org/gitlab!72624)) **GitLab Enterprise Edition**
- [Allow custom support email without configuring custom project suffix](gitlab-org/gitlab@6bcf1b17da2e28ceb6bfa644d6643d52f3bb4f98) ([merge request](gitlab-org/gitlab!71940))
- [Add median lead time for changes to VSA](gitlab-org/gitlab@b26ee08d7910092308b429378aff7f84e69e8b6b) ([merge request](gitlab-org/gitlab!72283)) **GitLab Enterprise Edition**
- [Remove ff_group_membership_export flag](gitlab-org/gitlab@445a68ce019b072bc6268a4b141d90daa6b80a52) ([merge request](gitlab-org/gitlab!72624)) **GitLab Enterprise Edition**
- [Move Agent usage metrics to Core](gitlab-org/gitlab@ca2e56efc791c9e67ddc22e7c83faeea28383fd6) ([merge request](gitlab-org/gitlab!72086))
- [Enable Agent creation in Core](gitlab-org/gitlab@fc6adf3d27b048a0db8ee2c4524f9b5ade8e6504) ([merge request](gitlab-org/gitlab!71882))
- [Move Agent KUBECONFIG variable generation to core](gitlab-org/gitlab@0ee1914b42171a3b2ca6e5378103bb4513d6f2f9) ([merge request](gitlab-org/gitlab!72085))
- [Sync creating requirements with requirements issue](gitlab-org/gitlab@34449b20ccba8018d0427ed12ee55ebc70389923) ([merge request](gitlab-org/gitlab!71104)) **GitLab Enterprise Edition**
- [Add user caps to group's membership settings](gitlab-org/gitlab@365904e82491e027a22b1ea84e883795e8d8b387) ([merge request](gitlab-org/gitlab!72006)) **GitLab Enterprise Edition**
- [Remove the rails_apdex_counters feature flag](gitlab-org/gitlab@f8e5122d0178a701a0836ba99b6fc4e88739ad87) ([merge request](gitlab-org/gitlab!72427))
- [Add CustomerRelations::IssueContact model](gitlab-org/gitlab@5c6b2c4bc62826d7cbda4094637468fa63f30d77) by @leetickett ([merge request](gitlab-org/gitlab!72246))
- [Cleanup project_storage_ui feature flag](gitlab-org/gitlab@0438d9d77383a8456480c1050baf2e2f4cbba689) ([merge request](gitlab-org/gitlab!71270))
- [Add created_at filters to MR resolver](gitlab-org/gitlab@72d09bd815b1aaed8d5fc5d6e26c9f669669fbe0) ([merge request](gitlab-org/gitlab!72498))
- [Add integration with ZenTao](gitlab-org/gitlab@398fd4f01643aff08e579e1a83e8552f8b91575e) by @icbd ([merge request](gitlab-org/gitlab!69602))
- [Move Agent CI tunnel functionality to Core](gitlab-org/gitlab@eec9855d6869dc19858340bf1647156349324aa6) ([merge request](gitlab-org/gitlab!71972))
- [Add Debian endpoint for distribution key](gitlab-org/gitlab@dd0552011089b074b13c422f208ce35d6dfb31fb) by @sathieu ([merge request](gitlab-org/gitlab!71716))
- [Filter issues by releaseTag in GraphQL](gitlab-org/gitlab@df4fad342f1b120eafa636d8e43cd73e06d83844) ([merge request](gitlab-org/gitlab!71012))
- [Add 'Explore topics' page](gitlab-org/gitlab@745b7d7c7b45c7cc89c692359da4b71a58c42592) by @wwwjon ([merge request](gitlab-org/gitlab!62443))

### Fixed (123 changes)

- [Fix SAML SSO redirects for pseudonymized URLS](gitlab-org/gitlab@aa6f3db27821292fc072343cd0134e99f8eb93ba) ([merge request](gitlab-org/gitlab!74476))
- [Add suggestion_commit_message length validation](gitlab-org/gitlab@df22130968eae889cdf89d66fc7a10e58eabe79d) by @trakos ([merge request](gitlab-org/gitlab!74310))
- [GithubImporter: Fix import duration metric](gitlab-org/gitlab@4ef1a8e3865fd1ae76d1b9f52de3cd21944daa81) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/74610))
- [Fix a bug with the metadata during the npm package upload](gitlab-org/gitlab@ec6908c336bcaf7b2321715ae77aaad62752f0bb) ([merge request](gitlab-org/gitlab!74588))
- [Fix error when Origin header is null](gitlab-org/gitlab@969951adbc875a1c45f37e14ccdaf90489b4b50f) ([merge request](gitlab-org/gitlab!74581))
- [Fix loading authors in issues list](gitlab-org/gitlab@d23866a9d2f5f4b3b92ca1615a857b1464b4c515) ([merge request](gitlab-org/gitlab!74562))
- [Fix regression in code blocks in the Content Editor](gitlab-org/gitlab@fcc0f65481d30f4bedc6a3cd188316de7d14e00e) ([merge request](gitlab-org/gitlab!74520))
- [Fix sysvinit Sidekiq logging](gitlab-org/gitlab@6f7e676a346036f10753f9d5a5880c845e3c58bb) ([merge request](gitlab-org/gitlab!73850))
- [Fix setting block animation issues](gitlab-org/gitlab@88aff5d7d8afc417d37cc0166205df62508befe9) ([merge request](gitlab-org/gitlab!74411))
- [Remove presence validator on name on WebauthnRegistration](gitlab-org/gitlab@9c88b3ad8ac9728cc248dd9a4a2a84cbe74564d0) ([merge request](gitlab-org/gitlab!74376))
- [Fix common errors in AuthorizedProjectsWorker](gitlab-org/gitlab@3f8caeda714051e288b2346aa2beebab2450e602) ([merge request](gitlab-org/gitlab!74055))
- [Fix widget dropdown title overflow](gitlab-org/gitlab@7572bc6e5f2c4b9401dd1ce4bdbd77561b2826ea) ([merge request](gitlab-org/gitlab!74358))
- [Don't transform empty .ipynb diffs](gitlab-org/gitlab@a306f0f4cadf9fb2b40dd1ca84c39f7f051d83d6) ([merge request](gitlab-org/gitlab!74299))
- [Allow destruction of records in archived pending_delete projects](gitlab-org/gitlab@f8c6c9508346664157db3094ce8f2f1faef20a51) ([merge request](gitlab-org/gitlab!73863))
- [Allow to create service desk issues for all quoted emails](gitlab-org/gitlab@bcdf73f999c8ec6a9912594a7664081000964324) ([merge request](gitlab-org/gitlab!73397))
- [Fix bug due to fuzzy matching in Infrastructure Registry](gitlab-org/gitlab@5a4da09185c10915cb4e2e8e13c176a29233d145) ([merge request](gitlab-org/gitlab!73588))
- [Fix no repo error message for group-level wikis](gitlab-org/gitlab@f3a0725f2a599a53790d35fab011540e5d61f241) ([merge request](gitlab-org/gitlab!74133)) **GitLab Enterprise Edition**
- [Fix commit msg color for dark mode graph](gitlab-org/gitlab@533bc79998d58c21c99a224ec84c02202887720f) ([merge request](gitlab-org/gitlab!74050))
- [Fixes broken trigger layout](gitlab-org/gitlab@3941d96ac395b3e9accb6c0488ef86e9c12c7e64) ([merge request](gitlab-org/gitlab!74213))
- [Fix agent install page paths](gitlab-org/gitlab@6932f814a0a08ef5c232f5214829e3af1e2ef4be) ([merge request](gitlab-org/gitlab!74120))
- [Reduce noise in cluster cleanup workers](gitlab-org/gitlab@f3e541c092bd73b529b4f3e1b2b5f36f372b1004) ([merge request](gitlab-org/gitlab!74117))
- [Fix scoped board milestone/iteration Timebox global ID](gitlab-org/gitlab@a3569025baa1b7f42ef494ff651ac8f975dc435b) ([merge request](gitlab-org/gitlab!73875)) **GitLab Enterprise Edition**
- [Prevent overflowing of runner tags](gitlab-org/gitlab@38e06e46908256138c9aa696101e53e3aaee46dd) ([merge request](gitlab-org/gitlab!74071))
- [Fix manifest workhorse upload](gitlab-org/gitlab@a8545c048e70c17d08af62a65f6f50e14cc59eea) ([merge request](gitlab-org/gitlab!73810))
- [Extend the OverrideUuids service logic](gitlab-org/gitlab@942553b2b2b7e5cabdd29ed04d34fd0a72f55088) ([merge request](gitlab-org/gitlab!73563)) **GitLab Enterprise Edition**
- [Fix foreign_key  of using on data_fields](gitlab-org/gitlab@fc1244a50bc17b762a10ecb1f29c65fb06a43522) by @icbd ([merge request](gitlab-org/gitlab!73456))
- [Vulnerability Report: Fix typo in description text](gitlab-org/gitlab@ebb1d6293ec35767e5a6cb483469957a03c3af4b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/74047)) **GitLab Enterprise Edition**
- [Fix built-in template import creating duplicate audit logs](gitlab-org/gitlab@e45a50039b18647a9c4b0c6a565adf02fb70b66f) ([merge request](gitlab-org/gitlab!73822)) **GitLab Enterprise Edition**
- [Fix merge requests not importing for older projects](gitlab-org/gitlab@49daa959ac0ac056d54ca965e4788b08a9c18378) ([merge request](gitlab-org/gitlab!74031))
- [Add sidebar highlight and fix link](gitlab-org/gitlab@927e921b1d3cc2231f9f38969e5abb5181c0d6a7) by @icbd ([merge request](gitlab-org/gitlab!73245))
- [Fix 2FA setup for LDAP users](gitlab-org/gitlab@c29aca2e77e42802b495f09066abbc6c8823486c) ([merge request](gitlab-org/gitlab!73538))
- [Recalculate project authorizations on group transfer](gitlab-org/gitlab@63ab878f71d374b657005058bed2c776c19a2632) by @vfazio ([merge request](gitlab-org/gitlab!72550))
- [Clear closure references when issue is reopened](gitlab-org/gitlab@06ae33b82e3b96e29a7ca3c60c2a139911c3b23f) ([merge request](gitlab-org/gitlab!73958))
- [Prevent Git operations from checking replication lag on non-Geo sites](gitlab-org/gitlab@369dbc7c2e0c0b8764b26b0f12dacac8b111050a) ([merge request](gitlab-org/gitlab!73952)) **GitLab Enterprise Edition**
- [Allow non-group Agent projects to authorize themselves](gitlab-org/gitlab@6a5201ede1bc5eef7e4403becd5e827c2eac9168) ([merge request](gitlab-org/gitlab!73917))
- [Vulnerability Modal: Fix issue with long URLs](gitlab-org/gitlab@5258a998fa4a1db5b03b8df3b876aa6518ae09eb) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/73713)) **GitLab Enterprise Edition**
- [Fix Type error about namespace through provides on members page](gitlab-org/gitlab@4597c630af4303aad371afbfd5a668039241ae68) ([merge request](gitlab-org/gitlab!73687))
- [Fix pipeline editor crashing the browser when getting a 500 error](gitlab-org/gitlab@6f7a848589b9547cfd63c040a9dfe01512f20d15) ([merge request](gitlab-org/gitlab!73861))
- [Reset subscription max seats used on new term](gitlab-org/gitlab@78dae45f419e989db38bf0282364a325ad11506f) ([merge request](gitlab-org/gitlab!73078)) **GitLab Enterprise Edition**
- [Fix issue rebalance banner](gitlab-org/gitlab@8383b1b19cabd99e02ba5247f0bd421989a527cf) ([merge request](gitlab-org/gitlab!73608))
- [Disable query cache when outside Rails executor](gitlab-org/gitlab@23152fd9f74f92ed6360dafbb074553c61af0450) ([merge request](gitlab-org/gitlab!73814))
- [Fix todo API when used with Alerts](gitlab-org/gitlab@d3e62ab765d2ce35105dd5e264e796be37459a75) ([merge request](gitlab-org/gitlab!73812))
- [Add remediation based on cve or id](gitlab-org/gitlab@84a557d426d78960fd5fcc01bbe9f4e16cf603e6) by @ssarka ([merge request](gitlab-org/gitlab!73581)) **GitLab Enterprise Edition**
- [Wrap Sidekiq scheduler threads in Rails reloader](gitlab-org/gitlab@7c2e4a6cabdc736c839d52bcdea45d653fe1ed42) ([merge request](gitlab-org/gitlab!73716))
- [Fix quick action permissions to match UI](gitlab-org/gitlab@8e85fac366e8d6e329ede3e616b35db7c788cec2) ([merge request](gitlab-org/gitlab!73710))
- [Skip retrying for reads on connection errors if primary only](gitlab-org/gitlab@7d0c81a7576fe7a8fc5d926346c8635c0504a245) ([merge request](gitlab-org/gitlab!73715))
- [Fix illustration paths in survey response page](gitlab-org/gitlab@e9f76ac046a897b6e1fa4193772ec6bb896e4887) ([merge request](gitlab-org/gitlab!73705)) **GitLab Enterprise Edition**
- [Fix MR commits with missing committers/authors](gitlab-org/gitlab@9b553e50f3add5c638fc79c62cbe07f5be991d5f) ([merge request](gitlab-org/gitlab!73307))
- [Fix: update broken pipeline layout](gitlab-org/gitlab@af0a80f94d8b9ad1a815dd336f7bb43cd25ddf6e) ([merge request](gitlab-org/gitlab!73477))
- [Use the To header when sending pipeline emails](gitlab-org/gitlab@3b5330e9bcf66d7f66ff5b51dbb60adcf2197f67) ([merge request](gitlab-org/gitlab!73363))
- [Cleanup sticky_environments_in_job_retry feature flag](gitlab-org/gitlab@a4e3412d88e7feb4def05b253aef7f760d0cbaf4) ([merge request](gitlab-org/gitlab!73606))
- [Improve tracking of requests in rate limiter](gitlab-org/gitlab@7c3c7942b3570672dadfe6858317c0fe537a29f4) ([merge request](gitlab-org/gitlab!73343))
- [Check correct permissions before showing Release Evidence link](gitlab-org/gitlab@dffa6549fdb8fe1abd092ba531c476eea02f5367) ([merge request](gitlab-org/gitlab!73574))
- [Fix ghost button on payment step for subscriptions](gitlab-org/gitlab@ae7bd2c62116008240278e6bf33e5fd497ceda87) ([merge request](gitlab-org/gitlab!73293)) **GitLab Enterprise Edition**
- [Allow SSO callbacks through maintenance mode](gitlab-org/gitlab@b59f528b254d6b40d62dace7c78416237db5d102) ([merge request](gitlab-org/gitlab!73550)) **GitLab Enterprise Edition**
- [Fix error on environment rollback](gitlab-org/gitlab@bdd4abadb56c417f31841e6fcc0804bed0f0d196) ([merge request](gitlab-org/gitlab!73473))
- [Fix permission check for confidential quick action](gitlab-org/gitlab@561f4402419cf535d97b16331439e0a71cfe68b6) ([merge request](gitlab-org/gitlab!73515))
- [Fix Geo: Secondaries may be orphaning Upload files](gitlab-org/gitlab@d4e54efcfe1d9fbdcb24e7bc6cd4fb0ea1861988) ([merge request](gitlab-org/gitlab!69763)) **GitLab Enterprise Edition**
- [Add better error handling to BulkImports::GroupLoader](gitlab-org/gitlab@b470e9bbe761094f4d90f200dd58def3837014ed) ([merge request](gitlab-org/gitlab!73191))
- [Ensure that GlSingleStat animates](gitlab-org/gitlab@1402f8303ac1a5582ce405d6bb53af8c09c50b61) ([merge request](gitlab-org/gitlab!72759))
- [Fix tasklist header counts in Test Cases](gitlab-org/gitlab@0303c8b1322093c0d8f26bb8ef079f5a78772411) ([merge request](gitlab-org/gitlab!73453)) **GitLab Enterprise Edition**
- [Allow relative WebP image embed in markdown](gitlab-org/gitlab@9d9618fc821f12d1441b668e8f6ce7ae0cd6ca4b) by @KevSlashNull ([merge request](gitlab-org/gitlab!73426))
- [Fix uninitialized constant STICK_OBJECT](gitlab-org/gitlab@be042a560485a17907613828147981b675255060) by @leetickett ([merge request](gitlab-org/gitlab!73405))
- [Increase file import size validator timeout](gitlab-org/gitlab@d7bbc0784a5badf2c3810d5f3b209e94437c55b3) ([merge request](gitlab-org/gitlab!73400))
- [Fix breadcrumb click event handling](gitlab-org/gitlab@5d05b3d8a5c688ec06d63b252d373ed3b64cf336) ([merge request](gitlab-org/gitlab!73287))
- [Do not update feedback when it is persisted](gitlab-org/gitlab@18861c4269a6d246f777e63c99c42ef27bc73e58) ([merge request](gitlab-org/gitlab!73311)) **GitLab Enterprise Edition**
- [Increase the deduplication TTL for future jobs](gitlab-org/gitlab@24318caeb54f6479e2aafe3c46c1c7e3a2694743) ([merge request](gitlab-org/gitlab!73257))
- [Fix filtering of "Not connected" runners](gitlab-org/gitlab@e4ccc98de6febe9f550c53a5c7207523e446a4e1) ([merge request](gitlab-org/gitlab!73292))
- [Exclude project bots from deactivation in DeactivateDormantUsersWorker](gitlab-org/gitlab@7320c15f48c10ea67979dbe26cb50179cfe7eabf) ([merge request](gitlab-org/gitlab!73028))
- [Fix 2FA management on Safari](gitlab-org/gitlab@65389a3bafd68315abe54e09ab081e64fea5656a) ([merge request](gitlab-org/gitlab!73218))
- [Fix slight scroll bounce when jumping between unresolved discussions](gitlab-org/gitlab@78cd69f9013aa77a4c5e28a7f12cc62f6d8ce36e) ([merge request](gitlab-org/gitlab!73281))
- [Don't limit number of Gitaly client keepalives](gitlab-org/gitlab@4636ed9bdeab3f3a664c52e8876b17391c0bbc19) ([merge request](gitlab-org/gitlab!73302))
- [Silence unknown PostgreSQL OIDs warnings](gitlab-org/gitlab@71917b7313e7232a623a52f5ebbedf7936790f7e) ([merge request](gitlab-org/gitlab!73244))
- [Do not auto-retry unrecoverable job failure](gitlab-org/gitlab@f049bb62c76a6192136fc45f4e8516812c53cb13) ([merge request](gitlab-org/gitlab!73150))
- [Fix: filename display when copy/paste in comment](gitlab-org/gitlab@f4737a3a585d2e205bca19e5b3ba3f2d5a7e344d) by @orozot ([merge request](gitlab-org/gitlab!72878))
- [Do now unescape branch name when deleting branch](gitlab-org/gitlab@f3e44598b1a9e06fc93a6ec58c0acb3b89c5a1fc) ([merge request](gitlab-org/gitlab!73253))
- [Enable surface_environment_creation_failure feature flag by default](gitlab-org/gitlab@82a474083a87962473a45bd25bab8bd0ed6af7e1) ([merge request](gitlab-org/gitlab!72194))
- [Prevent timeouts when updating `share_with_group_lock` of a group](gitlab-org/gitlab@2dfecc4fa25ed9b87ca4fc8dc45ba4bbb6a32a96) ([merge request](gitlab-org/gitlab!72955))
- [Fix epic board scope text](gitlab-org/gitlab@aec0eb917ad7c9165cd23097012e33b28bb304c0) ([merge request](gitlab-org/gitlab!73234))
- [Standardize error message field in structured logs](gitlab-org/gitlab@400dd57ba4207079d70b9b0fcd509297b2b5da3a) ([merge request](gitlab-org/gitlab!73196))
- [Make `LoadBalancer` to configure pool sizes of all classes](gitlab-org/gitlab@fcc216a23746cfa52ba86a869f26e0a2c40fb8f0) ([merge request](gitlab-org/gitlab!72989))
- [Sort epic ancestors in hierarchical order in graphQL endpoint](gitlab-org/gitlab@758d5a3738d85677f45b8e988514b7a06c82dee0) ([merge request](gitlab-org/gitlab!72811)) **GitLab Enterprise Edition**
- [Fix cascading settings attr reader behavior](gitlab-org/gitlab@f7c013d8931d84dba719cd929147dfa9f3b578f5) by @gizero ([merge request](gitlab-org/gitlab!72962))
- [Don't fail DeleteStoredFilesWorker if one of the files is missing](gitlab-org/gitlab@7915af8aae24a76586a43eaf08e68de3677d11e1) ([merge request](gitlab-org/gitlab!73084))
- [Schedule AutoFix background job after ingesting the security reports](gitlab-org/gitlab@f496649ec5100ebda2933ca4d0693f1fe8b45df4) ([merge request](gitlab-org/gitlab!72957)) **GitLab Enterprise Edition**
- [Move yaml processor secrets configuration to EE](gitlab-org/gitlab@80adf2e64a5b547925398f123a20528876e7cfa3) ([merge request](gitlab-org/gitlab!73017)) **GitLab Enterprise Edition**
- [Remove the pipelines link from Auto DevOps toast](gitlab-org/gitlab@0c144e2ff0c51c9d47ca3b880a3cbce60882bf7f) ([merge request](gitlab-org/gitlab!73054))
- [Fix 'private method 'load' called' when posting non-whitelisted webhook](gitlab-org/gitlab@0fcfb496c725d3c87f888474378c04bb7de281bf) by @perlun ([merge request](gitlab-org/gitlab!72672))
- [Change manage events metric counter method](gitlab-org/gitlab@e8e0288768709f812f12cdb2fae13c82ada96529) ([merge request](gitlab-org/gitlab!72975))
- [Fix `canUpdate` console error on external issues](gitlab-org/gitlab@e093779ae951f21359966475a9bfdcb21326f244) ([merge request](gitlab-org/gitlab!72950)) **GitLab Enterprise Edition**
- [Show captcha verification on issue boards](gitlab-org/gitlab@fddd98bf2fd70ca2591e16259558d8ae488de155) ([merge request](gitlab-org/gitlab!72818))
- [Fix error when archiving requirements](gitlab-org/gitlab@500cef40295d5158d4a16847cbe22c2ab645d411) ([merge request](gitlab-org/gitlab!73010)) **GitLab Enterprise Edition**
- [Persist solution, message and description fields](gitlab-org/gitlab@ed62453626233c9c411648acb72d7ccf82270fd8) ([merge request](gitlab-org/gitlab!72883)) **GitLab Enterprise Edition**
- [Skip st_diff setting on LegacyDiffNote during import](gitlab-org/gitlab@e2c6b1390b0e4d17fbe9924dc619a3545905c6db) ([merge request](gitlab-org/gitlab!72897))
- [Use `overridden_uuid` as primary lookup for the report finding](gitlab-org/gitlab@643582f6c1b0e70f823938f2e0ec481406ef1c58) ([merge request](gitlab-org/gitlab!72835)) **GitLab Enterprise Edition**
- [Remove duplicate text from create group description](gitlab-org/gitlab@1467e1d396beb37032566cba8c2ca8556c3f5e96) ([merge request](gitlab-org/gitlab!72954))
- [Add reschedule option to Resource Group worker](gitlab-org/gitlab@63cc19469b1d7fd2085cc78efc76cbc46850ef66) ([merge request](gitlab-org/gitlab!72961))
- [Fix SMIME signature for emails on push](gitlab-org/gitlab@20439de242730db94622f1cf92ad2a6cac159ecd) ([merge request](gitlab-org/gitlab!72956))
- [Fix error 500 loading branch with UTF-8 characters with performance bar](gitlab-org/gitlab@cbbe03492b18ee07901bde5f055c2b4cd0a00a44) ([merge request](gitlab-org/gitlab!72925))
- [Fix file mode changes not always visible in MRs](gitlab-org/gitlab@3fbaa336ea9f8a54df8f41bfd0e63b504dc25eaf) by @hypemc ([merge request](gitlab-org/gitlab!72937))
- [Allow job token to perform all release REST API operations](gitlab-org/gitlab@3cea963ff14e61f60fe9fff45d81fd3bdbd39d1d) by @guillaume.chauvel ([merge request](gitlab-org/gitlab!72448))
- [Fix 2+ discussions on one line not working](gitlab-org/gitlab@b6a340c9cd8dccebcb0f165d5757b536506423b2) ([merge request](gitlab-org/gitlab!72915))
- [Fix issues with frame-src CSP directive](gitlab-org/gitlab@ee10fb1e26b51b91befa68a19b537986b365f957) ([merge request](gitlab-org/gitlab!72830))
- [Fix shared runners form injections](gitlab-org/gitlab@467733230658dcc101ae5c60f9b11bcd5592c866) ([merge request](gitlab-org/gitlab!72907))
- [Fix deployment merge request link creation](gitlab-org/gitlab@dcda9b1eebf5a88f1219cf7bc6983ca1d7af411d) ([merge request](gitlab-org/gitlab!72757))
- [Add latest commit hash to compare cache key](gitlab-org/gitlab@2cd7de9991329356e27f72b7902af1a54d964520) ([merge request](gitlab-org/gitlab!72388))
- [Move DAST CI Job keys to the EE Variant](gitlab-org/gitlab@cc91cf3e86b862441990a5b15c8f40f2ed172c2c) ([merge request](gitlab-org/gitlab!72829)) **GitLab Enterprise Edition**
- [Fix issue with CSP using Safari in dev mode](gitlab-org/gitlab@1890efe73df4173104917c7031c38764c355272f) ([merge request](gitlab-org/gitlab!72728))
- [Remove compliance framework section for unlicensed EE](gitlab-org/gitlab@3578a1c857c7a32f776ccca445faea415ab350a7) ([merge request](gitlab-org/gitlab!72691)) **GitLab Enterprise Edition**
- [Fix unnecessary epics fetch req with empty filters](gitlab-org/gitlab@689b1f691ad88b3426a1bbe791f24e18d4288b56) ([merge request](gitlab-org/gitlab!72774)) **GitLab Enterprise Edition**
- [Fix object deduplication on Geo first sync](gitlab-org/gitlab@f7fd7b0392476503b1d2d7d040861de1cfc42186) ([merge request](gitlab-org/gitlab!72605)) **GitLab Enterprise Edition**
- [Allow newlines in HTTP URLs](gitlab-org/gitlab@f1c1b914082c6c90ee2964f956436ce1709e86e3) ([merge request](gitlab-org/gitlab!72655))
- [Fix `Security::OverrideUuidsService` matching logic](gitlab-org/gitlab@25db632a95b5f2575d937864b8ee02dd55ab4952) ([merge request](gitlab-org/gitlab!72723)) **GitLab Enterprise Edition**
- [Add cloak-startup class and apply to mobile overlay](gitlab-org/gitlab@b4d6183adbbf96cefbd74ab7971b72010f5f202f) by @leetickett ([merge request](gitlab-org/gitlab!71148))
- [Stop polling when checking task lists on an issue](gitlab-org/gitlab@7b42afcd7fa71a0c09ed8899fe90740914cb7499) ([merge request](gitlab-org/gitlab!72629))
- [Modify error message for clarity](gitlab-org/gitlab@cba9950182b23a78dda3da5994167fb0ac5c284b) ([merge request](gitlab-org/gitlab!72658))
- [Ensure Azure-related gems are loaded](gitlab-org/gitlab@b221a58d23caf99293a61ca7f2987eaa247f23a5) ([merge request](gitlab-org/gitlab!72433))
- [Ensure commits limit is always positive](gitlab-org/gitlab@bb179a08051c46555d96e7c446702aa4ada300b9) ([merge request](gitlab-org/gitlab!72274))
- [Add DEFAULT_CERT_DIR handling to Spamcheck and fix Gitaly GRPC Bug](gitlab-org/gitlab@2c6b10b8ce4d3dbbc76415c58ee8ed493311d4c8) ([merge request](gitlab-org/gitlab!72386))
- [Fix a join in the postgres_indexes view](gitlab-org/gitlab@1ab9822a16cace04f1efd6b9d057fb2da1dfd60f) ([merge request](gitlab-org/gitlab!72540))
- [Fix spacing around code quality problem icon in diff view](gitlab-org/gitlab@3b6a3ecb77d0406d9f4fd0f83560ef56baf342b7) by @antonykor.ak ([merge request](gitlab-org/gitlab!72137)) **GitLab Enterprise Edition**
- [Transaction metrics from workers are not collected](gitlab-org/gitlab@c64c0191b944c889539b172d77d7e1913b30ad55) ([merge request](gitlab-org/gitlab!72108))
- [Fix nil value in location column in vulnerability_occurrences](gitlab-org/gitlab@9f192fd6c4d7859879e4582051023b5cb0c02143) ([merge request](gitlab-org/gitlab!72224)) **GitLab Enterprise Edition**

### Changed (142 changes)

- [Update deprecation notice](gitlab-org/gitlab@4d9e007e329055246968251a225f5e305702308e) ([merge request](gitlab-org/gitlab!74729))
- [Increase LFS token entropy for keys/deploy keys](gitlab-org/gitlab@9a2e2837a94603b0beff2d26ddd27019b47433b1) ([merge request](gitlab-org/gitlab!74699))
- [Fixes cross-db modification for Ci::JobArtifacts::DestroyBatchService](gitlab-org/gitlab@78e6a0de07eacc59da0cb85bbe889f54f0caea0c) ([merge request](gitlab-org/gitlab!74583))
- [Remove query_project_ci_feature_usages_for_coverage flag](gitlab-org/gitlab@b92364cc5ac02aeba68a17412b92c2a1e9481242) ([merge request](gitlab-org/gitlab!74230)) **GitLab Enterprise Edition**
- [Replace `window.confirm` with `GlModal` confirmation](gitlab-org/gitlab@ee280ed2b763d1278ad38c6e7e8a0aff092f617a) ([merge request](gitlab-org/gitlab!73950))
- [Update audit events to filter by username](gitlab-org/gitlab@406fef79f6b2e06cef5a57d348ccebb78662e3e9) ([merge request](gitlab-org/gitlab!73742)) **GitLab Enterprise Edition**
- [Fix OpenStruct use](gitlab-org/gitlab@e52f31cd736617f19018b23c376f3b834dc7b256) by @mehulsharma ([merge request](gitlab-org/gitlab!74192))
- [Fix OpenStruct use](gitlab-org/gitlab@7077c3d2bd4ecd9a6a2f7c2d5c0cf399d5ef8617) by @mehulsharma ([merge request](gitlab-org/gitlab!74420))
- [Move API fuzzing YAML generation to the client](gitlab-org/gitlab@6e204daf0ee57b4f9486f0c1a46a7b1f0040fced) ([merge request](gitlab-org/gitlab!74514)) **GitLab Enterprise Edition**
- [Use after_commit in Vulnerabilities::Feedback](gitlab-org/gitlab@82ce5be4a8a9451e5f180bacbf5bfa39463cb5ed) ([merge request](gitlab-org/gitlab!74508))
- [Use allowlist of allowed attributes for imported models](gitlab-org/gitlab@4af697f6983abfb13a356ae8f9ec65124d45b8db) ([merge request](gitlab-org/gitlab!72152))
- [Use image digest for Auto DevOps deployments](gitlab-org/gitlab@782c95ec8dfaf50e259cefcdd30ff8c7995098de) by @kinolaev ([merge request](gitlab-org/gitlab!68783))
- [Make capitalization of incident management objects uniform in modal](gitlab-org/gitlab@294974a95b8a94953a47ac8a974e4f7882e683b5) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/74453))
- [feat: Update default PAT prefix when not set](gitlab-org/gitlab@0762b5ca672b8eabe3567ed3b3bd73fdf90abe00) ([merge request](gitlab-org/gitlab!74439))
- [Use rectangular avatar on topic detail page](gitlab-org/gitlab@242281e38af1cca1ff522076449fedaff0d1912e) by @wwwjon ([merge request](gitlab-org/gitlab!74424))
- [Fix OpenStruct use](gitlab-org/gitlab@e960176b022d49e95cb04a37ab91b8e0a3fd4786) by @mehulsharma ([merge request](gitlab-org/gitlab!74419))
- [Fixed OpenStruct use offense](gitlab-org/gitlab@924eb6d05e99001dc04d00c5a637086a19ebc73b) by @mehulsharma ([merge request](gitlab-org/gitlab!73398))
- [Fix OpenStruct usage](gitlab-org/gitlab@b7b81a84417c6d92301e3267fb8534c77a4a968f) by @mehulsharma ([merge request](gitlab-org/gitlab!74405))
- [Release the NPM metadata abbreviated support](gitlab-org/gitlab@b6e2d1462922f5699451697c6d3f762122869071) ([merge request](gitlab-org/gitlab!74409))
- [Deprecation of the cert-based K8s integration](gitlab-org/gitlab@9c2253808d054d48146df3203203d7a7ae5f95ac) ([merge request](gitlab-org/gitlab!74194))
- [Use token authentication in the Debian distribution APIs](gitlab-org/gitlab@e81e649f72acf09023b8ff28717c84cb802f78d5) by @sathieu ([merge request](gitlab-org/gitlab!71911))
- [Get cluster_id from kubernetes_resource for CIS](gitlab-org/gitlab@2bcd97376543347ee65d3468c48c2134939bc222) ([merge request](gitlab-org/gitlab!74300)) **GitLab Enterprise Edition**
- [Remove Apollo error suppression feature flag](gitlab-org/gitlab@65dd9c132dad0d8c41f35c33d19374cbb24fd2a0) ([merge request](gitlab-org/gitlab!74291))
- [Show validation error for setting project suffix](gitlab-org/gitlab@16b13f2ddf5c198a3f53749c4a7bbefb101edf46) ([merge request](gitlab-org/gitlab!73458))
- [Update admin deploy keys table to comply with Pajamas design system](gitlab-org/gitlab@62bdd95d3a1a5d805fc74995ab855ae6b1286c2d) ([merge request](gitlab-org/gitlab!73860))
- [Go back denylist for importing project](gitlab-org/gitlab@90cf3aca8a230a5c5e1251b97ef581217c1783ca) ([merge request](gitlab-org/gitlab!74248))
- [Add shared_runners_duration field to NamespaceMonthlyUsageType](gitlab-org/gitlab@56813743c4b208e3bb65f0525b72b6d52edc3d74) ([merge request](gitlab-org/gitlab!74114))
- [Update vendored cluster management project template](gitlab-org/gitlab@dd487e2d5c0b3eb7d19aa9a0e2fac6674daf46b8) ([merge request](gitlab-org/gitlab!74118))
- [Move creation of external cross-references into background worker](gitlab-org/gitlab@200f731230da192375ceac6276b1779bff5129ef) ([merge request](gitlab-org/gitlab!72794))
- [Enable by default new refactored page](gitlab-org/gitlab@c019228102cf9b303fed28d0403c0a0214f7659b) ([merge request](gitlab-org/gitlab!73367))
- [Remove cached_loading_hints feature flag](gitlab-org/gitlab@6a0dd5846d3716d060a45e5e9d99c8cb3fb82a25) ([merge request](gitlab-org/gitlab!74226))
- [Restore TagsFinder class interface](gitlab-org/gitlab@707830697dfb8f9bb72364f8629b9e348fdbdfce) ([merge request](gitlab-org/gitlab!74210))
- [Refactor profile authentication log to show relevent events](gitlab-org/gitlab@aebb2e0c2db0306b178b9348cb56483e07788671) ([merge request](gitlab-org/gitlab!73890))
- [Redirect to Pipeline Editor from Suggest Pipeline banner CTA](gitlab-org/gitlab@82418b00474d7950e39af4121a664a70c4e0ca40) ([merge request](gitlab-org/gitlab!73514))
- [Fixed OpenStruct use](gitlab-org/gitlab@e1f7f314bb2f7ca024a3b2ea84930e4005fce8e4) by @mehulsharma ([merge request](gitlab-org/gitlab!73935)) **GitLab Enterprise Edition**
- [Create ProjectNamespace when a Project is created](gitlab-org/gitlab@63220fc84e2e581e2c5e5967a9655bbc1ec1dd14) ([merge request](gitlab-org/gitlab!70972))
- [Source Editor Extension module](gitlab-org/gitlab@6e41c79c94e225220f28ff6173b0d579535f36cd) ([merge request](gitlab-org/gitlab!73797))
- [Update workflow propeties in CI json schema](gitlab-org/gitlab@edd6282071e6dac437ee6aca44bbca6106cf8266) ([merge request](gitlab-org/gitlab!74164))
- [Avoid sending send-data headers in API response body](gitlab-org/gitlab@fe3740277d26bf53a147f26b9fbfb3308723a4f3) ([merge request](gitlab-org/gitlab!74161))
- [Fixed OpenStruct use](gitlab-org/gitlab@572063f311cddb76ec567d5d763c3d218fa34774) by @mehulsharma ([merge request](gitlab-org/gitlab!73932))
- [Add tooltip and commit title to pipeline editor's status header](gitlab-org/gitlab@2b56a27749d6e5c4ce41232d30a53ba4a3706729) ([merge request](gitlab-org/gitlab!73724))
- [Add user popup to CI pipeline header](gitlab-org/gitlab@18c3d927c691f265b2c19b29f3c252772f1f1865) by @KevSlashNull ([merge request](gitlab-org/gitlab!60841))
- [Redirect to continuous onboarding after trial reg](gitlab-org/gitlab@d48f786d554066533355850bbcc4e19d02af67c5) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/73594)) **GitLab Enterprise Edition**
- [Add read_at to dependency proxy objects](gitlab-org/gitlab@af9efed71e5739b63bf78c1d08dcc5399ac388dc) ([merge request](gitlab-org/gitlab!73842))
- [Add pipeline artifacts size to admin area project statistics](gitlab-org/gitlab@510aa2d6c5c1255a3832a430cbd5c7e099e666b2) by @guillaume.chauvel ([merge request](gitlab-org/gitlab!72216))
- [Spin reviewer on UX label](gitlab-org/gitlab@2561d97993dcba11251d4ce00dd12ea7e6717fd6) ([merge request](gitlab-org/gitlab!51127))
- [Refactor fetching board scope to GraphQL](gitlab-org/gitlab@703f89dff03efeab9732d1962257ba5b3903ab87) ([merge request](gitlab-org/gitlab!73604)) **GitLab Enterprise Edition**
- [Use allowlist for importing project attributes](gitlab-org/gitlab@c8c6f4687836bef271b162c5992ae034ad0ce080) ([merge request](gitlab-org/gitlab!72457))
- [Filter runner type via tabs](gitlab-org/gitlab@2f27901f299eb7555a486316110af253cbeb26a6) ([merge request](gitlab-org/gitlab!73680))
- [Update runner status badges and locked icon](gitlab-org/gitlab@02ab624c7642d0e1eaeb580e87fcdd4564913b28) ([merge request](gitlab-org/gitlab!73254))
- [Reorganise Jira Connect UI](gitlab-org/gitlab@b000e17571d15d04b89bc0264495dfa7a6b65d92) ([merge request](gitlab-org/gitlab!73714))
- [Update Rugged to v1.2.0](gitlab-org/gitlab@5def0d1caf9138d7ae7853ca65397ee5b5ce43f2) ([merge request](gitlab-org/gitlab!73915))
- [Vulnerability Chart: Fix selected state of buttons](gitlab-org/gitlab@31c993cd04803978ecebd8930f019fd5cd699cc8) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/73516)) **GitLab Enterprise Edition**
- [Log when primary host for DB load balancing is marked offline](gitlab-org/gitlab@9a13e3ee52e545fb3d8b02937045184b03ee3912) ([merge request](gitlab-org/gitlab!73904))
- [Review Adv Search admin UI text](gitlab-org/gitlab@998c396d2654eaf2d9dc5087961724939e0d2426) ([merge request](gitlab-org/gitlab!73269))
- [Load MR widget artifacts on mount](gitlab-org/gitlab@139a59e67ae54dd95ca87354c08b7906c6b964f8) ([merge request](gitlab-org/gitlab!71785))
- [Change API permissions to set epic of an issue](gitlab-org/gitlab@f97684dea8d3058001a88aabcb49c49c3a1de51c) ([merge request](gitlab-org/gitlab!66865)) **GitLab Enterprise Edition**
- [Use path_with_namespace for delete confirmation phrase](gitlab-org/gitlab@451f206d17989f0d6017bca6d5fc45e065504bf2) ([merge request](gitlab-org/gitlab!73506))
- [Flash a warning when not using index aliases](gitlab-org/gitlab@14d035b487afa677ad461bb672d98d6e5a95fa61) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/71609)) **GitLab Enterprise Edition**
- [Toggle file tree bolding based on file "Viewed" status](gitlab-org/gitlab@b3cc00ac9ea8e950ed9fc349a8fee858e0fb0d0f) ([merge request](gitlab-org/gitlab!73688))
- [Change Geo SSH proxy to internal primary URL](gitlab-org/gitlab@d7111269af72e6a331e87954559868ab864b2f8f) ([merge request](gitlab-org/gitlab!73738)) **GitLab Enterprise Edition**
- [Add empty state for CI mintues](gitlab-org/gitlab@8abb5284b3ff43a58d67c9cb4bb0e4c2a7939c61) ([merge request](gitlab-org/gitlab!73681)) **GitLab Enterprise Edition**
- [Runner status won't return "paused"](gitlab-org/gitlab@7c5173b6345f8d83a5313fa0364a072207ad7744) ([merge request](gitlab-org/gitlab!73530))
- [Add policy name to ScanExecutionPolicyCommit mutation](gitlab-org/gitlab@35a53cae27785da6d0b851a3709d8548cdb0f533) ([merge request](gitlab-org/gitlab!71994)) **GitLab Enterprise Edition**
- [Update omniauth-oauth2 and remove error verification monkey-patch](gitlab-org/gitlab@e54d847effd7dc00008c40f9f387365830a7f061) ([merge request](gitlab-org/gitlab!73658))
- [Add optional include_jobs param for CI lint APIs](gitlab-org/gitlab@55762622ad4c2982a7bb88ac60bd621a922d7241) ([merge request](gitlab-org/gitlab!72539))
- [Shift a user's contribution calendar based on their timezone setting](gitlab-org/gitlab@45f0d6aadc77fd0fd966d2d7c1eb911c6ccbb056) by @davebarr ([merge request](gitlab-org/gitlab!72938))
- [Updated texts and illustrations on Kubernetes page](gitlab-org/gitlab@9154ad4a14a2c74e8d43615c0860d0647cdd56ff) ([merge request](gitlab-org/gitlab!73586))
- [Improve run pipeline ux](gitlab-org/gitlab@32bfb6ac3e6ecc951f2928f625d6fea54f6a60ef) ([merge request](gitlab-org/gitlab!73479))
- [Add project count and coverage count to tooltip](gitlab-org/gitlab@bf87128d1707c90271802405f6806cc391fd01cb) ([merge request](gitlab-org/gitlab!73215)) **GitLab Enterprise Edition**
- [Remove not_null constraint and default for public_email](gitlab-org/gitlab@9ba66b0181b8c36e90b70c76b7dc26dc5d36def9) ([merge request](gitlab-org/gitlab!72514))
- [Replaced v-html with v-safe-html](gitlab-org/gitlab@7448898ed877680d979e7dd93618c53080c800bd) by @mehulsharma ([merge request](gitlab-org/gitlab!73371))
- [Refactor manual variables form](gitlab-org/gitlab@770107542007fa2094d0c83f82a3cc5965501921) ([merge request](gitlab-org/gitlab!73013))
- [Remove jira_connect_asymmetric_jwt feature flag](gitlab-org/gitlab@d5bbb49f5360cf50df66bbf1501a1b627000dab0) ([merge request](gitlab-org/gitlab!73540))
- [Revert temporary change for sending expiration email for all ssh keys](gitlab-org/gitlab@62dad96d489597400e3bf4bc4de1ea084ea1101a) ([merge request](gitlab-org/gitlab!73185))
- [Add clarification of repo size limits](gitlab-org/gitlab@e9fa6a15f912e834a282953940df6d271ec68c5d) ([merge request](gitlab-org/gitlab!73531))
- [Pluralize DevOps Report to DevOps Reports](gitlab-org/gitlab@13e84237be2d43fc6812efa7d870e5e2dd6c8ef7) ([merge request](gitlab-org/gitlab!73319))
- [Add limit-container-width to Jira create branch](gitlab-org/gitlab@1b29508bdb8a84f736b8a5395451d96e710f3f59) ([merge request](gitlab-org/gitlab!73521))
- [Restore namespace requirement for project deletion confirmation](gitlab-org/gitlab@d20ed309e7351854da31db2c4690bef7738e405d) ([merge request](gitlab-org/gitlab!73176))
- [Handle `Errno::ENETUNREACH` in `Gitlab::HTTP`](gitlab-org/gitlab@9e1e36c1e71c1f142b12b2f34562edf8cc047824) ([merge request](gitlab-org/gitlab!73507))
- [Enable `terms_of_service_vue` feature flag by default](gitlab-org/gitlab@b8174778b9593cbba708be6db472f1007af6c91b) ([merge request](gitlab-org/gitlab!73502))
- [Add links to Jira-related error messages](gitlab-org/gitlab@4a4c9839edb7ffdcbe59745212a314b6a4707741) ([merge request](gitlab-org/gitlab!72854))
- [Update breadcrumb toggle to inline](gitlab-org/gitlab@16e7f7a248accc22cd3cf08e821f734450899a9c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/72754))
- [Use GlAvatar in approval rule selector](gitlab-org/gitlab@20082d12e5174f3da1bed0d0d15d39b150fe417e) ([merge request](gitlab-org/gitlab!73334)) **GitLab Enterprise Edition**
- [Change the active link color in the sidebar](gitlab-org/gitlab@61ed7221c570530ce2eb22b0b0ba653e172737be) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/73077))
- [Moved clusters empty state to Vue component](gitlab-org/gitlab@b28bf503503cc9de7e734c1d661afa74b0bc2d57) ([merge request](gitlab-org/gitlab!73064))
- [Store trace files outside of a database transaction](gitlab-org/gitlab@6d80cdc624a8a27699201ec3c1036b1b5485a648) ([merge request](gitlab-org/gitlab!66203))
- [Exclude internal API and Geo git_ssh routes from secondary proxying](gitlab-org/gitlab@6b01a82a705882227e0000d524960bc9622ddd58) ([merge request](gitlab-org/gitlab!73202)) **GitLab Enterprise Edition**
- [Remove jQuery from Jira connect app](gitlab-org/gitlab@f531c64b3ad62fb69ff7809bebd7ce9bdcb67831) ([merge request](gitlab-org/gitlab!72105))
- [Add GITLAB_CDN_HOST to frame-src and worker-src](gitlab-org/gitlab@63daa954bd7ed4581852a12482dcfe0ad2c3d465) ([merge request](gitlab-org/gitlab!72542))
- [Only delete data from Elasticsearch 30 days after subscription expires](gitlab-org/gitlab@39a1ed5f4aabda478b56fb522c8c8e508354b47f) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/72923)) **GitLab Enterprise Edition**
- [feat: Set PersonalAccessToken default prefix](gitlab-org/gitlab@1f7d3d1832abd3c47fb6d0e8245477fc9fe2cdc6) ([merge request](gitlab-org/gitlab!73314))
- [Turn on Feature Flag of ZenTao](gitlab-org/gitlab@499a27c8587abe2dc8f6ea0f1e5f673641a138db) by @icbd ([merge request](gitlab-org/gitlab!72958))
- [Skip already imported merge requests on importer](gitlab-org/gitlab@4ac0e6711f357abe1e96ff53091fbaaa7b98ba50) ([merge request](gitlab-org/gitlab!69478))
- [Say when MR was approved by me](gitlab-org/gitlab@2846f45a8b547c95d826645be4a10f92c93eeaf6) by @KevSlashNull ([merge request](gitlab-org/gitlab!63174))
- [Update clusters index help paths](gitlab-org/gitlab@b74b6367a1b5b67e266e58950e182e03d657baa7) ([merge request](gitlab-org/gitlab!72012))
- [Change question marks to Learn More in Settings](gitlab-org/gitlab@1bea1a18a4323239c38ee47e1e1dc81be1cc2950) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/73130))
- [Enable dependency proxy by default](gitlab-org/gitlab@d9c19aa16db2fae08f8adae58cdfaf7cc4a49814) ([merge request](gitlab-org/gitlab!73290))
- [Re-position merge train help icon](gitlab-org/gitlab@00cd1f2e28fe9e881572eddbbe817069f15e2a8f) ([merge request](gitlab-org/gitlab!73184)) **GitLab Enterprise Edition**
- [Rename crm related policies and consider feature flag status](gitlab-org/gitlab@9b46e46671dbf2ffd2b7b7b4a8f8507799f8b782) by @leetickett ([merge request](gitlab-org/gitlab!73209))
- [Remove skip_legacy_diff_note_callback_on_import feature flag](gitlab-org/gitlab@d2e74ca749f3aaeeb147a0c1788818334f9170df) ([merge request](gitlab-org/gitlab!73207))
- [Use secured analyzer image for cluster image scanning](gitlab-org/gitlab@a10845868073e609ada3b2ac6f916581c2bb5cad) ([merge request](gitlab-org/gitlab!72940)) **GitLab Enterprise Edition**
- [Edit UI text](gitlab-org/gitlab@88e7205228551acfc08e51c6f09893201c6fae37) ([merge request](gitlab-org/gitlab!71985))
- [Add response in Publish a package file endpoint](gitlab-org/gitlab@18148d1dd5b247d9819ff56ca56aa9b82fc3260c) ([merge request](gitlab-org/gitlab!72201))
- [Update copy of branches_to_be_notified label](gitlab-org/gitlab@f3dcb70e907d72e6a723d6d91104c537ee9c914a) ([merge request](gitlab-org/gitlab!73098))
- [Migrate Terraform template to use rules syntax](gitlab-org/gitlab@a8684074106ba89f88680119a912e036c6393f2d) by @willianpaixao ([merge request](gitlab-org/gitlab!69634))
- [Link Pipeline Editor button to open in correct branch](gitlab-org/gitlab@2e42c5b1b9e3d1f074061d9004e0dec48a7105c9) ([merge request](gitlab-org/gitlab!73011))
- [Admin: card match can have different holder name](gitlab-org/gitlab@a9d489ca0d3d1f6985abbbd251ef05f9c1431702) ([merge request](gitlab-org/gitlab!72574)) **GitLab Enterprise Edition**
- [Fix translation of title of ZenTao](gitlab-org/gitlab@dd0fd0c5051f101c827ad8754a9f2b27e7b92914) by @icbd ([merge request](gitlab-org/gitlab!72960)) **GitLab Enterprise Edition**
- [Add "Load more" button to environment dropdown](gitlab-org/gitlab@995503b722f4d4d21adf2274bf0ebee016967168) ([merge request](gitlab-org/gitlab!72731)) **GitLab Enterprise Edition**
- [Convert dropdowns in Admin / Visiblity and access to radio buttons](gitlab-org/gitlab@6e0c8d37b0b5b203e855e046ac4300566c1f9ffa) ([merge request](gitlab-org/gitlab!72721))
- [Make cosmetic improvements to Geo Admin UI](gitlab-org/gitlab@166df95959632f25b6077a2ae3f17e4e4a1f01b4) ([merge request](gitlab-org/gitlab!72035)) **GitLab Enterprise Edition**
- [Remove the left-overs of `use-deprecated-sizes` attributes](gitlab-org/gitlab@fa536eede049a96e6ef94c356981c78e2d4cbdfa) ([merge request](gitlab-org/gitlab!73012))
- [Remove stage default from CI schema](gitlab-org/gitlab@99f2bd99e146a62eed4922cc83a22e45f18f5c98) ([merge request](gitlab-org/gitlab!72747))
- [Enable feature flag default on](gitlab-org/gitlab@caa0906e7f06d01bf310b4062b998a2d04319d2a) ([merge request](gitlab-org/gitlab!72837))
- [Replace registration token in registration modal](gitlab-org/gitlab@972d777103aa0f81efc80ec369fa1263d3863066) ([merge request](gitlab-org/gitlab!72705))
- [Move register runner information to a dropdown](gitlab-org/gitlab@e4071f727ba70745f4e48c12e43a7301a79b5bc4) ([merge request](gitlab-org/gitlab!72529))
- [Run GraphQL docs rake task on changes](gitlab-org/gitlab@15ceccd30c6dafb4e32aa801ce55207c83814a46) ([merge request](gitlab-org/gitlab!72891))
- [Removes cross-joins FF in MergeRequest#environements](gitlab-org/gitlab@48359ce146c03a020904a1b530cf9560dabbcb22) ([merge request](gitlab-org/gitlab!72884))
- [Redirect Geo HTTP(s) pulls to different path with missing repo](gitlab-org/gitlab@c98b04348cb7bed4dfe5438fac3808dac0526f95) ([merge request](gitlab-org/gitlab!72881)) **GitLab Enterprise Edition**
- [Hide private group name when access request is denied](gitlab-org/gitlab@a5594b08d3e21cbe10cc3aa3a5b2493567a790e5) ([merge request](gitlab-org/gitlab!72708))
- [Improve empty state when artifacts fail to load](gitlab-org/gitlab@e9bc002c93a11bf171f1b6ab8e105fd41714ae8e) by @mehulsharma ([merge request](gitlab-org/gitlab!71666))
- [Change enforcement label to status](gitlab-org/gitlab@63bdd6720e026dcde8f361a18872aeefb016824c) ([merge request](gitlab-org/gitlab!72394)) **GitLab Enterprise Edition**
- [Remove retarget_merge_requests feature flag](gitlab-org/gitlab@8d38b170a6c92d174b8109b9c5ab1491a33705e8) ([merge request](gitlab-org/gitlab!72782))
- [Handle MissingPersonalAccessTokenError on Go middleware](gitlab-org/gitlab@0ebc748804404d13b2b37a04e98a2ed6a3741421) ([merge request](gitlab-org/gitlab!72671))
- [Add missing labels when password is filled out](gitlab-org/gitlab@e9d27520a5e540e576564768a4b7b3544ce535c2) ([merge request](gitlab-org/gitlab!71970))
- [UI polish on the webhook log page](gitlab-org/gitlab@91733c8dcf9ed694b144ee238a982c4a3009801c) ([merge request](gitlab-org/gitlab!71872))
- [Fix ZenTao spelling](gitlab-org/gitlab@c9c4b607bccd1d758f171e6cfaf1c1b806b08349) by @icbd ([merge request](gitlab-org/gitlab!72561)) **GitLab Enterprise Edition**
- [Update audit events date range filter](gitlab-org/gitlab@ff64ae2df3ee5116405f901d186a8e0d34b53007) ([merge request](gitlab-org/gitlab!71671)) **GitLab Enterprise Edition**
- [Improve merge blocked text](gitlab-org/gitlab@94ab56adecf63ecfb7e2d9b3218f27e67d78c789) ([merge request](gitlab-org/gitlab!72520)) **GitLab Enterprise Edition**
- [Show CSV and json artifact download on security tab and merge request](gitlab-org/gitlab@f285c4917b5c90e1e2c01be4eb431b9b8cdac0d6) ([merge request](gitlab-org/gitlab!72060))
- [Add custom label GitHub status check checkbox](gitlab-org/gitlab@3091c55fe6cce44df58fc5830710672cd0677295) ([merge request](gitlab-org/gitlab!72566)) **GitLab Enterprise Edition**
- [Use default timeouts for Jira calls](gitlab-org/gitlab@9d854558304b005bfb385f61ed11dd11a13ab8c8) ([merge request](gitlab-org/gitlab!72571))
- [Deduplicate http transport creation](gitlab-org/gitlab@c8a45af37ee4fb99ee84241c78fa3a5331d1c09b) ([merge request](gitlab-org/gitlab!69471))
- [Update Terraform.latest.gitlab-ci.yml template](gitlab-org/gitlab@a36e00c1b8a42bf22280734cd21cd26c8323ba43) by @willianpaixao ([merge request](gitlab-org/gitlab!71188))
- [Does not update Geo node if running on a primary site](gitlab-org/gitlab@651dd5cf0c671d9ecce213ef3cdb2bae9e7af59c) ([merge request](gitlab-org/gitlab!72530)) **GitLab Enterprise Edition**
- [Remove `roadmap_daterange_filter` ff & legacy code](gitlab-org/gitlab@605d5dca2b2dd53364ffa70ce8d70a08ea58acb3) ([merge request](gitlab-org/gitlab!72419)) **GitLab Enterprise Edition**
- [Use Gitlab::HTTP in download method](gitlab-org/gitlab@e225ad3e80db5af9e4cae6fbb175e0b47048eb7f) ([merge request](gitlab-org/gitlab!72465))
- [Order Deployments by Finish Time](gitlab-org/gitlab@75c9f7e32b16a4b7069b283d2d0c2d7f026507ad) ([merge request](gitlab-org/gitlab!71767))
- [Enable flag group_authorized_agents by default](gitlab-org/gitlab@09bb3c0445a5787c97fe26e9f8e83049647bce5e) ([merge request](gitlab-org/gitlab!72319))
- [Drop Vulnerabilites that would be invalid as well](gitlab-org/gitlab@317151e170fcdf7d50550a05f701b8b7d7a8f405) ([merge request](gitlab-org/gitlab!71752))
- [Rename Import Uploader Extension Allowlist Constant](gitlab-org/gitlab@27bf30563fba8d71ebfe28dd92a13b4633165611) ([merge request](gitlab-org/gitlab!63236))

### Deprecated (1 change)

- [Remove include MR description checkbox and deprecate related API field](gitlab-org/gitlab@18819eeca2922f9d52959c99f9d9ce28940e6784) by @trakos ([merge request](gitlab-org/gitlab!64437))

### Removed (6 changes)

- [Remove chat_names -> ci_pipeline_chat_data FK](gitlab-org/gitlab@155c821a513aaec5e525ce79f4d35bdaf7dc5670) ([merge request](gitlab-org/gitlab!74404))
- [Remove deprecated WIP from GraphQL](gitlab-org/gitlab@29a85cfe949c428afe362c2b8dd2e54b8e497ee7) ([merge request](gitlab-org/gitlab!73349))
- [Remove frontend for editing of Jira labels](gitlab-org/gitlab@83e98e05d3843e881d338a3fecdd06b29c49f03a) ([merge request](gitlab-org/gitlab!73668)) **GitLab Enterprise Edition**
- [Remove jobs and projects columns](gitlab-org/gitlab@e15a5196f4368ba951e3f8108d2ca058a9af863b) ([merge request](gitlab-org/gitlab!73472))
- [Remove the DORA DF feature flag in VSA](gitlab-org/gitlab@8d83b74453f8d4c18f67ee6b4958027bc2970a41) ([merge request](gitlab-org/gitlab!73719))
- [Remove product analytics tracking](gitlab-org/gitlab@eae5f187c4d0ab6dcd0168d5db89850740ae0c9b) ([merge request](gitlab-org/gitlab!72042))

### Security (15 changes)

- [Add reCAPTCHA to password reset and confirmation email forms](gitlab-org/gitlab@6fa2efdfe258414b2acf41fba11044e997a88ad7) ([merge request](gitlab-org/gitlab!72331))
- [Highlight usage of unicode bidi characters](gitlab-org/gitlab@3fb44197195b5789b99a13f7bf482e9a895dfc58)
- [Fix dompurify.js to prevent path traversal attacks](gitlab-org/gitlab@bff4673d75cefd130b567f1b02ba3f26d62f983d)
- [Refresh authorizations on transfer of groups having project shares](gitlab-org/gitlab@f35d2f170059bf667936b7bca7a72c6f30c677d3)
- [Don't allow author to resolve discussions when MR is locked via GraphQL](gitlab-org/gitlab@ba230b385b1246ec19b755a61745de28efcf782e)
- [Workhorse: Allow uploading only a single file](gitlab-org/gitlab@254e11b7a8d2ac081cf5602c19646040453af7fc)
- [Adding a '[redacted]' to mask private email addresses](gitlab-org/gitlab@b84cf6dd7ddfc1c17c2327150975930669cadf95)
- [Avoid decoding the whole tiff image on isTIFF check](gitlab-org/gitlab@486ee8411cde78eb3a510456f3e3e6277f360c45)
- [Respect visibility level settings when updating project via API](gitlab-org/gitlab@35a1f06f3748a0da0d50c72db5e18698a7116627)
- [Only include visible groups a project is shared with](gitlab-org/gitlab@4d1265e4ac6cda24ae7a12fbb5183e64de0472a8)
- [Stop using 'self' in the CSP's frame-src directive](gitlab-org/gitlab@005603b24f2dc92dc78be53c1a0b647657c12c7c) ([merge request](gitlab-org/gitlab!71345))
- [Do not display the root password by default](gitlab-org/gitlab@b4b8d80d00780fbb80ecac7506dcdcfb328d4f03)
- [Group owners should see SCIM token only once](gitlab-org/gitlab@7cec14e42e40e6489665828ee88bb6fa9f9653c1) **GitLab Enterprise Edition**
- [Set PipelineSchedules to inactive](gitlab-org/gitlab@03d2b9600b226593b896a222f291202fff0d40ac)
- [Do not allow Applications API to create apps with blank scopes](gitlab-org/gitlab@0c59b0a577915c3ed530ef2dee1543f7251aaaa5)

### Performance (25 changes)

- [Enable API v3 `branches/:sha` partial response](gitlab-org/gitlab@7a20e62e39bebbe6ca2fcc2c638e1527a4620af5) ([merge request](gitlab-org/gitlab!74355))
- [Avoid cross-joins in PipelinesForMergeRequestFinder](gitlab-org/gitlab@51df5a072802b71d0c69f7a7ea411b83c1429fbf) ([merge request](gitlab-org/gitlab!74293))
- [Improve ETag caching for issue discussions](gitlab-org/gitlab@4c550234b090a2de5c47469ea4791fbdc1ef9faf) ([merge request](gitlab-org/gitlab!74272))
- [GraphQL user.groups node authorization DB query count optimization](gitlab-org/gitlab@58fd8844fbc4c1abb331213755dc9868dbd6efa2) ([merge request](gitlab-org/gitlab!73121))
- [Remove unused index index_for_resource_group on ci_builds](gitlab-org/gitlab@27c4a288e1788fa0b3715717f6bed36ed99fbfef) ([merge request](gitlab-org/gitlab!74018))
- [Remove startup JS call for issue notes](gitlab-org/gitlab@62afe29cc5cbead8c0a24ee7de80a7c0b04f106f) ([merge request](gitlab-org/gitlab!74146))
- [Use keyset pagination when fixing diff commits](gitlab-org/gitlab@0687ed31ca5f002c96132d0d733d931fdca2d677) ([merge request](gitlab-org/gitlab!73836))
- [Enable workhorse_use_sidechannel by default](gitlab-org/gitlab@a09edca131894868c060ab9e2b1b5d99a9e6a3c1) ([merge request](gitlab-org/gitlab!73536))
- [Omit query params for discussions.json](gitlab-org/gitlab@31aa4311d1429a39d936b368c56d0c926497516e) ([merge request](gitlab-org/gitlab!73089))
- [Add index to events table support UMAU metric](gitlab-org/gitlab@8b781a35d79e5214d3195c9f3e135c359d32355f) ([merge request](gitlab-org/gitlab!73273))
- [Use new worker/service to refresh authorizations of project members](gitlab-org/gitlab@f28aeac8c21d39a02e18524efbdb5c5b9563e3e9) ([merge request](gitlab-org/gitlab!73337))
- [Add an index on vulnerability_occurrence_pipelines](gitlab-org/gitlab@a09fb11d6fccb7fb4d951717016df521b147db36) ([merge request](gitlab-org/gitlab!73255))
- [Add index for cluster_id in vulnerability_occurrences location](gitlab-org/gitlab@3b6bc848186e2e17fad3ef3d6247317c5240d381) ([merge request](gitlab-org/gitlab!72882))
- [Default enable new_graphql_keyset_pagination](gitlab-org/gitlab@6032662ecba69405c891e8aa9fe6dc983fe0b72f) ([merge request](gitlab-org/gitlab!72942))
- [Omit WHERE clause for NOT labels filter when empty](gitlab-org/gitlab@dce09398e054c26d9aae5fce884e34af62e9055d) ([merge request](gitlab-org/gitlab!73230))
- [Remove releases author_id index](gitlab-org/gitlab@45f7b0d53fba3b2f8beca308b77f79462e16c43a) ([merge request](gitlab-org/gitlab!72993))
- [Optimize JIRA ref lookup](gitlab-org/gitlab@1993feb5e100c04f33c876ba1b9b7a9083227d8a) ([merge request](gitlab-org/gitlab!72739))
- [Recreate broken ci_builds index](gitlab-org/gitlab@3c69765c0aaf8360171d8fb929eb62a1421e5368) ([merge request](gitlab-org/gitlab!71990))
- [Fix N+1 query in VulnerabilitiesResolver](gitlab-org/gitlab@17d45deea3692293f20b9ce17024d69483966f75) ([merge request](gitlab-org/gitlab!72985)) **GitLab Enterprise Edition**
- [Cleanup update_deployment_after_transaction_commit feature flag](gitlab-org/gitlab@f823b146446019eb6b0f6f17214ba0bc7e36d566) ([merge request](gitlab-org/gitlab!72755))
- [Search for group descendants through a btree](gitlab-org/gitlab@ec0cdd21e7b09b4e06aba529f4b9f8813a133a17) ([merge request](gitlab-org/gitlab!69535))
- [Improve TBT on file source view](gitlab-org/gitlab@95dae81e11ab95bf8793471b00e5213dcffbddf8) ([merge request](gitlab-org/gitlab!72606))
- [Cache CI variables used for rules evaluation](gitlab-org/gitlab@084f1ad54b0eafa53d21c83e002efc005d487e4a) ([merge request](gitlab-org/gitlab!72602))
- [Speed up Sidekiq size limiter middleware](gitlab-org/gitlab@af9327e6ea6e1915aa4f392ac0519c51f41de965) ([merge request](gitlab-org/gitlab!72435))
- [Remove use of Redis multi in Sidekiq client](gitlab-org/gitlab@e2afebc199f13f5d9321d5883e47916d3d0a7bbf) ([merge request](gitlab-org/gitlab!72473))

### Other (78 changes)

- [Fix the offenses introduced by Style/OpenStructUse](gitlab-org/gitlab@8f392435bbc402476b06b6ca197d388398c8b3bb) by @edith007 ([merge request](gitlab-org/gitlab!74197))
- [Fix OpenStruct use](gitlab-org/gitlab@29afe4ac550e25ef377298e117af18c49d8ea7d5) by @mehulsharma ([merge request](gitlab-org/gitlab!74415)) **GitLab Enterprise Edition**
- [Fix OpenStruct use](gitlab-org/gitlab@cab0eb279117f1e349d0fffda8686c07fcfada7f) by @mehulsharma ([merge request](gitlab-org/gitlab!74620))
- [Set total of Progress bar nil when replication is disabled](gitlab-org/gitlab@64716b33b1a79c1d4991d23324cc8625c8dee47d) by @edith007 ([merge request](gitlab-org/gitlab!68303)) **GitLab Enterprise Edition**
- [Add post deploy migration to remove open_project_data](gitlab-org/gitlab@e5543c4b536b41a82d78500464648157bbbc51e8) by @lenikadali ([merge request](gitlab-org/gitlab!71116))
- [Create pipeline trigger application limits](gitlab-org/gitlab@e7b6e65aff212a749fb40232a79c4fc4089ab805) ([merge request](gitlab-org/gitlab!73985))
- [Convert admin users page tabs to Pajamas](gitlab-org/gitlab@b82a4bd4a65a0788a643b10815aca79cb1a256e1) ([merge request](gitlab-org/gitlab!74011))
- [Geo: Remove legacy code for upload sync](gitlab-org/gitlab@3fc77c2bf6828f8f3bb602324085644e02e14b90) ([merge request](gitlab-org/gitlab!72714))
- [Cleanup feature flag gitaly_tags_finder](gitlab-org/gitlab@ede40667b60504b6b69108875d1c1551ea8a452f) ([merge request](gitlab-org/gitlab!74406))
- [Remove `paginated_tree_graphql_query` feature flag](gitlab-org/gitlab@af6c4bf7f749bce63ec8bf4767175c55c34ff45e) ([merge request](gitlab-org/gitlab!72512))
- [Convert labels page tabs to Pajamas](gitlab-org/gitlab@ad9a628a3139c458c2e0e551a95025a00b99d7e0) ([merge request](gitlab-org/gitlab!74006))
- [Set user's highlight theme for the Blame page during SSR](gitlab-org/gitlab@3d9da5c498baafe93f8774b69107b519dcaa4503) by @cyberap ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/74335))
- [Convert projects dashboard tabs to Pajamas](gitlab-org/gitlab@fefe70a1826261e0d943032f4db7f1e61f4c0ffc) ([merge request](gitlab-org/gitlab!74004))
- [Convert snippets page tabs to Pajamas](gitlab-org/gitlab@f151421ec1c75750c3e736c500e4c197e51dab0e) ([merge request](gitlab-org/gitlab!73995))
- [Convert projects explore page tabs to Pajamas](gitlab-org/gitlab@f599bf0ccb146cfcb84f655ecbd2a6b9d8546774) ([merge request](gitlab-org/gitlab!74007))
- [Convert admin users page tabs to Pajamas](gitlab-org/gitlab@c96a99d2f8addd95540bd40b203a520ff222ddf6) ([merge request](gitlab-org/gitlab!74014))
- [Convert pipeline schedules page tabs to Pajamas](gitlab-org/gitlab@60ff426c309e191f7b1af8586906b5c3d4ff33a7) ([merge request](gitlab-org/gitlab!74002))
- [Convert commit tabs to pajamas](gitlab-org/gitlab@ce5e44e69c8ce593bbc7fe6e15ddd90d0e83eba8) ([merge request](gitlab-org/gitlab!73970))
- [Decouple group's storage table from feature flag](gitlab-org/gitlab@0aa7613a05c05dc99d3277495197367dcb617624) ([merge request](gitlab-org/gitlab!73237)) **GitLab Enterprise Edition**
- [Add with_highest_role_minimal_access to statistics](gitlab-org/gitlab@15b863d07246e475ba7627726cf6b701f1a4e925) ([merge request](gitlab-org/gitlab!73651))
- [Update GlTab helpers](gitlab-org/gitlab@09d95dcac1938ccf49e7cfed4fcbbe6a3dfcb280) ([merge request](gitlab-org/gitlab!74181))
- [Hide details for invited members in seats usage](gitlab-org/gitlab@5601765b04a4aaadde4e40f24591fc4e8ef5df63) ([merge request](gitlab-org/gitlab!74224)) **GitLab Enterprise Edition**
- [Adds margin to billings page](gitlab-org/gitlab@e0de376b574c1801e76acf036722f4595a5f2a60) ([merge request](gitlab-org/gitlab!74221)) **GitLab Enterprise Edition**
- [Enabling jupyter_clean_diff by default](gitlab-org/gitlab@a578853e0d21f8dcfec3c176f8e51d0b5b3e7df7) ([merge request](gitlab-org/gitlab!74187))
- [Remove report_on_long_redis_durations flag](gitlab-org/gitlab@11eb211ee655d9d95b02275b678c431d5e2c36b5) ([merge request](gitlab-org/gitlab!74183))
- [Replace dotenv constants with application limits](gitlab-org/gitlab@8fc6799a56220d78d6910220d55aac9525f905fe) ([merge request](gitlab-org/gitlab!73855))
- [Convert search tabs to pajamas](gitlab-org/gitlab@c0d202b20fefd7f06c6152b07640844c62369043) ([merge request](gitlab-org/gitlab!73983))
- [Convert blob editor tabs to pajamas](gitlab-org/gitlab@77f6de74044cf0f5b61f9dafe68281bfb1d90058) ([merge request](gitlab-org/gitlab!73993))
- [Convert markdown field tabs to pajamas](gitlab-org/gitlab@b288ae83d010442b89ecd55ff64508c1446d7411) ([merge request](gitlab-org/gitlab!73987))
- [Convert credential inventory tabs to pajamas](gitlab-org/gitlab@389c65bdcaaa80ea06c4004c94ec5aa134ae45a9) ([merge request](gitlab-org/gitlab!73974)) **GitLab Enterprise Edition**
- [Migrate requirement to work items](gitlab-org/gitlab@d787d48626a92fcd545c10947b9c9c5bc0e1347e) ([merge request](gitlab-org/gitlab!71778))
- [Convert explore tabs to pajamas](gitlab-org/gitlab@e043fff6625130c7b1f144056f11f5daf0220557) ([merge request](gitlab-org/gitlab!73956))
- [Convert explore tabs to pajamas](gitlab-org/gitlab@e406816c3f528621123f9e7f1a6d111f90a08bc2) ([merge request](gitlab-org/gitlab!73959))
- [Remove rate limiter feature flag](gitlab-org/gitlab@395d7ca5a95e1e0e6dd2c0af139f93d7cf057df6) ([merge request](gitlab-org/gitlab!73939))
- [Improve Blame Page rendering performance](gitlab-org/gitlab@32e45383f01517c687294b2e72aeb8f9f9f74a97) by @cyberap ([merge request](gitlab-org/gitlab!73885))
- [Convert product analytics tabs to pajamas](gitlab-org/gitlab@8c18ed02a7d1020c233ab767e743dc4455ddcf37) ([merge request](gitlab-org/gitlab!73862))
- [Drop ci_build_trace_sections table and related](gitlab-org/gitlab@b24c3873de1f99179ebfd115ce44ee2fef993b6b) ([merge request](gitlab-org/gitlab!73841))
- [Changed the chronological order of Job history sequence on CI Job](gitlab-org/gitlab@729f105ee2b2ee65d28c0e6ebd5aed5372a7af66) by @edith007 ([merge request](gitlab-org/gitlab!68753))
- [Remove FF ci_create_external_pr_pipeline_async](gitlab-org/gitlab@cb49dc14536d3b1c7837a8e30c5f7b15792f5667) ([merge request](gitlab-org/gitlab!73828))
- [Remove FF ci_new_artifact_file_reader](gitlab-org/gitlab@ca8e9af383be73b826a9df6cb12682661860ca54) ([merge request](gitlab-org/gitlab!73763))
- [Fix the Style/OpenStructUse Cop offense for Guardfile](gitlab-org/gitlab@ad3b51bbdb948f37926a32ceaf395adee8049457) by @edith007 ([merge request](gitlab-org/gitlab!65386))
- [Remove the packages_remove_cross_joins_to_pipelines feature flag](gitlab-org/gitlab@aad1b85da4e13e357782bfa1036b1a6c0a53cbba) ([merge request](gitlab-org/gitlab!73751))
- [Remove the container_registry_expiration_policies_caching feature flag](gitlab-org/gitlab@7cced2645d8ee55c02d9ebf0e5b028bb006e546d) ([merge request](gitlab-org/gitlab!73737))
- [Remove include_sti_condition flag](gitlab-org/gitlab@a4b4fbfe224232cc8550b3db92240e5d5f16b053) ([merge request](gitlab-org/gitlab!73734))
- [Expose 'blocked' attribute on epic issues endpoint](gitlab-org/gitlab@036e9852a72dcc8f43bb805afcf13db50a4d4316) ([merge request](gitlab-org/gitlab!73308)) **GitLab Enterprise Edition**
- [Removed new_customersdot_staging_url feature flag](gitlab-org/gitlab@35eda894e1cd509380ff91461381df65e06004d5) ([merge request](gitlab-org/gitlab!73666))
- [Remove variable_inside_variable feature flag](gitlab-org/gitlab@9e60bd9a471849eaaff7aa954afc714778f245aa) ([merge request](gitlab-org/gitlab!73662))
- [Add spacing at top of project/group blank new forms](gitlab-org/gitlab@b9353cee2290e603b214e2fb91b43f263d40166a) ([merge request](gitlab-org/gitlab!73205))
- [Exclude ProjectNamespaces from GraphQL namespace results](gitlab-org/gitlab@baf4ef770f03a1234224d29c88731791b8c3a3b2) ([merge request](gitlab-org/gitlab!73351))
- [Pass formats explicitly when rendering .md.erb](gitlab-org/gitlab@4a307a690bd6aeed824317056a0dde14bfdc7bd4) by @edith007 ([merge request](gitlab-org/gitlab!73420)) **GitLab Enterprise Edition**
- [Remove pipeline association from Vulnerabilities::Finding](gitlab-org/gitlab@84b9c5bcaa988e30501632c66de068fbfa489673) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/73115)) **GitLab Enterprise Edition**
- [Remove release_evidence feature flag](gitlab-org/gitlab@8d9f643b380b72d14ba6c0fa7d0bf789291d61f4) ([merge request](gitlab-org/gitlab!73503))
- [Fix the offences introduced by Performance/OpenStruct](gitlab-org/gitlab@4b9efcaf9bed5895d312679ee60c8aa1537900d7) by @edith007 ([merge request](gitlab-org/gitlab!70900))
- [Add icons to project's storage table](gitlab-org/gitlab@450f6c19708f0fb5d95800f841560ad3d56d2e8d) ([merge request](gitlab-org/gitlab!72524))
- [Cleanup unused tagging records](gitlab-org/gitlab@2cd94915d477b0e6fc7199a13a6a66c1ca015a37) ([merge request](gitlab-org/gitlab!73260))
- [Backfill default namespace as User namespace](gitlab-org/gitlab@f9d95243da3e0f9006fe4dcdfda8cc9492655970) ([merge request](gitlab-org/gitlab!71510))
- [Pass formats explicitly when rendering svg icons](gitlab-org/gitlab@2852c6055781cab52202cb32deb0cc2e6462eaac) by @edith007 ([merge request](gitlab-org/gitlab!73418))
- [Pass formats explicitly when rendering svg icons](gitlab-org/gitlab@6f9b1968774a9b87a4cd9b69dba6d724148270e1) by @edith007 ([merge request](gitlab-org/gitlab!73417))
- [Pass formats explicitly when rendering svg icons](gitlab-org/gitlab@e0a3233df796f3d9f35c977024c3dd13c0cd3f89) by @edith007 ([merge request](gitlab-org/gitlab!73415))
- [Enable quarantined service ping metrics](gitlab-org/gitlab@7197509e00b6929f88da465ec9dba59ff0d2311d) ([merge request](gitlab-org/gitlab!73348)) **GitLab Enterprise Edition**
- [Replace v-html with v-safe-html to improve frontend security posture](gitlab-org/gitlab@809b12710d0e65671cddfc8a6c8a88fe5d48c30f) by @edith007 ([merge request](gitlab-org/gitlab!72912))
- [Improve User Exprience for Blame page](gitlab-org/gitlab@53ec56009b1092a58e57fe003eb91f2797e53b90) by @cyberap ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/73173))
- [Mark all time events ServicePing metric as broken](gitlab-org/gitlab@3af1f00ff62be735735d3fce875c1f9a09276631) ([merge request](gitlab-org/gitlab!73266))
- [Restore MR to populate MR diff commit users](gitlab-org/gitlab@422f65be80087c0f2c7d83186e7b866d70870570) ([merge request](gitlab-org/gitlab!73068))
- [Fixing the deprecation warning as using `.` in template has deprecated](gitlab-org/gitlab@58d603bd3dfeddb0194d23c7df7e99cf869c50e1) by @edith007 ([merge request](gitlab-org/gitlab!72842))
- [Drop redundant broken index](gitlab-org/gitlab@6f061f0b9c33c666769ef16a993c2c6ab053a9c7) ([merge request](gitlab-org/gitlab!72889))
- [Refactor protected paths UI and documentation](gitlab-org/gitlab@0f8fc0b0f2cac8d1deca5a6f9d671db7564cb761) ([merge request](gitlab-org/gitlab!72157))
- [Update GitLab Runner Helm Chart to 0.34.0](gitlab-org/gitlab@39538ec722da0fe70d5b570bde2762cc0f03700e) ([merge request](gitlab-org/gitlab!73001))
- [Update gitlab-dangerfiles to 2.3.1](gitlab-org/gitlab@cd8dd8e4a9151e6e487efb045ced15e2cca51b8a) ([merge request](gitlab-org/gitlab!72422))
- [Remove the dast_on_demand_scans_scheduler feature flag](gitlab-org/gitlab@e12031e32b4e24dc36ea246d6fa4e433cc340887) ([merge request](gitlab-org/gitlab!72953)) **GitLab Enterprise Edition**
- [Fix storage row line height](gitlab-org/gitlab@ebb97b803461a0c0007ff70e202427814e9cf7d9) ([merge request](gitlab-org/gitlab!72861)) **GitLab Enterprise Edition**
- [Remove managed cluster alerts feature flag](gitlab-org/gitlab@e76d58137167358d2a934846cbdca299d9ba2e5e) ([merge request](gitlab-org/gitlab!63829))
- [Schedule migration to remove duplicate Findings](gitlab-org/gitlab@59da2c5664f161dc8cbd1eed5b7afb3fce43b65c) ([merge request](gitlab-org/gitlab!72528))
- [Show all storage types in project's storage usage](gitlab-org/gitlab@8d5273b22a395ddcfc901d2c82db242ef17be938) ([merge request](gitlab-org/gitlab!72582))
- [Remove ci_synchronous_artifact_parsing feature flag](gitlab-org/gitlab@06c45bd2db99fe8fda85b2d383a6472c104137f6) ([merge request](gitlab-org/gitlab!72618))
- [Add pipeline artifacts, packages and uploads size to group REST API](gitlab-org/gitlab@fc6fdede8e459e83df4d048868ee96f3e1a49489) by @guillaume.chauvel ([merge request](gitlab-org/gitlab!72075))
- [Add pipeline artifacts and uploads sizes to project REST API](gitlab-org/gitlab@58d66f28faf42ae98ca11ff1ba0bdd9180e988ad) by @guillaume.chauvel ([merge request](gitlab-org/gitlab!72075))
- [Remove not used parameter from epics finder](gitlab-org/gitlab@49fce172b57b2f376a114726b1dd1900fe36a238) ([merge request](gitlab-org/gitlab!72285)) **GitLab Enterprise Edition**

## 14.4.5 (2022-01-11)

No changes.

## 14.4.4 (2021-12-03)

No changes.

## 14.4.3 (2021-12-01)

### Fixed (6 changes)

- [Check validation only if new record of license](gitlab-org/gitlab@5e0834a921dad1b1e07119de629ea44eb0ad5733) ([merge request](gitlab-org/gitlab!75421)) **GitLab Enterprise Edition**
- [Fix for hexadecimal branch deletion](gitlab-org/gitlab@fc3c2f211d5a2f190032c4d0109e2bcb31050b4d) ([merge request](gitlab-org/gitlab!75421))
- [Geo - Fix no repo error message for group-level wikis](gitlab-org/gitlab@bdf3a712a4bfe245dfa7e7a90c24f2fdb482e309) ([merge request](gitlab-org/gitlab!75421)) **GitLab Enterprise Edition**
- [Prevent Git operations from checking replication lag on non-Geo-secondary sites](gitlab-org/gitlab@c158c01027f61aadd1c72f0817731d368d0d58cc) ([merge request](gitlab-org/gitlab!75421)) **GitLab Enterprise Edition**
- [Allow SSO callbacks through maintenance mode](gitlab-org/gitlab@1acae9807b1808ac360a4be098a50c547c9540b9) by @dzaporozhets ([merge request](gitlab-org/gitlab!75421)) **GitLab Enterprise Edition**
- [Fix 2FA setup for LDAP users](gitlab-org/gitlab@9b9a7230aed3ffeef3e8f608dd1a569397c71684) ([merge request](gitlab-org/gitlab!75421))

## 14.4.2 (2021-11-08)

### Fixed (3 changes)

- [Skip retrying for reads on connection errors if primary only](gitlab-org/gitlab@8e1976ed75bd6c606d49c83863cf46bf3c4d5070) ([merge request](gitlab-org/gitlab!73919))
- [Fix error 500 loading branch with UTF-8 characters with performance bar](gitlab-org/gitlab@67ddc428472d57bb3d8a4a84eb0750487a175f75) ([merge request](gitlab-org/gitlab!73919))
- [Skip st_diff callback setting on LegacyDiffNote when importing](gitlab-org/gitlab@84f5c66321473cd702b3b671584054fcf3d141ae) ([merge request](gitlab-org/gitlab!73919))

### Changed (1 change)

- [Remove skip_legacy_diff_note_callback_on_import from legacy diff note](gitlab-org/gitlab@547a2ec29ea9e9299eab727899c3d90886ffc21c) ([merge request](gitlab-org/gitlab!73919))

### Performance (1 change)

- [Prevent Sidekiq size limiter middleware from running multiple times on the same job](gitlab-org/gitlab@294c01be38d400607536fb20a2038e098c0f0e28) ([merge request](gitlab-org/gitlab!73919))

## 14.4.1 (2021-10-28)

### Security (13 changes)

- [Highlight usage of unicode bidi characters](gitlab-org/security/gitlab@cef762a270783780112c7bf318e353a39de1aa1e) ([merge request](gitlab-org/security/gitlab!1937))
- [Fix dompurify.js to prevent path traversal attacks](gitlab-org/security/gitlab@9a891cbe465a302f260f0f81fc490cacb9e8c70e) ([merge request](gitlab-org/security/gitlab!1929))
- [Refresh authorizations on transfer of groups having project shares](gitlab-org/security/gitlab@bdf8b6e90d0a1f719c0f389f29ea5dc41c22f119) ([merge request](gitlab-org/security/gitlab!1916))
- [Adding a '[redacted]' to mask private email addresses](gitlab-org/security/gitlab@324fe6286b266c3990676bc93b3f6ab03eea5f6b) ([merge request](gitlab-org/security/gitlab!1927))
- [Do not allow Applications API to create apps with blank scopes](gitlab-org/security/gitlab@4e2c4d2a88acf7167e1078e8a27679545ab90c9c) ([merge request](gitlab-org/security/gitlab!1922))
- [Don't allow author to resolve discussions when MR is locked via GraphQL](gitlab-org/security/gitlab@34ffcb55a70ad6db38292f79fe73c05fb2655738) ([merge request](gitlab-org/security/gitlab!1919))
- [Workhorse: Allow uploading only a single file](gitlab-org/security/gitlab@0aee710db4bbab84c78b9e38f459bfca606aaf80) ([merge request](gitlab-org/security/gitlab!1913))
- [Set PipelineSchedules to inactive](gitlab-org/security/gitlab@de405edc9de4519656675ed6825534aac6b738da) ([merge request](gitlab-org/security/gitlab!1911))
- [Do not display the root password by default](gitlab-org/security/gitlab@138a62f89ce6616d63e3cf18eeda291a380b9ebc) ([merge request](gitlab-org/security/gitlab!1909))
- [Group owners should see SCIM token only once](gitlab-org/security/gitlab@43d19f580543d0203b1d841f921536474ca4be38) ([merge request](gitlab-org/security/gitlab!1906)) **GitLab Enterprise Edition**
- [Respect visibility level settings when updating project via API](gitlab-org/security/gitlab@f96258f3622cf72b46158f22c4660ff60a2c25ae) ([merge request](gitlab-org/security/gitlab!1903))
- [Avoid decoding the whole tiff image on isTIFF check](gitlab-org/security/gitlab@b93683df51ce85f909d5072ec2a0e7756d64038e) ([merge request](gitlab-org/security/gitlab!1899))
- [Remove external_webhook_token from exported project](gitlab-org/security/gitlab@874aa74a23fc3c44f390500bc8379c30ebc51452) ([merge request](gitlab-org/security/gitlab!1872))

## 14.4.0 (2021-10-21)

### Added (79 changes)

- [Upgrade GitLab Pages to 1.46.0](gitlab-org/gitlab@e606ddc078a2fe55658abb33924fac5699376953) ([merge request](gitlab-org/gitlab!72383))
- [Support math expressions in the Content Editor](gitlab-org/gitlab@3e60388da219b0b33fa032f50bf087fd5b7845c0) ([merge request](gitlab-org/gitlab!72153))
- [Add Reviewer names](gitlab-org/gitlab@925c1246984a33b4c408848298dc544757656499) ([merge request](gitlab-org/gitlab!72244))
- [Geo: Enable Upload replication using SSF by default](gitlab-org/gitlab@99543ee585f7f35f84f19e08b2ccba6428341a2b) ([merge request](gitlab-org/gitlab!72199)) **GitLab Enterprise Edition**
- [Add username attribute support for GitLab.com Group SAML SSO](gitlab-org/gitlab@085254b32ebdb6269636c774de9d88cbabc5bed9) ([merge request](gitlab-org/gitlab!72134)) **GitLab Enterprise Edition**
- [Expose issue contacts via GraphQL](gitlab-org/gitlab@2dc68a486afeffd1b64b78fcbeae537c030d7dfa) by @leetickett ([merge request](gitlab-org/gitlab!71889))
- [Add source instance version validation for project](gitlab-org/gitlab@44c33c0ceb7c4507c94f1c7fda5811d81d5fdf9c) ([merge request](gitlab-org/gitlab!71423))
- [Add top-level GraphQL query for single board list](gitlab-org/gitlab@2740bda696e362f7fd92f567b3e13f063b6677cf) ([merge request](gitlab-org/gitlab!67909))
- [Allow to setup Documentation pages URL for help pages redirects](gitlab-org/gitlab@3f3566ab09ce35ac3a636a22e65e40927e63cab9) ([merge request](gitlab-org/gitlab!71737))
- [DevOps Adoption: Add "trend over time" graph](gitlab-org/gitlab@ef874e312ca65ed14101c41d09e69bfa9869a19e) ([merge request](gitlab-org/gitlab!70518)) **GitLab Enterprise Edition**
- [Improve data zoom on contribution analytics](gitlab-org/gitlab@13d202a2f08fb7c45ebfa475ab258d20b68bc982) ([merge request](gitlab-org/gitlab!72004)) **GitLab Enterprise Edition**
- [Add cluster_image_scanning CI parser to update location data](gitlab-org/gitlab@c28d8ab7e6367258ddfbbeb25e0492c0a324c6f7) ([merge request](gitlab-org/gitlab!71794)) **GitLab Enterprise Edition**
- [Enable on-demand scans scheduler](gitlab-org/gitlab@fff487ba8404497c28f547c13f6322adf05ea6b5) ([merge request](gitlab-org/gitlab!72097)) **GitLab Enterprise Edition**
- [Add EE variant of Resolvers::ProjectPipelinesResolver](gitlab-org/gitlab@a463cdfb92c0b65fcbf1f88ac5fe967fb8dd8458) ([merge request](gitlab-org/gitlab!69983)) **GitLab Enterprise Edition**
- [Implement PostUploadPackWithSidechannel client in Workhorse](gitlab-org/gitlab@c82a66e14df6a61d7a72a5c91e63ec3829f9f1f2) ([merge request](gitlab-org/gitlab!71047))
- [Introduce status column for the security_scans table and populate it](gitlab-org/gitlab@82ca4611de10d84e3f71d5a53e2adb0f56600308) ([merge request](gitlab-org/gitlab!71944))
- [Add contact update mutation to GraphQL](gitlab-org/gitlab@36e00a538964c38997cc4ead8e6e405bfde60237) by @leetickett ([merge request](gitlab-org/gitlab!71866))
- [Add support for load balancing multiple databases](gitlab-org/gitlab@771f94fc7fac48a353c66eab22bc25ccd6f18d54) ([merge request](gitlab-org/gitlab!67773))
- [Admin: listing matching card details of an user](gitlab-org/gitlab@74e3fc25beeb3bbc142864df192acad845d73407) ([merge request](gitlab-org/gitlab!71533)) **GitLab Enterprise Edition**
- [Import repository with project migration](gitlab-org/gitlab@a6d2a4297a26c72f1168c9713085d8b324487648) ([merge request](gitlab-org/gitlab!70326))
- [Graceful degradation for Branches controller](gitlab-org/gitlab@ac36712c9e89441b21fbdf391d70a2ae31df384f) ([merge request](gitlab-org/gitlab!70970))
- [Add ability to set iteration on issue creation via GraphQL API](gitlab-org/gitlab@8821ec56982cbec2503d862f2684231048666647) ([merge request](gitlab-org/gitlab!71689)) **GitLab Enterprise Edition**
- [Avoid cross-joins in PipelinesForMergeRequestFinder](gitlab-org/gitlab@4e95bcd85840bda5a60a93096eec2235a10f0677) ([merge request](gitlab-org/gitlab!68549))
- [Remove ci_resource_group_process_modes feature flag](gitlab-org/gitlab@7eb40a877b386f3c2f097e0fe22e592763b61d9b) ([merge request](gitlab-org/gitlab!71365))
- [Add customer relations contact create mutation](gitlab-org/gitlab@78cd670bfc5605de4ee906e5074b25c8f10e4e75) by @leetickett ([merge request](gitlab-org/gitlab!70733))
- [Sync requirement and requirement issues state](gitlab-org/gitlab@5b06b0d63227ebf8f7ba8e59ba4f4af3c528037a) ([merge request](gitlab-org/gitlab!70607)) **GitLab Enterprise Edition**
- [Keep credit card non-sensitive info](gitlab-org/gitlab@b5381bcab8271401dda80323ef44a8f18887d159) ([merge request](gitlab-org/gitlab!71171)) **GitLab Enterprise Edition**
- [Subscriptions hand raise lead API client](gitlab-org/gitlab@cd0ad142152f07acd5d50439ac7b58a89a84f8b4) ([merge request](gitlab-org/gitlab!71723)) **GitLab Enterprise Edition**
- [Add metric for users associating milestones to releases](gitlab-org/gitlab@bf999ff05c4d3f47aea31fd87a6bd1d6dcda0a0a) ([merge request](gitlab-org/gitlab!71287))
- [Add meta data in user_credit_card_validations](gitlab-org/gitlab@0d08d597a30d1cd8e73f78fc3b64ad79418aa3e3) ([merge request](gitlab-org/gitlab!71032))
- [Link to a search for feature flag name in project](gitlab-org/gitlab@8d1c153c04b54f1710596d523ea46880a9851eb2) ([merge request](gitlab-org/gitlab!70417)) **GitLab Enterprise Edition**
- [Add includeSubepics argument to issue filters in GraphQL](gitlab-org/gitlab@5a913e8455e9881be20c73c095bb077c7655acfb) ([merge request](gitlab-org/gitlab!71610)) **GitLab Enterprise Edition**
- [Warn users of impacted escalation policies on leave/delete](gitlab-org/gitlab@de25310c6c6a987003bb1c3948f7713960af917a) ([merge request](gitlab-org/gitlab!69411)) **GitLab Enterprise Edition**
- [Add confidential issues filtering for GraphQL API](gitlab-org/gitlab@733862877c48d3666d85922b956de186f6d93305) ([merge request](gitlab-org/gitlab!71355))
- [Measure Sidekiq enqueue latency for scheduled jobs](gitlab-org/gitlab@c4c42d29cf4c33d913479ebcb916a4fdf45ab002) ([merge request](gitlab-org/gitlab!71615))
- [Add ability to set iteration on issue creation via GraphQL API](gitlab-org/gitlab@25b287bfee614a0b8844a5ecf62ac26173327ea2) ([merge request](gitlab-org/gitlab!70007)) **GitLab Enterprise Edition**
- [Add issue_customer_relations_contacts linking table](gitlab-org/gitlab@3f6597a9aa88e023223d0f91e633be2d54ca99e9) by @leetickett ([merge request](gitlab-org/gitlab!71007))
- [Add config field gitlab_kas.external_k8s_proxy_url](gitlab-org/gitlab@e0137111fbbd28316f38da30075aba641e702b98) ([merge request](gitlab-org/gitlab!71512))
- [Add DependencyProxySettings mutation](gitlab-org/gitlab@e2d7d722887c8a6edc2b52a1e8871bce4781c4a2) ([merge request](gitlab-org/gitlab!71274))
- [Added feature flag to show terraform banner](gitlab-org/gitlab@361e943b17924bbc14b26a2d8e1864d9c234c670) ([merge request](gitlab-org/gitlab!71462))
- [Promote jobs_to_be_done experiment](gitlab-org/gitlab@26781e4305c97d64a9dc9bf2c1dd31702bff9daf) ([merge request](gitlab-org/gitlab!71122))
- [Feat(Cloud Activation Form Modal): loading button](gitlab-org/gitlab@67403800753894384f77f603a2b0bc5587ccd77f) ([merge request](gitlab-org/gitlab!71385)) **GitLab Enterprise Edition**
- [Return runner webUrl via GraphQL API](gitlab-org/gitlab@f708096867cabf5829119cd4d83c902fa24b5c8b) ([merge request](gitlab-org/gitlab!70692))
- [Add option of 60 days to container image expiration policy](gitlab-org/gitlab@c7be549c5f1727b474ff91212a42216f3115181f) by @pataar ([merge request](gitlab-org/gitlab!70148))
- [Add missing keywords to CI schema](gitlab-org/gitlab@f1d0f6edadb5c20ab20efe0637e3698adc5ba2b5) ([merge request](gitlab-org/gitlab!70779))
- [BulkImports: Handle network errors](gitlab-org/gitlab@337e284574a89bfb67d82a567152d7651814a976) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68582))
- [Add sorting to DA overview table](gitlab-org/gitlab@87145f1c815d2c5f6e46270e108dbdda0c45b80a) ([merge request](gitlab-org/gitlab!70937)) **GitLab Enterprise Edition**
- [Document how to migrate off Gitaly Cluster](gitlab-org/gitlab@855db4a1816db79cd3d48c75597a48e3f55ac6b5) ([merge request](gitlab-org/gitlab!71223))
- [Make it possible to define custom request duration thresholds](gitlab-org/gitlab@5c52eddb1487a2876f0589affaf8a746ff84b3e9) ([merge request](gitlab-org/gitlab!69877))
- [Implement rate-limiting for a deprecated API endpoint](gitlab-org/gitlab@5b9e642e5b591fa0cc5bbbddc18530cafa4e1c22) ([merge request](gitlab-org/gitlab!70310))
- [Extend EE::Types::Ci::PipelineType with dast_profile](gitlab-org/gitlab@ea048ea3ab508a3d7f573adb0ee978f0cf1325fe) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/69808)) **GitLab Enterprise Edition**
- [Add `links` and `message` field to VulnerabilityType](gitlab-org/gitlab@3360a18c7fa4ae8a4b452b86ca8adb21454f73d1) ([merge request](gitlab-org/gitlab!71207)) **GitLab Enterprise Edition**
- [Allow relate quick action on issue create](gitlab-org/gitlab@763d5577565ce9b14d99b87577a9ac17b95fbb7f) ([merge request](gitlab-org/gitlab!71193))
- [Allow plus character in project names](gitlab-org/gitlab@22714f512393017b538b8995ecb270c12deeddbd) by @lzampier ([merge request](gitlab-org/gitlab!67997))
- [Render frontmatter codeblock in the Content Editor](gitlab-org/gitlab@d84bcddf3a3c6c0b188a5a7a09ba49ae347c1eaa) ([merge request](gitlab-org/gitlab!70854))
- [Add support for wbr in content editor](gitlab-org/gitlab@772f061eac6bd4cca2c3511f9978d0d246c3cd2a) ([merge request](gitlab-org/gitlab!69365))
- [Enable live tracking and enforcement of CI minutes](gitlab-org/gitlab@55adb3a7e1fabb9a20bf4dcd7a08dcd5ad09097e) ([merge request](gitlab-org/gitlab!71072)) **GitLab Enterprise Edition**
- [Send "setup for company" in trial form to CustomersDot](gitlab-org/gitlab@b7e4d09eeb8f83194032e1463d126a4a9d2a4a6d) ([merge request](gitlab-org/gitlab!70569))
- [Perform validations on the parent of a namespace/group by default](gitlab-org/gitlab@5dd7051f880f01a5ee0d43e7472c46c0de824352) ([merge request](gitlab-org/gitlab!70365))
- [Added support for test coverage badge color configuration](gitlab-org/gitlab@13ca69c7e4cf42c47a8c99f33a5e8bc7ed511357) by @szaboi ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/69164))
- [Move cluster agent GraphQL mutations and supporting services to core](gitlab-org/gitlab@8e45ef80d137f4b76008ac1e1044d6f38cf61823) ([merge request](gitlab-org/gitlab!70887))
- [Move cluster agent GraphQL types and resolvers to core](gitlab-org/gitlab@5f54a7c09133de4a833390b1b510af02744da9f8) ([merge request](gitlab-org/gitlab!70759))
- [Address the PK Overflow risk for the taggins - Step 3](gitlab-org/gitlab@f9b8e8d7c55b8959468b6f1594ea83c965b9e5c3) ([merge request](gitlab-org/gitlab!69639))
- [Remove i_testing_metrics_report_artifact_uploaders feature flag](gitlab-org/gitlab@1a4f15be1a8c12c96a70463b8e1b2c3e01cfcd1d) ([merge request](gitlab-org/gitlab!70957))
- [Remove usage_data_i_testing_test_case_parsed feature flag](gitlab-org/gitlab@af7d2e9f6926914fc6fee750c466b15e44e1a9f3) ([merge request](gitlab-org/gitlab!70953))
- [Enable FF "paginated_tree_graphql_query" by default](gitlab-org/gitlab@ade0b92eb1736575e4e6530db5920cd1222a8bed) ([merge request](gitlab-org/gitlab!70913))
- [Add user permissions for runners in GraphQL API](gitlab-org/gitlab@8d9c658cb4a2b952407779f7a64b0dc11960195f) ([merge request](gitlab-org/gitlab!70809))
- [Always enable the database load balancer](gitlab-org/gitlab@f38900c90d7ff75eaeaf15265d177e4b1fae5c22) ([merge request](gitlab-org/gitlab!68042))
- [Add endpoints for project relations exports](gitlab-org/gitlab@5e9ebbd16ea73d22f41e3aa9f005cb532fe5f0cc) ([merge request](gitlab-org/gitlab!70330))
- [Upgrade Pages to 1.45.0](gitlab-org/gitlab@8853ba52e3a2bd66051b845f47b67b6eef9916b3) ([merge request](gitlab-org/gitlab!70752))
- [Support FIFO/LIFO process modes to Resource Group](gitlab-org/gitlab@a100cb945bc9bcd4c531c1889059f8a8f6e29e61) ([merge request](gitlab-org/gitlab!67015))
- [Add documentation to Files API Rate Limits](gitlab-org/gitlab@3da4af85c9bbf210b8adde556ebb255700fc2983) ([merge request](gitlab-org/gitlab!68645))
- [Add security_orchestration_policy to pipeline source filter](gitlab-org/gitlab@b5a6dfec3faf5c7df11e3a68c30ce642aeabf49b) ([merge request](gitlab-org/gitlab!69985)) **GitLab Enterprise Edition**
- [Add sign-in count to external pipeline validation](gitlab-org/gitlab@838d1f55a83cdbf00b7d99206156fac351115aaf) ([merge request](gitlab-org/gitlab!70668))
- [Add negated issueType filter to issue resolver (group and project)](gitlab-org/gitlab@4cca803a06aad048f7478b8eb51c6934958b3bc6) ([merge request](gitlab-org/gitlab!70635))
- [Add clone issue to REST API](gitlab-org/gitlab@33e9e55a35631392ce88f4a4823d11d0ae3cc797) ([merge request](gitlab-org/gitlab!57740))
- [Add runner_features column to ci_builds_metadata](gitlab-org/gitlab@319d59940117374d3bebf7fa53d55b7bc3c19763) ([merge request](gitlab-org/gitlab!70189))
- [Extend /help/instance_configuration with Git LFS rate limit](gitlab-org/gitlab@455ad3b28580c1da1f6a5cea6a2f37794e07dd72) by @wwwjon ([merge request](gitlab-org/gitlab!70397))
- [API: Add endpoint to reset runner authentication token](gitlab-org/gitlab@c2e34204a0b6ef305ac76a68f9f7c9216eb0f379) by @KyleFromKitware ([merge request](gitlab-org/gitlab!69561))

### Fixed (96 changes)

- [Fix Analytics Author filters](gitlab-org/gitlab@17c9eb627e135ce61b51c81a541d844602cb4305) ([merge request](gitlab-org/gitlab!72492))
- [Allow maintainers to set MR approval settings](gitlab-org/gitlab@de58cb9ca02037b4df2fc2f14040503026ddf5b7) ([merge request](gitlab-org/gitlab!72493)) **GitLab Enterprise Edition**
- [Fix: update links in billing page](gitlab-org/gitlab@c8d6f73497df3080b5080977f3fe03085e1506fe) by @orozot ([merge request](gitlab-org/gitlab!72259)) **GitLab Enterprise Edition**
- [Update onboarding template project](gitlab-org/gitlab@1f5160ad9e8a2dcfcc5f628f525734e423bb75b9) ([merge request](gitlab-org/gitlab!72355)) **GitLab Enterprise Edition**
- [Fix handling Service Ping response DevOps metrics](gitlab-org/gitlab@e06fe59cd272e35a2009f499a006f7da8ae7640f) ([merge request](gitlab-org/gitlab!72344))
- [Add guard clause to ensure incoming params](gitlab-org/gitlab@0f3b20cde204f1cb28dce6e7c794fac0cd5a0a64) ([merge request](gitlab-org/gitlab!72241))
- [MR Analytics: Add pipelines sanity check](gitlab-org/gitlab@f204f965a9fbd875b2491ec88d77c9f7558dec49) ([merge request](gitlab-org/gitlab!72210)) **GitLab Enterprise Edition**
- [Replace calls to LoadBalancing with ::Gitlab::Database::LoadBalancing](gitlab-org/gitlab@d54189d088a90daa7f1fda4bea2334acf5b172b5) ([merge request](gitlab-org/gitlab!72205))
- [Change shared runner settings on import on conflict with group](gitlab-org/gitlab@e5680f9350f863c2ad2e14e5d495ae8df5aa413e) ([merge request](gitlab-org/gitlab!71846))
- [Fix undefined method `use_primary!' error in GDK](gitlab-org/gitlab@5c3638936934b90049c0bf5a8d9f017fb721e750) by @leetickett ([merge request](gitlab-org/gitlab!72247))
- [Guard against exceptions from unfound DiffNotes](gitlab-org/gitlab@580072f86097f4156fc01eb16863b7e746c2a4fb) ([merge request](gitlab-org/gitlab!72242))
- [Replace success button in the add linked issue](gitlab-org/gitlab@7d3d847c76e6dbd7bfcd357ffb31236860419aed) ([merge request](gitlab-org/gitlab!72211))
- [Ensure correct group for DA chart](gitlab-org/gitlab@0065f5a8db8410868566e58e9c4af31015cf8162) ([merge request](gitlab-org/gitlab!72176)) **GitLab Enterprise Edition**
- [Fix cut-off dropdown in board breadcrumbs](gitlab-org/gitlab@49feed59a9f572f3210e353b5b5816717a414bfe) ([merge request](gitlab-org/gitlab!72168))
- [Fix non-restarted skipped bridge jobs](gitlab-org/gitlab@ad8ffd504c5898570666a1789ef463c0030196ee) ([merge request](gitlab-org/gitlab!72141))
- [Don't run WAL queries when not using replicas](gitlab-org/gitlab@9599f8669a9395d5193be1b226b4c136f28f8e90) ([merge request](gitlab-org/gitlab!71736))
- [Enable syntax highlighting for new files](gitlab-org/gitlab@4d0a4fc7b0cc9ec616a67853b97cd96e731d2ed6) ([merge request](gitlab-org/gitlab!71801))
- [Add go, nuget, and sbt to Dependencies API filters](gitlab-org/gitlab@1d996aa6ecefeea103fa05f02131000918d08b7c) ([merge request](gitlab-org/gitlab!72022)) **GitLab Enterprise Edition**
- [Present sbt, nuget, and go in Dependency List page](gitlab-org/gitlab@e2907ff57a11be60f3bb1c8dc8157de0a00d8156) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/72021)) **GitLab Enterprise Edition**
- [Fix detail page of NuGet package with missing metadata](gitlab-org/gitlab@412acd19f95c5a56699c9cb248afd31e8f0a3476) by @wwwjon ([merge request](gitlab-org/gitlab!72013))
- [Remove local form errors flash](gitlab-org/gitlab@52ea002f636cae726fb452ad4146919c0f700d4a) ([merge request](gitlab-org/gitlab!71945))
- [Make CI minutes consumption increment idempotently](gitlab-org/gitlab@f82d4f06987fc7736e0d0fc84c8cfdfd2b7d938f) ([merge request](gitlab-org/gitlab!71840)) **GitLab Enterprise Edition**
- [Boards - Sort closed issues by closedAt date](gitlab-org/gitlab@c89f00d681dab5ff00096913af170f043b052e10) ([merge request](gitlab-org/gitlab!71698))
- [Gracefully track errors raised by sending CI minutes notifications](gitlab-org/gitlab@2036f9a11fc272cf5cb6e0ecbaae5eeefa454df3) ([merge request](gitlab-org/gitlab!71815)) **GitLab Enterprise Edition**
- [Add IssuesFieldExtension to set relative positions](gitlab-org/gitlab@5c62b8c87c22a8d722c66bdeaf475f01bc1a29f8) ([merge request](gitlab-org/gitlab!71164))
- [Update strategies used for DB count approximation for read-only DB](gitlab-org/gitlab@09a35759c3de4665cd3b7769eaf82a11de32d03d) ([merge request](gitlab-org/gitlab!71925))
- [Mark the `created_at` attribute as read-only to prevent updating it](gitlab-org/gitlab@21d7ee36bb6e11fe2d1b51a3ab5cf0734efae0f2) ([merge request](gitlab-org/gitlab!71399))
- [Disable caching of MergeToRefService call in mergeability check](gitlab-org/gitlab@36f8fbf83cdf7e539165bc73f742bfd2e39a0290) ([merge request](gitlab-org/gitlab!71909))
- [Return the correct project in job/allowed_agents API response](gitlab-org/gitlab@95364c467bcf2e3765f58fef18b8d759031022af) ([merge request](gitlab-org/gitlab!71876))
- [Use pessimistic locking when accessing Terraform state](gitlab-org/gitlab@ac3916a5d29d16de4ce8359d0d100dace6e82e24) ([merge request](gitlab-org/gitlab!71873))
- [Sanitize given scan types before querying the security_scans](gitlab-org/gitlab@a06867f1eb2e7c091be0067eb1b10b7071b2f512) ([merge request](gitlab-org/gitlab!71836))
- [Fix auto-renew of LetsEncrypt domains for Pages](gitlab-org/gitlab@b3a7e0d5268b90722a372674ad7f0c248a6e9872) ([merge request](gitlab-org/gitlab!71697))
- [Show hint if input value is invalid](gitlab-org/gitlab@b1b2a440e4afd624559153c697a50a5c1ee37e7c) ([merge request](gitlab-org/gitlab!71582)) **GitLab Enterprise Edition**
- [Fix inline JavaScript HAML linter not working](gitlab-org/gitlab@8f32460266e31bad3f66155df31735a34a756328) ([merge request](gitlab-org/gitlab!71798))
- [Add ON DELETE constraint to security_policy_management_project_id](gitlab-org/gitlab@402154b0df873e6edb91267980b27ef5a4e231dc) ([merge request](gitlab-org/gitlab!71391))
- [Fix merge request approvals accordion](gitlab-org/gitlab@016ac9c025e5ed11e208dba86f5af8609e1dc0d1) ([merge request](gitlab-org/gitlab!69252)) **GitLab Enterprise Edition**
- [Fix undefined method error in validate_remote_git_endpoint service](gitlab-org/gitlab@a93a088faecdd667c76790c47e2bae00b6d203dc) ([merge request](gitlab-org/gitlab!71670))
- [Hide filters UI in Roadmap within epic page](gitlab-org/gitlab@c35f81070d988c0a1c5d337245c1ac20de29761c) ([merge request](gitlab-org/gitlab!71726)) **GitLab Enterprise Edition**
- [Fix storing first_mentioned_in_commit_at attribute](gitlab-org/gitlab@900db121a1e2914656ad8678b00f25e93d076515) ([merge request](gitlab-org/gitlab!71639))
- [Redirect Geo git push operations to primary external URL](gitlab-org/gitlab@98780b7eb910720fdc4ded20dd7f6ba3f39d8e27) ([merge request](gitlab-org/gitlab!71711)) **GitLab Enterprise Edition**
- [Fix spacing between note badges](gitlab-org/gitlab@f629eb9b3ab799815fb0e6d05dc186840ed6d369) by @TaehyeokKang ([merge request](gitlab-org/gitlab!71208))
- [Fix project statistics Uploads](gitlab-org/gitlab@7ebd4cb24c56cb8a26082ca06242d5ab5823dfad) by @guillaume.chauvel ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/71370))
- [Move required styles for issue-token to core](gitlab-org/gitlab@297c1112d5cce610f98e1189d13c00465d27949e) by @michael.telgkamp ([merge request](gitlab-org/gitlab!71531))
- [Fix default values for the deprecated API throttle](gitlab-org/gitlab@86cb92849da9ed37a1f9962613eb4c366f270f8b) ([merge request](gitlab-org/gitlab!71449))
- [Fix dependency proxy image prefix](gitlab-org/gitlab@f4c9a981b55492c53b9d233846d6364a4e344649) ([merge request](gitlab-org/gitlab!71511))
- [Upgrade mermaid-js to v8.13.2](gitlab-org/gitlab@0dc2971222642e39b3af5a6832f50a57586dcc94) ([merge request](gitlab-org/gitlab!71415))
- [Don't retry errors when there are no replicas](gitlab-org/gitlab@0f27854a100931c96d18b79b9d903511c352405c) ([merge request](gitlab-org/gitlab!71489))
- [Delete issues css](gitlab-org/gitlab@97ffda63a12a951e8a5bce650487ce319b0196b0) ([merge request](gitlab-org/gitlab!71478))
- [Use GlAlert for external issues list errors](gitlab-org/gitlab@824b40be15edf9744ac06f52f55dcf6ee229b4ff) ([merge request](gitlab-org/gitlab!71256)) **GitLab Enterprise Edition**
- [Fix tabs switching between tree and roadmap](gitlab-org/gitlab@25e066d8364bb7127668bfbdc3f8fbce72dea9a7) ([merge request](gitlab-org/gitlab!71398)) **GitLab Enterprise Edition**
- [Fix: change dropdown background to transparent](gitlab-org/gitlab@87cec043a6eecba6189e61ea4dec5d6295b830b1) by @orozot ([merge request](gitlab-org/gitlab!71264))
- [Use GlAlert for integrations table errors](gitlab-org/gitlab@14123f51ffd9aa3ad202845f9ef98fbf2822eb3d) ([merge request](gitlab-org/gitlab!71255))
- [Removes reporting on non-existant failures for import rake task](gitlab-org/gitlab@2c6af766cf1044f730e325b4043e48f187c15ce3) ([merge request](gitlab-org/gitlab!71402))
- [Fix compliance framework labels readability](gitlab-org/gitlab@645b035a9e2c97e20e6a350d780658a6a93108ff) ([merge request](gitlab-org/gitlab!71301)) **GitLab Enterprise Edition**
- [Fix clipped broadcast message on login page when using custom header](gitlab-org/gitlab@593862859242f4318d935bc3529ee34547fc9f81) ([merge request](gitlab-org/gitlab!71227))
- [Fix issue search optimization in GraphQL](gitlab-org/gitlab@e0dee49402c289c4a53c16297e2f2da09aa81809) ([merge request](gitlab-org/gitlab!71351))
- [Expand template names when tracking inclusion](gitlab-org/gitlab@223a3c66bae0af4b233663d0f7cf6cd523229c24) ([merge request](gitlab-org/gitlab!71157))
- [Fix incorrect date in type of work chart](gitlab-org/gitlab@56ef35edb7d7ab0d68a61676b7f8d24262780713) ([merge request](gitlab-org/gitlab!71350)) **GitLab Enterprise Edition**
- [Fix: translate upload license tips](gitlab-org/gitlab@b5bb563377d941bd8db979242345cc61da1a0c98) by @orozot ([merge request](gitlab-org/gitlab!70640)) **GitLab Enterprise Edition**
- [Reapply table-layout fixed in repository file list](gitlab-org/gitlab@b20c171a54f1414cf5b98e4b1d086ed53e943103) ([merge request](gitlab-org/gitlab!71327))
- [Global Search - Upvote Tooltip Alignment](gitlab-org/gitlab@08e0e2c0adb067d5cbe8af9ed2786b54ebc2f14d) ([merge request](gitlab-org/gitlab!71226))
- [Prevent group wiki writes on read-only DBs](gitlab-org/gitlab@900b071936852a0675efd8938115f836284b5709) ([merge request](gitlab-org/gitlab!71314)) **GitLab Enterprise Edition**
- [Fix incorrect trigger of issue/epic autocomplete](gitlab-org/gitlab@09faec22a1ded63f52201d62edc43382161e5f29) ([merge request](gitlab-org/gitlab!71191)) **GitLab Enterprise Edition**
- [Fix Web IDE renaming empty content](gitlab-org/gitlab@04340139969234f992dd69bd0c807b3439afbee1) ([merge request](gitlab-org/gitlab!71130))
- [Fix milestone references in group context](gitlab-org/gitlab@c91b498592b73039a5d68e43e31359e8e55b6021) ([merge request](gitlab-org/gitlab!71269))
- [Value of `lock_memberships_to_ldap` should not affect authorizations](gitlab-org/gitlab@deb229258b6e659695dfc5df0de6f378ecc36cad) ([merge request](gitlab-org/gitlab!71253))
- [Remove file upload type restirction](gitlab-org/gitlab@32563ed72ca7aaca330bd8f8a2d1223127a11453) ([merge request](gitlab-org/gitlab!71082))
- [Fixed post merge ci status bug](gitlab-org/gitlab@b21dc4140ff30c16c571afdad29a0dba6f639d8e) ([merge request](gitlab-org/gitlab!70719))
- [Generate startup css as if com_and_canary](gitlab-org/gitlab@64eaa2de7dee16fff0d62b4231cc2b1631f0171f) by @leetickett ([merge request](gitlab-org/gitlab!71134))
- [Disable form on admin appearance sign-in page preview](gitlab-org/gitlab@4060fbbb578246b9d4acc6d2a534add63cfd397c) ([merge request](gitlab-org/gitlab!70736))
- [Add connection fallback to ActiveRecordProxy](gitlab-org/gitlab@b1b48aa28b302914c317f51beca546707ffda367) ([merge request](gitlab-org/gitlab!71059))
- [Update GitLab Shell to v13.21.1](gitlab-org/gitlab@ec1e172b96d2186ec0b914a95850e3ae353ccb0f) ([merge request](gitlab-org/gitlab!71037))
- [Fix Australian timezone abbreviations in tooltips](gitlab-org/gitlab@5451d41c1586cc83525178734b7c45b0b5234075) ([merge request](gitlab-org/gitlab!70723))
- [Merge branch 'jswain_combined_registration_auto_trial_params' into 'master'](gitlab-org/gitlab@4d1d5a4bc1dcc7b4c5969cc0c3cebf0dbbd665f3) ([merge request](gitlab-org/gitlab!70823)) **GitLab Enterprise Edition**
- [Provide namespace_id default value](gitlab-org/gitlab@45dfc11d0858e731d1544f98f93a193166e5ad92) ([merge request](gitlab-org/gitlab!70823))
- [Fix CSV issues import max file size message](gitlab-org/gitlab@f0e9076caeab2a8d786ad06128832c0abf4e41c6) by @JonstonChan ([merge request](gitlab-org/gitlab!68223))
- [Fix unmet prerequisites help URL](gitlab-org/gitlab@8b798847612a5ce3386d6dfb6df0371d5aea4e4b) ([merge request](gitlab-org/gitlab!70976))
- [Fix polling on vuln details page](gitlab-org/gitlab@5dd1f8c11e06a61476425db0696e292af09d2407) ([merge request](gitlab-org/gitlab!70961)) **GitLab Enterprise Edition**
- [Fix rule all branches not using monospace font](gitlab-org/gitlab@fe0df34d5f291d7eac1129bc15f5ac722b24c544) ([merge request](gitlab-org/gitlab!70943)) **GitLab Enterprise Edition**
- [Fix sum of LFS objects size with identical value](gitlab-org/gitlab@d2b2d298e41fdf237e40c404c005cea7a0924686) by @guillaume.chauvel ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/70610))
- [Fix project group share setting wording](gitlab-org/gitlab@56cedf5ba1f0437784ced6855922386d770bf4ff) ([merge request](gitlab-org/gitlab!70636))
- [Fix gitaly-backup TLS connections](gitlab-org/gitlab@e36cf16acc44cb223aee93b4d36c4d0281f3476f) ([merge request](gitlab-org/gitlab!70883))
- [Fix Content-Disposition header not working in Azure Blob storage](gitlab-org/gitlab@e586b6e3a58d66850ac32924c9ad1342daf24f1b) ([merge request](gitlab-org/gitlab!70874))
- [Handle ConnectionNotEstablished in the DB LB](gitlab-org/gitlab@cf3a0e3580c8649f1e2abe2f620993f739c3dba9) ([merge request](gitlab-org/gitlab!68042))
- [MR Analytics: Add yAxis formatter](gitlab-org/gitlab@9d7769a3a90ddd1712d5f1e6633d5f102a2a59e2) ([merge request](gitlab-org/gitlab!70573)) **GitLab Enterprise Edition**
- [Remove unnecessary route](gitlab-org/gitlab@d7b1c4dea176e84c706580806984ffa11753be7f) ([merge request](gitlab-org/gitlab!70277))
- [Fix address requires string literal i18n helpers](gitlab-org/gitlab@ee4394c4237fcd65a1e9d0597603210034634988) by @elcordova ([merge request](gitlab-org/gitlab!70767))
- [Fix DB connection check for Geo user routing](gitlab-org/gitlab@f908364d9888fa4cd37c6e5ca2555f1b936a9f39) ([merge request](gitlab-org/gitlab!70621)) **GitLab Enterprise Edition**
- [Update to commonmarker gem 0.23.2](gitlab-org/gitlab@57c5bad16c533bf7937f56bc05cbcc6a3d72004a) ([merge request](gitlab-org/gitlab!70612))
- [Focus on input when dropdown is shown on issue creation page](gitlab-org/gitlab@00a431b287132f8b833cf10ad99a2e61d50ec9e8) ([merge request](gitlab-org/gitlab!70703))
- [Replace public_send with send in doctor rake task](gitlab-org/gitlab@386ee2b5f21a5a8184ee78350f11a12803d118e1) ([merge request](gitlab-org/gitlab!69062))
- [Open sidebar after user creates a new item in boards](gitlab-org/gitlab@a8304104fe5158369354377df8a35001ec576e29) ([merge request](gitlab-org/gitlab!70352))
- [Geo: Fix maintenance mode causing Unhealthy secondary status](gitlab-org/gitlab@01551e03a1313d3f95dca66b5d27082ec59506b8) ([merge request](gitlab-org/gitlab!70010)) **GitLab Enterprise Edition**
- [Allow BoardListType.issues to filter by negated issueType in GraphQL](gitlab-org/gitlab@9debb183be68909ff7bf61adfaa02fb3a7e1b2e9) ([merge request](gitlab-org/gitlab!70554))
- [Add additional properties to policy_details helper](gitlab-org/gitlab@5645f93c630fe14fad2c418bc635cedde47c56b2) ([merge request](gitlab-org/gitlab!70553)) **GitLab Enterprise Edition**
- [Persist feedback alert for SAST Configuration](gitlab-org/gitlab@3343c3171a3e6ea202ca5f9db3751799fe8c6222) ([merge request](gitlab-org/gitlab!70517)) **GitLab Enterprise Edition**

### Changed (80 changes)

- [Implement Dependency proxy via Workhorse injectors](gitlab-org/gitlab@b3e6d6c37efba1418ecb33f6037582b1f8553f99) ([merge request](gitlab-org/gitlab!71890))
- [Added v-scrolling to both editors](gitlab-org/gitlab@2802a43f2f97f987ba0ddaeafc36c8c90beaeb6f) by @mehulsharma ([merge request](gitlab-org/gitlab!71136))
- [Update auto-deploy-image to v2.14.0](gitlab-org/gitlab@354fb973fc32958dd81dd70b5ab516f4ee26d9a8) ([merge request](gitlab-org/gitlab!72027))
- [Adjust update_runners_registration_token permission](gitlab-org/gitlab@6182eecf3b3a466864c2c192b4fcef9908822eeb) ([merge request](gitlab-org/gitlab!71965))
- [Remove feature flag member_destroy_async_auth_refresh](gitlab-org/gitlab@edde4d7ffabb30f69691f6bd99e06c82b4dfab8a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/72338))
- [Disable create list button after clicked once](gitlab-org/gitlab@8d8de87a0be0628f23a1cda888a11559a079167c) ([merge request](gitlab-org/gitlab!72048))
- [Preselect all projects in group coverage analytics](gitlab-org/gitlab@88d4f5793b3d1f05675ca896d7514a7d1deb5243) ([merge request](gitlab-org/gitlab!72051)) **GitLab Enterprise Edition**
- [Allow longer Helm channel names](gitlab-org/gitlab@7e57516919e5cee8ae8c38890d4b8a18d10e54f0) by @sathieu ([merge request](gitlab-org/gitlab!71806))
- [Enable create_vulnerabilities_via_api by default](gitlab-org/gitlab@1a635aa386c3fb1dd6d6369fbfcbe16015aa85df) ([merge request](gitlab-org/gitlab!72204)) **GitLab Enterprise Edition**
- [Use allowlist of allowed attributes for imported models](gitlab-org/gitlab@3f30823920caef67d589e6f06c1cee2380d3d080) ([merge request](gitlab-org/gitlab!71296))
- [Refactor the usage of Secret Scanning to Secret Detection](gitlab-org/gitlab@48d35ae9509bc14affc7bd52fdd415f7b21b1434) ([merge request](gitlab-org/gitlab!71824))
- [Improve Git HTTPS message given when Gitaly unavailable](gitlab-org/gitlab@772df282e60924413931e0b0736fe11d94f4d3de) ([merge request](gitlab-org/gitlab!71120))
- [Remove `performance_roadmap` ff and legacy code](gitlab-org/gitlab@7be12de8acaa583818cb370f566a8e4d394b4259) ([merge request](gitlab-org/gitlab!71828)) **GitLab Enterprise Edition**
- [Respect security scanner schema](gitlab-org/gitlab@b7ea3dc21229f8c6a59087aca5b2e8c0368645f2) ([merge request](gitlab-org/gitlab!69961)) **GitLab Enterprise Edition**
- [Default enable use_upsert_query_for_mr_metrics FF](gitlab-org/gitlab@37723ac46e66416d1a7cb3e661d51f5525ba3d8b) ([merge request](gitlab-org/gitlab!72120))
- [Support Jira Connect asymmetric JWTs](gitlab-org/gitlab@e100bd3dfbf08eb27f2ee2c3b84438931144cf00) ([merge request](gitlab-org/gitlab!71080))
- [Improve translatability of email confirmation page](gitlab-org/gitlab@2809b8bbe0a1b8913ad097473612c17d09951db1) ([merge request](gitlab-org/gitlab!71165))
- [Remove vulnerability flags feature flag](gitlab-org/gitlab@d80460b160b2fb2f6704c10ea5108dee4785457e) ([merge request](gitlab-org/gitlab!71966))
- [Styling updates of the protected environments edit access dropdown](gitlab-org/gitlab@6582038a0b3dda66199cc4a309aae6a35ba70e98) ([merge request](gitlab-org/gitlab!71119)) **GitLab Enterprise Edition**
- [Clean up oauth buttons on sign in/up](gitlab-org/gitlab@72e5bf594fed8112539c89f97f77ba5bf81f708a) ([merge request](gitlab-org/gitlab!71263))
- [Improve merge train help text](gitlab-org/gitlab@c28b6bbd3c78d76f32816c51f006ea1ffb7e150c) ([merge request](gitlab-org/gitlab!71687)) **GitLab Enterprise Edition**
- [Update branch name to use monospace](gitlab-org/gitlab@cd6c3b3ccebb3a18bead8e572e509b7edc863eb2) ([merge request](gitlab-org/gitlab!71393)) **GitLab Enterprise Edition**
- [Remove redundant help text from runners](gitlab-org/gitlab@a0e98ddbd79b557fb97c1a9164bb14f47efc2669) ([merge request](gitlab-org/gitlab!71915))
- [Proxy Geo secondary HTTP pushes + lfs through Workhorse](gitlab-org/gitlab@f1812b88bd4498051cc2b011127dba8c6448f725) ([merge request](gitlab-org/gitlab!71732)) **GitLab Enterprise Edition**
- [Update compliance report title and navigation](gitlab-org/gitlab@906d78136dd1f7812e4af5c55c7f6ecfe1a438b2) ([merge request](gitlab-org/gitlab!71383)) **GitLab Enterprise Edition**
- [Change MR draft status notification from flash to tast](gitlab-org/gitlab@9aee4d3ef920636c2a0e51331efc796b6e4ae028) ([merge request](gitlab-org/gitlab!71887))
- [Allow minimal access value for UserHighestRole](gitlab-org/gitlab@a1165f69aaa0e62b9effd0733185ff2bd4fc45ab) ([merge request](gitlab-org/gitlab!71814)) **GitLab Enterprise Edition**
- [Add jsonb field for Finding Evidence](gitlab-org/gitlab@679ebf13709aa8440e58baa05539ad72b6e12e9b) ([merge request](gitlab-org/gitlab!70097))
- [Geo: Increase reliability of certain one-time jobs](gitlab-org/gitlab@b731a55c30cf8cbfd38fefc46659de1fe6a6d0f4) ([merge request](gitlab-org/gitlab!71419)) **GitLab Enterprise Edition**
- [Geo: Reduce unnecessary resource usage](gitlab-org/gitlab@a3bfd4b6cc11ecae16d9414c8d3337c0383271fa) ([merge request](gitlab-org/gitlab!71419)) **GitLab Enterprise Edition**
- [Geo: Reduce unnecessary resource usage](gitlab-org/gitlab@93127cfc6803616db47b321a826e643c1468d75a) ([merge request](gitlab-org/gitlab!71419)) **GitLab Enterprise Edition**
- [GithubImporter: Format diff note suggestions to the gitlab format](gitlab-org/gitlab@e4f59f2ecb0dd9958ab48c50dcd42ee0c6517ea8) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/71411))
- [system_check: Bump minimum required Git version to v2.33.0](gitlab-org/gitlab@8094ba64d14af82094fbcdcacc3d54c7aecee09f) ([merge request](gitlab-org/gitlab!71813))
- [Update SAST config primary action button variant](gitlab-org/gitlab@105b5e63a55545868c3a26b8fdfd8ed7939bb2d4) ([merge request](gitlab-org/gitlab!71783)) **GitLab Enterprise Edition**
- [Add rake task to pause or resume elastic indexing](gitlab-org/gitlab@6a60c27a05219d16980c924fffe6231cc1f4ef9d) ([merge request](gitlab-org/gitlab!71426)) **GitLab Enterprise Edition**
- [Changed cluster type badge to gitlab-ui element](gitlab-org/gitlab@f39cda9d1d654f58d379345db0eabfc23290f2a1) ([merge request](gitlab-org/gitlab!71504))
- [Move advanced_search_multi_project_select FF to user actor](gitlab-org/gitlab@1d43d927e587d3fff1ec94404c442da11033fdee) ([merge request](gitlab-org/gitlab!71416)) **GitLab Enterprise Edition**
- [Implement Dependency proxy via Workhorse injectors](gitlab-org/gitlab@c9c9a36a7decac3a0ee6986d4e42730814ccb250) ([merge request](gitlab-org/gitlab!68157))
- [Replace namespaces unique index on name and parent_id](gitlab-org/gitlab@db628d9df92faaee0b50bef7a1b525c2c2f974dc) ([merge request](gitlab-org/gitlab!71390))
- [Remove orchestration policies feature flag](gitlab-org/gitlab@705218f2d9be1d17f70f2dcaa91ac81c18827bb0) ([merge request](gitlab-org/gitlab!71516)) **GitLab Enterprise Edition**
- [Redirect threat_monitoring policies endpoints](gitlab-org/gitlab@a07a65b574471cf6b19a02b39140327455f0e4f5) ([merge request](gitlab-org/gitlab!71517)) **GitLab Enterprise Edition**
- [Add tooltips to runners badges](gitlab-org/gitlab@7e0ab139085e6b3da86b4be1dfafb42b7d043b16) ([merge request](gitlab-org/gitlab!71404))
- [Remove beta badge from GitLab Migration](gitlab-org/gitlab@b7fb1e66ebc384d67623c5ce3a287c41e9c851cd) ([merge request](gitlab-org/gitlab!71643))
- [Show author badge in comments](gitlab-org/gitlab@4a90dc4244ad54b9518d1818d2fcf2efb869e93c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/40198))
- [Toggle banner using suggest_pipeline_enabled application setting](gitlab-org/gitlab@fac9b2b23bc60c0a53d7a1b7a950ed46d8b38ab9) ([merge request](gitlab-org/gitlab!71015))
- [Enable merge requests discussions cache](gitlab-org/gitlab@de3fa103478f104456ccdab85efe752178c03c92) ([merge request](gitlab-org/gitlab!71635))
- [Edit UI text of Abuse reports settings](gitlab-org/gitlab@2549f52084da0f575d1584b3c0afd73abfe60ffc) ([merge request](gitlab-org/gitlab!71276))
- [Prevent Workhorse panics when Geo proxy URL is unset](gitlab-org/gitlab@b3d88bdafdcbdf97eebd52596c4cd6967d3a4c26) ([merge request](gitlab-org/gitlab!71285)) **GitLab Enterprise Edition**
- [Improve deployment information on Jira Cloud app](gitlab-org/gitlab@1b0cbfb845f387eaa9e67edfcb1e504592623fb2) by @rbordignon ([merge request](gitlab-org/gitlab!70880))
- [Migrate branches nav from Bootstrap tabs to GlTabs](gitlab-org/gitlab@2b8a42b251094f9d811a6ba71cb03a4b9deddf55) ([merge request](gitlab-org/gitlab!71461))
- [Allow dots in Helm channel, but forbid repeated dots](gitlab-org/gitlab@de0602ad3197e37ac0d6a59f0271c3141dd5a04e) by @sathieu ([merge request](gitlab-org/gitlab!69278))
- [Remove analyzer_pipeline metrics join to ci_builds](gitlab-org/gitlab@f12722fd6c7e0e673c68e138632a6dabe9653039) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/71210)) **GitLab Enterprise Edition**
- [Update cluster management project template with new version of Falco](gitlab-org/gitlab@ee66cfee8865be5b1a959097451aa25b1a198fba) ([merge request](gitlab-org/gitlab!71446))
- [Update UI text in Group general settings](gitlab-org/gitlab@3b2b26758b6b6ea3af890190bf5eabc853c30c76) ([merge request](gitlab-org/gitlab!69869))
- [Allow removal of cloud licenses](gitlab-org/gitlab@7f7e8de72eea09b7e51eb74c26e73698fed75a0d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/71481)) **GitLab Enterprise Edition**
- [Remove default value for time zone user preference](gitlab-org/gitlab@4840ed7f831c7d1fc6fd3a403b575bd0ed103c64) ([merge request](gitlab-org/gitlab!70834))
- [Exclude secret_detection findings from autoresolution](gitlab-org/gitlab@231545fd4cb47598b21e0bb6fbc364dd749bfec9) ([merge request](gitlab-org/gitlab!71436)) **GitLab Enterprise Edition**
- [Enable repo size limit and ip restriction](gitlab-org/gitlab@30bdbd2a95cd5af7e040116ea447f36e56a0e0a2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/70912)) **GitLab Enterprise Edition**
- [Remove `async_filtering` feature flag](gitlab-org/gitlab@00bbc6810d5ac3099f3ee86c615587f36a7d6af3) ([merge request](gitlab-org/gitlab!71035))
- [Convert ee/geo/db/schema.rb to ee/geo/db/structure.sql](gitlab-org/gitlab@e900df0bcc90d24bb939de6e247fed9871562d31) ([merge request](gitlab-org/gitlab!71222)) **GitLab Enterprise Edition**
- [Updated the Cluster Agent Token table heading](gitlab-org/gitlab@d59a4d4a385927eb39248a4b75a6fdd2d9353d2e) ([merge request](gitlab-org/gitlab!71197)) **GitLab Enterprise Edition**
- [Fix DB load balance autoloading/code-reloading](gitlab-org/gitlab@91b7cf3e70237cdbd00b4d7ba4a82d21b28dc435) ([merge request](gitlab-org/gitlab!71218))
- [Remove "files" from end of default commit message in Web IDE](gitlab-org/gitlab@f096a5554a0743955d0706144cfc888c32947363) by @scootergrisen ([merge request](gitlab-org/gitlab!70582))
- [Ensure merge request header strings are internationalized](gitlab-org/gitlab@60611e55051d2d5614054957ce4e5fae233924c0) ([merge request](gitlab-org/gitlab!71093))
- [Add namespace_ancestry_ids migration](gitlab-org/gitlab@1fae3ce0c92aa764cdb15cb8438d3975dccb7ef1) ([merge request](gitlab-org/gitlab!70042)) **GitLab Enterprise Edition**
- [Update Copy on License Compliance CTA](gitlab-org/gitlab@c2dbfa7a023a0458008214bed0371b702faed78b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/70923)) **GitLab Enterprise Edition**
- [Remove download text from pipeline artifact dropdown items](gitlab-org/gitlab@466b1125e758fdf87bfe3a5944ac659d0dbae8bf) by @fabsrc ([merge request](gitlab-org/gitlab!70982))
- [Add suggest_pipeline_enabled to application_settings](gitlab-org/gitlab@048800044f3a4d9c01d1977fc14559a1463cc4a1) ([merge request](gitlab-org/gitlab!70756))
- [Update deprecated GlIcon size in IDE preview navigator](gitlab-org/gitlab@b2b4570795732a0eae4665f03f7f1c064d03e53b) by @jameschensmith ([merge request](gitlab-org/gitlab!70960))
- [Block move and clone of requirement issues](gitlab-org/gitlab@3c18b544bbc2bb423e1ddc0a5c1944af48baf9d7) ([merge request](gitlab-org/gitlab!70439)) **GitLab Enterprise Edition**
- [Remove owner validation in AdditionalPack transfer](gitlab-org/gitlab@f5a1bcecabee1cc1ce91275026cec8c4f67b0035) ([merge request](gitlab-org/gitlab!70790)) **GitLab Enterprise Edition**
- [Update Rouge syntax highlighting gem](gitlab-org/gitlab@879628c8260b2b5813ce4d90a01a890bd0afe274) ([merge request](gitlab-org/gitlab!70738))
- [Check anonymous search access in API endpoints](gitlab-org/gitlab@5c2f3a7758cbba21bb229f0680945bb25a08d221) ([merge request](gitlab-org/gitlab!70290)) **GitLab Enterprise Edition**
- [Merge boards Apollo client](gitlab-org/gitlab@32dd42f07bcc37e9ed4d077dd42ba501840bb292) ([merge request](gitlab-org/gitlab!70375))
- [Bump swagger-ui-dist to 3.52.3](gitlab-org/gitlab@2d5caeba4714fcb860bc96789d2e40e1247bb39f) by @bufferoverflow ([merge request](gitlab-org/gitlab!70740))
- [Assign trial to only eligible namespace](gitlab-org/gitlab@16e6aeddd380f87fb4b13c38f15d5f4b66f26ae2) ([merge request](gitlab-org/gitlab!70196)) **GitLab Enterprise Edition**
- [Remove cutoff logic for expiration message](gitlab-org/gitlab@6ff13cf0e1217bcd459ef2a7c1d82c70098a6889) ([merge request](gitlab-org/gitlab!70584)) **GitLab Enterprise Edition**
- [Replace "Any branch" with "All branches"](gitlab-org/gitlab@1b256d5a93c9a76b71d07f9ef4a4e7d08bf73a8c) ([merge request](gitlab-org/gitlab!70552))
- [Re-organize Environment Action Buttons](gitlab-org/gitlab@528a22f0d7b4eda3a40b65c59f85d1b0eda44469) ([merge request](gitlab-org/gitlab!70228))
- [Fix multiple translation strings](gitlab-org/gitlab@6609b9fa4e3433ffa66a0ebb680a909e1b19071e) by @scootergrisen ([merge request](gitlab-org/gitlab!70182))

### Removed (9 changes)

- [Remove shared runners CTE FF](gitlab-org/gitlab@b47f6a628664b74d4f3aed1a1acf4b3178ac1cb2) ([merge request](gitlab-org/gitlab!72370))
- [Remove bio-html and cached_markdown_version from user_details](gitlab-org/gitlab@c045bb54932fa708163aa59b65de6ffe598f3fbd) ([merge request](gitlab-org/gitlab!71663))
- [Remove obsolete column for DevOps analytics](gitlab-org/gitlab@7fb3dcc912ad28fa859614ec099d746c8cd2d9d6) ([merge request](gitlab-org/gitlab!71907))
- [Drop Delayed Project Removal column from Namespaces](gitlab-org/gitlab@6262b4c53d99eeac2146b919f8cf43264d4ce256) ([merge request](gitlab-org/gitlab!71077))
- [Remove ignoring framework column for compliance project settings](gitlab-org/gitlab@973da3fc3a4b28a587c24118803d39b2998618d7) ([merge request](gitlab-org/gitlab!71634)) **GitLab Enterprise Edition**
- [Remove unused Debian distribution methods](gitlab-org/gitlab@bde080e16a3743523310c7b6929f26193bee835a) by @sathieu ([merge request](gitlab-org/gitlab!71502))
- [Remove project_level_issues_analytics FF](gitlab-org/gitlab@deba920fce7df9aed3ddb0ed49c5f899f9ad6d5d) ([merge request](gitlab-org/gitlab!71382))
- [Removed instance level serverless domains feature](gitlab-org/gitlab@e834417cb802979e6eba8073b5b6736b9168a8dc) ([merge request](gitlab-org/gitlab!71283))
- [Remove feature flag `ci_parallel_minutes_reset`](gitlab-org/gitlab@e106986cd1349c73347fd83592ebd7d2e876ca8b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/71041)) **GitLab Enterprise Edition**

### Security (34 changes)

- [Add autocomplete attribute to most password fields](gitlab-org/gitlab@8a71c388de0e238b3e77e0dad55262023fb03533) ([merge request](gitlab-org/gitlab!72329))
- [Rename profile password fields so password managers understand](gitlab-org/gitlab@16820a9eea57095918942771c51845972e5cd408) ([merge request](gitlab-org/gitlab!71237))
- [Fix reverse tabnabbing issue](gitlab-org/gitlab@d133ec2ba23ea87e0bd8270a24341e9403757e01) ([merge request](gitlab-org/gitlab!71756))
- [Use v-safe-html in project_list_item.vue](gitlab-org/gitlab@14c07dd906f3666119c4cb6b3c4e3c2e338a5e54) by @Fall1ngStar ([merge request](gitlab-org/gitlab!70730))
- [Require password confirmation when user changes their primary email](gitlab-org/gitlab@086303a7529c480db08ee39173299f2ef4271b37) ([merge request](gitlab-org/gitlab!69439))
- [Fix XSS in Jira link](gitlab-org/gitlab@406fa2dfc40f5b7c54fd329f88125c37b851c631) **GitLab Enterprise Edition**
- [Return 404 if model id wasn't passed to UploadsController](gitlab-org/gitlab@c5fac89577d5576c570486dab91d7af099043f42)
- [Scrub artifacts signed URL in SendEntry logs](gitlab-org/gitlab@e9d2f771e6ca5d0eb84e90fa1973f90356ffce7c)
- [Prevent double-impersonation and impersonation breakout](gitlab-org/gitlab@780c8592b1e5c9f3ebb25682d22868d3e41d0ff8)
- [Clear session access tokens when starting/stopping impersonation](gitlab-org/gitlab@413f65cf961b9330d4455a3c7c96dbb5c3076593)
- [Require password param for 2FA changes](gitlab-org/gitlab@2fee55910eb9294aac3d096009e18afbf701b2e8)
- [Prevent users from bypassing 2FA on certain pages](gitlab-org/gitlab@5a52554984c540c0211a91169956cc7f3b8e511f)
- [Use validated URL when sending request to Gitea Importer](gitlab-org/gitlab@7af8abd4df9a98f7a1ae7c4ec9840d0a7a8c684d)
- [Fix permissions check on project members import](gitlab-org/gitlab@3b34c4e1e960dabc982c147b996ea4a3228f36fe)
- [Fix fogbugz importer DNS Rebind SSRF](gitlab-org/gitlab@395649cc463054467cfa9265f0f6d8a1a943226d)
- [Require group admin access to list pending invites](gitlab-org/gitlab@f4b8af4e6829d0ccfbf2f34caa0183908d622d66)
- [Do not export and import repository_size_limit](gitlab-org/gitlab@215ac57160a36faa55adfb4069c48a6e993be0f6)
- [Escapes MR approval rule names correctly](gitlab-org/gitlab@a3af82b0f065cbf449c8285db91d8837a7208f17)
- [Disable exporting pipeline triggers on project export](gitlab-org/gitlab@4195b918418786babcc71af51b61ea3fad107a8a)
- [Add pagination to dependencies API](gitlab-org/gitlab@5eeb99760ce78b28e8e77361daec438a1c588d31) **GitLab Enterprise Edition**
- [Filter shared groups autocomplete by permitted](gitlab-org/gitlab@faf9969eb78296e8f20bee8bac6563f6f02ea07a) **GitLab Enterprise Edition**
- [Apply account locking to password reset page](gitlab-org/gitlab@38a3aceb6e20e52d6f2a554dcdf6c4828d2d49a2)
- [Verify state before using errors from OAuth2 OmniAuth providers](gitlab-org/gitlab@79457dafe5558446504e7cdda33f2731e4033d62)
- [Fix GFM autocomplete xss](gitlab-org/gitlab@bd9bc17acd5930c5830f67ae8becdf7b8e7b4550)
- [Remove related project access tokens when a project is deleted](gitlab-org/gitlab@ff76361cba4561a13fca600afe431a50137e4f45)
- [Do not allow status checks to exist with external protected branches](gitlab-org/gitlab@dd5d6c9dda012e3776eddf89ddbc74073b5d40d5) **GitLab Enterprise Edition**
- [Permission check issuable template API data](gitlab-org/gitlab@dbad14b7fac92ed9cae602a3e30676703f406e62) **GitLab Enterprise Edition**
- [Require access token for git when 2fa is required](gitlab-org/gitlab@79c523c3f9ade423ad960f8bd30b686759eda29f)
- [Prohibit anonymous access for specific user API endpoint](gitlab-org/gitlab@635002da5981dc88c0942bb11ae4a14e7601362f)
- [Respect disabled import sources when initiating import via API](gitlab-org/gitlab@0dec589a9811e4ed72002116fcc89ca65447cb72)
- [Prevent showing not allowed subgroup epics](gitlab-org/gitlab@c77693d4154db385a292b1a290598b145ac20a57) **GitLab Enterprise Edition**
- [Prevent moving epic issues to different group hierarchy](gitlab-org/gitlab@eefca514c7716dc7071de8a3de9567f1a97d66df) **GitLab Enterprise Edition**
- [Fix denial-of-service attack in Markdown parser](gitlab-org/gitlab@1315787019130f5e65ef00dc166721dd703a2908)
- [Enforce configured scopes for Oauth applications](gitlab-org/gitlab@31cc65d79b44e43108f7eeac06496c12cf9f8ee3)

### Performance (27 changes)

- [Set X-Requested-With for startup JS requests](gitlab-org/gitlab@5b10ead1fc4d7fdf8836f210a70825ba1834cd7b) ([merge request](gitlab-org/gitlab!72360))
- [Use Group linear ancestor scopes](gitlab-org/gitlab@e2664d387b9e50ea25253044bb6792983dd5992c) ([merge request](gitlab-org/gitlab!70708)) **GitLab Enterprise Edition**
- [Skip secure product metrics in service ping](gitlab-org/gitlab@a7895ff78405735fc0a9be4e9339f45aec7d6023) ([merge request](gitlab-org/gitlab!72198)) **GitLab Enterprise Edition**
- [Clean up failed archive when no more attempts left](gitlab-org/gitlab@22bdd739efbfabc999544aac0c17f6719024237e) ([merge request](gitlab-org/gitlab!71878))
- [Render gitaly-unavailable error for Tags page](gitlab-org/gitlab@9a20a93028cc1ff4e9191f3204549a2f71393705) ([merge request](gitlab-org/gitlab!71078))
- [Enable FF "reference_cache_memoization" by default](gitlab-org/gitlab@a1ad071bc5d8bb2a31545c90f02d91d4d78cf045) ([merge request](gitlab-org/gitlab!71731))
- [Enable FF "tags_finder_gitaly" by default](gitlab-org/gitlab@bf59b0925716dd5342cd9d77396ca0adf74d5ff3) ([merge request](gitlab-org/gitlab!71743))
- [Quarantine broken security_products_usage metrics](gitlab-org/gitlab@417a1319e87b37aea0b987736d2920e17a50f1b6) ([merge request](gitlab-org/gitlab!71722)) **GitLab Enterprise Edition**
- [Preload user project access in group API](gitlab-org/gitlab@c6bc7f71703844a96e0781da5c1e4d12ac2b0c23) ([merge request](gitlab-org/gitlab!71631))
- [User ParticipantService linear ancestor scopes](gitlab-org/gitlab@133206812814dbea34ad7c9673bcb8849d2497f3) ([merge request](gitlab-org/gitlab!70684))
- [Use GroupPlansPreloader linear ancestor scopes](gitlab-org/gitlab@5bffbad5917195c4eff72570a5798e5a5aa81d29) ([merge request](gitlab-org/gitlab!70685)) **GitLab Enterprise Edition**
- [Use specialized worker to refresh authorizations on group-share update](gitlab-org/gitlab@fa1d31ee1f88ba8d659f3d14ef06bc2867ee19ae) ([merge request](gitlab-org/gitlab!70361))
- [Disable BatchLoader replace_methods by default](gitlab-org/gitlab@cac51506144d441abf74026b788ee5c9fedb0452) ([merge request](gitlab-org/gitlab!71364))
- [Avoid loading project namespace for id](gitlab-org/gitlab@c5b9c6b5c600827f24b0d97bf30c97644abada19) ([merge request](gitlab-org/gitlab!71051))
- [Use MembersFinder ancestors linear scopes](gitlab-org/gitlab@ea414318775364ceeecc5d5a9b812fcdc5f7d758) ([merge request](gitlab-org/gitlab!70583))
- [Use ApplicationSetting ancestors linear scopes](gitlab-org/gitlab@d7aaa809a62bd5a9668f06fe554c1f12c8dbec66) ([merge request](gitlab-org/gitlab!70579)) **GitLab Enterprise Edition**
- [Disable replace_methods in users autocomplete](gitlab-org/gitlab@6d0b7babd98d253fe65153653a8e3ba23372ac7e) ([merge request](gitlab-org/gitlab!71262))
- [Remove priority sort from board list issues](gitlab-org/gitlab@30820e968005dafccf66be6fc5fe534bd8c05d4a) ([merge request](gitlab-org/gitlab!70674))
- [Use GroupTree ancestors linear scopes](gitlab-org/gitlab@c1f9f33079d41594f41507f830d90164caecc59d) ([merge request](gitlab-org/gitlab!70503))
- [Replace Group ancestors scope with linear version](gitlab-org/gitlab@bd908d325f2989e184c016bbf6ffa2f34ac9f7b3) ([merge request](gitlab-org/gitlab!70495))
- [Add concurrent index for selecting resource_group from ci_builds](gitlab-org/gitlab@f5fb3b4b90e0806453f7ffa418edf904d9c6632f) ([merge request](gitlab-org/gitlab!70911))
- [Skip keep_around commit callback if `skip_keep_around_commits` is true](gitlab-org/gitlab@7abd7d2d47888ea92459534a42734ac734bc0eef) ([merge request](gitlab-org/gitlab!69910))
- [Add index for vulnerability_occurrences image location](gitlab-org/gitlab@44e892e7f517e26ec52cdfb9d9b8c7552b20e761) ([merge request](gitlab-org/gitlab!70275))
- [Improve retrieving default branch of empty repos](gitlab-org/gitlab@c5ccb9261e05c38fbe0956bc563556481e32c783) ([merge request](gitlab-org/gitlab!70116))
- [Update pending builds namespace traversal ids](gitlab-org/gitlab@9aa02e07af6a936244b88b4c873a866cea4fb65e) ([merge request](gitlab-org/gitlab!70691))
- [Use specialized worker to refresh authorizations on project transfer](gitlab-org/gitlab@34f5f02a72b710cf97b6ed8526dc42b4c026aa07) ([merge request](gitlab-org/gitlab!70356))
- [Add a `uniq` filter to SHAs passed to the keep around service](gitlab-org/gitlab@e3b599c5bdcebd15b117e039b58e4c98349ac652) ([merge request](gitlab-org/gitlab!70323))

### Other (41 changes)

- [Remove feature flag for pipeline editor drawer](gitlab-org/gitlab@28f635fffc9f2db4d2c43bff9afac4b2b3f44bdc) ([merge request](gitlab-org/gitlab!72237))
- [Improve UX of group two factor grace period input](gitlab-org/gitlab@84208b270b1ce7148a1db0caaca50e2111348342) ([merge request](gitlab-org/gitlab!72280))
- [Remove metrics that keeps count of deleted container images](gitlab-org/gitlab@96806577b479cddf2e0e1b0a8a417702ee5e3865) by @edith007 ([merge request](gitlab-org/gitlab!70983)) **GitLab Enterprise Edition**
- [Remove metric that keeps track of published Debian packages](gitlab-org/gitlab@5193a7f3c2512c05cffab2627ae0a86f9a45a535) by @edith007 ([merge request](gitlab-org/gitlab!70988)) **GitLab Enterprise Edition**
- [Remove the FF ci_idempotent_pipeline_process_worker](gitlab-org/gitlab@30b3172abc9592c640412641f9f420201bcfc019) ([merge request](gitlab-org/gitlab!72297))
- [Remove metric that keeps track of downloaded container images](gitlab-org/gitlab@460b8f2e3a41a5fbf6e6ecfc83c4ead68c23a28c) by @edith007 ([merge request](gitlab-org/gitlab!70985)) **GitLab Enterprise Edition**
- [Add Google Analytics ID to gitlab_standard schema for snowplow](gitlab-org/gitlab@a9522b5e8afd76353fc9fb0d92d32e46b03b7f6f) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/71242))
- [Remove metric that keeps track of published container images](gitlab-org/gitlab@2a4246d2ad491d1f96437a5277a7f0931dd8bf6c) by @edith007 ([merge request](gitlab-org/gitlab!70987)) **GitLab Enterprise Edition**
- [Remove the FF ci_include_rules](gitlab-org/gitlab@53e9d5fb9f1fd021566b1d2f5cd1556207be9194) ([merge request](gitlab-org/gitlab!72122))
- [Always use rate limiting Redis](gitlab-org/gitlab@5bc8987a710cc84aa399d99f3336523bffbc957f) ([merge request](gitlab-org/gitlab!72113))
- [Cleanup delete orphaned deployments background migration](gitlab-org/gitlab@233858c7e8e63cc3b3405621ceee8c73d73c8495) ([merge request](gitlab-org/gitlab!66600))
- [Remove feature flag disable_joins_upstream_downstream_projects](gitlab-org/gitlab@76d008a4d5b5bc4a08760e3d1c863b0668767c6b) ([merge request](gitlab-org/gitlab!71968))
- [Do not append hash to pseudonymized URL](gitlab-org/gitlab@768d0801050fe83d8e81a6abbf9cbf34bfb6534a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/71335))
- [Remove test summary widget usage ping feature flag](gitlab-org/gitlab@5d780fc9ec7b0dbfc6df1bed102c5b6006a409c6) ([merge request](gitlab-org/gitlab!71781))
- [Remove sync_namespace_name_with_cdot flag](gitlab-org/gitlab@467a39884503f3f387760b503943e447e8fa6c7e) ([merge request](gitlab-org/gitlab!71763))
- [Set `assumeImmutableResults` to `true` in access tokens Apollo config](gitlab-org/gitlab@a2d295513d9ba4a336997388b696302110bf12b5) by @imrishabh18 ([merge request](gitlab-org/gitlab!70873))
- [Remove unused struct field](gitlab-org/gitlab@916a647334b542ad4b011c28a511bc4a5dd9ac10) ([merge request](gitlab-org/gitlab!71738))
- [Re Reschedule Delete Orphaned Deployments BG migration](gitlab-org/gitlab@4fc0ad4eebce4f76bad344913cf16c340dfb0d62) ([merge request](gitlab-org/gitlab!71700))
- [Refactor compliance framework UI and documentation](gitlab-org/gitlab@0b3b96373f0633fd333f87d0446faa9657a9831b) ([merge request](gitlab-org/gitlab!70258)) **GitLab Enterprise Edition**
- [Remove the FF ci_pipeline_add_job_with_lock](gitlab-org/gitlab@7bb475a84b5411dd71cf04d62dc760837af432a6) ([merge request](gitlab-org/gitlab!71652))
- [Remove project authorizations API FF](gitlab-org/gitlab@6a4e306aa856dc9cbfb31d070f5edc20491ff10d) ([merge request](gitlab-org/gitlab!71638))
- [Revise UI text for Usage Statistics](gitlab-org/gitlab@6f7df4eabd0fe12bd735562b1c61704f62438d08) ([merge request](gitlab-org/gitlab!71473))
- [Removes `track_epic_boards_activity` feature flag](gitlab-org/gitlab@3a3c53a19f8e14a11872afc5bfbea9be1ebb7a7e) ([merge request](gitlab-org/gitlab!71552))
- [Remove pages_smart_check_outdated_sha feature flag](gitlab-org/gitlab@b68e407fe931b4c6c2912926c8a576448cba65ea) ([merge request](gitlab-org/gitlab!71530))
- [Additional tests of #work_in_progress?](gitlab-org/gitlab@bab351e939be61d330dc683bbeb638a132410079) ([merge request](gitlab-org/gitlab!71437))
- [Use varchar_pattern_ops indexes for labels](gitlab-org/gitlab@dbf00facaf0d5aab14455f524d0608a133abd14c) ([merge request](gitlab-org/gitlab!70770))
- [Update runner status descriptions](gitlab-org/gitlab@471c067f8de82a6ae83282cad16fec9dfed0fb30) ([merge request](gitlab-org/gitlab!71447))
- [Make build_id param as required when updating CI minutes async](gitlab-org/gitlab@fd716d443a31f7a22716c2feec11deb65f084d65) ([merge request](gitlab-org/gitlab!71297)) **GitLab Enterprise Edition**
- [Remove FF ci_remove_update_retried_from_process_pipeline](gitlab-org/gitlab@6d3b53f4fd3925ca38cf0c75e9941d60e23e71f3) ([merge request](gitlab-org/gitlab!71201))
- [Filter Welcome to GitLab console message from capybara](gitlab-org/gitlab@511d56f0fdbec074930037f587737d7066002a1c) by @leetickett ([merge request](gitlab-org/gitlab!71151))
- [Remove redundant index on taggings table](gitlab-org/gitlab@5124a0375265ede986eed631e9cfad7cf1400642) ([merge request](gitlab-org/gitlab!71083))
- [Update additional CI minute docs](gitlab-org/gitlab@1d74e66b394c9d5418f0d2f277bd61ddb3de1b98) ([merge request](gitlab-org/gitlab!70934))
- [Drop old int4 PK column for push_event_payloads](gitlab-org/gitlab@6e19f4eee1eafd432619d7fbf0d897ef2e622776) ([merge request](gitlab-org/gitlab!70920))
- [Drop old int4 PK column for events](gitlab-org/gitlab@2de6a4f4784f68e2a8e2680b1273d76f9ad21023) ([merge request](gitlab-org/gitlab!70915))
- [Remove foreign key from terraform_state_versions to ci_builds](gitlab-org/gitlab@1f99a8584dd7573c64e658712d504474404120f7) ([merge request](gitlab-org/gitlab!70743))
- [Drop old int4 PK columns for ci_sources_pipelines](gitlab-org/gitlab@fecfc17771721bd94dbb4a2ca60ce97f149e5e60) ([merge request](gitlab-org/gitlab!70896))
- [Drop old int4 PK columns for ci_job_artifacts](gitlab-org/gitlab@751d343ebf822966ec66bc59e954601ca6639a66) ([merge request](gitlab-org/gitlab!70884))
- [Cleanup bigint conversion for ci_builds_metadata](gitlab-org/gitlab@fbf66ae98289e7ad5b0d8a126b8b92d8a29aa8fb) ([merge request](gitlab-org/gitlab!69712))
- [Remove pipeline foreign keys from package tables](gitlab-org/gitlab@3b8d317b98a2054f2a6251b02940974bb3a74d5d) ([merge request](gitlab-org/gitlab!70614))
- [Cleanup bigint conversion for ci_builds](gitlab-org/gitlab@176992aa2b2e76b22637a07d5bafbd6541324a7d) ([merge request](gitlab-org/gitlab!70351))
- [Drop support for data-track-event](gitlab-org/gitlab@ac6027fbef6adf41643412a84945fda6f15c9666) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/70234))

## 14.3.6 (2021-12-03)

No changes.

## 14.3.5 (2021-11-26)

### Fixed (6 changes)

- [Allow SSO callbacks through maintenance mode](gitlab-org/gitlab@f9b250145ac3db5fb01698839f1b5f3d9d349945) ([merge request](gitlab-org/gitlab!75145)) **GitLab Enterprise Edition**
- [Geo - Fix no repo error message for group-level wikis](gitlab-org/gitlab@5560e012bd6f35431d4d1cea389807ca475c2ce5) ([merge request](gitlab-org/gitlab!75145)) **GitLab Enterprise Edition**
- [Prevent Git operations from checking replication lag on non-Geo-secondary sites](gitlab-org/gitlab@35344d81d5e07bfb4db997be6c4f99f39a16562e) ([merge request](gitlab-org/gitlab!75145)) **GitLab Enterprise Edition**
- [Fix error 500 loading branch with UTF-8 characters with performance bar](gitlab-org/gitlab@08b47c2870cc338021bb3f945ac6736e46abf376) ([merge request](gitlab-org/gitlab!75145))
- [Remove defaultAuthors from MR Analytics and VSA](gitlab-org/gitlab@be95c921623056d31e2cbc0a7bc96de3aa66ca65) ([merge request](gitlab-org/gitlab!75145))
- [Allow SSO callbacks through maintenance mode](gitlab-org/gitlab@0727751512d41537356b295d6b889e05c6a07480) ([merge request](gitlab-org/gitlab!74706)) **GitLab Enterprise Edition**

## 14.3.4 (2021-10-28)

### Security (13 changes)

- [Highlight usage of unicode bidi characters](gitlab-org/security/gitlab@0b9bcafa73bc12ad873f75584b993f7b94f1f2e7) ([merge request](gitlab-org/security/gitlab!1938))
- [Fix dompurify.js to prevent path traversal attacks](gitlab-org/security/gitlab@6599afd4d7357ab356fcb773af19f8388978b3ed) ([merge request](gitlab-org/security/gitlab!1930))
- [Refresh authorizations on transfer of groups having project shares](gitlab-org/security/gitlab@faad71f44a1b1048b73897d450c923a18ec18c0b) ([merge request](gitlab-org/security/gitlab!1917))
- [Do not allow Applications API to create apps with blank scopes](gitlab-org/security/gitlab@293931500c84ef7ea9a2117d3ddf094f8ac15dcf) ([merge request](gitlab-org/security/gitlab!1923))
- [Don't allow author to resolve discussions when MR is locked via GraphQL](gitlab-org/security/gitlab@5027cb2b0303645a921b95d324d3d55dcf7632e4) ([merge request](gitlab-org/security/gitlab!1920))
- [Workhorse: Allow uploading only a single file](gitlab-org/security/gitlab@c18c2ddfa34a4c3e476136ab3eba9be7f265ad59) ([merge request](gitlab-org/security/gitlab!1914))
- [Group owners should see SCIM token only once](gitlab-org/security/gitlab@3d6664461da720fb256d8e139961b383e33a3b90) ([merge request](gitlab-org/security/gitlab!1907)) **GitLab Enterprise Edition**
- [Respect visibility level settings when updating project via API](gitlab-org/security/gitlab@124ca62c02bfa8ef6f7de7b328f80756fd01c052) ([merge request](gitlab-org/security/gitlab!1904))
- [Avoid decoding the whole tiff image on isTIFF check](gitlab-org/security/gitlab@8e6ffd52f50170a5cf2761e50a3d6efaca5fe64f) ([merge request](gitlab-org/security/gitlab!1900))
- [Adding a '[redacted]' to mask private email addresses](gitlab-org/security/gitlab@6f2a2b2240eb7590bbc773f35d3927d4854a31b5) ([merge request](gitlab-org/security/gitlab!1894))
- [Do not display the root password by default](gitlab-org/security/gitlab@87893548183fc4a111e12c0bdb3e409175a41668) ([merge request](gitlab-org/security/gitlab!1803))
- [Set PipelineSchedules to inactive](gitlab-org/security/gitlab@0e77e1cd938f876f3e9c049a84486c8c90cd0f3f) ([merge request](gitlab-org/security/gitlab!1879))
- [Remove external_webhook_token from exported project](gitlab-org/security/gitlab@1362f7481aad5e4295da11f0db53e31600c7c7b5) ([merge request](gitlab-org/security/gitlab!1866))

## 14.3.3 (2021-10-12)

### Fixed (3 changes)

- [Disable caching of MergeToRefService call in mergeability check](gitlab-org/gitlab@ea9f38fb3ce1f9b345ca699b5f9ae7b36726a56f) ([merge request](gitlab-org/gitlab!72179))
- [Fix 2FA setup for users with no password](gitlab-org/gitlab@c6d5cdfc3fa1a1dc0a6686a8f189972c03403f7a) ([merge request](gitlab-org/gitlab!72179))
- [Fix dependency proxy image prefix](gitlab-org/gitlab@deb9719db05e99dec787bd76c5e96408f92eb802) ([merge request](gitlab-org/gitlab!72179))

## 14.3.2 (2021-10-01)

### Fixed (1 change)

- [Update GitLab Shell to v13.21.1](gitlab-org/gitlab@9e9e41f2ae9bdb89355c0f9cef486950bbaf361c) ([merge request](gitlab-org/gitlab!71513))

### Changed (1 change)

- [Remove `async_filtering` feature flag](gitlab-org/gitlab@c4277c1fed0de3d86694390641612bfcde30cc92) ([merge request](gitlab-org/gitlab!71513))

## 14.3.1 (2021-09-30)

### Security (29 changes)

- [Fix permissions check on project members import](gitlab-org/security/gitlab@63ba9ad2a1067eb74df493e273707bb64a13a197) ([merge request](gitlab-org/security/gitlab!1858))
- [Require password param for 2FA changes](gitlab-org/security/gitlab@f246cfbd15344ba74a0182276bf63f0b5f1a4a31) ([merge request](gitlab-org/security/gitlab!1813))
- [Respect disabled import sources when initiating import via API](gitlab-org/security/gitlab@046e964b0151fc8c58063281a39af063ffb678bd) ([merge request](gitlab-org/security/gitlab!1846))
- [Return 404 if model id wasn't passed to UploadsController](gitlab-org/security/gitlab@747e6f0e4aec39462f296fd56b37df1c255d29cb) ([merge request](gitlab-org/security/gitlab!1843))
- [Scrub artifacts signed URL in SendEntry logs](gitlab-org/security/gitlab@f6c57892ddc9518efaace1021346b42b4c805a1c) ([merge request](gitlab-org/security/gitlab!1840))
- [Prevent double-impersonation and impersonation breakout](gitlab-org/security/gitlab@615d418f9315ca3b3619689c47201f618cf6bde9) ([merge request](gitlab-org/security/gitlab!1834))
- [Clear session access tokens when starting/stopping impersonation](gitlab-org/security/gitlab@62c2e0d3ed73f2d7ded90d04fe232ff6ae2f6136) ([merge request](gitlab-org/security/gitlab!1831))
- [Prevent users from bypassing 2FA on certain pages](gitlab-org/security/gitlab@0b41838b36da09a9230de4d8449040a701464de7) ([merge request](gitlab-org/security/gitlab!1827))
- [Use validated URL when sending request to Gitea Importer](gitlab-org/security/gitlab@26731d762f6503fe1b8b509be11c56e77601a552) ([merge request](gitlab-org/security/gitlab!1822))
- [Fix XSS in Jira link](gitlab-org/security/gitlab@d41060acb2aa151119042db9162a102d4e2c15ab) ([merge request](gitlab-org/security/gitlab!1819)) **GitLab Enterprise Edition**
- [Fix fogbugz importer DNS Rebind SSRF](gitlab-org/security/gitlab@cc13d57c66cc65e6f920bdeab57b9fdb9d6baac1) ([merge request](gitlab-org/security/gitlab!1814))
- [Remove related project access tokens when a project is deleted](gitlab-org/security/gitlab@d32c0d57d5b39601034c4c4ae983ea80c05db429) ([merge request](gitlab-org/security/gitlab!1810))
- [Require group admin access to list pending invites](gitlab-org/security/gitlab@911bb0cb78e00934c491af59729fa84fffae7676) ([merge request](gitlab-org/security/gitlab!1793))
- [Do not export and import repository_size_limit](gitlab-org/security/gitlab@0f3feca459895fc6665f8b0dfc16d4dcd7112944) ([merge request](gitlab-org/security/gitlab!1770))
- [Escapes MR approval rule names correctly](gitlab-org/security/gitlab@4fcd97230bbc31780fe14d75694bb6433d57e677) ([merge request](gitlab-org/security/gitlab!1807))
- [Filter shared groups autocomplete by permitted](gitlab-org/security/gitlab@b5144abb0516af61686402c2ad720967d11cb03c) ([merge request](gitlab-org/security/gitlab!1804)) **GitLab Enterprise Edition**
- [Require access token for git when 2fa is required](gitlab-org/security/gitlab@ea22f67b47bf0d6c801f2bf6c9672c0ea5afd30c) ([merge request](gitlab-org/security/gitlab!1794))
- [Prohibit anonymous access for specific user API endpoint](gitlab-org/security/gitlab@c52890997ad574812ae4da968f2f6ecfd9f7ff59) ([merge request](gitlab-org/security/gitlab!1792))
- [Disable exporting pipeline triggers on project export](gitlab-org/security/gitlab@f7f18fbdd8e81a9b3e0650250316c7bb17ac1956) ([merge request](gitlab-org/security/gitlab!1791))
- [Add pagination to dependencies API](gitlab-org/security/gitlab@203328889059564ba6085663b21355149c01e501) ([merge request](gitlab-org/security/gitlab!1726)) **GitLab Enterprise Edition**
- [Do not allow status checks to exist with external protected branches](gitlab-org/security/gitlab@327d8080e7e7b0bc77b7933f8026ec0cf1abd99a) ([merge request](gitlab-org/security/gitlab!1788)) **GitLab Enterprise Edition**
- [Permission check issuable template API data](gitlab-org/security/gitlab@de7851c2ab58c31df49c8a406ed0c3f3ad779e26) ([merge request](gitlab-org/security/gitlab!1785)) **GitLab Enterprise Edition**
- [Apply account locking to password reset page](gitlab-org/security/gitlab@050dfa71191ffaea77a4a18e0dea1f3336f40db5) ([merge request](gitlab-org/security/gitlab!1782))
- [Enforce configured scopes for Oauth applications](gitlab-org/security/gitlab@ce83bb14b5a4521f889086a439f1628041843589) ([merge request](gitlab-org/security/gitlab!1779))
- [Verify state before using errors from OAuth2 OmniAuth providers](gitlab-org/security/gitlab@dcc2cad6c03255ac70f29ed9c0f6c8bc11ac1018) ([merge request](gitlab-org/security/gitlab!1776))
- [Prevent moving epic issues to different group hierarchy](gitlab-org/security/gitlab@167601717f2ad46fee2320af6ac49674026501be) ([merge request](gitlab-org/security/gitlab!1772)) **GitLab Enterprise Edition**
- [Fix GFM autocomplete xss](gitlab-org/security/gitlab@8816ab6af1d1aa752f22da7850d4d1c983f2d43a) ([merge request](gitlab-org/security/gitlab!1767))
- [Prevent showing not allowed subgroup epics](gitlab-org/security/gitlab@b841c78c47b6a56b618186720bffc26922807356) ([merge request](gitlab-org/security/gitlab!1764)) **GitLab Enterprise Edition**
- [Fix denial-of-service attack in Markdown parser](gitlab-org/security/gitlab@5e5973b5c28862381729408ba4df650c3d4f7ce0) ([merge request](gitlab-org/security/gitlab!1730))

## 14.3.0 (2021-09-21)

### Added (111 changes)

- [Add organizations update mutation to GraphQL](gitlab-org/gitlab@9375734734a090d186da58cb5d1ece7d886318f8) by @leetickett ([merge request](gitlab-org/gitlab!69559))
- [Auto-scope board to iteration cadence](gitlab-org/gitlab@3015a0232caa9641266130bd905942ece2758d16) ([merge request](gitlab-org/gitlab!69030))
- [Decouple project runners queuing query from projects table](gitlab-org/gitlab@04a2a99342e8db67058ee6534e4166ca0a8a4914) ([merge request](gitlab-org/gitlab!70415))
- [Add owner validation for project namespaces](gitlab-org/gitlab@a30da0a109d54f5254498d70977e3e2be69f9901) ([merge request](gitlab-org/gitlab!69201))
- [Add ProjectNamespace model and DB relationships](gitlab-org/gitlab@6914cf3c13c2ca6f325ae273944f4c2172691451) ([merge request](gitlab-org/gitlab!69201))
- [Upgrade Pages to 1.44.0](gitlab-org/gitlab@2e2263965716a3dd7c3f427f9876d50183a9a3ef) ([merge request](gitlab-org/gitlab!70484))
- [Add docs on how to use AWS server side encryption for backups](gitlab-org/gitlab@00eeff9dd13ad4a515655630cc9f006ca2ec8c75) ([merge request](gitlab-org/gitlab!70327))
- [Persist projects configured to use an Agent](gitlab-org/gitlab@3a80bebfcb49b4315c91d3ac3863f06d692fc000) ([merge request](gitlab-org/gitlab!67295))
- [Enable Pages replication with Geo by default](gitlab-org/gitlab@5f9c6a945c6f46294ede78b5b1ae82b2d8239c92) ([merge request](gitlab-org/gitlab!70434)) **GitLab Enterprise Edition**
- [Address the PK Overflow risk for the ci_build_needs - Step 3](gitlab-org/gitlab@c789075c2907e6689d61e9f3c0ff6943018a4c9c) ([merge request](gitlab-org/gitlab!69473))
- [Extend `marginalia` to provide `db_config_name`](gitlab-org/gitlab@24e07a2a61cc981f401fd886e39940305cc3699c) ([merge request](gitlab-org/gitlab!67328))
- [Enable Roadmap daterange presets](gitlab-org/gitlab@3dccdb1fc8a795ea8e6fd23710362f0ef8b6a146) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/55639)) **GitLab Enterprise Edition**
- [Test project namespace is destroyed with project_namespace.rb](gitlab-org/gitlab@93ff65e15fa779f6ecebef03a98443972efd6222) ([merge request](gitlab-org/gitlab!69200))
- [Add DastSiteValidations status filter (disabled)](gitlab-org/gitlab@dd35063df15f3e542487de378b988043b0c3f249) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/70126)) **GitLab Enterprise Edition**
- [Allow using inherited description templates on service desk](gitlab-org/gitlab@1b8efb7913d6dbe562c01bfb0a1189cb7b939aef) ([merge request](gitlab-org/gitlab!67786)) **GitLab Enterprise Edition**
- [Gitaly repository tree keyset pagination](gitlab-org/gitlab@fd8c25e35a4e5126053ec534f0f3ac62167f3c2f) ([merge request](gitlab-org/gitlab!67509))
- [Sort scoped labels first in issuable sidebar](gitlab-org/gitlab@622853e25838fc0a2e287bbf5ce3b6cfa79aa19a) by @leetickett ([merge request](gitlab-org/gitlab!67794))
- [Enable surfacing false positives for vulnerabilities](gitlab-org/gitlab@9314dffe0d085d2db733d0ebf7f419683cd5e9b4) ([merge request](gitlab-org/gitlab!69700))
- [Remove related todos when a design is archived](gitlab-org/gitlab@e3672ba77d7ff44d5782c3d2e359753184512e2d) ([merge request](gitlab-org/gitlab!69730))
- [Updated vendored cluster management project tpl](gitlab-org/gitlab@e57a501ebef36140d1bfd860221ce6df3ed16635) ([merge request](gitlab-org/gitlab!69405))
- [Configure the sidekiq job limits through settings](gitlab-org/gitlab@186465daacfe9c4b4205e2e1b1d168ff076d46af) ([merge request](gitlab-org/gitlab!68982))
- [GraphQL for dependency proxy ttl policies](gitlab-org/gitlab@fc7454cc3dc87f9313b23bdfb62c0b75e138119c) ([merge request](gitlab-org/gitlab!68900))
- [Track CI minutes usage on a monthly basis](gitlab-org/gitlab@c798d81ab3ca22d84e4e6463532ffdd4168ab99e) ([merge request](gitlab-org/gitlab!70183)) **GitLab Enterprise Edition**
- [Added connectivity status to Kubernetes Agents](gitlab-org/gitlab@236e20be245070d640d7821ccebb22ddb4d5ef39) ([merge request](gitlab-org/gitlab!69345)) **GitLab Enterprise Edition**
- [Display icon for hidden issues on group/project issue boards](gitlab-org/gitlab@e4d2dc410b8a69432a243b01f6c75f24593b3dc3) ([merge request](gitlab-org/gitlab!69558))
- [Add milestoneWildcardId to board issues graphQL endpoint](gitlab-org/gitlab@75fd1f06a24b2b1b9a25c9adcfc828d4f462c17b) ([merge request](gitlab-org/gitlab!70105))
- [Support multiple dbs in MigrationHelpers](gitlab-org/gitlab@cd71cf542b5f7f66a2d2bd1c71c0043a5ae7e080) ([merge request](gitlab-org/gitlab!67753))
- [Add unauthenticated API throttle settings to admin area](gitlab-org/gitlab@2b4723b543c4699ced0c41d9254759ca1f76807a) ([merge request](gitlab-org/gitlab!69486))
- [Apply throttling settings for unauthenticated API requests](gitlab-org/gitlab@356b77296604b00623048052d2e7122ddbd1f44a) ([merge request](gitlab-org/gitlab!69388))
- [Add `throttle_unauthenticated_api_*` columns to application settings](gitlab-org/gitlab@004732b07e95d0712423ea67762f3ebb1134e88a) ([merge request](gitlab-org/gitlab!69384))
- [Track resolving a thread through a new issue action](gitlab-org/gitlab@b02e032ac476de9f77d0449390e037bb43c7a08a) ([merge request](gitlab-org/gitlab!69879))
- [Reject pending approval users via API](gitlab-org/gitlab@27e2be86ff3aaa89bf49e339f88fe81288785c08) ([merge request](gitlab-org/gitlab!69420))
- [Add connected agents to cluster agents GraphQL response](gitlab-org/gitlab@05430d7a153990ee7c736c70d74ab99f06af847f) ([merge request](gitlab-org/gitlab!69820)) **GitLab Enterprise Edition**
- [Introduce max saml message size setting](gitlab-org/gitlab@93d46378eccb37ae33875a6f7615a69ff106b98f) ([merge request](gitlab-org/gitlab!69647)) **GitLab Enterprise Edition**
- [Add group contacts query to GraphQL](gitlab-org/gitlab@d7dd36719ac1b99ca6aa97d731f14cf81a9d5288) by @leetickett ([merge request](gitlab-org/gitlab!69510))
- [Merge branch '322839-dp-graphql-image-prefix' into 'master'](gitlab-org/gitlab@1803322077256145581df58aa38ec513dfd41d7e) ([merge request](gitlab-org/gitlab!69114))
- [Enable ci_build_tags_limit by default](gitlab-org/gitlab@bfcb5bc84f40a169485360d01e19590a8653ceb5) ([merge request](gitlab-org/gitlab!69506))
- [Reimplement tree pagination for Rugged](gitlab-org/gitlab@cd3dc3ad6b25ae0d09925ea14f15b5a32f69b2bd) ([merge request](gitlab-org/gitlab!69480))
- [Address the PK Overflow risk for the ci_build_trace_chunks - Step 3](gitlab-org/gitlab@3752ea6ceff6c1e1e4e3815e95c6fc47db5aaa61) ([merge request](gitlab-org/gitlab!69632))
- [Address the PK Overflow risk for the ci_builds_runner_session - Step 3](gitlab-org/gitlab@8001124342e180f40bc0d15c2a0b9ba5583d2bc2) ([merge request](gitlab-org/gitlab!68542))
- [Apply throttling settings to Files API](gitlab-org/gitlab@2773f95d533d14a7903d2c8217abdd26ceaba5f3) ([merge request](gitlab-org/gitlab!68561))
- [Add more details to Protected Branches Audit Events](gitlab-org/gitlab@42a399f7ef30a0cc4d1e69ced5a29c7dcf3dc17d) by @adrien.gooris ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68869)) **GitLab Enterprise Edition**
- [Allow sorting issues by their title](gitlab-org/gitlab@f667b284592af7054843447833900faddd6c6d34) by @espadav8 ([merge request](gitlab-org/gitlab!67234))
- [Added filter bar to project VSA](gitlab-org/gitlab@89c078668b1e26e4dd611938ebc64e8927186d53) ([merge request](gitlab-org/gitlab!67340))
- [Track CI minutes notifications for new monthly tracking](gitlab-org/gitlab@936681b6ebf237e2c447f3cf6ea219e6bac9ed60) ([merge request](gitlab-org/gitlab!69059))
- [Support refname in external repo CI configuration](gitlab-org/gitlab@8909656ce7d3c2263e7bc72d0462af1bcfa9110d) by @jspricke ([merge request](gitlab-org/gitlab!68603))
- [Keyset pagination for Groups API](gitlab-org/gitlab@4c9e7cc5721d8e7adc00c847e2f6e08df2284f45) ([merge request](gitlab-org/gitlab!68346))
- [repository: Always use `ListBlobs()` to enumerate new blobs](gitlab-org/gitlab@fb65481d34cde47ef98a5a1d62ba5a5befa11b93) ([merge request](gitlab-org/gitlab!69449))
- [Add `latest` column into `security_scans` table](gitlab-org/gitlab@794d1c2f328e137f406d1019815caf40bc77d6da) ([merge request](gitlab-org/gitlab!69494))
- [Add not filters for MR Analytics](gitlab-org/gitlab@55f86ef9655046de591734a144436fa769fc0602) ([merge request](gitlab-org/gitlab!69359)) **GitLab Enterprise Edition**
- [Validate user website_url](gitlab-org/gitlab@f651f986e457e4c4a0e96138c0d4b9e96ac91801) ([merge request](gitlab-org/gitlab!69624))
- [Adding terraform fmt to the Terraform template](gitlab-org/gitlab@fb2c1d72491c7f989f6d7a2e3b4d570017821edc) by @willianpaixao ([merge request](gitlab-org/gitlab!69470))
- [Address the PK Overflow risk for the ci_sources_pipelines - Step 3](gitlab-org/gitlab@07f34bb1a5319fb9ba513b1d562e7edd7b178f46) ([merge request](gitlab-org/gitlab!69281))
- [Added /unapprove quick-action](gitlab-org/gitlab@f376e95272507f7aeae099aa8fff1df460c0b588) by @lzampier ([merge request](gitlab-org/gitlab!69225)) **GitLab Enterprise Edition**
- [Split diff commit migrations into smaller chunks](gitlab-org/gitlab@bcf1f22361561dac505304fb617d7e444622c8b5) ([merge request](gitlab-org/gitlab!69392))
- [Add `hidden` field to GraphQL `Issue` type](gitlab-org/gitlab@2c7c87c03477aa01b323ee6162c8b7e182215939) ([merge request](gitlab-org/gitlab!69323))
- [Add ProjectNamespace model and DB relationships](gitlab-org/gitlab@75efa8f4348770d0978c399b0439f57b5d6ecc4a) ([merge request](gitlab-org/gitlab!68825))
- [Add dependency proxy image prefix to group type](gitlab-org/gitlab@7005dd077fb148fcbbbb9f18b3694719179bf070) ([merge request](gitlab-org/gitlab!69114))
- [Backfill projects with CI coverage usage](gitlab-org/gitlab@1b1bf867fe2dbb4d933243f53135a264488e1ac4) ([merge request](gitlab-org/gitlab!69115))
- [Add Mailgun endpoint for receiving permanent failures](gitlab-org/gitlab@9c8a128ea056ee9170c7a32ad28a65900ec873aa) ([merge request](gitlab-org/gitlab!68307))
- [Clean up group_level_protected_environments feature flag](gitlab-org/gitlab@38ed6acf94b2609365c52522070c0c5218d67bc4) ([merge request](gitlab-org/gitlab!69272))
- [Add paginated tree graphQL query](gitlab-org/gitlab@edf6a2599a55d62a14ca5489b7db2c7f8b0051e7) ([merge request](gitlab-org/gitlab!69274))
- [Auto-DevOps: respect deploy freezes](gitlab-org/gitlab@ebb55727b36a3d21752838d0effd74a4ae435062) ([merge request](gitlab-org/gitlab!69205))
- [Add new VSA partitioned tables](gitlab-org/gitlab@0a29fd921e219835fb8529f42fad9a735a92f3b5) ([merge request](gitlab-org/gitlab!68950))
- [Readding state column for members table](gitlab-org/gitlab@3c8ef22d59796a48a4fb447b4d2c2b7bb128bbb9) ([merge request](gitlab-org/gitlab!69220))
- [Address the PK Overflow risk for the ci_job_artifacts - Step 3](gitlab-org/gitlab@773a7ec9993ba960fe4da208f5d76037dc911459) ([merge request](gitlab-org/gitlab!68770))
- [Add organizations to GraphQL](gitlab-org/gitlab@b0e0e336ddc722ff093763e307ba6e619aaac4d3) by @leetickett ([merge request](gitlab-org/gitlab!69318))
- [Mark the PostReceive worker as idempotent](gitlab-org/gitlab@cb87e136cbb7edae9a25e6eae903287ec8f99d5a) ([merge request](gitlab-org/gitlab!69305))
- [Added connectivity status to Kubernetes Agents](gitlab-org/gitlab@9a15f565fcd54585209eb70348acad48c11cd38d) ([merge request](gitlab-org/gitlab!69345)) **GitLab Enterprise Edition**
- [Use Gitaly API to sort tags](gitlab-org/gitlab@f94c86655c131ebd58e00137ddedc6b592321eda) ([merge request](gitlab-org/gitlab!69101))
- [Promote continuous onboarding A variant](gitlab-org/gitlab@6726be7f1bce5510e107dd8eff4964ff5484607b) ([merge request](gitlab-org/gitlab!68965))
- [Allow support for description lists in content editor](gitlab-org/gitlab@32b0de5f5306cb597b8b22ef0c3a527bef792e9c) ([merge request](gitlab-org/gitlab!69149))
- [Support AWS SSE-KMS in backups](gitlab-org/gitlab@3963b2511f01c84ab60b272ea10d4c47dba2ac02) ([merge request](gitlab-org/gitlab!64765))
- [Add new methods to support the PK migration - STEP 3](gitlab-org/gitlab@bccdbd7d6fab25bf03168c36f7901138e7624b53) ([merge request](gitlab-org/gitlab!68849))
- [Add ability to Delete Freeze Periods](gitlab-org/gitlab@a28b5a4a1f4efa190cdec5e5d7cf94eed247cf18) by @jayaddison ([merge request](gitlab-org/gitlab!66331))
- [Add DevOps Adoption Overview table](gitlab-org/gitlab@f3f97c345e9415ff777df671b689778f23753efb) ([merge request](gitlab-org/gitlab!68447)) **GitLab Enterprise Edition**
- [Render video in content editor](gitlab-org/gitlab@7fedc5e0e49733087a9db7943e4f6fdf5d0e40ec) by @leetickett ([merge request](gitlab-org/gitlab!69169))
- [Upgrade GitLab Pages to 1.43.0](gitlab-org/gitlab@1d8174ef6967f8b938e5e5d29baef591acb39559) ([merge request](gitlab-org/gitlab!69213))
- [Requirement migration: Sync title and description changes](gitlab-org/gitlab@0e35aed745501b6927737bf6f91813a972fb4011) ([merge request](gitlab-org/gitlab!64929)) **GitLab Enterprise Edition**
- [Render audio in content editor](gitlab-org/gitlab@933fe8e190a740cac6832f4fce589f9a78edc879) by @leetickett ([merge request](gitlab-org/gitlab!68598))
- [Adds k8s 1.20 to EKS list](gitlab-org/gitlab@051061a011b4fae351bdbe7924a524e374c34a58) ([merge request](gitlab-org/gitlab!69094))
- [API: Add endpoint to reset runner registration token](gitlab-org/gitlab@0fff8430cce18307af5af6758fb17079b2ade55c) by @KyleFromKitware ([merge request](gitlab-org/gitlab!68590))
- [Add personalization questions to group creation](gitlab-org/gitlab@9a0cfbd18ff9d82109495395197ed568300b2fd5) ([merge request](gitlab-org/gitlab!67249))
- [Fix unban specs](gitlab-org/gitlab@253ee313ecca7ca6ddc454c879d2400ddfe4fc88) ([merge request](gitlab-org/gitlab!68332))
- [Log backtrace when SAVEPOINT is discovered](gitlab-org/gitlab@19e38656b64d062f3ce51840718ab25da0038ff7) ([merge request](gitlab-org/gitlab!69023))
- [Improve serialization of content editor extensions](gitlab-org/gitlab@7105591794230453ac15434e9d11115c69d01305) ([merge request](gitlab-org/gitlab!68877))
- [Removes load_balancing_for_expire_job_cache_worker FF](gitlab-org/gitlab@2d89ab5f53635b31fa151a23dcf234c67897bff6) ([merge request](gitlab-org/gitlab!69004))
- [Enable the FF ci_include_rules by default](gitlab-org/gitlab@396a922cd0dcdd1ea54d951da3f19cf76e3d03c3) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67409))
- [Allow arbitrary html tags in content editor](gitlab-org/gitlab@ce0f7f66c9c7781b849fc707f5b9853f91d5d843) ([merge request](gitlab-org/gitlab!68224))
- [Expose web_url to Compare API endpoint](gitlab-org/gitlab@aea0869776dd9ca4770721d164fc79ebed2e7e9e) ([merge request](gitlab-org/gitlab!68676))
- [Add configure integrations button to project view](gitlab-org/gitlab@c14589e70baacf5d406fb2e604c2bd5c0525225d) ([merge request](gitlab-org/gitlab!67536))
- [Steal pending merge request diff commit user jobs](gitlab-org/gitlab@b98a2d0c6164e81cae5b6f739f0fc7bf9aa930f2) ([merge request](gitlab-org/gitlab!68769))
- [Database work to support inherited templates on service desk](gitlab-org/gitlab@200fe009bd68086edc0127346f28224159f471cb) ([merge request](gitlab-org/gitlab!67546))
- [Add param to allow scoped caching of Repo#merge_to_ref](gitlab-org/gitlab@84a4415eb01bbbb175235ffdf4ad9a499c28ce89) ([merge request](gitlab-org/gitlab!68790))
- [Allow to create epic from ancestor board](gitlab-org/gitlab@a077194fdd8b9b66a90284cfa27a6d9728dc86f4) ([merge request](gitlab-org/gitlab!68039)) **GitLab Enterprise Edition**
- [BG migration for populating stage event hash](gitlab-org/gitlab@c91abc0d5b37e6a414fd69398a0db36482b00922) ([merge request](gitlab-org/gitlab!67939))
- [Add VulnerabilityCreate GraphQL mutation](gitlab-org/gitlab@51205f5519b3f0ce5319678a61292dbeee946cd4) ([merge request](gitlab-org/gitlab!68158)) **GitLab Enterprise Edition**
- [Add direct group dependency proxy env variable](gitlab-org/gitlab@62e16f4d71849b5b4038e945471d73f324ba483f) ([merge request](gitlab-org/gitlab!68661))
- [Persist groups configured to use an Agent](gitlab-org/gitlab@09c33dc7073cd8e382b664166a22b2cbf4b1f968) ([merge request](gitlab-org/gitlab!68023))
- [Test case return 404 instead of 500 error](gitlab-org/gitlab@cfc199ab2bb888e6814424aa1ac334339be32004) ([merge request](gitlab-org/gitlab!68548)) **GitLab Enterprise Edition**
- [Add approvalRules to MergeRequest GraphQL API](gitlab-org/gitlab@8339099bc6d88d745cf24d6eb43dd33e051992c1) ([merge request](gitlab-org/gitlab!68502)) **GitLab Enterprise Edition**
- [Add Files API throttling to application settings](gitlab-org/gitlab@e989361e3f24e19af6e3a61794ac915f3492e8aa) ([merge request](gitlab-org/gitlab!68559))
- [Add support for fetching merge requests via RSS / Atom](gitlab-org/gitlab@5afc10add8dea007a32b5e2c986b0d37f2e5040b) by @kingjan1999 ([merge request](gitlab-org/gitlab!66336))
- [Enable new vulnerability report project filter by default](gitlab-org/gitlab@4dd50c39dda68f2ea5de29d721002503ca6b7535) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68456))
- [Allow title attribute in elements in content editor](gitlab-org/gitlab@29e0ecb1f9df1b420b7ee9a125b14dc990c9abcc) ([merge request](gitlab-org/gitlab!68086))
- [Allow editing the structure of tables](gitlab-org/gitlab@06cd45afb825847037b9cd3f36db98a9073504e4) ([merge request](gitlab-org/gitlab!68473))
- [Adds a button to retry a failed migration](gitlab-org/gitlab@0037970cf71f97ec6630ebfe8541399d0931840a) ([merge request](gitlab-org/gitlab!67504))
- [Add system note for issue type changes](gitlab-org/gitlab@b8881bd71b52a484ba2c42e8e7db27a1305adeee) ([merge request](gitlab-org/gitlab!68239))
- [Add contacts table and model](gitlab-org/gitlab@13f5241af4c923b39021217700ffd741df049c39) by @leetickett ([merge request](gitlab-org/gitlab!67985))
- [Add oncall_users to oncall schedule Graphql type](gitlab-org/gitlab@077b9a1d6a2ff9938e47f049badb3a2ef667ecf5) ([merge request](gitlab-org/gitlab!68237)) **GitLab Enterprise Edition**
- [Add gauge metric on ci queue size](gitlab-org/gitlab@d86702b9dcc2a84c5b9c771dfc9f8412d3cf3d64) ([merge request](gitlab-org/gitlab!67420))

### Fixed (120 changes)

- [Fix AddUpvotesToMergeRequests migration](gitlab-org/gitlab@7b1870038d4cb494156908acf58fe4159f69357c) ([merge request](gitlab-org/gitlab!70594)) **GitLab Enterprise Edition**
- [Add yAxis formatter](gitlab-org/gitlab@a3f4b8e6645e43f1f7ae1cbf0920f4274605ae6d) ([merge request](gitlab-org/gitlab!70373))
- [Fix composer package version regex](gitlab-org/gitlab@5bc407b1fada44f5b30f39930906edc6d784193c) by @leopold.jacquot ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/70251))
- [Use configurable page size for jobs in stages](gitlab-org/gitlab@c3eb03198bc08b2428a5fa92168d5fea8a6d9f2b) ([merge request](gitlab-org/gitlab!69853))
- [Fix for approval check popover bug](gitlab-org/gitlab@03d3f3b7c651ccacb6b1246c3124209d2da6e66b) ([merge request](gitlab-org/gitlab!65579)) **GitLab Enterprise Edition**
- [Shorten session TTL of anonymous blob access](gitlab-org/gitlab@7196ca925f9b8ce5f569a72736649998cecb0f8c) ([merge request](gitlab-org/gitlab!70444))
- [Makes kubectl annotate work in Helm 2to3 migration Jobs](gitlab-org/gitlab@645cf7a48bd0b7e717fa4fb30323911d59b62baf) by @erik.forsberg ([merge request](gitlab-org/gitlab!70389))
- [Use the correct project path in generated `KUBECONFIG` file](gitlab-org/gitlab@57d828bf8f7aa3071900aa0501536ccc7a492a39) ([merge request](gitlab-org/gitlab!70452)) **GitLab Enterprise Edition**
- [Removes cleanup job from Terraform.latest](gitlab-org/gitlab@239253ecce15f7ca968c4eee70c679174094d264) ([merge request](gitlab-org/gitlab!70383))
- [Geo Nodes - Fix flex alignment](gitlab-org/gitlab@bdaf430386a34352ed9c75d4b0d64bf551ff20b4) ([merge request](gitlab-org/gitlab!70319)) **GitLab Enterprise Edition**
- [Do not cache user email from github if email is nil/private](gitlab-org/gitlab@c89d61bee17af1da2bcd10de9531e72db3287c72) ([merge request](gitlab-org/gitlab!70293))
- [Change non-breaking space to space in email](gitlab-org/gitlab@5d7259c8438038fa42d4cc131087c48465975611) by @scootergrisen ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/70202))
- [Add metric to service ping if has defintion](gitlab-org/gitlab@c75e2c57c2785eb046e991430ecdb0838e7794e5) ([merge request](gitlab-org/gitlab!70061))
- [Open reply box on resolved design discussions](gitlab-org/gitlab@c931fa4fcda640d757749bd8dbd3b0275acc04df) ([merge request](gitlab-org/gitlab!70359))
- [Add GraphQL type for agent metadata](gitlab-org/gitlab@e06c6cf6a9f3c3abc1023cc1b97cce4257810120) ([merge request](gitlab-org/gitlab!70343)) **GitLab Enterprise Edition**
- [Include author in commit message from core team community members](gitlab-org/gitlab@092b24472af34fdbdc36f6a799700b77043bc665) by @leetickett ([merge request](gitlab-org/gitlab!69076))
- [Refactor the helm presenter](gitlab-org/gitlab@78b3bba1b1f53774f8c6d5bc619aef14308920bc) ([merge request](gitlab-org/gitlab!69223))
- [Prevent vuln table header from cutting off dropdown](gitlab-org/gitlab@8d7b32f5ed8fdfe9f17327218359edf8b97ffc54) ([merge request](gitlab-org/gitlab!69954)) **GitLab Enterprise Edition**
- [Only render "No artifacts found" when not loading](gitlab-org/gitlab@c6118524ecfa768e3d630333b41d470949dd6982) ([merge request](gitlab-org/gitlab!68843))
- [Upgrade fog-aws to v3.12.0](gitlab-org/gitlab@9b8ffd2b223c70c3c7f20336ea36b20fec05739b) ([merge request](gitlab-org/gitlab!68969))
- [Fix Geo Pages replication for selective sync](gitlab-org/gitlab@fd5fabbc4b05c29070446229d9bb7bc229cd957a) ([merge request](gitlab-org/gitlab!70190)) **GitLab Enterprise Edition**
- [Dynamically read pool sizes for LB configurations](gitlab-org/gitlab@4082c09a3ad3bae0cc14fdb16cfd233ca2e445cf) ([merge request](gitlab-org/gitlab!70060))
- [tags: Always enable fix for verification of long tag messages](gitlab-org/gitlab@cc9556429a2b3b84c847db0230733f7e84edb2be) ([merge request](gitlab-org/gitlab!70051))
- [Fix editing network policies without policy management project](gitlab-org/gitlab@c7ebc9e085b02866209b875a093898714927109a) ([merge request](gitlab-org/gitlab!70171)) **GitLab Enterprise Edition**
- [Fix not being able to delete unparseable policies](gitlab-org/gitlab@95a0902078fee35139af77d7c9d74a89510260d4) ([merge request](gitlab-org/gitlab!70114)) **GitLab Enterprise Edition**
- [Check if root ancestor has an active trial](gitlab-org/gitlab@53262f665b20643c56837c7be584995606529a07) ([merge request](gitlab-org/gitlab!70109))
- [Fix text ellipsis on linked issues/MRs](gitlab-org/gitlab@6aa0ef81bde3b50b4e3bf3432034ce1c7a1a8af4) ([merge request](gitlab-org/gitlab!70049))
- [Fix overlap of error message and sidebar on boards](gitlab-org/gitlab@da57dc643fe2a8bf7961a3887125c6af0b3b083d) ([merge request](gitlab-org/gitlab!70030))
- [Use global ids when updating board scope](gitlab-org/gitlab@d108201135744f9d5cda69a99b6e47710bca07a6) ([merge request](gitlab-org/gitlab!69715)) **GitLab Enterprise Edition**
- [Fix displaying label text in labels dropdown in dark mode](gitlab-org/gitlab@c6009408c64edc50b889603c24bc408b0f73289d) ([merge request](gitlab-org/gitlab!70037))
- [Don't release primary connections in the DB LB](gitlab-org/gitlab@95d3ff341cafd8fd5098fefbc7847c93603c9adc) ([merge request](gitlab-org/gitlab!69988))
- [Add epic board scope to newly created epic](gitlab-org/gitlab@9a6a760c7c042a1d0a091ca8cf9213a954154234) ([merge request](gitlab-org/gitlab!70028)) **GitLab Enterprise Edition**
- [Invalidate ES namespace cache when transferring groups](gitlab-org/gitlab@64b6bc923b511842a6104a30b1556e26e80e82b3) ([merge request](gitlab-org/gitlab!70005)) **GitLab Enterprise Edition**
- [Use SafeRequestStore in the DB LB](gitlab-org/gitlab@2584f6ea38e2c08c5a71af70a9871cf6e480274a) ([merge request](gitlab-org/gitlab!70003))
- [Fix display of relative/absolute time in PAT and deploy token tables](gitlab-org/gitlab@c504b0bb363e828a4a79884fbdc622e7962e4fe7) ([merge request](gitlab-org/gitlab!66262))
- [Symbolize load balancer configuration keys](gitlab-org/gitlab@0952ac82795ce9c3ca7825e6dc71313be7e5a494) ([merge request](gitlab-org/gitlab!69995))
- [Fix GitHub Importer outdated diff notes not showing](gitlab-org/gitlab@bc2f24820aed2370994e94abcd731cc88768025b) ([merge request](gitlab-org/gitlab!69977))
- [Fix Elastic::MigrationWorker current_migration](gitlab-org/gitlab@f682052a0d2a76814d0b90c7e66e4a483dfc487e) ([merge request](gitlab-org/gitlab!69958)) **GitLab Enterprise Edition**
- [Fix comments cutting off the left side of wide characters](gitlab-org/gitlab@f7f0b0dc927c080fa9c00b5d054ff996482f0a73) ([merge request](gitlab-org/gitlab!69952))
- [Make group and project fields fullPath argument case-insensitive](gitlab-org/gitlab@37d2f7218518448c9ac4cea384cf1235f41f4e3e) ([merge request](gitlab-org/gitlab!69924))
- [Prevent opening sidebar when clicking on board card title](gitlab-org/gitlab@3f93050618e09642988331c174b9c672ccd0cb65) ([merge request](gitlab-org/gitlab!69720))
- [Do not cache .terraform.lock.hcl](gitlab-org/gitlab@5b41e03bb0610b28c32665b8670cca5fb839cade) ([merge request](gitlab-org/gitlab!68269))
- [Prevent creation of too long file name](gitlab-org/gitlab@7136f5941f261917f51864612ac7b567d7bf94ed) ([merge request](gitlab-org/gitlab!69500))
- [Ensure Milestones Are Displayed With Few Results](gitlab-org/gitlab@146c481dd419a5dd007f140e5747a6541ef63726) ([merge request](gitlab-org/gitlab!69507))
- [Replace vsa stage slug with id](gitlab-org/gitlab@97d5c52a76708f05c0f1481384425345d820663f) ([merge request](gitlab-org/gitlab!69640)) **GitLab Enterprise Edition**
- [Load config variables from external project](gitlab-org/gitlab@6b5b4096127a4ee32033aa4b398f2f5f9fc73c81) ([merge request](gitlab-org/gitlab!69646))
- [Fix creating issue in milestone list](gitlab-org/gitlab@e7b3a1184cfe110ad6c70eb13df989b6ef8385f4) ([merge request](gitlab-org/gitlab!69529)) **GitLab Enterprise Edition**
- [Fix header order in CI/CD pipeline's job tab](gitlab-org/gitlab@f2988ee52d59ffe4ba9bf57e758843360446ddac) by @JonstonChan ([merge request](gitlab-org/gitlab!69704))
- [Make RepositoryUpdateMirrorWorker idempotent](gitlab-org/gitlab@0c05d8b8159b4944f356a8c544b9a5659e16a7b0) ([merge request](gitlab-org/gitlab!69725))
- [Fix selected for User#commit_email input](gitlab-org/gitlab@bdca30a81d444a812d0521087d93f83c11573dfe) ([merge request](gitlab-org/gitlab!69234))
- [Allow additional minute transfer for Users](gitlab-org/gitlab@d480822075a6f5abb5f68d998fb1a0525b47551b) ([merge request](gitlab-org/gitlab!69556)) **GitLab Enterprise Edition**
- [Fix labels applied to a wrong issue](gitlab-org/gitlab@9534cf6211f0e2323c16559fa9f5c303f648bb47) ([merge request](gitlab-org/gitlab!69609))
- [Max width for sidebar dropdown widgets](gitlab-org/gitlab@eb9fab5271ab43ad6abfd2c73e80ee02efb2952d) ([merge request](gitlab-org/gitlab!68431))
- [Fix yaml viewer padding not changing color](gitlab-org/gitlab@925866290aebe058d56f6c76372f46a7c1984db9) ([merge request](gitlab-org/gitlab!69563)) **GitLab Enterprise Edition**
- [Remove paste event listener on destroy](gitlab-org/gitlab@966a4c283c5a1c7dc8346900b1dd1d53d99c7a72) ([merge request](gitlab-org/gitlab!69453))
- [Fix formatting bubble menu in Content Editor](gitlab-org/gitlab@a9c73f1841e174b2074891332004f0bb4f06556e) ([merge request](gitlab-org/gitlab!69324))
- [Fix group membership CSV export for invited users](gitlab-org/gitlab@732b8b8c9df18be50a63255d6be6755d9e5aaa1a) ([merge request](gitlab-org/gitlab!69065))
- [Remove table-layout: fixed style from the tree table of files](gitlab-org/gitlab@80a1c6de952caa6a7b86146358f06c3bb0ca106c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/69445))
- [Remove the existing duplicates of DastSiteTokens](gitlab-org/gitlab@2f345de94bdc7fe3cb3d6365dcfc641bc401a064) ([merge request](!68578))
- [Update Audit Logging for Feature Flags](gitlab-org/gitlab@cc12468fc905ba407d21a6ffc71214d10700ae92) ([merge request](gitlab-org/gitlab!68408))
- [Error on newlines in sidekiq-cluster arguments](gitlab-org/gitlab@91e7b17cd14b89170d1668f82bf8b7be64daac4e) ([merge request](gitlab-org/gitlab!69237))
- [Reduce DA pagerefresh rate](gitlab-org/gitlab@bb4867bd04d847afcd78176cb9623fab8103d1aa) ([merge request](gitlab-org/gitlab!69056)) **GitLab Enterprise Edition**
- [Fix security report schema validation](gitlab-org/gitlab@2b0a3380764ca20ab491507db020462fea23ca72) ([merge request](gitlab-org/gitlab!69292)) **GitLab Enterprise Edition**
- [Fix disappearing badge in commit image thread edit](gitlab-org/gitlab@7dac314f249d49671ea92c8853d43da4e6a31319) ([merge request](gitlab-org/gitlab!69137))
- [Fix - Some users cannot move issues in epic swimlanes](gitlab-org/gitlab@d5536cfab1482edb2c15c8d5bb6f7a8ed6416a50) ([merge request](gitlab-org/gitlab!68922)) **GitLab Enterprise Edition**
- [Logged out users can view public group epic boards](gitlab-org/gitlab@a067f7517613aa47e0bfcaafb5db06fcb1c83b30) ([merge request](gitlab-org/gitlab!69218)) **GitLab Enterprise Edition**
- [Reschedule 'ExtractProjectTopicsIntoSeparateTable' post migration](gitlab-org/gitlab@7f45515dd4f820f6902088d0ef807f6177db2661) by @wwwjon ([merge request](gitlab-org/gitlab!69199))
- [Update relative positions on querying board issues](gitlab-org/gitlab@9729e06b523270f3cd1f1ba66e5d737569923e1a) ([merge request](gitlab-org/gitlab!68715))
- [Patch `grape-entity` to prevent having NameError loop](gitlab-org/gitlab@28fc953b70044d792a06562c7f3b22249287e5eb) ([merge request](gitlab-org/gitlab!69040))
- [Catch Helm invalid versions](gitlab-org/gitlab@443a3d8b9ed320364ee7790fecfefea6a5973521) by @sathieu ([merge request](gitlab-org/gitlab!68976))
- [Fix broken image for runner templates](gitlab-org/gitlab@54b92d1d447ab60000fda7d75da4fdc4d68bfdf6) ([merge request](gitlab-org/gitlab!69080))
- [Disallow editing the environment name](gitlab-org/gitlab@e2468c614ed0f72c2e10d1948ea09fc5a23d1740) ([merge request](gitlab-org/gitlab!68550))
- [Fix visibility reference check](gitlab-org/gitlab@7fb9af870057569036d81556bc94a4e3e494d9a9) ([merge request](gitlab-org/gitlab!68174))
- [Add missing graphQL ids](gitlab-org/gitlab@2ca888d789103d9219fb6320f670e0d9454f40fb) ([merge request](gitlab-org/gitlab!68948))
- [Don't override setup_for_company in subscription flow](gitlab-org/gitlab@578273be68978108e50ebf6f5385d02beb588ca3) ([merge request](gitlab-org/gitlab!68868))
- [Skip highlighting cache for diffs with unsupported characters](gitlab-org/gitlab@d5a1dd7429dae38a747b9a042b3fa7eea942ef1e) ([merge request](gitlab-org/gitlab!69069))
- [Use the last Helm chart when downloading](gitlab-org/gitlab@9dfd15f6876710df96539410f4982311ee811deb) by @sathieu ([merge request](gitlab-org/gitlab!68968))
- [Fix OrphanedInviteTokensCleanup migration](gitlab-org/gitlab@affc79c69873e73ec5b3cf7fcf74857ab4f663ce) ([merge request](gitlab-org/gitlab!68784))
- [Fix downstream counter badge link](gitlab-org/gitlab@9b029853aa86194727cc980113cc46a260e814b1) ([merge request](gitlab-org/gitlab!68962)) **GitLab Enterprise Edition**
- [Only set User#commit_email with user input](gitlab-org/gitlab@e467a3b438ebd5ec99853a5d48b1aae1b0668aaa) ([merge request](gitlab-org/gitlab!68591))
- [Fix Connection#exists? when using the DB LB](gitlab-org/gitlab@abbc8b8f10a70a1ecd92aa7c17161247b599bf8c) ([merge request](gitlab-org/gitlab!68855))
- [Fix contributors detection in changelog generation](gitlab-org/gitlab@35d6b799c0179e4f829f8221dd5598264f0a15b4) ([merge request](gitlab-org/gitlab!68938))
- [Downgrade grpc from 1.38.0 to 1.30.2](gitlab-org/gitlab@f427fdfaae7fe1495f1e68ec5cf0ac1fe1240c27) ([merge request](gitlab-org/gitlab!68865))
- [Let non-members set confidential flag on issue](gitlab-org/gitlab@518fe9a1124bc3606d06d6c23198c9426bd93b17) ([merge request](gitlab-org/gitlab!68459))
- [Fix displaying weight of 0 for issues in epic tree](gitlab-org/gitlab@7a7f95f0876916af15c04a229217b7c6ece91067) ([merge request](gitlab-org/gitlab!68914)) **GitLab Enterprise Edition**
- [Fix epic swimlanes list drag drop reordering](gitlab-org/gitlab@2dd83ce4acfd7c4c44544274f8372a727c18dd82) ([merge request](gitlab-org/gitlab!68908)) **GitLab Enterprise Edition**
- [Show create-jira on pipeline and MR when enabled](gitlab-org/gitlab@e32b110729de421293bd93498e9bc2ec6db66503) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68821)) **GitLab Enterprise Edition**
- [Fix new project page in dark mode](gitlab-org/gitlab@3356ff712058380d00ea2b50138c4f7c5b00abea) ([merge request](gitlab-org/gitlab!68102))
- [Move service_desk_setting to CE in project import export](gitlab-org/gitlab@11b05504e967a93284dd2c3a3241f0376ddbd077) by @leetickett ([merge request](gitlab-org/gitlab!68896))
- [Add default option to notification_email input](gitlab-org/gitlab@6b07127a00ab998eed3057fc1bfff9a0659c6d3f) ([merge request](gitlab-org/gitlab!68687))
- [Fix overflowing text in OmniAuth login buttons](gitlab-org/gitlab@8524712d083cd83f1f7f381942ef019cc40b1e3a) ([merge request](gitlab-org/gitlab!68884))
- [Use `binary` property on the file object](gitlab-org/gitlab@5691316795bfd3afcf40edaa4185db67e67db625) ([merge request](gitlab-org/gitlab!68705))
- [Handle errors without causes](gitlab-org/gitlab@36dd486c4c6f9f0ea997be24bee4d3cd3343b301) ([merge request](gitlab-org/gitlab!68858))
- [Fix bug validating EE project features](gitlab-org/gitlab@ee3790388b748f45a3cbadc987593dac23a54a2d) ([merge request](gitlab-org/gitlab!68523))
- [Fix Live Markdown Preview in personal and subgroup projects](gitlab-org/gitlab@1a2a9fe95ea2b484ad8c1ce8d8f4b9714696e104) ([merge request](gitlab-org/gitlab!68803))
- [Send rotation email inline when deleting user](gitlab-org/gitlab@2616e2dab6a224422de4f4f533f2d6eb091b8cd5) ([merge request](gitlab-org/gitlab!68811)) **GitLab Enterprise Edition**
- [Use type to detect password fields in integrations instead of name](gitlab-org/gitlab@95917eb2d0bbfd6566e67ebff85e28619b52e2f0) ([merge request](gitlab-org/gitlab!68786))
- [Use dynamic mapping in trigger to sync `integrations.type_new`](gitlab-org/gitlab@21db2a36c42dadec7c3bea82ed85daa66eaf6aa0) ([merge request](gitlab-org/gitlab!68558))
- [Fix Epic bulk updates leaking to other epics](gitlab-org/gitlab@dc53ff7b8fcb4d80e852ecc0e582da30741ebb4c) ([merge request](gitlab-org/gitlab!68730)) **GitLab Enterprise Edition**
- [Drop un-used db/ci_migrate symlink](gitlab-org/gitlab@503e25c35c75eac4cddc634d9bc1ae89ee90851b) ([merge request](gitlab-org/gitlab!68710))
- [Fix getAction is undefined bug in Web IDE markdown files](gitlab-org/gitlab@66a8019f4fb785dd014c67f9ce0c09522ea52fab) ([merge request](gitlab-org/gitlab!68583))
- [Remove substransaction from wiki event creation](gitlab-org/gitlab@18e78d233a9e06300631d0ac1349f2f819284ac2) ([merge request](gitlab-org/gitlab!68627))
- [Fix namespace checks for live quota consumption](gitlab-org/gitlab@4f2e7ab31e8d9c2c93c61b5830d1cda67d759891) ([merge request](gitlab-org/gitlab!68646)) **GitLab Enterprise Edition**
- [Fix project importers pagination issues](gitlab-org/gitlab@0f385b5c55186554a898818c3f953f8fedd2a949) ([merge request](gitlab-org/gitlab!68270))
- [Use `binary` property on the file object](gitlab-org/gitlab@bf5486b585b304908721389e3ef8ab3fdd60874a) ([merge request](gitlab-org/gitlab!68643))
- [Fix links to Jira docs](gitlab-org/gitlab@ed8055c80c68589cf7abb1eefae39c99de6dc801) ([merge request](gitlab-org/gitlab!68644))
- [Enable the FF ci_new_artifact_file_reader by default](gitlab-org/gitlab@2be876558bfdf6c3fc7ce78f647db95c5cfae6ee) ([merge request](gitlab-org/gitlab!68293))
- [Remove redundant callbacks, rely instead on validations](gitlab-org/gitlab@a1077343d8d5dcb9ab0d14640926d2a8de25aa5c) ([merge request](gitlab-org/gitlab!68048))
- [Fix tooltip on issue sidebar](gitlab-org/gitlab@6b454c44d2ff5251ff45129abef59cbe09a07e9e) ([merge request](gitlab-org/gitlab!68614))
- [Reduce the spacing of list items for Content Editor](gitlab-org/gitlab@7730ff6518416013e68aa752c5c6109a8b151555) ([merge request](gitlab-org/gitlab!68612))
- [Respect namespaces with unlimited minutes](gitlab-org/gitlab@7eb5fc0b160f644fdb918e91d87a8c1eac385ddc) ([merge request](gitlab-org/gitlab!68599))
- [Fix some edge cases with Content Editor serializing](gitlab-org/gitlab@9034aab3ca536caafdd8a3506c1002e9786d484e) ([merge request](gitlab-org/gitlab!66187))
- [Geo: Replicate wiki and design repository HEAD ref](gitlab-org/gitlab@7aaa1413c3a772e89423818fce2b2de46b459066) ([merge request](gitlab-org/gitlab!68324)) **GitLab Enterprise Edition**
- [Fix designCollection object after design is uploaded](gitlab-org/gitlab@1c367ecf10fadbc75560428c8b2b0fac07d099a0) ([merge request](gitlab-org/gitlab!68521))
- [Wrap pipeline artifact dropdown item names](gitlab-org/gitlab@ed2bbe1f86b4b494dc732652a480e0494e12a57c) ([merge request](gitlab-org/gitlab!68545))
- [Fix SSO SAML redirection not including query string](gitlab-org/gitlab@4ede4460ddd14e93d05d2ed7c9c01921c39d3086) ([merge request](gitlab-org/gitlab!68498))
- [Add fix for 'old' file type](gitlab-org/gitlab@7b43391dfd9804b747ed4bf1be6baf82c4b51ec1) ([merge request](gitlab-org/gitlab!67735))
- [Fix invite url on invited emails](gitlab-org/gitlab@0399c50ccc99de7bfe1de18ac29e3a11f93cebb2) ([merge request](gitlab-org/gitlab!68388))
- [Track build minutes for disabled shared runners](gitlab-org/gitlab@271267ed46008248953cd70a8a40b9c26a6ad9b3) ([merge request](gitlab-org/gitlab!67024)) **GitLab Enterprise Edition**
- [Validate the uniqueness of pipeline variables](gitlab-org/gitlab@a143ad44cd7bd4113f22709818288eadeecb1b2f) ([merge request](gitlab-org/gitlab!66556))

### Changed (109 changes)

- [Reset notification level when CI minutes limit change](gitlab-org/gitlab@771646f49387e44ff91ab4eca88cfc7bdb231441) ([merge request](gitlab-org/gitlab!69063)) **GitLab Enterprise Edition**
- [Associate successful DAST validations with sites](gitlab-org/gitlab@626803901ffda5266104fbb7a786fb0807fdf45e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/70140)) **GitLab Enterprise Edition**
- [Use new code quality version 0.85.24-gitlab.1](gitlab-org/gitlab@9782fd2c5452b720e92131e3ef16f99fd2bc09d2) ([merge request](gitlab-org/gitlab!70325))
- [Add notice when runner projects are updated](gitlab-org/gitlab@1fd3099ac0ae9e6489d634d2dc6b850f011d1a7f) ([merge request](gitlab-org/gitlab!70151))
- [Change DAST url download text to button](gitlab-org/gitlab@a5494666f381dfee8c2d95ebd3d7b965a7f0c555) ([merge request](gitlab-org/gitlab!70280)) **GitLab Enterprise Edition**
- [Update expired message for namespace](gitlab-org/gitlab@831c4e21b04353a206e3d4e6c14fbecfdca315c2) ([merge request](gitlab-org/gitlab!69454)) **GitLab Enterprise Edition**
- [Measure image scaler duration for cached images](gitlab-org/gitlab@e6333fb2162eaf7172c469ff320e9f4c25c3df7b) ([merge request](gitlab-org/gitlab!70483))
- [Use allowlist of allowed attributes for imported models](gitlab-org/gitlab@f43fafe59d777601b725cfdd326ae47a5ee20e8b) ([merge request](gitlab-org/gitlab!70168))
- [Migrate admin projects tabs styles](gitlab-org/gitlab@b7fcc0bd36872f04b7c2dda2cfe671468bc0aff5) ([merge request](gitlab-org/gitlab!69298))
- [Rebalance issues relative position without transaction](gitlab-org/gitlab@8834fda84d2a88c10718a5e59bfa62a06d6a2c50) ([merge request](gitlab-org/gitlab!68746))
- [Show project suffix input as disabled](gitlab-org/gitlab@9cd9ca44998f09d4002ffa7a979daf21d15159a6) ([merge request](gitlab-org/gitlab!69857))
- [Update board list settings drawer style](gitlab-org/gitlab@1937928383c9fe23d6e77f6735efdcbaea281d91) ([merge request](gitlab-org/gitlab!69946))
- [Set different session cookie for Geo secondaries](gitlab-org/gitlab@4653ff48801884650f743cc632df01e5a7788784) ([merge request](gitlab-org/gitlab!69759)) **GitLab Enterprise Edition**
- [Geo: Alternate redownload and normal design sync attempts](gitlab-org/gitlab@f9bd2d7a4a4cd9aedac5931c395c9e728e549c01) ([merge request](gitlab-org/gitlab!70329)) **GitLab Enterprise Edition**
- [Geo: Alternate redownload and normal SSF sync attempts](gitlab-org/gitlab@bc6c2a5c8edfc3eb115031097da46a415e2a1737) ([merge request](gitlab-org/gitlab!70329)) **GitLab Enterprise Edition**
- [Geo: Alternate redownload and normal project syncs](gitlab-org/gitlab@37faf15512ff4bfa7c3a28c888f1a8565659c88e) ([merge request](gitlab-org/gitlab!70329)) **GitLab Enterprise Edition**
- [Geo: Reduce frequency of redownload attempts](gitlab-org/gitlab@f63ab921fc36bfa5951f2cf39af0306d071265a4) ([merge request](gitlab-org/gitlab!70329)) **GitLab Enterprise Edition**
- [Update Devise sign_in path for Geo secondaries](gitlab-org/gitlab@ee925603caccc5dabda7e93f88db7b52f05a80b4) ([merge request](gitlab-org/gitlab!69748)) **GitLab Enterprise Edition**
- [Fix policy editor performance](gitlab-org/gitlab@d44df987b63ac1fc1f8909211f3ad1455ed304d0) ([merge request](gitlab-org/gitlab!70024)) **GitLab Enterprise Edition**
- [Fix DORA deployment frequency in VSA](gitlab-org/gitlab@5dbc5751a258552ff4438cf21dc55c1385b77fd4) ([merge request](gitlab-org/gitlab!69654))
- [Clean up settings_block.vue](gitlab-org/gitlab@31e30d257cee503b9c52a1e7828261dd34ff253d) ([merge request](gitlab-org/gitlab!68921))
- [Don't allow anonymous users to search with text](gitlab-org/gitlab@5b7fd6638db0f3d655c36cfceed4b2978c0e7985) ([merge request](gitlab-org/gitlab!70223))
- [Add migrations to swap ci_builds.id column](gitlab-org/gitlab@8931ded2078012a9d07b250d95c536eb1eead031) ([merge request](gitlab-org/gitlab!70245))
- [Fix policy preview for non-parseable policies](gitlab-org/gitlab@c41ba9bdfc89279c27d421f17f4939f999caa8ac) ([merge request](gitlab-org/gitlab!70104)) **GitLab Enterprise Edition**
- [Add CI/CD variables for Auto Build and Auto Deploy image versions](gitlab-org/gitlab@89d5502fc9da51bf037e5dbe4a9cfc82fa2853cc) ([merge request](gitlab-org/gitlab!70088))
- [Update parser gem to 3.0.2.0](gitlab-org/gitlab@5cb1d06f3799a58b5d8947f0815fd04d5687ad83) ([merge request](gitlab-org/gitlab!70207))
- [Disable Sendfile interface for serving Sidekiq Web assets](gitlab-org/gitlab@ba8bd315473b9e784821fc2a9a4198dceabea18c) ([merge request](gitlab-org/gitlab!70113))
- [Enable updated delete branch modal styles](gitlab-org/gitlab@6c4d4508720dab4a98466d0cfccf075646519d36) ([merge request](gitlab-org/gitlab!70185))
- [Add worker_class argument to Sidekiq queues APIs](gitlab-org/gitlab@63979ec0d90d0725d0124ae4658e2021730691c6) ([merge request](gitlab-org/gitlab!70179))
- [Change Ci::Minutes:AdditionalPack text limit](gitlab-org/gitlab@ce5fcda2623aa08271366c81e84e420427b43bec) ([merge request](gitlab-org/gitlab!70064)) **GitLab Enterprise Edition**
- [Remove package_details_apollo feature flag](gitlab-org/gitlab@6e659c7adb427a57cc4e83b90a8b60aa93d534ff) ([merge request](gitlab-org/gitlab!69649))
- [Add migrations to swap ci_builds.id column](gitlab-org/gitlab@fc124d114ddfca1e833d012172a0ac8fee8bd5b9) ([merge request](gitlab-org/gitlab!65201))
- [Add abuse actions to account lock email text](gitlab-org/gitlab@a0b43cca4497faecddcdc14ead25964c212d2c28) ([merge request](gitlab-org/gitlab!69590))
- [Security MR-widget: Clarify dismissed state](gitlab-org/gitlab@acc26917851abfa9376b253b85e8607007085a60) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/69943)) **GitLab Enterprise Edition**
- [Default on policies feature flag](gitlab-org/gitlab@8c64bd7e4cba8bcdf9c23d44c1e7d3b9bfa30d0b) ([merge request](gitlab-org/gitlab!69804)) **GitLab Enterprise Edition**
- [Update UI text for artifacts expiration setting](gitlab-org/gitlab@71fc0ed8178c5debb12e33322ca55e52eeb975aa) ([merge request](gitlab-org/gitlab!69957))
- [Use GlAlert instead of a custom alert class](gitlab-org/gitlab@ccb0bd218c2f12a1602eb678873df122e4ee2946) ([merge request](gitlab-org/gitlab!69854)) **GitLab Enterprise Edition**
- [Generate iids with implicit locking by default](gitlab-org/gitlab@c2900fb1469886997e92d98d035567c0061acc1d) ([merge request](gitlab-org/gitlab!69769))
- [Update profile conflict message](gitlab-org/gitlab@f7726c3edb59b99c23c46d65066565b9a0152034) ([merge request](gitlab-org/gitlab!69900)) **GitLab Enterprise Edition**
- [Add a link to site profiles management](gitlab-org/gitlab@8dc84610c38181117e94591440556bd59d30c514) ([merge request](gitlab-org/gitlab!69900)) **GitLab Enterprise Edition**
- [Use similarity sort in search project dropdown](gitlab-org/gitlab@2113d9619cfed22aa0fff988bf3c08a1c7f46623) ([merge request](gitlab-org/gitlab!69899))
- [Diff stats dropdown styling update due to migration to GlDropdown](gitlab-org/gitlab@228b70ae4b246daad75945074d33db5ca58b63a2) ([merge request](gitlab-org/gitlab!68385))
- [Update CODEOWNERS - Marcia - Configure](gitlab-org/gitlab@ddc646f98cc28289d14d3f999221367a5a32e4d6) ([merge request](gitlab-org/gitlab!69545))
- [Review group general settings](gitlab-org/gitlab@7a61f6acdbd81f3839e860957f56ad4165599261) ([merge request](gitlab-org/gitlab!69858))
- [Update UI text and link for variable warning](gitlab-org/gitlab@047c2196625c9df98e15dba31223dc7766545e2b) ([merge request](gitlab-org/gitlab!69830))
- [Retry archive if left in incomplete state](gitlab-org/gitlab@8deb1c7094c0bb3bae966e7c451265de68debf95) ([merge request](gitlab-org/gitlab!68906))
- [Remove File-By-File preference cookie](gitlab-org/gitlab@35d850db0fcfaa1e8d00b575f0bd45af79ff3590) ([merge request](gitlab-org/gitlab!69788))
- [Add migration to swap ci_builds.stage_id column](gitlab-org/gitlab@4f2f2fc2e0f0e9b8d7c933227a7341b9c0b43de5) ([merge request](gitlab-org/gitlab!66688))
- [Update Graphql dastProfileUpdate mutation to include Schedule](gitlab-org/gitlab@34d76ecb851039bbb674fe3430fab6cbe23889e5) ([merge request](gitlab-org/gitlab!66445))
- [Support restoring repository backups in parallel](gitlab-org/gitlab@b00d37ee54f7366535cf9b03dee6834e0310d0c1) ([merge request](gitlab-org/gitlab!69330))
- [Roll back support for caching encoding detection](gitlab-org/gitlab@e20c483a8d62f10abed64167c7a75aa0f10c5cd3) ([merge request](gitlab-org/gitlab!69581))
- [Allow to open table editing dropdown from headers](gitlab-org/gitlab@3e4a349ad4aa6ec1fe63a8aaebcd375acefe85c8) ([merge request](gitlab-org/gitlab!69499))
- [Rename `throttle_unauthenticated_*` attributes in application settings](gitlab-org/gitlab@3edf9e107b1c70ed08ecfab0170e77f231930646) ([merge request](gitlab-org/gitlab!69543))
- [Prepare the DB LB for always being enabled](gitlab-org/gitlab@e5c5dff040458cd24f66d35824c4fef170325641) ([merge request](gitlab-org/gitlab!68857))
- [Move group's "allow request access" to new section](gitlab-org/gitlab@f205ed4189bc93f7b689e25d0a1c3861a3828b2a) ([merge request](gitlab-org/gitlab!69217))
- [Fix integer columns on new VSA table](gitlab-org/gitlab@d80caad0c2f27fd2c082c5a1085fc0efd156869f) ([merge request](gitlab-org/gitlab!69531))
- [Update GitLab User Doc for EKS supported version](gitlab-org/gitlab@98feb6b48331dfe582e4f4cd47fcfd63ef632b24) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/69387))
- [Resize Jupyter images to fit within the parent box](gitlab-org/gitlab@12032ed70e0aa7c15b12f33403b3716b6a86a100) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68654))
- [Renders images on the repository of .ipynb files](gitlab-org/gitlab@b40466ca2c99d2ad37cdf9b9dbccf4078df94d60) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/69075))
- [Update help text for API Fuzzing Configuration](gitlab-org/gitlab@175b4099da3a7416c51f8f1e93f889f39c91d47b) ([merge request](gitlab-org/gitlab!69429)) **GitLab Enterprise Edition**
- [Eanble sort_by_project_users_by_project_authorizations_user_id FF](gitlab-org/gitlab@d453b9edd7a811daddfe856cead0de694cb79ecd) ([merge request](gitlab-org/gitlab!69431))
- [Move CI job token details to new page in CI docs](gitlab-org/gitlab@c03bd900e34da4e938783d8c5a437d5095c05316) ([merge request](gitlab-org/gitlab!69422))
- [Improve UI text for maintenance mode](gitlab-org/gitlab@2909006ef1483a48fd50efb2d8948c48483be3cc) ([merge request](gitlab-org/gitlab!69264))
- [Update security policy editor rule button styling](gitlab-org/gitlab@3a0f198a595fecd44f7d8611884b28862b1732bc) ([merge request](gitlab-org/gitlab!69412)) **GitLab Enterprise Edition**
- [Show up to 200 jobs per CI stage](gitlab-org/gitlab@866adb8a09414fd5cc8461605352257c947ffd97) ([merge request](gitlab-org/gitlab!69314))
- [Update `project/clusters/` CODEOWNERS](gitlab-org/gitlab@fb44b0b001b3109bbbf7aaa097ffe8e955a531d7) ([merge request](gitlab-org/gitlab!69351))
- [Zoom into design image upto 100% of actual size](gitlab-org/gitlab@d79dd4151f0af62da3f2f50c0f2709090c2b29ed) ([merge request](gitlab-org/gitlab!68755))
- [Adds DB fixtures to create base work item types](gitlab-org/gitlab@e005e57ca06b4ca1a0755ed3ab7cd5cd2be8182c) ([merge request](gitlab-org/gitlab!69021))
- [Add configurable maximum YAML file size and depth](gitlab-org/gitlab@b12164a3e8f67559d7a3066a3892e7ad5374b01b) by @discinaround ([merge request](gitlab-org/gitlab!68593))
- [Add customized README file when creating new Security Policy Project](gitlab-org/gitlab@d3fec98d4703a145bda6f8edfc38a2caec890ae1) ([merge request](gitlab-org/gitlab!68901)) **GitLab Enterprise Edition**
- [Remove ci_job_trace_force_encode feature flag](gitlab-org/gitlab@a8aec1f652f67ccd60474e0bd05679d8b8bfa1fc) ([merge request](gitlab-org/gitlab!69229))
- [Add pipeline_artifacts_size to projectSatisticsType](gitlab-org/gitlab@3c85d5193f53ecad28e1ccbba7e10060d6420ab8) ([merge request](gitlab-org/gitlab!69224))
- [Enable bulk_import feature flag by default](gitlab-org/gitlab@ed1849e125b6c087b502792484fd5bdaf98f0280) ([merge request](gitlab-org/gitlab!69110))
- [Update Geo node to Geo site](gitlab-org/gitlab@117a4dea442effc7618baa47cc700b2abc3caf58) ([merge request](gitlab-org/gitlab!68991))
- [Update to Ruby 2.7.4](gitlab-org/gitlab@c4eb10aeed0bb20360955fb61323a2d6c3285e65) ([merge request](gitlab-org/gitlab!68363))
- [Group Settings CI/CD h4 expand](gitlab-org/gitlab@150c7bf32ada427dbf4d4ecd54a3262d2df40dfd) by @quatauta ([merge request](gitlab-org/gitlab!68706))
- [Catch all errors when processing Debian changes](gitlab-org/gitlab@55f4fe6625139b7c178bca16d8e11254637f5e9f) by @sathieu ([merge request](gitlab-org/gitlab!69141))
- [Externalize messages on EKS settings page](gitlab-org/gitlab@776cb1a38de7dc217386bdf9f55a208005151cfd) by @JonstonChan ([merge request](gitlab-org/gitlab!69125))
- [Externalize page-title messages](gitlab-org/gitlab@818702617d12e3818b57fee65959c51599097be9) by @JonstonChan ([merge request](gitlab-org/gitlab!69124))
- [Externalize add_to_breadcrumbs messages](gitlab-org/gitlab@786c3f7f5556ba9e907b8ed4e576e76af935aec1) by @JonstonChan ([merge request](gitlab-org/gitlab!69123))
- [Add warning to when converting runner to specific](gitlab-org/gitlab@d25f47a0ab69986a3e7dc71e05a365fe7f1716f2) ([merge request](gitlab-org/gitlab!68966))
- [Update incident management limits UI text](gitlab-org/gitlab@b4dd5f7d8824969a23096b8200cf6093242f409c) ([merge request](gitlab-org/gitlab!68828)) **GitLab Enterprise Edition**
- [Scope i18n strings that are incorrectly unscoped](gitlab-org/gitlab@77c6493f466df4b425dbc063572967f96426f647) by @JonstonChan ([merge request](gitlab-org/gitlab!69005))
- [Unscope i18n strings that are incorrectly scoped](gitlab-org/gitlab@c13eabbad21513c9e1487156369a5f9ee12e36cd) by @JonstonChan ([merge request](gitlab-org/gitlab!69002))
- [Externalize breadcrumb_title message](gitlab-org/gitlab@d3ceacb085cb668be7eb4e10e1cc009e29fa7c38) by @JonstonChan ([merge request](gitlab-org/gitlab!68999))
- [Externalize submit "Save changes" message](gitlab-org/gitlab@a4f4528534ccbe213829e99d4b295c0e10df305e) by @JonstonChan ([merge request](gitlab-org/gitlab!68910))
- [Use Gitlab::Ci::Lint in /ci/lint API endpoint](gitlab-org/gitlab@919e5bddb505abf403147206b91a37a545f2e377) ([merge request](gitlab-org/gitlab!68860))
- [Require a LoadBalancer for service discovery](gitlab-org/gitlab@ea7a01bfceec1f81af394338e5c6ab5e1dafff69) ([merge request](gitlab-org/gitlab!68856))
- [Only show tooltip on truncate](gitlab-org/gitlab@5013d50cb41e1c341974fadf5d4aa476da42e4c8) ([merge request](gitlab-org/gitlab!68889))
- [Remove scanner_type argument from GraphQL mutation](gitlab-org/gitlab@1ef6230f463f6a8c8354f1623106ca00b4339379) ([merge request](gitlab-org/gitlab!68951)) **GitLab Enterprise Edition**
- [Remove runner "locked" toggle where not used](gitlab-org/gitlab@64291433a841b9a29766f002cfccadb531110cee) ([merge request](gitlab-org/gitlab!68833))
- [Fetch discussions using GraphQL](gitlab-org/gitlab@02de2063d26a427dfbaaced1541421f310913c9c) ([merge request](gitlab-org/gitlab!68180))
- [Prepopulate new issue with link to the parent](gitlab-org/gitlab@d95d1e5dd6b5f2ebeea79b97eda1367c75ce17d2) by @smokris ([merge request](gitlab-org/gitlab!68226))
- [Group Settings Default initial branch h4 expand](gitlab-org/gitlab@4a991eb788ab7dd1c55a2139471f984fe15e6934) by @quatauta ([merge request](gitlab-org/gitlab!68667))
- [Always use `SetFullPath` RPC](gitlab-org/gitlab@955a97c4a049040b7633b9c18e9cafe79dfcd83c) ([merge request](gitlab-org/gitlab!68745))
- [Making cross-reference links distinctly visible](gitlab-org/gitlab@465859fa49149aed4f4f2238f8c833687400ca4c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68063))
- [Pipeline Security: Rename "scanner" to "tool"](gitlab-org/gitlab@78fbfe4294f70cec6fba639c0d2f8efe26cc6863) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68713)) **GitLab Enterprise Edition**
- [Set blocked Omniauth accounts to blocked_pending_approval](gitlab-org/gitlab@e55a945907c967e27994fe1c4cbf6db6835e5aaa) by @vfazio ([merge request](gitlab-org/gitlab!63650))
- [Stringify policy yaml response in scanExecutionPolicies graphql query](gitlab-org/gitlab@a5847351af8aeb83b970e9dc6019bc796fba6395) ([merge request](gitlab-org/gitlab!68656)) **GitLab Enterprise Edition**
- [Improve error message for TransferService](gitlab-org/gitlab@21b9cf4975690f9952d0c82e6cac9799f9646e0d) ([merge request](gitlab-org/gitlab!68536))
- [Geo SSF: fix texting in admin area](gitlab-org/gitlab@7841a215413474fa221ba42cc61e4dae6382f39d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68588)) **GitLab Enterprise Edition**
- [Split for_project_paths into two queries](gitlab-org/gitlab@595d0b322722a43e7abfe58d0b783e81ae5b7a62) ([merge request](gitlab-org/gitlab!68457))
- [Migrate epic sidebar participants to widget](gitlab-org/gitlab@34ff5a78d0a22972cedfed0b8d164ad4e34192f6) ([merge request](gitlab-org/gitlab!68438)) **GitLab Enterprise Edition**
- [Remove the usage_data_design_action feature flag](gitlab-org/gitlab@9ea9f55d389d140a9e9e5e36d1f6981d9f5cc583) ([merge request](gitlab-org/gitlab!68534))
- [Vulnerabilities CSV: Rename "scanner" to "tool"](gitlab-org/gitlab@083307fed998b18ddd5cd719be9ffed1e7bc0bf1) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68238)) **GitLab Enterprise Edition**
- [Remove feature flags for DAST disable_joins](gitlab-org/gitlab@2fd44466282ef61adb34441282246d76026efd88) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68440)) **GitLab Enterprise Edition**
- [Migrate epic sidebar ancestors to widget](gitlab-org/gitlab@47302502f9d154d414bdff88b9fce62efb9110d2) ([merge request](gitlab-org/gitlab!68428)) **GitLab Enterprise Edition**
- [Disable Vulnerability Finding Link creation](gitlab-org/gitlab@144d35ebddd4e8a8fe3e9e69c7d17e7301602877) ([merge request](gitlab-org/gitlab!68381)) **GitLab Enterprise Edition**
- [Remove feature flag milestone_reference_pattern](gitlab-org/gitlab@154ae7d5d8bc1b1558665a527d54355ee45a1067) ([merge request](gitlab-org/gitlab!68358))

### Deprecated (1 change)

- [Consider repository_push_audit_events deprecated](gitlab-org/gitlab@15b9442ad50b8ff11528fa3643fcb0e904ba615f) ([merge request](gitlab-org/gitlab!69024))

### Removed (16 changes)

- [Remove ci_templates_total_unique metrics](gitlab-org/gitlab@5ccf6e7f208fdae7840a74f29002ffd59fe5657f) ([merge request](gitlab-org/gitlab!69615))
- [Disable method instrumentation initialization](gitlab-org/gitlab@1458985e7d83a3029de9aec7850006daabad3314) ([merge request](gitlab-org/gitlab!69662))
- [Remove feature flag for env_vars_resource_group](gitlab-org/gitlab@61d86ca772e950bca449d57cbe3f01824ec5c5bb) ([merge request](gitlab-org/gitlab!70014))
- [Add migration to remove projects.container_registry_enabled](gitlab-org/gitlab@684002d9d2ce44f49174354228d632743685d3ae) ([merge request](gitlab-org/gitlab!69998))
- [Update docs regarding pages legacy storage in 14.3](gitlab-org/gitlab@da1549a01d5f98ab402f08fea96fbe668af5f54c) ([merge request](gitlab-org/gitlab!69383))
- [Remove experience level functionality](gitlab-org/gitlab@699ea2b42b48350108a340ca40a88c36fd0a0c4c) ([merge request](gitlab-org/gitlab!69491))
- [Remove Markdown support for bio field](gitlab-org/gitlab@e5d7fa818beee7a61d075f5dd4e30254417e79d5) ([merge request](gitlab-org/gitlab!68628))
- [Remove FF load balancing for deployments hooks worker](gitlab-org/gitlab@4f99eb1b5dd698ca0a0e17a7c2ae27ac23379e98) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/69557))
- [Remove GitLab Pages legacy storage lease](gitlab-org/gitlab@2afa44348e983b1468bd9e1f48da80e03795df10) ([merge request](gitlab-org/gitlab!69377))
- [Stop deploying GitLab Pages to legacy storage](gitlab-org/gitlab@0882ce0e831ffcbea8b9566fadcd3d8928dda8f3) ([merge request](gitlab-org/gitlab!69287))
- [Remove Clair deprecation warning](gitlab-org/gitlab@fc69cd195ce1595e464cb35bcc37c71e6cfac455) ([merge request](gitlab-org/gitlab!69428)) **GitLab Enterprise Edition**
- [Remove feature flag gitaly_backup](gitlab-org/gitlab@25e7fb5a55e9d72ed7f486e3a714a9ec16001974) ([merge request](gitlab-org/gitlab!68510))
- [Remove name parameter from pipeline finder](gitlab-org/gitlab@ba78bb2a74ad358ce917c15c6077ebd5098c706f) ([merge request](gitlab-org/gitlab!68997))
- [Remove seat_link_enabled from ApplicationSettings db table](gitlab-org/gitlab@ea3197d558804706eb8812f313aa645d3fca48a5) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66534))
- [Remove cloud_license_enabled database column](gitlab-org/gitlab@748c20e9bea811ec97cd4c5be2318afa45f9dd53) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65541))
- [merge_request: Drop checks whether a squash is in progress](gitlab-org/gitlab@b5b78c33c9f003f61201fb68462c56219b71e6d3) ([merge request](gitlab-org/gitlab!68647))

### Security (14 changes)

- [OAuth Access Tokens generated by new applications have expiry](gitlab-org/gitlab@74b9b5993c67b35e082ff5005645bdcfec206318) ([merge request](gitlab-org/gitlab!69514))
- [Sanitize emojis when reading from LocalStorage](gitlab-org/gitlab@2e07ba0574f2258e54b6ca0e21f56bd11ee78f7d) ([merge request](gitlab-org/gitlab!68988))
- [Always include default config for DOMPurify](gitlab-org/gitlab@de0647b6a03f363ab7fa6f067f11501af8d8af74) ([merge request](gitlab-org/gitlab!69269))
- [Deny access for repository coverage info for guests](gitlab-org/gitlab@f04ef9b180359e75fbc6e61fea49ca400760c7a1) ([merge request](gitlab-org/gitlab!68947)) **GitLab Enterprise Edition**
- [Prevent non-admins from configuring Jira connect app](gitlab-org/gitlab@36b00195a4a5df27ecf44d5e96c8c9ecc959c8c8)
- [Update apollo_upload_server dependency](gitlab-org/gitlab@a360142bb99b37e48051c2455246f0fd4e6cd542)
- [Ensure shared group members lose project access after group deletion](gitlab-org/gitlab@8f1962ad6865c2dfc0452f1089d12889b5f3f087)
- [Update Import/Export to use public email when mapping users](gitlab-org/gitlab@c9375914fbc78f94bcb97762842b4208bc4659a1) **GitLab Enterprise Edition**
- [Update mermaid to 8.11.5](gitlab-org/gitlab@ba3db73a2c8d34e4664a78983feb2befdc10afff) by @bufferoverflow ([merge request](gitlab-org/gitlab!68282))
- [Escape issue reference and title for Jira issues](gitlab-org/gitlab@8c4450ee6328e77abf2d090dcb74b5fb675e13f6) **GitLab Enterprise Edition**
- [Fix stored XSS vulnerability in Datadog settings form](gitlab-org/gitlab@e96534e084a74b237323f7a55b8d62c6be8445e9)
- [Inherit user external status while creating project bots](gitlab-org/gitlab@04e5ab35b8678fb3d615dba44dfd97f9c89b022e)
- [Require sign in for .keys endpoint on non-public instances](gitlab-org/gitlab@8951195f9787d8df0d1faaad8ce7a6a975e29853)
- [Only create jira connect NS subscriptions for admins](gitlab-org/gitlab@6b88a3155df206d0c76725236334e590558ccc65)

### Performance (43 changes)

- [Add index for selecting resource_group from ci_builds](gitlab-org/gitlab@aa8ee780d6e720fe4027cf17e18c5d69bcf3af30) ([merge request](gitlab-org/gitlab!70279))
- [Perform FindTag RPC request for a single tag](gitlab-org/gitlab@3180cf1cec79995159efe9d8cb9978d9a497a39a) ([merge request](gitlab-org/gitlab!70181))
- [Remove redundant permission checks for GraphQL job type](gitlab-org/gitlab@c101a53e438674ac05b1ff39a819580ce42951fa) ([merge request](gitlab-org/gitlab!69982))
- [Avoid a duplicated SQL condition in the NPM metadata endpoint](gitlab-org/gitlab@daef07bdb72571879bd187857214cfa97ef78c6e) ([merge request](gitlab-org/gitlab!70173))
- [Remove preload_repo_cache feature flag](gitlab-org/gitlab@c39f6dd8e8bcc8ac01d5024b9e12598b12a45ebd) ([merge request](gitlab-org/gitlab!70132))
- [Limit updates to Web Hook backoff interval](gitlab-org/gitlab@95ab29229db83c5918d173922944060ef8f88bc5) ([merge request](gitlab-org/gitlab!69955))
- [Fix N+1 in projects API](gitlab-org/gitlab@f97aff42d29e50c86b659a6ea285a371ac5ba700) ([merge request](gitlab-org/gitlab!69949))
- [Remove cache_merge_to_ref_calls feature flag](gitlab-org/gitlab@ab017f16e4b2168bc74de8ccd226e5e56e9952f3) ([merge request](gitlab-org/gitlab!69904))
- [Limit max pagination count for relations to 1000](gitlab-org/gitlab@d0df47b80af56dbfb84f779804dd33b2b4bd719c) ([merge request](gitlab-org/gitlab!69620))
- [Batch loading of open issues count from Redis](gitlab-org/gitlab@21b3bc3ea6621a3a6623c933878e3d3735913e1e) ([merge request](gitlab-org/gitlab!69479))
- [Decrease WebHooks::LogExecutionWorker retries](gitlab-org/gitlab@dfeb0e69e202d2ec65ad6b44ba6161f96a9b5703) ([merge request](gitlab-org/gitlab!69834))
- [Use specialized worker to refresh authorizations on group-share removal](gitlab-org/gitlab@0a82b83854300fb272f2e1da1956883b093f9af6) ([merge request](gitlab-org/gitlab!69739))
- [Run UserRefreshFromReplicaWorker jobs on the replica db by default](gitlab-org/gitlab@220738943ec90b5a2081d57bd313eded889baab7) ([merge request](gitlab-org/gitlab!69728))
- [push_rules: Implement bulk-checking of file sizes](gitlab-org/gitlab@8a5681f2feafa52e8f36c93ecf84cbf56ba651d7) ([merge request](gitlab-org/gitlab!69449))
- [Reduce DB queries when loading root_ancestor](gitlab-org/gitlab@d2680a353f6d250c2d5aa28ae0d4862c2ec2cdbd) ([merge request](gitlab-org/gitlab!69533))
- [Release cached merge_request show.json](gitlab-org/gitlab@e67a069a78cddfbb90156ebb9422a6c323c15260) ([merge request](gitlab-org/gitlab!69618))
- [Release diffs_batch cached rendering](gitlab-org/gitlab@c7d293f0a386724a309153923e4a70320b6d1af1) ([merge request](gitlab-org/gitlab!69617))
- [Fix n+1 for award_emoji field when fetching epics](gitlab-org/gitlab@1d4bf92ae235908e541e88a6396433b3d9803ce6) ([merge request](gitlab-org/gitlab!69528)) **GitLab Enterprise Edition**
- [Remove pipeline variable unique validation](gitlab-org/gitlab@162c9c1b8602ee705d8e2b1c6773f64e4cd1940b) ([merge request](gitlab-org/gitlab!69595))
- [Splits up auto_cancelable_pipelines query, adds limit](gitlab-org/gitlab@ad64acb2e0f41b48db03e0ac3d99867e27340df0) ([merge request](gitlab-org/gitlab!68585))
- [Use linear version GroupsWithTemplatesFinder#extended_group_search](gitlab-org/gitlab@b4ea0323f91a9b19cbee7e328797de260ae060d2) ([merge request](gitlab-org/gitlab!68936)) **GitLab Enterprise Edition**
- [Use linear version ApplicationSettings#elasticsearch_limited_namespaces](gitlab-org/gitlab@8078e245cb3bce435abb40e3b07766f70243c2da) ([merge request](gitlab-org/gitlab!68931)) **GitLab Enterprise Edition**
- [Use linear version User#groups_with_developer_maintainer_project_access](gitlab-org/gitlab@d568481f854ad29f133ef300f34b84c7b5a4c976) ([merge request](gitlab-org/gitlab!68851))
- [Move vulnerability statistics update out of transaction](gitlab-org/gitlab@8de7a2fb5f4b3f518f8325437ed23d0afc08c5d0) ([merge request](gitlab-org/gitlab!69045)) **GitLab Enterprise Edition**
- [Use linear version of User#manageable_groups](gitlab-org/gitlab@f9818cfe32299fc04c3bc8e5837ba66dacbbe5ce) ([merge request](gitlab-org/gitlab!68845))
- [Decrease epics, child epics and child issues max page size](gitlab-org/gitlab@8978337ee0cab9dcb75c03e87192ecf5b7e97da4) ([merge request](gitlab-org/gitlab!68403)) **GitLab Enterprise Edition**
- [Caching the protected branch check](gitlab-org/gitlab@f5f2644d39604e094cecf52f951eca1248a9c0f8) ([merge request](gitlab-org/gitlab!64738))
- [Enable caching of MergeToRefService responses](gitlab-org/gitlab@356f15652385cb7630ab4a4d3e7b6b6daf31a897) ([merge request](gitlab-org/gitlab!69019))
- [Remove the npm_presenter_queries_tuning FF](gitlab-org/gitlab@0c29fc19c2093d0f4ed50959ac84d22d53eb989d) ([merge request](gitlab-org/gitlab!69058))
- [Use linear version of User#membership_groups](gitlab-org/gitlab@fc9371979d192ef6b761184f049c1bcd75d33fee) ([merge request](gitlab-org/gitlab!68842))
- [Use linear version of groups_including_descendants_by](gitlab-org/gitlab@5434af3edbbb1e6d784ee96e6b499f932e5eb62b) ([merge request](gitlab-org/gitlab!68835))
- [Optimize StuckCiJobsWorker running builds query](gitlab-org/gitlab@e5ef10c611aa71299a46ba8ac60db1e0eee6eb3b) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68891))
- [Use reference cache for iterations](gitlab-org/gitlab@81109da95d4628fad060bc8e414506fe9337d6d7) ([merge request](gitlab-org/gitlab!67431)) **GitLab Enterprise Edition**
- [Cache content_sha256 field for Files API](gitlab-org/gitlab@91bf332a1736f48bc7df3a7cee8cb502dad31061) ([merge request](gitlab-org/gitlab!67280))
- [Eliminate N+1 queries for pipeline GraphQL endpoint](gitlab-org/gitlab@cec7261f50f09539df3bd0bdccdb17d6e2f6f00f) ([merge request](gitlab-org/gitlab!68729))
- [Upgrade grape-path-helpers to 1.7.0](gitlab-org/gitlab@0a82a7e91ae649d09ad865146c21fb02279eacc8) ([merge request](gitlab-org/gitlab!68916))
- [Remove `safe_find_or_create_by!` usage](gitlab-org/gitlab@84e7ea128206b9fd12a9ea409836615bf08d6533) ([merge request](gitlab-org/gitlab!68859))
- [Remove feature flag used to enable subtransactions counter](gitlab-org/gitlab@296f7f653a30e5b2b5d8f00fb8e8417012cb4355) ([merge request](gitlab-org/gitlab!68764))
- [Remove safe_find_or_create_by! calls](gitlab-org/gitlab@94e08bc132f410dcafc35b6110689f736617eed1) ([merge request](gitlab-org/gitlab!68649))
- [checks: Always enable batched computation of commits](gitlab-org/gitlab@295f2e3845b8f9c4c9310c91fb5ed788a1eaab9d) ([merge request](gitlab-org/gitlab!68747))
- [Never fetch more than 101 commits when processing a git push](gitlab-org/gitlab@81be7217f8670f5faa930bbd867951408040e123) ([merge request](gitlab-org/gitlab!67491))
- [Reduce Gitaly calls for keeping around refs of published notes](gitlab-org/gitlab@a47de44666327cb713093eb0c3a105d0e19830ad) ([merge request](gitlab-org/gitlab!68337))
- [Use the ListCommits RPC, not CommitsBetween, when processing git push](gitlab-org/gitlab@2a3182749c565f6b357c0432fc37d9c50a9c6420) ([merge request](gitlab-org/gitlab!68470))

### Other (56 changes)

- [Remove optimized_issuable_label_filter flag](gitlab-org/gitlab@7f1c9cc71a827584227b697a4367d7b63d1e42d7) ([merge request](gitlab-org/gitlab!70289))
- [Snowplow event dictionary first run for Vue files](gitlab-org/gitlab@b48ec7b325ef782c86850e2bb090d27802108174) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/70450)) **GitLab Enterprise Edition**
- [Add Snowplow event dictionary for Vue files](gitlab-org/gitlab@74ee2d053e35ff4d71ac787ad948724282d44e8d) ([merge request](gitlab-org/gitlab!67981)) **GitLab Enterprise Edition**
- [Remove track_all_ci_template_inclusions FF](gitlab-org/gitlab@75b9287a604bb82321b784739d7fb77f29f1a5f3) ([merge request](gitlab-org/gitlab!70380))
- [Plain replace of track-event to track-action](gitlab-org/gitlab@9078236d088632b2b72df65666d35680fc01b6df) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/56904)) **GitLab Enterprise Edition**
- [Remove FF ci_daily_limit_for_pipeline_schedules](gitlab-org/gitlab@a2f1f86bcdcd1fe9faeac262d2135445686d1c44) ([merge request](gitlab-org/gitlab!70163))
- [Remove FF ci_modified_paths_of_external_prs](gitlab-org/gitlab@0a43715f40d73ea9a38934fa54dfbca65d7e61a1) ([merge request](gitlab-org/gitlab!70161))
- [Update the helm documentation](gitlab-org/gitlab@dc8b51f21af9325ea5144b1e68351587edfe3749) ([merge request](gitlab-org/gitlab!70178))
- [Finalize conversion to bigint for ci_builds_metadata](gitlab-org/gitlab@21415536061b9ac91e7b1e3b698b1b09534d6152) ([merge request](gitlab-org/gitlab!65692))
- [Add status columns to dependency proxy tables](gitlab-org/gitlab@209658cd6e8f6d83727c94bd42079ffa8f3575f8) ([merge request](gitlab-org/gitlab!69901))
- [Remove load performance widget usage data flag](gitlab-org/gitlab@487442b036ab31232a559e3e9b178df28baf1962) ([merge request](gitlab-org/gitlab!68847)) **GitLab Enterprise Edition**
- [Finalize conversion to bigint for taggings](gitlab-org/gitlab@b6856991f3aa150e36318922534a56590f704397) ([merge request](gitlab-org/gitlab!66625))
- [Clean up feature flag for pipeline editor branch switcher](gitlab-org/gitlab@a8f2168ed1fe6fa61650145b29c7e869b3fb376d) ([merge request](gitlab-org/gitlab!66717))
- [Track all CI template inclusions](gitlab-org/gitlab@258d2f2ea227a0aec2c933768b8cff7fec40a928) ([merge request](gitlab-org/gitlab!69204))
- [Revert "Merge branch...](gitlab-org/gitlab@2ee987bc775dcaa4432dfacd20a17cc82921ffc0) ([merge request](gitlab-org/gitlab!69812))
- [Remove the default enabled feature flag](gitlab-org/gitlab@1630d748a49a401d1d0ba78c129fabc0924c3c6e) ([merge request](gitlab-org/gitlab!69755))
- [Fix: update error budget documentation](gitlab-org/gitlab@2d5f19a14d1e34277e2c57617a2fd84aca0cbc66) ([merge request](gitlab-org/gitlab!69732))
- [Cleanup bigint conversion for geo_job_artifact_deleted_events](gitlab-org/gitlab@2ca0e62a01f887a3d9c260c11030f80045e10802) ([merge request](gitlab-org/gitlab!69722))
- [Cleanup bigint conversion for deployments](gitlab-org/gitlab@dc6dac21cb8f76c7d21357487ac1bb1d6ac9edd4) ([merge request](gitlab-org/gitlab!69719))
- [Cleanup bigint conversion for ci_stages](gitlab-org/gitlab@45b010cbf8891db59aef73f58d5f8e617d9a9b0b) ([merge request](gitlab-org/gitlab!69714))
- [Remove use_insert_all_in_internal_id feature flag](gitlab-org/gitlab@26a8a7ff654b0a015c70d14e44b14321c99d0b1a) ([merge request](gitlab-org/gitlab!69598))
- [Remove metrics report usage data feature flag](gitlab-org/gitlab@72a1657d0bf624a4568e10eddb554aa6d3720c22) ([merge request](gitlab-org/gitlab!68657)) **GitLab Enterprise Edition**
- [Remove the FF ci_fix_commit_status_retried](gitlab-org/gitlab@fed8e557c0d1e62134aa9187219fdaa2166d111d) ([merge request](gitlab-org/gitlab!69555))
- [Remove bigint conversion triggers for events](gitlab-org/gitlab@bfd5ac61e24c2f8533b23a82878906d85cc49f6a) ([merge request](gitlab-org/gitlab!69337))
- [Move usage_graph component to vue_shared folder](gitlab-org/gitlab@9003a12c1bc4aa82fece65b28149a22d47455144) ([merge request](gitlab-org/gitlab!69374))
- [Prepare ci_builds swap indexes for async creation](gitlab-org/gitlab@bdab6b9c92a2d19687b7b3ca5dc74eca695b8cf0) ([merge request](gitlab-org/gitlab!69404))
- [Bump fast_gettext to the latest](gitlab-org/gitlab@329c5a3b810437e6b9d046cd3a94e09769da2814) ([merge request](gitlab-org/gitlab!69236))
- [Introduce versioned GitLab migration class](gitlab-org/gitlab@137f716c6b118e65651c8df26edcc606bc71c413) ([merge request](gitlab-org/gitlab!68986))
- [Remove bigint conversion triggers for push_event_payloads](gitlab-org/gitlab@7d5a2605a949f0b3eaa9eec5232e5d15e097b197) ([merge request](gitlab-org/gitlab!69339))
- [Fix contextual help link and other minor improvements](gitlab-org/gitlab@012d10086d32d4c8e73c6c8c372f0682a41d73f5) ([merge request](gitlab-org/gitlab!68838)) **GitLab Enterprise Edition**
- [Clean up :graphql_board_list feature flag](gitlab-org/gitlab@cfccf9032a8fd0cab2962fe2fdde20f327932867) ([merge request](gitlab-org/gitlab!67815))
- [Revert "Merge branch 'stuck-ci-jobs-worker-optimize-running' into 'master'"](gitlab-org/gitlab@af23fa473a470d81f5a07b1a00072b38ce7c35d9) ([merge request](gitlab-org/gitlab!69163))
- [Cleanup used membership invites](gitlab-org/gitlab@8c4879e7e5be46969823aa64ab676e57e809d5a2) ([merge request](gitlab-org/gitlab!69064))
- [Remove temp index on approval_project_rules](gitlab-org/gitlab@c2efc57d6ed6e3221fb5652a9ddd12283ee731aa) ([merge request](gitlab-org/gitlab!68579))
- [Add models for dependency proxy ttl policies](gitlab-org/gitlab@d40a4e5a0b14270cc18443fcc8a6c971ec339bbb) ([merge request](gitlab-org/gitlab!68809))
- [Bump prometheus-client-mmap to 14.0](gitlab-org/gitlab@877b827e1039644167a344dacc5d05cb9c9eee1e) ([merge request](gitlab-org/gitlab!68987))
- [Update GitLab Shell to v13.21.0](gitlab-org/gitlab@142c6e006e536fbd603ffe41061b45f049bfb292) ([merge request](gitlab-org/gitlab!68985))
- [Remove enabled runner_graphql_query feature flag](gitlab-org/gitlab@fefdb1c3c74c0d78339eb5a2dc83fb91fafa6c0f) ([merge request](gitlab-org/gitlab!68944))
- [Remove upsert_issue_metrics feature flag](gitlab-org/gitlab@2e627c8b2705ea1431a58916a18cf39122bb63eb) ([merge request](gitlab-org/gitlab!68829))
- [Remove optimize_safe_find_or_create_by FF](gitlab-org/gitlab@54715b730f58f88a8426a35384083f64653194d3) ([merge request](gitlab-org/gitlab!68827))
- [Remove column from project_settings](gitlab-org/gitlab@0c9181486033adf7e32a76b6996a5df3cdd0c386) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68854))
- [Remove the "local file reviews" feature flag](gitlab-org/gitlab@d58a1049c74210cdb43c2bef401fa0857db4bf7f) ([merge request](gitlab-org/gitlab!68813))
- [Prepare async indexes for ci table int8 swaps](gitlab-org/gitlab@25c10c86b0a70f55ba67f3a0b52afcb3d1cc4bf9) ([merge request](gitlab-org/gitlab!68888))
- [Remove store_mentions_without_subtransactions FF](gitlab-org/gitlab@185df145797a9e72e81ec97c2da0587d151b403b) ([merge request](gitlab-org/gitlab!68826))
- [Remove unused other_storage_counter](gitlab-org/gitlab@1c8be2482ae8a13dbc5e00980ad17f6ada3a9ed9) ([merge request](gitlab-org/gitlab!68736))
- [Remove enabled runner_detailed_view_vue_ui flag](gitlab-org/gitlab@e7644ad7544aa06d7f47a7e88df6fc3c657fb9d2) ([merge request](gitlab-org/gitlab!68839))
- [Remove web performance widget usage data flag](gitlab-org/gitlab@0d55ceb00913a4ef2e3f628268c03462c46c74b1) ([merge request](gitlab-org/gitlab!68837)) **GitLab Enterprise Edition**
- [Finalize conversion to bigint for events](gitlab-org/gitlab@a69fa0532997f389601c273b69dcb5b09d8219dd) ([merge request](gitlab-org/gitlab!64779))
- [Remove column from project_settings](gitlab-org/gitlab@c8c78bad3263b15b0ab61223000fb39c45e9dc64) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68798))
- [Fix instrumentation meta method definition](gitlab-org/gitlab@62d9bae05f72eb1fca4a5cfe06ceaa3c3de787fa) ([merge request](gitlab-org/gitlab!68568))
- [Remove board_new_list feature flag](gitlab-org/gitlab@ec1eb8d0e115e8cd7fbdcd683d3cadd0536f4b88) ([merge request](gitlab-org/gitlab!59826))
- [Prepare indexes on events for bigint column conversions](gitlab-org/gitlab@e05745930510e30c3b69a22f66450bde5fc48e65) ([merge request](gitlab-org/gitlab!68426))
- [Remove `track_unique_visits` feature flag](gitlab-org/gitlab@9ba606897436e4356568bbf62d78e7b8f596b996) by @edith007 ([merge request](gitlab-org/gitlab!68569))
- [Remove deprecated deployment workers](gitlab-org/gitlab@237d7a54fdac62847f8078228fc2ed6692f33f7e) by @edith007 ([merge request](gitlab-org/gitlab!67683))
- [Remove the FF ci_reset_bridge_with_subsequent_jobs](gitlab-org/gitlab@a4a75095b9b0250d0b1bdadea90c8a4cd24449b2) ([merge request](gitlab-org/gitlab!68295))
- [Removes ci_same_stage_job_needs ff](gitlab-org/gitlab@5e509cf7aa90041a541b19dda563120a359f0bf9) ([merge request](gitlab-org/gitlab!68041))

## 14.2.7 (2021-11-26)

### Fixed (3 changes)

- [Prevent Git operations from checking replication lag on non-Geo-secondary sites](gitlab-org/gitlab@84734dab92e0bf9e304ee7bf1579346cc48d26c3) ([merge request](gitlab-org/gitlab!75119)) **GitLab Enterprise Edition**
- [Remove defaultAuthors from MR Analytics and VSA](gitlab-org/gitlab@1a15d4d1be939a9e38124827f563ed9ec2612a75) ([merge request](gitlab-org/gitlab!75119))
- [Let non-members set confidential flag when creating an issue in public project](gitlab-org/gitlab@d093cc62e6263629b36a449c9464d9b8644d4d74) ([merge request](gitlab-org/gitlab!75119))

### Changed (4 changes)

- [Geo: Alternate redownload and normal design sync attempts](gitlab-org/gitlab@d401e3ec94e6dba9ea76a9682893352f28d446cb) ([merge request](gitlab-org/gitlab!75119)) **GitLab Enterprise Edition**
- [Geo: Alternate redownload and normal SSF sync attempts](gitlab-org/gitlab@00eeff14a9bfeabe9107fc38ce9d7d2eee06384b) ([merge request](gitlab-org/gitlab!75119)) **GitLab Enterprise Edition**
- [Geo: Alternate redownload and normal project syncs](gitlab-org/gitlab@fac9bb8c11db13d34b311f4ebd18f84fa7a575d3) ([merge request](gitlab-org/gitlab!75119)) **GitLab Enterprise Edition**
- [Geo: Reduce frequency of redownload attempts](gitlab-org/gitlab@d18381e4788a8652d3e36cec5d4bce343c48209c) ([merge request](gitlab-org/gitlab!75119)) **GitLab Enterprise Edition**

## 14.2.6 (2021-10-28)

### Security (13 changes)

- [Highlight usage of unicode bidi characters](gitlab-org/security/gitlab@18a768bb3cd19b6dc780bb85d91a93605ec8aa4f) ([merge request](gitlab-org/security/gitlab!1939))
- [Fix dompurify.js to prevent path traversal attacks](gitlab-org/security/gitlab@cfd7c715162c22060b9b80268ef501a9e604421a) ([merge request](gitlab-org/security/gitlab!1931))
- [Refresh authorizations on transfer of groups having project shares](gitlab-org/security/gitlab@3fc08eb869156a090b015e78da79c8ced16a7162) ([merge request](gitlab-org/security/gitlab!1918))
- [Do not allow Applications API to create apps with blank scopes](gitlab-org/security/gitlab@c4ffc8c0ee5356bcb9b76dbfa92517589b4225a8) ([merge request](gitlab-org/security/gitlab!1924))
- [Don't allow author to resolve discussions when MR is locked via GraphQL](gitlab-org/security/gitlab@fe2d0b6f250b60619da97f162c93c9e645daf4af) ([merge request](gitlab-org/security/gitlab!1921))
- [Workhorse: Allow uploading only a single file](gitlab-org/security/gitlab@89b04599592b7dfc0e4883cfde5d3ecd9ea855b2) ([merge request](gitlab-org/security/gitlab!1915))
- [Group owners should see SCIM token only once](gitlab-org/security/gitlab@d52c1e41f38039db075a7a3418b8eb9ed8474c2a) ([merge request](gitlab-org/security/gitlab!1908)) **GitLab Enterprise Edition**
- [Respect visibility level settings when updating project via API](gitlab-org/security/gitlab@3051d6a00d1a56133a77ecd24313bafb4565d576) ([merge request](gitlab-org/security/gitlab!1905))
- [Avoid decoding the whole tiff image on isTIFF check](gitlab-org/security/gitlab@bab7f45def8fc81fe4b0961a21b4c90a60358ff9) ([merge request](gitlab-org/security/gitlab!1901))
- [Adding a '[redacted]' to mask private email addresses](gitlab-org/security/gitlab@8eb9749f40b87b9b49b034bceb263219a4d3b114) ([merge request](gitlab-org/security/gitlab!1895))
- [Do not display the root password by default](gitlab-org/security/gitlab@4ccf08b6645b9f616657edd266d9d31e3602d170) ([merge request](gitlab-org/security/gitlab!1802))
- [Set PipelineSchedules to inactive](gitlab-org/security/gitlab@ebee16945325d22ceb5c07b7ba48df6fd0b2f067) ([merge request](gitlab-org/security/gitlab!1878))
- [Remove external_webhook_token from exported project](gitlab-org/security/gitlab@f3ef12185902f3ed5c9d62ffce07418fd704a753) ([merge request](gitlab-org/security/gitlab!1865))

## 14.2.5 (2021-09-30)

### Security (28 changes)

- [Require password param for 2FA changes](gitlab-org/security/gitlab@5693760a3edf82774a4e19b9bb561be87316be54) ([merge request](gitlab-org/security/gitlab!1815))
- [Fix permissions check on project members import](gitlab-org/security/gitlab@f9b4200427833e370638aa63851d6801a40c404c) ([merge request](gitlab-org/security/gitlab!1859))
- [Respect disabled import sources when initiating import via API](gitlab-org/security/gitlab@3c9af055ece281fcaab0b8dcc277e0ce9133ad31) ([merge request](gitlab-org/security/gitlab!1847))
- [Return 404 if model id wasn't passed to UploadsController](gitlab-org/security/gitlab@dd4616362040d2b812d69ff2ecf78e70ff4b9ae3) ([merge request](gitlab-org/security/gitlab!1844))
- [Scrub artifacts signed URL in SendEntry logs](gitlab-org/security/gitlab@41d275bb73943ba6f970d6678b49c9336194af35) ([merge request](gitlab-org/security/gitlab!1841))
- [Prevent double-impersonation and impersonation breakout](gitlab-org/security/gitlab@c0ab498adda057f4d87969d74c32a3ea95df297c) ([merge request](gitlab-org/security/gitlab!1835))
- [Clear session access tokens when starting/stopping impersonation](gitlab-org/security/gitlab@fd39d88b348d525818820d2496afe08612420023) ([merge request](gitlab-org/security/gitlab!1832))
- [Use validated URL when sending request to Gitea Importer](gitlab-org/security/gitlab@328e3c726c693b32666e0fb32eda0b7a6f22d8ad) ([merge request](gitlab-org/security/gitlab!1821))
- [Fix XSS in Jira link](gitlab-org/security/gitlab@868d8b9c4a1e9e9019a7ff51da11f75051e452c3) ([merge request](gitlab-org/security/gitlab!1817)) **GitLab Enterprise Edition**
- [Fix fogbugz importer DNS Rebind SSRF](gitlab-org/security/gitlab@4f4b5a15a3508084f921442b3a7f42ba0448f1bb) ([merge request](gitlab-org/security/gitlab!1681))
- [Remove related project access tokens when a project is deleted](gitlab-org/security/gitlab@282e81198f80f1fda912da5bc6f671d778b19ca9) ([merge request](gitlab-org/security/gitlab!1811))
- [Require group admin access to list pending invites](gitlab-org/security/gitlab@1ce85345787025222c915fe5fa314bad8994b6ba) ([merge request](gitlab-org/security/gitlab!1720))
- [Do not export and import repository_size_limit](gitlab-org/security/gitlab@359f14e41dfc355a13041cdf1dbcd082c254200c) ([merge request](gitlab-org/security/gitlab!1769))
- [Escapes MR approval rule names correctly](gitlab-org/security/gitlab@d84739982599197ff337d69d818634544270e142) ([merge request](gitlab-org/security/gitlab!1808))
- [Filter shared groups autocomplete by permitted](gitlab-org/security/gitlab@3a2b4c7ff1eb2ba3e84840ba2800c13d6491d726) ([merge request](gitlab-org/security/gitlab!1805)) **GitLab Enterprise Edition**
- [Require access token for git when 2fa is required](gitlab-org/security/gitlab@deb4e7e5f941c82450d382c1b85f6325e367394f) ([merge request](gitlab-org/security/gitlab!1795))
- [Disable exporting pipeline triggers on project export](gitlab-org/security/gitlab@417761bb2f67f03bfe803163bad97da7b9fa088b) ([merge request](gitlab-org/security/gitlab!1789))
- [Add pagination to dependencies API](gitlab-org/security/gitlab@2f84755ba54580df126054a561d8cc4731f936d3) ([merge request](gitlab-org/security/gitlab!1724)) **GitLab Enterprise Edition**
- [Permission check issuable template API data](gitlab-org/security/gitlab@a90614e2efc813ca5f13a9aa9b51f13f0e8934aa) ([merge request](gitlab-org/security/gitlab!1786)) **GitLab Enterprise Edition**
- [Apply account locking to password reset page](gitlab-org/security/gitlab@6bbd77c0748e59eacff51edb6264d6099ee14a38) ([merge request](gitlab-org/security/gitlab!1783))
- [Enforce configured scopes for Oauth applications](gitlab-org/security/gitlab@a9f44bb19cbfc460cd05627a80ef17c39cdde86b) ([merge request](gitlab-org/security/gitlab!1780))
- [Verify state before using errors from OAuth2 OmniAuth providers](gitlab-org/security/gitlab@6f70292d0fa3efbe99c44748a463df189830cc35) ([merge request](gitlab-org/security/gitlab!1777))
- [Prevent moving epic issues to different group hierarchy](gitlab-org/security/gitlab@979d40003794014d5930709a257e9a5c75df10e6) ([merge request](gitlab-org/security/gitlab!1773)) **GitLab Enterprise Edition**
- [Prevent showing not allowed subgroup epics](gitlab-org/security/gitlab@2f72e4062f6cd7256ffff31172b00c012a5910e1) ([merge request](gitlab-org/security/gitlab!1765)) **GitLab Enterprise Edition**
- [Do not allow status checks to exist with external protected branches](gitlab-org/security/gitlab@dd08837d054c574f94f80e806cc7b49de342cc57) ([merge request](gitlab-org/security/gitlab!1762)) **GitLab Enterprise Edition**
- [Fix GFM autocomplete xss](gitlab-org/security/gitlab@5afba618ef89fdce544f498a30e7366e3f6cb788) ([merge request](gitlab-org/security/gitlab!1747))
- [Prohibit anonymous access for specific user API endpoint](gitlab-org/security/gitlab@a813bd8a8f07ffa0477efd3a3936b436e5ec6b17) ([merge request](gitlab-org/security/gitlab!1736))
- [Fix denial-of-service attack in Markdown parser](gitlab-org/security/gitlab@f618ad9c104882ac5f707b162e8119805252019e) ([merge request](gitlab-org/security/gitlab!1729))

## 14.2.4 (2021-09-17)

### Fixed (2 changes)

- [Fix Elastic::MigrationWorker current_migration (2nd attempt)](gitlab-org/gitlab@65bf8636d35edc6f580c7f09e1ffafc46ca5fbdb) ([merge request](gitlab-org/gitlab!70494)) **GitLab Enterprise Edition**
- [Removes cleanup job from Terraform.latest](gitlab-org/gitlab@6085d73d1a88aa98310f775fe2ff74584948e1a9) ([merge request](gitlab-org/gitlab!70494))

## 14.2.3 (2021-09-01)

### Fixed (4 changes)

- [Fix Live Markdown Preview in personal and subgroup projects](gitlab-org/gitlab@20553f93703c0bc076c8e1a4fbc4ce07e2e914b7) ([merge request](gitlab-org/gitlab!69316))
- [Fix OrphanedInviteTokensCleanup migration](gitlab-org/gitlab@9c59b2fbdfeb250de66a9d2b9424cde9680f86c3) ([merge request](gitlab-org/gitlab!69316))
- [Reset severity_levels default](gitlab-org/gitlab@34e65788679cfbdeec28357a01a8b303ba61418f) ([merge request](gitlab-org/gitlab!69316))
- [Geo: Replicate multi-arch containers](gitlab-org/gitlab@fdf88767320016a84c83e896b9f9b90291de89e0) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67624)) **GitLab Enterprise Edition**

## 14.2.2 (2021-08-31)

### Security (9 changes)

- [Prevent non-admins from configuring Jira connect app](gitlab-org/security/gitlab@1bc56361c9daa90accea65836d5a424168a2c544) ([merge request](gitlab-org/security/gitlab!1697))
- [Only create jira connect NS subscriptions for admins](gitlab-org/security/gitlab@c160da2cb32a5774fef149155cfd397981bf9173) ([merge request](gitlab-org/security/gitlab!1698))
- [Update apollo_upload_server dependency](gitlab-org/security/gitlab@5ef659b8c9a5a7338830171c62943d3b8bb16410) ([merge request](gitlab-org/security/gitlab!1699))
- [Ensure shared group members lose project access after group deletion](gitlab-org/security/gitlab@c94e934234a90f82e7fe291ed0f1d6a763b9a977) ([merge request](gitlab-org/security/gitlab!1683))
- [Update Import/Export to use public email when mapping users](gitlab-org/security/gitlab@13fb902c55c2dfe7ec2bf35f58a9cb3d93905d9a) ([merge request](gitlab-org/security/gitlab!1669)) **GitLab Enterprise Edition**
- [Require sign in for .keys endpoint on non-public instances](gitlab-org/security/gitlab@0979dd458e8fa0d4f5e184ef0b9ea042d79f6c14) ([merge request](gitlab-org/security/gitlab!1676))
- [Inherit user external status while creating project bots](gitlab-org/security/gitlab@93062909ffc093cb8f718a3ea3f2976292a9b9af) ([merge request](gitlab-org/security/gitlab!1675))
- [Escape issue reference and title for Jira issues](gitlab-org/security/gitlab@d25ef8599ec03ee80ef1bff7067b2269836400cf) ([merge request](gitlab-org/security/gitlab!1673)) **GitLab Enterprise Edition**
- [Fix stored XSS vulnerability in Datadog settings form](gitlab-org/security/gitlab@23b98dac7864992898992a153950247ac6ccb933) ([merge request](gitlab-org/security/gitlab!1670))

## 14.2.1 (2021-08-23)

### Fixed (1 change)

- [Drop un-used db/ci_migrate symlink](gitlab-org/gitlab@1154311625345e120407c0c397c7d4a27848a739) ([merge request](gitlab-org/gitlab!68723))

### Changed (2 changes)

- [Reorder vuln check criteria](gitlab-org/gitlab@9bbb20db46362a859632e7bb88deba985318ca2c) ([merge request](gitlab-org/gitlab!68723)) **GitLab Enterprise Edition**
- [Don't override vulnerability feedback UUID anymore](gitlab-org/gitlab@5f8372fb782c9416ae5ab582009a4399cb7d3750) ([merge request](gitlab-org/gitlab!68723)) **GitLab Enterprise Edition**

## 14.2.0 (2021-08-20)

### Added (128 changes)

- [Add missing Ci::Build graphql mutations](gitlab-org/gitlab@b0389d7d0da358b550392cf20178c2faea6dbd61) ([merge request](gitlab-org/gitlab!68399))
- [Introduce a table to store job trace metadata](gitlab-org/gitlab@66ac715bd050922f83e754f1f2b27c27848fa2b2) ([merge request](gitlab-org/gitlab!68171))
- [Promote the contact_sales_btn_in_app experiment to product feature](gitlab-org/gitlab@273a053eff53c29ce55f70358b2ebd593a64c7ff) ([merge request](gitlab-org/gitlab!65598))
- [Upgrade GitLab Pages to v1.42.0](gitlab-org/gitlab@5de522492fa0a3d013eef5d75103a93f350036c2) ([merge request](gitlab-org/gitlab!68341))
- [Enable the instance-level overrides feature](gitlab-org/gitlab@b8ab6f1e1c1120a8b53fa0864627bc7a5ff6603f) ([merge request](gitlab-org/gitlab!67927))
- [Add support for inline diff in content editor](gitlab-org/gitlab@c10baec8a0efb6c6a59909cd8c1772c9d7cab042) ([merge request](gitlab-org/gitlab!68231))
- [Update security policies pipeline processor to support secret detection](gitlab-org/gitlab@797d5d844d5533ea6561dc2e584d8b15b0c47b71) ([merge request](gitlab-org/gitlab!67223)) **GitLab Enterprise Edition**
- [Render references in content editor](gitlab-org/gitlab@efc45686c1d1804d8367a292fc63164aa1d7f6c2) ([merge request](gitlab-org/gitlab!68230))
- [Add copy feature to CI job page](gitlab-org/gitlab@5d72b702b7d78566110714a30d9742d32e8e32d0) ([merge request](gitlab-org/gitlab!68148))
- [Limit number of files per pages site](gitlab-org/gitlab@48df27a71ab7c3845172671b20e2cf2e3dcf6fe2) ([merge request](gitlab-org/gitlab!67761))
- [Added new user callout for the Terraform banner](gitlab-org/gitlab@c52952f613e4dfd1ab5cbde859b8f3d1a1ce51eb) ([merge request](gitlab-org/gitlab!68138))
- [Markdown Live preview for Source Editor](gitlab-org/gitlab@2fffee2645d5bb9a4b8b269c578ebca9f9f73fbf) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68020))
- [Create table zentao_tracker_data](gitlab-org/gitlab@161e6d31110c591b041b76717a98024f5963a3f7) ([merge request](gitlab-org/gitlab!67938))
- [Start tracking project ci feature usages](gitlab-org/gitlab@ce79c6e6e88fc6e9fe2721ccaea801322bd83e13) ([merge request](gitlab-org/gitlab!68186))
- [Add support for task list in content editor](gitlab-org/gitlab@0f07bf94eeed25828118633cc80e9d6db06c682b) ([merge request](gitlab-org/gitlab!68121))
- [Add support for subscript/superscript](gitlab-org/gitlab@79c6a33fa8c64630d2c8318df2bc3a148571e80d) ([merge request](gitlab-org/gitlab!68106))
- [Enable agent registration UI](gitlab-org/gitlab@aae65bb2daddffb001062a08e563b733c709422a) ([merge request](gitlab-org/gitlab!63718)) **GitLab Enterprise Edition**
- [Add support for meta tag DAST site validation](gitlab-org/gitlab@446eb73c72154b0cc835f77681d174e452e8c186) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67553)) **GitLab Enterprise Edition**
- [Include reply in email egenrated notes](gitlab-org/gitlab@1b6793b1735e0bdb15ff8885afc3a4c44b58eec5) ([merge request](gitlab-org/gitlab!67615))
- [Allow sorting merge requests by latest closed at](gitlab-org/gitlab@e8eec2be09c22e9d34d4ae872ebaf9ada8d6e9e7) ([merge request](gitlab-org/gitlab!67041))
- [Enable seat usage export](gitlab-org/gitlab@96a57bd55a58a139a3b6a71dfa188754da98b5fb) ([merge request](gitlab-org/gitlab!67934)) **GitLab Enterprise Edition**
- [Show artifact downloads for security reports](gitlab-org/gitlab@66e2a2c14c1db3ef5e0bb5eafbe8450ab0ab9e1f) ([merge request](gitlab-org/gitlab!67701))
- [Expose integrated error tracking to services](gitlab-org/gitlab@08a65298328d1215a4c2abc09c1c5b1a7329c976) ([merge request](gitlab-org/gitlab!66847))
- [Render emojis in the Content Editor](gitlab-org/gitlab@27836b5914ab2e677a1bf83a75c7b0ae46c45646) ([merge request](gitlab-org/gitlab!67986))
- [Add dependency link to package type](gitlab-org/gitlab@6bb31a828706c216e68a6f775acb533732374623) ([merge request](gitlab-org/gitlab!67828))
- [Enabled diff virtual scrolling by default](gitlab-org/gitlab@2889ee338ef5fa9eb1e034cc9c29ba00b97709ee) ([merge request](gitlab-org/gitlab!67983))
- [Enables ci_same_stage_job_needs by default](gitlab-org/gitlab@8faa92bc2c5ee9aa0be2ebf6936f7e1cf74c5762) ([merge request](gitlab-org/gitlab!67851))
- [Remove agent_kubeconfig_ci_variable feature flag](gitlab-org/gitlab@57b3effb251f08cbdf2f394f27e293efbf7df872) ([merge request](gitlab-org/gitlab!67734))
- [Prune database partitions older than a retention period](gitlab-org/gitlab@c8b84ced3234b086cb4e6b99452bf8f3e7e49803) ([merge request](gitlab-org/gitlab!67056))
- [Add vulnerabilities_allowed into rules](gitlab-org/gitlab@0f90ed3eeee90352cea72c9aaf2b125d4ca667ab) ([merge request](gitlab-org/gitlab!66685)) **GitLab Enterprise Edition**
- [Add organizations table and model](gitlab-org/gitlab@6a69edffe8b16154cd584c4775c6806e26800b98) ([merge request](gitlab-org/gitlab!67551))
- [Support setting Rails asset host via gitlab.yml](gitlab-org/gitlab@d11ace2405a4af37e85b329ac00e1deec4ca3dca) ([merge request](gitlab-org/gitlab!67710))
- [Disable project/group sharing when User Cap set](gitlab-org/gitlab@108f4f0a04a02aa57ac032aa8518d753719b93c1) ([merge request](gitlab-org/gitlab!67229))
- [Expose timelogs in GraphQL query type](gitlab-org/gitlab@6b0f410efd348ae2a12ff3b6a9ca32c1420810c6) ([merge request](gitlab-org/gitlab!67185))
- [Enable ci_daily_limit_for_pipeline_schedules by default](gitlab-org/gitlab@c8058482a2a41d886bf816fc253305bb278e2dc1) ([merge request](gitlab-org/gitlab!67835))
- [Track changes in merge request approval settings in Audit Events](gitlab-org/gitlab@630bfeaeccf9641015353c300f02b4d225c6dbd5) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66234)) **GitLab Enterprise Edition**
- [Store hashcode for VSA stage events](gitlab-org/gitlab@760ab23cfb152a0a3ae4a5df0414f18d0ff552f4) ([merge request](gitlab-org/gitlab!67259))
- [Remove ci_jobs_trace_size_limit feature flag](gitlab-org/gitlab@99468602a8450030a63c232d0cc4379e02ed7db6) ([merge request](gitlab-org/gitlab!67770))
- [Index issues on project_id, state_id, created, id](gitlab-org/gitlab@49aed743bdd9ff27451cd8a2c8368db137aae4f8) ([merge request](gitlab-org/gitlab!67304))
- [Feat: enable report abuse button for snippets](gitlab-org/gitlab@449a7e04dd5d65de656dc7e7f6b4867debd07b66) ([merge request](gitlab-org/gitlab!66913))
- [Add tooltip to No Target text in corpus management](gitlab-org/gitlab@736e7a6dfab827b861304fc7f6c893f9700ed480) ([merge request](gitlab-org/gitlab!67345))
- [Remove code quality usage feature flag](gitlab-org/gitlab@dc2466ef052f4749dbc706627fd1b47d8033ff0e) ([merge request](gitlab-org/gitlab!67792))
- [Add severity_levels validation and usage](gitlab-org/gitlab@33e1a9f9f06795f5b8b44c947851d0ccac1189b0) ([merge request](gitlab-org/gitlab!67064)) **GitLab Enterprise Edition**
- [Add support for adding attachments in Content Editor](gitlab-org/gitlab@86ee34786dca713d3dfca6ee64190099497925ac) ([merge request](gitlab-org/gitlab!67728))
- [Add expired tokens alert to personal access tokens profile page](gitlab-org/gitlab@ce93996be8b89115d3265d86ad2d6ee224e6d4f3) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66915)) **GitLab Enterprise Edition**
- [Show topics in the project list](gitlab-org/gitlab@f9cb6e706c8104be6b96d44693416f79183b507c) ([merge request](gitlab-org/gitlab!65335))
- [Add pipeline iid dropdown](gitlab-org/gitlab@0052c811f0241b39870bf7d308539d7f340f1848) ([merge request](gitlab-org/gitlab!67625))
- [Mark completed jobs as successful](gitlab-org/gitlab@82a928011f15da3aa3aae94b5a758cf4541b3048) ([merge request](gitlab-org/gitlab!67687))
- [Add namespace field to User type in GraphQL](gitlab-org/gitlab@9169e2639da6d162e120c2dd66eda511b6194978) ([merge request](gitlab-org/gitlab!67641))
- [Add view pipeline button in pipeline editor](gitlab-org/gitlab@dd5e9f74604ea891412885b8c0a24547e2c8961f) ([merge request](gitlab-org/gitlab!67474))
- [Add a bubblemenu for text format to Content Editor](gitlab-org/gitlab@8a8a9842b54aa54d9cf197403c145fb7cd05533f) ([merge request](gitlab-org/gitlab!67363))
- [Adds APIs and their specs to projectionist example file](gitlab-org/gitlab@b7d12b6871066146492a7b7350c1bb17e2d181d1) ([merge request](gitlab-org/gitlab!67626))
- [Add rule_index to security_orchestration_policy_rule_schedules](gitlab-org/gitlab@01d1d4398f1c4e99a3f2146a8bdeac0ae5375261) ([merge request](gitlab-org/gitlab!67586))
- [Extend graphql repository with paginated tree field](gitlab-org/gitlab@c97bac9f191f785287324d684b75cfefb45fe325) ([merge request](gitlab-org/gitlab!66751))
- [Add support for security policy project for Projects::CreateService](gitlab-org/gitlab@75e3e09a6f30a26e64ac901b136bd524bccd6a20) ([merge request](gitlab-org/gitlab!66448)) **GitLab Enterprise Edition**
- [Expose vulnerabilities_allowed](gitlab-org/gitlab@d14b3c9ada83fa9047488f312b229f46b9941f4b) ([merge request](gitlab-org/gitlab!66680)) **GitLab Enterprise Edition**
- [Deploy token access for the Dependency Proxy](gitlab-org/gitlab@9a6cee64edba05d571f81fe071fda946969736d4) ([merge request](gitlab-org/gitlab!67552))
- [Remove compare_repo_dropdown feature flag](gitlab-org/gitlab@33c2a0f4a05e1d096c001c2f3c1dc7c683ac568e) ([merge request](gitlab-org/gitlab!67193))
- [Add mutation to change namespace shared runners setting](gitlab-org/gitlab@2bbc69a6d2b519534e4f534618a9683130161139) ([merge request](gitlab-org/gitlab!67256))
- [Add severity_levels into approval_project_rules](gitlab-org/gitlab@ae7afa58f4cfa91919c01fcacad24b142502fed6) ([merge request](gitlab-org/gitlab!67062))
- [Add admin_verify track to in-product marketing emails](gitlab-org/gitlab@67b920db2d46e83201023fdebbdc120dd99511ba) ([merge request](gitlab-org/gitlab!67147))
- [Add instance setting for delayed project deletion](gitlab-org/gitlab@d2c9d6267f2cb55bb0bcea383d2261c75d5536f7) ([merge request](gitlab-org/gitlab!67230)) **GitLab Enterprise Edition**
- [Add Snowplow Tracking to Environment Actions](gitlab-org/gitlab@2d5dc001670c1894bc7190377be8d8ee97d92752) ([merge request](gitlab-org/gitlab!66968))
- [Finalize converting geo_job_artifact_deleted_events](gitlab-org/gitlab@fafde4d21574912c0fbccf2bf7085d82418118c9) ([merge request](gitlab-org/gitlab!66763))
- [Remove feature flag search_sort_issues_by_popularity](gitlab-org/gitlab@4adb461f6a7c8ea2a102a774d0ea053b3a0428f4) ([merge request](gitlab-org/gitlab!67515))
- [Cancel pipelines before deleting](gitlab-org/gitlab@d738b59412b780eca267dee40fe1bd63e513e6bb) ([merge request](gitlab-org/gitlab!67063))
- [Add structured logging to MergeRequestMergeabilityCheckWorker](gitlab-org/gitlab@d971a728f534df518ab74117526d3099db62df0d) ([merge request](gitlab-org/gitlab!67440))
- [Allow immediate deletion of groups](gitlab-org/gitlab@80637ccb22b7e24209c1ef6f7a0832163b89756e) ([merge request](gitlab-org/gitlab!66951)) **GitLab Enterprise Edition**
- [Add application and DB layer validations for flag_type uniqueness](gitlab-org/gitlab@1eb5b25a7ff521a4cb55f872c561a21c4a33b04d) ([merge request](gitlab-org/gitlab!67300)) **GitLab Enterprise Edition**
- [Add pronunciation to GitLab profile page](gitlab-org/gitlab@5e6b224b48f58f7dda8920566ba5fc8c4309aed8) ([merge request](gitlab-org/gitlab!67111))
- [Add trial_short track to in-product marketing emails](gitlab-org/gitlab@f74e5e5369a9b5d307b86b24d1a9bb607eb089b8) ([merge request](gitlab-org/gitlab!66943))
- [Deploy token access for the dependency proxy](gitlab-org/gitlab@b723758c42028c10cba8bde2b6ee04f9bfe59f3d) ([merge request](gitlab-org/gitlab!64363))
- [Generate Debian component files for udeb and source files](gitlab-org/gitlab@4a55b9ff9616844b083db2f4d8e187d40138c43f) ([merge request](gitlab-org/gitlab!65188))
- [Log deprecations to dedicated log file](gitlab-org/gitlab@36be9eca6c23897be2b1f560dbc0e0f4ba25d21a) ([merge request](gitlab-org/gitlab!66815))
- [Add button for reactivating/extending trial](gitlab-org/gitlab@dfe79df4f34fe5c7b7beb91902e9715a10524c36) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66049)) **GitLab Enterprise Edition**
- [Add secret_detection to security_orchestration_policy JSON schema](gitlab-org/gitlab@a08527c5f4b2ab1501e6aefe5a8209d5bef6c2ea) ([merge request](gitlab-org/gitlab!67124)) **GitLab Enterprise Edition**
- [Add assigned issue and pending todo counts to /users_count API](gitlab-org/gitlab@eb340792858e66823d64857576eb47686c3f8e89) ([merge request](gitlab-org/gitlab!66909))
- [GraphQL: Add sharedRunnersSetting to Group/Namespace](gitlab-org/gitlab@835e72bdcf40ab6693637af3d05895eb4a885452) ([merge request](gitlab-org/gitlab!67022))
- [feat: Add environments survey alert](gitlab-org/gitlab@48f4a30dbd532413b87a7affe6490c17007d39b3) ([merge request](gitlab-org/gitlab!67243))
- [Allow Limitable to use override feature flag](gitlab-org/gitlab@d9d4ac4a194e3ffa0aa2a249b70d18c02105e311) ([merge request](gitlab-org/gitlab!67151))
- [Retain trigger time of alerts](gitlab-org/gitlab@93fe1effc69dadf139311352640e36ed2ce864f3) ([merge request](gitlab-org/gitlab!65635))
- [Add mutation to lock/unlock project paths](gitlab-org/gitlab@bdcf4a8172cfb68fde6e0343c7c367104b969237) ([merge request](gitlab-org/gitlab!66186)) **GitLab Enterprise Edition**
- [Use non-predefined variables inside CI include blocks](gitlab-org/gitlab@7de0bbfe90d802869b2ebf6dfe38302e80c9369e) ([merge request](gitlab-org/gitlab!66852))
- [Allow resetting issue labels](gitlab-org/gitlab@4ff90dab42d538e4723cacfb7541a0af2b1be574) ([merge request](gitlab-org/gitlab!66859))
- [Exposed created_at to billable members API](gitlab-org/gitlab@498e439d65cb8201ddb8d7d73bd55627a7b2f636) ([merge request](gitlab-org/gitlab!67127)) **GitLab Enterprise Edition**
- [Add pagination support for get_tree_entries RPC](gitlab-org/gitlab@d4bf66a7b9d4a9630d903a2bb20b74a7defc8816) ([merge request](gitlab-org/gitlab!66657))
- [Introduce AutoDeleteCronWorker for Environments](gitlab-org/gitlab@355df1117e587c062fabaf4318fa5d04fcc76b66) ([merge request](gitlab-org/gitlab!66732))
- [Enable DAST runner site validation by default](gitlab-org/gitlab@8cbd2c66c1b9905b495e215a5c4da09bd655504a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67096)) **GitLab Enterprise Edition**
- [Return signature in InRelease and Release.gpg endpoints](gitlab-org/gitlab@e1d915e397ad4b3eaf43880fe8cf0c012470a0a0) ([merge request](gitlab-org/gitlab!67061))
- [Add pages_file_entries to plan_limits](gitlab-org/gitlab@8924a81387d5fd7b2e2f85698ad721acf8f9911c) ([merge request](gitlab-org/gitlab!64925))
- [Add the compliance framework label to group projects listing](gitlab-org/gitlab@78c8851d4403f878076c698a6b6cc528db019ff3) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66819)) **GitLab Enterprise Edition**
- [Adds ProjectSetComplianceFramework GraphQL Mutation](gitlab-org/gitlab@a55e3de11bcf1278b199208269d7127eeff4287d) ([merge request](gitlab-org/gitlab!66244)) **GitLab Enterprise Edition**
- [Add timelog summary to time tracking report](gitlab-org/gitlab@b8208723bb27d8f7e35537fb5bd186507fad272a) ([merge request](gitlab-org/gitlab!67006))
- [Plug Debian SignDistributionService in GenerateDistributionService](gitlab-org/gitlab@4457d342ad6acf9b7c12859a847d87184ed2e91e) ([merge request](gitlab-org/gitlab!66907))
- [Add team_short track to in-product marketing emails](gitlab-org/gitlab@6f38ab407df09680d638200843fbd273cc992f2e) ([merge request](gitlab-org/gitlab!66854))
- [Add Mailgun endpoint for receiving permanent failures](gitlab-org/gitlab@0f371ed75c04ffe81ccce6e11105581e3eaeed86) ([merge request](gitlab-org/gitlab!66397))
- [Render CSV parsing errors](gitlab-org/gitlab@91fd2b5d235e3ec1dbe23d23a8aa2e35d9a55d05) ([merge request](gitlab-org/gitlab!66683))
- [Added state column to members table](gitlab-org/gitlab@834bd3d6136b07a2416239582b587ae42bc516e6) ([merge request](gitlab-org/gitlab!66550))
- [Trial onboarding for trial registrations](gitlab-org/gitlab@39a90e95acad44c50f85c85158cb2a442b3d6ecd) ([merge request](gitlab-org/gitlab!66836)) **GitLab Enterprise Edition**
- [Display pending user count when modifying user cap](gitlab-org/gitlab@9ceeb7b5778037e8989962f270cd74541ce19732) ([merge request](gitlab-org/gitlab!66654)) **GitLab Enterprise Edition**
- [Search for epics by iid if search starts with &](gitlab-org/gitlab@5522a5ffb6a0522e11dd684cce5c5e99ae6c24ce) ([merge request](gitlab-org/gitlab!65249)) **GitLab Enterprise Edition**
- [Add PyPI package endpoints for project and group path (escaped)](gitlab-org/gitlab@c9f7a1785ebb5a902edf55e507218275c947266c) ([merge request](gitlab-org/gitlab!66087))
- [Add Debian API endpoint for deb, udeb, ... files](gitlab-org/gitlab@6a576a69c550da0fbb2b7af7a5d6487b4ba369ce) ([merge request](gitlab-org/gitlab!64923))
- [Support setting timelog summary via API](gitlab-org/gitlab@4cedb18ca1f036cc952cdaa680c9419cc8ee8306) ([merge request](gitlab-org/gitlab!66793))
- [Geo: Add verification of snippet repositories](gitlab-org/gitlab@e5d32d05684ec533e6701dd80b3a23d21304498a) ([merge request](gitlab-org/gitlab!66878)) **GitLab Enterprise Edition**
- [Add support for propagation correlation IDs from trusted CIDRs](gitlab-org/gitlab@5e865c2e680203509f2b170dd835d11c0677764e) ([merge request](gitlab-org/gitlab!66715))
- [Debian CRUD group distribution endpoints](gitlab-org/gitlab@c2c871e575763f1977b3429c48382f82792c192a) ([merge request](gitlab-org/gitlab!66188))
- [Added error classes for specific backup rake task](gitlab-org/gitlab@94ab3594ca1a331c9d488462298c10142a376eda) ([merge request](gitlab-org/gitlab!66260))
- [Automatically resync verification failures](gitlab-org/gitlab@c615061fe0dcf0dadb977c0df581b925d142c38d) ([merge request](gitlab-org/gitlab!66851)) **GitLab Enterprise Edition**
- [Add log count of active jobs](gitlab-org/gitlab@ed6b8745c0e816c5f459ef0bf70fe0766cadf4f0) ([merge request](gitlab-org/gitlab!64623))
- [Add saml_provider_id query param to Users API](gitlab-org/gitlab@0e78d90629614d1762079f4aea6b1cf42325064d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66167)) **GitLab Enterprise Edition**
- [Add vulnerability_amount column](gitlab-org/gitlab@7c391302180171dd9832842bda2e9b6ad9b3f96b) ([merge request](gitlab-org/gitlab!66673))
- [Add error tracking client key](gitlab-org/gitlab@4eaa6cc66db16684d3e2b58292e9bfccc6e56f09) ([merge request](gitlab-org/gitlab!66466))
- [Add a badge for project invite members](gitlab-org/gitlab@d993263a5fa90fb07092feddd2c6208788b6cfb2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66611)) **GitLab Enterprise Edition**
- [Expose security scanners in MR approval rules API](gitlab-org/gitlab@c324301e2144abef01423becbbfaa7afc649f95c) ([merge request](gitlab-org/gitlab!66116)) **GitLab Enterprise Edition**
- [Add overridden_uuid column to security_findings](gitlab-org/gitlab@ce5165d1db875b30cdd92a97e9aa607f14fc380c) ([merge request](gitlab-org/gitlab!66689))
- [Add Jira Connect branches controller](gitlab-org/gitlab@b102fd6743d758000a4b6e45c4dbdb2cfaff7e66) ([merge request](gitlab-org/gitlab!66032))
- [Add signed_file to Debian distributions](gitlab-org/gitlab@28c0435afcabf22019b7e475731fff12ac7c7227) ([merge request](gitlab-org/gitlab!66470))
- [Add new BulkImports endpoint to start new migration](gitlab-org/gitlab@0632ee50bb08dedd78704b46cc88d68a5a2ac64a) ([merge request](gitlab-org/gitlab!66353))
- [Add service to sign Debian distribution](gitlab-org/gitlab@95f1e8572a1d6835bde312518914c63e35788c3a) ([merge request](gitlab-org/gitlab!64926))
- [Implement Scheduling Logic for DAST On-demand Scheduler](gitlab-org/gitlab@ddd59ed419e30b2d849898522bb93880d4300410) ([merge request](gitlab-org/gitlab!65327))
- [Sync vulnerability rules](gitlab-org/gitlab@fbb848e45448bb68d61c2d2454b080fa1e1793fb) ([merge request](gitlab-org/gitlab!66115)) **GitLab Enterprise Edition**
- [Add Fuzz Testing to DevOps Adoption](gitlab-org/gitlab@6b26ed63b3fb2b5c5d23ea9489ee8e655363e026) ([merge request](gitlab-org/gitlab!66446)) **GitLab Enterprise Edition**
- [Removes `mr_collapsed_approval_rules` feature flag](gitlab-org/gitlab@21fb28f1fd1cd7dae9dd5336cab432785f998f49) ([merge request](gitlab-org/gitlab!66457))
- [Add descendantGroups field to Group type](gitlab-org/gitlab@9a5dd5ea4a97344892dfe290c806ea139a9f2d94) ([merge request](gitlab-org/gitlab!65255))
- [Added user_cap_reached? to Group](gitlab-org/gitlab@9e3ab675343a8a133d3db6b5379ba57fd7ba6e3b) ([merge request](gitlab-org/gitlab!66264)) **GitLab Enterprise Edition**
- [Add security scanners column into](gitlab-org/gitlab@ad8618b9d6684de286315aa06a0c0d38e06c5744) ([merge request](gitlab-org/gitlab!66114))
- [Save visited URL to recent searches and update weight token list](gitlab-org/gitlab@94b4363b06a8ec706467905e0e3d77692b8c952e) ([merge request](gitlab-org/gitlab!66361))

### Fixed (137 changes)

- [Resolve layout issues in notes form](gitlab-org/gitlab@d33a507320c68e2b0812c6a750a9651fc6218e91) ([merge request](gitlab-org/gitlab!68414))
- [Set db name when creating connection with new pool size](gitlab-org/gitlab@b15f7229312f5ef3be0e973c37dc6e85934b0ef9) ([merge request](gitlab-org/gitlab!68335))
- [Project reporters can drag cards in group board](gitlab-org/gitlab@3f6610dbfc7a6e0c87947d379bcd4e065d12f83b) ([merge request](gitlab-org/gitlab!68126))
- [Added ability to create assignee list of descendants](gitlab-org/gitlab@8aee0745d70bfbc18456ac14d1dc31524942b317) ([merge request](gitlab-org/gitlab!66016))
- [Merge branch 'dreedy-fix-application_experiment-publish_to_database' into 'master'](gitlab-org/gitlab@2784a285bf1a19e20673793a461d60c1e6b123cd) ([merge request](gitlab-org/gitlab!68389))
- [Run serivce discovery on load balancing configuration](gitlab-org/gitlab@788373a15d4bcc2fffd43e230f5227ad37a7d995) ([merge request](gitlab-org/gitlab!68378))
- [Fix intermittent 'branch not found' errors when pushing creates an MR](gitlab-org/gitlab@8ab5d0dbf082657889a62f4b6868dce87d9e27c7) ([merge request](gitlab-org/gitlab!68362))
- [Fix reference pattern for iterations](gitlab-org/gitlab@4176fa758b7ad7f97d9108cf6687cd92002b2d4a) ([merge request](gitlab-org/gitlab!68350)) **GitLab Enterprise Edition**
- [Include all available groups as import target](gitlab-org/gitlab@6530b9a6ac3a96d8493bf29cc2aa4f8f5146e576) ([merge request](gitlab-org/gitlab!68302))
- [Allow to apply issue inherited templates using URL](gitlab-org/gitlab@02f50c65b0514dce7282cdd49466d361c6f19b4f) ([merge request](gitlab-org/gitlab!67686)) **GitLab Enterprise Edition**
- [Increase spacing between buttons to 8px](gitlab-org/gitlab@0b060a7e62982f7486e77546ffc9a47073010c41) ([merge request](gitlab-org/gitlab!68179))
- [Noop migrations containing faulty SQL regex](gitlab-org/gitlab@4fe9fac7b32dc6c9210aa3f94aaf3385fe180494) ([merge request](gitlab-org/gitlab!68296))
- [Add migration to update ultimate trial plan limits](gitlab-org/gitlab@af185ed0d94666139a4ae523486d79d2d26e7f6b) ([merge request](gitlab-org/gitlab!67703))
- [Fix Security::FindingsFinder to return only the latest findings](gitlab-org/gitlab@38ab2ecef202027ccf6e82d6f854d347d4379b4d) ([merge request](gitlab-org/gitlab!68266)) **GitLab Enterprise Edition**
- [Reset oncall-schedule form on cancel or close](gitlab-org/gitlab@6a27ee3c3ba5916cad4025670eb54224ce9bbbf8) ([merge request](gitlab-org/gitlab!68076)) **GitLab Enterprise Edition**
- [Do not run refresh_member_authorized_projects callback when importing](gitlab-org/gitlab@d44fcf64e17cc996f2dc76cc1139013c984122de) ([merge request](gitlab-org/gitlab!67975))
- [Resolve todo when resolve button is clicked](gitlab-org/gitlab@aad1c72d16bf30668d4d6b4be2b4a4dcf01acafc) ([merge request](gitlab-org/gitlab!67026))
- [Hide notification warning for private comments](gitlab-org/gitlab@28d6e0b713a3f493ecfe7991c39a26bfc7779056) ([merge request](gitlab-org/gitlab!68252))
- [Remove broken "default" storage initialiser](gitlab-org/gitlab@56bea218e8fedada1754228ea343f8e52ec9419f) ([merge request](gitlab-org/gitlab!68096))
- [When ordering epics by title, do so case-insensitively](gitlab-org/gitlab@26c06b42142868e44e67203a682742ae2cc6df40) ([merge request](gitlab-org/gitlab!67125)) **GitLab Enterprise Edition**
- [Fix spacing between dropdowns in policy editor](gitlab-org/gitlab@e92004104642a1531abddb2070300b45b30b53d4) ([merge request](gitlab-org/gitlab!68205)) **GitLab Enterprise Edition**
- [Fix: Container repository geo syncs stuck in started state](gitlab-org/gitlab@9361b2bf5a2b20dfb9936c5bf409c6ad145c06fd) ([merge request](gitlab-org/gitlab!68080)) **GitLab Enterprise Edition**
- [Use sub-batches in BackfillIntegrationsTypeNew background migration](gitlab-org/gitlab@82c41eece6e385796720d6b655e0f2faac7c856c) ([merge request](gitlab-org/gitlab!67971))
- [Always use the newest commit in a branch for push events](gitlab-org/gitlab@694ca4e437c7b83eb6bd16d304342b882c716d1d) ([merge request](gitlab-org/gitlab!68168))
- [Fix mirror repo table buttons in _mirror_repos.html.haml](gitlab-org/gitlab@6a5afc3afb77d2466552ea51ef18ec144f1cb6ef) ([merge request](gitlab-org/gitlab!68179))
- [Optimize #latest_successful_for_refs method](gitlab-org/gitlab@44fe828ed82d49aa35651a8ff676188955ef7474) ([merge request](gitlab-org/gitlab!67315))
- [Github Importer: Ensure to fail and log imports on exceptions](gitlab-org/gitlab@752512e0ddd5b39bfd45d7788d0e8adbc36bf7c6) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67454))
- [Delete backups/tmp after restore](gitlab-org/gitlab@70c0e8b5dae6d5bb46c1ca3d07a7b4b3b2abb7ec) ([merge request](gitlab-org/gitlab!67741))
- [Enable the feature flag by default](gitlab-org/gitlab@ce3fff9df470f14afd773fcee60c650fbac006d4) ([merge request](gitlab-org/gitlab!67972))
- [Fix due date tooltip on milestone in sidebar](gitlab-org/gitlab@59a6f8df8a69490c73303ebc51ec185ff7a5bf64) ([merge request](gitlab-org/gitlab!68130))
- [Add Conan to filters](gitlab-org/gitlab@09e1b50f3f72767d00d48a7ab36a5d5938c20edf) ([merge request](gitlab-org/gitlab!67884)) **GitLab Enterprise Edition**
- [Move audit events promo illustration and update text](gitlab-org/gitlab@8292187a159fb958d2299333f4ea9f67cabdfe50) ([merge request](gitlab-org/gitlab!67873)) **GitLab Enterprise Edition**
- [Delete private subgroups todos when removing member](gitlab-org/gitlab@f4602b494712e7599f626c8398fcbafd86d21722) ([merge request](gitlab-org/gitlab!68094)) **GitLab Enterprise Edition**
- [fix: Regenerate locale/gitlab.pot](gitlab-org/gitlab@a945b87c443c6ca8bca0087325ad69375b5006cb) ([merge request](gitlab-org/gitlab!67243))
- [Remove class to fix dark mode readability](gitlab-org/gitlab@d85dee9ff5da493fa08dcc1b9906169e7180ba08) ([merge request](gitlab-org/gitlab!68057))
- [Fix adding or updating vulnerability history comments](gitlab-org/gitlab@e0919ad30e9c3d05c07f6dc126a1446dd4bab9d7) ([merge request](gitlab-org/gitlab!68053))
- [checks: Fix combinatorial explosion in `#commits_for()`](gitlab-org/gitlab@755ed5e360a3e844e69f0ee408e6fcf5a992a6b2) ([merge request](gitlab-org/gitlab!67827))
- [Fix code block input rules](gitlab-org/gitlab@550f64c1c4e5db9da117e92e452f5a2b3e45350f) ([merge request](gitlab-org/gitlab!67980))
- [Fix N+1 database queries in pipeline databuilder](gitlab-org/gitlab@042dd0904c747c7b6e3d1b329fdc57f73fe59567) ([merge request](gitlab-org/gitlab!67238))
- [Ensure service discovery runs before results are used](gitlab-org/gitlab@7f407002f099361b71cfd847c29076bee387eba3) ([merge request](gitlab-org/gitlab!67899))
- [fix: Update locale/gitlab.pot](gitlab-org/gitlab@8d43b9a6ff30525379efc1fb6f71ac069e4010bf) ([merge request](gitlab-org/gitlab!67243))
- [Fix basic search full count load](gitlab-org/gitlab@a5b71685514df851fd4adfa3a5c30997edcd9675) ([merge request](gitlab-org/gitlab!67959))
- [Update Pikaday colors for dark mode](gitlab-org/gitlab@7303e099b0d55734c494d35520572925fb81a5a6) ([merge request](gitlab-org/gitlab!65247))
- [copy: Clarify gift card currency in copy](gitlab-org/gitlab@d3cac3cb6e9c63eeeaa5b5ec61ff2b6ef573df64) ([merge request](gitlab-org/gitlab!67243))
- [Fix connection search path being reset](gitlab-org/gitlab@2b4e0ec8318c1caf684307796fc1b40f4f127a29) ([merge request](gitlab-org/gitlab!67725))
- [Fix policy_editor environment picker](gitlab-org/gitlab@63f2617f946596832484ed429b22facab8e4d2ad) ([merge request](gitlab-org/gitlab!67888)) **GitLab Enterprise Edition**
- [Hide reference path on project board cards](gitlab-org/gitlab@745463582a2b65c3b528161c92fe814110f1ed85) ([merge request](gitlab-org/gitlab!67713))
- [Restrict Runner.locked to project runners](gitlab-org/gitlab@f13ac9372b8a652b4aa890b2eca60e5820c210ca) ([merge request](gitlab-org/gitlab!62105))
- [Refactor the nuget package updater service](gitlab-org/gitlab@1df93ae5b05ec5b65af0dc423908204f779257ae) ([merge request](gitlab-org/gitlab!66728))
- [Fix UI of project topics popover](gitlab-org/gitlab@a69856f69022fce287dde6eeb76f9ca9f2a838e2) ([merge request](gitlab-org/gitlab!67825))
- [Handle some WebHookService errors](gitlab-org/gitlab@8273de31461df70dc4de308b6d7e0db8f9ab3868) ([merge request](gitlab-org/gitlab!67555))
- [Fix group runner sort dropdown](gitlab-org/gitlab@6df5fb1067d64ea5236542213dde7d593477ad49) ([merge request](gitlab-org/gitlab!67681))
- [Get branches from rules using rule_index for security policy](gitlab-org/gitlab@f8ea455f77d73a40e91bc780f4380ce3a89983c5) ([merge request](gitlab-org/gitlab!67607)) **GitLab Enterprise Edition**
- [Fix environments regex for etag restful](gitlab-org/gitlab@b045ab5d101806fd85c4c7b7bd9961cbdf67aa57) ([merge request](gitlab-org/gitlab!67708))
- [Fix feature flag check for security policy project](gitlab-org/gitlab@4b5da3c24d790908091f6b6c22b1611adf97803c) ([merge request](gitlab-org/gitlab!67654)) **GitLab Enterprise Edition**
- [Fix punctuation on help line](gitlab-org/gitlab@2ab0ee394e66aadd8858ae06967c173f2901d4be) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67742)) **GitLab Enterprise Edition**
- [Fix pipeline status layout in pipeline editor](gitlab-org/gitlab@8b93d5e1795d44a97f4e3748e154cbb4e2db47a2) ([merge request](gitlab-org/gitlab!67709))
- [Fix the npm package already taken validator](gitlab-org/gitlab@d32556e93a4364301df11cf885c55cab9b23778f) ([merge request](gitlab-org/gitlab!67107))
- [Ensure SAML Group Sync runs anytime SAML Group Links exist](gitlab-org/gitlab@6da2725d6c512535da26e8dd3bf033aed41e86df) ([merge request](gitlab-org/gitlab!67633)) **GitLab Enterprise Edition**
- [Delete test cases when migrating project to a free group](gitlab-org/gitlab@9dd8f87aa8f8bc74d55ff3e67b5b4d0dcd3ae93a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67374)) **GitLab Enterprise Edition**
- [Conditionally render create project button](gitlab-org/gitlab@e2be8c827b71e6e88936810fa59d78563029d42a) ([merge request](gitlab-org/gitlab!64196))
- [checks: Fix mismatch in `#new_commits()` signature](gitlab-org/gitlab@3b934ec025da7c194d6c99d1d2499532a74ff52a) ([merge request](gitlab-org/gitlab!67581))
- [Use correct fingerprint values in recalculate finding UUIDs migration](gitlab-org/gitlab@84a66d666f3e87abff30752cef566a5837604b6e) ([merge request](gitlab-org/gitlab!67578)) **GitLab Enterprise Edition**
- [Fix displaying the actual plan name on the billings page](gitlab-org/gitlab@6acefc493abf85ecec6cca31e7d0fda6ede755c3) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67572)) **GitLab Enterprise Edition**
- [Refactor stop environments service](gitlab-org/gitlab@868d37615865f11771fd384c6c9d121af2fcb670) ([merge request](gitlab-org/gitlab!67485))
- [Fix `StoreReportService` by falling back to find by location approach](gitlab-org/gitlab@5274e118980235d36e323959267fa1f59d6f3c03) ([merge request](gitlab-org/gitlab!67568)) **GitLab Enterprise Edition**
- [Fix preloading unrelated associations for CommitStatus](gitlab-org/gitlab@1bcd7c0ea5c61fba8a7bae73f5834971c4207518) ([merge request](gitlab-org/gitlab!67439))
- [Accept all 2xx HTTP responses when testing the Datadog integration](gitlab-org/gitlab@6f113615d7db7b154237b6e3c7898d4243d867a2) ([merge request](gitlab-org/gitlab!67524))
- [Refactor init logic of merge request options on project settings page](gitlab-org/gitlab@5046693207e3d49052a0c49c7cd9b155aaba03aa) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67334))
- [Enable the FF ci_modified_paths_of_external_prs](gitlab-org/gitlab@bbe6048a6e28764fcb731f14a4731ae583fa12f3) ([merge request](gitlab-org/gitlab!67458))
- [Code-Quality.gitlab-ci.yml: automatically clean-up docker container](gitlab-org/gitlab@65fec3a4316d294fcfe9f0efd4d7faf81ea926ce) ([merge request](gitlab-org/gitlab!66910))
- [Update min selectable number for subscription buy process](gitlab-org/gitlab@ac7b25f3b4310945dd8ee72f8681a1a6b30070a2) ([merge request](gitlab-org/gitlab!67430)) **GitLab Enterprise Edition**
- [Make `DbCleaner` and `BeforeAllAdapter` to support many connections](gitlab-org/gitlab@2625e7a41ab0d22c3df2f9937cec13fc000737e0) ([merge request](gitlab-org/gitlab!67330))
- [feat: Add one more i18n translation string](gitlab-org/gitlab@58edbc171d217caeee917e3cee22ee6e8aa84abb) ([merge request](gitlab-org/gitlab!67243))
- [Fix double escaping when clicking WebIDE button](gitlab-org/gitlab@509e0a6251d745fcc63b8202e0eb5749fb1c5939) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67360))
- [Fix some button border colors in dark mode](gitlab-org/gitlab@72645ee3e3331be014b8c8ab7ad211b96e7851ee) ([merge request](gitlab-org/gitlab!67389))
- [Reschedule `latest_pipeline_id` population with all artifact types](gitlab-org/gitlab@f22009e14da925a1f031211c9529e8986e2200fb) ([merge request](gitlab-org/gitlab!67163))
- [feat: Fix environments survey i18n strings](gitlab-org/gitlab@31bbd796e1e617e1507295af7aa1fae9e4a82c5b) ([merge request](gitlab-org/gitlab!67243))
- [Set `latest_pipeline_id` and mark project as vulnerable first](gitlab-org/gitlab@99055f4f157e39f13c47d54cd52eedb23886b817) ([merge request](gitlab-org/gitlab!67165)) **GitLab Enterprise Edition**
- [Fix assignee avatar tooltip w special char names](gitlab-org/gitlab@b1118c62131ba162e9037608fe6332f80f86672e) ([merge request](gitlab-org/gitlab!67250))
- [Geo Node Form Regression - Realitive URLs broken](gitlab-org/gitlab@99a11efdf7cfc49fed7fddedfbcd835fc83d5d6b) ([merge request](gitlab-org/gitlab!67253)) **GitLab Enterprise Edition**
- [Fix Stickiness to Match Unleash API](gitlab-org/gitlab@228279665f2711fa819c56edcb1d805554ae7634) ([merge request](gitlab-org/gitlab!66676))
- [Use new and old paths instead of just the new path for diff batching](gitlab-org/gitlab@89a8c4f937cd74fe05c87072b74599a86541a11f) ([merge request](gitlab-org/gitlab!66873))
- [Continue code quality widget polling while parsing](gitlab-org/gitlab@0ba54b5fa0762755d7d5914e3b02fe5c0ea19ea2) ([merge request](gitlab-org/gitlab!67176))
- [Fix empty recursive query for base_and_ancestors](gitlab-org/gitlab@a65e45494b41dfbc0710c88a6dc7c8f83d7cc3de) ([merge request](gitlab-org/gitlab!67182))
- [fix: Atom feed for commit list should point to path](gitlab-org/gitlab@ef0a744cbd61e241d89b88fc2981f22da1d63362) ([merge request](gitlab-org/gitlab!65599))
- [Add missing `Delete user and contributions` action in admin user view](gitlab-org/gitlab@8cb36fada3407a9ed901b631a11ed7ec7cef1793) ([merge request](gitlab-org/gitlab!67161))
- [Replace the success btn with the confirm button](gitlab-org/gitlab@aa65e97fb8bdfad48fe93f7f4bd91f1fc140452d) ([merge request](gitlab-org/gitlab!67148))
- [Run sync BuildFinishedWorker operations always before](gitlab-org/gitlab@99a695e1cb25b2b77c54b267f98fcefdc213e831) ([merge request](gitlab-org/gitlab!67117)) **GitLab Enterprise Edition**
- [Prevent weightSum to be updated on child epic fetch](gitlab-org/gitlab@9b6b548be76840616604657f09804bce934aa978) ([merge request](gitlab-org/gitlab!67116)) **GitLab Enterprise Edition**
- [Fix Review App Multiple Deletion API payload](gitlab-org/gitlab@0bad1c716da56201307c6eacd5e142a09a6a99f0) ([merge request](gitlab-org/gitlab!67102))
- [Fix redirect loop when relative url root is blank](gitlab-org/gitlab@d586b5b796c5ce94c4db7e0a9d6991e4b3b008f7) ([merge request](gitlab-org/gitlab!67094))
- [Fix backup.rake from trying to tar non-existent directories](gitlab-org/gitlab@042a203f45ef9ac957bb4863223b88273f4314e0) ([merge request](gitlab-org/gitlab!67090))
- [Fix `Ci::Artifactable#selective_sync_scope` cross-join DBs](gitlab-org/gitlab@6ac86e5781a191bc97e2eb94bafd604d745318c6) ([merge request](gitlab-org/gitlab!66703)) **GitLab Enterprise Edition**
- [Use parent integration settings when reverting from custom settings](gitlab-org/gitlab@c61dd33e9e1d8c6dcbd7b252820c8e6feae414df) ([merge request](gitlab-org/gitlab!66663))
- [Adjust documentation paths](gitlab-org/gitlab@207328a036b6b3639edde60f1e423baafe607568) ([merge request](gitlab-org/gitlab!67037))
- [Rescue stuck resource groups](gitlab-org/gitlab@5468378c847f9f33baa7770ba2a45684fe745071) ([merge request](gitlab-org/gitlab!66729))
- [Decode square brackets with "queryToObject"](gitlab-org/gitlab@957390387d54eb7a8fc27825972949b919426d3f) ([merge request](gitlab-org/gitlab!66846))
- [Advanced Search should index trials regardless of seats](gitlab-org/gitlab@1983c5ffabf2ca9aaad8bd6828ddf218ae904ccb) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66665)) **GitLab Enterprise Edition**
- [Validate timezone presence on schedule creation form](gitlab-org/gitlab@ae06e067657b6822185f3e525314d1e8f674d2eb) ([merge request](gitlab-org/gitlab!66946)) **GitLab Enterprise Edition**
- [Update timeout help page URLs in job sidebar](gitlab-org/gitlab@3fefa96f21f535f8beac9224da88baa232ab2716) ([merge request](gitlab-org/gitlab!63992))
- [Fix dates being incorrectly set on epic creation](gitlab-org/gitlab@d2f0b0a7ae36c62540ebf631d2bb2619bc7fcf2c) ([merge request](gitlab-org/gitlab!66809)) **GitLab Enterprise Edition**
- [Fix contribution analytics MR closed count param](gitlab-org/gitlab@b8c3613c46d707bdbf1437f9bf7060e8660e6edc) ([merge request](gitlab-org/gitlab!66805)) **GitLab Enterprise Edition**
- [Fix alert positioning and content for oncall schedules page](gitlab-org/gitlab@4b228dce42ca41b802aaef26fdc5f1a534da92cf) ([merge request](gitlab-org/gitlab!66858)) **GitLab Enterprise Edition**
- [Delete pipeline subscriptions when migrating project to a free group](gitlab-org/gitlab@67223c66bd62a70acfa62e09315e00ecbc78d8f5) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66695)) **GitLab Enterprise Edition**
- [Remove trial suffix from plan titles that include it](gitlab-org/gitlab@739805449ba860e34b3129b5523bf08b14e1f969) ([merge request](gitlab-org/gitlab!66578)) **GitLab Enterprise Edition**
- [Fix "Remove" button in Slack app integration](gitlab-org/gitlab@23e700d56c86c08db55496a0c5de2915c16e213d) ([merge request](gitlab-org/gitlab!66506))
- [Fix :admin_compliance_framework to only be true if the user is an owner](gitlab-org/gitlab@bbcc3fccfdaec47c07214b2d258d3df169419a53) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66745)) **GitLab Enterprise Edition**
- [Fix SAML SSO login redirects not working](gitlab-org/gitlab@6e9734208d3a0c59ab38d1b8fee43031b8e8fa6e) ([merge request](gitlab-org/gitlab!66791)) **GitLab Enterprise Edition**
- [Fix Error 500 viewing pipelines with invalid UTF-8 data](gitlab-org/gitlab@e804c0090501fb4c92e067f16f962018efef1f26) ([merge request](gitlab-org/gitlab!66686))
- [Map jira users for server version by 'key' attribute](gitlab-org/gitlab@6f8b19797e3c566ebb2327c8c52fec0215edb689) ([merge request](gitlab-org/gitlab!66670))
- [Fix missing CSS variables in Darkmode](gitlab-org/gitlab@5609901ed087928ec7ea734472ace7a2ce3df074) ([merge request](gitlab-org/gitlab!66640))
- [Fix whats new top positioning with system-header and performance-bar](gitlab-org/gitlab@ad34170b6b0f805c011982b7771196ab0c104be4) ([merge request](gitlab-org/gitlab!66660))
- [GithubImporter: match user by external id only from github.com](gitlab-org/gitlab@26560527f3f0483c4c232fa7c27e66ee788c2340) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66387))
- [Hide edit severity btn for users without permissions](gitlab-org/gitlab@bc2a389988695fbf213d8288011e598458d4feb0) ([merge request](gitlab-org/gitlab!66642))
- [Fix group level vulnerability permissions](gitlab-org/gitlab@35634bd2d585c5dd1b6f702224679e595b9d059c) ([merge request](gitlab-org/gitlab!66312)) **GitLab Enterprise Edition**
- [Ignore searching in full path in GroupsFinder](gitlab-org/gitlab@308b908f087969127e63525bdfaf0fd73e79b3bc) ([merge request](gitlab-org/gitlab!66431))
- [Fix 400 errors not being logged in multipart middleware](gitlab-org/gitlab@25a7daed2336f0ce72601f7d58cc5876813fff46) ([merge request](gitlab-org/gitlab!66595))
- [Fix subgroup epic path on epic boards](gitlab-org/gitlab@882e5ff17d5b11314a9b7fc5eb7e359462370851) ([merge request](gitlab-org/gitlab!66587)) **GitLab Enterprise Edition**
- [Remove extra margin above issue navigation tabs](gitlab-org/gitlab@069959aca43ae654d4aa7c380e5dc0e23459d7e8) ([merge request](gitlab-org/gitlab!60824))
- [Activate correct nav item for Admin::LicensesController](gitlab-org/gitlab@8055de728315842c5bb5d79204e24a67f2e7ed12) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66051)) **GitLab Enterprise Edition**
- [Prevent terms from being created if blank](gitlab-org/gitlab@93a88ddb8aa26bd7aac9f8ee0fa56ac6ddcff768) ([merge request](gitlab-org/gitlab!66437))
- [Delete PATs when transfering project to a free group](gitlab-org/gitlab@6e311075dc7f222e1af24b7f689e7eae3f7c0fe2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65803)) **GitLab Enterprise Edition**
- [Fix epic tab dropdown menu overlay on mobile](gitlab-org/gitlab@3a442ae6b69e9b30ea7d26607ca7febf0832701b) ([merge request](gitlab-org/gitlab!66498)) **GitLab Enterprise Edition**
- [Use the correct text for tooltip](gitlab-org/gitlab@e770d5dcafa74bb6dbabad2dfc53922a7001afd5) ([merge request](gitlab-org/gitlab!66454))
- [Fix audit events empty space](gitlab-org/gitlab@27f000537f2a087441617cb2aac3d98649af6ce6) ([merge request](gitlab-org/gitlab!52590)) **GitLab Enterprise Edition**
- [Extend basic authentication detection for rate limiting](gitlab-org/gitlab@dcf8011ae3d29a6d10eb9169d0a79812e309604c) ([merge request](gitlab-org/gitlab!63287))
- [Fix labels dropdown causing form submission](gitlab-org/gitlab@cf104525ed49cb9bc4fa0e8a9dd810be7c669868) ([merge request](gitlab-org/gitlab!66435))
- [Fix: Sidekiq workers delete each other's metrics](gitlab-org/gitlab@52edbc6e312c826c5b47f5cf65d60adee770b031) ([merge request](gitlab-org/gitlab!66432))
- [Drop invalid UTF-8 when displaying in job logs](gitlab-org/gitlab@c481f5a64640cf2f08ca5315a6b9fae1f8736806) ([merge request](gitlab-org/gitlab!66423))
- [Fix spam checking to consider updater of issue instead of author](gitlab-org/gitlab@427224db3ee6c98267b39f4cf2ed49f2060d0e6e) ([merge request](gitlab-org/gitlab!66408))
- [Return error when moving issues between not authorized lists](gitlab-org/gitlab@f2aa6c9247c43c04fc4c994b58f82cfa083e9837) ([merge request](gitlab-org/gitlab!66101))
- [Look up SSH keys by SHA256 fingerprint, not MD5 fingerprint](gitlab-org/gitlab@1428e0e4e087b2e9b8a2250eca5d982d3b984e8e) ([merge request](gitlab-org/gitlab!66371))
- [Skip already downloaded LFS objects in mirror updates](gitlab-org/gitlab@36ad365c4779f9e7ceb24bd2a6b8adbef6bc393c) ([merge request](gitlab-org/gitlab!66340))
- [Bump gitlab-omniauth-openid-connect to v0.8.0](gitlab-org/gitlab@89a28e5b42c119cc1c929ec8aff0b0e4d51ae08c) ([merge request](gitlab-org/gitlab!65782))
- [Better links on the subscription details page](gitlab-org/gitlab@92328777180b62a546b06e921f8a5a3bcdf7025c) ([merge request](gitlab-org/gitlab!66319)) **GitLab Enterprise Edition**
- [Allow group bot to http authenticate](gitlab-org/gitlab@a33ec9fe408eae176eabdc571ccfb77ed608bdde) ([merge request](gitlab-org/gitlab!65788))

### Changed (117 changes)

- [Update create merge request button on last push event](gitlab-org/gitlab@72ad366f7e8e6c9af33df5a804f72727300505fb) ([merge request](gitlab-org/gitlab!63103))
- [Deprecate Secure user scan metrics](gitlab-org/gitlab@c4ae56bccaefc7bd43c38284df671be7268eb987) ([merge request](gitlab-org/gitlab!67738)) **GitLab Enterprise Edition**
- [Move sast latest template to stable](gitlab-org/gitlab@b0f2ee726da6fb3008829273ddc8cbe613220df3) ([merge request](gitlab-org/gitlab!68429))
- [Migrate epic sidebar todo button to widget](gitlab-org/gitlab@455b0ca188261b3b958aaaf0c5706aa35678b179) ([merge request](gitlab-org/gitlab!68325)) **GitLab Enterprise Edition**
- [Remove optional languge from Compliance framework label](gitlab-org/gitlab@0b309a01d512b9e8e80cfc6f80d09bf182d41ec1) ([merge request](gitlab-org/gitlab!68304))
- [Add empty artifacts message](gitlab-org/gitlab@dd81c5735070c4c62250bb8d7fcde8afdf6d045b) ([merge request](gitlab-org/gitlab!68166))
- [Flatten CI config rules](gitlab-org/gitlab@0b8c81b80ac547ef4e1eca25e101e5c23cc18322) ([merge request](gitlab-org/gitlab!67922))
- [Provide more information in design version selector](gitlab-org/gitlab@0328208f54812ca37ed9d1f6f922f1458aa435d0) ([merge request](gitlab-org/gitlab!67844))
- [Set immutable results to true](gitlab-org/gitlab@e1c1ff7531c0901243bb4a259e813b7bb8ab9d93) ([merge request](gitlab-org/gitlab!68265))
- [Renames the Base terraform template jobs for better scaling](gitlab-org/gitlab@133c2c15a860e78c07f482eb72576d8172ec3436) ([merge request](gitlab-org/gitlab!67719)) **GitLab Enterprise Edition**
- [Remove CI builds for test and staging stages in VSA](gitlab-org/gitlab@755fdd441370d8e18482f7b5dd6a23a6c8325ae4) ([merge request](gitlab-org/gitlab!68000))
- [Update Auto DevOps' auto-deploy-image to v2.12.0](gitlab-org/gitlab@c1a4dbaf97763326a2f65a0603316383ee25dda5) ([merge request](gitlab-org/gitlab!68103))
- [Remove protocol from Dependency Proxy UI](gitlab-org/gitlab@c4120fb1988fe7ae0576bc124f84eb774453864b) ([merge request](gitlab-org/gitlab!68099))
- [Replace plain text application secret with copy button](gitlab-org/gitlab@7953fb39fd0a356f5ca557695aa5a944d7bb4ee3) ([merge request](gitlab-org/gitlab!67453))
- [Improve button layout](gitlab-org/gitlab@249edf5117ee7b9807a0b39ca86f11359dfefaf7) ([merge request](gitlab-org/gitlab!68074))
- [Open addon purchase in the same window](gitlab-org/gitlab@facf1d48951a98b277d4ecc1ac1575485dd5e827) ([merge request](gitlab-org/gitlab!68009)) **GitLab Enterprise Edition**
- [Remove efficient_counter_attribute flag](gitlab-org/gitlab@9118e2bc181855accdede835fd7ee7de22a3679b) ([merge request](gitlab-org/gitlab!68056))
- [Updated message on DevOps Adoption Report](gitlab-org/gitlab@cf05575659cc1aa29048fa7dc2b25254340a1c27) ([merge request](gitlab-org/gitlab!68034)) **GitLab Enterprise Edition**
- [Move issue_type enum to WorkItem::Type base_type](gitlab-org/gitlab@cfd2c0d16cf82b1176aa29e712ae23b90f653652) ([merge request](gitlab-org/gitlab!67434))
- [Add group value stream metrics UI to project VSA](gitlab-org/gitlab@5a549aad8eecd25be2d7dff7d984e25af495c02c) ([merge request](gitlab-org/gitlab!66835))
- [Count epics against issue creation rate limit](gitlab-org/gitlab@2849252226dc08971915b10b87e7995509a55aa6) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67179)) **GitLab Enterprise Edition**
- [Migrate Markdown Editor toolbar buttons to GlButton](gitlab-org/gitlab@4bf3cc6e0ab8ae26ab00f1d753d14b3625e7e200) ([merge request](gitlab-org/gitlab!67872))
- [Change date time formatting for corpus managment](gitlab-org/gitlab@8b897aca8323a4fdad053b0fcfa15cdb349f6d16) ([merge request](gitlab-org/gitlab!66947))
- [Global Search - Add spacing/border to code results](gitlab-org/gitlab@a9e194a03817ff25c19bb54ea85d3ad247a4443c) ([merge request](gitlab-org/gitlab!67548))
- [Standarize board column highlight style](gitlab-org/gitlab@fe023377603c70f45c44c2b8beeab2f9ef91c9fd) ([merge request](gitlab-org/gitlab!67817))
- [Added linked pipelines to commit](gitlab-org/gitlab@a116a7509ea394b47de27c92dbc6378e2613dd3b) ([merge request](gitlab-org/gitlab!66564)) **GitLab Enterprise Edition**
- [Update nothing-here-block to utilize Pajamas spacing scale](gitlab-org/gitlab@df607786c9c0870c5394171b7ca0efdd90f1791a) ([merge request](gitlab-org/gitlab!67893))
- [Show due date in gray when issue is closed in issues list](gitlab-org/gitlab@d4c66ab0d1f3bab72956dfdd117cb09b618e2e64) ([merge request](gitlab-org/gitlab!67874))
- [Refactor the Ci::Minutes::Additional pack service](gitlab-org/gitlab@3aa0402f9cd0d1cef845da6857b7583fe0d967d7) ([merge request](gitlab-org/gitlab!67513)) **GitLab Enterprise Edition**
- [Enable ci_skip_before_parsing_yaml by default](gitlab-org/gitlab@511f4c7133556548eb7efef185b626832a0244a4) ([merge request](gitlab-org/gitlab!67839))
- [Added cloneDeep to prevent mutating cache](gitlab-org/gitlab@0dfe7d745f1f6f64189217725cfaf25e38772085) ([merge request](gitlab-org/gitlab!67762))
- [Don't show due date in red on epic related issues if issue is closed](gitlab-org/gitlab@debe45db3fab5f04786f5e3f7ae42581ee32b006) ([merge request](gitlab-org/gitlab!67492))
- [Deprecate build trace sections tables by renaming](gitlab-org/gitlab@612ebc64a6ad2689226b75e80f405a81714015d2) ([merge request](gitlab-org/gitlab!67618))
- [Return API error when inviting restricted email](gitlab-org/gitlab@22d33f610962a60139ed4502ae4a10ffe2b9fe25) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64807)) **GitLab Enterprise Edition**
- [Migrate md header buttons to gl-buttons](gitlab-org/gitlab@ea2677962494a278899b25c01992816c5e05db70) ([merge request](gitlab-org/gitlab!67058))
- [Removed dependency on $ from the highlighter](gitlab-org/gitlab@21e1291645007dd8f3cf2d7d683a786bafebee07) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67771))
- [Show tax line even when tax has zero amount](gitlab-org/gitlab@1fa181bdc0ebf9bc1ff549302e139a758df8061c) ([merge request](gitlab-org/gitlab!67479)) **GitLab Enterprise Edition**
- [Update design management wording in activity feed](gitlab-org/gitlab@b8e97f970b3fc7f4910a13d904298dd902bc4983) ([merge request](gitlab-org/gitlab!67599))
- [Revert Dependency Proxy permission](gitlab-org/gitlab@7dc1c46c26424c3f534f20a64b02a75bee5c82ea) ([merge request](gitlab-org/gitlab!67696))
- [Placeholder for "Number of employees" in trial](gitlab-org/gitlab@162a68a1edd0c31292bc8e854750760fab8aac85) ([merge request](gitlab-org/gitlab!67688)) **GitLab Enterprise Edition**
- [Allow 10% overage for true-ups when uploading a license](gitlab-org/gitlab@62d53a437d4caf5aba8862c482dfdb4c80eaaa25) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67508)) **GitLab Enterprise Edition**
- [Prepare On-Demand DAST for CI sharding initiative](gitlab-org/gitlab@63777dad18a270b5816b6eb5ddd8a8d2d54635d2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66709))
- [Move DevOps Score callout to Vue](gitlab-org/gitlab@da1decdf345504589caa6b0495808aabd5bf5760) ([merge request](gitlab-org/gitlab!67482))
- [Change Evidence Supporting Messages to array](gitlab-org/gitlab@0a29032709474631ce6a95c3e09eb2f769df0ba5) ([merge request](gitlab-org/gitlab!67620)) **GitLab Enterprise Edition**
- [Remove feature flag](gitlab-org/gitlab@7b4d27b032a8d4b37634d4fd4f9b5a7613213a64) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65473))
- [Make `ci_structure.sql` to be equal](gitlab-org/gitlab@260c1406999c6494abe3f120f31817b5d4cb48c7) ([merge request](gitlab-org/gitlab!67433))
- [Add deployment_id to deployment payloads](gitlab-org/gitlab@def00feaeb7f84026c17f18ed6ddb63d4470cbbf) ([merge request](gitlab-org/gitlab!67577))
- [Allow downloading archives using PRIVATE-TOKEN](gitlab-org/gitlab@0ed8b60830ceea4c1bf61acabfb39882386c0926) ([merge request](gitlab-org/gitlab!67470))
- [Global Search - Track top nav searches](gitlab-org/gitlab@8795067b6f6445c34cc029301816f0ea40830a14) ([merge request](gitlab-org/gitlab!67187))
- [Allow licenses with a 10% overage of users for renewals](gitlab-org/gitlab@df904001810d236f3707dcb2008b57e634b23489) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67507)) **GitLab Enterprise Edition**
- [Render base path error based on report status](gitlab-org/gitlab@0c9b80900b15aff49b9d56859b49201d35135d86) ([merge request](gitlab-org/gitlab!67370))
- [Backfill `type_new` column on integrations](gitlab-org/gitlab@b03e5680586ab456e51cbadad85a2e9f65cffedc) ([merge request](gitlab-org/gitlab!66928))
- [Configure Elasticsearch Ruby client without retry by default](gitlab-org/gitlab@1b7c3ff7be6f5607a26d023f63cd51c7efa75e83) ([merge request](gitlab-org/gitlab!67273)) **GitLab Enterprise Edition**
- [Update copy in account recovery settings global alert](gitlab-org/gitlab@f30bd5cd42b8bb75698cb1679cc39114366df819) ([merge request](gitlab-org/gitlab!66693))
- [Allow setting of container registry visibility in project settings UI](gitlab-org/gitlab@b733c4c0f3b603a3fac1d166eb4e022b12cadc8f) ([merge request](gitlab-org/gitlab!55079))
- [Add Gitlab::GithubImport::Logger with default values](gitlab-org/gitlab@394d44a22c96f4443d1c8bd33255ba97d4d7e897) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65968))
- [Expose iid in the pipelines entity](gitlab-org/gitlab@6ec7689cee6ae2d0c58abba7eaf808dd1875e4e6) ([merge request](gitlab-org/gitlab!67365))
- [Added a hack to set labels](gitlab-org/gitlab@aa14b441f7b443e2389235e66ff2fd70b78e2aa6) ([merge request](gitlab-org/gitlab!67322))
- [Update terms of service docs and UI text](gitlab-org/gitlab@45d1020ef7bddd1bb268da83caaaff9848126023) ([merge request](gitlab-org/gitlab!67002))
- [Allow usage of severity quickaction on create](gitlab-org/gitlab@a503a45625d1f819ebd57be31e55093a2f901b40) ([merge request](gitlab-org/gitlab!67380))
- [Implement JWT for customers-dot proxy](gitlab-org/gitlab@68d9fb11446cbfe156a8ac437d99ea6ef9c2e510) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65204))
- [Use 'branch' icon instead of 'fork'](gitlab-org/gitlab@a19a6cb658c0a9938e09ef500834dd7f7657899d) ([merge request](gitlab-org/gitlab!67087))
- [Remove dataBackground property from chart](gitlab-org/gitlab@6b8084d3992ff9f6797250aa6f0325201aa9df7f) ([merge request](gitlab-org/gitlab!67323))
- [Update UI help links](gitlab-org/gitlab@72b04e98c294853144c4a74b92bfbb8433c94470) ([merge request](gitlab-org/gitlab!67164)) **GitLab Enterprise Edition**
- [Update runner description text](gitlab-org/gitlab@7644bdaab8eeee8727a449a9eaaec61e7c6f4e5f) ([merge request](gitlab-org/gitlab!67153))
- [Handle int and bigint namespaces.id column](gitlab-org/gitlab@1f78b6c6d27bef78180a99e434851a29972b3e62) ([merge request](gitlab-org/gitlab!67288))
- [copy: Update survey callout text](gitlab-org/gitlab@5c16aff831ea73b59ad8783cbef44acdd54723ee) ([merge request](gitlab-org/gitlab!67243))
- [Changed the column order in the jobs table](gitlab-org/gitlab@8ca06871584e69757bdf5d14134b234118f005df) ([merge request](gitlab-org/gitlab!67071))
- [Add field validations for Finding Evidence models](gitlab-org/gitlab@773d965be22c399b471aa10fa96fd39f749a5ec9) ([merge request](gitlab-org/gitlab!66394)) **GitLab Enterprise Edition**
- [Use gitaly-backup for repository backups by default](gitlab-org/gitlab@4a71440b65a007d3e8723cda7c1d82add279fa08) ([merge request](gitlab-org/gitlab!67082))
- [Enhance UX on Environment Form with Loading Icon](gitlab-org/gitlab@9b63a6789a4efa9059788e1d33f646ac7569790c) ([merge request](gitlab-org/gitlab!66750))
- [Include retried jobs in pipeline payloads for Datadog integration](gitlab-org/gitlab@a5327bf567c1c0d05319f4ecaf9eb54316e1eb39) ([merge request](gitlab-org/gitlab!67031))
- [Expose mergeRequestCounts for Issue GraphQL type](gitlab-org/gitlab@67ebd3eea7e70ae6229bbedc966ffe0e4da7a4da) ([merge request](gitlab-org/gitlab!65931))
- [Hide pull mirror update time from guest visitors](gitlab-org/gitlab@11c73b3a757f20903fb2ebf41b39e58a2576e199) ([merge request](gitlab-org/gitlab!67133))
- [Use feature flag for finding links](gitlab-org/gitlab@1083165950fb2f3171cc2ce63a588ca8cfe01b53) ([merge request](gitlab-org/gitlab!66868)) **GitLab Enterprise Edition**
- [Unified preloading stylesheets](gitlab-org/gitlab@a712e481804acd57d7dadca3c1c6cfba38438ec4) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67045))
- [Promote source activity as the invite email body](gitlab-org/gitlab@08b9c03a0034471a43e0c100540e99a55b4add11) ([merge request](gitlab-org/gitlab!66560))
- [Include deployment_tier to pipeline environment hook attributes](gitlab-org/gitlab@925656b989c8095223389bd01a04ae248aa0c5ca) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66744))
- [Imrpove model validation when adding spent time](gitlab-org/gitlab@4d8f719c70fc5e297608d115936d2bd682837fee) ([merge request](gitlab-org/gitlab!66973))
- [Boards sidebar design tweaks](gitlab-org/gitlab@241af67cf80bdc6fe8bb0d2b5826fcc2f4eefb5a) ([merge request](gitlab-org/gitlab!65297))
- [Make experiments API a filter of features API](gitlab-org/gitlab@b7cfcaf8738ed7f808aa17a694576afafb1a8b7e) ([merge request](gitlab-org/gitlab!66488)) **GitLab Enterprise Edition**
- [Add filitering by issue type in issue boards](gitlab-org/gitlab@357de2d72600ce90b77954152deeee7c7f3113da) ([merge request](gitlab-org/gitlab!66871))
- [Fix alt tag on participant avatars](gitlab-org/gitlab@34cb32772a4290ca80504d7a5a4a37144a966cb6) ([merge request](gitlab-org/gitlab!66952))
- [Use popovers for inline code quality](gitlab-org/gitlab@6bbf1dcb5943f4d54ead7d7b6976765cfbe8fab8) ([merge request](gitlab-org/gitlab!64371)) **GitLab Enterprise Edition**
- [Update UI text for CI/CD settings](gitlab-org/gitlab@21d8a6422b7d537a57ea7b3fb720b8562f1b35d3) ([merge request](gitlab-org/gitlab!66902)) **GitLab Enterprise Edition**
- [Use gitaly-backup for repository backups by default](gitlab-org/gitlab@cb8a1c47a59df1b599cbb2e8338c4a45a5e7f19b) ([merge request](gitlab-org/gitlab!66019))
- [Add request and response to SupportingMessage](gitlab-org/gitlab@a446cd93ee9ac8fb188210727f7969f56640b937) ([merge request](gitlab-org/gitlab!66398))
- [Remove DOMPurify attribute sanitization](gitlab-org/gitlab@9dcf3f0b663ec9ed516d25e59ef5e946e1de09b1) ([merge request](gitlab-org/gitlab!66502))
- [Update documentation to use compliance report not compliance dashboard](gitlab-org/gitlab@5f486d1b8319e1a742b12999d25693dfde21acf4) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66730)) **GitLab Enterprise Edition**
- [Make vulnerability-dismissal error more descriptive](gitlab-org/gitlab@11df1ff9b59a1b9188118ef1af67888492eda2c7) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66722)) **GitLab Enterprise Edition**
- [Increase contrast for successful pipelines in charts](gitlab-org/gitlab@975b1a97af86fe912af138711d6831e26a05a911) ([merge request](gitlab-org/gitlab!66426))
- [Add labels as search token in Jira issues list](gitlab-org/gitlab@9c2bacff3dddea3d06a0cd3a84e15d5f3676b2c4) ([merge request](gitlab-org/gitlab!65817)) **GitLab Enterprise Edition**
- [Add linked pipelines to component](gitlab-org/gitlab@0e4ec627c373246ff9c347fa9054aca016787521) ([merge request](gitlab-org/gitlab!66748)) **GitLab Enterprise Edition**
- [ff: Remove `:list_commits` feature flag](gitlab-org/gitlab@e8a98485fe74bf18904865eb12a372cd4a13aa3a) ([merge request](gitlab-org/gitlab!66741))
- [flags: Drop `fetch_remote_params` feature flag](gitlab-org/gitlab@f1ef0bd00ce621880033a6420e4ae634037070bc) ([merge request](gitlab-org/gitlab!66513))
- [flags: Drop `update_remote_mirror_inmemory` feature flag](gitlab-org/gitlab@62586dbc942d7d9f242556d3a165044f853b8332) ([merge request](gitlab-org/gitlab!66513))
- [Migrate Edit Environments Form to Vue](gitlab-org/gitlab@961d0d8a6d612860834c27424ddeddab0975005f) ([merge request](gitlab-org/gitlab!66573))
- [Sort according to the field in Dependency List](gitlab-org/gitlab@52c76470c1c1258b53841d4598a4fe013f61c507) ([merge request](gitlab-org/gitlab!66672)) **GitLab Enterprise Edition**
- [Show minor ellipsis when loading large blobs](gitlab-org/gitlab@077bd312a56996a5e0f6cffa890ebda062474b8d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66652))
- [Polish tab count and create button in test cases](gitlab-org/gitlab@e02a2af69c347c9480091a44009a8f16af0ea027) ([merge request](gitlab-org/gitlab!66608)) **GitLab Enterprise Edition**
- [Edit Grafana UI text in admin area](gitlab-org/gitlab@697c2f4b4b9fb52d0f74cea66ce28be5baa3c99f) ([merge request](gitlab-org/gitlab!66405))
- [Add link to GitLab Changelog With Version Check](gitlab-org/gitlab@c70f0e828d8eca8a2e58182ff35e3c44c73e59cf) ([merge request](gitlab-org/gitlab!66486))
- [The readme checkbox for new projects is checked by default](gitlab-org/gitlab@d71342649242ea28c75f8cbce04c97ccd32cc72e) ([merge request](gitlab-org/gitlab!66558))
- [Add linked pipelines to component](gitlab-org/gitlab@d3cb02d059a61341b6aa88df6b6fb2828579c5c5) ([merge request](gitlab-org/gitlab!66274))
- [Move the compliance framework selector to a new expandable section](gitlab-org/gitlab@c6582d8ca858aa505b7d94984f10b21839cee593) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66429)) **GitLab Enterprise Edition**
- [Skip in-product marketing emails when on trial](gitlab-org/gitlab@e43b7f200dbbb2706d45faeda77285e9a074ab3e) ([merge request](gitlab-org/gitlab!66269)) **GitLab Enterprise Edition**
- [Force user to re-enter integration password](gitlab-org/gitlab@fc7722996d41d733d0143f0878b954b8dda2e079) ([merge request](gitlab-org/gitlab!65569)) **GitLab Enterprise Edition**
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@13ac932c97c399fe04698890b244a836e7bb8e9e) ([merge request](gitlab-org/gitlab!65499)) **GitLab Enterprise Edition**
- [Remove prevent_retry_of_retried_jobs feature flag](gitlab-org/gitlab@66360678bc17617a0dd0cd24d0a3601f97075a78) ([merge request](gitlab-org/gitlab!66407))
- [Add dast-runner-validation to Secure-Binaries YAML](gitlab-org/gitlab@0bd402ff0a0963145b16eba3479209589a19ba16) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66501)) **GitLab Enterprise Edition**
- [Fix missing amount in Contribution Analytics](gitlab-org/gitlab@a272c572f2ed01abb4e245ccb43cc35cf2e71173) ([merge request](gitlab-org/gitlab!66385)) **GitLab Enterprise Edition**
- [Migrate New Environments Form to Vue](gitlab-org/gitlab@c155d2b127f09fe8d5122d2b63a727587f6a5621) ([merge request](gitlab-org/gitlab!66192))
- [Allow updating merged results pipelines and merge trains via API](gitlab-org/gitlab@624d6690f4efb9d5fe6b86bcd7e5b3fa0bb4c74e) ([merge request](gitlab-org/gitlab!56237))
- [Handle team-managed (next-gen) Jira projects](gitlab-org/gitlab@c69f02df9508b15def55ab759bfdc88280d2464d) ([merge request](gitlab-org/gitlab!66250)) **GitLab Enterprise Edition**
- [Remove badge cache](gitlab-org/gitlab@19e12bea89de5b7041a199910a57c0f73f38c90b) ([merge request](gitlab-org/gitlab!65638))
- [Enable writes to CI builds metadata table by default](gitlab-org/gitlab@61293c6159c3816db5c8ad0273e2a292c73b3adc) ([merge request](gitlab-org/gitlab!66163))
- [Nginx: modernise TLS config](gitlab-org/gitlab@61df826cd3d557d6f6246713e21963ba92df1cca) ([merge request](gitlab-org/gitlab!65345))

### Deprecated (2 changes)

- [Deprecate sorting vulnerabilities by title in GraphQL API](gitlab-org/gitlab@bc8dc2b0f191e9d7b12352c145f97ae0d8d21440) ([merge request](gitlab-org/gitlab!66917)) **GitLab Enterprise Edition**
- [Deprecate container_registry_enabled in projects public API](gitlab-org/gitlab@123c561f2fc007709d041f35c73009090a9170ed) ([merge request](gitlab-org/gitlab!62662))

### Removed (11 changes)

- [Cleanup group empty state experiment](gitlab-org/gitlab@857d2eac9fd14d7699701c8f8d2d6e54051b9a3e) ([merge request](gitlab-org/gitlab!68370))
- [Remove devops_adoption_feature feature flag](gitlab-org/gitlab@e48a811c8e8c3ad2d1da81509f45b5bfe99b9f70) ([merge request](gitlab-org/gitlab!67861))
- [Remove sec_dependency_scanning_ui_enable Feature Flag](gitlab-org/gitlab@8b307a108cc9df4600b0ef12577e38fbe41decf6) ([merge request](gitlab-org/gitlab!67585))
- [Remove scan_execution_policy_ui feature flag](gitlab-org/gitlab@e456b564ada08ac9bc98ffcafeaef5fd7b070949) ([merge request](gitlab-org/gitlab!67642)) **GitLab Enterprise Edition**
- [Drop FF load_balancing_for_pipeline_notification_worker](gitlab-org/gitlab@e246cb2977dadb102d0f7d5c86a1e22745eada83) ([merge request](gitlab-org/gitlab!67456))
- [Remove the similarity_search feature flag](gitlab-org/gitlab@992270b9d247df8b73dc780eda4eae69676f100d) ([merge request](gitlab-org/gitlab!67310))
- [Remove unused `Gitlab::Database::MultiThreadedMigration`](gitlab-org/gitlab@d593fe3651ad9962f70ef71325fa940130b2553d) ([merge request](gitlab-org/gitlab!67333))
- [Remove 'one_megabyte_file_size_limit' feature flag](gitlab-org/gitlab@3bf77e477d8d46cfd66b196d01247f7712a7ae83) ([merge request](gitlab-org/gitlab!66850))
- [Remove group invites from new user registration](gitlab-org/gitlab@523559b918f3af2a5f7f26921532eae3f76ace94) ([merge request](gitlab-org/gitlab!66554)) **GitLab Enterprise Edition**
- [Remove not_null constraint on project_fingerprint](gitlab-org/gitlab@9515ded6205ae6af1b9a3231b80298029d9728af) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66194)) **GitLab Enterprise Edition**
- [Remove marketing email opt-in for self-managed](gitlab-org/gitlab@3e23d77a1af419b1774d2b767ea2f5a192f12fd5) ([merge request](gitlab-org/gitlab!66255))

### Security (19 changes)

- [Sanitize default branch name in repo settings](gitlab-org/gitlab@38401468bc6740589698d9bf0c6e1f24b99c0a8c) ([merge request](gitlab-org/gitlab!67567))
- [Add project member validation for domain limitation](gitlab-org/gitlab@7c920bbc9b0b11eeed2b4c675160f5cc5d95c69c)
- [Hide project-level CI/CD Analytics for Guests](gitlab-org/gitlab@7ac6a6218f2b9c9afbf8182b047b2cbd6a747ec0)
- [Only allow invite to be accepted by user with matching email](gitlab-org/gitlab@391bc665d7535f97c852b9d73f6a8fd098bcbfd8)
- [Add html escaping for default branch name](gitlab-org/gitlab@dbdc999e35be70fd7c21d881c925dfdae6526d83)
- [Filter todos whose target users no longer have access to](gitlab-org/gitlab@16516b2a3a12aee7950110c73cd48d0b8a4b5fcc)
- [Configure OmniAuth to use GitLab AppLogger](gitlab-org/gitlab@d13b0d392f25db2512fe40565bb068d8920dbc46)
- [Add permissions check to pipelines#show action](gitlab-org/gitlab@d2a4ccdcf6335131fe3a1055c0bdd92d6e746a4f)
- [Prevent impersonation in gitlab-shell SSH certs](gitlab-org/gitlab@748e6639b429f88cbcc3c1873bf3b10f34ad078b)
- [Do not show email address in error message](gitlab-org/gitlab@03497fbd357fa30ed2280ff2a1d4188c9c16df95) **GitLab Enterprise Edition**
- [Disallow non-members to set issue metadata on issue create](gitlab-org/gitlab@ec30a8d87167084cf033031b58531720bd1e3bc3)
- [Prevent guests from linking issues with errors](gitlab-org/gitlab@6c520f98137bee8d4dcdeb566cafb0cc174b8b98)
- [Block impersonation token use if it is not permitted](gitlab-org/gitlab@de812b202430fca3f271ae5c4e1b98e40abaac24)
- [Fix Protected Environment Accesses Cleanup](gitlab-org/gitlab@85e9ab0336ea92cb3941721fb7e6d8017eea3424) **GitLab Enterprise Edition**
- [Updates oauth to 0.5.6](gitlab-org/gitlab@1d4f7f01c624e69710a39beeed1e1a2b3286fd09)
- [Remove impersonation token from api response for non-admin user](gitlab-org/gitlab@ba04748936bba512f83a7d62aa395f9e0f02c79b)
- [Use oauth_app id instead of uid](gitlab-org/gitlab@d5b61695843c41a54e1f97ab7a44769de6bce142) **GitLab Enterprise Edition**
- [Restrict access to instance-level security features for reporters](gitlab-org/gitlab@5deba06177dad7fd09f7a1b264d4a6f0179cbba0) **GitLab Enterprise Edition**
- [Fix XSS in Mermaid Markdown rendering](gitlab-org/gitlab@7ba708f3b35278b06e912f9933618d0f34f0fbf5)

### Performance (23 changes)

- [Use common namespace ancestor queries](gitlab-org/gitlab@52e59891210e87316bf6db9df7270b3674b049e2) ([merge request](gitlab-org/gitlab!68072))
- [Do not use subtransactions when updating ci minutes usage](gitlab-org/gitlab@da13592ca045ae2c5a5987cda6459fed8dc37ebe) ([merge request](gitlab-org/gitlab!68471))
- [Avoid subtransaction in UserInteractedProject](gitlab-org/gitlab@048edfe05d0d3e58efb5d970768b7315f1ad1fbf) ([merge request](gitlab-org/gitlab!68448))
- [Reduce N+1 Gitaly queries when publishing multiple draft notes](gitlab-org/gitlab@b870a652789ec4cbd5f6f65c37ec012b11dcb2f5) ([merge request](gitlab-org/gitlab!68045))
- [Memoize namespace monthly usage to reduce SQL queries](gitlab-org/gitlab@f558ca40fea462f2ec493e158feda641b691c19f) ([merge request](gitlab-org/gitlab!68219))
- [Include database load balancing for Deployments HooksWorker](gitlab-org/gitlab@ab050d675d24416fc416f99260a0c9007dadd94d) ([merge request](gitlab-org/gitlab!67878))
- [Use default project filter for issue/merge request project searches](gitlab-org/gitlab@38f930b936a6e0129aaacaabbc5795bdb15a8f4c) ([merge request](gitlab-org/gitlab!67921))
- [Improve raw blobs downloading](gitlab-org/gitlab@91f0a0771e1562f87cb6b198c02818b0b0fb0f24) ([merge request](gitlab-org/gitlab!67155))
- [Use common namespace ancestor queries](gitlab-org/gitlab@c6652bdafce5c52710556ce75f94308be09cd41f) ([merge request](gitlab-org/gitlab!67565))
- [Query multiple group descendants at once](gitlab-org/gitlab@809a10e7955a4789d578e36ecb91a4e8a62b8fe1) ([merge request](gitlab-org/gitlab!67653))
- [Use new service to refresh authorizations of project members](gitlab-org/gitlab@d748c4747e8e2852e452ca3433d6cfa020b02ed4) ([merge request](gitlab-org/gitlab!67477))
- [Cache commit stats for a single commit](gitlab-org/gitlab@8aa2681f5d9bf4472094b9ea9f1e7b8836457875) ([merge request](gitlab-org/gitlab!67592))
- [Query ActiveRecord::Relation descendants](gitlab-org/gitlab@83e9f6e22a30abe7bcdb6d8d688fa16907b03976) ([merge request](gitlab-org/gitlab!67562))
- [checks: Speed up retrieving commits via quarantine directory](gitlab-org/gitlab@0a90028f1133ec9de7455afe738ab8d529cd3775) ([merge request](gitlab-org/gitlab!67210))
- [Reduce Markdown cache updates during deploy](gitlab-org/gitlab@463d7aeb40f538abb18334ef3cad0061135f0efd) ([merge request](gitlab-org/gitlab!67239))
- [Query ActiveRecord::Relation descendants](gitlab-org/gitlab@07a3097642be99165ee8f6e9b9dc5c74791b2c09) ([merge request](gitlab-org/gitlab!65891))
- [Reduce repaints on blame page](gitlab-org/gitlab@8a65b1e56d55bb11c1aa87bb863c0f98d4cace2f) ([merge request](gitlab-org/gitlab!67050))
- [geo: Pass authentication header via `#fetch_remote`](gitlab-org/gitlab@0c8a54398646fe1d64da5b2ed88934108b700b01) ([merge request](gitlab-org/gitlab!66822)) **GitLab Enterprise Edition**
- [Disable creating user mentions during import](gitlab-org/gitlab@d11191f125e6addcb40d2f56a566661899f5e2a8) ([merge request](gitlab-org/gitlab!66792))
- [Remove flag guarding batched computation of changes size](gitlab-org/gitlab@02755cd55cc005eb3ae3c60ba8f2b641c7b77f5c) ([merge request](gitlab-org/gitlab!66527))
- [Move merge-request merge_pipeline to cached_widget](gitlab-org/gitlab@6af0742133e849d5e0800ebef75c3356e565ccb2) ([merge request](gitlab-org/gitlab!59968))
- [Optimize scanning for references process](gitlab-org/gitlab@7b6fa26743edc24e65b7c5f9eaeae5fe0a4a7b0c) ([merge request](gitlab-org/gitlab!65847))
- [Move versions icon to CSS](gitlab-org/gitlab@90331b9428a9f101554a2fb5b3c68b11c5da7bf6) ([merge request](gitlab-org/gitlab!65843))

### Other (87 changes)

- [Make commit and design user mention indexes unique](gitlab-org/gitlab@221d5414dafcd99fa45ac0c35a413988459897d7) ([merge request](gitlab-org/gitlab!68433))
- [Add index on historical_data (recored_at) to improve queries](gitlab-org/gitlab@6f42db358a33433c612ab9fb04b0c3c9c585111c) ([merge request](gitlab-org/gitlab!68435))
- [Fix and reschedule background migration](gitlab-org/gitlab@0e243385923ae6a142b43fac9182398209876a83) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68305))
- [Finalize conversion of ci_stages.id to bigint](gitlab-org/gitlab@84247dd0f2d8ac70a24b281a4f6f464bfaf943f7) ([merge request](gitlab-org/gitlab!66088))
- [Reschedules migration for uuid recalculation](gitlab-org/gitlab@f54ca835ac888f3ad5fdb35216c88dd1d8d52202) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/68200))
- [Remove pipelineGraphLayersView feature flag](gitlab-org/gitlab@582ecdb8b1b87cbd8acd59236ce21055fbe56d87) ([merge request](gitlab-org/gitlab!68040))
- [Pass **kwargs to the conn. for LB defined methods](gitlab-org/gitlab@db8faf0954071eceda603a870d9bde720283030d) ([merge request](gitlab-org/gitlab!68061))
- [Remove subscribable_subscription_banner flag](gitlab-org/gitlab@35f3121feb6aff6dd450693dfe7e30957ae84664) ([merge request](gitlab-org/gitlab!68257)) **GitLab Enterprise Edition**
- [Finalize conversion to bigint for ci_sources_pipelines](gitlab-org/gitlab@e5a025f516dbffa937dd849a97b65691e30d4369) ([merge request](gitlab-org/gitlab!66120))
- [Remove `ci_skip_before_parsing_yaml` FF](gitlab-org/gitlab@8d34ef0f8a9f8f7e7b54ce14b2c4ca683290d5e4) ([merge request](gitlab-org/gitlab!68287))
- [Cleanup invalid membership invites](gitlab-org/gitlab@29d3503946bf4b7287281f3fe7a1befa17779894) ([merge request](gitlab-org/gitlab!67760))
- [Rename GraphQL query resource from "instanceDashboard" to "instance"](gitlab-org/gitlab@2dd314939f57af599e9b23ace2290bed4adea792) ([merge request](gitlab-org/gitlab!67278)) **GitLab Enterprise Edition**
- [Disable updating the historical vulnerability statistics by default](gitlab-org/gitlab@60c931e6dbedeef3931eb8dc89bd4f5095f97f65) ([merge request](gitlab-org/gitlab!68189)) **GitLab Enterprise Edition**
- [Rename strip_attributes method](gitlab-org/gitlab@b4a754a976e3e49176fbfeef85db7191e40499a2) ([merge request](gitlab-org/gitlab!68193))
- [Updating the description for ecosystem metric](gitlab-org/gitlab@865ce2b2dcd2f320b0a34790175112a0a546b42c) ([merge request](gitlab-org/gitlab!68169))
- [Add ResetJobTokenScopeEnabledAgain migration](gitlab-org/gitlab@fb876346163d894138a363bc3e31031c27055bfb) ([merge request](gitlab-org/gitlab!68079))
- [Remove by default enabled feature flag](gitlab-org/gitlab@044d6166762622961bd03baf17619dc6e35bdff1) ([merge request](gitlab-org/gitlab!68165))
- [Remove docs redirects raketask](gitlab-org/gitlab@4c0835b38c05c3922ba4dcb35611024c2d51ec24) ([merge request](gitlab-org/gitlab!68149))
- [Remove pipelineGraphLayersView feature flag](gitlab-org/gitlab@d08880a41af0ab63a19f3ca0709541e16d8a5741) ([merge request](gitlab-org/gitlab!67969))
- [Remove jira_issue_association_on_merge_request feature flag](gitlab-org/gitlab@a43f09ec37e9933c9e513484cb70e81484830bec) ([merge request](gitlab-org/gitlab!68036)) **GitLab Enterprise Edition**
- [Finalize ci_job_artifacts conversion to bigint](gitlab-org/gitlab@3b9143606aadb3e733f1c602ba9cfd6fc3ad6c25) ([merge request](gitlab-org/gitlab!65601))
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@ceeb7dc048425cba841b14ac4a307680692a1267) ([merge request](gitlab-org/gitlab!65920)) **GitLab Enterprise Edition**
- [Include Puma worker PID in structured log](gitlab-org/gitlab@5df76410285bd2e9c695fc5b780a54ded1d08085) ([merge request](gitlab-org/gitlab!66694))
- [Denormalize ci_builds into security_scans](gitlab-org/gitlab@bf4f0409e90535d5cb6f0e55e2c39e2127a8ddc2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66963)) **GitLab Enterprise Edition**
- [Bump factory_bot_rails for Ruby3 support](gitlab-org/gitlab@06d14dfe8951b20b2f11fe1aeee9c08a9db6df8e) ([merge request](gitlab-org/gitlab!67866))
- [Additional namespace validation for AdditionalPack](gitlab-org/gitlab@6fdee1a78ffdd306c9b0ba26df9bcd70e82a3e51) ([merge request](gitlab-org/gitlab!67848)) **GitLab Enterprise Edition**
- [Finalize job_id conversion to bigint for ci_job_artifacts](gitlab-org/gitlab@794805ed543d53f1daf798db145057000d02415b) ([merge request](gitlab-org/gitlab!67774))
- [Use text links in MR approval settings section of UI](gitlab-org/gitlab@7ecc2da2fdb3dd798a48e6451fb67fc8b8a05517) ([merge request](gitlab-org/gitlab!67737)) **GitLab Enterprise Edition**
- [Remove jira_connect_create_branch feature flag](gitlab-org/gitlab@4c3c562c5d996ebf00ad2342aae8f87141b68073) ([merge request](gitlab-org/gitlab!67471))
- [Refactor documentation links for SP disabled](gitlab-org/gitlab@3f38ea4f6d4938d8aeae8f3dd5773f0e76db2830) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67384)) **GitLab Enterprise Edition**
- [Swap multiple_database_metrics FF for env var](gitlab-org/gitlab@ebbdd30dfb0d7d2f3c8fcc5daec41f3c5fed862e) ([merge request](gitlab-org/gitlab!66885))
- [Update limitations of members API docs](gitlab-org/gitlab@b1a540756c39b406611e459f20cbf89c407f0dee) ([merge request](gitlab-org/gitlab!67659))
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@146a4fae422271a0a2d0f395c5880ed36aff68fb) **GitLab Enterprise Edition**
- [Remove runner_list_view_vue_ui feature flag](gitlab-org/gitlab@1532ee45d4c31ccaf4331da33833996371e68708) ([merge request](gitlab-org/gitlab!67021))
- [Update internal API docs](gitlab-org/gitlab@282eaa342da16351fec71f89c3e9ff19461f72ac) ([merge request](gitlab-org/gitlab!67606))
- [Finalize conversion to bigint for ci_builds_runner_session](gitlab-org/gitlab@5d13cf3dd04af2f33daaac4b20052821d6bcb7d6) ([merge request](gitlab-org/gitlab!66433))
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@74e0ace7766e39955e70729ab4dd3ca66499d707) ([merge request](gitlab-org/gitlab!65912))
- [Finalize conversion to bigint for push_event_payloads](gitlab-org/gitlab@109700f62258b7591c4916495ca9d627ea51cae7) ([merge request](gitlab-org/gitlab!67299))
- [Finalize conversion to bigint for ci_build_needs](gitlab-org/gitlab@e8e551327a43aff88239d61d4491ef286f04c85f) ([merge request](gitlab-org/gitlab!65216))
- [Refine Documentation pages URL UI and documentation](gitlab-org/gitlab@8020c533eb7732d0cee32de033cf78c00afb6750) ([merge request](gitlab-org/gitlab!67293)) **GitLab Enterprise Edition**
- [Prepare indexes for bigint column conversions](gitlab-org/gitlab@e09fc6977889568a584d246f23e07d18c738342e) ([merge request](gitlab-org/gitlab!67532))
- [Revise UI text for PlantUML settings](gitlab-org/gitlab@d5178727ff065f829609834ca841814f1a174571) ([merge request](gitlab-org/gitlab!67497))
- [Follow-up pass for renaming Usage Ping/Data](gitlab-org/gitlab@26f3da5ad01697c1446a4d5e9430ec3202d4304b) ([merge request](gitlab-org/gitlab!66990))
- [Finalize converting deployments to bigint](gitlab-org/gitlab@e8d78b6fee41133a48c4e1a768705bae6ab2736f) ([merge request](gitlab-org/gitlab!67341))
- [Remove the FF ci_wildcard_file_paths](gitlab-org/gitlab@4cf9beb453de21c5955a1cec2474cc21f949f7a9) ([merge request](gitlab-org/gitlab!67441))
- [Revise admin area Pages settings UI](gitlab-org/gitlab@7c675c278ebee925def48f306c4853b3ebf31a25) ([merge request](gitlab-org/gitlab!66368))
- [Remove feature flag related to valid hosts list](gitlab-org/gitlab@1c2a29fe7dc98c6a88ea348cc788bbe29edc867a) ([merge request](gitlab-org/gitlab!65755))
- [Refactor timezone UI and documentation](gitlab-org/gitlab@b4fbf3532a1f2c773c2f662e7ca3fdc0f97a2583) ([merge request](gitlab-org/gitlab!67301))
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@5cf900baa1d938562c3a1e89f67df78a7a55a30b) ([merge request](gitlab-org/gitlab!65917)) **GitLab Enterprise Edition**
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@0a7ced21384192c3c8c8aa3b37fcd91c99faa023) ([merge request](gitlab-org/gitlab!65904)) **GitLab Enterprise Edition**
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@4b2236b92593baf24ecabab53f0fa101ea49dc0e) ([merge request](gitlab-org/gitlab!65903)) **GitLab Enterprise Edition**
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@b401f8e26d977feddc9c992281315028f5b998d9) ([merge request](gitlab-org/gitlab!65896))
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@1dea45c7c6d472cf985aad60e58b38567c59155e) ([merge request](gitlab-org/gitlab!65897)) **GitLab Enterprise Edition**
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@497ee293308fd85a725fee9480f4cd038005fd3f) ([merge request](gitlab-org/gitlab!65919)) **GitLab Enterprise Edition**
- [For consistency do not use CSS calc for simple calculation of margin-top](gitlab-org/gitlab@2cfdc8e2279772adb865dc202f624ed0f49de95a) ([merge request](gitlab-org/gitlab!67270))
- [Remove unused code](gitlab-org/gitlab@3c71929b1a3eb0d3089c2f9d4be5552c807aa2d8) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67162)) **GitLab Enterprise Edition**
- [Reschedule Delete Orphaned Deployments BG migration](gitlab-org/gitlab@e61df7c8566b8d02b5144ee448f08e3ec0138a23) ([merge request](gitlab-org/gitlab!66813))
- [Finalize conversion to bigint for push_event_payloads](gitlab-org/gitlab@2e0ca4e445707aced673035490a2307dccdea879) ([merge request](gitlab-org/gitlab!65795))
- [Finalize conversion to bigint for ci_build_trace_chunks](gitlab-org/gitlab@8228341c4300542d770e1648f31a43f39c4270f6) ([merge request](gitlab-org/gitlab!66123))
- [Remove `gitlab_subscription_future_renewal` feature flag](gitlab-org/gitlab@45da0404be71e6c8a3ba006e82c492e3e71670bc) ([merge request](gitlab-org/gitlab!66829)) **GitLab Enterprise Edition**
- [Remove dast_configuration_ui feature flag](gitlab-org/gitlab@31da8512f850a3ccf19736ea1b02f932252b1ae6) ([merge request](gitlab-org/gitlab!66817)) **GitLab Enterprise Edition**
- [Fix the offenses introduced by Style/RegexpLiteralMixedPreserve](gitlab-org/gitlab@c61e416600a96646c1bd5c8347c8da0c85510958) ([merge request](gitlab-org/gitlab!66753)) **GitLab Enterprise Edition**
- [Removes unused gitorious logos](gitlab-org/gitlab@437b63b84146c9034706c3204b4bb3ade5cffbec) ([merge request](gitlab-org/gitlab!66786))
- [Revised Package Registry settings text](gitlab-org/gitlab@381032baf203c738ecccc4f53f097afde0409977) ([merge request](gitlab-org/gitlab!66395))
- [Revert backfill on ci_build_trace_sections](gitlab-org/gitlab@27262d7b8d81b5b00b691d6365dbf3730108a4fb) ([merge request](gitlab-org/gitlab!66627))
- [Clean up evalute_protected_tag_for_release_permissions feature flag](gitlab-org/gitlab@dde58c83f7c41ca0234969e55c31e115c339f7ec) ([merge request](gitlab-org/gitlab!66713))
- [Update service ping metric implementation guidelines](gitlab-org/gitlab@09ef8592d13dc69a380266d21d4486211b3f2c48) ([merge request](gitlab-org/gitlab!66616))
- [Add tracking events for the dependency proxy](gitlab-org/gitlab@e2885e45de15a42610f50f8c10527c597ca05f33) ([merge request](gitlab-org/gitlab!65812))
- [Remove redundant indexes for devops adoption](gitlab-org/gitlab@7878b74a6b7337f52c151691a73f4f673ed51df2) ([merge request](gitlab-org/gitlab!66644))
- [Add area of focus to members](gitlab-org/gitlab@864c59d66dfc9eab9bd8f1079059e8dc556027ca) ([merge request](gitlab-org/gitlab!64956))
- [Fix up the docs warning detected by the vale latin term rule](gitlab-org/gitlab@e4dc09b314c8aab45f0f42472c98aa2e62d02774) ([merge request](gitlab-org/gitlab!66325))
- [Update help text in runner update form](gitlab-org/gitlab@ce01eb60183252708f0a7aa3d110fc06038b8bbf) ([merge request](gitlab-org/gitlab!66148))
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@c9c3690fdf399fd916fc95b39517b434dd3c68bf) ([merge request](gitlab-org/gitlab!65900)) **GitLab Enterprise Edition**
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@1d010a6f352fd7485a3e013ee93c0dbef4823904) ([merge request](gitlab-org/gitlab!65902)) **GitLab Enterprise Edition**
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@65aaf601b08def9f3f687bd505c7677d3d53cdd3) ([merge request](gitlab-org/gitlab!65914)) **GitLab Enterprise Edition**
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@90e8802292658cb4cee37b2729460274fbab548d) ([merge request](gitlab-org/gitlab!65916)) **GitLab Enterprise Edition**
- [Log when a container repository is selected](gitlab-org/gitlab@0ee8d9f9877db52ffc353e2cce46e0090763c0e4) ([merge request](gitlab-org/gitlab!66182))
- [Expose init aux viewer](gitlab-org/gitlab@625005ebec644c1708262b9b299b140b9fa25041) ([merge request](gitlab-org/gitlab!66528))
- [Remove service templates](gitlab-org/gitlab@359813b6c03f1063422f449b04a8a76b7c82de27) ([merge request](gitlab-org/gitlab!64975))
- [Remove merge_request_draft_filter feature flag](gitlab-org/gitlab@292afd630b937353844091f0b876c17c19fcf83f) ([merge request](gitlab-org/gitlab!66507))
- [Remove unused cluster application logos](gitlab-org/gitlab@d9297157da4eebb3d0cdfd5e8cf8bfbdcd9f8f50) ([merge request](gitlab-org/gitlab!66485))
- [Update GitLab Runner Helm Chart to 0.31.0](gitlab-org/gitlab@a27f4ca670d9bcf70fd694a3d9df79657a2ef451) ([merge request](gitlab-org/gitlab!66447))
- [Revise UI text for Kroki settings](gitlab-org/gitlab@3489047a1c2429cda2c1e2305424c4b4ba68bb08) ([merge request](gitlab-org/gitlab!66258))
- [Add Chrome to Jira connect working browsers](gitlab-org/gitlab@ff0c52d346f7c00b441070a159ba6173852a2536) ([merge request](gitlab-org/gitlab!66236))
- [Refactor polling interval multiplier configuration UI and docs](gitlab-org/gitlab@b8ef9101f45759b19d982f3f6ae74cf92e2a31d1) ([merge request](gitlab-org/gitlab!66342))
- [Add helpful text to URL group validation and limit text](gitlab-org/gitlab@59a5a6266cb0d5434596170ffa36e4e74b8d2c2c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65369)) **GitLab Enterprise Edition**
- [Refactor external storage admin area configuration UI and docs](gitlab-org/gitlab@497ba4fc8f4ec1d234c9f5f1ec5c69712b8c7cb3) ([merge request](gitlab-org/gitlab!66219))

## 14.1.8 (2021-11-15)

### Fixed (1 change)

- [Prevent Git operations from checking replication lag on non-Geo-secondary sites](gitlab-org/gitlab@5abc66f89524b63873b0ce96b0f78c0acc2687f6) ([merge request](gitlab-org/gitlab!73980)) **GitLab Enterprise Edition**

### Changed (4 changes)

- [Geo: Alternate redownload and normal design sync attempts](gitlab-org/gitlab@c23c94e9d791770fd169723845b12097b8512a9e) ([merge request](gitlab-org/gitlab!73980)) **GitLab Enterprise Edition**
- [Geo: Alternate redownload and normal SSF sync attempts](gitlab-org/gitlab@5aba12770829d43041ef4307049ed500c02b1d77) ([merge request](gitlab-org/gitlab!73980)) **GitLab Enterprise Edition**
- [Geo: Alternate redownload and normal project syncs](gitlab-org/gitlab@4d3a5798e1f136a027c0b7aab6a35afb3c207ce7) ([merge request](gitlab-org/gitlab!73980)) **GitLab Enterprise Edition**
- [Geo: Reduce frequency of redownload attempts](gitlab-org/gitlab@795271787c70b7c92a85daa253d2d61561603443) ([merge request](gitlab-org/gitlab!73980)) **GitLab Enterprise Edition**

## 14.1.7 (2021-09-30)

### Security (28 changes)

- [Require password param for 2FA changes](gitlab-org/security/gitlab@4e16401a77264ef3127f0bb314fa0abab11216c7) ([merge request](gitlab-org/security/gitlab!1816))
- [Fix permissions check on project members import](gitlab-org/security/gitlab@be54b3f4890fa89d58cb02be79c65025f606bd6c) ([merge request](gitlab-org/security/gitlab!1860))
- [Respect disabled import sources when initiating import via API](gitlab-org/security/gitlab@b76b6229c93447954efc5719e6dd61eb601afdc4) ([merge request](gitlab-org/security/gitlab!1848))
- [Return 404 if model id wasn't passed to UploadsController](gitlab-org/security/gitlab@8ab1cfaafba21a9e90ef41677993af2afdcd920a) ([merge request](gitlab-org/security/gitlab!1845))
- [Scrub artifacts signed URL in SendEntry logs](gitlab-org/security/gitlab@5bae93b2f085d5dac58e411bffb5ca518fe7df98) ([merge request](gitlab-org/security/gitlab!1842))
- [Prevent double-impersonation and impersonation breakout](gitlab-org/security/gitlab@7c82d0f2a1dbfb0a23d6a5cdaee448307ffc6972) ([merge request](gitlab-org/security/gitlab!1836))
- [Clear session access tokens when starting/stopping impersonation](gitlab-org/security/gitlab@a4d529eb7c8eeb3e9c42ae3d81514d79a905cdb7) ([merge request](gitlab-org/security/gitlab!1833))
- [Use validated URL when sending request to Gitea Importer](gitlab-org/security/gitlab@b30536e6c9aa969c76bcd167f00db5a0e07ace7a) ([merge request](gitlab-org/security/gitlab!1820))
- [Fix XSS in Jira link](gitlab-org/security/gitlab@9ace10c46744ee220c649d2da0eeb3e99216ee7d) ([merge request](gitlab-org/security/gitlab!1625)) **GitLab Enterprise Edition**
- [Fix fogbugz importer DNS Rebind SSRF](gitlab-org/security/gitlab@9d7107665d6ed931ef4b2feeb0287bc71b89232c) ([merge request](gitlab-org/security/gitlab!1682))
- [Remove related project access tokens when a project is deleted](gitlab-org/security/gitlab@b86096865949f07f6a2020603959117d9c84877b) ([merge request](gitlab-org/security/gitlab!1812))
- [Require group admin access to list pending invites](gitlab-org/security/gitlab@404b344edd61b2f13c3498cd545c2b40165ee536) ([merge request](gitlab-org/security/gitlab!1721))
- [Do not export and import repository_size_limit](gitlab-org/security/gitlab@56f563980f944f1a5e3935ad82070e6719cd5a0c) ([merge request](gitlab-org/security/gitlab!1768))
- [Escapes MR approval rule names correctly](gitlab-org/security/gitlab@ea64f981ce70a0e1e6ee58e64a6007e82f48e071) ([merge request](gitlab-org/security/gitlab!1809))
- [Filter shared groups autocomplete by permitted](gitlab-org/security/gitlab@59999ab27cba402589b27d204cf29678100e948b) ([merge request](gitlab-org/security/gitlab!1806)) **GitLab Enterprise Edition**
- [Require access token for git when 2fa is required](gitlab-org/security/gitlab@6a4a75efd7685a69ffa7cc4c027c7058013cca45) ([merge request](gitlab-org/security/gitlab!1796))
- [Disable exporting pipeline triggers on project export](gitlab-org/security/gitlab@8a8c78ed054def210013a849195939d7888fcf65) ([merge request](gitlab-org/security/gitlab!1790))
- [Add pagination to dependencies API](gitlab-org/security/gitlab@2a963ad670c60d1f3078fdf446ea755c5862fa26) ([merge request](gitlab-org/security/gitlab!1725)) **GitLab Enterprise Edition**
- [Permission check issuable template API data](gitlab-org/security/gitlab@9d95d13bc714e46b5e3697288c4b398cb5aee88b) ([merge request](gitlab-org/security/gitlab!1787)) **GitLab Enterprise Edition**
- [Apply account locking to password reset page](gitlab-org/security/gitlab@47ee79b1983de886f5ebe04b2975c2e37aa938ce) ([merge request](gitlab-org/security/gitlab!1784))
- [Enforce configured scopes for Oauth applications](gitlab-org/security/gitlab@acf2d894c91aa7fb72ea32b10e50e94441885399) ([merge request](gitlab-org/security/gitlab!1781))
- [Verify state before using errors from OAuth2 OmniAuth providers](gitlab-org/security/gitlab@20073576508aa239e52d8ff911c1dfd3df8af670) ([merge request](gitlab-org/security/gitlab!1778))
- [Prevent moving epic issues to different group hierarchy](gitlab-org/security/gitlab@93c6ec69b7bc6c9124a2a5350cebebb57f63a28f) ([merge request](gitlab-org/security/gitlab!1774)) **GitLab Enterprise Edition**
- [Prevent showing not allowed subgroup epics](gitlab-org/security/gitlab@72a11e72425a033f3464d6ff12b4d06e12ec9faf) ([merge request](gitlab-org/security/gitlab!1766)) **GitLab Enterprise Edition**
- [Do not allow status checks to exist with external protected branches](gitlab-org/security/gitlab@8f96c013ccbbe9c52b3f03fb0d247debb1b157a8) ([merge request](gitlab-org/security/gitlab!1763)) **GitLab Enterprise Edition**
- [Fix GFM autocomplete xss](gitlab-org/security/gitlab@fd92dabddff5ae5d67a98aef5d858438520a2f06) ([merge request](gitlab-org/security/gitlab!1748))
- [Prohibit anonymous access for specific user API endpoint](gitlab-org/security/gitlab@2e8a386430309a931dbbd47fba7540a53399ad64) ([merge request](gitlab-org/security/gitlab!1737))
- [Fix denial-of-service attack in Markdown parser](gitlab-org/security/gitlab@5b6ed5212f880e2397dbea9ffc74cf0a35bd4411) ([merge request](gitlab-org/security/gitlab!1728))

## 14.1.6 (2021-09-27)

### Fixed (1 change)

- [Fix Elastic::MigrationWorker current_migration (2nd attempt)](gitlab-org/gitlab@f07c7a5f173a2fc053247664f21c03d29df543a4) ([merge request](gitlab-org/gitlab!71187)) **GitLab Enterprise Edition**

## 14.1.5 (2021-09-02)

### Fixed (1 change)

- [Geo: Replicate multi-arch containers](gitlab-org/gitlab@4f74fe9fb6f53cd877d8f793e2ef74c4177006d1) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/67624)) **GitLab Enterprise Edition**

## 14.1.4 (2021-08-31)

### Security (8 changes)

- [Update apollo_upload_server dependency](gitlab-org/security/gitlab@34e7e3b7590fd76d0f618091551651e8065edfd2) ([merge request](gitlab-org/security/gitlab!1700))
- [Ensure shared group members lose project access after group deletion](gitlab-org/security/gitlab@4a7b8203776b719c06186c1b189a8cf21572fcd4) ([merge request](gitlab-org/security/gitlab!1684))
- [Fix stored XSS vulnerability in Datadog settings form](gitlab-org/security/gitlab@0906814af604e7fcab54a96bccadcba11207387d) ([merge request](gitlab-org/security/gitlab!1671))
- [Inherit user external status while creating project bots](gitlab-org/security/gitlab@d5a26c4145d917b5b49e207e03669d2b7e4ee617) ([merge request](gitlab-org/security/gitlab!1665))
- [Escape issue reference and title for Jira issues](gitlab-org/security/gitlab@4153444b76421ddf3a7fd21f1fc0500700a4e263) ([merge request](gitlab-org/security/gitlab!1662)) **GitLab Enterprise Edition**
- [Require sign in for .keys endpoint on non-public instances](gitlab-org/security/gitlab@b090b3f6dee6d21d93595c5e46e6c5c7fc30f1fb) ([merge request](gitlab-org/security/gitlab!1658))
- [Only create jira connect NS subscriptions for admins](gitlab-org/security/gitlab@3f2040c0e2c90f3fcafdbf0f86bd2591bd458dff) ([merge request](gitlab-org/security/gitlab!1648))
- [Prevent non-admins from configuring Jira connect app](gitlab-org/security/gitlab@fa864c0a2eaf450033f4c594cea07d9f24144cd6) ([merge request](gitlab-org/security/gitlab!1644))

## 14.1.3 (2021-08-17)

### Fixed (2 changes)

- [Geo 2.0 Regression - Add ability to remove primary](gitlab-org/gitlab@1635f3d07d421edd2a83be109d7c54635aa4f58c) ([merge request](gitlab-org/gitlab!68383)) **GitLab Enterprise Edition**
- [[RUN AS-IF-FOSS] AS Fix SAML SSO login redirects not working](gitlab-org/gitlab@7b551e3d2a4ba6127549c613ee95e2c12c014b90) ([merge request](gitlab-org/gitlab!68383)) **GitLab Enterprise Edition**

### Changed (1 change)

- [Resolve "operator does not exist: integer[] || bigint in...](gitlab-org/gitlab@99e6457b6d9d39805dc7758c47091cf6ad0f2bdd) ([merge request](gitlab-org/gitlab!68383))

## 14.1.2 (2021-08-03)

### Security (19 changes)

- [Add project member validation for domain limitation](gitlab-org/security/gitlab@d17016dde463811c81a22c07aeab817ff7b5757c) ([merge request](gitlab-org/security/gitlab!1564))
- [Hide project-level CI/CD Analytics for Guests](gitlab-org/security/gitlab@ce3b41daadd795e906b5bbbec424a494c491a1d4) ([merge request](gitlab-org/security/gitlab!1600))
- [Only allow invite to be accepted by user with matching email](gitlab-org/security/gitlab@9d9e439c6a923fa4791a056e599c7b7e76de59a1) ([merge request](gitlab-org/security/gitlab!1632))
- [Add html escaping for default branch name](gitlab-org/security/gitlab@549101007452bd43d866d314b1c787120cfcb36a) ([merge request](gitlab-org/security/gitlab!1630))
- [Configure OmniAuth to use GitLab AppLogger](gitlab-org/security/gitlab@0b234f0058bbaa0415ab43182761757c332764d1) ([merge request](gitlab-org/security/gitlab!1615))
- [Add permissions check to pipelines#show action](gitlab-org/security/gitlab@6901d52d5265d126419e78848344ae9a886ee1a7) ([merge request](gitlab-org/security/gitlab!1612))
- [Prevent impersonation in gitlab-shell SSH certs](gitlab-org/security/gitlab@82a878ba276c6500af5aa3d951819240535127de) ([merge request](gitlab-org/security/gitlab!1609))
- [Fix Protected Environment Accesses Cleanup](gitlab-org/security/gitlab@0c954547dbdee6a47fc755eebef0882852080579) ([merge request](gitlab-org/security/gitlab!1606)) **GitLab Enterprise Edition**
- [Use oauth_app id instead of uid](gitlab-org/security/gitlab@9c49cbbbc730eb16ef109c1f1fc1b167768d5dd3) ([merge request](gitlab-org/security/gitlab!1603)) **GitLab Enterprise Edition**
- [Block impersonation token use if it is not permitted](gitlab-org/security/gitlab@1a73b228549dfe1fe98f44a8cee8e3ebcc36d841) ([merge request](gitlab-org/security/gitlab!1583))
- [Fix XSS in Mermaid Markdown rendering](gitlab-org/security/gitlab@6bff57b10739c42d177371dbf44143d92de1e595) ([merge request](gitlab-org/security/gitlab!1488))
- [Do not show email address in error message](gitlab-org/security/gitlab@fdee78b193d9744253c7b7d671247cc50175c643) ([merge request](gitlab-org/security/gitlab!1596)) **GitLab Enterprise Edition**
- [Updates oauth to 0.5.6](gitlab-org/security/gitlab@bfa3de880659b0156cf8c2a7085b1705596380a4) ([merge request](gitlab-org/security/gitlab!1592))
- [Fix tag ref detection for pipelines](gitlab-org/security/gitlab@87a03ffd263ad153a911e14512cb7776b98a435d) ([merge request](gitlab-org/security/gitlab!1591))
- [Disallow non-members to set issue metadata on issue create](gitlab-org/security/gitlab@abe9d660ce3314c1540ec20b3a0640e623c56ecc) ([merge request](gitlab-org/security/gitlab!1586))
- [Prevent guests from linking issues with errors](gitlab-org/security/gitlab@4a74667407b725176c4722e86bba3f942ffc9487) ([merge request](gitlab-org/security/gitlab!1587))
- [Filter todos whose target users no longer have access to](gitlab-org/security/gitlab@a05dd90c43ae84bb37956217d9cf4effd1edae50) ([merge request](gitlab-org/security/gitlab!1556))
- [Remove impersonation token from api response for non-admin user](gitlab-org/security/gitlab@928eaf1b82d45fbfa0d82b6515d192453b944ab9) ([merge request](gitlab-org/security/gitlab!1565))
- [Restrict access to instance-level security features for reporters](gitlab-org/security/gitlab@d4097341cede050e0066fa2a5445cbf51a1cc1bd) ([merge request](gitlab-org/security/gitlab!1561)) **GitLab Enterprise Edition**

## 14.1.1 (2021-07-28)

### Added (1 change)

- [RackAttack: extend basic authentication detection for rate limiting](gitlab-org/gitlab@ad521c88bfa8da185380397aa2e6e8972a28b04e) ([merge request](gitlab-org/gitlab!66726))

### Fixed (3 changes)

- [Prevent terms from being created if blank](gitlab-org/gitlab@29e5ebe23869cfe1325d8f7ab2ec17a3a8670f61) ([merge request](gitlab-org/gitlab!66726))
- [Fix: Sidekiq workers delete each other's metrics](gitlab-org/gitlab@d6d8ed55392a90cc55aa6213ebae80008d0df3e0) ([merge request](gitlab-org/gitlab!66726))
- [Resolve "Bulk dismissal checkboxes don't appear on group vulnerability report"](gitlab-org/gitlab@77b2cf8b935aba08f23c00cf5fdc746849a65e74) ([merge request](gitlab-org/gitlab!66726)) **GitLab Enterprise Edition**

### Other (1 change)

- [Revert backfill on ci_build_trace_sections](gitlab-org/gitlab@a67a8d734440d50c5fdbb0c559b5d2a2f6e48fae) ([merge request](gitlab-org/gitlab!66726))

## 14.1.0 (2021-07-21)

### Added (123 changes)

- [Add ability to set `squash_option` in the Project API](gitlab-org/gitlab@0cd893d72f410351411563e54af9e1d3f6fd789f) ([merge request](gitlab-org/gitlab!66122))
- [Add ref to pipeline graphql schema](gitlab-org/gitlab@4f4f2ec9adf86f841828b87f39639684ee2051f0) ([merge request](gitlab-org/gitlab!66241))
- [Upsell the GitLab Managed Terraform state if the repo contains `.tf` files](gitlab-org/gitlab@e2763f345fde0232092e6b099550c715c503e03e) ([merge request](gitlab-org/gitlab!65870))
- [Add mailgun endpoint for receiveing permanent failures](gitlab-org/gitlab@af2a6a81b92110c27da08528c5ed5dfe1ebf3f7d) ([merge request](gitlab-org/gitlab!65078))
- [Add error tracking collector](gitlab-org/gitlab@90e16440fc02e74d426a8c023a2e6a0f9d430990) ([merge request](gitlab-org/gitlab!65767))
- [Add Vulnerability Management metric for Devops Adoption API](gitlab-org/gitlab@4ef341255b5620a68a9ee3b4f8a570bac0bb1202) ([merge request](gitlab-org/gitlab!66081))
- [Allow immediate deletion of projects](gitlab-org/gitlab@1752841832fcbe88bd9da3b3720697bcce2be9dc) ([merge request](gitlab-org/gitlab!65522)) **GitLab Enterprise Edition**
- [Make database changes to persist false_positive information](gitlab-org/gitlab@10ff49e8bca5a0510fc2599bf378f1aecbe16394) ([merge request](gitlab-org/gitlab!65573))
- [Added user_cap to setting update service](gitlab-org/gitlab@f88b2f61621c4177adbd3ac68fa7e53f95aab811) ([merge request](gitlab-org/gitlab!65542))
- [Audit successful GPG key creation and removal](gitlab-org/gitlab@f32cc873fac3b730af86bb8095862190770174ff) ([merge request](gitlab-org/gitlab!65973)) **GitLab Enterprise Edition**
- [Enable sidekiq load balancing by default](gitlab-org/gitlab@a36a0b84264738c942363798a9dab3a6b51895a7) ([merge request](gitlab-org/gitlab!65669))
- [Add Pipeline Editor branch selector](gitlab-org/gitlab@13b69f776686e98fa0752c303aebb8c64320c264) ([merge request](gitlab-org/gitlab!61793))
- [Introduce multiple oncall schedules feature](gitlab-org/gitlab@643a821b2314347b6932a36642ab9a77271652e8) ([merge request](gitlab-org/gitlab!65827)) **GitLab Enterprise Edition**
- [Track secure scans](gitlab-org/gitlab@4e38000304a5f900bf9049fdf5e5a4de488f8bfb) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64578)) **GitLab Enterprise Edition**
- [Redirect to the new default branch from a deleted default branch](gitlab-org/gitlab@3ab93d237c5ef8bf9be2a17d7b177dcf9aaca674) ([merge request](gitlab-org/gitlab!65469))
- [Add button to insert images in content editor](gitlab-org/gitlab@359961ca833e3b0f1f31b03dec68ab5efb2dfabe) ([merge request](gitlab-org/gitlab!63939))
- [Add support for rendering tables in content editor](gitlab-org/gitlab@51035cfad7a5b51427b4bf7f9d8398049f473dee) ([merge request](gitlab-org/gitlab!63945))
- [Release the Helm charts registry](gitlab-org/gitlab@ff3de432b40b91173490084c56092fe0178736c9) ([merge request](gitlab-org/gitlab!65768))
- [Allow configuring Redis trace chunks instance](gitlab-org/gitlab@607f6703c5136d9684a9d7176eba85bf7b3d5f19) ([merge request](gitlab-org/gitlab!65871))
- [Add warning when import url does not ends with .git](gitlab-org/gitlab@2d909b1b1477bdb5228576d46fdc4eccb0afd61b) ([merge request](gitlab-org/gitlab!65739))
- [Adds ID to group, stage, and detailed status](gitlab-org/gitlab@326a4a9d21de0ac4b29225d86f793452d7168057) ([merge request](gitlab-org/gitlab!64630))
- [Removed the compliance_dashboard_drawer feature flag](gitlab-org/gitlab@0351c9db623f5965d2015091b7bcde902c8fd740) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65943)) **GitLab Enterprise Edition**
- [Upgrade GitLab Pages to 1.41.0](gitlab-org/gitlab@18c7524a21e8abf53f59d39aa333a6e67e5e13f5) ([merge request](gitlab-org/gitlab!66033))
- [Enable GraphQL Runner API](gitlab-org/gitlab@e6d9456e6730b21bb167b52f736a7026ba906ee5) ([merge request](gitlab-org/gitlab!65942))
- [Add Collected Data Categories Service Ping metric](gitlab-org/gitlab@ff900fe685fae48c77174598cc98247c9c144057) ([merge request](gitlab-org/gitlab!65336))
- [Show progress of an epic on epic board cards](gitlab-org/gitlab@788e814331973744e48862b4f8878b4f63dc5bf8) ([merge request](gitlab-org/gitlab!64622)) **GitLab Enterprise Edition**
- [Add graphql mutation to enable dependency scanning](gitlab-org/gitlab@b342443ef2e9cd11ca258d335f7cc12a1877d30e) ([merge request](gitlab-org/gitlab!64710)) **GitLab Enterprise Edition**
- [Enable sec_dependency_scanning_ui_enable by default](gitlab-org/gitlab@132a5d6fdb71921733d6bd0c08a2dc3d577398af) ([merge request](gitlab-org/gitlab!58363)) **GitLab Enterprise Edition**
- [Add policy type filter](gitlab-org/gitlab@2a791915afc4afe061f1be42c5f7bb3386c1f0fc) ([merge request](gitlab-org/gitlab!65500)) **GitLab Enterprise Edition**
- [Adds audit event when compliance framework changed](gitlab-org/gitlab@6f7186c52af863637d445ac3c8f8f3005622effb) ([merge request](gitlab-org/gitlab!65343)) **GitLab Enterprise Edition**
- [Allow copying Epic reference from sidebar](gitlab-org/gitlab@442aa2b51b46490ccfd6cb0bd2b8c133da5d48b7) ([merge request](gitlab-org/gitlab!65550)) **GitLab Enterprise Edition**
- [Audit successful key destroy action](gitlab-org/gitlab@e2943e7199d3139f8d279c95a21ed5621412480d) ([merge request](gitlab-org/gitlab!65615)) **GitLab Enterprise Edition**
- [Add observability to Snowplow tracking](gitlab-org/gitlab@fd135d450a1b9a2bbc56ae7f0383605975010574) ([merge request](gitlab-org/gitlab!65664))
- [Support providing kind to internal Network Policies edit API](gitlab-org/gitlab@b007a9ba5311b27983f34db9e1ac9122b7e223bf) ([merge request](gitlab-org/gitlab!65476)) **GitLab Enterprise Edition**
- [Add Running Container Scanning CI Template](gitlab-org/gitlab@f22a8edfe14d47597e02e42dca095356805e007a) ([merge request](gitlab-org/gitlab!64220)) **GitLab Enterprise Edition**
- [Add pause and resume to background migrations](gitlab-org/gitlab@32f6ba0477c42e5ec7acb47c137c2170440a7abf) ([merge request](gitlab-org/gitlab!65512))
- [Display Helm packages in the package registry](gitlab-org/gitlab@e14e343debcc31ab0a8258fd986fae9f766b7377) ([merge request](gitlab-org/gitlab!65688))
- [Feat(Blob): Add CSV render support for Blob Viewer](gitlab-org/gitlab@ccc0d8ae4892f8ee87e9ba2ae5ff91d7fab70f43) ([merge request](gitlab-org/gitlab!65050))
- [Added user_cap column to namespace_settings](gitlab-org/gitlab@672c54a0b6b49f2aa49bd5af9837ae0156f1f2b8) ([merge request](gitlab-org/gitlab!65470))
- [Wiki repositories use default branch when creating the repo](gitlab-org/gitlab@e1743a5e79b1c1e43390a4794f4ee1a817dacd22) ([merge request](gitlab-org/gitlab!65221))
- [Allow sort by popularity for issues via GraphQL](gitlab-org/gitlab@89de38a6bbb8efdb4ec088782c885b3027ea05f7) ([merge request](gitlab-org/gitlab!65323))
- [Allow sort by blocking issues via GraphQL](gitlab-org/gitlab@552576ffe9659ce790f8e10f8423b5adba7e1234) ([merge request](gitlab-org/gitlab!65323)) **GitLab Enterprise Edition**
- [Expose GraphQL query complexity score](gitlab-org/gitlab@8eefd99c0ae9d9fdc94148a090695fb2458bd4b8) ([merge request](gitlab-org/gitlab!52448))
- [Extend NetworkPolicy GraphQL API with `Environments` field](gitlab-org/gitlab@77a1cab8963fbfbcfc9cca2837800c021e2f0b29) ([merge request](gitlab-org/gitlab!65314)) **GitLab Enterprise Edition**
- [Remove ff_external_status_checks feature flag](gitlab-org/gitlab@22cccda58751a0e3aad78ee2fbe4bb43927fbce7) ([merge request](gitlab-org/gitlab!65053)) **GitLab Enterprise Edition**
- [Accept GitHub source highlight URL argument format](gitlab-org/gitlab@c87dfa3fcf89f23f756a18fd178c9bde82169e19) ([merge request](gitlab-org/gitlab!65453))
- [Add emoji name to tooltip](gitlab-org/gitlab@9022559ef4a0465c51d67175d3f61ddd02f19f8b) ([merge request](gitlab-org/gitlab!65439))
- [Do not export certain models when using Relations Export API](gitlab-org/gitlab@7c5cef46687ec0fb2a4344509d393c46399b52c4) ([merge request](gitlab-org/gitlab!65347))
- [Add Coverage fuzzing to DevopsAdoption API](gitlab-org/gitlab@f1d4e0c5dde9a8b6934e61f527227746d2c314c4) ([merge request](gitlab-org/gitlab!65253))
- [Extend Plan limits API with `terraform_module_max_file_size`](gitlab-org/gitlab@07804f5472e897ae7d70465b33e2a0282d42f5b0) ([merge request](gitlab-org/gitlab!65425))
- [Add dependency scanning to DevopsAdoption API](gitlab-org/gitlab@0b0198255f3b10606458f4d0996c1550b9d4a790) ([merge request](gitlab-org/gitlab!64624))
- [Add Bulk Imports API to view user initiated imports](gitlab-org/gitlab@c10058e690c2de140805baa4a08a15c47e5a381a) ([merge request](gitlab-org/gitlab!64335))
- [Allow sort and expose expired field for milestones](gitlab-org/gitlab@771d9576f5dc27e30fbc2df990b22764bfb028f8) ([merge request](gitlab-org/gitlab!64572))
- [Add group-level DORA metrics to GraphQL endpoint](gitlab-org/gitlab@b23f814969a4691a3651030483558d334641f0bc) ([merge request](gitlab-org/gitlab!65279)) **GitLab Enterprise Edition**
- [Make the variable type for the GitLab CI secret configurable](gitlab-org/gitlab@0ff59c782a585ad3a2b9a2bdf6626a31c5ea145b) ([merge request](gitlab-org/gitlab!54858)) **GitLab Enterprise Edition**
- [Add GitLab revision to Prometheus metric](gitlab-org/gitlab@36046c63b2dea241070c91a07a7650a3b65bec55) ([merge request](gitlab-org/gitlab!65276))
- [Add project-level DORA metrics to GraphQL endpoint](gitlab-org/gitlab@ef0cffc8119734c6639e2ab8d8671e019b508d50) ([merge request](gitlab-org/gitlab!64961)) **GitLab Enterprise Edition**
- [Remove project from Job Token Scope via GraphQL](gitlab-org/gitlab@c20de7a97f482e312ddf842e45a5098f8455a4f3) ([merge request](gitlab-org/gitlab!64522))
- [Add timezone to web operations](gitlab-org/gitlab@868f0c45a9dbdd6d110f9f7d637946981971aa6d) ([merge request](gitlab-org/gitlab!64084))
- [Add CIJobToken project allow list resolver](gitlab-org/gitlab@08e8188af04a8f2fafe86190a7dc90a252d23ad1) ([merge request](gitlab-org/gitlab!64095))
- [Add ability to search for cluster image scanning jobs](gitlab-org/gitlab@3579088ee97b2d1a26e3d2dbba726c3a9b7f61a6) ([merge request](gitlab-org/gitlab!64616)) **GitLab Enterprise Edition**
- [Add target branch in pipeline editor for blank projects](gitlab-org/gitlab@c9e9a6254dc35cd5892a3885c1284f0f0fa06fa2) ([merge request](gitlab-org/gitlab!64575))
- [Add jobCount and projectCount to GraphQL CiRunner](gitlab-org/gitlab@af9e0ea5e9a532b373d89db29edf5899eaec88e6) ([merge request](gitlab-org/gitlab!64117))
- [Remove gitlab_experiment_middleware feature flag](gitlab-org/gitlab@62d5345c70cad5a2db32042d1898716e611d8dcd) ([merge request](gitlab-org/gitlab!65081))
- [Add instance-level audit event when admin status changes](gitlab-org/gitlab@6724b3e03cc3a9aca261cec28b9e3db92a1517a6) ([merge request](gitlab-org/gitlab!65168)) **GitLab Enterprise Edition**
- [Add link to admin area on project view and group view](gitlab-org/gitlab@ded9a9d5716f3e1c63f39f2d73ca16134ed0210e) ([merge request](gitlab-org/gitlab!63410))
- [Add support for legacy blob viewers](gitlab-org/gitlab@440dd4f481a2a52776a04f263d1c49822e633890) ([merge request](gitlab-org/gitlab!64839))
- [Preserve user authorship during bulk imports](gitlab-org/gitlab@31245e13593a3e57385e3384877c0aa3696372ad) ([merge request](gitlab-org/gitlab!64908))
- [Add usage ping features frontend checkboxes](gitlab-org/gitlab@295bd62308977822e2fecdf6e5d518f5bcb99024) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64186))
- [Remove kubernetes_agent_on_gitlab_com feature flag](gitlab-org/gitlab@dfdf249cb7943bcbbbf7e03983253554960812e1) ([merge request](gitlab-org/gitlab!60081))
- [Add system note when escalating to users](gitlab-org/gitlab@6bd709f4a1e4bc674d095c6b7941bc93bd323b3e) ([merge request](gitlab-org/gitlab!64899)) **GitLab Enterprise Edition**
- [Remove project_finder_similarity_sort feature flag](gitlab-org/gitlab@abb677ddbe651da7d04c876cc9a4667ca94b58e3) ([merge request](gitlab-org/gitlab!64361))
- [Track usage data for Network Policies UI](gitlab-org/gitlab@4a15309619053a4e20f2f32003d6a8444e9821ba) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64731)) **GitLab Enterprise Edition**
- [Add compliance_frameworks_with_pipeline to usage ping](gitlab-org/gitlab@fd420b4799d32066d0896a5f6e3747a60b3c0958) ([merge request](gitlab-org/gitlab!64601)) **GitLab Enterprise Edition**
- [Remove ci_quota_check_on_retries feature flag](gitlab-org/gitlab@0ab0678dc1a0a1a934b66948770d49b725511b5b) ([merge request](gitlab-org/gitlab!65044)) **GitLab Enterprise Edition**
- [Add scan execution policies to the policy list](gitlab-org/gitlab@aa2cf5e2afd6c23a37aa9340b82dc4312007b80f) ([merge request](gitlab-org/gitlab!64783)) **GitLab Enterprise Edition**
- [Allow passing PAT name and scopes via the URL](gitlab-org/gitlab@e4e1292d8cd4c38fa0e5332ed7debdf7b7639b74) ([merge request](gitlab-org/gitlab!64897))
- [Add summary to timelogs](gitlab-org/gitlab@3f649999296a6314aadd99676ea324b2063f3225) ([merge request](gitlab-org/gitlab!64552))
- [Allow specifying an access level for Project Access Tokens](gitlab-org/gitlab@962c6b39c32a86ef4896112e5b47886747a14708) ([merge request](gitlab-org/gitlab!63725))
- [Send purchase source to customers API](gitlab-org/gitlab@49237198c8a72abf679ceda15b1608434bb78e7e) ([merge request](gitlab-org/gitlab!64905)) **GitLab Enterprise Edition**
- [Sync destruction between requirements and issues](gitlab-org/gitlab@1c18084384954d6d3bdf1a41a9424d94a1896a09) ([merge request](gitlab-org/gitlab!64291)) **GitLab Enterprise Edition**
- [Add CI/CD templates picker for empty pipelines page](gitlab-org/gitlab@7aefdbc42ce4c10a9c1cbaf1d7584ebaa4a074a0) ([merge request](gitlab-org/gitlab!64200))
- [Save last_synced_at on licenses table](gitlab-org/gitlab@116158c93f8839688cb2f69b1f4c606d1e91cbfa) ([merge request](gitlab-org/gitlab!64656))
- [Add validate account button on CI/CD shared runners page](gitlab-org/gitlab@1ac97dcf31f72a3e8cbb4b3e5c01d87beea798cc) ([merge request](gitlab-org/gitlab!64861)) **GitLab Enterprise Edition**
- [Relate issues and requirements](gitlab-org/gitlab@a9c39abbf219cc0d73676df316e94ee299c581ae) ([merge request](gitlab-org/gitlab!64189))
- [Add present_on_default_branch to Vulnerabilites](gitlab-org/gitlab@8f7c762b0e153438459bf8299db7fa4277e1b47d) ([merge request](gitlab-org/gitlab!64704))
- [Helm charts index API endpoint](gitlab-org/gitlab@6fd633c24f7d7e8a79e57439ab6056afb22db39a) ([merge request](gitlab-org/gitlab!62757))
- [Add backup logger class](gitlab-org/gitlab@820d264e8d0a7ae564ad825ccd4442ade5242a17) ([merge request](gitlab-org/gitlab!63832))
- [Add configuration for locating gitaly-backup](gitlab-org/gitlab@abc8d061a375e268805df27c2e8a1cc0693f9ecb) ([merge request](gitlab-org/gitlab!64834))
- [Adding raw_plain_data type to snippets](gitlab-org/gitlab@d7cb66c01ddfd22f9962cca5402addd230367451) ([merge request](gitlab-org/gitlab!64243))
- [Allow to query discussion design on GraphQL](gitlab-org/gitlab@25613d74ac74a9f1b697e00d89499fe2f21e746c) ([merge request](gitlab-org/gitlab!64550))
- [Converts the diff row component into a functional component](gitlab-org/gitlab@61b90085ef4d39c5280cc7939c0e5f0c83e281e4) ([merge request](gitlab-org/gitlab!63854))
- [Add `state` argument for the PipelineSecurityReportFindingsResolver](gitlab-org/gitlab@d550e65acc7526ad94938ac329f07991d58f9f1c) ([merge request](gitlab-org/gitlab!64762)) **GitLab Enterprise Edition**
- [Add NOT filtering to epic roadmap filtered search](gitlab-org/gitlab@8b62510509261edf35725d114b7003bc9e426a85) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64483)) **GitLab Enterprise Edition**
- [Show access level of Project Access Token in UI and API](gitlab-org/gitlab@1df3db0851c333b055deca10079a721265ee2763) ([merge request](gitlab-org/gitlab!64681))
- [Add CI variable CI_MERGE_REQUEST_APPROVED](gitlab-org/gitlab@dff9601fa5b641831d266ffa8a299d5ac8f4057f) ([merge request](gitlab-org/gitlab!64677)) **GitLab Enterprise Edition**
- [Add compliance framework label to compliance dashboard](gitlab-org/gitlab@83d33fe5b54ce5c03d21db49a08ff3f6eefeda89) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64283)) **GitLab Enterprise Edition**
- [Display Feature Flags Related to Issues](gitlab-org/gitlab@5b79efa72311d3846f003566123115d71e61369c) ([merge request](gitlab-org/gitlab!64538)) **GitLab Enterprise Edition**
- [Update styling on policy editor page](gitlab-org/gitlab@5a8461052e305484920e2a349f1385215bba0c96) ([merge request](gitlab-org/gitlab!62970)) **GitLab Enterprise Edition**
- [Remove ci_drop_new_builds_when_ci_quota_exceeded feature flag](gitlab-org/gitlab@9dcfedfe8dc97531a67b203e70d5f146f70c8e62) ([merge request](gitlab-org/gitlab!64709)) **GitLab Enterprise Edition**
- [Adds sha argument to lint](gitlab-org/gitlab@a728acee92cfb89945b3255230016045dd39cc95) ([merge request](gitlab-org/gitlab!64415))
- [Add Debian API endpoint for Packages files](gitlab-org/gitlab@8d33f75e2554b550be04ca646fcfbee55a30278d) ([merge request](gitlab-org/gitlab!64068))
- [Add option to order epics by title on list page](gitlab-org/gitlab@4474d1a6fba3efcc4374509eff072b4c3ad351d5) ([merge request](gitlab-org/gitlab!63767)) **GitLab Enterprise Edition**
- [Add wal cached counter metric](gitlab-org/gitlab@a146fc0dba73b3b193dc484c7ee43de7b8ec620f) ([merge request](gitlab-org/gitlab!64210))
- [Accept repository_update_events in SystemHooks API](gitlab-org/gitlab@d629b1a2556d73a9bbc7d6dd8149028d202041df) ([merge request](gitlab-org/gitlab!64670))
- [Added omniauth_user check when verifying user cap](gitlab-org/gitlab@21cafcbdcce25424cfcaca5356fa1fef3d43a902) **GitLab Enterprise Edition**
- [Add the ability to deep link into group/project member tabs](gitlab-org/gitlab@db589f28af5f997068da2a6f75e27b3cf9611298) ([merge request](gitlab-org/gitlab!64365))
- [Allow changing AdditionalPack namespace](gitlab-org/gitlab@d8d3b217f72f75a3332163d2ac4a90be00621492) ([merge request](gitlab-org/gitlab!64212)) **GitLab Enterprise Edition**
- [BulkImports: Import Group Avatar](gitlab-org/gitlab@0f1d882377147e1977beceb34f19cfee42f9acea) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62714))
- [Allow admins to limit registration of project and group runners](gitlab-org/gitlab@6309e13bdbb8fbe42849a8e2f78012944302f45a) ([merge request](gitlab-org/gitlab!61407))
- [Populate `latest_pipeline_id` values for `vulnerability_statistics`](gitlab-org/gitlab@917d469e906ff2d050048005d90341b17b0e49a8) ([merge request](gitlab-org/gitlab!63451)) **GitLab Enterprise Edition**
- [Add support for horizontal rule in content editor](gitlab-org/gitlab@d4b66969d6dcc52d8adbdb574c03120faee45602) ([merge request](gitlab-org/gitlab!63943))
- [Add state of merge request diff to the entity](gitlab-org/gitlab@ac2e38224f0b67684d3ddf5f35de041f815e4ef8) ([merge request](gitlab-org/gitlab!64195))
- [Associate Build with DAST Site and Scanner profile](gitlab-org/gitlab@0c8757624e68fd90c25f1e1b26152c1f4d2c25a7) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/63362))
- [Show pronouns in user popover](gitlab-org/gitlab@7513e38b8badcf14d5a40252895e64a3dfb6c0b0) ([merge request](gitlab-org/gitlab!63611))
- [Create API to update upcoming reconciliations](gitlab-org/gitlab@217e570c5691f683171e55fa17edaba1a4b3618b) ([merge request](gitlab-org/gitlab!63047)) **GitLab Enterprise Edition**
- [Add layout for "first mile"](gitlab-org/gitlab@82d09f270836a2cb843cfa2694bcfaa5317bbefe) ([merge request](gitlab-org/gitlab!62965))
- [Adds status to StageType in gql](gitlab-org/gitlab@ce690aaf94132b3f584cc2de892b2af684d797a9) ([merge request](gitlab-org/gitlab!61177))
- [Expose SAST & DAST devops adoption metrics](gitlab-org/gitlab@430037a8ebe2104000c7c2b1a24127e1227a17f9) ([merge request](gitlab-org/gitlab!63868)) **GitLab Enterprise Edition**
- [Allow sorting by title in REST/GraphQL API](gitlab-org/gitlab@cec733fe115b2a8ee3479ea0195b20e677741e2a) ([merge request](gitlab-org/gitlab!63756)) **GitLab Enterprise Edition**
- [Add in-product marketing emails](gitlab-org/gitlab@bf1b79e99157adfec0e605654700ad8db43afc71) ([merge request](gitlab-org/gitlab!64109))
- [Commit registration invite page to product](gitlab-org/gitlab@9fef92d31c71a2711b3a47c419339447591866dd) ([merge request](gitlab-org/gitlab!64001))
- [Support specifying a milestone for MR via push options](gitlab-org/gitlab@be94b8a3c57405115802cfc8cec71a6eacf9ca3c) ([merge request](gitlab-org/gitlab!63960))

### Fixed (150 changes)

- [Fix error when creating or deleting a board list](gitlab-org/gitlab@5b348fb06bd81719629b2a960addce38334ac15b) ([merge request](gitlab-org/gitlab!66297))
- [Skip LFS fragment on redirect](gitlab-org/gitlab@559e7a5c1ce499eb98e1ec183159b13d0437d2fe) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65751))
- [Fix scanner comparison error](gitlab-org/gitlab@e582ef4f33fcdab9e133e1cc42e4677534b688c4) ([merge request](gitlab-org/gitlab!66322))
- [Fix background color of markdown code in dark mode](gitlab-org/gitlab@fc328c70613f849a27cec7b3ac4ea0611d4fdb19) ([merge request](gitlab-org/gitlab!66254))
- [Fix transposed rows and cols](gitlab-org/gitlab@a1f3afb43df702a4040604e1930f9110ccd2854b) ([merge request](gitlab-org/gitlab!66287))
- [Fix wiki repositories with wrong HEAD](gitlab-org/gitlab@4bb1d0e17713c993594882f1cf15c31838a83b06) ([merge request](gitlab-org/gitlab!66232))
- [Fix public selection of pages permissions](gitlab-org/gitlab@3333b06161a9200ecc8d0af9ee8b0ecf8939f833) ([merge request](gitlab-org/gitlab!66238))
- [Geo: Replicate the HEAD ref](gitlab-org/gitlab@30667e5d9ca4b83916ad539e0c2dc5245637d2d1) ([merge request](gitlab-org/gitlab!65783)) **GitLab Enterprise Edition**
- [Remove useless delete button in group settings](gitlab-org/gitlab@feaf24e7c656c7ef418f0ec478f8401e4acfcd0a) ([merge request](gitlab-org/gitlab!66067)) **GitLab Enterprise Edition**
- [Allow cleartext communication with KAS in production](gitlab-org/gitlab@81c5fdae75585897b1a3c8a6b9da55363a2c3c23) ([merge request](gitlab-org/gitlab!66135))
- [Automatically create integration webhooks when missing](gitlab-org/gitlab@c2259e5e3129e0e9dc9c00a996f4fa956596c8cb) ([merge request](gitlab-org/gitlab!65577))
- [Fix snippet url helper when repository is not present](gitlab-org/gitlab@e702e4c91d836e331dc0022d319159c0448609e6) ([merge request](gitlab-org/gitlab!66149))
- [Adjust Groups API call used in Search Group Projects select](gitlab-org/gitlab@4bb8c88e894d16ef69fb30bf894964aaeee5926d) ([merge request](gitlab-org/gitlab!66172))
- [Fix snippets display issues on mobile devices](gitlab-org/gitlab@8986231996e52334eb913d9b7ab05b255cf729e4) ([merge request](gitlab-org/gitlab!65685))
- [Fixed the header color in fly-outs for Dark mode](gitlab-org/gitlab@c0f932411ac4c537e5c6c8165a2585f305f3e619) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/66138))
- [Fixed association between Finding, Finding Links](gitlab-org/gitlab@2b5ac0a8d5e242c03ac0eafc76e59ea8383a32ca) ([merge request](gitlab-org/gitlab!66103)) **GitLab Enterprise Edition**
- [Correct check for displaying SubEpic counts on boards](gitlab-org/gitlab@b9f4933910b5cce9ace8b0b99e6e415505608b5f) ([merge request](gitlab-org/gitlab!65756)) **GitLab Enterprise Edition**
- [Preload correct latest test report for requirements](gitlab-org/gitlab@d7f4636639c122ab5e6ac1f8eac5bdded22e1d76) ([merge request](gitlab-org/gitlab!66091))
- [Fix "Confirm user" button on tabs other than "Account"](gitlab-org/gitlab@d1f311c119f92222af88e2867736df78a93cb5b1) ([merge request](gitlab-org/gitlab!66004))
- [Add trigger_source for empty page tracking event](gitlab-org/gitlab@938003e8e271b3769ca03dd8e75ca8da00c43d81) ([merge request](gitlab-org/gitlab!66083))
- [Fix GET requests from graphql client when using relative url](gitlab-org/gitlab@19ec2c8da4c92a1354701e58b86947d57b1e844e) ([merge request](gitlab-org/gitlab!66053))
- [Ensure pages visibility levels are correct](gitlab-org/gitlab@0e5493b618f12b243a90725423447ec40c376fe9) ([merge request](gitlab-org/gitlab!65723))
- [Fix the write permission of the Releases with Protected Tag](gitlab-org/gitlab@229009d4bf23bab1b8b8972757952edaf945900a) ([merge request](gitlab-org/gitlab!66042))
- [Fix labelFilterParam value in issuable_list_root](gitlab-org/gitlab@a683a0f82816c70b911ccdb7d03c6b89cd1ac81a) ([merge request](gitlab-org/gitlab!65949)) **GitLab Enterprise Edition**
- [Fix filePath not being stored in GraphQL log tree cache](gitlab-org/gitlab@f8d175ef7a6384d1a424ecde786ae8b0798e4804) ([merge request](gitlab-org/gitlab!66029))
- [Fix user popovers in design management discussions](gitlab-org/gitlab@61b5dce3aef97fa46b063b971e53881925301633) ([merge request](gitlab-org/gitlab!66027))
- [Update confirmation button text in edit modals](gitlab-org/gitlab@2f159fd7180d248b17608ce4d81c6f3028fed6f4) ([merge request](gitlab-org/gitlab!65991)) **GitLab Enterprise Edition**
- [Revert to use merge requests count for group view](gitlab-org/gitlab@6ac1224121cd58599735b9ef9578ce0285d9508c) ([merge request](gitlab-org/gitlab!64640))
- [Remove transaction when migrating diff commits](gitlab-org/gitlab@650a6dee0aab0fa76fa19d0ba4f9ac67682e2772) ([merge request](gitlab-org/gitlab!65746))
- [Replace `deprecated_project_avatar` in `create_issue_form.vue`](gitlab-org/gitlab@2423c5c2f745e5eeacca9903d9029c04738c8d02) ([merge request](gitlab-org/gitlab!65842)) **GitLab Enterprise Edition**
- [Fix validation method regarding MIME type keys](gitlab-org/gitlab@0b4e1788d14edaf16e3ce999fd0520b3d2467e01) ([merge request](gitlab-org/gitlab!65954))
- [Replace the success btn to the confirm btn in the preferences page](gitlab-org/gitlab@4958268382f93f78e0e3afaa0d3934d59739fba2) ([merge request](gitlab-org/gitlab!65836))
- [Use ProjectAvatar in `frequent_items_list_item.vue`](gitlab-org/gitlab@651b52efc70d761c95e465ad8ac1712177b3fb98) ([merge request](gitlab-org/gitlab!65857))
- [Strip whitespace from GraphQL queries using GET](gitlab-org/gitlab@d88abce55e9cc61f531e77aa3a6d6930d052c767) ([merge request](gitlab-org/gitlab!65564))
- [Make job_token_scope_enabled project setting false by default](gitlab-org/gitlab@024ec9e077cc26a58b3ef1c5ad8fc5d1f0b941b4) ([merge request](gitlab-org/gitlab!64962))
- [Use namespaced security report type for Cluster Image Scanning](gitlab-org/gitlab@9e4b3bc018fa7d27ab2e1eaca9bda4fd687a9237) ([merge request](gitlab-org/gitlab!65802)) **GitLab Enterprise Edition**
- [Fix race condition on container repository create](gitlab-org/gitlab@f8ae33ca2ae2f15b2e78b4d29329700f733304b4) ([merge request](gitlab-org/gitlab!65358))
- [Fix WebIDE image being base64](gitlab-org/gitlab@89256d4df66e1cc34ad6b4c5789b7e2dd59da329) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65165))
- [Fix Issue check_for_spam? for bots](gitlab-org/gitlab@bf0bad9d9f9f403b79676cf77f7a2b3fbe7bc716) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65661))
- [Fix scan execution policy selection](gitlab-org/gitlab@203618037e1ed848cb0b912fd03c0dbf1f38d71a) ([merge request](gitlab-org/gitlab!65553)) **GitLab Enterprise Edition**
- [Advanced Search: Fix inaccessible ES server error](gitlab-org/gitlab@31e6e995a6f287ea08e12d18c933dcebef223cc7) ([merge request](gitlab-org/gitlab!65731)) **GitLab Enterprise Edition**
- [Migrate drawer titles to title slot](gitlab-org/gitlab@efc552c893c919234f6a8018d9f50f08572cde2f) ([merge request](gitlab-org/gitlab!65587))
- [Fix timebox charts events computing](gitlab-org/gitlab@d6d9c48b8e2d88545c7cd885eb0c88788ecb4f78) ([merge request](gitlab-org/gitlab!65737)) **GitLab Enterprise Edition**
- [Fix bug in DORA GraphQL endpoint](gitlab-org/gitlab@5d6ad2c0624e1a59e6670d9648a4de5c34bb2cd2) ([merge request](gitlab-org/gitlab!65653)) **GitLab Enterprise Edition**
- [Correctly positioned the is-above flyouts](gitlab-org/gitlab@8d11496482852aa16c0d3bfa95a466fe13111eaf) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65735))
- [Add another guard clause to password_expired_if_applicable](gitlab-org/gitlab@366b1d7457e12f1454c1001f93d7d43330ddd59d) ([merge request](gitlab-org/gitlab!65575))
- [Allow Bulk Import to use relative GitLab URL](gitlab-org/gitlab@8b871c337bcbebff0924ca80ec4a8ec71fd1dadb) ([merge request](gitlab-org/gitlab!65444))
- [Hide Renew button if less than 15 days for term end date](gitlab-org/gitlab@2fbdc5f2e88d9d1a0049c8f4acec8da2689d9d89) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65070)) **GitLab Enterprise Edition**
- [Fix default url for Monitor sidebar menu](gitlab-org/gitlab@9129adb35ffe0f88c2dc3732f7547fd0cf2fb849) ([merge request](gitlab-org/gitlab!65639))
- [Fix vulnerability report filter dropdown button text truncation](gitlab-org/gitlab@a65218b7f710868aca5cf21d87b38532315a8681) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65634)) **GitLab Enterprise Edition**
- [Fixed broken ui link](gitlab-org/gitlab@991e9149b59a1490d18f673c15a90c7526bece85) ([merge request](gitlab-org/gitlab!65682))
- [Fix icon size for usage quotas and billing](gitlab-org/gitlab@0eb1ddd005256befb5d5a7f46c3fca81c011d452) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65650)) **GitLab Enterprise Edition**
- [Fix LFS objects not downloading from Bitbucket](gitlab-org/gitlab@e2268e41fd457672a85722cde3b914088726fa47) ([merge request](gitlab-org/gitlab!65380))
- [Fix CAPTCHA modal for setting issue non-confidential](gitlab-org/gitlab@07416fdf1a8013fa57b25bee26a375a9814a5a84) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65659))
- [Fix typo for dismissible](gitlab-org/gitlab@a218ceaf110acf2787d1a389059aa3625ca4141c) ([merge request](gitlab-org/gitlab!65656))
- [Display correct label for named-list report types](gitlab-org/gitlab@648dc48a87804e5127e2d696a229851e13fa1c60) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65507)) **GitLab Enterprise Edition**
- [Handle git exceptions in wiki create and update services](gitlab-org/gitlab@1dd451933d9304cb3eb1b8a33f2e2a6b6520257b) ([merge request](gitlab-org/gitlab!64873))
- [Do not create audit event for failed logins on read-only DB](gitlab-org/gitlab@d073e7326aeaadfa8b38cdc170cb5ae6a8d48696) ([merge request](gitlab-org/gitlab!65504)) **GitLab Enterprise Edition**
- [Fix git clone for projects with a trailing dot over HTTP](gitlab-org/gitlab@0391bf572fb12d1c54aa155d529d7dc6fa5a1653) ([merge request](gitlab-org/gitlab!65489))
- [Always encode group path for labels API](gitlab-org/gitlab@ec59ce97c3d334ad359e460857c8c2db3293159e) ([merge request](gitlab-org/gitlab!65350)) **GitLab Enterprise Edition**
- [Return empty strings for Jira links when URL is not set](gitlab-org/gitlab@746cfabfb414ce349d36ee9b6a7127bd2c26adee) ([merge request](gitlab-org/gitlab!65547))
- [Fix pipeline count on merge request tab](gitlab-org/gitlab@014927f06255b3ea0d34f97eeef2ca6ce30b2628) ([merge request](gitlab-org/gitlab!65536))
- [Define deduplication strategy in Resource Group Worker](gitlab-org/gitlab@d26139b3d2f13a508ab9bc137031bf090513cd50) ([merge request](gitlab-org/gitlab!65233))
- [Allow users to setup Jenkins without username](gitlab-org/gitlab@9213f4935c1617e94dff360cf63397ac9ff4b18f) ([merge request](gitlab-org/gitlab!65525))
- [Hide group-level DORA charts if not licensed](gitlab-org/gitlab@672747385fb4dcbe3e522187ec72c1e4cf1d5ddd) ([merge request](gitlab-org/gitlab!65478)) **GitLab Enterprise Edition**
- [Fix uninitialized constant Audit::UpdateService](gitlab-org/gitlab@38c9fb90a4b0505aaa78e0360d7cdeadfaa810b8) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65519)) **GitLab Enterprise Edition**
- [Add prefix to autocomplete path](gitlab-org/gitlab@c4c246d18d2c982d3327bcb811572ec2fdbaf829) ([merge request](gitlab-org/gitlab!65508))
- [Fix cache update for schedules and policies](gitlab-org/gitlab@16e8c26103334a40e5fc9224bbe3eb23fc48ceba) ([merge request](gitlab-org/gitlab!65491)) **GitLab Enterprise Edition**
- [Fix WebIDE dropdown background color](gitlab-org/gitlab@c484c192754076e904958c656160dfd80abce1ca) ([merge request](gitlab-org/gitlab!65412))
- [Add option to force notification on expired subscriptions](gitlab-org/gitlab@5a6b865695b51492bfb965564502b826b17fc16c) ([merge request](gitlab-org/gitlab!64838)) **GitLab Enterprise Edition**
- [Fix alignment issues](gitlab-org/gitlab@27b7fca56e1103adf5208024af5317f1ea8252d8) ([merge request](gitlab-org/gitlab!65351))
- [Reduce noisy code quality diff errors on MR page](gitlab-org/gitlab@f3e0148b42e448151fa56694f77c7bce96dec40a) ([merge request](gitlab-org/gitlab!64661)) **GitLab Enterprise Edition**
- [Only disable pause indexing when migration running needs indexing paused](gitlab-org/gitlab@879558dca6bb050b2381088b4a7fc577c95263b6) ([merge request](gitlab-org/gitlab!65281)) **GitLab Enterprise Edition**
- [Fix caching for pagination headers](gitlab-org/gitlab@3f4b3514cb915b3cc70b4029c312e5835f0f651c) ([merge request](gitlab-org/gitlab!64723))
- [Catch Git::CommandError in Branches::CreateService](gitlab-org/gitlab@f0e2eef5f5d58450d1b240b74fe867939b5bc9c2) ([merge request](gitlab-org/gitlab!64727))
- [Bugfix: Disable the ability from the FE to use Approver != in MR search](gitlab-org/gitlab@a85a5f55194767b064821c6979f21356bd910e7c) ([merge request](gitlab-org/gitlab!56310))
- [Raise the error when repository storage move fails](gitlab-org/gitlab@8f5a54736cc0fa0840972bcfee955e7c36c2d794) ([merge request](gitlab-org/gitlab!65292))
- [Fix PopulateLatestPipelineIds background migration](gitlab-org/gitlab@81d14eacc2fc154e7ca0df6312fd407d912c1e61) ([merge request](gitlab-org/gitlab!65280)) **GitLab Enterprise Edition**
- [Add license check to status checks rendering](gitlab-org/gitlab@f9f6f513d4defce5230be28425efb4614658b67d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65246)) **GitLab Enterprise Edition**
- [Fix create issue dropdown button wrapping](gitlab-org/gitlab@2e7de65c66e7dd47d1c0973d3cf7865ecabbc23c) ([merge request](gitlab-org/gitlab!65254))
- [Fix plans cards width on lg screens](gitlab-org/gitlab@77aabb5c924888ffca0b5228a21093c71218d1a9) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65222)) **GitLab Enterprise Edition**
- [Return issue feedback from loader when there is no issue link](gitlab-org/gitlab@b8f44623bc55a3ed1abf2e6144c467e457452896) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65191)) **GitLab Enterprise Edition**
- [Fix deploy keys not working with LFS auth check](gitlab-org/gitlab@3e4a574906486e7a9fb6fd119296810d5994a8fe) ([merge request](gitlab-org/gitlab!65205))
- [Fix review-bar-component height](gitlab-org/gitlab@1386605add9adb7a01d4c7933b4ee5e36c38c120) ([merge request](gitlab-org/gitlab!64668))
- [Use small ellipsis button in DAST saved scans and profiles](gitlab-org/gitlab@6f2f61393c1da1f06caf4bffdbede325819f5342) ([merge request](gitlab-org/gitlab!65176)) **GitLab Enterprise Edition**
- [Update a user highest role when removed from group](gitlab-org/gitlab@e443da4b8611b9cb2bd1b2f37e6c33a68b9612db) ([merge request](gitlab-org/gitlab!65164))
- [Fix wiki encoding error creating event](gitlab-org/gitlab@1d35b844bed585a3c6fcc54271c5bc86ea3446e9) ([merge request](gitlab-org/gitlab!65132))
- [Update connect_instance_spec.rb](gitlab-org/gitlab@0f88d420a65757fe5c126d2aa94bcf3d5dbf3506) ([merge request](gitlab-org/gitlab!65153))
- [Default cableBackend to authBackend](gitlab-org/gitlab@ff9bd308ebece371baef1387d4bd6aebe91af9d1) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65068))
- [Fix double scrollbar in some dropdowns](gitlab-org/gitlab@ad8c22de839212158e6f2345437ea0bee19ff557) ([merge request](gitlab-org/gitlab!64969))
- [Wrap Labels and Members menu items with access levels checks](gitlab-org/gitlab@e3165a4d998af0717e8c00795aee6c26389770f0) ([merge request](gitlab-org/gitlab!65005))
- [Takes per page setting into account when paginate](gitlab-org/gitlab@c5c32ad2c8c52294a651de664ec93d0b0797a2c7) ([merge request](gitlab-org/gitlab!64285))
- [Show create-jira-issue when gitlab issues disabled](gitlab-org/gitlab@bcee661f9e770517ec72334d5b9e4c107e9163ca) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64889)) **GitLab Enterprise Edition**
- [Guard Compliance CI evaluation against blank path](gitlab-org/gitlab@9706ba3a371b53958995863080b727824ac0430c) ([merge request](gitlab-org/gitlab!64994)) **GitLab Enterprise Edition**
- [Skip saving the diffs whitespace setting if the user isn't logged in](gitlab-org/gitlab@e07458f045b32dbf8a11ee11a9e749a4966d69e7) ([merge request](gitlab-org/gitlab!65094))
- [Fix Group avatar API endpoint](gitlab-org/gitlab@ea3f7bd4dcf20cedbdc2ca2543f99fc5f02fa1f1) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64804))
- [Allow nil for remaining ci cd settings](gitlab-org/gitlab@672fc080709f158b05a7ed5a1dce4aabac12d7dd) ([merge request](gitlab-org/gitlab!64472))
- [Fix 2FA Download codes button](gitlab-org/gitlab@24fa6d1f1a2eca571362a03ed56a2ee9c1fe6760) ([merge request](gitlab-org/gitlab!64963))
- [Fix breadcrumbs and page title for 2FA page](gitlab-org/gitlab@bcabebbcb56707c30b4bbcb035b70f13adf3ef03) ([merge request](gitlab-org/gitlab!64938))
- [Fix return codes for getting an inexisting release](gitlab-org/gitlab@8e011e6674cd6d4fbb7b820aaa89baaac439352f) ([merge request](gitlab-org/gitlab!64591))
- [Show the default "default branch" in the API for empty projects](gitlab-org/gitlab@5ce07d4974b068499c85d159de2513aac3dde6be) ([merge request](gitlab-org/gitlab!64944))
- [Persist Direct Asset Path on Release Updates](gitlab-org/gitlab@6c29da3eb6b515c3d8f7ea19188b1f881f48a2f0) ([merge request](gitlab-org/gitlab!64719))
- [Fix svg logos for empty pipeline templates](gitlab-org/gitlab@d07e2ab050f4eedea6da75e618309fb98248a25f) ([merge request](gitlab-org/gitlab!64428))
- [Ensure displayNamespaceID is included](gitlab-org/gitlab@ff142eadadabf9050451f925276ea5482bf470ae) ([merge request](gitlab-org/gitlab!64904)) **GitLab Enterprise Edition**
- [Drone hook API endpoint](gitlab-org/gitlab@dd42fd2957fb10afcf10c24c0e2254dc103454fa) ([merge request](gitlab-org/gitlab!64871))
- [Fix NuGet installs with symbol packages](gitlab-org/gitlab@246b31a94ddf1ad7be87510f7b30efa3ec532e89) ([merge request](gitlab-org/gitlab!64803))
- [Change PHP template for PHP 8](gitlab-org/gitlab@c4b5950da351aad479f9515e8699eca9257f1f07) ([merge request](gitlab-org/gitlab!64863))
- [Update embedded snippet file links to open in new tab](gitlab-org/gitlab@55c6def595b1ecc640c6b713db24ebdd13277bc4) ([merge request](gitlab-org/gitlab!64219))
- [Fix typo with credit card](gitlab-org/gitlab@ac0b29c6cca7ab912460e95e1fd8f8991772f58e) ([merge request](gitlab-org/gitlab!64817)) **GitLab Enterprise Edition**
- [Fix error when loading incident issue with alert](gitlab-org/gitlab@0678a49a0cff494370d631a5f53629566ac69fcd) ([merge request](gitlab-org/gitlab!64827))
- [Fix state value in the lfs_object_registry table](gitlab-org/gitlab@6231e52db37818f56efa1f0aa19153da39ffbb14) ([merge request](gitlab-org/gitlab!64801)) **GitLab Enterprise Edition**
- [Fix broken Time Tracking Reports on Issuables](gitlab-org/gitlab@d69d0f9ceaa5589bed4f00eacbff43db2521b204) ([merge request](gitlab-org/gitlab!64797))
- [Fix frequent items timestamps not updated](gitlab-org/gitlab@2a3335566b6b3c65f92508cf3ec2b8ee5ac34256) ([merge request](gitlab-org/gitlab!64737))
- [Fix bug where Milestone page led to console error](gitlab-org/gitlab@e720e677d008a006292040d026a4393a89fc2471) ([merge request](gitlab-org/gitlab!64775))
- [Include hours into elapsed time in jobs](gitlab-org/gitlab@280ab3a2e66429105788d55e0fd430efd6a8cc8a) ([merge request](gitlab-org/gitlab!64721))
- [Fix retry-lock problem on pipeline cancel](gitlab-org/gitlab@85c299819121e6f3d372d3685a83df05455c6e41) ([merge request](gitlab-org/gitlab!63080))
- [Fix link for commit-type security report items](gitlab-org/gitlab@a7098dbbb6f271f1a3168d0b539424578d798fad) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64565)) **GitLab Enterprise Edition**
- [Fix submit button not being clickable](gitlab-org/gitlab@845cb6473e3e187c6c880cf42a73426821044253) ([merge request](gitlab-org/gitlab!64315)) **GitLab Enterprise Edition**
- [Fix top position on board sidebar](gitlab-org/gitlab@52d8c768af4cf9a6b6e2d84cca4eb989bb912bd3) ([merge request](gitlab-org/gitlab!62051))
- [Carry line_range info forward on unchanged positions](gitlab-org/gitlab@1e5301204e3fc236d4dc11cfc14f8dc06d5999a7) ([merge request](gitlab-org/gitlab!64267))
- [Force ASCII-8BIT encodings in CI job trace](gitlab-org/gitlab@f0d3c6905e029ac55b2aff4cf860c63522afecd0) ([merge request](gitlab-org/gitlab!64631))
- [Fix pages deployment storage migration](gitlab-org/gitlab@55f8b0129d8e54a532e93881fe1a29eebfc51131) ([merge request](gitlab-org/gitlab!64697))
- [Show warning when files are hidden in an MR](gitlab-org/gitlab@791e1975def8bf2ddee6bdb42b3f868cbcb0a688) ([merge request](gitlab-org/gitlab!64515))
- [Allow ancestor milestones to be set to an MR via push options](gitlab-org/gitlab@dd36ee326c16a8c1e1648b17142d6e695663f0f5) ([merge request](gitlab-org/gitlab!64678))
- [Group Avatar API: ensure to send the remote filename](gitlab-org/gitlab@7edcf42a53212b94195ff1c6d9c6749342cc510c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64650))
- [Bump the sys-filesystem version to prevent errors in System Info](gitlab-org/gitlab@613ee9051f5128de85fda5c35c0b047a4e5a81f2) ([merge request](gitlab-org/gitlab!64638))
- [Fix missing attributes on token audit events](gitlab-org/gitlab@a7713e44271e3f0c0c0073414febbafc77fcf48c) ([merge request](gitlab-org/gitlab!63958)) **GitLab Enterprise Edition**
- [Fix Zuora frame size after client-side error](gitlab-org/gitlab@1dc1e3e5cb9947480488655f311172a362dd2c55) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64595)) **GitLab Enterprise Edition**
- [Fix infrastructure menu link to the first visible menu item](gitlab-org/gitlab@2ed7e99ebd4d44d8b628975314aa21bd332361bc) ([merge request](gitlab-org/gitlab!64592))
- [Upgrade omniauth-azure-activedirectory-v2 to v1.0.0](gitlab-org/gitlab@eee74a26887ebfd52049fae0637b4eac784673b5) ([merge request](gitlab-org/gitlab!64559))
- [GithubImporter: Avoid failing when PullRequest has empty body](gitlab-org/gitlab@2e5585ac07d4064ca955646b6cef391215ecf6d3) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64558))
- [Update margin-left on widget attachment to match content start](gitlab-org/gitlab@b054719340ce39346d0d967f974d66b35f6092ec) ([merge request](gitlab-org/gitlab!64079))
- [Allow Projects with Freeze Periods to be Deleted](gitlab-org/gitlab@a9a9f0b6cf5093d896bacf09596c902a5a9195ed) ([merge request](gitlab-org/gitlab!64338))
- [Fix expiring subscription message on subgroups](gitlab-org/gitlab@5627974d0a0aa4313550cf078d24632e5d3b5fe9) ([merge request](gitlab-org/gitlab!64507)) **GitLab Enterprise Edition**
- [Constraint status checks to protected branches](gitlab-org/gitlab@bb838dc6ecb580e632f991c6e80ad6e9c7e56e25) ([merge request](gitlab-org/gitlab!63422)) **GitLab Enterprise Edition**
- [Enable deep linking on environments page for tabs](gitlab-org/gitlab@d905945c9bc9f919b7282cc01d95a15ad1c5de98) ([merge request](gitlab-org/gitlab!64331))
- [Fix sidekiq:migrate_jobs tasks in production mode](gitlab-org/gitlab@9971da5d6ae65e98e403ff429e6bc91ec6bcb88d) ([merge request](gitlab-org/gitlab!64414))
- [Fix a bug where the displayNamespaceId](gitlab-org/gitlab@0b8959670bf6c061199c9c077407fd5a057d6b0a) ([merge request](gitlab-org/gitlab!64397)) **GitLab Enterprise Edition**
- [Remove add button from Devops Adoption](gitlab-org/gitlab@7c30991b53efb1478c06cbcee1ea80625a2d3449) ([merge request](gitlab-org/gitlab!64400)) **GitLab Enterprise Edition**
- [Create close issue event on issue move](gitlab-org/gitlab@46d221927ce4c28df467b0c13f5fc9b16eea3200) ([merge request](gitlab-org/gitlab!64197)) **GitLab Enterprise Edition**
- [Fix missing "Clear" button on namespace search](gitlab-org/gitlab@a0596df386c4878ae90c59fc6809c7a5336e7073) ([merge request](gitlab-org/gitlab!64378))
- [Remove disable_composer_callback feature flag](gitlab-org/gitlab@99c36e440b29f3e23a2b707d39ac49aafef21679) ([merge request](gitlab-org/gitlab!64336))
- [Fix group avatar API](gitlab-org/gitlab@f8573b56c4cdfa6a4733311f6c495b7be707e899) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/63934))
- [Fix environment folder broken layout](gitlab-org/gitlab@6b8fe36c6b4dfbfa97bca39f86a9be312f637caa) ([merge request](gitlab-org/gitlab!64280))
- [Fix redirection for DAST Scanner Profile](gitlab-org/gitlab@d6dbe84562f0da1b5056acf3ce3dea10bbcd2a4b) ([merge request](gitlab-org/gitlab!64175)) **GitLab Enterprise Edition**
- [Fix visibility of issue enforcement setting](gitlab-org/gitlab@4f99af95dee23e1d07dd7af73f6c77ac1729f1d6) ([merge request](gitlab-org/gitlab!64073)) **GitLab Enterprise Edition**
- [Fix too many redirects during Geo check task](gitlab-org/gitlab@6d80e6a82454f6cd4626b60f16cdad605ec7089f) ([merge request](gitlab-org/gitlab!64265)) **GitLab Enterprise Edition**
- [Format network policies update time](gitlab-org/gitlab@6020f38c9561bc8e5aa1758ebd7075370205c3f6) ([merge request](gitlab-org/gitlab!64205)) **GitLab Enterprise Edition**
- [Use user permissions](gitlab-org/gitlab@ad434a48ea74a065b53d390077d720c7cdf607b6) ([merge request](gitlab-org/gitlab!64125))
- [Display license start date without special format](gitlab-org/gitlab@64e34537ac84713eacc823da4f048bc90e395906) ([merge request](gitlab-org/gitlab!64022)) **GitLab Enterprise Edition**

### Changed (137 changes)

- [Move admin user actions from cards to a dropdown](gitlab-org/gitlab@f77a237d60114f95777c7b01060708c4a3b6a680) ([merge request](gitlab-org/gitlab!64648))
- [Use configured browser locales for date formatting](gitlab-org/gitlab@ce46da1b791f930ac8e7d7780d2cc4678eec1532) ([merge request](gitlab-org/gitlab!65740))
- [Update GraphQL project type field container_registry_enabled](gitlab-org/gitlab@5370ae995cc2c6ffea5e15b39a8ef7b2af1fdc9b) ([merge request](gitlab-org/gitlab!66059))
- [Enable load balancing for Jira Connect workers](gitlab-org/gitlab@299b7e29da831829630dacedac5d1e66bfdc3172) ([merge request](gitlab-org/gitlab!66286))
- [ContainerRepositoriesFinder now checks container registry visibility](gitlab-org/gitlab@383359466c4c9519ea9f5f9bb3df7130db9c5f90) ([merge request](gitlab-org/gitlab!66157))
- [Drop support for Safari 13.0](gitlab-org/gitlab@a66265a17f695dd480128e7b927cdbe86b53497d) ([merge request](gitlab-org/gitlab!66231))
- [Add Finding Evidence Assets](gitlab-org/gitlab@54b0a25e55ccc7ce5a6d395dd063214d837abfa5) ([merge request](gitlab-org/gitlab!65675))
- [Search epic by title in issues](gitlab-org/gitlab@2f08c27c220e3720c7afb429a233f93b01460d13) ([merge request](gitlab-org/gitlab!66024))
- [Migrate Add To Do button to widget](gitlab-org/gitlab@6cfa6b8ee1537695d5751f6f23d262613937d1b1) ([merge request](gitlab-org/gitlab!65709))
- [Makes the feature_name field for UserCallout nullable](gitlab-org/gitlab@69a1222205f74507d6bccbfaaacd7242ad18ed3b) ([merge request](gitlab-org/gitlab!66237))
- [Add a runner cost factor for new public projects](gitlab-org/gitlab@6ef0fa86a39dc5f768797b5fcec9dd142dd6fdc0) ([merge request](gitlab-org/gitlab!65155)) **GitLab Enterprise Edition**
- [Create environment column in policies list](gitlab-org/gitlab@8054ddac18be39a7425069f9a66b557d7f752a9e) ([merge request](gitlab-org/gitlab!65866)) **GitLab Enterprise Edition**
- [Filter service ping payload by category](gitlab-org/gitlab@8406a84441ee33bc8e61d3f339c24a8fdc25a7bb) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65944))
- [Schedule MergeRequestCleanupRefsWorker more efficiently](gitlab-org/gitlab@0080186adfc96a196ba259b619e7dac23aff395b) ([merge request](gitlab-org/gitlab!65647))
- [Update urlParams on Jira issues list page](gitlab-org/gitlab@5179afecaea91a7e68b5b8994dd9c98340cbba02) ([merge request](gitlab-org/gitlab!66054)) **GitLab Enterprise Edition**
- [Remove snippet_spam feature flag](gitlab-org/gitlab@1304f57ca84fdc8edad1aec76e612f892ad6f3d5) ([merge request](gitlab-org/gitlab!66118))
- [Update DevOps Score doc and callout](gitlab-org/gitlab@a9079bb147f6d0851367f03850eb623db5ae63c6) ([merge request](gitlab-org/gitlab!64786))
- [Add sort by popularity to issues](gitlab-org/gitlab@5cc63c5d58c342e4722ea933bf04760630a8cac1) ([merge request](gitlab-org/gitlab!65452))
- [Rename project / group removal to deletion](gitlab-org/gitlab@b45cf6ff0e738fcfadd3162388b15a8e7dd98d3e) ([merge request](gitlab-org/gitlab!66064)) **GitLab Enterprise Edition**
- [Swimlanes - Fetch more epics button](gitlab-org/gitlab@0b9519b3be30a595ae39e73f2ea9d61a7ac23cf1) ([merge request](gitlab-org/gitlab!65121))
- [Change style of add button on License Compliance page](gitlab-org/gitlab@f4ee8502ad77b0cacbaa80b09cba81e74b42823f) ([merge request](gitlab-org/gitlab!66000)) **GitLab Enterprise Edition**
- [Change success color](gitlab-org/gitlab@40a54471a3c56151bed5428eaae8442b6832dcea) ([merge request](gitlab-org/gitlab!65987))
- [Optimized blob view loading in repository](gitlab-org/gitlab@d1e175f89a1eb8fec9c9bc18dccb4e80c3cf24d6) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65859))
- [Require encryption on builds tokens](gitlab-org/gitlab@e704102921ad3c0248044d678003dc8452482782) ([merge request](gitlab-org/gitlab!65166))
- [GithubImporter: Count fetched/import objects globally and by project](gitlab-org/gitlab@de4fd2ce3825ac6d2fe7adc4bbbfe86251d4aa93) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65700))
- [Improve Error Tracking models](gitlab-org/gitlab@a92eb02c4e577cf94af8e2a415d11d0512f887a6) ([merge request](gitlab-org/gitlab!65753))
- [Ignore cloud_license_enabled in ApplicationSetting](gitlab-org/gitlab@d3b0239ff0430f3638db9958ac4131b2f83ca0a8) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65951)) **GitLab Enterprise Edition**
- [Extracted Admin E-mail notification code from EE to core](gitlab-org/gitlab@181ebaa8e5ee94f80a7d26a9166f1e1b008a1c6c) ([merge request](gitlab-org/gitlab!64931))
- [Update Admin Area's Runner Details Page UI](gitlab-org/gitlab@4b18738e2749db8d9ee1a223ca6a05f8055bf820) ([merge request](gitlab-org/gitlab!65948))
- [Add upvotes_count to issues](gitlab-org/gitlab@aeaf3eb433412915fc4b57516a69159446b1102c) ([merge request](gitlab-org/gitlab!65250))
- [Update Admin Area's Runners Page UI](gitlab-org/gitlab@f3ef2a3257da0f7eb6316f969fee1bffb34b3b78) ([merge request](gitlab-org/gitlab!65901))
- [Increment DAST_VERSION in on-demand DAST template](gitlab-org/gitlab@672757e51ea8f739b7b55a3b3c16bd2f2d662e1d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65218)) **GitLab Enterprise Edition**
- [Update the Discord integration embed](gitlab-org/gitlab@e4f38f3f72a46c19a4917b59f71b9f5251060153) ([merge request](gitlab-org/gitlab!65893))
- [Update UI text for CI token scope setting](gitlab-org/gitlab@cdd383041e09c4947489c5f6d8597636c34b7508) ([merge request](gitlab-org/gitlab!65744))
- [Optimised the hash retrieval from URL](gitlab-org/gitlab@e76fa57d5022012fa27f6e16c94047f66eadd3e8) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65854))
- [Update warnings for ci minute quotas](gitlab-org/gitlab@de82b75a26d21d96384398844741bab8608edbf3) ([merge request](gitlab-org/gitlab!65818)) **GitLab Enterprise Edition**
- [Update gitlab-labkit to v0.20.0](gitlab-org/gitlab@e22930f32a5aca7b77d224b1e4862df14161b128) ([merge request](gitlab-org/gitlab!65809))
- [Update requirement import modal to show focus](gitlab-org/gitlab@ab161f59d6fffa59882c80e79ca1597f4b474c38) ([merge request](gitlab-org/gitlab!65447)) **GitLab Enterprise Edition**
- [Mask runner registration](gitlab-org/gitlab@ddc541bb444ccdba4be077211609c603f57eda61) ([merge request](gitlab-org/gitlab!65551))
- [Update DAST version for offline environments](gitlab-org/gitlab@11eac5eb81936bb248db227f8da5f05d69d9bc39) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65603)) **GitLab Enterprise Edition**
- [Add Finding Evidence Supporting Messages](gitlab-org/gitlab@065416b87421ea3e276b95d95677b820ce582c18) ([merge request](gitlab-org/gitlab!65686))
- [Update buildkite.rb](gitlab-org/gitlab@2425955cfe720955f481917a825d25f3345ab8ba) ([merge request](gitlab-org/gitlab!65658))
- [Use load balancing for Jira Connect workers](gitlab-org/gitlab@1b0b3d253d44f15ad519e492e646bc6e98f967d0) ([merge request](gitlab-org/gitlab!64715))
- [Start reading project_features.container_registry_access_level](gitlab-org/gitlab@aeff2cf9f841076ee6a1e2bb3d45a1689e38205a) ([merge request](gitlab-org/gitlab!65540))
- [Rearrange milestone form](gitlab-org/gitlab@36542b1d528d8c9fd8f0164279d092007025bd99) ([merge request](gitlab-org/gitlab!65718))
- [Update license compliance icons](gitlab-org/gitlab@d75c43ee01d86d169ffb4cee50f47289075848d2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64584)) **GitLab Enterprise Edition**
- [Improve consistency of admin user dropdown actions](gitlab-org/gitlab@5547886a61bb2330139446bbc68e6ce098f8674c) ([merge request](gitlab-org/gitlab!65668))
- [Remove cloud_license_enabled application setting](gitlab-org/gitlab@d598d2a85a7e262f1f0a25ef7e6566d9de3cde37) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65538)) **GitLab Enterprise Edition**
- [Remove date from Seat Link data fields](gitlab-org/gitlab@8fa98066bdc82e3b9039029fac7e0fe2fbdc2105) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65190)) **GitLab Enterprise Edition**
- [Update dot style for DORA lead time graphs](gitlab-org/gitlab@b7d5c68c51d93b9681647fa21710617349b1856c) ([merge request](gitlab-org/gitlab!65555)) **GitLab Enterprise Edition**
- [Schedule devops adoption calculation only for pending namespaces](gitlab-org/gitlab@9193e19ed055814b3ab6df4aa6b2ed83d64be70c) ([merge request](gitlab-org/gitlab!65443)) **GitLab Enterprise Edition**
- [Move "Show latest version" button to the left](gitlab-org/gitlab@d1c4e90e3d8588693178122ab10a3438d52f1e46) ([merge request](gitlab-org/gitlab!65338))
- [Allow wiki pages to be empty](gitlab-org/gitlab@2bc6eefbedc3015d9b49e34e20fdb2d3be1f7ec7) ([merge request](gitlab-org/gitlab!65521))
- [Bump Nokogiri from v1.11.4 to v1.11.5](gitlab-org/gitlab@4c49f6980fd1aadfe622fa7a13db3ffe487be591) ([merge request](gitlab-org/gitlab!65597))
- [Log and advise about push-rule-rejected commit](gitlab-org/gitlab@ae30a545cd7fcd34c59531bccf3ebbaaf9e2ec09) ([merge request](gitlab-org/gitlab!64933)) **GitLab Enterprise Edition**
- [Update supported browser versions](gitlab-org/gitlab@0849d34993c01805e794a64f2d1e4bde15d8f788) ([merge request](gitlab-org/gitlab!63994))
- [Merge branch '334976-fix-misleading-upgrade-cta-jira-issues' into 'master'](gitlab-org/gitlab@b7a38de74932e04248ec77d0bd750433acf3d312) ([merge request](gitlab-org/gitlab!65302))
- [Update timestamp fields to Standard](gitlab-org/gitlab@28d9eb2afd64e7fd1d0cd211c48a28a47eec562b) ([merge request](gitlab-org/gitlab!65523))
- [Update copy and type for sync subscription banner](gitlab-org/gitlab@36474d85fc9a6f0bdaa5f77bd27d852f43c3c63e) ([merge request](gitlab-org/gitlab!65316))
- [Upgraded Monaco to 0.25.2](gitlab-org/gitlab@281b581885f23e7e311c7ca19f7bc140acbedb7a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/63400)) **GitLab Enterprise Edition**
- [Reintroduce lfs_link_existing_object feature flag](gitlab-org/gitlab@b9bd7169450001edde4946f48c90446965e6c34b) ([merge request](gitlab-org/gitlab!65437))
- [Show 'Delete' button to developers in Wiki](gitlab-org/gitlab@8babca59505c323ad739f335a337fa1a71f8f003) ([merge request](gitlab-org/gitlab!65420))
- [Switch back to pg_query](gitlab-org/gitlab@5a6b009504317c6bcbd4c36171cd74f961ed63a9) ([merge request](gitlab-org/gitlab!65416))
- [Use Gitaly long timeout for resolving conflicts](gitlab-org/gitlab@2afa172683dc8257e2f28d70ecaf3ffadfdfece2) ([merge request](gitlab-org/gitlab!65394))
- [Add upvotes field to issues index](gitlab-org/gitlab@3431b3ef3df2a214a773b449cc7b8de284ca228c) ([merge request](gitlab-org/gitlab!64683)) **GitLab Enterprise Edition**
- [Identicon - Align GitLab UI Colors](gitlab-org/gitlab@b05e2e2b0a4aee57d968b90737b69a2ae31c5c6f) ([merge request](gitlab-org/gitlab!65058)) **GitLab Enterprise Edition**
- [Update color scheme of createFlash](gitlab-org/gitlab@355659cf1ef25465edb5228d6bac7c147f193719) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65315))
- [Fix misleading upgrade CTA in Jira configuration](gitlab-org/gitlab@703c55429e659a4ecdf50864fa1e9adc62e39a95) ([merge request](gitlab-org/gitlab!65302))
- [Sort fork form namespaces alphabetically](gitlab-org/gitlab@727106f000c40f0963cb2549ecb45260222720fa) ([merge request](gitlab-org/gitlab!65178))
- [Present error when DAST profile not found](gitlab-org/gitlab@d6d35d573136eacad2775825ca5a60d221b79dc0) ([merge request](gitlab-org/gitlab!64679))
- [Add selected to description](gitlab-org/gitlab@650eac6656704667e62253164957aecb967a7775) ([merge request](gitlab-org/gitlab!65184))
- [Remove the sec_secret_detection_ui_enable feature flag](gitlab-org/gitlab@7d3cb546730fd644ec5e14a0a9aa712cc11f5f19) ([merge request](gitlab-org/gitlab!65055)) **GitLab Enterprise Edition**
- [Block external pull mirrors for forks](gitlab-org/gitlab@ea13d159356916dfc8c37a9c8fb06104d396f327) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/60735))
- [DRY deactivate dormant user worker spec](gitlab-org/gitlab@826f278a7918d1cc24a390f5c2ffcc4a5844f3c7) ([merge request](gitlab-org/gitlab!65226))
- [Fix sorting bug in dependency list](gitlab-org/gitlab@bf0849ac3290e747e4c3d8efbf806f60ce9ed954) ([merge request](gitlab-org/gitlab!63500)) **GitLab Enterprise Edition**
- [Create or update a cloud license on sync/activate](gitlab-org/gitlab@ab3dd3913695945b49e920e3c86f32ffdd2a5c20) ([merge request](gitlab-org/gitlab!64825)) **GitLab Enterprise Edition**
- [Truncate body length](gitlab-org/gitlab@fd3480dec9e5dd28e4b813168a1bac635a83bb35) ([merge request](gitlab-org/gitlab!65195)) **GitLab Enterprise Edition**
- [Update dictionary renderer to include data category](gitlab-org/gitlab@b4559327085e3e2b5a8ccdcdd9656c99d26bb55c) ([merge request](gitlab-org/gitlab!64641))
- [Add policy type column](gitlab-org/gitlab@b7d8ca57f8bc7114e578f9b90e31f4ef861b609d) ([merge request](gitlab-org/gitlab!65075)) **GitLab Enterprise Edition**
- [Trial CTA source split](gitlab-org/gitlab@dd7cde6028eaed91abcadc0ace40c4d4f8e1f56f) ([merge request](gitlab-org/gitlab!64848)) **GitLab Enterprise Edition**
- [Change the number of pipelines per page to 15](gitlab-org/gitlab@02da71f3cd22173c65d1063f0a87a1bce1f12443) ([merge request](gitlab-org/gitlab!64285))
- [Revise the navbar to use sentence case](gitlab-org/gitlab@9e677ac05dc994bdcc5eb3a2e44e056bfccee85b) ([merge request](gitlab-org/gitlab!60324))
- [Update status column in Threat Monitoring](gitlab-org/gitlab@4c6499712f26ea649b8fbfa1644adf40f73a2eb6) ([merge request](gitlab-org/gitlab!64959)) **GitLab Enterprise Edition**
- [Bump import job status expiration to 24h](gitlab-org/gitlab@d6c0b2a55518c490782468d3f7170c4bca52c622) ([merge request](gitlab-org/gitlab!65066))
- [Promote new_repo experiment](gitlab-org/gitlab@06da8d4cdc98f71311d419f6c986a6e739fedc9b) ([merge request](gitlab-org/gitlab!64651))
- [Re-named the remaining EditorLite files](gitlab-org/gitlab@00c3f33effc2cf40dbea42ec94ede1e432d3f98d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64909))
- [Update compliance dashboard empty state](gitlab-org/gitlab@92278867fb87c9d65329a9f9f9a6d9cdb68c36ab) ([merge request](gitlab-org/gitlab!64936)) **GitLab Enterprise Edition**
- [Polish formatted_stage_count for analytics](gitlab-org/gitlab@035db94f1193130c304e8fb73bfe8c578b48e174) ([merge request](gitlab-org/gitlab!64960))
- [VSA: Change item count to 1000+](gitlab-org/gitlab@4af12b457c1a7a7ea2bb60a56ae54409bd52539c) ([merge request](gitlab-org/gitlab!64789)) **GitLab Enterprise Edition**
- [Move Scan PORO to CE [RUN AS-IF-FOSS]](gitlab-org/gitlab@bd817787d1dc88e45526b92c3e48e1a6a34da6d7) ([merge request](gitlab-org/gitlab!64790))
- [Enable ci_job_trace_force_encode feature flag by default](gitlab-org/gitlab@3b2396ddb1de8504e8611741a4c9c6cdd1c903a8) ([merge request](gitlab-org/gitlab!64955))
- [Move migration to a pre-deployment migration](gitlab-org/gitlab@2050852f3f5adcf252c81c606f5e2de5dee85b03) ([merge request](gitlab-org/gitlab!64948)) **GitLab Enterprise Edition**
- [Remove access request controls in admin area](gitlab-org/gitlab@b7faa327eb8553d04366f3f3e4a9297d3131461c) ([merge request](gitlab-org/gitlab!64659))
- [Revise UI text for third-party offers](gitlab-org/gitlab@294b85eb7c83cdff3950322ee7a06c68b9523651) ([merge request](gitlab-org/gitlab!64943))
- [Add documentation for billable member sorting](gitlab-org/gitlab@c3487a06ac93454040f385692c4b3e61bddda11e) ([merge request](gitlab-org/gitlab!64911))
- [Add confirmation modal to "Sync now" LDAP button](gitlab-org/gitlab@9c316cc35879410a2c4d75ae9c545d67393a5bc1) ([merge request](gitlab-org/gitlab!64555)) **GitLab Enterprise Edition**
- [Add correct extension to dotnet CI template](gitlab-org/gitlab@ab15294353a6b78de99153e1a8cab108c63e32d9) ([merge request](gitlab-org/gitlab!64901))
- [Rename ci examples readmes to index](gitlab-org/gitlab@c9a96e20dbf3aa2aeaec5f027ce3e3d4d2e31429) ([merge request](gitlab-org/gitlab!64885))
- [Update copy for DAST code snippet modal](gitlab-org/gitlab@9e782ede13a2cd78ea15fcc986e9aa1284455e3e) ([merge request](gitlab-org/gitlab!64788)) **GitLab Enterprise Edition**
- [Add source version check to Bulk Import](gitlab-org/gitlab@80c22fd67bd8e60babd3752f91de8f618f578320) ([merge request](gitlab-org/gitlab!63886))
- [Fix deprecated GlIcon size and property](gitlab-org/gitlab@72163f87f634b33195258a7a5b1435c31ba3493a) ([merge request](gitlab-org/gitlab!63003))
- [Rename usage ping to service ping](gitlab-org/gitlab@db8e2c3ba5c829c83b993616b07c21ab908fde2c) ([merge request](gitlab-org/gitlab!64732))
- [Use minimal layout in trial flow](gitlab-org/gitlab@c0ba92fa4fa40de6f85a25edd2179d635ab14117) ([merge request](gitlab-org/gitlab!63588))
- [Fix admin mode when authenticating with LDAP](gitlab-org/gitlab@a87172353c8c7aa688f1895222ee6b652908b02c) ([merge request](gitlab-org/gitlab!64823))
- [Simplify the sign in page after confirmation](gitlab-org/gitlab@8c7d3a45e8001eef9f0c7be75ce5534624a8a99d) ([merge request](gitlab-org/gitlab!64370))
- [Enable FF ci_reset_bridge_with_subsequent_jobs by default](gitlab-org/gitlab@838875292f010d00f1bbaad631ec3b95069c73ad) ([merge request](gitlab-org/gitlab!64778))
- [Sort milestones by due date in filtered search](gitlab-org/gitlab@df5f2741a53123e05445e42cf076996f9383d211) ([merge request](gitlab-org/gitlab!64617))
- [Add searchability to ci template dropdown](gitlab-org/gitlab@361633ca1410e044b708de9fec0f039e9f080b50) ([merge request](gitlab-org/gitlab!63268)) **GitLab Enterprise Edition**
- [Remove deprecated API elements](gitlab-org/gitlab@0d4615ce2287429dd06770d6d13939a5d6628fcf) ([merge request](gitlab-org/gitlab!64752))
- [Remove unncessary type options](gitlab-org/gitlab@0d97d1e9e28a271c15bbfbd009a23309d3fb099f) ([merge request](gitlab-org/gitlab!63919))
- [Migrate top-centered toasts to bottom-left](gitlab-org/gitlab@b74175ca02761751e7f18c3936eb4d571a9d2a71) ([merge request](gitlab-org/gitlab!63919)) **GitLab Enterprise Edition**
- [Upgrade @gitlab/ui to v30.0.0](gitlab-org/gitlab@39b9d1c9d0b155fbcb86690d2402d3e568db9585) ([merge request](gitlab-org/gitlab!63919))
- [Remove web_hooks_rate_limit feature flag](gitlab-org/gitlab@9bd9d414afe3cae800ba0b93a5ffa91891809a11) ([merge request](gitlab-org/gitlab!64708))
- [Default-enable :update_remote_mirror_inmemory feature flag](gitlab-org/gitlab@bfdf0dc256aa0e747e94b09a12f1f2d8b5ab6a75) ([merge request](gitlab-org/gitlab!64702))
- [Default-enable :fetch_remote_params feature flag](gitlab-org/gitlab@877a101ac6fcf924b2428fd256bed3982854c4b2) ([merge request](gitlab-org/gitlab!64701))
- [Remove the regulated tab from compliance frameworks list](gitlab-org/gitlab@d1d9cdb68ae7732dbdb67008db724ba95f95b57d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64690)) **GitLab Enterprise Edition**
- [Move Debian regexp to ::Packages::Debian](gitlab-org/gitlab@f836ae221c5eff7dc77be2d6663643daa1638784) ([merge request](gitlab-org/gitlab!64068))
- [Add Pending Alert Escalations table](gitlab-org/gitlab@e5cc867503dfbd54f99df90cce6be39bc4fde712) ([merge request](gitlab-org/gitlab!64274))
- [Add parameters to in app purchase links](gitlab-org/gitlab@07533e376295cbfc8dcfe529cc1ef5ea5ce87a3f) ([merge request](gitlab-org/gitlab!64395))
- [Search: add ability to sort epics](gitlab-org/gitlab@df6a2a949e84896af9d32aa5558ad5fe387d25de) ([merge request](gitlab-org/gitlab!64402)) **GitLab Enterprise Edition**
- [Support repository moved message with all container types](gitlab-org/gitlab@6c612d69bb26d51a0decb830add384161844cc28) ([merge request](gitlab-org/gitlab!64012))
- [Allow billable member sorting by last activity](gitlab-org/gitlab@fb491cef0630d0da90f6ff1c3a613d465a95b153) ([merge request](gitlab-org/gitlab!64620)) **GitLab Enterprise Edition**
- [Render confidential icon in epic tree for epics](gitlab-org/gitlab@df4415158e06a4e827cf9c417c8848000a8d91e6) ([merge request](gitlab-org/gitlab!64567))
- [Sort epic list in issue sidebar by title](gitlab-org/gitlab@3dc5b05e4fc541471d77026983a7ddc3ee977770) ([merge request](gitlab-org/gitlab!63730)) **GitLab Enterprise Edition**
- [GithubImporter: Count and log each object imported](gitlab-org/gitlab@decb7bfb0aac26dc5d5c2f7e15421302c57a2cf6) ([merge request](gitlab-org/gitlab!64256))
- [Standardize UI text for protected branches and protected tags](gitlab-org/gitlab@9134784ebd9ac61665ed38f525c662b62e21964b) ([merge request](gitlab-org/gitlab!63959))
- [Allow to promote confidential issues into confidential epics](gitlab-org/gitlab@aa8034b927f3ca8dd3c69626b8fa05318b930a92) ([merge request](gitlab-org/gitlab!64253))
- [Sort by similarity in Search Group's Project dropdown](gitlab-org/gitlab@dd4b1a1b5963d3c13026804ce6ee00d53b5f90a3) ([merge request](gitlab-org/gitlab!64241))
- [Refactor db selection in SidekiqServerMiddleware](gitlab-org/gitlab@18501e372c2dd3bd0c4d43120afd756aed04bcff) ([merge request](gitlab-org/gitlab!63304))
- [Renamed EditorLite to SourceEditor](gitlab-org/gitlab@849b4aac6e7d7a228d383f2042f9496c5365528f) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64302)) **GitLab Enterprise Edition**
- [Remove job dependency for Vulnerability-Check](gitlab-org/gitlab@76551c13ead5ae01be2f2118f07fde6d2e2db558) ([merge request](gitlab-org/gitlab!64333)) **GitLab Enterprise Edition**
- [Reduce horizontal padding in new top nav](gitlab-org/gitlab@400b4200940d13049a0dbc040ebd0f3b725d3b6b) ([merge request](gitlab-org/gitlab!64357))
- [Add descriptions for EpicStateEnum](gitlab-org/gitlab@6a5b63e4c9405d744abda67ac1e6e54ca56e9a15) ([merge request](gitlab-org/gitlab!63915)) **GitLab Enterprise Edition**
- [Relabel access token fields](gitlab-org/gitlab@53180d13efd7411ec8194a25b4e8578bed5e8353) ([merge request](gitlab-org/gitlab!62616))
- [Pajamas-compliant dismiss button for HAML alerts](gitlab-org/gitlab@edf4fec49d8bc6d4c12fb1a3b6a73720693996d2) ([merge request](gitlab-org/gitlab!63792))
- [Add validation to additional pack purchase_xid](gitlab-org/gitlab@1647549088bed44b12388deb82828695dc290c7a) ([merge request](gitlab-org/gitlab!63866)) **GitLab Enterprise Edition**
- [Use standard filter for scanner filter on non-project level vuln report](gitlab-org/gitlab@f5d989895af22827c7f4be3e1d2cef3e552f8d41) ([merge request](gitlab-org/gitlab!63940)) **GitLab Enterprise Edition**

### Deprecated (1 change)

- [Deprecate GraphQL PrometheusServiceID argument](gitlab-org/gitlab@b86b6f90fad607ac058bec59e40568752a724ca9) ([merge request](gitlab-org/gitlab!62645))

### Removed (24 changes)

- [Remove securityScansSucceeded from DevOps Adoption](gitlab-org/gitlab@eac43a025ccb01b1502dad2542985686cdada1de) ([merge request](gitlab-org/gitlab!66291)) **GitLab Enterprise Edition**
- [Remove old license page logic](gitlab-org/gitlab@a90ec139423285cd8046a6373603c4b79d85e46d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65978)) **GitLab Enterprise Edition**
- [Remove trace_memory_allocations FF](gitlab-org/gitlab@aac6b96b7e46895e4221bae2033c7686ba3c9926) ([merge request](gitlab-org/gitlab!66022))
- [Undo CTE fix for PG11](gitlab-org/gitlab@d8daab8c792e4c1b4cdbd166414ceeebd85a23ca) ([merge request](gitlab-org/gitlab!58499))
- [Delete framework column from project_compliance_framework_settings](gitlab-org/gitlab@89dbf6592975fc8cec8949669a0f63a7083dd891) ([merge request](gitlab-org/gitlab!65546))
- [Removed ff sidebar_refactor from views](gitlab-org/gitlab@6c3da94333ca25b629fd2d259249386a5ee1d842) ([merge request](gitlab-org/gitlab!64384))
- [Remove productivity_analytics_scatterplot flag](gitlab-org/gitlab@86047a245f868867b27830ea4dae0c7a2ee20650) ([merge request](gitlab-org/gitlab!65456)) **GitLab Enterprise Edition**
- [Remove cycle analytics scatterplot ff](gitlab-org/gitlab@12d74f0e309488e057e9a091215be0e8fddf7c89) ([merge request](gitlab-org/gitlab!65515)) **GitLab Enterprise Edition**
- [Remove the approvals_commented_by feature flag](gitlab-org/gitlab@7e1715d0b857c638756fb851d5e78ca258ae2f47) ([merge request](gitlab-org/gitlab!65319))
- [Remove the use_workhorse_s3_client feature flag](gitlab-org/gitlab@152f6ad7ede46eb0fc7205b921ae290be174c4e3) ([merge request](gitlab-org/gitlab!65321))
- [Remove the use_distinct_in_shas_cte FF](gitlab-org/gitlab@4068bbd9b0e5f219444fa3bfe63c75b468b081f4) ([merge request](gitlab-org/gitlab!65027))
- [Remove un-used Event archived action](gitlab-org/gitlab@3351661fd57e704d89602b789948bf801fb252d4) ([merge request](gitlab-org/gitlab!64543))
- [Remove Frontend to Edit Legacy Flags](gitlab-org/gitlab@21c7e932706643c2d768fa7f6cec991a13c01e6e) ([merge request](gitlab-org/gitlab!64005))
- [Removes pipeline_filter_jobs feature flag](gitlab-org/gitlab@34b1a2285b84be61bf61f4dd7d932150322b1c24) ([merge request](gitlab-org/gitlab!64919))
- [Remove Clusters Applications Fluentd Table](gitlab-org/gitlab@6d6e6cf4a9eb6c7ab9bd47c453a05676217c30d9) ([merge request](gitlab-org/gitlab!63758))
- [Drop deprecated Prometheus settings in gitlab.yml](gitlab-org/gitlab@0e3e4062ee5db1d09f6929883aa9f86204184d77) ([merge request](gitlab-org/gitlab!64264))
- [Remove ability to enable/disable seat link from settings](gitlab-org/gitlab@ae9b4072befbb882cb75afdbead5b96d013625d3) ([merge request](gitlab-org/gitlab!64160)) **GitLab Enterprise Edition**
- [Drop index_ci_builds_on_protected index](gitlab-org/gitlab@baa41860d52495b7f35e5b49025b55b0c5147f5d) ([merge request](gitlab-org/gitlab!64229))
- [Remove Legacy Flags from Feature Flag Table](gitlab-org/gitlab@f7097cf1c1b3dd6d3bec67a4e3717ae32defc5e8) ([merge request](gitlab-org/gitlab!64007))
- [Enable the new project sidebar](gitlab-org/gitlab@8aafc4b18bc42628aa8f19552dae811f0d5eaef6) ([merge request](gitlab-org/gitlab!63850))
- [Remove omit_commit_sha feature flag](gitlab-org/gitlab@05b4762c3a36fd1b457f79e587ee9218dcdcc5a3) ([merge request](gitlab-org/gitlab!64421))
- [Drop LB FF for ExpirePipelineCacheWorker](gitlab-org/gitlab@170984c79395707ab9cd4dfc060ff83d8efe3ca6) ([merge request](gitlab-org/gitlab!64181))
- [Remove new_release_page feature flag](gitlab-org/gitlab@abc9814684792e8f8d62846b36f46e4622906487) ([merge request](gitlab-org/gitlab!64153))
- [Drop load-balancing FF in PipelineHooksWorker](gitlab-org/gitlab@eae1cf34cb6e58393d6f74caf9b9541e5e29fcfc) ([merge request](gitlab-org/gitlab!64107))

### Security (17 changes)

- [Update addressable gem to v2.8.0](gitlab-org/gitlab@62b7b1d3f28a98019fde619bde4e0e0530e821ef) ([merge request](gitlab-org/gitlab!66202))
- [Disable file and network premailer strategies](gitlab-org/gitlab@c194597ae04e812f3b5be7339412413a04703ae4)
- [Add total http read timeout](gitlab-org/gitlab@5d7b5696955c2928d82adaf50ed73f53cb1939bf)
- [Update rdoc to 6.3.1](gitlab-org/gitlab@20d56f81f9aa282cb2e195a916f4c5e0fcb8084d)
- [Forbid GET requests with mutations](gitlab-org/gitlab@7d16feb31fb360123c4b8ddaa85de6ddb5ddf119)
- [Prevent GraphQL API access by deactivated users](gitlab-org/gitlab@414b5fb0b34fd6640369314013924c5524aa16a5)
- [Add sanitizing for name field](gitlab-org/gitlab@5fee1e3d52934f770e6f0334a0fbee5b891de5b6)
- [Fix XSS on audit log for feature flag actions](gitlab-org/gitlab@70e0b2630f5e439017931b196e5ebcf2ff4e9cdb)
- [Copy feature visibility settings to a fork](gitlab-org/gitlab@c2ef1c24770b024e0cb5a1d3346b8743aec28e47)
- [Avoid disclosing project in web IDE](gitlab-org/gitlab@09324e21488351e0c09806ad727b4c1e957ad288)
- [Allow only same-origin URLs for Edit Release Cancel button](gitlab-org/gitlab@cfff402646e95d30183168efdbda8d114c5f89c0)
- [Add new username validation](gitlab-org/gitlab@b14210fd775c1f384191410bd327a318a5293ffb)
- [Removes security_ci_lint_authorization code](gitlab-org/gitlab@8a69d1f03947e3f85f48dd920c1bff3639609875) ([merge request](gitlab-org/gitlab!64092))
- [Update Nokogiri to 1.11.4](gitlab-org/gitlab@dcf26b79caa46ee31bd5e3ad7ca95bec7e59e5be)
- [Fix deploy key fallback issue in protected branch](gitlab-org/gitlab@58d1df0c6a3149c5c07825036be5e8fe3f1edd1c)
- [Sanitize input on pasteGFM](gitlab-org/gitlab@a5fcd806ff4e6e7510f9981c5d8eacab571a64d7)
- [Fix merge request diff display issue with unsupported encoding](gitlab-org/gitlab@7fa23a8854aed205af22fc904db117dbecec389f)

### Performance (31 changes)

- [Update anscestor deduplication in pipeline graph](gitlab-org/gitlab@12790c458eac27bda671e609ca9b07d2bb6cad4e) ([merge request](gitlab-org/gitlab!66283))
- [Enqueue async, non-blocking jobs for group-group share actions](gitlab-org/gitlab@dc475336c83a324eaafe105864cb8b569a307447) ([merge request](gitlab-org/gitlab!66349))
- [Immediately show parent row](gitlab-org/gitlab@f5f66238b66656138f6411b8af43d978a192b0dd) ([merge request](gitlab-org/gitlab!66176))
- [Improve sort by popularity for issues board](gitlab-org/gitlab@e87edb6bccd20d37b4f424ca195aad3f57017d51) ([merge request](gitlab-org/gitlab!66140))
- [Adjustments to compare caching](gitlab-org/gitlab@9b2f6917b7512720897c2a1f7b4c18945c75dc2d) ([merge request](gitlab-org/gitlab!65839))
- [Move link icon to CSS](gitlab-org/gitlab@9fb7127e8dfd351652d5c3a5930c7fbfd9da04b5) ([merge request](gitlab-org/gitlab!65835))
- [Lazy load avatars](gitlab-org/gitlab@b8efcdf7cf3ec9760c1ff468549de5982bcbe284) ([merge request](gitlab-org/gitlab!65745))
- [Increase page size exponentially](gitlab-org/gitlab@0175d9c776f3c6890fe87e807882a19adc32c9ae) ([merge request](gitlab-org/gitlab!65654))
- [Reduce space needed for merge request diff commits](gitlab-org/gitlab@43a3ce63af857909f3dd6051ca686e3254613086) ([merge request](gitlab-org/gitlab!63669))
- [Preload project user authorizations on REST API](gitlab-org/gitlab@f0b0358b27cc9a153d0a6452bf37ab456b51d003) ([merge request](gitlab-org/gitlab!65602))
- [Remove replica selection change FF](gitlab-org/gitlab@3848ff313b41e52d5ab2ad3c47f4d91a9c352a57) ([merge request](gitlab-org/gitlab!65545))
- [Remove redundant call to RenderService](gitlab-org/gitlab@9b8af9c7505aea0442ba87ab170f0a43ca4fc378) ([merge request](gitlab-org/gitlab!65494))
- [Cache rendered compare entity](gitlab-org/gitlab@b49afc54b836ce9fc053a34a9d931b17872b14a9) ([merge request](gitlab-org/gitlab!64418))
- [Use linear root_ancestor when possible](gitlab-org/gitlab@0b1bd65439992857c5725425f0d44668fdd93887) ([merge request](gitlab-org/gitlab!65401))
- [Schedule requirements processing conditionally](gitlab-org/gitlab@b1ba1aa7a945226a3d24dc96371686bd9381a27f) ([merge request](gitlab-org/gitlab!65322)) **GitLab Enterprise Edition**
- [Fix Namespace#all_projects performance](gitlab-org/gitlab@e0cc0fc67ca41caa9e0b7f67814414f56ad51a2c) ([merge request](gitlab-org/gitlab!65296))
- [Improve LoadBalancer#all_caught_up? logic](gitlab-org/gitlab@c5dd0858774a712ab4ea2f7f039530c013d8e4f8) ([merge request](gitlab-org/gitlab!65248))
- [Drop full index on ci_builds.token](gitlab-org/gitlab@e7f43db607d70b4cb3c042cb84d671ee0fc29287) ([merge request](gitlab-org/gitlab!65025))
- [Linear traversal query for Namespace#self_and_ancestors](gitlab-org/gitlab@c26e1ae1bebbe31ed47d5e16bdfe0f348b17c41a) ([merge request](gitlab-org/gitlab!61163))
- [Use async job when creating/updating EpicIssue](gitlab-org/gitlab@03c651f6b0a7d714e0f267302d39313161d9f709) ([merge request](gitlab-org/gitlab!64524)) **GitLab Enterprise Edition**
- [Enable milestone reference caching](gitlab-org/gitlab@619c21e3b02f526c19ebb59df1596f6598a67c71) ([merge request](gitlab-org/gitlab!62742))
- [git_access: Use batched new blobs check](gitlab-org/gitlab@f73f0c7bfb080384d2f9f8f4a139f353a62a0830) ([merge request](gitlab-org/gitlab!64503))
- [Eliminate some N+1 queries on project-pipeline GraphQL endpoint](gitlab-org/gitlab@82099148697c6d2de854d5af1df58dfb29551c8a) ([merge request](gitlab-org/gitlab!64700))
- [Improve the performance of project/users API](gitlab-org/gitlab@5b7f3608c191fcaece081d3e67b4f128cb4d848a) ([merge request](gitlab-org/gitlab!64528))
- [Replacement partial index for ci_builds.token](gitlab-org/gitlab@0205c7d01c192235447b3fe4ccf0a99eb34a5c26) ([merge request](gitlab-org/gitlab!64221))
- [Use materialied CTE to improve builds fair scheduling](gitlab-org/gitlab@8fbbcb87137f7693ecd9833fa5df238af35a1436) ([merge request](gitlab-org/gitlab!64605))
- [Speed up initial page load on Releases page](gitlab-org/gitlab@efb7212fa71ad570bd3e32b5c7374efc54228f34) ([merge request](gitlab-org/gitlab!63914))
- [Remove replica selection change FF for LB](gitlab-org/gitlab@cb8d9048ea5e7da265941e2702ed945182e4e1ec) ([merge request](gitlab-org/gitlab!64300))
- [Remove duplicate where condition](gitlab-org/gitlab@f968729aee1dc062161247df05786a98a5f5e4c2) ([merge request](gitlab-org/gitlab!64214))
- [Implement pending builds queue builder in a separate class](gitlab-org/gitlab@e9368df2d44c54ef965bac6d37c4d5b35c86e024) ([merge request](gitlab-org/gitlab!64093))
- [Utilize load balancing for BuildQueueWorker](gitlab-org/gitlab@57a35133e18c43c0c110371c4b3e6012af215a11) ([merge request](gitlab-org/gitlab!64180))

### Other (58 changes)

- [Support reindexing unique indexes](gitlab-org/gitlab@982f22573b9975f6097834ecf76c62915f68dda6) ([merge request](gitlab-org/gitlab!65966))
- [Revise group Pages size UI text](gitlab-org/gitlab@526a8ca626c063a32b8d9fd0d9abba5b22be9535) ([merge request](gitlab-org/gitlab!65862)) **GitLab Enterprise Edition**
- [First run for events dictionary for backend](gitlab-org/gitlab@2f2e27cb53a3509387216d7fc99e0bf35501524f) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62422)) **GitLab Enterprise Edition**
- [Record message size transmitted over action cable](gitlab-org/gitlab@31407b25c1f77ab57b4e000e4f82ae4d6d8cdf0a) ([merge request](gitlab-org/gitlab!65286))
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@8c321d20d47230e9925abb1e151c9e6006a5440f) ([merge request](gitlab-org/gitlab!65898)) **GitLab Enterprise Edition**
- [Rename License.usage_ping to License.customer_service_enabled](gitlab-org/gitlab@63ed6908275668d2aeb48328b5dfec121b15442a) ([merge request](gitlab-org/gitlab!65834)) **GitLab Enterprise Edition**
- [Remove codequality_mr_diff_annotations flag](gitlab-org/gitlab@74b47ffe5bb656af9cd4acc4be23d218c634f6e7) ([merge request](gitlab-org/gitlab!65960)) **GitLab Enterprise Edition**
- [Remove temporary feature flags](gitlab-org/gitlab@d7049bc4e817a07b64659469dd48e6a6894610e7) ([merge request](gitlab-org/gitlab!65544))
- [Remove the codequality_mr_diff feature flag](gitlab-org/gitlab@3d29d6688ea82163c93a198071d15a4c206ee604) ([merge request](gitlab-org/gitlab!63461)) **GitLab Enterprise Edition**
- [Add troubleshooting section to batched migrations docs](gitlab-org/gitlab@354021bcf53db7148e2a809e1e5c5de5596683e4) ([merge request](gitlab-org/gitlab!65513))
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@b09ea9f2ce741f1c716bbd26a329b57bb22cfee1) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65894))
- [Fix security scan query timeout](gitlab-org/gitlab@bda826eb4191b728b8a5e1066992df1cff7bd7fd) ([merge request](gitlab-org/gitlab!65742))
- [Index batched migration jobs by max value](gitlab-org/gitlab@2d5ef1590c5838288c49098916c38ddc8d5d51fa) ([merge request](gitlab-org/gitlab!65838))
- [Delete legacy operations feature flags](gitlab-org/gitlab@f8b0938512861b3587cd4d3f639497b61ca9403d) ([merge request](gitlab-org/gitlab!63742))
- [Avoid splitting strings in repository maintenance UI](gitlab-org/gitlab@9991ad6bb0c1c9695815cb30268f19c3fd375ebd) ([merge request](gitlab-org/gitlab!65717))
- [Fix GLIcon size property](gitlab-org/gitlab@4db2830055a87cfad119b81f25feb85c09557843) ([merge request](gitlab-org/gitlab!63014))
- [Only reindex btree and gist indexes](gitlab-org/gitlab@ef4d7992c7499a741cc1c06ae19da8fec04d7e23) ([merge request](gitlab-org/gitlab!65655))
- [Refactoring string literals used for snowplow tracking in the sidebar](gitlab-org/gitlab@de218bbea3ae074b02600e92b6afdb7890a8cbee) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65646)) **GitLab Enterprise Edition**
- [Refactor health status widget to use Apollo](gitlab-org/gitlab@90a2f8c15e10e97e7d20159e3a4647e4c81ec33a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/6498)) **GitLab Enterprise Edition**
- [Migrate the deprecated "urlParamsToObject" to "queryToObject"](gitlab-org/gitlab@5c8c65cff8402a001374d29ef36d4cfca52df374) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/65398))
- [Improve gradle QA scenario](gitlab-org/gitlab@85558babfcd274db51c001a64e24c55966b4a69b) ([merge request](gitlab-org/gitlab!64419))
- [Update help for renamed documentation index](gitlab-org/gitlab@5a633772d51cdd7b9ece984a65a3601ef1cb5e2a) ([merge request](gitlab-org/gitlab!65624))
- [Improves repository storage-related UI and documentation](gitlab-org/gitlab@c75a61989f1460e871e0b6a8a55ee5946e84fd4f) ([merge request](gitlab-org/gitlab!65424))
- [Refactor health status widget to use Apollo](gitlab-org/gitlab@7374bf930c60c135909c26a4c8a839a89d003d8e) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/6498)) **GitLab Enterprise Edition**
- [Add rel property to help link](gitlab-org/gitlab@5e190f2f014ceb1ca00ae4963edc5a12cb50c6f5) ([merge request](gitlab-org/gitlab!65428))
- [Initialize conversion of ci_builds_metadata.id for bigint migration](gitlab-org/gitlab@af8c85075ce35cfe6578b1f761f11aec4c05693c) ([merge request](gitlab-org/gitlab!65477))
- [Remove project_statistics_sync feature flag](gitlab-org/gitlab@bc97e4b4a9f55a8826cc0f918a4d208cca0364d6) ([merge request](gitlab-org/gitlab!65435))
- [Improve repository maintenance UI and documentation](gitlab-org/gitlab@17a8bd10cb78fd7116eaf80c76d766175f1714ba) ([merge request](gitlab-org/gitlab!65117))
- [Migrate push_event_payloads.event_id back to integer (GitLab.com only)](gitlab-org/gitlab@dff68f62feebeffad35cf0f91b4e38f605495c79) ([merge request](gitlab-org/gitlab!65112))
- [Remove cached_markdown_blob feature flag](gitlab-org/gitlab@6d73a189cda67eaab7e2c78b5d730bbaabf06f69) ([merge request](gitlab-org/gitlab!65306))
- [Remove sort_dependency_vulnerabilities feature flag](gitlab-org/gitlab@b9e6510d14a92c76f1957a3f21976edb75285563) ([merge request](gitlab-org/gitlab!65295)) **GitLab Enterprise Edition**
- [Move prometheus service creation to the background job](gitlab-org/gitlab@a17b3d270c481dad35fe63905fa45f5f97845bbc) ([merge request](gitlab-org/gitlab!63539))
- [Add BG migration to delete orphaned deployments](gitlab-org/gitlab@098dd2f613346a189b25e56a4c1331bb536e7b6d) ([merge request](gitlab-org/gitlab!64588))
- [Remove by default enabled feature flag](gitlab-org/gitlab@41863bad8f0d0364d0caaa2b04d59dc1cfc85cdd) ([merge request](gitlab-org/gitlab!65151))
- [Enable new Rails connection handling](gitlab-org/gitlab@bbd1d564f971d749e89feabbfb3cc957f26cae92) ([merge request](gitlab-org/gitlab!65107))
- [Review and revise Audit Events UI text](gitlab-org/gitlab@4e4d6ecb6e3a9c5257a268e5f6efcdf83c6a1b36) ([merge request](gitlab-org/gitlab!60703)) **GitLab Enterprise Edition**
- [Add service desk project key validation error message](gitlab-org/gitlab@e022f59bf66e29724914cc65ad188a8b6ff424b8) ([merge request](gitlab-org/gitlab!64352))
- [Remove FF ci_fix_pipeline_status_for_dag_needs_manual](gitlab-org/gitlab@9dd55ed41f256b63c265d08506dfe8e6cdb6a3ef) ([merge request](gitlab-org/gitlab!64777))
- [Add FK for deployments.environment_id to environments table](gitlab-org/gitlab@343591ed3e8c304062ce0551699d2bfad25a33bf) ([merge request](gitlab-org/gitlab!64585))
- [Remove ci_artifacts_exclude feature flag](gitlab-org/gitlab@703711e4f5d097c00ca9cb13a5d1d41dc388a89b) ([merge request](gitlab-org/gitlab!64227))
- [Finalize conversion to bigint for push_event_payloads](gitlab-org/gitlab@b4def6d47dfb2648851f31d2ab83f1310a4628ef) ([merge request](gitlab-org/gitlab!64577))
- [Log WaitableWorker inline job executions](gitlab-org/gitlab@91ec53627907303b69951fc30cbe615da5c1494d) ([merge request](gitlab-org/gitlab!63997))
- [Remove default-enabled cascading_namespace_settings feature flag](gitlab-org/gitlab@ef2c2c8d1b68eff57a2b3ceea27bb265502ae645) ([merge request](gitlab-org/gitlab!64347))
- [Track finished_at timestamp for schema migrations](gitlab-org/gitlab@be15d17a8c84e7f09d5f413c43a177b679e08b0a) ([merge request](gitlab-org/gitlab!64204))
- [Drop remove_on_close column from labels table in envs where it exists](gitlab-org/gitlab@5fdca55006f089a4f01c1cf74f4c81e299e4e89e) ([merge request](gitlab-org/gitlab!62839))
- [Toggle codequality diff annotations flag](gitlab-org/gitlab@ba8277b89ffd762aa3cf368b893e6656e9f1e68e) ([merge request](gitlab-org/gitlab!64536))
- [Remove usage_data_code_review_aggregation feature flag](gitlab-org/gitlab@a7413e4284216cda36e26c90edcf6ab8c9a00521) ([merge request](gitlab-org/gitlab!64626))
- [Remove FF ci_workflow_rules_variables](gitlab-org/gitlab@3e25217fa3ce91da557275df41f4124dd7142e63) ([merge request](gitlab-org/gitlab!64557))
- [Cleanup group_devops_adoption feature flag](gitlab-org/gitlab@0783e2984f62fbc74612257bb44fb00d6959e510) ([merge request](gitlab-org/gitlab!64498)) **GitLab Enterprise Edition**
- [Remove ci_pipeline_latest feature flag](gitlab-org/gitlab@196edc110bb973cb29cc933e0343bba3326271d4) ([merge request](gitlab-org/gitlab!64423))
- [Remove ci_runners_tokens_optional_encryption ff](gitlab-org/gitlab@66c514ec56a1ffeba6a3a999c1cfb9bcfdc4ca5a) ([merge request](gitlab-org/gitlab!64425))
- [Update GitLab Runner Helm Chart to 0.30.0](gitlab-org/gitlab@d6bc1474cb288b8a234cda55ec427f831ce31bda) ([merge request](gitlab-org/gitlab!64462))
- [Decrease epic issues and child epics page size](gitlab-org/gitlab@4542ea3217d257a1f5c26cda5f2ee8d607950e86) ([merge request](gitlab-org/gitlab!63563)) **GitLab Enterprise Edition**
- [Remove invite_signup_page_interaction experiment](gitlab-org/gitlab@9fa990747351f1f8fbd1d323fe48c67c5e783735) ([merge request](gitlab-org/gitlab!63798))
- [Add internal docs for changing CI minute namespace](gitlab-org/gitlab@50d5ecf1dc2ebb9f6c2a3b6dcd5aa4b8161561de) ([merge request](gitlab-org/gitlab!64409)) **GitLab Enterprise Edition**
- [Add more logging to track encoding errors appending CI traces](gitlab-org/gitlab@6f240a53fe0d56910347a0615d575ac8c3e7215e) ([merge request](gitlab-org/gitlab!63920))
- [Remove diffs gradual load feature flag](gitlab-org/gitlab@027d7c4327b5b6205a84281239027273517bf81b) ([merge request](gitlab-org/gitlab!55478))
- [Remove partial index for Hashed Storage migration](gitlab-org/gitlab@3ed017a1023d7b0941a7606b69e6caee8d22f15c) ([merge request](gitlab-org/gitlab!62920))

## 14.0.12 (2021-11-05)

### Changed (4 changes)

- [Geo: Alternate redownload and normal design sync attempts](gitlab-org/gitlab@ed34172e5c7425316480efb732a9429e93e81017) ([merge request](gitlab-org/gitlab!73722)) **GitLab Enterprise Edition**
- [Geo: Alternate redownload and normal SSF sync attempts](gitlab-org/gitlab@c0f2f40b98c4b9fc72c21c474a2224e045263ea2) ([merge request](gitlab-org/gitlab!73722)) **GitLab Enterprise Edition**
- [Geo: Alternate redownload and normal project syncs](gitlab-org/gitlab@6370a7258719d5eb0ad83c54383ecb7f4fd54fc2) ([merge request](gitlab-org/gitlab!73722)) **GitLab Enterprise Edition**
- [Geo: Reduce frequency of redownload attempts](gitlab-org/gitlab@1bcd41f28733b01286a42689857f6530c0805186) ([merge request](gitlab-org/gitlab!73722)) **GitLab Enterprise Edition**

## 14.0.11 (2021-09-23)

### Fixed (1 change)

- [Fix Elastic::MigrationWorker current_migration](gitlab-org/gitlab@0b72aace30bff0fda7a114862ec1e389ddaa5ead) ([merge request](gitlab-org/gitlab!71101)) **GitLab Enterprise Edition**

## 14.0.10 (2021-09-02)

No changes.

## 14.0.9 (2021-08-31)

### Security (9 changes)

- [Update apollo_upload_server dependency](gitlab-org/security/gitlab@ced741d93fa664f0c152f524949258bf969b7667) ([merge request](gitlab-org/security/gitlab!1701))
- [Ensure shared group members lose project access after group deletion](gitlab-org/security/gitlab@3a41f4e29c01188aaaf01ab5e3deec2a9eeed18e) ([merge request](gitlab-org/security/gitlab!1685))
- [Fix stored XSS vulnerability in Datadog settings form](gitlab-org/security/gitlab@269e5bf96b5e97c3b8e6f6b8b3f593d958de2ecb) ([merge request](gitlab-org/security/gitlab!1672))
- [Inherit user external status while creating project bots](gitlab-org/security/gitlab@5bae4e53bd4c363270b2fc2e308b81d2a2a388a6) ([merge request](gitlab-org/security/gitlab!1666))
- [Escape issue reference and title for Jira issues](gitlab-org/security/gitlab@0397f2b393d563559c49c39c0ba1d192d08a10d7) ([merge request](gitlab-org/security/gitlab!1663)) **GitLab Enterprise Edition**
- [Require sign in for .keys endpoint on non-public instances](gitlab-org/security/gitlab@13a7f6001f663b3745159fa37b518ba4a43355bd) ([merge request](gitlab-org/security/gitlab!1659))
- [Update Import/Export to use public email when mapping users](gitlab-org/security/gitlab@f3d1b800af55986cef83aeaf4df1312e3070f0c5) ([merge request](gitlab-org/security/gitlab!1654)) **GitLab Enterprise Edition**
- [Only create jira connect NS subscriptions for admins](gitlab-org/security/gitlab@34bdcd45f24eaa051702834fb6c3568e45721004) ([merge request](gitlab-org/security/gitlab!1647))
- [Prevent non-admins from configuring Jira connect app](gitlab-org/security/gitlab@4af692246224b1cd1e2fe3c6d0ac2613c0f8fe39) ([merge request](gitlab-org/security/gitlab!1643))

## 14.0.8 (2021-08-25)

### Fixed (1 change)

- [Fix: Sidekiq workers delete each other's metrics](gitlab-org/gitlab@98a85fcbcdf2f8dfef83e552a850591e8952c057) ([merge request](gitlab-org/gitlab!68761))

### Changed (1 change)

- [Resolve "operator does not exist: integer[] || bigint in...](gitlab-org/gitlab@273cc43f7928e89fd11237b58fdfdfb8a24e5493) ([merge request](gitlab-org/gitlab!68761))

### Other (1 change)

- [Revert backfill on ci_build_trace_sections](gitlab-org/gitlab@10a5ad9dce9014eb8af6493402dcdd1658dbd62a) ([merge request](gitlab-org/gitlab!68761))

## 14.0.7 (2021-08-03)

### Security (18 changes)

- [Add project member validation for domain limitation](gitlab-org/security/gitlab@f9a0e78111cbbfe93b6f8ca27bd9f064e146d005) ([merge request](gitlab-org/security/gitlab!1563))
- [Hide project-level CI/CD Analytics for Guests](gitlab-org/security/gitlab@56a17ae80c1f179bcdf939d6b8e71737f9501949) ([merge request](gitlab-org/security/gitlab!1574))
- [Only allow invite to be accepted by user with matching email](gitlab-org/security/gitlab@a79d0e6dbbc32247c10c4928a04f0149071eb5fe) ([merge request](gitlab-org/security/gitlab!1633))
- [Add html escaping for default branch name](gitlab-org/security/gitlab@d26f0c4d5ef386100d40e92f815b7e754fccacc3) ([merge request](gitlab-org/security/gitlab!1631))
- [Configure OmniAuth to use GitLab AppLogger](gitlab-org/security/gitlab@dfcff90cb86fac0dff05d8bd5f25f46da2cc8ce0) ([merge request](gitlab-org/security/gitlab!1616))
- [Add permissions check to pipelines#show action](gitlab-org/security/gitlab@c611a8154dc5776a0767b4153ff8963d46e7f39a) ([merge request](gitlab-org/security/gitlab!1613))
- [Prevent impersonation in gitlab-shell SSH certs](gitlab-org/security/gitlab@320457b16cbfd5dec4e05937c4d61b96aba4c290) ([merge request](gitlab-org/security/gitlab!1610))
- [Fix Protected Environment Accesses Cleanup](gitlab-org/security/gitlab@99846cdeda6acf6223fb0ee5364e375765d3cbb1) ([merge request](gitlab-org/security/gitlab!1607)) **GitLab Enterprise Edition**
- [Do not show email address in error message](gitlab-org/security/gitlab@5c4adf419e38f0fd9d540d2f7cd9d14888bc6b96) ([merge request](gitlab-org/security/gitlab!1597)) **GitLab Enterprise Edition**
- [Disallow non-members to set issue metadata on issue create](gitlab-org/security/gitlab@0bb4499e5f4514beb647d0e6ac3f9b15720c42ce) ([merge request](gitlab-org/security/gitlab!1581))
- [Prevent guests from linking issues with errors](gitlab-org/security/gitlab@94462a56e9490ddd85ec7d1d869b6fda2042fb99) ([merge request](gitlab-org/security/gitlab!1588))
- [Block impersonation token use if it is not permitted](gitlab-org/security/gitlab@31b8bc506dd89a576a2cda094c711c22be764398) ([merge request](gitlab-org/security/gitlab!1584))
- [Updates oauth to 0.5.6](gitlab-org/security/gitlab@c839b6107c41bcd02e048d0ae0499c140bfbec1c) ([merge request](gitlab-org/security/gitlab!1568))
- [Remove impersonation token from api response for non-admin user](gitlab-org/security/gitlab@845dc284cc8ee8736e4f65740d61ffeb197f7b7c) ([merge request](gitlab-org/security/gitlab!1566))
- [Filter todos whose target users no longer have access to](gitlab-org/security/gitlab@a6c81e5cadb277f80d1b9565700f8b1f201cfb05) ([merge request](gitlab-org/security/gitlab!1554))
- [Fix tag ref detection for pipelines](gitlab-org/security/gitlab@cd5f61dc50c44d69896b38f3bd44129a8f1f01d8) ([merge request](gitlab-org/security/gitlab!1548))
- [Restrict access to instance-level security features for reporters](gitlab-org/security/gitlab@c8a75e8032c68065524a85f7030960b614a915bd) ([merge request](gitlab-org/security/gitlab!1539)) **GitLab Enterprise Edition**
- [Fix XSS in Mermaid Markdown rendering](gitlab-org/security/gitlab@86139e79c13cf87183cdec9f84ec114cdfc6d215) ([merge request](gitlab-org/security/gitlab!1489))

## 14.0.6 (2021-07-20)

### Fixed (4 changes)

- [Fix validation method regarding MIME type keys](gitlab-org/gitlab@2cc6d89cc77368b9472c8ec22e97bb3481409fb3) ([merge request](gitlab-org/gitlab!66403))
- [Geo: Fix snippet verification by replicating the HEAD ref](gitlab-org/gitlab@4dbf36af8553775603c170784ad8bfcdc436a669) ([merge request](gitlab-org/gitlab!66403)) **GitLab Enterprise Edition**
- [Fix LFS objects not downloading with Bitbucket](gitlab-org/gitlab@161776f9a4975dfeb2760b06e83160def902c61f) ([merge request](gitlab-org/gitlab!66403))
- [Replace Excon with Faraday for requesting object storage](gitlab-org/gitlab@a223d526d5b97f248c8810ef0b968d2c3b0323e0) ([merge request](gitlab-org/gitlab!66403))

## 14.0.5 (2021-07-08)

### Fixed (4 changes)

- [Return empty strings for Jira links when URL is not set](gitlab-org/gitlab@6da7890d8137b1879297ad81c6737312d6f672b3) ([merge request](gitlab-org/gitlab!65728))
- [Add prefix to autocomplete path](gitlab-org/gitlab@5256ab7db346610a816ebb975ae9a6ce0d853435) ([merge request](gitlab-org/gitlab!65728))
- [Do not create audit event for failed logins on read-only DB](gitlab-org/gitlab@30c7944ddddfe92566b3f66a7f549bef3ffd8d82) ([merge request](gitlab-org/gitlab!65728)) **GitLab Enterprise Edition**
- [Fix git clone for projects with a trailing dot over HTTP](gitlab-org/gitlab@a91be9412a09b069390cc33c14d1bc72216cdbf0) ([merge request](gitlab-org/gitlab!65728))

### Other (1 change)

- [Initialize conversion of ci_builds_metadata.id for bigint migration](gitlab-org/gitlab@34522b102be43118063aa3245d23af313173700d) ([merge request](gitlab-org/gitlab!65728))

## 14.0.4 (2021-07-07)

### Security (1 change)

- [Disable file and network premailer strategies](gitlab-org/security/gitlab@4af58e3d8ee1b25048f34208db6e685cf0bf1411) ([merge request](gitlab-org/security/gitlab!1544))

## 14.0.3 (2021-07-06)

### Fixed (7 changes)

- [Fix deploy keys not working with LFS auth check](gitlab-org/gitlab@134b244c7f59f8a20cb191bc0d2aaa43171f3d6e) ([merge request](gitlab-org/gitlab!65498))
- [DevOps Adoption - ensure displayNamespaceId is included](gitlab-org/gitlab@1166130f1e6786a8c96735b6518241fb704047b1) ([merge request](gitlab-org/gitlab!65498)) **GitLab Enterprise Edition**
- [Geo - Fix state value in the lfs_object_registry table](gitlab-org/gitlab@b6f30299d255949b79d149ee71ee50025ac0c8c2) ([merge request](gitlab-org/gitlab!65498)) **GitLab Enterprise Edition**
- [Fix broken Time Tracking Reports on Issuable sidebar](gitlab-org/gitlab@da0b4a92f791a3f621ec8da8e2fbb0ad4e39d399) ([merge request](gitlab-org/gitlab!65498))
- [Fix bug where Milestone page led to console error](gitlab-org/gitlab@179948d489ed92f5d8158c23190430e819941a29) ([merge request](gitlab-org/gitlab!65498))
- [Fix frequent items timestamps not updated](gitlab-org/gitlab@481d4d36252dc91291afe9dacd7d48558878d27f) ([merge request](gitlab-org/gitlab!65498))
- [Fix pages deployment storage migration](gitlab-org/gitlab@0eab6e579890c557bf97dd48dd6a2a7adaf97358) ([merge request](gitlab-org/gitlab!65498))

### Changed (2 changes)

- [Geo - Move migration to a pre-deployment migration](gitlab-org/gitlab@84327652855cafe36c574df798322b63d0649561) ([merge request](gitlab-org/gitlab!65498)) **GitLab Enterprise Edition**
- [Reintroduce recursive_approach_for_all_projects default-enabled](gitlab-org/gitlab@14b3aa69cad85541ae6b845b346c80d1eaea099b) ([merge request](gitlab-org/gitlab!65498))

## 14.0.2 (2021-07-01)

### Added (1 change)

- [Added omniauth_user check when verifying user cap](gitlab-org/security/gitlab@68c5d856fbf83f5f5ade562ea84b6aa06db96c60) ([merge request](gitlab-org/security/gitlab!1501)) **GitLab Enterprise Edition**

### Security (14 changes)

- [Update rdoc to 6.3.1](gitlab-org/security/gitlab@341334cbb2d822f6aa057933934b819c34b87932) ([merge request](gitlab-org/security/gitlab!1533))
- [Forbid GET requests with mutations](gitlab-org/security/gitlab@895c99b35efa6795fb050bfb4ef4574f3e32a373) ([merge request](gitlab-org/security/gitlab!1528))
- [Prevent GraphQL API access by deactivated users](gitlab-org/security/gitlab@2dda4163dadc04b59ee3367990b72bee933adf9b) ([merge request](gitlab-org/security/gitlab!1525))
- [Add sanitizing for name field](gitlab-org/security/gitlab@ecb5a598b87d670906df67ed4432426a375efa05) ([merge request](gitlab-org/security/gitlab!1499))
- [Copy feature visibility settings to a fork](gitlab-org/security/gitlab@fcc87978b1c865c8bdcb3fc5d8dc221b7370192c) ([merge request](gitlab-org/security/gitlab!1522))
- [Fix XSS on audit log for feature flag actions](gitlab-org/security/gitlab@94fc41d49e828a6457f1de31f2b239b087679c12) ([merge request](gitlab-org/security/gitlab!1521))
- [Avoid disclosing project in web IDE](gitlab-org/security/gitlab@9de99878401713bc5f3a76ca85901dc3a9ca0cd8) ([merge request](gitlab-org/security/gitlab!1511))
- [Sanitize input on pasteGFM](gitlab-org/security/gitlab@7bb97cfa11a11bb0725bc707dec73831e16fe177) ([merge request](gitlab-org/security/gitlab!1514))
- [Fix merge request diff display issue with unsupported encoding](gitlab-org/security/gitlab@8c21afdce6c6214c14db1863df1aad80ed501377) ([merge request](gitlab-org/security/gitlab!1509))
- [Fix deploy key fallback issue in protected branch](gitlab-org/security/gitlab@a24aa5412a8f1dad01359de6b2f0b66bb741f5d4) ([merge request](gitlab-org/security/gitlab!1508))
- [Add total http read timeout](gitlab-org/security/gitlab@cf4e0aa0a3f668fb63de6721d062c3157fdd9f84) ([merge request](gitlab-org/security/gitlab!1507))
- [Allow only same-origin URLs for Edit Release Cancel button](gitlab-org/security/gitlab@4b78e1e31f0a23b964953b1766d156e12a75115f) ([merge request](gitlab-org/security/gitlab!1506))
- [Update Nokogiri to 1.11.4](gitlab-org/security/gitlab@c43001973ca1b684b4719f5559819179be2394da) ([merge request](gitlab-org/security/gitlab!1500))
- [Add new username validation](gitlab-org/security/gitlab@c904a128f2c2262288d00f673294423316318f4d) ([merge request](gitlab-org/security/gitlab!1498))

## 14.0.1 (2021-06-24)

### Fixed (3 changes)

- [Remove add button from Devops Adoption](gitlab-org/gitlab@1c60bdf5daf64f10f001eeb5134f08a53a148d90) ([merge request](gitlab-org/gitlab!64764)) **GitLab Enterprise Edition**
- [DevOps Adoption - ensure displayNamespaceId is included](gitlab-org/gitlab@9eb7cd5212cfc19f4cd6578c8e4afc7b4da27eab) ([merge request](gitlab-org/gitlab!64764)) **GitLab Enterprise Edition**
- [Add Helm-2to3.gitlab-ci.yml to Auto DevOps](gitlab-org/gitlab@61ac7f46b06fcf151be62407dc0837a44843800e) ([merge request](gitlab-org/gitlab!64764))

## 14.0.0 (2021-06-21)

### Added (116 changes)

- [Add Packages::Helm::ProcessFileService](gitlab-org/gitlab@dae2f102ec92a656eb56a753fa7dc625e3489ae3) ([merge request](gitlab-org/gitlab!62760))
- [Add unique index for Helm packages](gitlab-org/gitlab@cb08762e7c878e3dd0a1ca9f922f387f8b8e453a) ([merge request](gitlab-org/gitlab!62760))
- [Disable policies linked to no container repositories](gitlab-org/gitlab@120e0486368cff65da3782de377c82ec47a0b28e) ([merge request](gitlab-org/gitlab!62461))
- [Allow storing detection_method in vulnerability findings](gitlab-org/gitlab@e2a66be7a2b5d3f14c3698e0c74214b4164c0b9c) ([merge request](gitlab-org/gitlab!63989))
- [Expose `humanTimeEstimate` & `humanTotalTimeSpent`](gitlab-org/gitlab@4d078467643f9d3c48e43b18c706bb42746b9434) ([merge request](gitlab-org/gitlab!64081))
- [Make max diff files and max diff lines configurable](gitlab-org/gitlab@3e26e2528384efcd6e1b0b2e28c6aca687a23d6a) ([merge request](gitlab-org/gitlab!56722))
- [Add GraphQL endpoint to list agent configurations (via KAS)](gitlab-org/gitlab@d91cbf733ddbb6b9369efe1fecdb8b6fce6384ee) ([merge request](gitlab-org/gitlab!62646)) **GitLab Enterprise Edition**
- [Add checkbox in group settings for prevent sharing outside hierarchy](gitlab-org/gitlab@86eb11f2523f441f9a97f69c950816596208b0ab) ([merge request](gitlab-org/gitlab!63810))
- [Add "Enterprise" badge to users that are provisioned via SAML/SCIM](gitlab-org/gitlab@5f961f652a202d7dcbe872d827a48eb0e2bfd17b) ([merge request](gitlab-org/gitlab!63474)) **GitLab Enterprise Edition**
- [Update Bulk Import state more accurately](gitlab-org/gitlab@cea74ea42d4464c30ff39ca929b2bdadcb7083de) ([merge request](gitlab-org/gitlab!63883))
- [Enable DB Load-balancer flag USE_NEW_LOAD_BALANCER_QUERY by default](gitlab-org/gitlab@b44a37ba10472f7797867b988e41f7548c093e02) ([merge request](gitlab-org/gitlab!63910))
- [Allow toggle job_token_scope_enabled via GraphQL](gitlab-org/gitlab@3ca540c424d26e8f9cad16f846a7ca4366cd74b1) ([merge request](gitlab-org/gitlab!63778))
- [Publish package hash on Package Page](gitlab-org/gitlab@df0417560c5eb9438a1dcba46b94adcc191a8ae2) ([merge request](gitlab-org/gitlab!63279))
- [Add backend support for Coverage-Check rule](gitlab-org/gitlab@d8d6a39c1dc6fa51d5c29aea777f2d7bc820c9d8) ([merge request](gitlab-org/gitlab!63079))
- [Add project setting to toggle job token scope](gitlab-org/gitlab@99aacbf5339605d7e7116285e245508f48370456) ([merge request](gitlab-org/gitlab!63446))
- [Scope JobToken to only authorized projects](gitlab-org/gitlab@a8016a6bb4a7f446d77b7738260425fa65c01e01) ([merge request](gitlab-org/gitlab!63446))
- [Scope JobToken to only authorized projects](gitlab-org/gitlab@22718b69b813d7af3d17eac79b66ade310678392) ([merge request](gitlab-org/gitlab!63446))
- [Mark pending todo as done when resolving design discussions](gitlab-org/gitlab@0a27c129bc1ccab09be9f5e71ed194b55394caaf) ([merge request](gitlab-org/gitlab!62951))
- [Migration for fixing missing traversal ids](gitlab-org/gitlab@cb53af00930569beb75ee50f713858fb99fb90bc) ([merge request](gitlab-org/gitlab!63847))
- [Add qrtly reconciliation alert](gitlab-org/gitlab@c263de9b122c2e00899674b65d3cc0f5e5bf8d10) ([merge request](gitlab-org/gitlab!63181)) **GitLab Enterprise Edition**
- [Enable by default FF sidebar_refactor](gitlab-org/gitlab@8fefd5b5a6e5f1bf4963038c433d7bdfbe570f33) ([merge request](gitlab-org/gitlab!61679))
- [Add time_change in Issue, MR and Note webhook](gitlab-org/gitlab@56bf4a7f980bdb6304d4e71717e3ff8274b9b6b5) ([merge request](gitlab-org/gitlab!55087))
- [Prepopulates the pipeline editor with a 3 stage template](gitlab-org/gitlab@d8a1ad6125ba7f6cb33c8f67cbf67e751f94c3e9) ([merge request](gitlab-org/gitlab!63498))
- [Add commit type to generic security reports](gitlab-org/gitlab@3a367350f0339a6faa44db5e3d86cc7e3e933c2d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/63723)) **GitLab Enterprise Edition**
- [Adjust indexes for iterations and iteration cadences](gitlab-org/gitlab@45702b59f5dace0b416ec7908dcf13e72e23fc57) ([merge request](gitlab-org/gitlab!62348))
- [Epic Boards](gitlab-org/gitlab@0531b906b69fa81b99672ff15975e7eb1dfd6cbe) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62644)) **GitLab Enterprise Edition**
- [Add order_project_path to package graphql API sort](gitlab-org/gitlab@76ed62782a0dd62f9dd66a31ce127afd3cd0c40f) ([merge request](gitlab-org/gitlab!62473))
- [Add provisioning group to pipeline validation payload](gitlab-org/gitlab@43d8c865b51da106fd75b2875b956a30259dba88) ([merge request](gitlab-org/gitlab!63606)) **GitLab Enterprise Edition**
- [Add index for description in ci_runners table](gitlab-org/gitlab@b9b33ee15c9d1a9f8ed166314dce862d84903f22) ([merge request](gitlab-org/gitlab!63036))
- [Show security report scan errors on pipeline view](gitlab-org/gitlab@61418b8ad3a66e062ae486839c40331e8c837302) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62971)) **GitLab Enterprise Edition**
- [Upgrade GitLab Pages to 1.40.0](gitlab-org/gitlab@6eaf97ebc6828d06bc9a0d90e96969ccb89a0793) ([merge request](gitlab-org/gitlab!63610))
- [Check hierarchy sharing settings in GroupLinks::CreateService](gitlab-org/gitlab@aa55411bd92550190098e9410233a67794618087) ([merge request](gitlab-org/gitlab!63107))
- [Allow user to create epics via epic board list](gitlab-org/gitlab@df231ee29d04e0bfce6b40ba5c45a9d2ab010816) ([merge request](gitlab-org/gitlab!62455)) **GitLab Enterprise Edition**
- [Create table for tracking ci minute purchases](gitlab-org/gitlab@d9d7332981ed423b40f25016254ef6e71d263054) ([merge request](gitlab-org/gitlab!62393)) **GitLab Enterprise Edition**
- [Add epic's note system_note_meta to import/export](gitlab-org/gitlab@ca32a0f9d848b4d8a8086dd2aab15525b92cdbcf) ([merge request](gitlab-org/gitlab!63551)) **GitLab Enterprise Edition**
- [Add Group Avatar endpoint](gitlab-org/gitlab@b8f7c83542d4ec5a994228098c426d002d2813c3) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62596))
- [Add Content Editor support for wikis](gitlab-org/gitlab@2dddbe794cf79b28c98cd11002860a16563958f7) ([merge request](gitlab-org/gitlab!62919))
- [Enable CORS headers for OpenID Connect discovery endpoints](gitlab-org/gitlab@fdfb3420cca8d54baaa8181b126433fbaf41bb8b) ([merge request](gitlab-org/gitlab!63276))
- [Add a GET endpoint to user preferences](gitlab-org/gitlab@d0a597155ae4f526626ad494777202b1ccc8b2ad) ([merge request](gitlab-org/gitlab!63462))
- [Escaped markdown not interpreted as shortcuts](gitlab-org/gitlab@f8e1fb75d5eac0876ffdd249f26943799fdd0be7) ([merge request](gitlab-org/gitlab!63452))
- [Allow to make test cases confidential](gitlab-org/gitlab@fa6b3af2e457b2ea056ccfd89fc0a2bc8c4d697e) ([merge request](gitlab-org/gitlab!63098)) **GitLab Enterprise Edition**
- [Add is_shared and runner_type to hooks and API responses](gitlab-org/gitlab@342cd36c4bc4b94caf45eb8516bba985f967dbb6) ([merge request](gitlab-org/gitlab!62942))
- [Enable reporting of usage data for Jira integration](gitlab-org/gitlab@45ce55af6f7f9de0de064dfcbf42e51589d8bf7b) ([merge request](gitlab-org/gitlab!63184))
- [Create metric events for service desk emails](gitlab-org/gitlab@1ec39fb2ff13f1828821b6e1844a3b779337cbc7) ([merge request](gitlab-org/gitlab!63037))
- [Add option to disable printing of root password during DB seeding](gitlab-org/gitlab@9e06ec3a768a08320eea3818b056d3416072c7b1) ([merge request](gitlab-org/gitlab!63271))
- [Allow users to specify their pronouns](gitlab-org/gitlab@5c6be0aaabeb0b4d34ec5d149d0a6ffb8b4e8971) ([merge request](gitlab-org/gitlab!63221))
- [Gracefully handle query timeouts for project VSA](gitlab-org/gitlab@c334e13a81c1f53986429c6f5a14508401baae60) ([merge request](gitlab-org/gitlab!63301))
- [Add title and tooltip to diff preferences dropdown](gitlab-org/gitlab@b6762723f91eb15bd45dc0550b0ac79f622ae47b) ([merge request](gitlab-org/gitlab!61840))
- [Add group-level lead time charts](gitlab-org/gitlab@84a5e859181c7b7d7475bd26e8cc7969455ee486) ([merge request](gitlab-org/gitlab!62941)) **GitLab Enterprise Edition**
- [Change pipeline url to have underline](gitlab-org/gitlab@ee4ad9fa9738e45d6a74cdc2abba73f9869ce548) ([merge request](gitlab-org/gitlab!63325))
- [Add danger for merge trains](gitlab-org/gitlab@a7337266dd61ced6f27d1763d4e890c359401288) ([merge request](gitlab-org/gitlab!63094))
- [Optionally include trailers in the commits API](gitlab-org/gitlab@b8fefa073aeedcf2c34a0d4d1b36c5df88fe4a20) ([merge request](gitlab-org/gitlab!63228))
- [Add compliance tab to redesigned Security-Configuration Page](gitlab-org/gitlab@632524a7b5a441b54577568713578539e8769dd6) ([merge request](gitlab-org/gitlab!63078))
- [Instrumenting project sidebar menus](gitlab-org/gitlab@6e4caf1fffb5b73884362cc74757f5c60cac6035) ([merge request](gitlab-org/gitlab!62030))
- [Add upcoming_reconciliations table and model](gitlab-org/gitlab@b28478bdf19bd78c4a452b8da63849a390387789) ([merge request](gitlab-org/gitlab!63054))
- [Support graceful shutdown of Workhorse connections](gitlab-org/gitlab@73f323b077834b80574b807853e3f5b0fd11b780) ([merge request](gitlab-org/gitlab!62701))
- [Add Clone with VS Code for SSH](gitlab-org/gitlab@d0ee6aa31e987003b54d71356fd70371055573d3) ([merge request](gitlab-org/gitlab!59396))
- [Get ancestors of an Epic using GraphQL](gitlab-org/gitlab@63aa2fb0628c110bdba6d4234d4eb63f3954ab02) ([merge request](gitlab-org/gitlab!61154)) **GitLab Enterprise Edition**
- [Add wiki page diff url to Slack notification message](gitlab-org/gitlab@452b791834cbc7530ce3854c2503a6234ed880f0) ([merge request](gitlab-org/gitlab!63082))
- [Allow administrators to enable automatic deactivation of dormant users](gitlab-org/gitlab@029bc739503ba10b90d438851526c8eccac505ef) ([merge request](gitlab-org/gitlab!62969))
- [Add pipeline source to custom CI_JOB_JWT claims](gitlab-org/gitlab@572ad1851d9ae2f47e7da560e7f071d5f184c6b2) ([merge request](gitlab-org/gitlab!62754))
- [Display credit card status in /admin/users/:id page](gitlab-org/gitlab@7914eeffb19b8eeb991be0b21e86672aeae7c3c1) ([merge request](gitlab-org/gitlab!62803)) **GitLab Enterprise Edition**
- [Allow users to delete items from the package file list](gitlab-org/gitlab@750cca34851a633eeea0d0012371264affe68c32) ([merge request](gitlab-org/gitlab!62179))
- [Show generic 'code' type on vuln details](gitlab-org/gitlab@b9af9a5e1734cfce757ea884681f3c1de5f785b2) ([merge request](gitlab-org/gitlab!62861)) **GitLab Enterprise Edition**
- [Add ability to search instanceSecurityDashboard.projects GraphQL query](gitlab-org/gitlab@e6d18ad71821410f33edb6196f9cf9636f375934) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62933)) **GitLab Enterprise Edition**
- [Add `latest_pipeline_id` column to `vulnerability_statistics` table](gitlab-org/gitlab@d99873557afd16716de7249b5e0511ae3a43d420) ([merge request](gitlab-org/gitlab!62610))
- [Import group boards & board lists via ndjson when using Bulk Import](gitlab-org/gitlab@1d5dab27000c359bf148bdaf6011fa19e755bf3e) ([merge request](gitlab-org/gitlab!62668)) **GitLab Enterprise Edition**
- [Add an option to expose description_html in Release API](gitlab-org/gitlab@687a7cc9bf3360151dc055dd84e87ec4ce000b3f) ([merge request](gitlab-org/gitlab!62802))
- [Render table types on generic vulnerability report](gitlab-org/gitlab@3f4feebaab10d79d5567b733bb0fd8bc7b844d7c) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62546)) **GitLab Enterprise Edition**
- [Remove Web Application Firewall related frontend files](gitlab-org/gitlab@2e2382d16b3595c9a9adb5a7fe0c176ee198f702) ([merge request](gitlab-org/gitlab!61489)) **GitLab Enterprise Edition**
- [Add link to navigate to profile settings page](gitlab-org/gitlab@0fdb5b9536764e6573da243ed84516f3ab9e2b3d) ([merge request](gitlab-org/gitlab!62791))
- [Persist the `page` parameter for VSA pagination](gitlab-org/gitlab@3df8ae120ad7ba7edff4e9a075a804ab3d24cba0) ([merge request](gitlab-org/gitlab!62439)) **GitLab Enterprise Edition**
- [Adds block_changes_at to LicenseType in GraphQL](gitlab-org/gitlab@344eec81dc069f821756f8f2fc8b4f0c935574d0) ([merge request](gitlab-org/gitlab!62510)) **GitLab Enterprise Edition**
- [Add .drafts scope to MergeRequests](gitlab-org/gitlab@93c77e146328d539476f7aaca365629df1c8f342) ([merge request](gitlab-org/gitlab!62718))
- [Add delete branch modals behind feature flag](gitlab-org/gitlab@e006d7b35cfcdb6c4c95ab6dc5b8dd54a0a8dbed) ([merge request](gitlab-org/gitlab!56782))
- [Add the documentation for sidekiq routing rules](gitlab-org/gitlab@4a476ebb0735bb761b0f46d9c0d6a17ce2b3c33f) ([merge request](gitlab-org/gitlab!60479))
- [Helm chart download API endpoint](gitlab-org/gitlab@13ff8bde2fdf7b8cd81cc7024000733c88728033) ([merge request](gitlab-org/gitlab!61014))
- [Add custom header text to free personal namespaces billing page](gitlab-org/gitlab@f711ee6ab906d14604dbc1dd7fd3fb301bd08a1a) ([merge request](gitlab-org/gitlab!62365))
- [Add delete escalation policy GraphQL mutation](gitlab-org/gitlab@64f1ae7cb0cf8a9a5c8f930c95beb7a504c00ee9) ([merge request](gitlab-org/gitlab!62009))
- [Add file-location component for generic security reports](gitlab-org/gitlab@893aa26510e5a96df7535757a8d3214c1d0a036d) ([merge request](gitlab-org/gitlab!62653)) **GitLab Enterprise Edition**
- [Store CI runner config data](gitlab-org/gitlab@dca1424b5efdf5900e9b3a3e17a3572509af5aba) ([merge request](gitlab-org/gitlab!57953))
- [Expose the state field for vulnerability findings](gitlab-org/gitlab@29e8f53a59d511e65604490742b73992219e375a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62147)) **GitLab Enterprise Edition**
- [Add graphql API to list Scan Execution Policies](gitlab-org/gitlab@6db5e69a42438e766e510b59e1288fc67c87b8c2) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62403)) **GitLab Enterprise Edition**
- [Support custom messages in the cherry-pick API](gitlab-org/gitlab@5a7d3be2be0aac8b3c66864775e0b0e8fbd960d0) ([merge request](gitlab-org/gitlab!62481))
- [Add post migration to cleanup orphaned records](gitlab-org/gitlab@0d346291f613e7e3191e844d4bbd4a1f06a71a09) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/61787))
- [GraphQl: Allow filtering epics by negated parameters](gitlab-org/gitlab@b44e246b909cb929f87a93b937d28fbe93fd3261) ([merge request](gitlab-org/gitlab!61823))
- [Add finding evidence header](gitlab-org/gitlab@d79129b4f1a4dd2d27e94bf2975b880df426966e) ([merge request](gitlab-org/gitlab!61402))
- [Add module-name component for generic security reports](gitlab-org/gitlab@6144a4a1a6eb3e2e459d00e925544a4112821153) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62447)) **GitLab Enterprise Edition**
- [Use assignee sidebar widget in the alert drawer](gitlab-org/gitlab@7c29ff14ffcad46869c97086edb3cac9c6ce48cf) ([merge request](gitlab-org/gitlab!61839)) **GitLab Enterprise Edition**
- [Add 'show_whitespace_in_diffs' to the UserPreferences endpoint](gitlab-org/gitlab@896b2d6efee062f89b7daebcf4ee551fc7e153e4) ([merge request](gitlab-org/gitlab!62245))
- [Update button variants alignment and spacing](gitlab-org/gitlab@b7a9bbd3f0752a33b264e50dd85706d39faacb10) ([merge request](gitlab-org/gitlab!61791))
- [Allow recording of experiment subjects](gitlab-org/gitlab@2d6bff529163940b8e7f6ef342cb51b9c4cae1a3) ([merge request](gitlab-org/gitlab!61914))
- [Set the git default branch to "main"](gitlab-org/gitlab@a8bfdf5729ec45c3bbcb0f2dff7a901f0ed54884) ([merge request](gitlab-org/gitlab!62467))
- [Add memory view to Performance Bar](gitlab-org/gitlab@865cd871e58d58e2dc372c45c5e7722435fb88a3) ([merge request](gitlab-org/gitlab!61332))
- [Add user IP data to external pipeline validation service](gitlab-org/gitlab@410b7bceb82136eddf3709a612c9bea946d93afd) ([merge request](gitlab-org/gitlab!62438))
- [Backfill primary key migration for self-managed instances](gitlab-org/gitlab@3da2450dc1d9ca7ab0157792ea395e9d248b382c) ([merge request](gitlab-org/gitlab!61321))
- [Makes the invite button on empty projects permanent](gitlab-org/gitlab@20ded4ce65e8e3928fe577a97a540fc294f58f68) ([merge request](gitlab-org/gitlab!62417))
- [Restrict trial during free signup to company users](gitlab-org/gitlab@26aa54acfa50e08ea96d667940a9d2d6e7b78c5c) ([merge request](gitlab-org/gitlab!62382))
- [Add credit card validation checkbox to admin users panel](gitlab-org/gitlab@508e926c0bb2ee2ad2c43b7f7e434c9faf344b69) ([merge request](gitlab-org/gitlab!62160))
- [Delay worker execution for workers utilizing LB](gitlab-org/gitlab@1c82d36c06cdfc04a8259faf587423a693a24991) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62374))
- [Optionally start a trial during free signup](gitlab-org/gitlab@c6ed9500c8d0ae9a51b0a0278cd7454c18ed75b6) ([merge request](gitlab-org/gitlab!62174))
- [Adds content to createCommit mutation](gitlab-org/gitlab@bd5eaf0b2eda7890aa0db47f3f63031c8589693f) ([merge request](gitlab-org/gitlab!60938))
- [Add dast_runner_site_validation feature flag](gitlab-org/gitlab@c5a9d59cd97cb99f12ed34189a60dfd22fedcc66) ([merge request](gitlab-org/gitlab!62299))
- [Add GraphQL types for escalation policies and rules](gitlab-org/gitlab@2879b4a12d34491ad2100667392e0bcea183c8aa) ([merge request](gitlab-org/gitlab!62299))
- [Debian Group and Project Distribution Keys schema](gitlab-org/gitlab@38ca1e1860bc7181d7c19c8de0bd54a4fdfd853f) ([merge request](gitlab-org/gitlab!62012))
- [Compress oversized Sidekiq job payload before dispatching into Redis](gitlab-org/gitlab@ce40f0010967d17b40c17b7b1d7c8a7040374187) ([merge request](gitlab-org/gitlab!62012))
- [Add metrics to calculate rate of project imports](gitlab-org/gitlab@8b694f1b82a226c06a546123996601de02014274) ([merge request](gitlab-org/gitlab!62012))
- [Enable Kroki on reStructuredText and Textile documents](gitlab-org/gitlab@9d799fd9d5b702f7ad190a4063935aeef2ee5597) ([merge request](gitlab-org/gitlab!62012))
- [Add admin page for batched background migrations](gitlab-org/gitlab@575187d9fdbdc1bd6a374a1abec6b6e1e3a6b24a) ([merge request](gitlab-org/gitlab!62012))
- [Remove threat_monitoring_alerts feature flag](gitlab-org/gitlab@2efff7692093008ebd8fb0495aad303ddbc16e53) ([merge request](gitlab-org/gitlab!62148))
- [Add GraphQL types for escalation policies and rules](gitlab-org/gitlab@078890677fbd80545445e9b424e42463a0ca0df7) ([merge request](gitlab-org/gitlab!61439))
- [Update button variants and avatar layout](gitlab-org/gitlab@4bf39340d0afc449d6c112f0c114cb2fc9828d79) ([merge request](gitlab-org/gitlab!61504))
- [Add admin page for batched background migrations](gitlab-org/gitlab@0203c5dd44f5f97318d08f75c69c604055ee1bf5) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/60911))
- [Add Sidekiq payload compression log fields](gitlab-org/gitlab@4ab91e3ecfbe3063f42eb307b956c159fd555801) ([merge request](gitlab-org/gitlab!61667))
- [Add Sidekiq payload decomression server middleware](gitlab-org/gitlab@4a9999355056dad75cf79c544239d9c2ec0ac156) ([merge request](gitlab-org/gitlab!61667))
- [Implement Sidekiq job payload compressor](gitlab-org/gitlab@32b110e80331890a694e36642f0f2cbb1befd62d) ([merge request](gitlab-org/gitlab!61667))

### Fixed (161 changes)

- [Only update required instance CI template when the parameter is present](gitlab-org/gitlab@c68b31bf53fa46c6582328ec624b1c4192435c68) ([merge request](gitlab-org/gitlab!63344))
- [Bugfix: avoid 500  when resending confirmation](gitlab-org/gitlab@c793f4db1a65003b3b8e8d5e93b896af94ef7e38) ([merge request](gitlab-org/gitlab!64234))
- [Deal with invalid caches](gitlab-org/gitlab@56203843d2a5f489bda9cf01537c4b8f55bfffac) ([merge request](gitlab-org/gitlab!63395))
- [Fix CI/CD > Pipelines active routes](gitlab-org/gitlab@86573c3fb3122535e8597ed85169a1d96d44fb44) ([merge request](gitlab-org/gitlab!64119))
- [Fix unreachable ES url exception](gitlab-org/gitlab@a778d4f76de5e554e8c6a84aed0eb57ff31aec13) ([merge request](gitlab-org/gitlab!63764)) **GitLab Enterprise Edition**
- [Fix problems with ldap users with expired password](gitlab-org/gitlab@e521e9736b3d2d444d239636f5af780d4df98bcc) ([merge request](gitlab-org/gitlab!63466))
- [Fix DA dropdown alignment](gitlab-org/gitlab@0abf60e391fc90fb4ce0bdc92338db2e0e2d2903) ([merge request](gitlab-org/gitlab!64174)) **GitLab Enterprise Edition**
- [Normalize buttons whitespace to only rely on margins](gitlab-org/gitlab@520f936fba16f15ed53824b6fd6a773d6444feee) ([merge request](gitlab-org/gitlab!64078))
- [JS error on continuous onboarding welcome page](gitlab-org/gitlab@4480ea1f2981cbf8db4b74c05e23a5c43592f752) ([merge request](gitlab-org/gitlab!63830)) **GitLab Enterprise Edition**
- [Only show coverage fuzzing artifact download when the job exists](gitlab-org/gitlab@7d462536bb0c43733a705ea35ecb65818d0a6326) ([merge request](gitlab-org/gitlab!63957))
- [Align file line numbers for some Safari users](gitlab-org/gitlab@1801b1f7fc8bd90a4c17e92bf184dfd2fe1ce2bd) ([merge request](gitlab-org/gitlab!63132))
- [Use context-aware translation for cloud license](gitlab-org/gitlab@a99df9bfb96e9d553763113a13209fd8d6376ce8) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64162)) **GitLab Enterprise Edition**
- [Fix Embedded Snippet CSS to remove unnecessary vertical scroll bar](gitlab-org/gitlab@7e268f512aff5e8f44d344cdb4d44e2b95da7c4f) ([merge request](gitlab-org/gitlab!62945))
- [Rebuild iterations automation index](gitlab-org/gitlab@42c4987315f357284cfab40240ef5c7d86d7b489) ([merge request](gitlab-org/gitlab!63858))
- [Fix migration for SSH key expiration enforcement](gitlab-org/gitlab@5df1166f3e824c08c3a7d5d051e68215af95e1b6) ([merge request](gitlab-org/gitlab!64124))
- [Fix spacing between deploy buttons in MR widget](gitlab-org/gitlab@4bbd3fcf2da42dae3647300e5441cd96665d2d0b) ([merge request](gitlab-org/gitlab!64078))
- [Fix blank state styling for welcome screens](gitlab-org/gitlab@dfca5d63c5593cb522b170c3d5941427856e8213) ([merge request](gitlab-org/gitlab!64082))
- [Fix sidebar item on Jira issue details page](gitlab-org/gitlab@1d2bcbcd411102377d4de7b8fef98653925ffe34) ([merge request](gitlab-org/gitlab!63954)) **GitLab Enterprise Edition**
- [checks: Fix LFS pointer checks only verifying first reference](gitlab-org/gitlab@b37691bcaecbd090280dcded103a3c323498d5cc) ([merge request](gitlab-org/gitlab!61355))
- [Fix NameError Admin::ApplicationSettings::UpdateService](gitlab-org/gitlab@5b4e81e10e84b4d92d37f1b2151fe38b8465da0a) ([merge request](gitlab-org/gitlab!64055))
- [Fix CI editor template not updating on commit](gitlab-org/gitlab@56e33f473e99ff98dfd0d8921fd47c970d4c5231) ([merge request](gitlab-org/gitlab!64029))
- [Add select_rows to the list of NON_STICKY_READS](gitlab-org/gitlab@d095deff7524ed2e11dd05c6feaa7afaf49b5dc5) ([merge request](gitlab-org/gitlab!63893))
- [Allow nil on delegated CI/CD settings](gitlab-org/gitlab@9b71913e96f703b022f0927644c382e84012ca8c) ([merge request](gitlab-org/gitlab!63809))
- [Fetch from all parent groups in issue epic select](gitlab-org/gitlab@8a8d2017011e5bbef4d7e6a561dde63220477f5d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/63618)) **GitLab Enterprise Edition**
- [Prevent CI schema from registering if schema_linting flag is off](gitlab-org/gitlab@2d3db8025650746cd5f27ad942d49e7fb63e704d) ([merge request](gitlab-org/gitlab!63552))
- [Conditionally render create group buttons](gitlab-org/gitlab@ef09a654c4c23cb716de5348f1b93270c4c317a1) ([merge request](gitlab-org/gitlab!63871))
- [Do not trim wiki content by default](gitlab-org/gitlab@e8e492d034770037abb04581e95c0e3942f234b4) ([merge request](gitlab-org/gitlab!63930))
- [Show the bytes when git reports the file as undiffable](gitlab-org/gitlab@de19a30b8e339c8603b817ffdfb6a5f60a333173) ([merge request](gitlab-org/gitlab!62445))
- [Use unstranslated names for telemetry on membership](gitlab-org/gitlab@64a5c41156b1a153fd77984132c1b82d387fdb38) ([merge request](gitlab-org/gitlab!63906))
- [Hide search icon on larger breakpoints again](gitlab-org/gitlab@399519194933202c21f2d6a25456b5cee49bbca8) ([merge request](gitlab-org/gitlab!63861))
- [Use user config for first day of week in issue datepicker](gitlab-org/gitlab@285a4d6bfe29dfaebb8fbd6bd8cafc60ad6f2c1f) ([merge request](gitlab-org/gitlab!63821))
- [Fix accessing the errors property of the scan objects](gitlab-org/gitlab@38a4febd36bd3b89cdc5c65b6e40f69d4b2c55e1) ([merge request](gitlab-org/gitlab!63808)) **GitLab Enterprise Edition**
- [Gracefully handle unknown failure reason in runner CI job](gitlab-org/gitlab@4e52147696c760610939df5260e15aa4427c43f5) ([merge request](gitlab-org/gitlab!63828))
- [Check Security::Scan resources to identify ran security jobs](gitlab-org/gitlab@0b4b2ca47398429f08740dfbae173e1521275f98) ([merge request](gitlab-org/gitlab!63807)) **GitLab Enterprise Edition**
- [Fix bug where disabling usage ping via gitlab.rb did not work](gitlab-org/gitlab@c4c513b8a6f0e1b23485e7a05b9311de6f6742fe) ([merge request](gitlab-org/gitlab!63784))
- [Add default_branch support for Project API](gitlab-org/gitlab@24e3c5bfd58d56882e885daf09b075020024f8fd) ([merge request](gitlab-org/gitlab!63771))
- [Avoid idling in transaction while saving project export object](gitlab-org/gitlab@fa4e7efb5ed98a0648a0477649f37dd76bfdd561) ([merge request](gitlab-org/gitlab!63350))
- [Fix timeouts on expiring SSH keys](gitlab-org/gitlab@08e99e90260915fbccb58e45d1fa92aa1d02afb9) ([merge request](gitlab-org/gitlab!63623))
- [Only check for modified paths when the branch is updated](gitlab-org/gitlab@c3329e788a824152078857aa7558c167ec13edb5) ([merge request](gitlab.com/gitlab-org/gitlab/-/merge_requests/63523)) **GitLab Enterprise Edition**
- [Change meta tag theme color to match theme](gitlab-org/gitlab@493e5b79e0856892733e281d9118d09dcf9eadd5) ([merge request](gitlab-org/gitlab!63648))
- [fix: VulnerabilityFinding equality should exclude other record types](gitlab-org/gitlab@356e004a1cd12d9047fb1a43965e4e535e75b101) ([merge request](gitlab-org/gitlab!63554)) **GitLab Enterprise Edition**
- [Fix trendline error](gitlab-org/gitlab@8b5eadfa9f9450a98698ed0c7915ddf7025061ee) ([merge request](gitlab-org/gitlab!63312)) **GitLab Enterprise Edition**
- [Fix unintentional cleanup of Import/Export tmp files](gitlab-org/gitlab@45f991a1c0cb21148a0f5a9766e60412d3c8fa38) ([merge request](gitlab-org/gitlab!63065))
- [Use issueable reference prefix in basic search results](gitlab-org/gitlab@fba94120e74a6fd6e5cdb4d0750910abc1b94c1d) ([merge request](gitlab-org/gitlab!63164))
- [Calculate mergeability check sync on first widget load](gitlab-org/gitlab@46ffa7b826ddf560f7a827ea4c40ed8454c2c490) ([merge request](gitlab-org/gitlab!63506))
- [Fix fetch policy in pipeline editor branch switcher](gitlab-org/gitlab@e7ee68235b411e58cc496dff7993338ea63d7e56) ([merge request](gitlab-org/gitlab!62275))
- [Fix upload-file-experiment-trigger setting incorrect base route](gitlab-org/gitlab@f528dd41f688b0dd723a74d993532ddd7524fe60) ([merge request](gitlab-org/gitlab!63487))
- [Add guard - diff missing from merge_request_diffs](gitlab-org/gitlab@a3cac1386911794fd0e63a1b3afc253d5af9fb9e) ([merge request](gitlab-org/gitlab!63338))
- [Resolve Yajl encoding incompatibility](gitlab-org/gitlab@bc56a61fc4f0cdf5d700a47e6170b5304584d912) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/63379))
- [Fix MR approval by reporters](gitlab-org/gitlab@ce0f10f69fa660c731a244451f60e87b48142e41) ([merge request](gitlab-org/gitlab!63153)) **GitLab Enterprise Edition**
- [Fix conflict resolve to handle FailedPrecondition error correctly](gitlab-org/gitlab@4214e8b561d79bcdb4788ff552fb486c1b06a132) ([merge request](gitlab-org/gitlab!61988))
- [Repurpose Key.expired_today_and_not_notified scope](gitlab-org/gitlab@02f2bf821791331fb8c47bbb7fc43c6a0fa9fb9d) ([merge request](gitlab-org/gitlab!62114))
- [Fix escaping characters in authors name for "Pending Comments" dropdown](gitlab-org/gitlab@2b4768797cb4a66fe2df33d60a5176d7d9330d7a) ([merge request](gitlab-org/gitlab!63349))
- [Fix links in code quality widget](gitlab-org/gitlab@102652819993e263567386b398d70edfaa73d40e) ([merge request](gitlab-org/gitlab!63346))
- [Fix spam detection with Akismet client](gitlab-org/gitlab@ba1815659837e00d04b4dcd0a6a4426a41e81138) ([merge request](gitlab-org/gitlab!63117))
- [Do not display bulk selection when user is auditor](gitlab-org/gitlab@bd27eb022dfd047fe0e4a5514242324dd611081e) ([merge request](gitlab-org/gitlab!62685)) **GitLab Enterprise Edition**
- [Add guard condition for when cilium](gitlab-org/gitlab@2e7fd9662f0e7396a770a40eceb5777af86be0c7) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/63258)) **GitLab Enterprise Edition**
- [Enable HTML labels in Mermaid](gitlab-org/gitlab@80570c0a1a790ccc668c84aa076c8e520e4f43eb) ([merge request](gitlab-org/gitlab!63101))
- [Upgrade gitaly dependency to use proper go modules versioning](gitlab-org/gitlab@c75ac6642b3151b5730ba6d5641a866b3f76c346) ([merge request](gitlab-org/gitlab!63284))
- [Fix MR diff compare with previous version](gitlab-org/gitlab@116280a6448ae08d41e63e057a2f92e3bbaba2df) ([merge request](gitlab-org/gitlab!62535))
- [Use tag helper to generate custom emojis](gitlab-org/gitlab@4346a386773e2096165821a5885695935c621cf9) ([merge request](gitlab-org/gitlab!63275))
- [Allow GraphQL MemberInterface to support null users](gitlab-org/gitlab@86b0a8c9c75c29c4dccd20839df22eadb186c511) ([merge request](gitlab-org/gitlab!63262))
- [Fix blank error message for codequality diff](gitlab-org/gitlab@f6721845e2529a76985cdd9481c4afa1f20b0238) ([merge request](gitlab-org/gitlab!63230)) **GitLab Enterprise Edition**
- [Fix known issues with the CSP](gitlab-org/gitlab@f3e12343371fd29cae5e996416b1bdce57e648a2) ([merge request](gitlab-org/gitlab!63206))
- [Whitelist pages in mermaid rendering](gitlab-org/gitlab@e1a4b221e3d4d7d822e3ddb007865779ae1a6b1c) ([merge request](gitlab-org/gitlab!62451))
- [Fix pipeline graph visualization lines disappearing](gitlab-org/gitlab@4242057e0456e2b9b88165dc97e815fe3edc7dcc) ([merge request](gitlab-org/gitlab!63083))
- [Set CSP back to disabled by default](gitlab-org/gitlab@226b5c8dc96e1c9d91a2dd083e0b5d3ddc3eb184) ([merge request](gitlab-org/gitlab!62961))
- [Fix Advanced Search retry migration button](gitlab-org/gitlab@aace51ef8ca37552919261ca5d4832a75f62e41a) ([merge request](gitlab-org/gitlab!63012)) **GitLab Enterprise Edition**
- [Permit symbols when loading mail_room.yml](gitlab-org/gitlab@b2fb691e17e180e765e253f7fbedb122bf79c183) ([merge request](gitlab-org/gitlab!62780))
- [Use `#use_open_file` for NuGet metadata extraction](gitlab-org/gitlab@6c112a100a9129d8ec88d4604b94042de924f746) ([merge request](gitlab-org/gitlab!62471))
- [Fix iteration wildcard id filtering for boards](gitlab-org/gitlab@c094a3215315355ecfe18a6ab9fdafe63d87073a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62801)) **GitLab Enterprise Edition**
- [Fix reference to `isSquashReadOnly`](gitlab-org/gitlab@e0ed769c5be91cfe0b2397bf24a8585ba1459edc) ([merge request](gitlab-org/gitlab!62851))
- [Prevent error when accessing optional needs in pipeline graph](gitlab-org/gitlab@f0b4301d636383b64f8850fbd996801fcab2b645) ([merge request](gitlab-org/gitlab!62948))
- [Prevent prepending single quote to issue CSV exports](gitlab-org/gitlab@b4d1a6ed5145e38a7edb510155e396b7802e5f36) ([merge request](gitlab-org/gitlab!62730))
- [Record impersonation details on Auditor](gitlab-org/gitlab@20b7c5d6c53acfc41d087a5367ddd5b882a47dab) ([merge request](gitlab-org/gitlab!62257)) **GitLab Enterprise Edition**
- [Set default retries for mailers to 3](gitlab-org/gitlab@d1b9c81059109afca661427a874b12c64f1f5bba) ([merge request](gitlab-org/gitlab!62814))
- [Fix non-custom Total stage in VSA](gitlab-org/gitlab@df2c5bb9cc2cf625722b71a4f706ccf9839c47d7) ([merge request](gitlab-org/gitlab!62889)) **GitLab Enterprise Edition**
- [Do not enforce UTF-8 in any forms](gitlab-org/gitlab@c697eb6e8f77df493e6da85cb0d004400fbe470c) ([merge request](gitlab-org/gitlab!62820))
- [Fix indexer running longer than lock timeout](gitlab-org/gitlab@be5ddaf6b670593968f1d00877d5f63129508d53) ([merge request](gitlab-org/gitlab!62366)) **GitLab Enterprise Edition**
- [Fix junit report attachment in tests with error](gitlab-org/gitlab@15b5b59254c7e4ace8a92827e529ccdf69d6d451) ([merge request](gitlab-org/gitlab!62874))
- [Force use of UTC in formatting seconds into MM:SS](gitlab-org/gitlab@347ae9254788d47d0ec0a536c22021af5318e23b) ([merge request](gitlab-org/gitlab!62873))
- [Fix known issues with the CSP](gitlab-org/gitlab@c827770c8a2f7bda98d88211a8d07aef9e42c87a) ([merge request](gitlab-org/gitlab!62615))
- [Fix CSP issues related to captchas](gitlab-org/gitlab@c7f10973eab348ab62c5fe6907a328cc83cd862c) ([merge request](gitlab-org/gitlab!62849))
- [Fix "Security & Compliance" access for auditors](gitlab-org/gitlab@9541fe044ca52c7daebd7608e2ef75c6201e6b98) ([merge request](gitlab-org/gitlab!62837)) **GitLab Enterprise Edition**
- [Add the deduplication hash to the job payload](gitlab-org/gitlab@88ace86eb8442fbf849fb2ccb23cb0cc4d82fc91) ([merge request](gitlab-org/gitlab!62842))
- [Authorize GraphQL Vulnerabilities::IssueLink type](gitlab-org/gitlab@90692666eb913398888c434514a59cb2d3716d66) ([merge request](gitlab-org/gitlab!62815)) **GitLab Enterprise Edition**
- [Fix the `requiring_cleanup` scope](gitlab-org/gitlab@1d40aa404a84d6d04d6b401cfba239f6f4163a46) ([merge request](gitlab-org/gitlab!62827))
- [Do not remove export when uploading via URL](gitlab-org/gitlab@c2e09e8fae35f18d8ad53a34cd932a4b387c1e71) ([merge request](gitlab-org/gitlab!62763))
- [Set iteration state based on updated dates](gitlab-org/gitlab@97809627d8fe274c4fe3a84c2ecfedd165dcbeef) ([merge request](gitlab-org/gitlab!62558))
- [Update google-protobuf to v3.17.1](gitlab-org/gitlab@bc8f2e0d6d4ffd8ca0195295e5c0b2d208f287e0) ([merge request](gitlab-org/gitlab!62792))
- [Fix CSS for MR widget for dark mode](gitlab-org/gitlab@978ea85dd470ec12787f4435ed77586ab8742483) ([merge request](gitlab-org/gitlab!62783))
- [Fix shared runner minutes reset on self-managed](gitlab-org/gitlab@bba3204bf91bff6d8b13aefb91b13af6347d5270) ([merge request](gitlab-org/gitlab!62781)) **GitLab Enterprise Edition**
- [Fix layout, spacing, and style of reaction emoji on issuables](gitlab-org/gitlab@60b799d6b3e36ddd59f0383c9a579be64bccb394) ([merge request](gitlab-org/gitlab!62621))
- [fix: Update StoreReportService to better unique signature violations](gitlab-org/gitlab@2779305502de592a784a477a0d1768ffb4e3db2b) ([merge request](gitlab-org/gitlab!61269)) **GitLab Enterprise Edition**
- [Update startup css which fixes login pages](gitlab-org/gitlab@b609d6eb12395694cd51fed21944b5d4370d33f5) ([merge request](gitlab-org/gitlab!62486))
- [Make arrow on generic report section clickable](gitlab-org/gitlab@c5971a111941e2ce0b9a2d50923b427999627c7d) ([merge request](gitlab-org/gitlab!62429)) **GitLab Enterprise Edition**
- [Determine Jira deployment_type based on URL](gitlab-org/gitlab@28a4e491b5a7b058a51c8b5813ea5a511c7a3f8c) ([merge request](gitlab-org/gitlab!62040))
- [Fix ability for non project member to subscribe to an issue](gitlab-org/gitlab@b444b07ff8b666a6b53f2111166cfbeaa8c9c7df) ([merge request](gitlab-org/gitlab!61953))
- [Fix Releases page/GraphQL pagination](gitlab-org/gitlab@52341a0b230e5d09c2daa40448c1125419695950) ([merge request](gitlab-org/gitlab!62256))
- [Overhaul CSS in performance bar in Dark mode](gitlab-org/gitlab@47bee03e03651809cd7198b574265467746d962c) ([merge request](gitlab-org/gitlab!61552))
- [Fix `Security::FindingsFinder` for multiple report artifacts](gitlab-org/gitlab@d6e099293532827e3b2fa1da127fc87ab8aea112) ([merge request](gitlab-org/gitlab!62643)) **GitLab Enterprise Edition**
- [Stop using basic auth for GKE cluster creation](gitlab-org/gitlab@c1f0d4ada8ae360d58612c3282682e57d4d69360) ([merge request](gitlab-org/gitlab!62518))
- [Allow error-free deletion of orphaned group members](gitlab-org/gitlab@b5775a56be21c5c2597c70ad367473efa413cef0) ([merge request](gitlab-org/gitlab!62603))
- [Fix "Leave this group" button for subgroups listed in group overview](gitlab-org/gitlab@07765ef3740422208fb40a4630b0326e8d28a1e9) ([merge request](gitlab-org/gitlab!62488))
- [Adds a conditional to not uncheck an unchecked MR](gitlab-org/gitlab@4e5989253ccedc0e655afee37406d6efcfbfae4b) ([merge request](gitlab-org/gitlab!61759))
- [Fix alignment of global alerts](gitlab-org/gitlab@d5c248137c71af978b6c55dc6c4c60bc216bd1d9) ([merge request](gitlab-org/gitlab!62498))
- [Fix vuln scanner filter not working when report type has no scanner IDs](gitlab-org/gitlab@5fd9f9c9a150c31d8e77b7dc7a7e76cd7958e7ab) ([merge request](gitlab-org/gitlab!62565))
- [Call RedisHllUserEvent only when a user is set](gitlab-org/gitlab@95b4471661be21eca12160fd29702c92d8f95725) ([merge request](gitlab-org/gitlab!62560))
- [Fix Gitpod url in user preferences](gitlab-org/gitlab@85a3357a2518db44fba9b3541c41e947b3a89e61) ([merge request](gitlab-org/gitlab!62544))
- [Fix Jira issue fields not disabled when inheriting](gitlab-org/gitlab@0570f7362da2fb3629313a4c69adaa8ff3b4f6d4) ([merge request](gitlab-org/gitlab!62364))
- [Handle invalid project ID in reply-by-email](gitlab-org/gitlab@da6bd2eb0e47696bbbdbfac960801dbfb17b78ec) ([merge request](gitlab-org/gitlab!62530))
- [Fix tooltip positioning on job view list](gitlab-org/gitlab@57b32f6b93eea94c397a793627575b87335a9013) ([merge request](gitlab-org/gitlab!62504))
- [Fix typo showing error message after destroy page](gitlab-org/gitlab@115ab6ee52ce5924a187d735e85c96c8e1a9ec5d) ([merge request](gitlab-org/gitlab!62478))
- [Process emails for projects with not unique service desk keys](gitlab-org/gitlab@cf9290cab12080d87b699cd52aa880fa91d84fb9) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62139))
- [Fix JavaScript initialization in readonly mode](gitlab-org/gitlab@cf425a12d9177b76a86a3928ad641e476c15f10e) ([merge request](gitlab-org/gitlab!62427))
- [Update Gitaly's binary path in init.d scripts](gitlab-org/gitlab@e2dbfb22e6f5a0d28006d4f1684200049a2b1cb0) ([merge request](gitlab-org/gitlab!62456))
- [Pin the GKE version to 1.18 for cluster creation](gitlab-org/gitlab@a5c82ceb7e13d3de00440ff252bcc8b142e857a7) ([merge request](gitlab-org/gitlab!62341))
- [Fix N+1 problem for ForksController#new](gitlab-org/gitlab@614a0c47aca587482810d54637eef5c9938b39ab) ([merge request](gitlab-org/gitlab!62323))
- [Fix missing system notes and system events on create issue](gitlab-org/gitlab@25b6738ccefc0717c04d6eba8548f6bbfbf80745) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/61746))
- [Avoid conflicting workers in `authorized_projects` namespace](gitlab-org/gitlab@2e11d9f55e3c730097cb19c07fee9181205fb9ff) ([merge request](gitlab-org/gitlab!62442))
- [Fix humanized size numbers for negative values](gitlab-org/gitlab@69f1f173d5634cfb24021b4f595a9759eb7545e5) ([merge request](gitlab-org/gitlab!62441))
- [Fix double render in project's git URL redirect](gitlab-org/gitlab@45512b2c5f3aec8034e961b09f10443911076d13) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62053))
- [Fix issue with frames not loading in Safari](gitlab-org/gitlab@5341e159d714e973489c83daa383e9369c5f1423) ([merge request](gitlab-org/gitlab!62421))
- [Fix timeouts when destroying a project with many notes](gitlab-org/gitlab@3e5a944e4a2614fc4b829e6dd14f79ea8c2c4823) ([merge request](gitlab-org/gitlab!62389))
- [Check user permissions for pipeline operations](gitlab-org/gitlab@2424584193443b4666e7d41ba5e1d602d065c1b7) ([merge request](gitlab-org/gitlab!62137))
- [Include environments from current and descendant pipelines](gitlab-org/gitlab@6edd3da0b2c76a09bd986991b2d400007729a785) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62080))
- [Render Discover link for `Security & Compliance`](gitlab-org/gitlab@74fb4d54fbf36223871cda48c9667b9ddb465f4d) ([merge request](gitlab-org/gitlab!62019)) **GitLab Enterprise Edition**
- [Avoid updating Elasticsearch when project is pending_delete](gitlab-org/gitlab@a574bbe0d8c95d9b656045536403796ffa9b25ed) ([merge request](gitlab-org/gitlab!61917))
- [Remove feature flag around policy alert creation](gitlab-org/gitlab@ec1712284b282e2fc82c22c60796ce6b2290f0c1) ([merge request](gitlab-org/gitlab!62319)) **GitLab Enterprise Edition**
- [Fix bulk edit vulnerability dropdown layering issue](gitlab-org/gitlab@b361a36073ecea89fdb89480afe86f7a3f4e769d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62317)) **GitLab Enterprise Edition**
- [Bump Cluster Applications version which includes:](gitlab-org/gitlab@5d05e470b6b4d81ba65f29a11122a17a11fcafea) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62117))
- [Only check index status if modifying Advanced Search form](gitlab-org/gitlab@0b14d4f8e9ef58a99f61262c693c77324dd85957) ([merge request](gitlab-org/gitlab!62299))
- [Preserve epic labels association during Group Import/Export](gitlab-org/gitlab@2ffe53ed1779e7b96f89f9368e803593dcc00053) ([merge request](gitlab-org/gitlab!62299))
- [Hide billing plans with truthy hide_card attribute](gitlab-org/gitlab@2bd16f0afe9bf1b1e383ff69349b20ddfad8f69b) ([merge request](gitlab-org/gitlab!62299))
- [Check for credit card when playing manual jobs](gitlab-org/gitlab@6349060e62348f90211b988c53afc6fef4f1e76b) ([merge request](gitlab-org/gitlab!62299))
- [Ensure post-update actions are applied when assignees change](gitlab-org/gitlab@7b0078180b70b762aaa72c812fea5339d90ed755) ([merge request](gitlab-org/gitlab!62012))
- [Fix errors in instance and group-level integration pages for some integrations](gitlab-org/gitlab@4225a25961f403f267fbad55bb0e5d9a9d0ed5d6) ([merge request](gitlab-org/gitlab!62012))
- [Return 404 from branches API when repository does not exist](gitlab-org/gitlab@9f9fce8261e9da6832915fb44667e7048909765a) ([merge request](gitlab-org/gitlab!62012))
- [Fixed Rails Save Bang offenses in few spec/models/* files](gitlab-org/gitlab@baef3bca17f8c00301ec95c8626ce5dfa7d8aada) ([merge request](gitlab-org/gitlab!62012))
- [Fix blob preview error](gitlab-org/gitlab@7a5bbd2e4397e66429bcce4f4fa81be54c176e97) ([merge request](gitlab-org/gitlab!62012))
- [Fix atom feed with push events for multiple tags](gitlab-org/gitlab@c4769d7ea59c0f3687237d71a4ebc493a56bd668) ([merge request](gitlab-org/gitlab!62012))
- [Resolve Time tracking report is bugged on GraphQL boards](gitlab-org/gitlab@d7ae653b464937a957bac21621f48447b9204edc) ([merge request](gitlab-org/gitlab!62012))
- [Fixed Rails Save Bang offenses in few spec/models/* files](gitlab-org/gitlab@50b037b744fe6cd3271ffd38b985b318e62a3703) ([merge request](gitlab-org/gitlab!62012))
- [Properly process stale ongoing container repository cleanups](gitlab-org/gitlab@948413b6b3961a850bcdce2f9f1776741bbc0ea6) ([merge request](gitlab-org/gitlab!62012))
- [Execute member hooks only if an associated user is present](gitlab-org/gitlab@473656bab27d7227d48d85011d6bf25e9752a855) ([merge request](gitlab-org/gitlab!62012))
- [Fix `pry` debugging location with `pry-byebug` and `pry-shell` by updating the `pry-shell` gem](gitlab-org/gitlab@57dfda62eb0d94a35975bda5af9de1034c53a086) ([merge request](gitlab-org/gitlab!62012))
- [Fix permission check when setting issue/merge request subscription in GraphQL API.](gitlab-org/gitlab@77dea32e5921154fd6613021a73c751f626baaef) ([merge request](gitlab-org/gitlab!62012))
- [Fix pipeline graph undefined needs error](gitlab-org/gitlab@68ce1ff09a3f56a71d791f736db7ee26d492dcd1) ([merge request](gitlab-org/gitlab!62012))
- [Prevent overflows in WebHook#backoff_count](gitlab-org/gitlab@db0366a681a5cd35b13a2fa56370287c3543d7b4) ([merge request](gitlab-org/gitlab!62012))
- [Prevent overflows in WebHook#backoff_count](gitlab-org/gitlab@2ba4cab79d2c482aba89d31729466c75e64f7034) ([merge request](gitlab-org/gitlab!62202))
- [Ensure that we always run the update worker](gitlab-org/gitlab@185fea33cd8d1e39e96a104dccb20db818c97d90) ([merge request](gitlab-org/gitlab!61897))
- [Execute member hooks only if an associated user is present](gitlab-org/gitlab@37cbe23aa7076d74c12eb4210fc802a62d8ef294) ([merge request](gitlab-org/gitlab!62175))
- [Check for credit card when playing manual jobs](gitlab-org/gitlab@f65f4827115f90734c6f49fb578ee3952e884a4c) ([merge request](gitlab-org/gitlab!62124))
- [Added changelogfile](gitlab-org/gitlab@4caa2dfca72d5dfeeb9f8859718d0d8ae999124c) ([merge request](gitlab-org/gitlab!62165))
- [Fixed offenses in spec/models/* part 5](gitlab-org/gitlab@b4acc814eac0a235c38f86ced8a2d141eda9b718) ([merge request](gitlab-org/gitlab!62165))
- [Fix blob preview error](gitlab-org/gitlab@2b72facccc9a36ebe346797b643811fd722b4380) ([merge request](gitlab-org/gitlab!62128))
- [Return 404 from branches API when repository does not exist](gitlab-org/gitlab@5dba6b526e91d5b9e1ae611b38613ad7217a2e6f) ([merge request](gitlab-org/gitlab!62089))
- [Preserve epic labels association during Group Import/Export](gitlab-org/gitlab@f105ac61bc42098a9c02b40e82c613a7c9ece570) ([merge request](gitlab-org/gitlab!62074))
- [Fix atom feed with push events for multiple tags](gitlab-org/gitlab@cbf91d4bd789bafa23227ca19b5e1c893cd42532) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62059))
- [Fixed offenses in spec/models/* part 2](gitlab-org/gitlab@17afb671c4e7b0cf95c762e2fb04fe20302db682) ([merge request](gitlab-org/gitlab!61961))
- [Fix UI bug overflowing the text in TODO list](gitlab-org/gitlab@0eb1b9d3ea9deb9ac09582ecacd23cadc5d7c9f5) ([merge request](gitlab-org/gitlab!61910))

### Changed (155 changes)

- [Move admin cohorts to separate controller](gitlab-org/gitlab@e6fb06fb73ab8a639bac04077c07f5b54670e2eb) ([merge request](gitlab-org/gitlab!64015))
- [Improve beta state communication of content editor](gitlab-org/gitlab@e36a419e2d4fad464bacb2ebcb15fe1c1dd6a02e) ([merge request](gitlab-org/gitlab!63775))
- [DA use dropdown for adding groups](gitlab-org/gitlab@8bd72f34f1c2f3568ed9f338041bd9b9f479026d) ([merge request](gitlab-org/gitlab!63746)) **GitLab Enterprise Edition**
- [Remove ci_register_job_service_one_by_one feature flag](gitlab-org/gitlab@564e6f2260286e5364303464fd23973eb04ccf07) ([merge request](gitlab-org/gitlab!64121))
- [Use database as SSOT for diffs whitespace](gitlab-org/gitlab@24135de77137981c82bcd7268c3875bf7f80a874) ([merge request](gitlab-org/gitlab!63927))
- [Namespace translations in view switcher for clarity](gitlab-org/gitlab@e7d63b3c8512fa486c8d785d7b4f1f5906ac8cc5) ([merge request](gitlab-org/gitlab!64102))
- [Show update branch message when MR branch diverged from target branch](gitlab-org/gitlab@7e3da6b74001c4f3661799c3eac06418e9221bbb) ([merge request](gitlab-org/gitlab!64090)) **GitLab Enterprise Edition**
- [Backend support for multi-select project search](gitlab-org/gitlab@40b38dd3675eddb06a3c43aca4e9c9dbbb180a5a) ([merge request](gitlab-org/gitlab!62606)) **GitLab Enterprise Edition**
- [Use GraphQL for Time tracking info on Issuables](gitlab-org/gitlab@ea7b1fa1ffe5c4d8cde14c146917ec62707a2736) ([merge request](gitlab-org/gitlab!63773))
- [Bump DAST to use version 2](gitlab-org/gitlab@322e7b3c13205f887449f8daac9fc4baf632f772) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62597)) **GitLab Enterprise Edition**
- [Fix Helm version regexp to match unprefixed semver too](gitlab-org/gitlab@9ec76dc9a43ffb2032f9a276a314d270b96d5932) ([merge request](gitlab-org/gitlab!63967))
- [Add deprecation notice to Managed-Cluster-Applications.gitlab-ci.yml](gitlab-org/gitlab@1983d1f28dee21f029776bb41ee53aeaaee021e9) ([merge request](gitlab-org/gitlab!64050))
- [Hide tooltips and popovers with escape key](gitlab-org/gitlab@6dcc5b7b98b37aded59a4f217e39729002065fa0) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/63922))
- [Adds more identifiers to Seat Link](gitlab-org/gitlab@9dc094515375295ea01f49cf67f3c41847ec07d3) ([merge request](gitlab-org/gitlab!63909)) **GitLab Enterprise Edition**
- [Usage dictionary: update name, Group Overview](gitlab-org/gitlab@67c7f965a7a4293cb5b6329da915692b0c8a51c6) ([merge request](gitlab-org/gitlab!63780)) **GitLab Enterprise Edition**
- [Set PostgreSQL 12 as the minimum supported version](gitlab-org/gitlab@50fe067049b75b26b8223470803092a10a23cab1) ([merge request](gitlab-org/gitlab!63471))
- [Fix: update incident sidebar severity title margin](gitlab-org/gitlab@e0d2cfc76405f3083d227b5c42dbdadc03fc42ee) ([merge request](gitlab-org/gitlab!63998))
- [Add webhook rate-limit threshold for Free plan on gitlab.com](gitlab-org/gitlab@772754bc41547860405e55868758f0566c878c22) ([merge request](gitlab-org/gitlab!62918))
- [Update instructions how to initialize/clone git repository](gitlab-org/gitlab@c73781b1c180543c5083bb40796420f2cc613b7c) ([merge request](gitlab-org/gitlab!63985))
- [Add indices for created_at+id and contacted_at+id on ci_runners](gitlab-org/gitlab@53d0a6326a42e3dce9d040497440604b1f201d41) ([merge request](gitlab-org/gitlab!62310))
- [Update Diff UI settings to match style guides](gitlab-org/gitlab@0c95661892bb830056d7d3dee2996e9a192db3e1) ([merge request](gitlab-org/gitlab!62500))
- [Relate Test Reports and Requirement Issues](gitlab-org/gitlab@5927399c2175fdbba680b01690c1ff8c3029305e) ([merge request](gitlab-org/gitlab!63512))
- [Add verification for MR diffs using SSF](gitlab-org/gitlab@9d390d48b98be62beb953ce45fa3b437101cdf6c) ([merge request](gitlab-org/gitlab!63309)) **GitLab Enterprise Edition**
- [Make Alert details table attributes clickable](gitlab-org/gitlab@976d9cf0f0a0dd70e2af14858aff43efd404d006) ([merge request](gitlab-org/gitlab!63593))
- [Add migrations for adding verification for MR diffs](gitlab-org/gitlab@9fadd0b863d796b876ed0f627323e663602a9acb) ([merge request](gitlab-org/gitlab!60935))
- [Allow guest user to assign issue metadata on create](gitlab-org/gitlab@ae50169e7f121dd76ccc516ab2920ed4b829848f) ([merge request](gitlab-org/gitlab!62816))
- [Replace plugin.log with file_hook.log](gitlab-org/gitlab@9602f4cfcd1eb94c98455a07bb0586b30ad87633) ([merge request](gitlab-org/gitlab!57515))
- [Restore previous month perspective](gitlab-org/gitlab@478e20ce28fb7b9df789ea42d1ecf7ab9898327c) ([merge request](gitlab-org/gitlab!63217)) **GitLab Enterprise Edition**
- [Update Styling of MR-Widget](gitlab-org/gitlab@38842cbde3cf4ed7fcdbb871cc14e88cf33c1924) ([merge request](gitlab-org/gitlab!63736))
- [Enforce SSH key expiration by default](gitlab-org/gitlab@f023457f2203d08c0bce352c6422191d760d6e16) ([merge request](gitlab-org/gitlab!62432))
- [Tidy up language on access tokens UI page](gitlab-org/gitlab@a192f5d2ca5be0081203a6967ef77f73504c77b8) ([merge request](gitlab-org/gitlab!62939))
- [Move "Appearances" menu item into "Settings" in Admin Area](gitlab-org/gitlab@c08debbc2cad25b401507eebf48e9e45f2aa9718) ([merge request](gitlab-org/gitlab!62522))
- [Geo: Remove feature flag geo_terraform_state_version_verification](gitlab-org/gitlab@eb1a208ddccc1c1b09bf50663a9d9374907a19a3) ([merge request](gitlab-org/gitlab!63661)) **GitLab Enterprise Edition**
- [Retry pipelines in the background](gitlab-org/gitlab@0852bacfd11317532b79acedd6fe2c6b3cfe23d0) ([merge request](gitlab-org/gitlab!63789))
- [Remove feature flag `introduce_marker_ranges`](gitlab-org/gitlab@ce8ec7312bea6c31e84dce00eb6b2b33b41b9c85) ([merge request](gitlab-org/gitlab!59251))
- [Add input rules for creating links](gitlab-org/gitlab@87b4bb69e8796470e5d63e5b10d1d4dfdfe8519a) ([merge request](gitlab-org/gitlab!63664))
- [Add new way of encrypting tokens](gitlab-org/gitlab@1914a1e3493f8b87cc1948d5b29f755af7a72c20) ([merge request](gitlab-org/gitlab!58902))
- [Remove maven metadata CTE FF](gitlab-org/gitlab@f6b9d3ed06497eea3d39eb3cf3838965e1e28eb7) ([merge request](gitlab-org/gitlab!63657))
- [Bump major version of auto-deploy-image in Auto Deploy template](gitlab-org/gitlab@1051cc3ac6e0837aecc091159c632e06619838ee) ([merge request](gitlab-org/gitlab!62876))
- [Fix title, value spacing of various sidebar blocks](gitlab-org/gitlab@8914310b7b4b1e2961a16b49cffc642f74300120) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/61650)) **GitLab Enterprise Edition**
- [Expose include_ancestor_groups arg for epics query](gitlab-org/gitlab@87062904489597a8ab18b8fc96ca4d7231a27557) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/63374)) **GitLab Enterprise Edition**
- [Change vulnerability filters All option text to be "All <filter name>"](gitlab-org/gitlab@fd6379ae0eb88bbc97767371cdd697a75f8e8e28) ([merge request](gitlab-org/gitlab!63709)) **GitLab Enterprise Edition**
- [Replace work_in_progress with draft](gitlab-org/gitlab@05c9b9ed141d9a0ab037a407da26f9a976d25e42) ([merge request](gitlab-org/gitlab!63473))
- [Successful sync should cause verification](gitlab-org/gitlab@f9e904874082ecb3471a1309b93055c9009eda1c) ([merge request](gitlab-org/gitlab!63104)) **GitLab Enterprise Edition**
- [Wait until DB is ready to list data on legacy storage](gitlab-org/gitlab@d2eea674fd70f5874dcc19729e2916fa5e24ddb6) ([merge request](gitlab-org/gitlab!63692))
- [Add level four heading to text style dropdown](gitlab-org/gitlab@76f4d550751c6be3feb3ed0b82840453e5d5f1e8) ([merge request](gitlab-org/gitlab!63639))
- [Reintroduce DA group max requests](gitlab-org/gitlab@c441ef23d2107ea860d74baccdc867e8dfa36a51) ([merge request](gitlab-org/gitlab!63628)) **GitLab Enterprise Edition**
- [Remove env var restriction for Database load balancing](gitlab-org/gitlab@5548633db5395f78afa55535e67f5f6f75c150db) ([merge request](gitlab-org/gitlab!63627))
- [Hide scanner filter vendor header when there's only the GitLab vendor](gitlab-org/gitlab@b6a51e4cf99543174e80359db44c049a1e301156) ([merge request](gitlab-org/gitlab!63596)) **GitLab Enterprise Edition**
- [Add vulnerability activity filters in GraphQL](gitlab-org/gitlab@830c9f6346309aa82e08368088fc8174b26a3108) ([merge request](gitlab-org/gitlab!63311)) **GitLab Enterprise Edition**
- [Update the vendored cluster management Project Template](gitlab-org/gitlab@7d650079171513057435268d7fbc71eb6f7af941) ([merge request](gitlab-org/gitlab!63577))
- [Projects API show the project's squash option](gitlab-org/gitlab@631ee2c376f6423642ab6cff204f359afa002eec) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/63543))
- [Add git push counter to geo node status](gitlab-org/gitlab@70568e0a583f54e5c440cc56d37feb015e48dfec) ([merge request](gitlab-org/gitlab!63427)) **GitLab Enterprise Edition**
- [Adjust Button Sizes on Secure MR Widget](gitlab-org/gitlab@9c5f6b9e80467e8f02274e60b91991574b2a665b) ([merge request](gitlab-org/gitlab!63407))
- [Apply Slack's UI guide to channel placeholders](gitlab-org/gitlab@581a71f5e532dd5d05a49038fa277cfe13910af0) ([merge request](gitlab-org/gitlab!63046))
- [Remove DA max requests for groups](gitlab-org/gitlab@5acc14099db7e2741050222f123682381bbcadf0) ([merge request](gitlab-org/gitlab!63491)) **GitLab Enterprise Edition**
- [Rollout arel_package_scopes feature](gitlab-org/gitlab@edcaa59c6e1c57c119f4a32fe47ad74e4eb3e720) ([merge request](gitlab-org/gitlab!62614))
- [Allow iteration cadence argument on iteration creation](gitlab-org/gitlab@aecc475aa5e6d7bf8f7729f1f01f31984eb51a10) ([merge request](gitlab-org/gitlab!63505))
- [Migrate board label select to Vue](gitlab-org/gitlab@233554a8710d8267d372be1a9a6fc6e228c9e320) ([merge request](gitlab-org/gitlab!62626))
- [Remove old Advanced Search migrations](gitlab-org/gitlab@42eb2e7f830aa4b82413cb484450dfb2fce2f8df) ([merge request](gitlab-org/gitlab!63001)) **GitLab Enterprise Edition**
- [Added a check for user: null](gitlab-org/gitlab@198f25dfee0021b45181b7717002264782d60e70) ([merge request](gitlab-org/gitlab!63167))
- [Enable :disable_service_templates FF by default](gitlab-org/gitlab@f6c9bfb440831a2086ef8c756c771658f86f53e5) ([merge request](gitlab-org/gitlab!61312))
- [Remove load_balancing_atomic_replica feature flag](gitlab-org/gitlab@5bdb634f8ae2c24633fad3a50c5eaaa8683574b1) ([merge request](gitlab-org/gitlab!63380))
- [Replaces Klar by Trivy from the specs](gitlab-org/gitlab@a1e6576cf6513bc6b8a4b767cb1a221d69f77311) ([merge request](gitlab-org/gitlab!62328))
- [Add vulnerability scanner ID filter in GraphQL](gitlab-org/gitlab@b5336ba15ce135239201bab8ab3544ed453a2aae) ([merge request](gitlab-org/gitlab!63335)) **GitLab Enterprise Edition**
- [Right align action buttons on jobs index page](gitlab-org/gitlab@c0ecc3c392b58dce17ecef2e43f73de50c57b2cb) ([merge request](gitlab-org/gitlab!62869))
- [Move component and spec to static site editor](gitlab-org/gitlab@ead8cb57e15b21cbcc90c50026fc08742b0b94a1) ([merge request](gitlab-org/gitlab!55934))
- [Geo Node 2.0 - Remove geo_nodes_beta FF](gitlab-org/gitlab@35e5f26ab079c12af3286413d8ee5fa1442d6550) ([merge request](gitlab-org/gitlab!62309)) **GitLab Enterprise Edition**
- [Remove geo_lfs_object_replication feature flag](gitlab-org/gitlab@3fbea8278a43cb91415cf76d634a1da74a0fdbef) ([merge request](gitlab-org/gitlab!62039)) **GitLab Enterprise Edition**
- [Increase max groups fetched for DA](gitlab-org/gitlab@d0ea76aec56d87bac687ff85aa95737e5ab3262b) ([merge request](gitlab-org/gitlab!63415)) **GitLab Enterprise Edition**
- [Update breadcrumbs for project imports](gitlab-org/gitlab@8685b3538adb1b4b92034eb95b399c71a661d9a3) ([merge request](gitlab-org/gitlab!63089))
- [Revise UI phrasing around force pushes](gitlab-org/gitlab@162830f52299e8beb3d902b36bf14cf3d2eed897) ([merge request](gitlab-org/gitlab!63310)) **GitLab Enterprise Edition**
- [Upgrade to Mermaid v8.10.2](gitlab-org/gitlab@d886a3fb6390b22cfcf05d91bfba244412a0a869) ([merge request](gitlab-org/gitlab!63354))
- [Enable validate_import_decompressed_archive_size feature flag by default](gitlab-org/gitlab@a180695a5b50e8141f91dd3545ab4d8f2a952bd3) ([merge request](gitlab-org/gitlab!63025))
- [Improve VSM date tooltip](gitlab-org/gitlab@59fa8146ed11ddda9ee2c3bc7eef618e246abd8f) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62194)) **GitLab Enterprise Edition**
- [Pass through escaped variable values to Runner](gitlab-org/gitlab@e5cf22fbcbf6d86a792a3748f29b73f1a7e33f0a) ([merge request](gitlab-org/gitlab!56603))
- [Update deprecated GlIcon size in IDE branch search](gitlab-org/gitlab@c9d6a5a5c80171ebd654b3a19eaadf8ca579f989) ([merge request](gitlab-org/gitlab!62782))
- [Use application/octet-stream as Content-Type for files in CI artifacts](gitlab-org/gitlab@c487ba4597d1ae9b3a283480c374d612d85e3e5c) ([merge request](gitlab-org/gitlab!63273))
- [Rename Browser Performance template jobs](gitlab-org/gitlab@eb7f75682911d87dbd42901c6f88715bd40c74d6) ([merge request](gitlab-org/gitlab!62727))
- [Rearrange 'Security & Compliance' menu items](gitlab-org/gitlab@7d95cdb47bc13ac6ffedb55feed5163b6745487d) ([merge request](gitlab-org/gitlab!62448)) **GitLab Enterprise Edition**
- [Enable prevent_retry_of_retried_jobs feature flag on by default](gitlab-org/gitlab@4b552ded173c95b8795b48c4a34f33999c01bb41) ([merge request](gitlab-org/gitlab!63112))
- [Simplify npm.gitlab-ci.yml using new CI variables](gitlab-org/gitlab@a945fb61276a3ef06f7a76afcc0db2cc44fb8523) ([merge request](gitlab-org/gitlab!56141))
- [Enable cross pipeline artifacts download](gitlab-org/gitlab@16da2f245ab8c801a1ea00b534f278997d6764d6) ([merge request](gitlab-org/gitlab!63074))
- [Rename read_vulnerability to read_security_resource policy](gitlab-org/gitlab@ee4fe811415971df46610f5b64f39bbcda848b3d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/58704)) **GitLab Enterprise Edition**
- [Remove feature flag usage_data_p_terraform_state_api_unique_users](gitlab-org/gitlab@ca975e5303bb9eaa5a48148773d734288cd4b804) ([merge request](gitlab-org/gitlab!62975))
- [Remove feature flag create_cloud_run_clusters](gitlab-org/gitlab@b878883f6a80fc670b8112f91b0c82da4db2b965) ([merge request](gitlab-org/gitlab!62977))
- [Remove ci-trace-read-consistency feature flag](gitlab-org/gitlab@2d3a33230fba32f4046f0709a8142741f98db110) ([merge request](gitlab-org/gitlab!62840))
- [Added path navigation to project VSA](gitlab-org/gitlab@937099d47529ea384404eeacdd8c6aeb653d2d16) ([merge request](gitlab-org/gitlab!62630)) **GitLab Enterprise Edition**
- [Enable ci_fix_commit_status_retried by default](gitlab-org/gitlab@406ad6b0bbc450a757e7ca549a6df63d35a3b0f2) ([merge request](gitlab-org/gitlab!62907))
- [Change docs link style in group CI settings](gitlab-org/gitlab@b2cdff999c7e3f591c013a35e18106194500b966) ([merge request](gitlab-org/gitlab!62065))
- [Upgrade Sentry gem to 4.4.0](gitlab-org/gitlab@fa3e6a81fbc036f67a17d6236ddbf8dcf631aed0) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62387))
- [Refactor performance bar cookie check](gitlab-org/gitlab@91490dca3a323e322fff16661065f50c899160d4) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62675))
- [Database Load Balancing feature available in GitLab Free](gitlab-org/gitlab@064e9d3c5fbb65ee7cbca4eb54c9c58c77ab5c4d) ([merge request](gitlab-org/gitlab!62739))
- [Align titles and icons in Security pages](gitlab-org/gitlab@d98f9442f52b198bba31a7116665b54b915afc63) ([merge request](gitlab-org/gitlab!62841)) **GitLab Enterprise Edition**
- [Prevent projects with same slug from having same project key](gitlab-org/gitlab@85177b67e9b5ff8f3378b3f7b6ab8f251dd3d785) ([merge request](gitlab-org/gitlab!62240))
- [Allow reporters to read project statistics](gitlab-org/gitlab@af23428c618e5547c03646e6f674743c7971aa0a) ([merge request](gitlab-org/gitlab!62736))
- [Simplify network policy sidebar](gitlab-org/gitlab@b477ebde931c6f1624c6b26ab8eca432ec09ac85) ([merge request](gitlab-org/gitlab!62134)) **GitLab Enterprise Edition**
- [Rename instance_statistics_measurements_table](gitlab-org/gitlab@a29bffcdc0a319fe4f90555787755e6a490fcd06) ([merge request](gitlab-org/gitlab!62797))
- [Converted issuable id to string](gitlab-org/gitlab@52580c529627d29679bc4b784630fff55082c127) ([merge request](gitlab-org/gitlab!62804))
- [Fixed scroll on todos](gitlab-org/gitlab@bcd934db8c991d197ff5683942ab2fabc3d1a36d) ([merge request](gitlab-org/gitlab!62807))
- [Replace Flash with GlAlert in Boards](gitlab-org/gitlab@76c6c7538c0860ba0f34d2d1cd15e3daf458dac7) ([merge request](gitlab-org/gitlab!61969))
- [Improve fork error message](gitlab-org/gitlab@1d45ae6f9c8f681c34ad55dc5234b857e30929ca) ([merge request](gitlab-org/gitlab!62664))
- [Allow `extra` parameter for Snowplow events](gitlab-org/gitlab@b75c135b4b4c588dadfc9540f16c06e450406d91) ([merge request](!56869))
- [Import group epics via ndjson when using Bulk Import](gitlab-org/gitlab@03b2fe02d5c4d118382b4f9676d0def6ca990d88) ([merge request](gitlab-org/gitlab!62590)) **GitLab Enterprise Edition**
- [What's New content link opens in new tab](gitlab-org/gitlab@af59ed027df3fec6caba85f48247a148b5b57225) ([merge request](gitlab-org/gitlab!61954))
- [No Longer Send Legacy Feature Flags](gitlab-org/gitlab@d52208fc3e180de5f84ddb6906b1fdb1afc6f739) ([merge request](gitlab-org/gitlab!62484))
- [Strip out junit screenshot path](gitlab-org/gitlab@c13fdd442560d3d060b29fab2ad6f3b1eecd7523) ([merge request](gitlab-org/gitlab!62520))
- [Remove unused ProcessPrometheusAlertWorker worker](gitlab-org/gitlab@9ea5ec8d23b968d31c7e5709145505d9d8ce2ab9) ([merge request](gitlab-org/gitlab!62579))
- [Rename experiment_subjects group_id column](gitlab-org/gitlab@66f28b08867a6678b3168e28ca4459539dfd5a8f) ([merge request](gitlab-org/gitlab!62696))
- [Remove unused ProcessAlertWorker](gitlab-org/gitlab@f7a81d88c89f5ab0b3bc50ae32c41b10e8516dbf) ([merge request](gitlab-org/gitlab!62582))
- [Update pipeline failed notification emails to refer to jobs](gitlab-org/gitlab@c01132d844c88a0fab88d7a94679ccc6ff185d93) ([merge request](gitlab-org/gitlab!62671))
- [Improve approvers text](gitlab-org/gitlab@47478e05bfcce81704b44c09a4ca1f67dca2dfe6) ([merge request](gitlab-org/gitlab!62657)) **GitLab Enterprise Edition**
- [Update securityReportSummary to avoid expensive operation](gitlab-org/gitlab@a796af895c2332a6f19f14048f356d394f2c4010) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/61221)) **GitLab Enterprise Edition**
- [Redesign policy editor page](gitlab-org/gitlab@c81e65ff1e7a17946a4e4bc5688a975311e6ac67) ([merge request](gitlab-org/gitlab!62344)) **GitLab Enterprise Edition**
- [Enable builds queue on replicas by default](gitlab-org/gitlab@2a7b20d0911b8c7876f79047ddb9a98bb7abf0da) ([merge request](gitlab-org/gitlab!62619))
- [Update Unknown signin email timestamp to use 24 hour time](gitlab-org/gitlab@cc0a6c567bbaa677e64b2f98a67d303dfcd6539d) ([merge request](gitlab-org/gitlab!47748))
- [Move cluster management projects out of alpha](gitlab-org/gitlab@d4189c0846a401f3bb4c6bc9f25a66452f96306a) ([merge request](gitlab-org/gitlab!62255))
- [Update group creation UI](gitlab-org/gitlab@db58b29afcf18b46c5d844a1c086454e394d8079) ([merge request](gitlab-org/gitlab!61100))
- [Remove group timelog mandatory arguments](gitlab-org/gitlab@cfdedd479eeac7e319aabcf84635e248a518a2fc) ([merge request](gitlab-org/gitlab!61847))
- [Remove include_lfs_blobs_in_archive feature flag](gitlab-org/gitlab@c17834bb95399626e55a3b161e6bc0d9f019f84f) ([merge request](gitlab-org/gitlab!62539))
- [Add BulkImports NdjsonExtractor & update labels pipeline to use it](gitlab-org/gitlab@53ca7bd16d6f92610343d7da34e3f2f1a867dc1b) ([merge request](gitlab-org/gitlab!62409))
- [Remove @service from integrations contollers](gitlab-org/gitlab@3add719db257714bb462c580b7c83d89a20e7ad0) ([merge request](gitlab-org/gitlab!62551))
- [Allow url without .git suffix for import](gitlab-org/gitlab@b6981d9baaa8d5680cd7e5a267b8c1be84f22836) ([merge request](gitlab-org/gitlab!62552))
- [Enforce maximum attachment size in project API uploads by default](gitlab-org/gitlab@c8c13203828c8443487eb44f719856b6f12998e8) ([merge request](gitlab-org/gitlab!62542))
- [Added path navigation to project VSA](gitlab-org/gitlab@70abdb446166465578f8b90826ec3effab1d5949) ([merge request](gitlab-org/gitlab!61125)) **GitLab Enterprise Edition**
- [Enable builds queue limit by default](gitlab-org/gitlab@c853efd7f8f3813c318ef44beaa809a4ad12bf5c) ([merge request](gitlab-org/gitlab!62405))
- [Fix spacing for branch switcher in pipeline editor](gitlab-org/gitlab@ef1cbb855fa99d504f2ac954cfc5f083d89e9818) ([merge request](gitlab-org/gitlab!62534))
- [Updates authorization for lint](gitlab-org/gitlab@f8524e7f322db547e578b5c205252d97aa068db8) ([merge request](gitlab-org/gitlab!62004))
- [Separate adoption segment namespaces](gitlab-org/gitlab@212d28d988cbd9f8b6345236c77d2d49dad7cd28) ([merge request](gitlab-org/gitlab!61903))
- [Use :latest image tag in default Ruby CI template](gitlab-org/gitlab@58439fb1fa48fba378e86039a6b241f152cc7bd4) ([merge request](gitlab-org/gitlab!61283))
- [Globally enable better generic metrics comparison](gitlab-org/gitlab@d7c47fb1f98c27a064b662c6cee53aa40efcdeec) ([merge request](gitlab-org/gitlab!62335))
- [Upgrade CQ for updated Rubocop for Ruby 3](gitlab-org/gitlab@551f2cdd6ce94bd9b39f7afda4b57d1e8f1b278d) ([merge request](gitlab-org/gitlab!61833))
- [Remove Links header](gitlab-org/gitlab@47203a782e9f396add2f4c98e4dfc8c61b2a9a56) ([merge request](gitlab-org/gitlab!62388))
- [Reduce queries when ticking the runner queue by default](gitlab-org/gitlab@f4170c07a4c59fab0c0bf4cee9cc84721e2a04f2) ([merge request](gitlab-org/gitlab!62146))
- [Add codeowners to DevOps Adoption](gitlab-org/gitlab@c99eca0dfad287deee2c687266f930178cb32ebf) ([merge request](gitlab-org/gitlab!62072))
- [Prevent retried builds from being retried again](gitlab-org/gitlab@f932aea58ee5500651017ea40357d2779ca10ea8) ([merge request](gitlab-org/gitlab!62349))
- [Raise job rules without workflow warnings by default](gitlab-org/gitlab@bf779d0b1de98155c0472120db9e6ce967f23593) ([merge request](gitlab-org/gitlab!61945))
- [Better errors to users for CustomersDot API calls](gitlab-org/gitlab@48440e250df8edf3921b958069756fe9add4562b) ([merge request](gitlab-org/gitlab!62367))
- [Enable live consumption for all paid plans](gitlab-org/gitlab@acc183586a5eb8352e648540cfc78926872521a0) ([merge request](gitlab-org/gitlab!62178))
- [Remove webhooks_moved user callout](gitlab-org/gitlab@43a5b008f10481a807cbe84bf0e62490aedcfe56) ([merge request](gitlab-org/gitlab!61960))
- [Use new location for container-scanning analyzer](gitlab-org/gitlab@345978be218a53692196ee2adac531baf7a74363) ([merge request](gitlab-org/gitlab!62358))
- [Remove code owner ribbon move announcement from settings](gitlab-org/gitlab@b038f48d279a3640f5bdb38081c9212a5df498cf) ([merge request](gitlab-org/gitlab!62299))
- [Move gosec to alphabetical order](gitlab-org/gitlab@a08537d3bb3c530c51b27a625400d9df8f9a3865) ([merge request](gitlab-org/gitlab!62299))
- [Update Operations settings forms to be UX consistent](gitlab-org/gitlab@835bee362133230a73890d8c0e47daa94f85d3d1) ([merge request](gitlab-org/gitlab!62299))
- [Lock a newly created item card in boards](gitlab-org/gitlab@6fa9e817c5d6b4f45a71ea1f34aeab237035b6ca) ([merge request](gitlab-org/gitlab!62012))
- [Simplify error code handling for external pipeline validation](gitlab-org/gitlab@5a17b30dc1d5e50a01eda71bccd5aeeafc17c7c7) ([merge request](gitlab-org/gitlab!62012))
- [Backfill clusters_integration_prometheus.enabled](gitlab-org/gitlab@ccedc0a5f379bb5353ee950f1df251b564026070) ([merge request](gitlab-org/gitlab!62012))
- [Add ease score onboarding in-product marketing email](gitlab-org/gitlab@7e2699e16cb397b0e40a62af23c6ce460087530c) ([merge request](gitlab-org/gitlab!62012))
- [Allow issue type change for incidents](gitlab-org/gitlab@455192325b567617bf0bb5b809c1d23f6d7b7215) ([merge request](gitlab-org/gitlab!62012))
- [Observe secondary email addresses when adding a member](gitlab-org/gitlab@4b57957a23fbd72c812fbafc50abd567015cc583) ([merge request](gitlab-org/gitlab!62012))
- [Left-align certain application-wide cancel buttons to conform to the GitLab Pajamas style guide](gitlab-org/gitlab@ebf3df5f857dd5f0929ab1a110bc96f3f6db3286) ([merge request](gitlab-org/gitlab!62012))
- [Remove old redirect rule for the usage trends feature](gitlab-org/gitlab@2151cf64c3447a7e9f00c2cd5d394fb657395fff) ([merge request](gitlab-org/gitlab!62012))
- [Simplify error code handling for external pipeline validation](gitlab-org/gitlab@dd0cd8e32e3028276a994132c5840a0474dc6035) ([merge request](gitlab-org/gitlab!61190))
- [Set minimum Redis version to 5.0](gitlab-org/gitlab@2cfe54c0d75d4752978a2a2e20b8eb5ba8d59829) ([merge request](gitlab-org/gitlab!62156))
- [Observe secondary email addresses when adding a member](gitlab-org/gitlab@e77c72dcf38da384a73c47ebd6ce0e2d1b006f38) ([merge request](gitlab-org/gitlab!62024))

### Deprecated (3 changes)

- [Depreciate GMA from Logs view in Operations](gitlab-org/gitlab@71df6576657f8410fba8b4306eab5b15bbe87460) ([merge request](gitlab-org/gitlab!63517))
- [Deprecate related projects_with_prometheus_alerts metrics](gitlab-org/gitlab@c719c378dcf63da7b8bb9c5be0869b64537ee868) ([merge request](gitlab-org/gitlab!61872))
- [Remove OpenJDK-alpine Dockerfile template](gitlab-org/gitlab@8891a02665a0f316faefe802702f717fb0d4521f) ([merge request](gitlab-org/gitlab!61867))

### Removed (46 changes)

- [Remove metrics dashboard alert functionality](gitlab-org/gitlab@820924deb74368dd6263ddc4dcaa462b001acba9) ([merge request](gitlab-org/gitlab!63838))
- [Remove load_balancing_for_web_hook_worker FF](gitlab-org/gitlab@8608f495de805f392e474334b0f108b3cab92bbf) ([merge request](gitlab-org/gitlab!63988))
- [Drop license_management artifact](gitlab-org/gitlab@f385377cf38d187f138885af984a7d66f3628e0f) ([merge request](gitlab-org/gitlab!62302)) **GitLab Enterprise Edition**
- [Remove ssh_key_expiration_email_notification feature flag](gitlab-org/gitlab@35bc6dd82316fd03a46dfe42b85c6d890a5339b2) ([merge request](gitlab-org/gitlab!63877))
- [Remove support for creating/updating release notes via tags API](gitlab-org/gitlab@9bda56ad634f5088d2bbac2ad45420d7699fd4e1) ([merge request](gitlab-org/gitlab!63389))
- [Drop support of legacy feature flag](gitlab-org/gitlab@d416cf01f4cd5c5ae3eaa853b9cfdc64db3ada5b) ([merge request](gitlab-org/gitlab!63614))
- [Removes SAST_DEFAULT_ANALYZERS variable](gitlab-org/gitlab@aa31a30ac3b454b7d3723b71ef2b09a02768f324) ([merge request](gitlab-org/gitlab!63538))
- [Replace 'tag_list' with 'topic_list' attribute on project](gitlab-org/gitlab@2ff0b5e350ff77e0122adbe2b462636382828a86) ([merge request](gitlab-org/gitlab!63493))
- [Don't take fingerprints for the internal authorized_keys API](gitlab-org/gitlab@afeaa2e772e63b03ab235fed0f2abad9d5dbe014) ([merge request](gitlab-org/gitlab!63783))
- [Remove redundant key/value pair from the payload of DORA metrics API](gitlab-org/gitlab@9064c0fbbe7caaceb22fc3ac2ae394822094cb6a) ([merge request](gitlab-org/gitlab!62875))
- [Remove canary_ingress_weight_control feature flag](gitlab-org/gitlab@1b29140c696f1c3ba6d69031963069f092df9725) ([merge request](gitlab-org/gitlab!63710))
- [Remove allow_group_deploy_token feature flag](gitlab-org/gitlab@0317654a7b106644439ac5bc6f971f63ba4cfe09) ([merge request](gitlab-org/gitlab!63727))
- [Remove GitLab-managed applications UI](gitlab-org/gitlab@f770bce42385999dc5cfecd69a490911dacfc411) ([merge request](gitlab-org/gitlab!63348))
- [Remove GMAv1 Fluentd](gitlab-org/gitlab@2a21bfcda7f0d9c67529559f4c27395c4954f67d) ([merge request](gitlab-org/gitlab!63755))
- [Remove GraphQL deprecated fields](gitlab-org/gitlab@89009fc7e7c4830dbebec7ccd911fb4fcee17722) ([merge request](gitlab-org/gitlab!63293))
- [Remove GitLab WAF related models, services and workers](gitlab-org/gitlab@d1146081367b992ff33f9956ea32c7306cab900a) ([merge request](gitlab-org/gitlab!61556)) **GitLab Enterprise Edition**
- [Remove legacy profile routes](gitlab-org/gitlab@d7efa70a41956fcf8d13ce6079ac96b3f7efee31) ([merge request](gitlab-org/gitlab!63566))
- [Replace 'tags' with 'topics' association on project](gitlab-org/gitlab@784c5dabe6cbb2393a306b1331d4e648631f005b) ([merge request](gitlab-org/gitlab!62549))
- [Remove deprecated CI workers and arguments](gitlab-org/gitlab@5e2dbc0e2dc51e190fb04b3ad01ef056622ae2e3) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/63323))
- [Deprecate global usage of SAST_ANALYZER_IMAGE_TAG](gitlab-org/gitlab@422219bae6a101258826f96deca431072621f124) ([merge request](gitlab-org/gitlab!62724))
- [Remove BuildsEmailService records from services](gitlab-org/gitlab@272464a44b95f0f8edb25c01aa91a1e0b80a6431) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/63264))
- [Remove metrics for Web Application Firewall](gitlab-org/gitlab@d4c579847bfe75192270be221bbce169956fb809) ([merge request](gitlab-org/gitlab!61448))
- [Remove documentation for GitLab WAF](gitlab-org/gitlab@e5a771237f211bc339d663e1d94d1a4be6d6766c) ([merge request](gitlab-org/gitlab!61441))
- [Remove Unicorn support](gitlab-org/gitlab@e2fc284cc73dea159baacb38d655d8d6e2fc3530) ([merge request](gitlab-org/gitlab!61888))
- [Remove projects_with_prometheus_alerts and pod_logs_usages_total metrics](gitlab-org/gitlab@c90a373081c379b66ec1465ec62900280bd529e9) ([merge request](gitlab-org/gitlab!62962))
- [Remove code coverage tracking feature flag](gitlab-org/gitlab@757dd33a6303d33061975e8513286192636144e4) ([merge request](gitlab-org/gitlab!62595))
- [Remove pick_into_project feature flag](gitlab-org/gitlab@0ac685ba56d3367ff23c08a84c9647acfa6e0f20) ([merge request](gitlab-org/gitlab!62809))
- [Remove postgres hll batch counting ff](gitlab-org/gitlab@38f718f80b9257ce39f67e8649dfc063ac3e9101) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62813))
- [Remove `trace` parameter from `PUT /api/jobs/:id`](gitlab-org/gitlab@4c8900c0417cec10ccbb9cdc6c0bc91ad9d74537) ([merge request](gitlab-org/gitlab!62758))
- [Remove CI_PROJECT_CONFIG_PATH variable](gitlab-org/gitlab@984218929c9c17f48b1b6ce44c57a826c40dba5d) ([merge request](gitlab-org/gitlab!61977))
- [Remove inherited_issuable_templates feature flag](gitlab-org/gitlab@f424d6e6f70dbf35fd3088c4937205f771d062d3) ([merge request](gitlab-org/gitlab!56747))
- [Remove deprecated `--experimental-queue-selector` flag for Sidekiq](gitlab-org/gitlab@f0dcc2d13e8271cfcc23265ac488e8b946ff7dac) ([merge request](gitlab-org/gitlab!62697))
- [Remove unused instance statistics workers](gitlab-org/gitlab@d07788c23502f53fe22dd2a7d0a6546181dc13a7) ([merge request](gitlab-org/gitlab!62583))
- [Remove Unicorn references from runtime logic](gitlab-org/gitlab@8c0ccaec331c0c8f9cea0ff11cf16ba6244281b6) ([merge request](gitlab-org/gitlab!62390))
- [Remove unicorn-worker-killer gem and relations](gitlab-org/gitlab@fdc7dad54ac3f5cdbb7ce93ac9b391bd2a065a02) ([merge request](gitlab-org/gitlab!62293))
- [Remove Unicorn detection in pid provider](gitlab-org/gitlab@6d875648769b638a1117617d7929b2ac21bbc9e3) ([merge request](gitlab-org/gitlab!62377))
- [Remove assigned open issue count background worker](gitlab-org/gitlab@0ac4bc765a2cd35dd0062899b536a1a166a350bf) ([merge request](gitlab-org/gitlab!62370))
- [Remove start-up scripts for Unicorn web server](gitlab-org/gitlab@74b58f507f910169e742a17b229547837975ad5e) ([merge request](gitlab-org/gitlab!62289))
- [Remove UnicornCheck service](gitlab-org/gitlab@83d53d02cf77cfd8ec26b30d389103d148dbd196) ([merge request](gitlab-org/gitlab!62012))
- [Remove support for /wip quick action](gitlab-org/gitlab@1842425ba033bb420e58a66aba40436800440cdc) ([merge request](gitlab-org/gitlab!62012))
- [Redirect some of deprecated repository routes](gitlab-org/gitlab@942adb32b60ac9329c061e34e9094cdf972bc19f) ([merge request](gitlab-org/gitlab!62012))
- [Remove some deprecated global routes](gitlab-org/gitlab@924890e647040a7dde8e200d9056edd38b90cfaa) ([merge request](gitlab-org/gitlab!62012))
- [Remove Unicorn Sampler](gitlab-org/gitlab@311703895118692216ad14af4ddf100c4d41f48b) ([merge request](gitlab-org/gitlab!62012))
- [Drop plugins directory support](gitlab-org/gitlab@dc87151f9f2ea5e3d3e307f361da4db3db406876) ([merge request](gitlab-org/gitlab!62012))
- [Remove UnicornCheck service](gitlab-org/gitlab@6cc7c1c91dafd3d2830406e99da5c8eb778db48a) ([merge request](gitlab-org/gitlab!62204))
- [Remove Unicorn Sampler and its dependencies](gitlab-org/gitlab@b30ae67d140973dcee5d292c13119d82f80182ad) ([merge request](gitlab-org/gitlab!62090))

### Security (12 changes)

- [Change button type so the form doesn't submit](gitlab-org/gitlab@9f96385312400a270d1b09f53b3a4e286505102a) ([merge request](gitlab-org/gitlab!63895))
- [Bump BinData version](gitlab-org/gitlab@49f41ecab3cfc8dc54dda314a440630726455828)
- [Use xpath search of Nokogiri instead of css search](gitlab-org/gitlab@66c21aca75fec6c8f9454f1b6fdda52c44e90db1)
- [Truncate all non-blob markdown to 1MB by default](gitlab-org/gitlab@de3ea3cb762bb8d08d4419e048a171b4719aaf5e)
- [Block access to GitLab for users with expired password](gitlab-org/gitlab@9abcdb766a3098f4191aab125ddfc04eea40ab44)
- [Adds redirect page to OAuth](gitlab-org/gitlab@5d9a9224b590fb2f77ae3fe78370ca982578d22b)
- [Opt in to Atlassians new context qsh](gitlab-org/gitlab@bd02953c891398513e69de00186b010a81f88f80)
- [Limit oncall projects shown to scope of source](gitlab-org/gitlab@bf65867e699a43fcf41661c554bd40fafdff3482) **GitLab Enterprise Edition**
- [Merge branch 'id-upgrade-rails-to-6.0.3.7' into 'master'](gitlab-org/gitlab@0d8d8c7ad7590b4c95ef89e3fd1ec43f89292372) ([merge request](gitlab-org/gitlab!62347))
- [Update users two factor required from group](gitlab-org/gitlab@b9a6117b87fdbff54999a2282f41b8f27d1cea7d)
- [Only verify commit signatures if the user email is verified](gitlab-org/gitlab@fe21bb58c79be0128530b02ef1db25ce3ea183ff)
- [Prevent XSS on notebooks](gitlab-org/gitlab@1f23ad420d1c1853eb03722cd183758f749a375f)

### Performance (45 changes)

- [Add post deployment migration for cleanup policies](gitlab-org/gitlab@00dca6deae3d6159763d296af55a8e32e786d4b2) ([merge request](gitlab-org/gitlab!63841))
- [Enable caching of PG typemap by default](gitlab-org/gitlab@ea9ae9731df199387d7d7a7abbc5072456afb462) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64010))
- [Paginate diffs using Gitaly paths](gitlab-org/gitlab@b6e206b0ff7410abc28171aa0c53c80fd6acd1c3) ([merge request](gitlab-org/gitlab!62543))
- [Prevent refetching commit data](gitlab-org/gitlab@4829a69f027d0a5f68cd9b34194f066ebf86c4a2) ([merge request](gitlab-org/gitlab!63870))
- [Use title, not full_title for commit mentionables](gitlab-org/gitlab@d33a225801f62cf4d8ae39bed7fe718a9a542fdd) ([merge request](gitlab-org/gitlab!63869))
- [Add index for project_features.container_registry_access_level](gitlab-org/gitlab@78c5f2b321f4861a13e0cd8a2faed0dce7c348a3) ([merge request](gitlab-org/gitlab!55071))
- [Reduce number of gitaly calls in Snippet REST list Endpoints](gitlab-org/gitlab@913e8982efad68d4e759a4b1fa2176269e54904a) ([merge request](gitlab-org/gitlab!63735))
- [Improve cache sharing between cached markdown fields and mentionables](gitlab-org/gitlab@c0e6dd6af5e675c46d1eaf852123a5f8650c4877) ([merge request](gitlab-org/gitlab!63040))
- [Add protected pending build column and migrate data](gitlab-org/gitlab@8498d1089d98949716ac9cac21d64a5cf58ad7fb) ([merge request](gitlab-org/gitlab!63759))
- [Prevent fetching commits for next page](gitlab-org/gitlab@ce8bba1418be55e2b01186d0e1101f0c94f02dc7) ([merge request](gitlab-org/gitlab!63525))
- [Retry traversal_ids backfill jobs](gitlab-org/gitlab@a356b0ef27341ef89626bdf54bb783aa299920b4) ([merge request](gitlab-org/gitlab!62992))
- [Enable label reference caching](gitlab-org/gitlab@d21e5bcaad2bef045af250e80230942bde3c78a7) ([merge request](gitlab-org/gitlab!61648))
- [chore: Drop optimize_sql_query_for_security_report feature flag](gitlab-org/gitlab@d5e3be8a7be1f19e926a0faadad6365c1acfa1ea) ([merge request](gitlab-org/gitlab!63558)) **GitLab Enterprise Edition**
- [Add tracking of running shared runner builds](gitlab-org/gitlab@7204a4815b7b2d3e3041da7c0e32180b806c6a9d) ([merge request](gitlab-org/gitlab!62912))
- [Use specialized project_authorization workers](gitlab-org/gitlab@652c1ee874a8a699e3fd651fa3db1cc1cdc5f6c5) ([merge request](gitlab-org/gitlab!63637))
- [Enable 'use_distinct_in_shas_cte' FF by default](gitlab-org/gitlab@425bec5bc5b72c8d47eb1c99a60f55586953c864) ([merge request](gitlab-org/gitlab!63532))
- [Add background migration for unused expiration policies](gitlab-org/gitlab@eda4d6c1da822cc2120187ec1fd1c9bb301f59b5) ([merge request](gitlab-org/gitlab!61983))
- [Fix N+1 problem for fork controller](gitlab-org/gitlab@945abee15a2aca596f84e2ca48966d4df7c164e1) ([merge request](gitlab-org/gitlab!63436))
- [Preload blobs in repo view](gitlab-org/gitlab@b37b804c3fb448f4d68eb5798a2c212eb2542ea5) ([merge request](gitlab-org/gitlab!63066))
- [Utilize load balancing capabilities for UserRefreshOverUserRangeWorker](gitlab-org/gitlab@dd5830e7676bf5ee86d4cbd2777607f6811be842) ([merge request](gitlab-org/gitlab!63280))
- [Optimize queries that timeout in StuckCiJobsWorker](gitlab-org/gitlab@314b7edb776a04e66404dc94849733f6f7777184) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62239))
- [Linear traversal query for Namespace#root_ancestor](gitlab-org/gitlab@fdf3d7f90ca040c3c41f8a1556387e5fc807411f) ([merge request](gitlab-org/gitlab!61799))
- [Cache open epics count in group sidebar](gitlab-org/gitlab@b763267d9ee39a851742218f188611a5e3b16a1e) ([merge request](gitlab-org/gitlab!62940)) **GitLab Enterprise Edition**
- [Cache sidebar merge requests count at group level](gitlab-org/gitlab@e57650e49ce6a63a2f792b5188432684c8e7bc27) ([merge request](gitlab-org/gitlab!62935))
- [Moves the pipelines.json endpoint to startup js](gitlab-org/gitlab@8d74b69a7ff174ea5b6343ef23e387b0da1f612d) ([merge request](gitlab-org/gitlab!62936))
- [Remove unreferenced lfs objects in batches](gitlab-org/gitlab@0b75859dedbee28bd0118f3354702b2555f199d7) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/56959))
- [Remove preloading of forks in projects API](gitlab-org/gitlab@2a3be447556fd31f32b024bfb72540216926f793) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62602))
- [Enable pending builds parity by default](gitlab-org/gitlab@0b4c7bb40cb554702e6289101a1b6372c1d11c40) ([merge request](gitlab-org/gitlab!62195))
- [Refine linear queries in Namespace#all_projects](gitlab-org/gitlab@e254445f21f25bc6ad491211ab0a079c1380e1dc) ([merge request](gitlab-org/gitlab!62268))
- [Reinstate branches keyset pagination](gitlab-org/gitlab@a4bdb63bc00d90fed4dec1f3fe3ea91b4d35151e) ([merge request](gitlab-org/gitlab!62458))
- [Optimize Nokogiri search for post-processing pipeline](gitlab-org/gitlab@567685431f4f18ebc52ee6a1865b545addaa1b85) ([merge request](gitlab-org/gitlab!61994))
- [Removes unneeded preloading in Markdown rendering](gitlab-org/gitlab@c264427ea396ec74fcc989f88e1377c5ef76da79) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62273))
- [Cache `branch_requires_code_owner_approval?`](gitlab-org/gitlab@0459ed2681f990f379ee7e8ced6d07dbf9635f16) ([merge request](gitlab-org/gitlab!56775)) **GitLab Enterprise Edition**
- [Switch group member max access to use bulk load](gitlab-org/gitlab@daa4c18ec4d53863ccdf3263037e34c86b6774de) ([merge request](gitlab-org/gitlab!62226))
- [Utilize load balancing capabilities for BuildHooksWorker](gitlab-org/gitlab@c8d86d0fc29c5b60e206240c6020d3609f57fd4f) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/61905))
- [Add viewer URL to StartupJS](gitlab-org/gitlab@1533d9ec085d503cac5229ebc1ac70babe6c006c) ([merge request](gitlab-org/gitlab!62068))
- [Advanced Search: Allow indexing workers to use replicas](gitlab-org/gitlab@7bc460926a334cda4f4ba4e0248d3647fd24aea8) ([merge request](gitlab-org/gitlab!62299))
- [Reduce memory consumption when an API exception goes to Sentry](gitlab-org/gitlab@1562bac71e71a316244bd762169267b3c6af04c2) ([merge request](gitlab-org/gitlab!62025))
- [Use cache for CI::Build runners check](gitlab-org/gitlab@7c8637c8059d95b9f4b7c3f4e3d64b652c22ecc2) ([merge request](gitlab-org/gitlab!62012))
- [Optimize query for loading artifacts in pipeline](gitlab-org/gitlab@2671124156243942eaab27283ca945896e9ea628) ([merge request](gitlab-org/gitlab!62012))
- [Accelerate builds queuing using a denormalized accelerated table](gitlab-org/gitlab@f4897e038ab01c3ab4f8bd7a30ea85e66837e92c) ([merge request](gitlab-org/gitlab!62012))
- [Remove the redundant update for API endpoint projects/:id/statuses/:sha](gitlab-org/gitlab@956958f2f08744bfedc5069196d772b2fdd3a88b) ([merge request](gitlab-org/gitlab!62012))
- [Contributes to https://gitlab.com/gitlab-org/gitlab/-/issues/325744](gitlab-org/gitlab@c1ba906d216942ce3df70bb3839787bab2954c85) ([merge request](gitlab-org/gitlab!62012))
- [Optimize query for loading artifacts in pipeline](gitlab-org/gitlab@e386fabed47af310f01f836e3f5ee666e61b3c9a) ([merge request](gitlab-org/gitlab!62249))
- [Remove feature flag for "runners_cached_states"](gitlab-org/gitlab@1ebf16062a5cf38e95cacb6451f56f6632c193e5) ([merge request](gitlab-org/gitlab!61998))

### Other (70 changes)

- [Update alert markup in runners page](gitlab-org/gitlab@3ca125ad4c1f216962664c86ae36345827978ccb) ([merge request](gitlab-org/gitlab!63157))
- [Use a new worker in lieu of UserRefreshWithLowUrgencyWorker as safeguard](gitlab-org/gitlab@f444387bc814b9775a89d08cc2c0c6da0ad5aadd) ([merge request](gitlab-org/gitlab!63840))
- [Update test_file_finder and Faraday](gitlab-org/gitlab@7cb2ad42696c1e560f884653e0aa7c5a24cfd51b) ([merge request](gitlab-org/gitlab!64017))
- [Remove notification_setting_recipient_refactor feature flag](gitlab-org/gitlab@379621f6c3fb1251142d0705becff156b4adb8d6) ([merge request](gitlab-org/gitlab!63827))
- [Add Atlassian referrer to Jira links inside GitLab](gitlab-org/gitlab@cb4de493193d3bde64463ce442f3f6f337a27646) ([merge request](gitlab-org/gitlab!63900))
- [Use the parent element to find elements to remove the child](gitlab-org/gitlab@1caa71c02bf05f460e2fe26936308985b0b29f5f) ([merge request](gitlab-org/gitlab!63935)) **GitLab Enterprise Edition**
- [Remove ci_dynamic_child_pipeline feature flag](gitlab-org/gitlab@e7a278c333711af786422fc346ec8a2cdd888e5a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/63329))
- [Add tracking for epic boards](gitlab-org/gitlab@650f6fb2fbc6bcf6dd6b3da8b11a29448fd4cd53) ([merge request](gitlab-org/gitlab!63765))
- [Remove feature flag release_mr_issue_urls](gitlab-org/gitlab@4adabdc079d05f712bc19bbd4bf97abc36cf518e) ([merge request](gitlab-org/gitlab!63609))
- [Standardize on roles term in UI](gitlab-org/gitlab@bab23d2b01ffcb649f832d7248b62a5ea2411516) ([merge request](gitlab-org/gitlab!63274))
- [Add unique index on configuration for batched_background_migrations](gitlab-org/gitlab@73539f28f865186d8d2c49ad0a415bedac4b09d0) ([merge request](gitlab-org/gitlab!63599))
- [Drop the web_hook_logs_archived table](gitlab-org/gitlab@1f663175e50e935b33dd7b932bca66f05ed6eaab) ([merge request](gitlab-org/gitlab!63649))
- [Bump gitlab-fog-azure-rm version to 1.1.1](gitlab-org/gitlab@4d45433e891ea8105696e57f7f825797412e83f9) ([merge request](gitlab-org/gitlab!63633))
- [Remove the nuget new file reader feature flag](gitlab-org/gitlab@0e7d5ae033cdd0ce63fbd9ab4d7b42490657ea46) ([merge request](gitlab-org/gitlab!63622))
- [Clenup deployments_finder_implicitly_enforce_ordering feature flag](gitlab-org/gitlab@7b8046ec8ff8e323e9d575599915b8bdbb410b9c) ([merge request](gitlab-org/gitlab!63617))
- [Extract CSS from user calendar JS](gitlab-org/gitlab@1e949ba57556dda6acdc933dbe17d86ac64cf005) ([merge request](gitlab-org/gitlab!62677))
- [Add data migration to update draft on merge_requests](gitlab-org/gitlab@590f680b1b64d1a35cf9572fcb17b4a042fac68f) ([merge request](gitlab-org/gitlab!62627))
- [Prepare ci_stages for bigint conversion](gitlab-org/gitlab@38a1cab9b2205fb0ab1d1bb716be45749e544617) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/63488))
- [Add source tracking to invites](gitlab-org/gitlab@3256a37101b5e2518e8cced3cfe54cf5ed553dca) ([merge request](gitlab-org/gitlab!62609))
- [Track the validation error on Environment Update](gitlab-org/gitlab@15998eb46518b7b958b1f8f8c76ed92d8e984075) ([merge request](gitlab-org/gitlab!63398))
- [Enable by default Allow force push option to Protected branches](gitlab-org/gitlab@2ebd2d0ada9da16db6f3f88acfa02b337839c022) ([merge request](gitlab-org/gitlab!62572))
- [Update GitLab Shell to v13.19.0](gitlab-org/gitlab@1d518202c7832567b17501cd3c4d3cf568b66b1c) ([merge request](gitlab-org/gitlab!63298))
- [Add the origin of squash merge feature to the docs](gitlab-org/gitlab@456b263e9ea75ddbf397cce85c0dffc426b58cc9) ([merge request](gitlab-org/gitlab!63171))
- [Ensure delay for all UserRefreshOverUserRangeWorker jobs enqueued](gitlab-org/gitlab@9f148b15cd01146ee4185df4a038848ad3f3e32f) ([merge request](gitlab-org/gitlab!63026))
- [Rename DevOpsAdoptionSegment](gitlab-org/gitlab@60e3a87963a8566f5e65716455d9caa803d00a95) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62834)) **GitLab Enterprise Edition**
- [Prepare geo_job_artifact_deleted_events table](gitlab-org/gitlab@e046d93c752edf0f5454325908183796e50544bd) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62463))
- [Prepare deployments table for bigint conversion](gitlab-org/gitlab@f54f4c1f917484d89edc9f215c420cb421b63887) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62459))
- [Remove database_sourced_aggregated_metrics FF](gitlab-org/gitlab@114834811bab4fb7de71d8dc472a86cd6a7ece15) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62877))
- [Document and lint that trailers are case-sensitive](gitlab-org/gitlab@878c3d43ec2562f4cb17ea1962fa723d188cec37) ([merge request](gitlab-org/gitlab!62915))
- [Change JiraTrackerData#deployment_type based on URL](gitlab-org/gitlab@79e5264146efd2e87f26c9e831cee15696b0dc29) ([merge request](gitlab-org/gitlab!59902))
- [Group-level Protected Environment Alpha Version](gitlab-org/gitlab@80c49f4fcb4c2f6c78888b1c711a52e25d870e1f) ([merge request](gitlab-org/gitlab!61575))
- [Upgrade Puma to 5.3.2](gitlab-org/gitlab@57e6295b7e99080da4f703df61df88de03007b7c) ([merge request](gitlab-org/gitlab!62607))
- [Add subgroups and user namespaces spec examples](gitlab-org/gitlab@969380e734ce4bc04b21bea0d71789754b635e90) ([merge request](gitlab-org/gitlab!61477))
- [Add default value for merge_requests_author_approval](gitlab-org/gitlab@c7303b1aa99ad71798f38b0c217afb264e25c730) ([merge request](gitlab-org/gitlab!61949))
- [Place multiselect drag drop behind a feature flag](gitlab-org/gitlab@cba9f264fd5859f1ed6710340faae63d79f2f65c) ([merge request](gitlab-org/gitlab!61955))
- [Remove obsolete Segment selections table](gitlab-org/gitlab@a1df23f900bc6f96770ffeecabb11a48e0a9c798) ([merge request](gitlab-org/gitlab!62594))
- [Explicitly destroy webhooks and logs before the project deletion](gitlab-org/gitlab@e6f828fc380d450bee65e6615b00ffc58837c071) ([merge request](gitlab-org/gitlab!61995))
- [Remove :find_remote_root_refs_inmemory feature flag](gitlab-org/gitlab@cf786e6372e54bd8d7e8309b49846608fc591109) ([merge request](gitlab-org/gitlab!62501))
- [Reschedules migration for uuid recalculation](gitlab-org/gitlab@bc61d908069c93ef26e8b37467c03844215f3446) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/60540))
- [Cleanup container_registry_enabled background migration](gitlab-org/gitlab@77892b2a6e3d1901ac1b773649efde9b202b78c8) ([merge request](gitlab-org/gitlab!56626))
- [Update managed cluster template to avoid hardcoded master](gitlab-org/gitlab@ffce5b3aa0221809428f0c9368d4f3379f232ec8) ([merge request](gitlab-org/gitlab!62277))
- [Prepare ci_builds_metadata for int8 migration](gitlab-org/gitlab@ab5226343130bc25769f9ebc6951d1f3fd37d1fd) ([merge request](gitlab-org/gitlab!62102))
- [Remove the usage of `limit_projects_in_groups_api ` feature flag](gitlab-org/gitlab@93394180e0a7292fbb3081c0dd72c0fe1e8e3dbd) ([merge request](gitlab-org/gitlab!62454))
- [Remove the check_maven_path_first feature flag](gitlab-org/gitlab@abee680a8e72c67c12b0e26ed8e85916d872665f) ([merge request](gitlab-org/gitlab!62187))
- [Prepare taggings table for bigint conversion](gitlab-org/gitlab@4bcbf379291247f89e6583cbc439cf1ca7d7e1c9) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62205))
- [Update ffi from 1.13.1 to 1.15.1](gitlab-org/gitlab@6ed4cd0b1f4c6ca099a74f7fa3ac4df1ec184760) ([merge request](gitlab-org/gitlab!62207))
- [Remove DAST site profile related feature flags](gitlab-org/gitlab@255bae2bb92fc3a743adf518e8850fdf1283ae94) ([merge request](gitlab-org/gitlab!61460)) **GitLab Enterprise Edition**
- [Remove the FF *_unique_users_pushing_mr_ciconfigfile](gitlab-org/gitlab@35e5175f877d794455520f524b35fbf92189f17f) ([merge request](gitlab-org/gitlab!62283))
- [Remove the FF ci_needs_optional](gitlab-org/gitlab@d0c8120abb9cca60a05ce40057a6edaea063a0df) ([merge request](gitlab-org/gitlab!62282))
- [Remove the FF usage_data_unique_users_committing_ciconfigfile](gitlab-org/gitlab@6d860a60564afb669c9142df807bc11189ccd277) ([merge request](gitlab-org/gitlab!62284))
- [Remove delayed_perform_for_build_hooks_worker feature flag](gitlab-org/gitlab@fab6b3a8bdc0661ee4ea4e9f1f423b675bb75c3a) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62196))
- [Update GitLab Runner Helm Chart to 0.29.0](gitlab-org/gitlab@08381980f543cc8eb21534bd59f3d97f9c5f92c4) ([merge request](gitlab-org/gitlab!62217))
- [Remove threat_monitoring_alerts feature flag](gitlab-org/gitlab@6ee8b88b30f264cb4f75c09c90571588b19291b2) ([merge request](gitlab-org/gitlab!62299))
- [VSA: Add decimal places to metrics](gitlab-org/gitlab@6eb9cf8f2ca5280a83ca0124590ec4fe287617ba) ([merge request](gitlab-org/gitlab!62299))
- [Prepare ci_build_trace_sections for int8 migration](gitlab-org/gitlab@b4482857e765132febaa93258f55ac6b8f5ce3e5) ([merge request](gitlab-org/gitlab!62012))
- [Update button variants and alignment to align with the Pajamas Design System...](gitlab-org/gitlab@0907700a8129a4f98ecee22954ecd564d137a40c) ([merge request](gitlab-org/gitlab!62012))
- [Removed packages_finder_helper_deploy_token feature flag](gitlab-org/gitlab@9d4f5d6071743daaa53430c769b9f79d0d80f2dd) ([merge request](gitlab-org/gitlab!62012))
- [Update group/project member tabs to comply with Pajamas design system](gitlab-org/gitlab@df2c797d50879b365c7a2f790e3b2c9beb3119d1) ([merge request](gitlab-org/gitlab!62012))
- [Merge Request edit: make breadcrumbs consistent](gitlab-org/gitlab@50c75b71f421f90e0e4420ccd4f32e5f7c04019b) ([merge request](gitlab-org/gitlab!62012))
- [Remove the feature flag for the external validation service](gitlab-org/gitlab@7302385e07859b891c24de3aeb08ba2e4b204c26) ([merge request](gitlab-org/gitlab!62012))
- [Add options events to Redis HLL metrics for filtering data](gitlab-org/gitlab@b058b5bc9c07a66d4fce1a2685139b4b8aa94629) ([merge request](gitlab-org/gitlab!62012))
- [Track usage of the resolve conflict UI](gitlab-org/gitlab@b0a07cac324c2cdbbfcf98dd012f11e1cd838822) ([merge request](gitlab-org/gitlab!62012))
- [Remove the packages_finder_helper_deploy_token feature flag](gitlab-org/gitlab@cb4c3fa0deaebd033055fbaef6037717f5704eed) ([merge request](gitlab-org/gitlab!62189))
- [Prepare ci_build_trace_sections for int8 migration](gitlab-org/gitlab@12af7f89b18269b3097c8abb1460082c25b28cbd) ([merge request](gitlab-org/gitlab!62098))
- [Use @gitlab/ui color in member badges](gitlab-org/gitlab@9fc07a7c82354288b2934299f4215716ceabd540) ([merge request](gitlab-org/gitlab!62182))
- [Remove the feature flag for the external validation service](gitlab-org/gitlab@de79da2a2ec759db01b9809dd05190d973ced7e7) ([merge request](gitlab-org/gitlab!61351))
- [Update http-parser from 1.2.1 to 1.2.3](gitlab-org/gitlab@03ea5c828ce1625c6b744301ed1b236feb531cf5) ([merge request](gitlab-org/gitlab!62060))
- [Track usage of the resolve UI](gitlab-org/gitlab@83519fa35b9b2ab17dbd181a1786be8e78d3efb1) ([merge request](gitlab-org/gitlab!61654))
- [Add missing metrics information](gitlab-org/gitlab@89cd7fe3b95323e635b2d73e08549b2e6153dc4d) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/61772/edit))
- [Track usage of the resolve UI](gitlab-org/gitlab@35c8e30fce288cecefcf2f7c0077d4608e696519) ([merge request](gitlab-org/gitlab!61654))

## 13.12.15 (2021-11-03)

### Fixed (2 changes)

- [Allow nil for remaining ci cd settings](gitlab-org/gitlab@896fd7ecf23714fa9f710efa4af245a26c677dce) ([merge request](gitlab-org/gitlab!73522))
- [Allow nil on delegated CI/CD settings](gitlab-org/gitlab@d57a9ea79080fc473eb54c0ee696a50fd270e8a4) ([merge request](gitlab-org/gitlab!73522))

## 13.12.14 (2021-11-03)

This version has been skipped due to QA problems.

## 13.12.13 (2021-10-29)

This version has been skipped due to QA problems.

## 13.12.12 (2021-09-21)

No changes.

## 13.12.11 (2021-09-02)

No changes.

## 13.12.10 (2021-08-10)

### Fixed (2 changes)

- [Fix validation method regarding MIME type keys](gitlab-org/gitlab@4782194408063f61da4e1e69d7d8813cfec84a78) ([merge request](gitlab-org/gitlab!67748))
- [Do not create audit event for failed logins on read-only DB](gitlab-org/gitlab@53237efd7b677ccaa7db05f51d5594f594db41ce) ([merge request](gitlab-org/gitlab!67748)) **GitLab Enterprise Edition**

### Changed (1 change)

- [Resolve "operator does not exist: integer[] || bigint in...](gitlab-org/gitlab@fcaf589950878529019d9d9d6b047b4802c9c374) ([merge request](gitlab-org/gitlab!67748))

## 13.12.9 (2021-08-03)

### Security (15 changes)

- [Add project member validation for domain limitation](gitlab-org/security/gitlab@8aff1815f897c2c454c87b1ccdd98c7a2c9eedb3) ([merge request](gitlab-org/security/gitlab!1562))
- [Block impersonation token use if it is not permitted](gitlab-org/security/gitlab@99ab170ae5a2d991600dec9e7dfd8b5ca502c437) ([merge request](gitlab-org/security/gitlab!1585))
- [Hide project-level CI/CD Analytics for Guests](gitlab-org/security/gitlab@740395d9663be41d52d831b8f90e271c08137220) ([merge request](gitlab-org/security/gitlab!1575))
- [Only allow invite to be accepted by user with matching email](gitlab-org/security/gitlab@ae7ade09920486f6124496d800bf5f63f5a909eb) ([merge request](gitlab-org/security/gitlab!1634))
- [Configure OmniAuth to use GitLab AppLogger](gitlab-org/security/gitlab@ed5e7742173878e59d760744e3f4f6686268584b) ([merge request](gitlab-org/security/gitlab!1617))
- [Fix Protected Environment Accesses Cleanup](gitlab-org/security/gitlab@79eb0cb13a35864267c30663fd6033e8c6224cac) ([merge request](gitlab-org/security/gitlab!1608)) **GitLab Enterprise Edition**
- [Add permissions check to pipelines#show action](gitlab-org/security/gitlab@1a293b409226ce743527f1ac5ac5d216998339e1) ([merge request](gitlab-org/security/gitlab!1618))
- [Prevent impersonation in gitlab-shell SSH certs](gitlab-org/security/gitlab@42521d9e7e72047bac09bd42779203ae6e508227) ([merge request](gitlab-org/security/gitlab!1611))
- [Prevent guests from linking issues with errors](gitlab-org/security/gitlab@da799b0c7bcade058d4b57e065b1a1bebf903fa3) ([merge request](gitlab-org/security/gitlab!1599))
- [Do not show email address in error message](gitlab-org/security/gitlab@2c3318edaa39ed0837b8fb30acae9f2cdc3d158f) ([merge request](gitlab-org/security/gitlab!1598)) **GitLab Enterprise Edition**
- [Updates oauth to 0.5.6](gitlab-org/security/gitlab@33df3791b646026016303a9d64661fbee7563630) ([merge request](gitlab-org/security/gitlab!1569))
- [Remove impersonation token from api response for non-admin user](gitlab-org/security/gitlab@b56ae1953b2cd6b9d12c584e0f2c298a931f6f08) ([merge request](gitlab-org/security/gitlab!1567))
- [Filter todos whose target users no longer have access to](gitlab-org/security/gitlab@ba613574b12e40fb61e5fbae8b1159f9ad037e84) ([merge request](gitlab-org/security/gitlab!1555))
- [Fix tag ref detection for pipelines](gitlab-org/security/gitlab@4c36e98bcecd6e42e23ec5e20443f41de7f5bf18) ([merge request](gitlab-org/security/gitlab!1549))
- [Fix XSS in Mermaid Markdown rendering](gitlab-org/security/gitlab@b27425816723b53db2f65b39f4702711b858cdfc) ([merge request](gitlab-org/security/gitlab!1487))

## 13.12.8 (2021-07-07)

### Security (1 change)

- [Disable file and network premailer strategies](gitlab-org/security/gitlab@ee69d6d6950bb116cb31523ca805e78af431c25c) ([merge request](gitlab-org/security/gitlab!1545))

## 13.12.7 (2021-07-05)

### Fixed (2 changes)

- [Fix state value in the lfs_object_registry table](gitlab-org/gitlab@feca70558108299a9b7b499e4461b59b7c140ef7) ([merge request](gitlab-org/gitlab!65466)) **GitLab Enterprise Edition**
- [Fix pages deployment storage migration](gitlab-org/gitlab@4e806a7b5e0eef8d88bcdb68724c6b7bf3c08293) ([merge request](gitlab-org/gitlab!65366))

### Changed (1 change)

- [Move migration to a pre-deployment migration](gitlab-org/gitlab@d02fcd44b3dd797e18221e4e91ab913372bdf18a) ([merge request](gitlab-org/gitlab!65466)) **GitLab Enterprise Edition**

## 13.12.6 (2021-07-01)

### Added (1 change)

- [Added omniauth_user check when verifying user cap](gitlab-org/security/gitlab@a61062501630c35820301e9f79a036219d1e3074) ([merge request](gitlab-org/security/gitlab!1502)) **GitLab Enterprise Edition**

### Security (14 changes)

- [Bump rails gem version to 6.0.3.7](gitlab-org/security/gitlab@58d27ba819867baadf535e0d8d91d0cb818dc8b6) ([merge request](gitlab-org/security/gitlab!1515))
- [Update rdoc to 6.3.1](gitlab-org/security/gitlab@ead11a6974576b0b1a974985493c75143e3bd575) ([merge request](gitlab-org/security/gitlab!1534))
- [Add sanitizing for name field](gitlab-org/security/gitlab@2c5672eae4323c2682245485b327850e68e7e5b4) ([merge request](gitlab-org/security/gitlab!1490))
- [Forbid GET requests with mutations](gitlab-org/security/gitlab@2b01d6dc310451fa3022f1865470ca004bbd4c33) ([merge request](gitlab-org/security/gitlab!1529))
- [Copy feature visibility settings to a fork](gitlab-org/security/gitlab@5ee923ba64fb34fc38f831fc206a153d8f7eae91) ([merge request](gitlab-org/security/gitlab!1523))
- [Avoid disclosing project in web IDE](gitlab-org/security/gitlab@759d1361e7f359d681c4f55ea2b6f7e1d0bb1e53) ([merge request](gitlab-org/security/gitlab!1512))
- [Add new username validation](gitlab-org/security/gitlab@e79625541d04b0d6c94614f2afc6aaeb2ef40083) ([merge request](gitlab-org/security/gitlab!1495))
- [Allow only same-origin URLs for Edit Release Cancel button](gitlab-org/security/gitlab@e5bda0a7e03978afee494616e2054b8650b61d3e) ([merge request](gitlab-org/security/gitlab!1486))
- [Update Nokogiri to 1.11.4](gitlab-org/security/gitlab@d71973da1850df059b1ec1422d50bbccace21ff2) ([merge request](gitlab-org/security/gitlab!1479))
- [Fix deploy key fallback issue in protected branch](gitlab-org/security/gitlab@0411bc45885e1122c06dbff084b48bf03d78c6a8) ([merge request](gitlab-org/security/gitlab!1478))
- [Fix XSS on audit log for feature flag actions](gitlab-org/security/gitlab@22e2f903c821e54ce6d4b4b749a009d14abc4a13) ([merge request](gitlab-org/security/gitlab!1474))
- [Sanitize input on pasteGFM](gitlab-org/security/gitlab@7dc511ebc2e77c3d22cd34ca87449f32120a5229) ([merge request](gitlab-org/security/gitlab!1453))
- [Add total http read timeout](gitlab-org/security/gitlab@37c24c82d5dfa57fad03f265e7ba92f6ef250c30) ([merge request](gitlab-org/security/gitlab!1427))
- [Fix merge request diff display issue with unsupported encoding](gitlab-org/security/gitlab@7d05892daa6aaf951b941628e2af41e17977b140) ([merge request](gitlab-org/security/gitlab!1424))

## 13.12.5 (2021-06-21)

### Fixed (3 changes)

- [Fix failing spec](gitlab-org/gitlab@7d1a9b0155195eb082f5b33ba1310deed742a7a4) ([merge request](gitlab-org/gitlab!64488))
- [Advanced Search Settings page does not load if the ES url is unreachable](gitlab-org/gitlab@80b262f0e79f02a89724ed4e3988e686f53c959c) ([merge request](gitlab-org/gitlab!64488)) **GitLab Enterprise Edition**
- [Fix Password expired error on git fetch via SSH for LDAP user](gitlab-org/gitlab@19a7d7a6d3cd43f1c7559c729532ad3b9dafb75c) ([merge request](gitlab-org/gitlab!64488))

## 13.12.4 (2021-06-14)

### Fixed (3 changes)

- [Add alias method usage_ping_enabled?](gitlab-org/gitlab@eb8755115a2a7045b6291171aaa0c7ae76f43fec) ([merge request](gitlab-org/gitlab!63974))
- [Fix MR diff compare with previous version](gitlab-org/gitlab@96d4df8bb4eb5f148e4dabcc4c3eea88ad27cbc3) ([merge request](gitlab-org/gitlab!63974))
- [Fix double render in project's git URL redirect](gitlab-org/gitlab@be4059b7a5cddd2e70fa760d8935b1d170068759) ([merge request](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/62053))

## 13.12.3 (2021-06-07)

### Added (1 change)

- [Add an option to expose description_html in Release API](gitlab-org/gitlab@47f3fba10dfa82c65b6b006d56cc1724aac411eb) ([merge request](gitlab-org/gitlab!63393))

### Fixed (5 changes)

- [Fix spam detection with Akismet client](gitlab-org/gitlab@75dbe8d017ed691d0517f0a6ca7b9bdd866fa9d9) ([merge request](gitlab-org/gitlab!63393))
- [Set CSP back to disabled by default](gitlab-org/gitlab@f8f2dbf229693e20171185ae8e31fd59ce2131b3) ([merge request](gitlab-org/gitlab!63393))
- [Fix CSP issues related to captchas](gitlab-org/gitlab@cec54814460994ea40311f1091fb7f091d04964f) ([merge request](gitlab-org/gitlab!63393))
- [Fix issue with frames not loading in Safari](gitlab-org/gitlab@77b9355f244370b1c184943581f3b6cc27495931) ([merge request](gitlab-org/gitlab!63393))
- [Catch PgQuery::ParseError errors and log as-is](gitlab-org/gitlab@a4f36df3701208b5d015e1e818f3d5be3577697a) ([merge request](gitlab-org/gitlab!62795))

### Changed (1 change)

- [Improve SSH key expiration warning emails](gitlab-org/gitlab@2e3929503046ab1da5635ef295321ce08843f937) ([merge request](gitlab-org/gitlab!63393))

## 13.12.1 (2021-05-25)

### Fixed (3 changes)

- [Merge branch 'fix/pin-gke-version-to-1-18' into 'master'](gitlab-org/gitlab@44de5542ca82b371ed280db9ce03e0c4d4bd6135) ([merge request](gitlab-org/gitlab!62466))
- [Merge branch '331562-fix-pipeline-security-tab-scanner-filter' into 'master'](gitlab-org/gitlab@1d70bf2efd574537d73b5fd80f92fd8dd939980b) ([merge request](gitlab-org/gitlab!62466))
- [Update Gitaly's binary path in init.d scripts](gitlab-org/gitlab@0761e78434dbfa120c8ae14263bfe77f9ae48c71) ([merge request](gitlab-org/gitlab!62457))

## 13.12.0 (2021-05-22)

### Security (3 changes)

- Prevent DOS from Chaining in Mermaid. !60382
- Report pipeline creation success only when warranted. !60746
- Fix XSS vulnerability in shared runner description. !60891

### Removed (10 changes, 2 of them are from the community)

- Delete feature flag for usage_data_a_compliance_audit_events_api. !52947
- Remove feature flag api_always_use_application_json. !56777
- Remove unneeded index on packages_debian_{project,group}_architectures.distribution_id. !59615 (Mathieu Parent)
- Delete HipChat service database records. !59769
- Set Hipchat metric definitions status to removed. !59779
- Remove Legacy Group-Level DORA metrics API. !59858
- Remove Alerts service metric. !60149
- Remove description_html field from Release Rest API. !61327
- Removes multiple_cache_per_job feature flag and associated code. (Laura Montemayor)
- Remove support for WIP in merge request title toggle.

### Fixed (108 changes, 32 of them are from the community)

- Add warning when locally stored description is out of date. !29438
- Disable unsupported task items in Markdown tables. !46060
- Flush statistics cache anytime it is updated. !52938
- Return an HTML response for a request with the Accept */* header. !56288
- Resolve offense Performance/Count. !57007 (Shubham Kumar (@imskr))
- Don't show due dates in red if the issue is closed. !57647 (Daniel Ziegenberg <daniel@ziegenberg.at>)
- Fix Rails/SaveBang Rubocop offenses for wiki_page models. !57899 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix Rails/SaveBang rubocop offenses in spec/frontend. !57909 (Abdul Wadood @abdulwd)
- Fix Rails/SaveBang rubocop offenses in spec/graphql. !57912 (Abdul Wadood @abdulwd)
- Resolve RuboCop offenses for Style/RedundantRegexpCharacterClass. !57914 (Shubham Kumar @imskr)
- Fixes rubocop offenses Style/RescueStandardError. !57923 (Shubham Kumar (@imskr))
- Resolves rubocop offense Style/RedundantFileExtensionInRequire. !57963 (Shubham Kumar (@imskr))
- Fix Rails/SaveBang Rubocop offenses for project related models. !57983 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix Rails/SaveBang Rubocop offenses for member models. !57994 (Huzaifa Iftikhar @huzaifaiftikhar)
- Resolves offenses Style/RaiseArgs. !58009 (Shubham Kumar @imskr)
- Resolves offenses Style/RedundantBegin. !58017 (Shubham Kumar (@imskr))
- Resolves offenses Security/YAMLLoad. !58042 (Shubham Kumar (@imskr))
- Resolves rubocop offenses Rails/WhereEquals. !58067 (Shubham Kumar (@imskr))
- Fix EmptyLineAfterFinalLetItBe offenses for merge request module. !58185 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe Rubocop offenses for projects module. !58187 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses for alert management module. !58191 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/graphql/resolvers. !58239 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/lib/gitlab/ci. !58249 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/lib/gitlab/database. !58251 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/lib/gitlab/git. !58254 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/lib/gitlab/repository. !58308 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/models/packages. !58370 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/models/releases. !58384 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/models/wiki_page. !58388 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/presenters. !58405 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/services/ci. !58411 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/services/feature_flags. !58419 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix RSpec/EmptyLineAfterFinalLetItBe rubocop offenses in spec/workers. !58421 (Abdul Wadood @abdulwd)
- Prevent loss of timelogs when deleting notes. !58525 (Lee Tickett @leetickett)
- Fix multiline comment dragging in Firefox. !58692
- Update cached count for "done" todos when deleting todo targets. !58773
- Fix light label text color in dark mode. !59088
- Fix false positive for codequality mr diff report. !59421
- Fix for shell announcement banners. !59482
- Reschedule background migration to copy projects.container_registry_enabled to project_features.container_registry_access_level. !59513
- Fix images not showing in Jupyter Markdown tables. !59551
- Fix paginator of Environment Serializer. !59751
- Add generic avatar method for users and groups. !59758
- Set Web hook defaults to intended default values. !59814
- Fix restrictive permissions for ProjectMembers who are owners. !59844
- Users search: fix avatar size. !59883
- Fix cascading settings attr writer behavior. !59910
- Set a default region to Workhorse S3 client. !59932
- Fix invite banner display member count for subgroups page. !59948
- Fix LFS push mirroring for mirrors set up a long time ago. !59972
- Fix pipeline status when DAG jobs needs manual jobs. !59975
- Fix tag matching behavior on New Release page. !60035
- Fix bug that prevented searching for group/project members with multiple words. !60051
- Fix link to subgroup OAuth application. !60066
- Explicitly destroy webhooks and logs before the project deletion. !60122
- Upgrade omniauth_openid_connect gem to our own fork. !60181
- Fix bug when board card label is clicked. !60327
- Align help icon for code quality merge request widget. !60330
- Fast destroy job artifacts when destroying a pipeline. !60391
- Ensure we never error in web hook logs. !60408
- Fix bug where test report was not showing while pipeline was running. !60416
- Do not set experiment cookie on self managed and delete existing cookies. !60419
- Fix regression in GraphQL field MergeRequest.assignees.webUrl. !60428
- Fix usage ping misreporting consolidated object storage settings. !60526
- Fixes bug where variables are being filtered that do not have a value but a key. !60538
- Fix MR sidebar rendering on mobile. !60552
- Fix EnvironmentSerializer preloads unrelated pipelines/builds. !60562
- Don't email issue email participants confidential comments. !60594 (Lee Tickett @leetickett)
- Resolve Cannot Set Assignee in Boards View for self-managed GitLab with Relative URL. !60711
- Check duplicate package regex against version as well as name. !60760
- Fix Openshift template to run on main branch. !60811
- Fix downloadable artifacts for pipeline. !60836
- Fix SMTP errors when delivering service desk thank you emails with SMTP pool enabled. !60843
- Fix changelog Dangerfile to convert MR IID to a string before comparison. !60899
- Fix due date being randomly set in issue page. !60917
- Disable autocomplete for due date in issue sidebar to prevent triggering updates on Chrome. !60973
- Remove subscribed field from todos, related issues, and epic issues API. !60981
- Fixed quick actions link not showing in diff line comment forms. !61029
- Fixes merge request controls not visible when merge request has single commit. !61030
- Fixed preview review comment not working with single file diff mode. !61032
- Fixed dollar signs in suggestions getting replaced incorrectly. !61041
- Fix artifacts dropdown for merge request and commits pipelines tables. !61045
- Remove hyphen from Cloudrail CI template name. !61079
- Bust the cache for /whats-new. !61081
- Fix commit messages text color in dark mode. !61082
- Suppress all non-nullable field errors for assignee widget graphql queries to remove assignee fetching error messages in boards. !61091
- Correct the 'blocked' scope in 'Member' class. !61108
- Preserve user changes in the wiki editor if multiple people edit the page. !61120
- Fix multiple assignees checked in boards sidebar. !61227
- Fix incorrect issue and merge requests counts with filters. !61230
- Fix slack label filter behavior blank. !61236
- GithubImport: Fix Review importer when the author does not exist anymore. !61257
- Restrict issue creation via API by relevant permissions. !61281
- Merge Request API: Treat 0 as a non-assigning sentinel value. !61301
- Remove extra padding and margin from merge request widget review app dropdown chevron. !61302
- Fix a bug displaying project commit anchors. !61361
- Reset Source Editor's layout after Startup CSS. !61426
- GithubImporter: Fix "ArgumentError: string contains null byte". !61480
- Use correct scope when authorizing with Jira GitHub DVCS connector. !61496
- Fix user popover bio overflow. !61555
- Hide commit msg for package files without pipeline. !61571
- Fix position of note actions. !61594
- Inject Feature Flags Limit Value. !61621
- Fix services API returning non-existing services. !61646
- Fix Jira Connect sign in button style. !61665
- Filter out unconnected-to-user members from receiving on access request emails. !61819
- Fixed Rails Save Bang offenses in few spec/models/* files. !61862 (Suraj Tripathi @surajtripathy07)
- Fix issuable search optimization in PG12. !61880

### Deprecated (4 changes, 1 of them is from the community)

- Deprecate Alerts service metric. !59899
- Add Managed Prometheus deprecation warning. !60560
- Deprecate SetWip GraphQL mutation and add SetDraft mutation. !60803
- Add GraphQL field 'Project.topics' and deprecate 'Project.tag_list'. !61250 (Jonas Wälter @wwwjon)

### Changed (145 changes, 52 of them are from the community)

- Update admin users to use GitLab UI table by default. !54085
- Remove artifact expiry backfill temp index. !54252
- Enable the new pipeline form by default. !55250
- Add migration to update plans on new post-EoA subscriptions. !55625
- Add support for retries to Advanced Search reindexing. !55681
- Add missing parts of GraphQL schema to GraphQL documentation. !55944
- Update Keyboard shortcut help: adding search, update styling. !56400
- Redirect to activity page when accepting invitation. !56695
- Add external documentation references in GraphQL. !56704
- Send in-product marketing email usage data. !56752
- Enable new RPC to destroy wiki pages. !57106
- Always resolve GitLab alerts when recovery alert payload is received. !57302
- Add gl-badge for badges in pipeline schedules nav. !57937 (Yogi (@yo))
- Add gl-badge for badges in jobs page nav. !57938 (Yogi (@yo))
- Add gl-badge class for tag's badge. !57939 (Yogi (@yo))
- Add gl-badge for badges in MRs and issues nav. !57942 (Yogi (@yo))
- Add gl-badge for badges in todos nav. !57943 (Yogi (@yo))
- Add gl-badge for badges in admin users nav. !57951 (Yogi (@yo))
- Add gl-badge for storage badge in admin groups page. !57954 (Yogi (@yo))
- Add gl-badge for badges in milestone drawer. !57964 (Yogi (@yo))
- Add gl-badge for badges in snippets nav. !57966 (Yogi (@yo))
- Add gl-badge for badges in pipeline page nav. !57970 (Yogi (@yo))
- Add gl-badge for badges in project search page nav. !57971 (Yogi (@yo))
- Add gl-badge for badges in new MR nav. !57995 (Yogi (@yo))
- Apply gl-form-input for fields in ssh keys page. !58000 (Yogi (@yo))
- Apply gl-form-input for fields in preferences page. !58004 (Yogi (@yo))
- Apply gl-form-input for search field in milestone page. !58007 (Yogi (@yo))
- Apply gl-form-input for fields in new project milestone page. !58010 (Yogi (@yo))
- Move to btn-confirm from btn-success in emails directory. !58029 (Yogi (@yo))
- Move badge to vue component in project badges. !58045 (Yogi (@yo))
- Switch to gl-badge in whats new dropdown. !58235 (Yogi (@yo))
- Add gl-form-input class for fields in create project page. !58299 (Yogi (@yo))
- Move to btn-confirm from btn-success in create from template page. !58303 (Yogi (@yo))
- Add gl-form-input class for fields in gitlab import page. !58304 (Yogi (@yo))
- Add gl-form-input class for fields in bitbucket import page. !58309 (Yogi (@yo))
- Add gl-form-input class for fields in fogbugz import page. !58312 (Yogi (@yo))
- Add gl-form-input class for fields in gitea import page. !58313 (Yogi (@yo))
- Add gl-form-input class for fields in import page. !58316 (Yogi (@yo))
- Add gl-form-input class for fields in phabricator import page. !58318 (Yogi (@yo))
- Change text for incident auto-resolve setting to match behavior. !58515
- Move license history to gl-table utility class. !58531 (Yogi (@yo))
- Add margin top for clear repo check button in admin. !58536 (Yogi (@yo))
- Add more padding for whats new badge in drawer. !58544 (Yogi (@yo))
- Add pause_ms column to batched_background_migrations and batched_background_migration_jobs. !58583
- Geo: Add verification for Terraform States. !58800
- Disable automatic setup of alerts for Prometheus cluster integration. !58853
- Improve message for :project_not_found error to indicate possible cause. !58945 (Ignacy Moryc @ignacy)
- Rename 'no contributions' to 'No contributions' in profile activity graph helper. !59076 (Yogi (@yo))
- Center align project home navigation. !59079 (Yogi (@yo))
- Move to new GitLab UI for card in health check page. !59081 (Yogi (@yo))
- Update to question-o and change color in admin users. !59133 (Yogi (@yo))
- Update to question-o from question icon in navbar. !59134 (Yogi (@yo))
- Update to question-o from question icon in user stats. !59135 (Yogi (@yo))
- Move card in billing page to gl-card utility class. !59138 (Yogi (@yo))
- LibreOffice/OpenOffice file extensions in icon map. !59159 (Holzfeind, Daniel Georg)
- Export issues sorted by relative position and recompute issue relative position on project import. !59175
- Move 2fa recovery codes to GlCard component. !59219 (Yogi (@yo))
- Add gl-form-input utility class for pin code field in 2fa. !59220 (Yogi (@yo))
- Replace invite banner button with modal trigger. !59260
- Resolve Abstract participants dropdown to a shared component. !59358
- Make new project ui the only option. !59452
- Add space next to spinner in Preview payload button. !59458 (Yogi (@yo))
- Add btn-default class in seat link payload button. !59459 (Yogi (@yo))
- Add VulnerabiltyFindingEvidenceRequest model. !59539
- Add VulnerabiltyFindingEvidenceResponse model. !59563
- Add gl-badge utility class for deleted projects tab. !59590 (Yogi (@yo))
- Move npm and yarn to new dropdown UI. !59628
- Change artifacts download button to a vertical ellipsis menu. !59667
- Correct variant of Rebase button in MR widget. !59684
- Improve merge message UI text. !59693
- Use GlModal for Confirmation of Deploy Key Delete. !59697
- Add ability to order cluster token by last used. !59716
- Make new issue, merge request, and epic emails more consistent. !59718
- Add merge request interaction details to MergeRequest.assignees. !59770
- Expose enable_advanced_logs_querying in Environments API. !59772
- Increase note actions target size. !59776
- Redesign the DevOps Score report. !59856
- Bumped image in the CI-Template Jobs/Build.gitlab-ci.yml to 0.6.0. !59882 (Daniel Estermann (@d.esterman))
- Expose job and project queued duration in all APIs. !59901
- Include installable and/or displayable packages only in package finders. !59921
- Log exceptions in Lfs::PushService. !59960
- Container Registry Details: split details from tags call. !59969
- Add ability to include self in cascading setting lock check. !60031
- Remove workhorse_extract_filename_base feature flag. !60070
- Support worker_name predicate in Sidekiq queue selector. !60084
- Add Gradle Kotlin installations commands. !60097 (Cromefire_ (@cromefire_))
- Fix breadcrumbs and navigation in runner details pages. !60129
- Improve dropdown and search in the tags page. !60145
- Clarify image repository delete actions. !60154
- Update RubyGems and NuGet packages to error status upon metadata extraction failure. !60172
- Pre-fill user email address after confirming. !60179
- Retain timelog spent_at time. !60191 (Lee Tickett @leetickett)
- Update button variants to btn-confirm on MR page. !60254
- Rename default branch for empty project actions. !60258
- Remove visualization feature flag in pipeline editor. !60273
- Reorder source_project_id foreign key constraint in merge_requests table. !60313
- Update edit file buttons and spacing. !60318
- Keep consistent Global Search tab order. !60319
- Toggle subscribed state when clicking on icon in collapsed sidebar. !60345
- Add a Spamcheck API key application setting. !60385 (jdsalaro)
- Change product-marketing-email sending schedule. !60422
- Fix copy on webhook admin pages for "Issues events" and "Confidential issues events". !60453
- This change captures resizes of the runner installation instructions modal to make it usable on screens. !60588
- Create table user_credit_card_validations. !60626
- Update error tracking settings to use better copy and correct colors. !60627
- Add sha256 to package file API payload. !60631
- Github Importer: Add Cache to Pull Request Reviews importer. !60668
- Add username and password fields for Advanced Search. !60710
- Migrate DevOps Score empty state to Vue. !60715
- Adds field authorization to pipeline fields. !60754
- Change conan token expiration from 1 hour to 24 hours. !60763
- Remove mobsf service for mobsf SAST job. !60770
- Polish the "What's new" UI. !60804 (Kev @KevSlashNull)
- Disable web-hooks that fail repeatedly. !60837
- Add slack integration individual usage ping. !60847
- Extend branch support for Static Site Editor. !60848
- Store slice multiplier and max slices running for reindex in DB. !60861
- Keep new prometheus cluster integration in sync with old cluster application. !60877
- Validate release description length. !60892
- i18n: Show translation levels for each language in the UI. !60905
- Add kubernetes_agent_proxy_request to usage ping. !60978
- Validate CI pipeline jobs dependencies. !60999
- Update appearance of "Enable shared runners for this project" toggle in Project > Settings > CI/CD. !61043
- Add offset and limit to branch names resolver. !61061
- Require 3 or more characters in search term when searching groups in Jira Connect app. !61099
- Enforce .git suffix when importing git repo. !61115
- Improve field descriptions in the Jira integration form. !61205
- Migrate 'tags' to 'topics' for project in the database context. !61237 (Jonas Wälter @wwwjon)
- Rename master to main in views placeholders. !61252
- Make pipeline retry endpoint async. !61270
- Add relations export request when Bulk Import is initiated. !61365
- Fix :focus styles for What's New. !61398
- Add body to finding evidence requests. !61408
- Make semgrep generally available. !61412
- clicking backdrop closes modal for What's New. !61420
- Scroll to the top of a diff file when it is collapsed. !61432
- Wiki: Use FindAllCommits RPC to list page versions. !61459
- Allows masking ~ character. !61517 (Thomas Dallmair)
- Backfill clusters_integration_elastic_stack.enabled. !61521
- Update rails project template to rails 6.1. !61547
- Add body to finding evidence responses. !61631
- Support warning in pipeline creation by default. !61803
- Make find_remote_root_refs_inmemory feature flag enabled by default. !61824
- Add link to email notifying of MR changing draft status. !61891
- Remove success variant for primary button in upload file modal. (Yogi (@yo))

### Performance (63 changes, 1 of them is from the community)

- Make MergeService idempotent. !55368
- Speed up save on New/Edit Release page. !57000
- Cache path lookups for namespaces. !57027
- Cache project tag list. !57031
- Linear traversal query for Namespace#ancestors. !57137
- Set traversal_ids for every namespace. !57318
- Resolve admin_group_member group policy n+1. !58948
- Optimize AvailableLabelsService for multiple labels search. !59032
- Reduce number of SQL queries when creating SystemNotes. !59102
- Enable pagination in the CompareController. !59162
- Fix N+1 for commits with pipelines. !59234
- Improve diff_files endpoint performance. !59489
- Create the merge request pipeline asynchronously on push. !59624
- Optimize CI Settings page to reduce N+1 queries. !59625
- Linear traversal query for Namespace#descendants. !59632
- Remove unnecessary validation avoiding N+1 queries when building integrations. !59635
- Improve the packages finder helper SQL queries when handling deploy tokens. !59739
- Improve shifting of positions when creating issues. !59745
- Remove the longer_count_cache_validity_period feature flag. !59746
- Recreate index for deployments updated_at and finished_at. !59771
- Exclude build dependency calculation when creating the pipeline. !59810
- Improve pagination of users in the admin panel. !59884
- Prevent loading of cohorts data in the admin users list. !59890
- Avoid loading user objects when bulk updating todos. !59909
- Fix N+1 queries in namespace#any_project_has_container_registry_tags?. !59916
- Replace OpenStruct with Struct in project_level_stage_adapter.rb. !59956 (Amit Patel @amit.savani)
- Recalculate assigned open issues count after cache invalidation. !59961
- Improve performance of LFS integrity checks. !59991
- Add new service to handle add_spent_time to MRs. !60043
- Stop exposing artifacts on pipelines.json. !60126
- Improve the Maven API file endpoints response time when a non existing package is requested. !60142
- Fix three N+1s in Releases API entity generation. !60189
- Remove string duplication in BlobStitcher. !60406
- Delete all label links asynchronously when issuable gets destroyed. !60487
- Fix releases API N+1 in sorted_links usage. !60561
- Refactor notification recipients builder for watchers. !60572
- Remove N+1 query from Issue::Metrics#record. !60589
- Fix repeating SQL queries when changing labels for a resource. !60718
- Fine tune a few queries found in GroupMembers#index. !60857
- Fix N+1 problem in CustomEmojiFilter. !60910
- Create partial indexes for pending/running builds. !60942
- Stop exposing has_downloadable_artifacts in pipelines.json. !60950
- Improve performance of project issues API. !60981
- Include other cols in index for pending builds. !60997
- Remove unnecessary query from close_issue method. !61087
- Partial index optimization for namespaces id. !61098
- Decrease load time of project select dropdowns. !61117
- Apply rate-limiting to webhook executions. !61151
- Update grape-path-helpers to v1.6.3. !61196
- Improve the performance of Release LIST v4 API endpoint by short-interval caching. !61223
- Ensure iid is set before skipping ci pipeline. !61231
- Stop exposing artifacts in pipelines.json. !61253
- Ensure project iid is set before saving pipeline from web terminal. !61311
- Sync traversal path of namespaces. !61329
- Enable notification settings recipient refactor by default. !61443
- Tie-breaker in Deployment Finder should respect the original sort direction. !61444
- Improve memory consumption of issuable APIs. !61561
- Fix environment filter of Deployments Finder. !61564
- Optimize merge request permission check for references. !61591
- Introduced granular control to Monaco tag. !61690
- Apply rate-limit cache to branches endpoint. !61723
- Enforce updated_at ordering in Deployment API for performance optimization. !61870
- Resolve Remove `subscribed` from GraphQL boards list query. !61881

### Added (114 changes, 16 of them are from the community)

- Commit author for suggestions is note author. !39940
- Report summarized Gitaly Apdex via usage ping. !47040
- Allow disabling build stage for Auto Devops. !48638 (Shane Davidson @shanekdavidson)
- Allow access to registry API of the current project using the job token. !49750 (Mathieu Parent)
- Integrate with the Spamcheck anti-spam engine. !52385
- Add generating Speedscope flamegraphs for a request. !53288
- Add collapsible section shortcut to markdown controls. !54938
- Add Terraform Module Registry. !55018
- Clear group open issues count cache when bulk updating issues state. !56386
- Add options for Slack and Mattermost label filter behavior. !56657
- Create packages_helm_file_metadata table. !57017 (Mathieu Parent)
- Add "previously merged commits" dropdown in merge request compare dropdown. !57026
- Add specific rate limits for Package Registry (Package API). !57029 (Jonas Wälter @wwwjon)
- Expose merge request timelogs via GraphQL. !57322 (Lee Tickett @leetickett)
- Automate deactivation of dormant users for self-managed instances. !57778
- Add indexes for cleanup policies on container_repositories and container_expiration_policies. !58123
- Add CI runner counts to usage ping. !58197
- Add snoplow tracking to Releases API. !58221
- Add ConfigureSecretDetection graphql mutation. !58230
- Adds access token endpoints to OpenAPI. !58620 (jimcser)
- Add sorting for group and project packages type. !58657
- Add more fields to the GraphQL blob type. !58906
- Add commmit_pipeline_path to CreateCommit mutation. !58931
- Add cascading namespace setting database migration helper. !58940
- Add application setting for What's new. !59011 (Jonas Wälter @wwwjon)
- Create "projects/import-remote" to import a project using a remote object storage to fetch the exported project
. !59033
- Add support to destroy iteration cadences in GraphQL. !59060
- Remove feature flag from invite members banner. !59203
- Send email to oncall rotation participants and project owners when user is removed. !59331
- Improve errors reporting for board lists update. !59549
- Add autocomplete to milestone description. !59564 (Jonas Wälter @wwwjon)
- Add "active" filter to deploy tokens API. !59582 (Devin Christensen)
- Implement Sidekiq queue re-routing in the application. !59604
- Added type field into Issues API. !59648 (Raimund Hook @stingrayza)
- Expose KAS metadata through GraphQL - enabled, version and externalUrl. !59696
- Support board issue filtering by iids in GraphQL. !59703
- Add note about SSH key title being public information. !59726
- Add missing data to CiJob type. !59805
- Add link to documentation in empty pipeline test reports. !59812
- Add table to store Security Orchestration Policy Schedules. !59842
- Add code owners metric to DevOps adoption page. !59874
- Search projects by topic via API. !59900
- Remove pages_serve_with_zip_file_protocol feature flag. !59908
- Implement variables for pipeline workflow rules. !59970
- Add Group relations export models. !59976
- Add Group relations export API. !59978
- Added tracking to diff view settings. !59979
- Remove pages_update_legacy_storage feature flag. !60005
- Remove pages_serve_from_legacy_storage feature flag. !60010
- Add project_id foreign key to timelogs. !60040 (Lee Tickett @leetickett)
- Lazy load artifacts on pipelines list page. !60058
- Create database table dast_site_profiles_pipelines. !60090
- Allow issueSetDueDate GraphQL mutation to accept null values. !60139
- Introduce limit to number of registered runners. !60157
- Add isuable time tracking report. !60161 (Lee Tickett @leetickett)
- Add internal API support for updating issue types on issues. !60173
- Allow merge request search via GraphQL. !60190 (Lee Tickett @leetickett)
- Add CI template field to project GraphQL type. !60276
- Keep latest pipeline artifact forever. !60400
- Expose user permissions on JobType. !60427
- Add description and roll_over columns to iterations_cadences. !60436
- Populate timelogs.project_id. !60439 (Lee Tickett @leetickett)
- Add Ci::Build graphql mutations. !60443
- Ensure highlighting limits are documented, configurable, and monitorable. !60445
- Add semgrep to SAST config UI. !60460
- Add ability to swap revisions when comparing. !60491
- Add status_changed_at to deployments webhooks. !60518
- Show a random predefined message while MR merging is in progress. !60521
- Add ability to view graph by job dependency. !60522
- Show Deploy Boards for Environments in Folders. !60525
- Allow frontend to observe Prometheus metrics. !60633
- Add setting to allow or disallow duplicates for generic packages. !60664
- Add Escalation policies and rule tables. !60685
- Add support for create, updating, and filtering issues based on issue type in REST API. !60687
- Improve logging in e-mail receiver processing. !60692
- Allow migrating scheduled and retried Sidekiq jobs to new queues. !60724
- Add support for creating/modifying different issue types via GraphQL API. !60747
- Add Maven to Package Graphql types. !60808
- Add API to set credit card validation timestamp for user. !60828
- Add asset links to release keyword. !60896
- Application setting for FloC participation (disabled by default). !60933
- Add API endpoint for deleting a package file. !60970
- Show total group counts in admin users table. !60998
- Package: group and project graphql types - add search. !61001
- Add missing status type and enum to package graphql type. !61002
- Expose blob plain data in GraphQL. !61016
- Lazy load artifacts dropdown in pipelines merge request widget. !61055
- Remove feature flag from upgrade link in user menu. !61057
- Show unit report attachments in the pipeline test report. !61075
- Add Elastic Stack cluster integration. !61077
- Implement bulk import for all groups on the page. !61097
- Add shared_visible_only option to project's groups API. !61118
- Add external status check responses. !61135
- Add more attributes to the blob GraphQL API. !61155
- Add complete field to indicate if a pipeline/job is complete. !61209 (Cong Chen @gentcys)
- Add stuck field to CiJob. !61247
- Add option to remove labels on issue close in the REST and GraphQL API. !61286
- Ban user state and UI. !61292
- Enable by default scheduled execution of batched background migrations. !61316
- Enable by default automatic optimization of batched background migrations. !61317
- Improve UX of the award emoji picker. !61384
- Add semgrep to Secure-Binaries and update support docs. !61411
- Add cron worker for cleaning up unit test tables. !61463
- Redirect to the last visited epic board. !61474
- Implement wildcard support for pipeline include file paths. !61507
- Add DS_EXCLUDED_ANALYZERS var to Dependency Scanning template. !61529
- Add fields to graphQL version type. !61567
- Add pipeline editor drawer for introduction to CI. !61620
- Add nuget metadata type to Package GraphQl type. !61695
- Add repository diskPath parameter to GraphQL API. !61725
- Upgrade Pages to v1.39.0. !61756
- Add 3 stage pipeline template. !61762
- Email users about SSH keys that are expired or expiring soon. !61812
- Observe limit to hours setting in timelog report. !61849 (Lee Tickett @leetickett)

### Other (122 changes, 38 of them are from the community)

- Enable Content-Security-Policy header by default. !56923
- Fix Rails/SaveBang Rubocop offenses for user related models. !57901 (Huzaifa Iftikhar @huzaifaiftikhar)
- Externalise strings in _abuse.html.haml. !57968 (nuwe1)
- Externalise Strings in /application_settings/_gitaly.html.haml. !57976 (nuwe1)
- Externalise strings in application_settings/_plantuml.html.haml. !58023 (nuwe1)
- Externalise strings in /application_settings/_prometheus.html.haml. !58030 (nuwe1)
- Externalize strings in /application_settings/_signin.html.haml. !58066 (nuwe1)
- Externalize strings in application_settings/_spam.html.haml. !58076 (nuwe1)
- Externalize strings in application_settings/_terminal.html.haml. !58081 (nuwe1)
- Eternalize strings in application_settings/_usage.html.haml. !58088 (nuwe1)
- Externalise strings in /admin/users/_form.html.haml. !58096 (nuwe1)
- Externalize strings in admin/users/_profile.html.haml. !58106 (nuwe1)
- Externalise strings in users/_projects.html.haml. !58110 (nuwe1)
- Externalise strings in users/edit.html.haml. !58117 (nuwe1)
- Externalize strings in users/projects.html.haml. !58122 (nuwe1)
- Externalize strings in /users/show.html.haml. !58126 (nuwe1)
- Externalize strings in appearances/_form.html.haml. !58135 (nuwe1)
- Externalise strings in appearances/preview_sign_in.html.haml. !58138 (nuwe1)
- Externalize strings in /background_jobs/show.html.haml. !58141 (nuwe1)
- Externalize strings in broadcast_messages/_form.html.haml. !58143 (nuwe1)
- Externalize strings in requests_profiles/index.html.haml. !58161 (nuwe1)
- Externalizes strings in runners/show.html.haml. !58166 (nuwe1)
- Externalises strings in spam_logs/index.html.haml. !58170 (nuwe1)
- Externalise strings in confirmations/new.html.haml. !58173 (nuwe1)
- Externalize strings in _confirmation_instructions_secondary.html.haml. !58216 (nuwe1)
- Externalize strings in reset_password_instructions.html.haml. !58224 (nuwe1)
- Externalise strings in reset_password_instructions.text.erb. !58226 (nuwe1)
- Externalize strings in unlock_instructions.text.erb. !58229 (nuwe1)
- Externalise strings in shared/_links.erb. !58278 (nuwe1)
- Externalize strings in milestones/_header_title.html.haml. !58300 (nuwe1)
- Externalize strings in milestones/new.html.haml. !58311 (nuwe1)
- Externalize strings in viewers/_changelog.html.haml. !58446 (nuwe1)
- Externalize strings in viewers/_contributing.html.haml. !58447 (nuwe1)
- Externalize strings in viewers/_download.html.haml. !58450 (nuwe1)
- Externalize strings in viewers/_license.html.haml. !58452 (nuwe1)
- Externalise-strings-in-viewers/_readme.html.haml. !58456 (nuwe1)
- Remove the global default branch feature flag. !59024
- Review and revise custom issue tracker UI text. !59277
- Add specs ensuring all metric definition key paths are present in Usage Ping structure. !59314
- Review and revise EWM integration UI text. !59386
- Review UI text and docs for Flowdock integration. !59388
- Align UI of Merge Conflicts app with our design system. !59400
- Prepare to convert PK type for ci_build_needs. !59467
- Upgrade Bootstrap to v4.5.3. !59501
- Review UI text and docs - Google Chat. !59518
- Make Sentry processors for GitLab-internal error tracking compatible with new version of Sentry gem. !59565
- Upgrades the final few bootstrap buttons. !59641
- Remove the enabled by default feature flag for maven group level improvements. !59748
- Initialize int8 migration for ci_job_artifacts. !59786
- Do not require invited users to confirm their email address. !59790
- Update GitLab Runner Helm Chart to 0.28.0. !59802
- Update Create:Code Review metrics definitions. !59816
- Update Metrics Definitions for Runner. !59824
- Add group_level? and instance_level? helpers to Service model. !59838 (Amit Patel @amit.savani)
- Update UI text for confluence integration. !59839
- Revise project access tokens UI text. !59878
- Remove usage_data_track_quickactions feature flag. !59914
- Update, organize, and improve analytics metrics definition files. !59926
- Add --ee option to Usage Metric Definition generator to fill correct tier and distribution. !59942
- Initialize conversion of ci_sources_pipelines.source_job_id to bigint. !59951
- Review and revise YouTrack integration UI text. !59998
- Review UI text for pipeline error messages. !60018
- Drop Vulnerabilities without backing Finding. !60023
- Remove feature flags from known events. !60053
- Update KaTeX integration to v0.13.0. !60071
- Update Bugzilla integration UI text. !60080
- Drop Jira proxy setting columns. !60123
- Add index to support execution time order for batched migration jobs. !60133
- Remove gldropdown_tags feature flag. !60153
- Update active branch icon in IDE to conform to the Pajamas design guide. !60168 (Andreas Resch @reschandreas)
- Add migration to swap partitioned web_hook_logs. !60184
- Update UI links to docs. !60247
- Add index to batched migration jobs status. !60248
- Initialize int8 migration for ci_builds. !60265
- Update GitLab Shell to v13.18.0. !60288
- Remove not_issuable_queries feature flag. !60321
- Remove optimized_timebox_queries feature flag. !60326
- Initialize conversion of ci_build_trace_chunks.build_id to bigint. !60346
- Add user availability status to status modal and settings. !60351
- Align UI text for CI integrations with each other. !60352
- Update 5 min app metric defintions. !60364
- Initialize conversion of ci_builds_runner_session.build_id to bigint. !60366
- Update instance_auto_devops_enabled metric team metadata. !60374
- Update AWS deploy templates metrics. !60377
- Remove graphql_release_data, graphql_milestone_stats, and graphql_releases_page feature flags. !60390
- Remove invite_members_version_b experiment. !60426
- Remove feature flag for pipeline status in pipeline editor. !60463
- Review and revise project integration descriptions. !60510
- Validate foreign key on GroupHooks. !60527
- Bump capybara gem version. !60532
- Remove unused :auto_create_cluster_management_project feature flag. !60550
- Refactor Webex Teams integration settings text. !60565
- Removed feature flag for Pipeline editor merged YAML tab. !60659
- Invalid invite tokens should redirect to the GitLab product. !60666
- Remove search_track_unique_users feature flag. !60706
- Prepare devops adoption database structure for migration. !60733
- Remove optimize_shifting_relative_positions feature flag. !60792
- updating hover state to match other pipeline graph buttons. !60801 (Matt Saddington @mattsaddo)
- Make RecalculateProjectAuthorizations background migration no-op. !60825
- Create database structure to support project value streams. !60925
- Remove invalidated CI Syntax Templates Experiment. !60937
- Update messages when user cannot directly push code to project. !61071
- Remove feature flags related with tracking using Redis HyperLogLog for code review events. !61078
- Merge branch 'mo-update-artifact-documentation' into 'master'. !61084
- Update projects approval rules Usage Data metrics. !61106
- Add issue tracker integrations help text. !61158
- Update checkbox styles in "Group" -> "Settings" -> "General" -> "Permissions, LFS, 2FA". !61294
- Update usage ping metrics for group configure. !61373
- Decrease space between invite and import members buttons to align with Pajamas spacing. !61396
- Update button styles, spacing, variants and responsive behavior for the Tags page. !61413
- Remove sort_diffs feature flag. !61440
- Reschedule DropInvalidVulnerabilities and track jobs. !61491
- Geo: Remove released feature flag `geo_package_file_verification`. !61568
- Remove update merge request related feature flags. !61569
- Fix inconsistent cancel merge train button label. !61597
- Updating button variant and adding tooltip for the SSH delete key button. !61626
- Add draft column to merge_requests table. !61681
- Lowers the z-indexing of the pipeline drawer. !61683
- Update temporary NuGet packages to have processing status. !61724
- Log additional package extraction errors. !61745
- Remove issuable destroy service related FFs. !61764
- Change wording for design management upload. !61782


## 13.11.7 (2021-07-07)

### Security (1 change)

- [Disable file and network premailer strategies](gitlab-org/security/gitlab@511ed3746b48a26e95c851f76ac6fdcd44c28fd8) ([merge request](gitlab-org/security/gitlab!1546))

## 13.11.6 (2021-07-01)

### Added (1 change)

- [Added omniauth_user check when verifying user cap](gitlab-org/security/gitlab@60bc8ff36c41871271dbd4e07db960d09204607d) ([merge request](gitlab-org/security/gitlab!1503)) **GitLab Enterprise Edition**

### Security (15 changes)

- [Bump rails gem version to 6.0.3.7](gitlab-org/security/gitlab@23e4317622532de2564b7a7b0efb0812e5601a2e) ([merge request](gitlab-org/security/gitlab!1516))
- [Update rdoc to 6.3.1](gitlab-org/security/gitlab@452f9c7370c844ea728cda7ae96f990d10c32ca2) ([merge request](gitlab-org/security/gitlab!1535))
- [Prevent GraphQL API access by deactivated users](gitlab-org/security/gitlab@fdedb77bc2190dd87988171396bbb335fd8c47cd) ([merge request](gitlab-org/security/gitlab!1527))
- [Add sanitizing for name field](gitlab-org/security/gitlab@d49da0e57d91fcc59f0732eb978f68b68619a761) ([merge request](gitlab-org/security/gitlab!1491))
- [Copy feature visibility settings to a fork](gitlab-org/security/gitlab@5fd56f01c69edaefb64143ea593d680a0477cb28) ([merge request](gitlab-org/security/gitlab!1524))
- [Avoid disclosing project in web IDE](gitlab-org/security/gitlab@6cba97cef6fa1ab0808db98c64baa33597e54979) ([merge request](gitlab-org/security/gitlab!1513))
- [Add new username validation](gitlab-org/security/gitlab@9a5f5264f4c30248e83747e4ac79e2c2396461dd) ([merge request](gitlab-org/security/gitlab!1497))
- [Allow only same-origin URLs for Edit Release Cancel button](gitlab-org/security/gitlab@b959550cf4cd057d42b4a1ae76aee968cc9133b4) ([merge request](gitlab-org/security/gitlab!1485))
- [Limit creation of issues based on issue type](gitlab-org/security/gitlab@e8713df5341a6c54a4607d6eef0fbb70f93a375f) ([merge request](gitlab-org/security/gitlab!1481))
- [Update Nokogiri to 1.11.4](gitlab-org/security/gitlab@ac29afd195e19cd5c38d9030ecf7fabdea9214d1) ([merge request](gitlab-org/security/gitlab!1480))
- [Fix deploy key fallback issue in protected branch](gitlab-org/security/gitlab@bb0c95595c2b0db98af1feb882aa09870cee3600) ([merge request](gitlab-org/security/gitlab!1477))
- [Fix XSS on audit log for feature flag actions](gitlab-org/security/gitlab@e0140c81b2d7eea963248f2c2bd103b1b5a908ee) ([merge request](gitlab-org/security/gitlab!1475))
- [Sanitize input on pasteGFM](gitlab-org/security/gitlab@b47f364dfe82e59d480bb42adccc24ce691b18b1) ([merge request](gitlab-org/security/gitlab!1452))
- [Add total http read timeout](gitlab-org/security/gitlab@2179f835eadec3afa3233d649fbcdad6125a92c5) ([merge request](gitlab-org/security/gitlab!1393))
- [Fix merge request diff display issue with unsupported encoding](gitlab-org/security/gitlab@33971ea6fba1c493b2d8da4a82c8a0af71ef7e0f) ([merge request](gitlab-org/security/gitlab!1425))

## 13.11.4 (2021-05-14)

### Fixed (3 changes)

- Fix N+1 SQL queries in PipelinesController#show. !60794
- Omit trailing slash when proxying pre-authorized routes with no suffix. !61638
- Omit trailing slash when checking allowed requests in the read-only middleware. !61641


## 13.11.3 (2021-04-30)

### Fixed (1 change)

- Fix Instance-level Project Integration Management page for GitLab FOSS. !60354


## 13.11.2 (2021-04-27)

### Security (5 changes)

- Prevent tokens with only read_api scope from executing mutations.
- Do not allow deploy tokens in the dependency proxy authentication service.
- Disable keyset pagination for branches by default.
- Bump Carrierwave gem to v1.3.2.
- Restrict setting system_note_timestamp to owners.


## 13.11.1 (2021-04-22)

### Changed (1 change)

- Change unsubscribe language for email campaign on self managed. !59121

### Added (1 change)

- Add documentation about Pages deployment migration. !59475


## 13.11.0 (2021-04-22)

### Security (3 changes)

- Update to Rails v6.0.3.6. !59328
- Update mermaid to version 8.9.2.
- Allow to disable exiftool depending on env variable.

### Removed (10 changes, 1 of them is from the community)

- Redirect deprecated pipeline routes. !53990
- Remove CI lint button from Jobs page nav. !56854
- Remove graphql_individual_release_page feature flag. !56882
- Remove deprecated repository archive routes. !57236
- Remove add issues modal from issue boards (this has been disabled since 13.6). !57329
- Remove unused feature flag ':roadmap_buffered_rendering'. !57486
- Remove HipChat integration from frontend and docs. !57556
- Remove temporary index from vulnerabilities table. !57656 (Huzaifa Iftikhar @huzaifaiftikhar)
- Remove unused feature flag checks. !58469
- Remove ability to create new service templates. !58624

### Fixed (175 changes, 90 of them are from the community)

- Update gatsby project template to address the pipeline failure. !37410 (Takuya Noguchi)
- Fixed an issue where the link commit message did not end with a newline. !49086 (Kazuya Kojima)
- Partially fix incorrect icons for non-standard license files. !53207
- Add language- prefix to CSS class of markdown code blocks. !55076 (Camil Staps)
- Filter out pipelines that were excluded in the relation scope in Ci::Pipeline#latest_pipeline_per_commit. !55657 (Cong Chen @gentcys)
- Fix mermaid diagrams in dark mode. !56183
- Catch network errors. !56457 (Shubham Kumar (@imskr))
- Fix the Maven sync worker to not fail if the versionless package is not found. !56514
- Fix `#current_authenticated_job` when used with `.authenticate_with` in Grape APIs. !56564
- Move graphql timelogs to CE. !56633 (Lee Tickett @leetickett)
- Fix bug in wiki link rewriter filter. !56636
- Fix bug in Gollum Tags filter. !56638
- Fix derivation of effective permissions (access level) of group members. !56677 (Jonas Wälter @wwwjon)
- Fix word wrapping in parallel diffs. !56713
- Don't close issue label select box on click if only mouseup outside. !56721 (Simon Stieger @sim0)
- Fix reference widget icon and text spacing. !56759
- Fix test report merge request widget summary and issues alignment. !56768
- Fix artifacts section from showing up when no artifacts are present. !56784
- Push confidential_notes feature flag to mr frontend. !56798 (Lee Tickett @leetickett)
- Fixed offenses Layout/BeginEndAlignment. !56827 (Shubham Kumar (@imskr))
- Close DropLab dropdowns on click instead of mousedown. !56847 (Simon Stieger @sim0)
- Add labels to UI toggles. !56848
- Fix offense Layout/RescueEnsureAlignment. !56870 (Shubham Kumar (@imskr))
- Fixes offense Lint/RedundantSafeNavigation. !56884 (Shubham Kumar (@imskr))
- In admin new user page, fix external checkbox warning hide with keyboard interaction. !56896
- Fix Conan project-level API to return correct download-urls and fix Conan project-level functionality. !56899
- Remove Kramdown patch and update to v2.3.1 gem. !56917
- Fixed styling of commit comment buttons. !56982
- Update weight transaltion for Russian locale. !56986 (Gennady Kovalev (@belolap))
- Fixes rubocop offense Migration/DepartmentName. !56997 (Shubham Kumar (@imskr))
- Do not render empty title in HelpPopover. !57025
- Validate import manifest url scheme. !57071
- Inherit default branch name for subgroups. !57101
- Fix ruby alpine CI template. !57109
- Fix rails binding for ruby alpine template. !57112
- Update admin edit button icon class. !57151
- Fix branch switch to be exact instead of partial match. !57197
- Add aria labels to icon buttons. !57261
- Ensure search param is kept in scrolled commit. !57307
- Fix remote_mirrors usage ping metric. !57332
- Remove calls to jQuery animations to fix infinite scrolling on the Repository commits page. !57379
- Hide project-specific views on group / instance level integrations. !57381
- A blocked URL for a push mirror is a hard failure. !57392
- Fix usage data count start/finish export issue. !57403
- Fix tooltip position in mini pipeline chart. !57425
- Use search param in refs call to filter revisions. !57442
- Update the Package settings to use the blue primary button. !57468
- Always save default on empty values in Exp Policies. !57470
- Allow all file types to be uploaded from the repo file upload tool. !57498
- Fix Assignee dropdown showing assignee(s) twice. !57513
- Fix inconsistent production environment definition on VSA. !57557
- Fix namespace validation (unique path) on group creation. !57563 (Jonas Wälter @wwwjon)
- Give better feedback when quick actions have no effect. !57570 (Hilco van der Wilk)
- Fix security report fetching in Merge Requests. !57574
- Display error message when runner installation instructions modal cannot be loaded correctly. !57588
- Fix two data races in the branch names cache. !57607
- Add aria labels to icon-only buttons. !57610
- Fix Rails/SaveBang rubocop offenses in spec/controllers/projects/*. !57643 (Abdul Wadood @abdulwd)
- Fix Rails/SaveBang Rubocop offenses for admin controllers. !57644 (Huzaifa Iftikhar @huzaifaiftikhar)
- Make NuGet SearchQueryService q parameter optional. !57654 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix MR Source Branch styling. !57662
- Fix updating GraphQL boards cards on assignees update. !57687
- Revert Ignore default_enabled value in Feature.enabled?. !57707
- Simplify Build Group name correction. !57739
- Fix force_random_password option when creating Users via API. !57751
- Fix issue where merge description not showing when merged with merge train. !57787
- Covert has-tooltip on commit page to pajamas. !57858
- Fix Rails/SaveBang rubocop offenses in spec/controllers/groups*. !57879 (Abdul Wadood @abdulwd)
- Fix Rails/SaveBang Rubocop offenses for requests module. !57883 (Huzaifa Iftikhar @huzaifaiftikhar)
- Disable trigger manual job button after click. !57885
- Fix Rails/SaveBang rubocop offenses in auth controllers. !57886 (Abdul Wadood @abdulwd)
- Fix Rails/SaveBang Rubocop offenses for requests/api module. !57887 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix Rails/SaveBang Rubocop offenses for presenters. !57888 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix Rails/SaveBang rubocop offenses in profiles & projects controllers. !57890 (Abdul Wadood @abdulwd)
- Fix Rails/SaveBang rubocop offenses in spec/features/admin. !57891 (Abdul Wadood @abdulwd)
- Fix Rails/SaveBang rubocop offenses in spec/features/dashboard. !57898 (Abdul Wadood @abdulwd)
- Fix Rails/SaveBang rubocop offenses in spec/features/issues. !57900 (Abdul Wadood @abdulwd)
- Fix Rails/SaveBang rubocop offenses in spec/features/projects. !57904 (Abdul Wadood @abdulwd)
- Fix Rails/SaveBang rubocop offenses in spec/features/. !57907 (Abdul Wadood @abdulwd)
- Fix Rails/SaveBang Rubocop offenses for hooks module. !57918 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fixes rubocop offenses Style/RedundantSelfAssignment. !57920 (Shubham Kumar (@imskr))
- Fix closed icon for merge requests to match close issue icon. !57981 (jesus beltran)
- Resolves offenses Style/ParallelAssignment. !57999 (Shubham Kumar (@imskr))
- Resolves offenses Style/RedundantAssignment. !58013 (Shubham Kumar (@imskr))
- Fix Rails/SaveBang Rubocop offenses for deployment modules. !58040 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix Rails/SaveBang Rubocop offenses for mattermost modules. !58048 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix Rails/SaveBang rubocop offenses in spec/initializers. !58049 (Abdul Wadood @abdulwd)
- Fix Rails/SaveBang Rubocop offenses for issue models. !58052 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix Rails/SaveBang Rubocop offenses for legacy github import. !58054 (Huzaifa Iftikhar @huzaifaiftikhar)
- Resolves rubocop offenses Rails/WhereNot. !58062 (Shubham Kumar (@imskr))
- Fix Rails/SaveBang Rubocop offenses for markdown cache modules. !58063 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix Rails/SaveBang Rubocop offenses for commit models. !58069 (Huzaifa Iftikhar @huzaifaiftikhar)
- Only link merge requests to successful deployments. !58072
- Fix Rails/SaveBang Rubocop offenses for gitaly client models. !58089 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix Rails/SaveBang Rubocop offenses for email handlers. !58095 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix Rails/SaveBang rubocop offenses in spec/factories_spec.rb. !58102 (Abdul Wadood @abdulwd)
- Fix Rails/SaveBang Rubocop offenses for ci models. !58104 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix Rails/SaveBang Rubocop offenses for banzai modules. !58108 (Huzaifa Iftikhar @huzaifaiftikhar)
- Ensures that the "Suggest GitLab CI" popover is shown after selecting a template type. !58120
- Fix EmptyLineAfterFinalLetItBe Rubocop offenses for groups controller. !58174 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe Rubocop offenses for boards module. !58180 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses for error tracking module. !58182 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe Rubocop offenses for groups module. !58183 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses for design management module. !58189 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe Rubocop offenses for metrics module. !58190 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe Rubocop offenses for helpers. !58192 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe Rubocop offenses for api entities. !58193 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe Rubocop offenses for api helpers. !58194 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix overflow UI bug with longer commit title on Wiki Page History. !58212 (Takuya Noguchi)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/graphql/types. !58241 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/lib/banzai. !58242 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe in spec/lib/gitlab/alert_management. !58244 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/lib/gitlab/analytics. !58245 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/lib/gitlab/auth. !58246 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/lib/gitlab/checks. !58248 (Huzaifa Iftikhar @huzaifaiftikhar)
- Disable pages_serve_with_zip_file_protocol by default. !58253
- Fix EmptyLineAfterFinalLetItBe offenses spec/lib/gitlab/github_import. !58256 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/lib/gitlab/graphql. !58261 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/lib/gitlab/hook_data. !58262 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses spec/lib/gitlab/import_export. !58264 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/lib/gitlab/jira_import. !58266 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix visibility filter on explore projects page. !58293 (Jonas Wälter @wwwjon)
- Fix EmptyLineAfterFinalLetItBe in spec/lib/gitlab/phabricator_import. !58297 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/lib/gitlab. !58314 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/mailers. !58319 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/models/blob_viewer. !58325 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/models/ci. !58327 (Huzaifa Iftikhar @huzaifaiftikhar)
- Update the group permission check in packages finder helper. !58329
- Fix EmptyLineAfterFinalLetItBe offenses in spec/models/concerns. !58367 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/models/project. !58372 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/policies. !58393 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/serializers. !58406 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/services/award_emojis. !58407 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/services/boards. !58413 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe in spec/services/design_management. !58416 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/services/environments. !58418 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/services/groups. !58423 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/services/ide. !58424 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/services/issues. !58425 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fix EmptyLineAfterFinalLetItBe offenses in spec/services/merge_requests. !58429 (Huzaifa Iftikhar @huzaifaiftikhar)
- Add aria labels to icon-only buttons. !58459
- Fixes admin ci variables not showing up. !58496
- Fix previous deployment fetches wrong deployment. !58567
- Fix delete source branch status message. !58605
- Fix member autocomplete sort order. !58652
- Show bottom border on milestones sidebar widget for incident issues. !58662
- Fix project access token creation group settings link. !58686
- Avoid listing snippets through GraphQL when user profile is private. !58739
- Fix notification when new Service Desk Issue is created. !58803
- Fix dark mode colors of retried jobs in job details page. !58855
- Fix Forward Deployment Worker causes deadlock. !58861
- Fix select2 dropdowns in dark mode. !58862
- Fix badge s and borders in dark mode info wells. !58875
- Dark mode nav improvements. !58891
- Fix style for adding a related issue in free tiers. !58893 (Michael Telgkamp @michael.telgkamp)
- Fix user reference transformation in EpicsPipeline. !58913
- Avoid inflating Redis memory when aborting pipelines. !59018
- Fix sign out button in error pages. !59030
- Add aria labels to icon-only buttons. !59037
- Skip Rack Attack rate limiting for container registry event API. !59085
- Fix loading pipelines by commit SHA for GraphQL. !59110
- Drop user pipelines async when user is blocked. !59129
- IPython KaTeX rendering of comparison operators for markdown. !59132 (Reinhold Gschweicher <pyro4hell@gmail.com>)
- Fix MR diff file tree being hidden behind review bar. !59150
- Add invited group members to search results on assignees widget. !59152
- Fix tooltip not rendering. !59202
- Fix revert commit query. !59356
- Do not show sort by project in Package project page. !59367
- Return 403 status code to the Runner when CI Job is deleted. !59382
- Fix character escaping in Resolved By tooltips. !59428
- Fix Jenkins integration for GitLab FOSS. !59476
- Exclude projects dropdown from revert modal. !59504
- Ensure all tooltips appear with a 500ms delay. !59561
- Added feature flag to show/hide assignees GraphQL widget. !59620
- Fix rare race condition in GitLab-internal feature flags with database load balancing enabled.

### Deprecated (5 changes, 1 of them is from the community)

- Rename event to action in Snowplow helpers and FE event handlers. !55698
- Deprecate Product Intelligence test aggregated metrics. !57377
- Bump recommended Redis version from 4.0 to 5.0. !59072 (Takuya Noguchi)
- Deprecate Alerts for Managed Prometheus. !59433
- Deprecate assigneeUsername issue filter in GraphQL. !59538

### Changed (211 changes, 76 of them are from the community)

- Adds CI pipeline and job features to GraphQL API. !44703
- Unify the Docker Image build CI template and use the default branch instead of hardcoded 'master'. !51931 (dnsmichi)
- Update performance bar background color to use Pajamas compliant colour palette. !52775 (Yogi (@yo))
- Remove extra tooltip from pipelines overview page. !52902 (Yogi (@yo))
- Update RubyGems metadata constraints and add gem metadata extraction. !53673
- Returns deep stringified keys for merged_yaml in linting endpoint. !54336
- Add space to graph in contributor page. !54431 (Yogi (@yo))
- Move from btn-success to btn-confirm in app/views/profiles directory. !54748 (Yogi (@yo))
- Add multi-line styling within contribution tooltip. !54765 (Yogi (@yo))
- Update import statuses texts and icons. !54957
- Add branch names field to repository GraphQL type. !55074
- Remove referencing TokenWithIv model in the codebase and dynamic nonce creation feature flag. !55209
- Move to btn-confirm from btn-success in views/invites directory. !55293 (Yogi (@yo))
- Add validation for emails on push recipients. !55550
- Migrate bootstrap modal to GlModal for repo single file uploads. !55587
- Record sent in-product marketing emails and don't send the same email twice. !55840
- Alerts integration form UX cleanup. !55892
- Sync single-file mode user preference when changed from the MR cog menu checkbox. !55931
- Remove group member: add option to also remove direct user membership from subgroups and projects. !55980 (Jonas Wälter @wwwjon)
- Move to btn-danger for delete button in applications. !56088 (Yogi (@yo))
- Apply new GitLab UI for badge in starrers page. !56091 (Yogi (@yo))
- Move to btn-confirm from btn-primary in wiki empty state. !56192 (Yogi (@yo))
- Move to btn-confirm in download directory dropdown. !56193 (Yogi (@yo))
- Add btn-default class for Service Desk toggle in settings. !56195 (Yogi (@yo))
- Move to confirm variant from success in pipeline_new directory. !56199 (Yogi (@yo))
- Move to confirm varient from success in pipeline_editor directory. !56200 (Yogi (@yo))
- Move from btn-success to btn-confirm in pipeline_schedules directory. !56201 (Yogi (@yo))
- Move to confirm variant from success in feature_flags directory. !56202 (Yogi (@yo))
- Move to confirm variant from success in alert_management directory. !56206 (Yogi (@yo))
- Move from btn-success to btn-confirm in tracings directory. !56209 (Yogi (@yo))
- Move from btn-success to btn-confirm in logs directory. !56211 (Yogi (@yo))
- Move from btn-success to btn-confirm in environments directory. !56212 (Yogi (@yo))
- Move from btn-success to btn-confirm in blob directory. !56213 (Yogi (@yo))
- BulkImports: Track pipeline worker with BulkImports::Tracker#status. !56242
- Update master to main inside monitor copy. !56264
- Project Settings Operations headers Alerts/Error tracking/Jeager tracing/Jeager tracing expand/collapse on-click/on-tap. !56269 (Daniel Schömer)
- Project Settings Operations header Grafana authentication expand/collapse on-click/on-tap. !56270 (Daniel Schömer)
- Add support for commit_email to Users API. !56272
- Project Settings Operations header Incidents expand/collapse on-click/on-tap. !56273 (Daniel Schömer)
- Project Settings Operations header Metrics dashboard expand/collapse on-click/on-tap. !56274 (Daniel Schömer)
- Clean up integration form titles and password fields. !56309
- Move from btn-success to btn-confirm in branches directory. !56325 (Yogi (@yo))
- Move from btn-success to btn-confirm in cleanup directory. !56329 (Yogi (@yo))
- Move from btn-success to btn-confirm in default_branch directory. !56330 (Yogi (@yo))
- Move from btn-success to btn-confirm in deploy_keys directory. !56331 (Yogi (@yo))
- Move from btn-success to btn-confirm in forks directory. !56333 (Yogi (@yo))
- Move from btn-success to btn-confirm in hooks directory. !56334 (Yogi (@yo))
- Move from btn-success to btn-confirm in imports directory. !56336 (Yogi (@yo))
- Allow setting the shard/replica separately for standalone indexes. !56344
- Move from btn-success to btn-confirm in network directory. !56345 (Yogi (@yo))
- Move usage of delayed_project_removal to namespace settings. !56397
- Update buttons on issue page. !56425
- Create new policies for read, destroy, and create tokens. !56464
- Update Jira issues list to use new UI components. !56465
- Move from btn-success to btn-confirm in protected_branches directory. !56477 (Yogi (@yo))
- Move from btn-success to btn-confirm in protected_tags directory. !56478 (Yogi (@yo))
- Move from btn-success to btn-confirm in runners directory. !56485 (Yogi (@yo))
- Enable new RPC call to retrieve wiki files. !56491
- Center the pipeline stages dropdown in the commit details page. !56505
- Update mini pipeline appearance in commit page to match other mini pipelines in the application. !56510
- Disable pipeline schedules when a user is blocked. !56513
- Add Username to Email From Header in Notifications. !56588
- WebIDE show fork button when cannot push code. !56608
- Add empty state CTA in pipeline editor section for new root CI files. !56665
- Support newlines for the chatops "run" command. !56668
- Adds skipped state to duration cell for single stage manual pipelines. !56669
- Support for --prefer-source option for Composer registry. !56693
- Allow Email Replies to Notes to Create Discussions. !56711
- Add id and short_sha GraphQL fields to jobType in the CI namespace. !56714
- Remove the commit message from the package details UI. !56716
- Assignee dropdown in issue page displays only participants by default. !56742
- Render Kramdown format using Gitlab markup. !56750
- Relax version validation on generic packages. !56755
- Show popovers on hover and focus by default. !56778
- Change icon size in the pipeline editor. !56780
- Show password hint only if password_authentication_enabled_for_web? on new location logins. !56783 (Roger Meier)
- Add Vulnerabilities::FindingEvidence model. !56790
- Update compare branches button to btn-confirm. !56791
- Update buttons and spacing on commit page. !56793
- Update secondary nav elements right margin to 8px. !56794
- Add created_at to job webhooks. !56835
- Rename pipelines setting to CI/CD and move out from under repository section. !56857
- Change the way deprecation information is presented in GraphQL documentation. !56864
- Validate null constraint for cluster token name. !56868
- Move from btn-success to btn-confirm in projects/services directory. !56937 (Yogi (@yo))
- Move from btn-success to btn-confirm in projects/settings directory. !56938 (Yogi (@yo))
- Move from btn-success to btn-confirm in projects/snippets directory. !56939 (Yogi (@yo))
- Move from btn-success to btn-confirm in projects/tags directory. !56940 (Yogi (@yo))
- Move from btn-success to btn-confirm in projects directory. !56943 (Yogi (@yo))
- Move from btn-success to btn-confirm in registrations directory. !56944 (Yogi (@yo))
- Move from btn-success to btn-confirm in users directory. !56945 (Yogi (@yo))
- Adjust gitlab_database_transaction_seconds histogram bucket. !56952
- Add extra fields to the external pipeline validation payload. !56969
- Change assignee dropdown invite to utilize invite modal. !57002
- Enable DISTINCT optimization for ObjectHierarchy globally. !57052
- Redirect to the pipeline editor when clicking on CI/CD quick links. !57085
- Update learn gitlab template for new registrations. !57098
- Add loading icon to create merge request button. !57105
- Move Pipeline Editor repo link outside of feature flag conditional. !57144
- Show the Contribution Analytics promotion page for users without permission. !57222
- Show skipped duration state for all skipped pipelines. !57242
- Add Runner ID as title in Runner details page. !57247
- Remove feature flag usage_data_track_ci_templates_unique_projects. !57280
- Deprecate but keep support for Klar up to version 3. A new analyzer based on Trivy will be used from version 4 onwards. !57281
- Hydrate some of the variables in the Overview tab suggestion commit placeholder by switching the Diffs data source for it. !57419
- Remove Slack attachment from new issues created via Slash commands. !57431
- Make VALIDATION_REQUEST_TIMEOUT configurable. !57521
- Remove programmatic access to registration tokens. !57524
- Update Jira subscriptions list to use Vue. !57561
- Update runner badges look and feel in admin runners table. !57566
- Rename jobs to promote a smoother transition between Klar and Trivy based scanners. !57593
- Do not trim input for sample & test payload on alerts integration form. !57617
- Allow a Global ID to be used when filtering issue by iterationId in GraphQL. !57620
- Add tags field to jobType in the CI namespace. !57631
- Expose createdAt and updatedAt fields for Board in the GraphQL API. !57645
- Update validation trigger flow on the alerts integration form. !57697
- Remove groupId and projectId arguments to Runner install instructions. !57720
- GraphQL: expose milestone iid. !57732
- Move commit neighbor buttons to sticky MR controls. !57743
- Update title on revoke member invite modal and hide unneeded related issues and merge requests checkbox. !57755
- Deprecate btn-warning on admin area delete user modal. !57761
- Remove deprecated button classes from issue detail view. !57763
- Utilize btn-tertiary for copy project id on project overview. !57766
- Remove top margin for print layout. !57824
- Fail batch-aborted pipelines with reason. !57838
- Replace deprecated Close Milestone button on list view. !57871
- Replace deprecated button on new epic creation form. !57874
- Hide pipeline filtered search when no pipeline exists. !57881
- Add gl-badge for badges in group members page. !57933 (Yogi (@yo))
- Add gl-badge for badges in project members page. !57934 (Yogi (@yo))
- Display error message when dashboard activity fetch fails. !57935
- Add gl-badge for badges in dashboard nav. !57936 (Yogi (@yo))
- Update GIicon size in geo_node_header.vue. !57952 (singhanshuman)
- Move to confirm variant for buttons in vulnerabilities page. !57961 (Yogi (@yo))
- Add gl-badge for badges in MR page nav. !57969 (Yogi (@yo))
- Align project stars and date to center of project in groups page. !57972 (Yogi (@yo))
- Add btn-icon class for GPG key delete button. !57974 (Yogi (@yo))
- Add btn-default for mirror update button. !57978 (Yogi (@yo))
- Update ruby-magic-static to v0.3.5. !57984
- Reduce button size for revoke button in PAT page. !57989 (Yogi (@yo))
- Apply gl-form-input for fields in GPG keys page. !58002 (Yogi (@yo))
- Apply gl-form-input for fields in new schedule page. !58015 (Yogi (@yo))
- Move to btn-confirm from btn-success in licenses directory. !58024 (Yogi (@yo))
- Move to btn-confirm from btn-success in geo directory. !58031 (Yogi (@yo))
- Move to btn-confirm from btn-success in push_rules directory. !58033 (Yogi (@yo))
- Move to btn-confirm from btn-success in devise directory. !58035 (Yogi (@yo))
- Add btn-default class for toggle button in admin templates. !58041 (Yogi (@yo))
- Move to btn-confirm from btn-success in ee project settings. !58047 (Yogi (@yo))
- Improve UI of Runner Installation instructions: add a loading indicator, use checkmark on selected options, reduce height of modal. !58055
- Update New Issue form description copy from 'wite a comment' to 'wite a description'. !58068
- BulkImports: Import milestone iid. !58107
- Replace deprecated buttons on epic detail view. !58152
- Replace deprecated buttons on board view. !58153
- Small text updates on the SAST Config UI page. !58188
- Update GlIcon size in environments.vue. !58208 (Md. Pial Ahamed (@root.pial))
- Link to revision in version on admin dashboard. !58225 (Yogi (@yo))
- Rename Gitlab to GitLab in admin dashboard. !58228 (Yogi (@yo))
- Remove underline in apply for credit button in k8s page alert. !58232 (Yogi (@yo))
- Add btn-default class for file picker button. !58238 (Yogi (@yo))
- Rename Submit issue to Create issue in boards and docs. !58243 (Yogi (@yo))
- Update label container background and border colour from dark grey to use the same light grey as the board's containers. !58279
- UI improvement of Admin Dashboard top page. !58373 (Takuya Noguchi)
- Add warning icon beside in progress text if pipeline is stuck. !58427
- Set workhorse_extract_filename_base feature flag to default. !58504
- Update resolving alert system notes to use term Recovery Alert. !58513
- Update default spinner color to pajamas. !58517
- Update ruby-magic to v0.3.2. !58537
- Fix HAML in _promote_issue_weights.html.haml. !58546 (Yogi (@yo))
- Update popover placement and cursor on warning icon in PB. !58552 (Yogi (@yo))
- Remove vertical-align-middle from user location and work in profile. !58554 (Yogi (@yo))
- Enable chronological sort order for other items in the performance bar. !58572
- Use GlTable design system component for pipelines table. !58581
- Update MobSF to version 3.4.0 in the SAST template. !58594
- Add count of unique users to receive on-call notification to usage ping. !58606
- Add global callout for Service template deprecation. !58613
- Remove cached_api_merge_request_version feature flag. !58670
- Bump minimum git version to v2.31.0. !58737
- Add a chaos endpoint that signals QUIT. !58755
- Improve runners status icon usability and accessibility in the project settings view. !58781
- Make ref parameter optional in get raw file api. !58787
- Centralize shared state in Authoring section. !58790
- Update default branch in divergence graph. !58871
- Update Pipeline Graph Visualization. !58889
- Move initial pipeline processing to Sidekiq. !58901
- Display runner token and description consistently in the job sidebar and admin list. !58904
- Update ruby-magic to v0.4.0. !58947
- Update search and sort from the branches page. !58951
- Return email confirmation time from email entity. !58957
- Update runner type indicators in view/edit pages. !59005
- Default enable cascading settings feature flag. !59026
- Fix gl-emoji in abuse report page. !59078 (Yogi (@yo))
- Adds new clusters_integrations_prometheus table and model for Prometheus Cluster Integration. !59091
- Include project and build ID in Pages tmp directory. !59106
- Deactivate prune webhook logs worker. !59120
- Reduce pipeline tooltip delay to 0. !59155
- Remove gldropdown_branches feature flag. !59179
- Clarify on welcome page that we do not share any data. !59183
- Schedule artifact expiry backfill again. !59270
- Create prometheus service asynchronously by default when creating a project. !59273
- Show archive notice on empty project. !59286
- Enable in-product emails only for free instances. !59290
- Log all API uploads that exceed max attachment size. !59292
- Pages: Add feature flag to disable deployment to legacy storage. !59298
- Hide What's New for unauthenticated users. !59330
- Add queue label to metrics dispatched by background transaction. !59344
- Update Ruby from 2.5 to 2.7 in Dockerfile templates. !59345 (Takuya Noguchi)
- Update profile SSH key labels to refer to expired keys as "Expired". !59381
- Display project settings runners identifiers consistently. !59383
- Migrate Start Review button on MRs to use confirm variant. !59523
- Update auto-build-image to v0.6.0, updating the included docker to 20.10.6 and pack to 0.18.0. !59525
- Apply new GitLab UI for buttons in create tag page. (Yogi (@yo))

### Performance (107 changes, 1 of them is from the community)

- Cache namespace traversal path. !52854
- Use empty-query by default to check database connection. !54366 (Leandro Gomes @leandrogs)
- API JSON caching for tags endpoint. !54975
- Cache open merge requests count in group sidebar. !55971
- Add index on ci_stages to speed up batch pipeline cancellation. !56126
- Backfill traversal_ids for gitlab-org staging. !56293
- Linear version of Namespace#self_and_descendants. !56296
- Add database index for cancelable ci_pipelines on user and id. !56314
- Improve the performance of Merge Request Analytics table. !56380
- Move fetching projects and groups on todos page to API call. !56507
- Fix Workhorse acceleration for encoded project IDs in API. !56731
- Prevent sticking to DB primary when experiments are tracked. !56852
- Move link icon to CSS. !56980
- Drop unused preload from PipelineSerializer. !56988
- Speed up destroying of group Todos when user leaves group. !56995
- Optimise query for Deployment#previous_environment_deployment in LinkMergeRequestWorker. !57039
- Optimize database performance of loading assigned issue count on header bar. !57073
- Backfill traversal_ids for gitlab-org .com. !57075
- Check access only for requesting user when checking if subscribed. !57201
- Add gin index for namespaces.traversal_ids. !57207
- Accelerate uploads via API with Workhorse. !57250
- Add additional index to merge_requests table for project/status/created_at. !57267
- Preload group parent to fix N+1 queries for project search. !57277
- Preload additional data to fix N+1 queries for merge request search. !57284
- Remove N+1 for API commits/:sha/merge_requests. !57290
- Remove N+1 for API :id/deploy_keys. !57295
- Reduce query count for ExpirePipelineCacheWorker. !57304
- Remove N + 1 for milestones issues. !57349
- Add partial index to improve mirrors update. !57353
- Apply optimizations to JobsController#show.json. !57367
- Fix N+1 issue when loading merge request comments. !57374
- Perform more merge request creation tasks asynchronously to improve response times. !57453
- Fix N+1 for searching notes (comments) scope. !57460
- Resolve N + 1 for JIRA pulls. !57482
- Make `ci_runner_builds_queue_on_replicas` default. !57484
- Reduce queries on group labels controller. !57517
- Reduce number of queries in mergeRequestSetAssignees GraphQL mutation. !57523
- Reduce N+1 queries in creating todos after user mentions in a note. !57525
- Optimize Deploy Keys Presenter. !57551
- Add index to improve project deployments endpoint performance. !57554
- Resolve N + 1 for deployments API. !57558
- Cache merge request diff version API. !57568
- Reduce SQL requests number for issue links. !57602
- Avoid N+1 query when updating todo count cache. !57622
- Resolve N + 1 for commits notes API. !57641
- Resolve more N+1 issues in Jira pulls API. !57658
- Reduce number of SQL queries in Profiles::SlacksController#edit. !57674
- Preload all user callouts in a single request. !57679
- Add TargetProject And SourceBranch Index To MergeRequest. !57691
- Optimize group level Maven package finder query. !57692
- Remove ci_lower_frequency_trace_update feature flag. !57713
- Cache MRs count on milestone page. !57714
- Fix N+1 for searching milestone scope. !57715
- Avoid N+1 queries in breadcrumbs. !57725
- Move project hooks routes under /-/ scope. !57734
- Add composite index to support epic filtering by award emoji. !57759
- Reduce query count for popular worker ExpireJobCacheWorker. !57773
- Remove feature flag optimize_issue_filter_assigned_to_self. !57775
- Ensure a project iid is set before transitioning on pipeline error. !57783
- Fix N+1 in projects REST endpoint with forked projects. !57798
- Bulk-abort user pipelines on block. !57801
- Move pipelines calculation from widget.json to cached_widget.json. !57822
- Delete all issuable todos asynchronously when issuable is destroyed. !57830
- Reduce queries on projects labels controller. !57864
- Optimize database query for last deployment. !57979
- Fix N + 1 for MilestonesController#merge_requests. !57980
- Minor performance improvement for ref finder. !58099
- Reduce milestone issue list display limit to 500. !58168
- Partial index optimization for namespaces id. !58220
- Add caching to variables calculation of builds. !58286
- Reduce SQL requests on building artifacts. !58339
- Drop unused mirror_data index. !58349
- Add index on file_store for pages_deployments table. !58355
- Eliminage N+1 database queries on the user notifications page. !58397
- Create finder for searching branch names via redis. !58439
- Preload associations in Ci::Pipeline#cancel_running. !58484
- Add new MergeRequests::SyncCodeOwnerApprovalRulesWorker. !58512
- Create the pipelines asynchronously when refreshing merge requests. !58542
- Optimize searching cherry-picked merge requests for linking deployments. !58568
- Use object quarantine directory to enumerate new LFS pointers. !58634
- Resolve merge request todos asynchronously on update. !58647
- Enable cached avatar lookups by email. !58659
- Resolve group_member policy n+1. !58668
- Move CI related paths to cached MR widget. !58711
- Fix N+1 in REST projects and service desk. !58747
- Optimize environment serializer to reduce N+1 problems. !58748
- Handle assignee changes side effects asynchronously. !58783
- Remove paths from BuildArtifactEntity. !58818
- Use fast path helpers in BuildDetailsEntity. !58824
- Add framework for using specialized services to improve performance of MergeRequests::UpdateService. !58836
- Fix N+1 for searching commits. !58867
- Fix N+1 queries to find or initialize services. !58879
- Adjust indices to improve query performance for notification_settings. !58895
- Fix N+1 queries for issues search. !58915
- Optimize query for cherry picked merge requests. !58967
- Cache issues count in sidebar at group level. !59004
- Improve performance by moving TODO creation out of the jobs/request path. !59022
- Eliminate N+1 database queries on the user notifications page within the project notifications section. !59029
- Add migration to index members on user_id, source_id, and source_type. !59051
- Reduce the number of SQL queries executed on Maven file API endpoints. !59136
- Add user index on spam logs. !59151
- Limit number of GraphQL requests tracked in performance bar to 10. !59158
- Add index for the path column on the packages_maven_metadata table. !59241
- Reduce timeouts on tab counts for searches to 5s. !59435
- Add partial index on members to optimize highest access level query. !59455
- Optimize issuable updates. !59468
- Ensure the project iid is set before dropping pipeline. !59626

### Added (108 changes, 11 of them are from the community)

- Support adding and removing assignees w/ push opts. !25904
- Add Go Packages as a cache for the Go proxy. !34558 (Ethan Reesor (@firelizzard))
- Allow admin users to define admin notes on groups. !47825
- Resolve nested variable values sent to the runner. !48627
- Hide "Resolve conflicts" button when source branch is protected. !51121 (Marcin Majkowski @marcinmajkowski)
- Allow Add Comment To Review. !51718 (Lee Tickett @leetickett)
- Add click to copy button over project ID. !53224 (Virgile MATHIEU @vmathieu)
- Convert admin mode feature flag to system application setting. !53610 (Diego Louzán)
- Send in-product marketing emails to guide users setting up their groups. !53715
- Automatically try to migrate gitlab pages to zip storage. !54578
- Add user-merge request interaction type. !54588
- Save usage_data_id from versions app in raw_usage_data. !54738
- Create UserPreferences API. !55033
- Support group applications. !55152 (Jonas Wälter @wwwjon, Bastian Blank)
- Ability to add Prometheus as cluster integration. !55244
- Add JavaScript, TypeScript, and React support to the semgrep analyzer. !55257
- Added local_store to Pages settings in gitlab.yml file. !55470
- Add additional fields to dast_site_profiles database table. !55579
- Cascade delayed project removal setting lookup to parent namespace. !55678
- Support automatic transitions of Jira issues. !55773
- Add blocked issues detail popover for boards cards. !55821
- Allow users to mark pages projects as not deployed during migration to zip storage. !55862
- Add dast_profile_secret_variables table. !56067
- Support daily DORA metrics API. !56080
- Track agent token last_used. !56143
- Add CI_COMMIT_AUTHOR predefined variable. !56144 (Craig Andrews @candrews)
- Linking to a single line number in Web IDE. !56159
- Migrate group badges when using Bulk Import. !56357
- Add Ability to Edit Freeze Periods. !56407
- Add GraphQL mutation to delete an existing release asset link. !56417
- Personal access token revoke for managed accounts (feature flag removed). !56427
- Migration: add trial extension type to gitlab_subscription. !56460
- Geo: Prepare snippet_repositories and snippet_repository_registry tables for adding verification. !56596
- User Availability - Allow users to schedule un-setting of their status values. !56649
- Add missing icon for files with .c++ extension. !56650 (Peter Kovář @peter.kovar)
- Add in-page search for all settings pages. !56659
- Support include_ancestors when querying group milestones via GraphQL. !56667
- Add recaptcha to top-level group creation behind feature flag. !56707
- Configure issue and merge request description templates at group level and rolldown description templates in the group hierarchy. !56737
- Enabled phabricator importer by default. !56765
- Generalize alert details status. !56800
- Create database table dast_profiles_pipelines. !56821
- Allow selecting a CI template by providing the template name as a URL param gitlab_ci_yml. !56861
- Group SAML - Check SSO status on Git activity. !56867
- Send email notification on SSH key expiration. !56888
- Support custom tag formats for changelogs. !56889
- Delete records from security_findings table with missing UUID values. !56975
- Link squashed commits using the changelog API. !56985
- Allow users to enable force push to protected branches. !57053
- Add rake tasks for Pages deployment migration. !57120
- Code suggestions correctly add based on multi-line comments. !57125
- BulkImports: Add `BulkImports::PipelineWorker` to process each BulkImport pipeline on its own background job. !57153
- Connect Registries searches to URL. !57251
- Sort code quality degradations in MR Widget comparison reports. !57258
- Add unified metrics definition YAML file API endpoint. !57270
- Clarify what coverage means on the merge request pipeline section. !57275
- Improve payload format of DORA metrics API. !57314
- Expose timelogs against issues and merge requests in GraphQL. !57321 (Lee Tickett @leetickett)
- Populate missing dismissal information for vulnerabilities. !57347
- Clarify the impact of selecting incidents in the new issue form. !57373
- Add jobs field to the project type. !57376
- When removing a user, warn Admin user is part of an on-call schedule. !57397
- Exposes schedulingType on CiJobType and adds usesNeeds to PipelineType. !57398
- '/projects/:id/repository/compare' supports comparing branches/commits on different projects. !57418 (Exchizz (@Exchizz))
- Add geo database changes for pipeline artifact replication. !57506
- Add more fields to the job type. !57530
- Capture test report summary widget views via usage ping. !57543
- Allow filtering GraphQL alertManagementIntegrations and alertManagementHttpIntegrations by ID. !57590
- Add search functionality to Jira Connect App namespaces. !57669
- Add Conan GraphQL type to package. !57719
- Log message when upload via API exceeds limit. !57774
- Migration: Add cloud column to licenses. !57781
- Re-add swap revisions feature (legacy). !57802
- Add support for SMTP connection pooling when sending emails. !57805
- Add a migration to insert trail plans within SAAS for Ultimate and Premium plans. !57814
- Add link to test case file in the test report for merge requests. !57911
- Upgrade GitLab Pages to v1.37.0. !57946
- Add negative filters for merge requests API. !58021
- Add setting to change default target project for merge requests from forks. !58093
- Support negated filtering of issues by iids, label_name, milestone_title, assignee_usernames and assignee_id in GraphQL. !58154
- User notification when SSH key is set to expire soon. !58171
- Allow user to filter epics by their reaction emoji via GraphQL. !58211
- Add config support for using Microsoft Graph with MailRoom. !58250
- Let users create groups and projects at signup and onboard them through issues on gitlab.com. !58301
- Reschedule background migration to copy projects.container_registry_enabled to project_features.container_registry_access_level. !58360
- Prettify JSON of sample alert payload. !58433
- Add spent quick action alias. !58539 (Lee Tickett @leetickett)
- Add GraphQL endpoint for test report summary for pipelines. !58596
- Show pipeline finished timestamp on MR widget. !58618
- Add Hello World CI Template. !58649
- Make blobs directly accessible through the graphql repository. !58677
- Add target_type column to dast_site_profiles database table. !58723
- Add GraphQL endpoint for a specific test suite in pipelines. !58924
- Add blob filename to attachment content disposition. !58977
- Rollout product_intelligence_metrics_names_suggestions feature flag. !58995
- Support filtering by assignee wildcard in GraphQL board list issues query. !58996
- Remove pages_serve_from_migrated_zip feature flag. !59002
- Enables multiple_cache_per_job feature flag by default. !59016
- Add CODECLIMATE_PREFIX variable to code quality template. !59041
- Add instance_url column to the jira_connect_installations table. !59148
- Remove codequality_backend_comparison feature flag. !59320
- Allow cherry-picking to a fork's parent. !59399
- Add kotlin support to spotbugs-sast job. !59431
- Upgrade GitLab Pages to 1.38.0. !59464
- Add documentation about Pages deployment migration. !59475
- Re-enable serving pages with zip file protocol. !59486
- Enable pipeline_status_for_pipeline_editor by default. !59495
- Extract creation of prometheus service from Projects::CreateService.

### Other (160 changes, 74 of them are from the community)

- Resolve Improve text for error No issue found for given params in UI. !45064
- Update gon gem to 6.4.0. !51210
- Initialize conversion of events.id to bigint, and add execute_batched_migrations_on_schedule feature flag to control scheduled background migrations. !51332
- Apply new GitLab UI buttons in the webhooks list. !51977 (Yogi (@yo))
- Fix alignment of folder-caret and actions button in the subgroup list. !52400 (Yogi (@yo))
- Remove JSON endpoint for project container index. !52407 (Takuya Noguchi)
- Update HIPAA logo for project templates. !53270
- Apply GitLab UI button styles to buttons in app/views/shared directory. !53474 (Yogi (@yo))
- Drop non-partitioned audit_events_archived table. !53880
- Add message for repository backup skip. !54285
- Updated MR Approvals to specify settings section. !54985
- Remove markdown from comment search result. !55255
- Deduplicate issue_metrics table. !55285
- Document how to use custom omniauth button icon. !55388 (Diego Louzán)
- Create Cop to enforce using policies framework for administrators. !55693 (Diego Louzán)
- Remove tabindex on skip link that could negatively impact keyboard focus management and order. !55756
- Mark merge request as preparing on create. !56086
- Update Search and Apply buttons to confirm variant to align with Pajamas design system. !56122
- Decrease spacing between controls on the Commit page header. !56129
- Create new unit test tables. !56137
- Convert Commit dropdown to Vue. !56142
- Enable the instance variables UI. !56255
- Set the scope in search context from group issue and MR pages. !56383
- Remove On-call Edit feature flag. !56445
- Fix cop offenses for Style/HashTransformation in app directory. !56579 (Karthik Sivadas @karthik.sivadas)
- Fix cop offenses for Style/HashTransformation in ee directory. !56581 (Karthik Sivadas @karthik.sivadas)
- Fix cop offenses for Style/HashTransformation in lib directory. !56583 (Karthik Sivadas @karthik.sivadas)
- Fix cop offenses for Style/HashTransformation in spec directory. !56586 (Karthik Sivadas @karthik.sivadas)
- Track epic note created via usage ping. !56609
- Aggregate code review metrics. !56734
- Update android template to default branch. !56738
- Stop using json-schema gem for production. !56745
- Refactor docs and UI for Jaeger tracing. !56819
- Add support for the MATERIALIZED keyword when using WITH (CTE) queries in PostgreSQL 12. !56976
- Externalize project deploy keys (edit) strings. !57015 (Jonston Chan @JonstonChan)
- Migrates the expand button in MR reports to GitLab UI. !57021
- Update GitLab Runner Helm Chart to 0.27.0. !57048
- Remove unnecessary use of freeze. !57056 (Lee Tickett @leetickett)
- Remove unnecessary use of freeze. !57057 (Lee Tickett @leetickett)
- Remove unnecessary use of freeze. !57058 (Lee Tickett @leetickett)
- Remove unnecessary use of freeze. !57059 (Lee Tickett @leetickett)
- Remove unnecessary use of freeze. !57060 (Lee Tickett @leetickett)
- Remove the FF skip_dag_manual_and_delayed_jobs. !57086
- Remove the FF ci_trigger_payload_into_pipeline. !57087
- Updated documented K8s snippet to undeprecated API. !57100 (Raimund Hook (@stingrayza))
- Validate NOT NULL constraint on gitlab_subscriptions namespace_id. !57113
- Update button variants on the project boards controller to better align with the Pajamas Design System. !57129
- Remove the recursive_namespace_lookup_as_inner_join feature flag. !57131
- Only display focus mode button at md+ breakpoint and make it the tertiary style. !57139
- Remove feature flag for customize homepage banner. !57147
- Update issuable submit content order, button variants, and button alignment. !57172
- Send invited users to sign up instead of sign in when possible. !57240
- Updated UI text to match style guidelines. !57276
- Enable RedundantFreeze Cop and Remove Remaining Offenses. !57288 (Lee Tickett @leetickett)
- Review and revise Integrations/Asana UI text. !57362
- Add enqueueing of Onboarding Progress to the Invite Service. !57372
- Validate foreign key on ServiceHooks. !57483
- Removed migrate_delayed_project_removal feature flag. !57541
- Migration to cleanup after partitioned web_hook_logs backfill. !57580
- Update BulkImport default page size to 500 in order to process larger page of data. !57594
- Refactor member/invitation services to share common code. !57618
- Fix triggers page externalization. !57637 (Jonston Chan @JonstonChan)
- Add foreign key from web_hooks to groups. !57735
- Remove batch_suggestions feature flag. !57745
- Remove remove_resolve_note feature flag. !57757
- Remove deprecated info button from issue list view. !57762
- Track the different overflows for diff collections. !57790
- Update Jira plugin UI copy. !57793 (Russell Dickenson rdickenson@gitlab.com)
- Rename table/model vulnerability_finding_fingerprints to *_signatures. !57840
- Move to btn-confirm from btn-success in pipelines quotas page. !57861 (Yogi (@yo))
- Remove records without group from webhooks table. !57863
- Updated UI text to match style guidelines. !57884
- Add a template for using Indeni Cloudrail in GitLab. !57919
- Externalise-strings in _ip_limits.html.haml. !58003 (nuwe1)
- Externalise strings in application_settings/_pages.html.haml. !58011 (nuwe1)
- Externalize strings in _performance.html.haml. !58016 (nuwe1)
- Externalise strings in application_settings/_performance_bar.html.haml. !58018 (nuwe1)
- Externalise strings in /application_settings/_realtime.html.haml. !58039 (nuwe1)
- Externalise strings in _registry.html.haml. !58051 (nuwe1)
- Externalise strings in /application_settings/_repository_check.html.haml. !58058 (nuwe1)
- Update Design Management added design icon to be slightly smaller which conforms to the Pajamas design guide. !58086 (Andreas Resch @reschandreas)
- Externalise strings in admin/users/_head.html.haml. !58101 (nuwe1)
- Updating success button to confirm variant and reordering buttons per Pajamas Design System guidelines for buttons. !58112
- Externalize strings in /abuse_reports/index.html.haml. !58132 (nuwe1)
- Use Gitlab::AppLogger in settings. !58134 (Huzaifa Iftikhar @huzaifaiftikhar)
- Fill in all placeholder values in the apply suggestion commit message placeholder text. !58136
- Externalize strings in broadcast_messages/index.html.haml. !58146 (nuwe1)
- Externalize strings in deploy_keys/new.html.haml. !58148 (nuwe1)
- Externalize strings in hook_logs/_index.html.haml. !58155 (nuwe1)
- Externalize strings in projects/_projects.html.haml. !58158 (nuwe1)
- Externalize strings in projects/index.html.haml. !58160 (nuwe1)
- Externalize strings in services/index.html.haml. !58167 (nuwe1)
- Externalise strings in runners/_runner.html.haml. !58168 (nuwe1)
- Externalise strings in spam_logs/_spam_log.html.haml. !58169 (nuwe1)
- Fix EmptyLineAfterFinalLetItBe Rubocop offenses for projects controller. !58176 (Huzaifa Iftikhar @huzaifaiftikhar)
- Externalize strings in _confirmation_instructions_account.html.haml. !58214 (nuwe1)
- Externalize strings in _confirmation_instructions_account.text.erb. !58215 (nuwe1)
- Externalize strings in _confirmation_instructions_secondary.text.erb. !58218 (nuwe1)
- Externalise strings in password_change files. !58219 (nuwe1)
- Externalize strings in unlock_instructions.html.haml. !58227 (nuwe1)
- Externalize strings in passwords/edit.html.haml. !58233 (nuwe1)
- Externalize strings in passwords/new.html.haml. !58236 (nuwe1)
- Externalize strings in sessions/_new_ldap.html.haml. !58267 (nuwe1)
- Externalize strings in registrations/edit.html.erb. !58268 (nuwe1)
- Externalize strings in sessions/_new_crowd.html.haml. !58269 (nuwe1)
- Externalise strings in sessions/new.html.haml. !58274 (nuwe1)
- Externalize strings in sessions/two_factor.html.haml. !58275 (nuwe1)
- Externalize strings in shared/_omniauth_box.html.haml. !58281 (nuwe1)
- Externalize strings in shared/_sign_in_link.html.haml. !58283 (nuwe1)
- Externalise strings in shared/_tabs_ldap.html.haml. !58285 (nuwe1)
- Externalize strings in unlocks/new.html.haml. !58289 (nuwe1)
- Externalise strings in labels/edit.html.haml. !58294 (nuwe1)
- Externalize strings in milestones/_form.html.haml. !58298 (nuwe1)
- Externalize strings in milestones/edit.html.haml. !58306 (nuwe1)
- Externalise strings in runners/edit.html.haml. !58315 (nuwe1)
- Externalise strings in groups/_activities.html.haml. !58324 (nuwe1)
- Externalize strings in groups/_create_chat_team.html.haml. !58328 (nuwe1)
- Externalise strings in groups/_group_admin_settings.html.haml. !58331 (nuwe1)
- Externalises strings in groups/activity.html.haml. !58332 (nuwe1)
- Update pipeline email service UI text. !58377
- Update pot file. !58392
- Updated UI text for Assembla integration to match style guidelines. !58400
- Externalize strings in instance_configuration/_gitlab_ci.html.haml. !58435 (nuwe1)
- Externalize strings in instance_configuration/_gitlab_pages.html.haml. !58437 (nuwe1)
- Externalize strings in help/index.html.haml. !58441 (nuwe1)
- Externalize strings in instance_configuration.html.haml. !58443 (nuwe1)
- Externalize strings in chat_names/_chat_name.html.haml. !58444 (nuwe1)
- Externalizes strings in viewers/_empty.html.haml. !58451 (nuwe1)
- Externalize strings in viewers/_loading_auxiliary.html.haml. !58454 (nuwe1)
- Review and revise Pages settings-related UI text. !58479
- Updated Alert integration UI text to match style guidelines. !58507
- If creating a new issue fails in boards, remove the issue card from a list. !58558
- Enable Layout/SpaceAfterColon cop for HAML. !58564 (Takuya Noguchi)
- Update mattermost integration UI text. !58570
- Update Emails on push UI Text to match style guidelines. !58597
- Updated outdated UI text and docs. !58600
- Update UI text of Jenkins integration. !58623
- Track total_tuple_count for batched migrations. !58675
- Update Project Management metrics definitions. !58710
- Add correlation id in X-Request-ID for external pipeline validation. !58741
- Update UI text from timing to Duration. !58838
- Update Discord integration UI text. !58842
- Update UI text for slack notifications integration. !58845
- Review and revise Redmine Integration UI text. !58899
- Bump devise-two-factor version. !58929
- Update metric definition under verify testing group. !59028
- Remove issue_perform_after_creation_tasks_async feature flag. !59042
- Obtain pipeline validation service token from config not ENV. !59101
- Bump rspec-rails to 4.1.2. !59130
- Add index services on project and type where inherit is null. !59168
- Replace deprecated skeleton loader in the user popover with slightly darker SVG based skelton loader. !59180
- Bump rspec-rails to 5.0.1. !59194
- Update drone integration UI text. !59231
- Add index on (created_at, web_hook_id) to the partitioned web_hook_logs. !59261
- Add index on web_hook_id to partitioned web_hook_logs. !59266
- Add a foreign key from the partitioned web_hook_logs to web_hooks. !59282
- Bump minimum required Go version for workhorse to 1.15. !59347
- Update UI text for TeamCity integration. !59493
- Remove redundant index from epics. !59494
- Externalize strings in labels/new.html.haml. (nuwe1)


## 13.10.4 (2021-04-27)

### Security (6 changes)

- Prevent tokens with only read_api scope from executing mutations.
- Update mermaid to version 8.9.2.
- Do not allow deploy tokens in the dependency proxy authentication service.
- Disable keyset pagination for branches by default.
- Bump Carrierwave gem to v1.3.2.
- Restrict setting system_note_timestamp to owners.


## 13.10.3 (2021-04-13)

### Security (3 changes)

- Check image content type before running exiftool in workhorse.
- Clean only legitimate JPG and TIFF files.
- Update ruby-saml and rexml gems.


## 13.10.2 (2021-04-01)

### Fixed (1 change)

- Fixed rendering of the image blobs. !57479

### Added (1 change)

- Improve performance for composer v2 clients. !55169


## 13.10.1 (2021-03-31)

### Security (6 changes)

- Leave pool repository on fork unlinking.
- Fixed XSS in merge requests sidebar.
- Fix arbitrary read/write in AsciiDoctor and Kroki gems.
- Prevent infinite loop when checking if collaboration is allowed.
- Disable arbitrary URI and file reads in JSON validator.
- Require POST request to trigger system hooks.

### Removed (1 change)

- Make HipChat project service do nothing. !57434

### Other (3 changes)

- Remove direct mimemagic dependency. !57387
- Refactor MimeMagic calls to new MimeType class. !57421
- Switch to using a fake mimemagic gem. !57443


## 13.10.0 (2021-03-22)

### Security (3 changes)

- Workhorse: prevent escaped router path traversal.
- Workhorse: Stop logging when path is excluded.
- Patch Kramdown syntax highlighter gem.

### Removed (2 changes)

- Remove Remove from board button from board sidebar. !53946
- Remove workaround for icon loading in Chrome 84. !56114

### Fixed (99 changes, 23 of them are from the community)

- Fix button alignment in design management header. !48003
- Updated UI text to match style guidelines. !50383
- Don't close auto suggest select boxes on click if only the mouseup (but not the mousedown) event happened outside the box. !51139 (Simon Stieger @sim0)
- Fix Auto DevOps deploys that use a default branch that's not named 'master'. !53280 (Mitchell Cash @MitchellCash)
- Correct job artifacts API download for expired and locked files. !53567 (Fabio Huser)
- Fix project import error occurring due to default visibility. !53827 (Jonas Wälter @wwwjon)
- Fix relative URL with composer package. !53918
- Cleanup incorrect data in projects.has_external_issue_tracker. !53936
- Fix not skipped manual and delayed DAG jobs. !54073
- Skip orphaned pool repositories on restore. !54112
- Add space next to icons in epic issue list. !54138 (Yogi (@yo))
- Render version dropdowns in MR changes view above tab navbar. !54159 (Simon Stieger @sim0)
- Do not show button to resolve discussion opening an issue when issues are disabled. !54263
- Hide issue count and link in project list for projects with disabled issues. !54275 (Simon Stieger @sim0)
- Handle GlobalIDs with invalid resource names. !54290
- Fix overflowing width - at mention container. !54377
- Update k8s version for EKS cluster. !54389 (Vincent Firmin @winkies)
- React to new DOM nodes being added to the page to bind the user information popover to them. !54411
- move create_release_evidence sidekiq queue out of the cronjob namespace. !54432
- Fix copy to clipboard tooltip button. !54472
- Fix bold text mismatch in MR ⚙ menu. !54531
- Wrap long code lines in markdown. !54540
- Hide repeated trial offers on self-hosted instances. !54550
- Fix bug when snippet blobs array contain a nil value. !54552
- Fix the npm instance level API to exclude subgroups. !54554
- Fix the value of `$CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX` when used in group with a name containing uppercase letters. !54559 (Eric Engestrom @1ace)
- Fixed typo on Two-Factor Authentication page. !54565 (Jani Uusitalo @uusijani)
- Forcibly load OpenSSL::X509::DEFAULT_CERT_FILE. !54569
- Stop scrollbar stretching filtered search box. !54574
- Correctly style Dark Mode application header in profile preferences. !54575 (Simon Stieger @sim0)
- Prevent removal of the last group owner if the last group owner is a blocked user. !54587 (Jonas Wälter @wwwjon)
- Fix style issue with "reply" placeholder textarea in firefox. !54592
- Update batch_loader gem to v2.0.0. !54639
- Fix rendering of projects when the last pipeline changes during rendering. !54651
- Search: Log search.scope for the default scope. !54684
- Fix double scrollbar in ref selector dropdown. !54719
- Fix double scrollbar issue in milestone selector dropdown. !54734
- Skip two factor setup for help pages. !54739
- Fixed diff notes GraphQL mutation not allowing comments on deleted lines. !54801
- Expand left sidebar `Issues` when viewing project iterations. !54815
- Added a missing class to reply placeholder. !54817
- Renamed the second project panel to group. !54834 (Niklas van Schrick @Taucher2003)
- Fix double scrollbars in some dropdowns. !54837
- Fix pipeline notifications for Webex Teams / Unify Circuit integrations. !54852
- Github Importer: Import Pull request "merged_at" attribute. !54862
- Fix UTF-8 characters not working with Azure Blob storage. !54875
- Upgrade gitlab-sidekiq-fetcher for correctly detecting interrupted jobs when Sidekiq pods are restarted. !54881
- Include shared with groups in list of authorized groups. !54894
- Fix `@` autocomplete selecting the loading icon. !54925
- Fix status cache for upstream pipelines. !54937
- Update gitlab-sidekiq-fetcher to 0.5.5 to handle namespaced queues. !55013
- Use gitlab_web_url (if it exists) for issue title links in Issue lists. !55021
- Fix issue with loading the repository compare page. !55058
- Fix argument type for background migration. !55097
- reconcile source installation and upgrade docs. !55170 (Jörg Behrmann @behrmann)
- Sync the maven metadata file upon package deletion through the UI. !55207
- Fix empty field in custom notification events modal. !55313 (Kev @KevSlashNull)
- Fix 500 error for long commit messages. !55320
- Include MRs for merge commits for changelogs. !55371
- GithubImporter: Add Merge request approval only if it does not exists yet. !55376
- Fix assignees search to show only project members. !55396
- Do not break word in the code blocks under Safari. !55405
- Fix typo in pipeline status email. !55412 (Gabriel Berke-Williams)
- Fix inconsistent heading style in email diffs. !55420
- Ensure Project Approvals API casts to boolean. !55492
- Update fog-aws to v3.9.0. !55528
- Handle relative position on issue move or clone. !55555
- Fix horizontal alignment of MR Changes cog menu dropdown checkboxes. !55591
- checks: Skip LFS checks when deleting refs. !55609
- Fix edited timestamp updated when transforming / resolving comments. !55671 (Mycroft Kang @TaehyeokKang)
- Allow saving repository weights after a storage has been removed. !55689
- Resolve project from branch in commit resolver. !55694
- Update validate_url gem. !55706
- Fixes: No such file or directory lib/pager_duty/validator/schemas/message.json. !55725
- Fix fork thumbnail overflow. !55764
- Change terraform_states.locked_by_user_id foreign key to SET NULL. !55813
- Fix invite member modal dropdown checkbox styling. !55832 (Kev @KevSlashNull)
- Reenable OAuth password grants without client credentials. !55873
- Fixed vestigial Anchor links in doc/development/usage_ping/dictionary.md. !55874 (Raimund Hook)
- Fix 'viewed' checkbox in single-file view mode. !55922
- Fix Web Project Export rate limiting scope. !55975
- Remove merge manually message. !56016
- fix stringify empty position object. !56037
- Fix diff comment hidden dropdown. !56072
- Handle RestClient errors in Discord integration. !56112
- Turn off native autocomplete for ref selector components. !56128
- Handle commits without descriptions for changelogs. !56224
- Support maven plugins packaging in the maven metadata sync worker. !56229
- Use gitlab-fog-google instead of upstream fog-google gem. !56245
- Fix styling of "Enabled OAuth sign-in sources" checkboxes. !56254
- Sanitize issue description in search result. !56256
- Fix bug in wiki page destroy API endpoint when an error is raised. !56285
- Correct generated maven repository instruction for Gradle Groovy DSL. !56318 (Cromefire_ (@cromefire_))
- Add labels to GlToggles. !56387
- Fixed error handling GraphQL API when issue board creation fails. !56467
- Hide fork count and link in project list where forks are disabled. !56520 (Simon Stieger @sim0)
- Fix upgrade banner for Jira issues showing on group / instance level integrations. !56628
- Fix tooltips failing to hide in commit graph on Firefox. !56631 (Jonathan Duncan)
- Hide MR count and link in project list where MRs are disabled. (Simon Stieger @sim0)

### Changed (202 changes, 88 of them are from the community)

- Mark `startDate` and `endDate` arguments as deprecated in the GraphQL schema for `Project.milestones` and `Group.milestones` (FOSS and EE), and `Project.iterations`, `Project.milestones`, `Group.epic`, `Group.epics`, `Group.iterations`, `Group.milestones`, `BoardEpic.children`, and `Epic.children` fields (EE-only). Previously these arguments were marked as deprecated only in their descriptions. !45229
- Improve Linked Issues Usability. !50879 (Andrew Minion)
- Make new issue title look like wiki. !50940 (Jacopo Beschi @jacopo-beschi)
- Introduce WebIDE as an extension for Editor Lite. !51527
- Update LaTeX Docker image in CI Templates to TexLive 2020. !52043 (Michael Schmitt @schmitmd)
- Allow creation of iterations in the past. !52403
- Allow overlapping iteration dates with ancestor group iterations and restrict dates overlapping for iterations within same group. !52403
- Send gitlab_standard context with events from the frontend. !52959
- Prefill first multiline commit message for new MRs. !52984 (Max Coplan @vegerot)
- Auto-enable admin mode on privileged environments. !53015 (Diego Louzán)
- Add loading indicator to "Update username" button in account settings. !53142 (Kev @KevSlashNull)
- Replace btn-primary with btn-confirm in Start your free trial button. !53215 (Yogi (@yo))
- Update project page buttons to conform to design system. !53260
- Lift the NPM package naming convention for the project level API. !53266
- Adds ability to have multiple cache per job. !53410
- Improve Jira connect app styling and i18n. !53441
- Restyle the repository compare show page. !53523
- API: include external users in user search for non-admins. !53584 (Jonas Wälter @wwwjon)
- Record onboarding action for issue creation. !53611
- Merge Sentry's contexts into Gitlab::ApplicationContext. !53691
- Add divergedFromTargetBranch field to MergeRequestType to indicate the target branch has diverged from the source branch. !53759
- Provide name of expiring token in personal access token expiration mail. !53766
- Convert merge request widget state to use GraphQL. !53846
- Sidebar confidentiality component updates in real-time. !53858
- Add creator to custom emoji. !53879
- Migrate namespaces delayed_project_removal to namespace_settings. !53916
- Add name field to cluster agent token. !53920
- Apply new GitLab UI for request email button. !53966 (Yogi (@yo))
- Add support for ETag caching when using GraphQL. !53978
- Allow anonymous access to public Conan packages. !54047 (Steve Mokris @smokris)
- Make the Geo OAuth application trusted by default. !54079
- Add description field to cluster agent token. !54091
- Project Settings CI/CD headers expand/collapse on click / tap. !54114 (Daniel Schömer)
- Project Settings CI/CD Variables header expands/collapses on click / tap. !54117 (Daniel Schömer)
- Add Role and Rolebinding for CiliumNetworkPolicies. !54130
- Add btn-default and remove extra right margin. !54134 (Yogi (@yo))
- Update user avatar in sidebar realtime. !54135 (Yogi (@yo))
- Remove illustration in export/import CSV modal. !54136 (Yogi (@yo))
- Update to btn-confirm and align subscription banner. !54137 (Yogi (@yo))
- Remove service desk issue prefix. !54140 (Lee Tickett @leetickett)
- Apply new GitLab UI for learn more button in time tracking. !54142 (Yogi (@yo))
- Apply new GitLab UI for apply template button in new issue. !54143 (Yogi (@yo))
- Remove gl-overflow-scroll in merge instructions modal. !54144 (Yogi (@yo))
- Align merge conflict warning text to center. !54145 (Yogi (@yo))
- Deprecate instanceStatisticsMeasurements in favor of usageTrendsMeasurements GraphQL field. !54153
- Web IDE disallow commit when project has 'reject unsigned commits' rule. !54166
- Add space next to download icon in download artifacts button. !54228 (Yogi (@yo))
- Convert IDE nav form tab to GlTab. !54274
- Add btn-icon class for commit action buttons. !54286 (Yogi (@yo))
- Convert Threat Monitoring environment picker to GlDropdown. !54309
- Allow importing groups as new top-level groups. !54323
- Show user follow button first instead of center. !54326 (Yogi (@yo))
- Update 'Get Started with CI/CD' button with latest URL. !54344
- Log individual user usage of Slack service. !54347
- Add duration and finishedAt GraphQL fields to jobType in the CI namespace. !54358
- Show icon next to reviewers who have approved. !54365
- Add btn-icon for buttons in pipeline schedules. !54426 (Yogi (@yo))
- Restore Sentry functionaly to the frontend. !54441
- Github Importer: Validate repository size before importing. !54449
- Allow search for pipeline by SHA as well as IID via GraphQL. !54471
- Change default API content_type to JSON. !54479
- Added environment details to Job Hook and Pipeline Hook. !54480 (AdrianLC)
- GraphQL: Expose Label "created_at" and "updated_at". !54487
- Move CI_CONFIG_PATH as project variable and deprecate CI_PROJECT_CONFIG_PATH. !54498
- Registry: make delete icon buttons secondary. !54545
- Add GlToggle label in edit feature flag. !54546 (Yogi (@yo))
- Add GlToggle label in sidebar subscription toggle. !54548 (Yogi (@yo))
- Refine Registry Lists and Search Bar UI. !54549
- Remove outdated ci db columns. !54564
- BulkImports: Avoid import ProjectLabels in the Group import level. !54580
- Update default title of alerts to New: Alert. !54621
- Clear Environment Search in CI/CD Variables. !54626
- Only show 2FA badge to project maintainers and group owners. !54646
- Enable pages_serve_with_zip_file_protocol by default. !54650
- Auto-scroll to top of page upon committing in pipeline editor. !54657
- Remove Expiration Policy text from container registry header. !54665
- Reduce elements in Pipeline page dropdowns with lazy. !54674
- BulkImports: Import Label timestamps. !54678
- Improve at.js members autocomplete matching. !54681
- Use Root Image for images with missing name. !54693
- Change the order of action buttons in the configure feature flags modal. !54731
- Remove deprecated button variant in groups, projects and snippets. !54747 (Yogi (@yo))
- Add selected state for ellipsis button in a commit. !54754 (Yogi (@yo))
- Apply new GitLab UI for button in promotion link. !54755 (Yogi (@yo))
- Apply new GitLab UI for buttons in empty label placeholder. !54760 (Yogi (@yo))
- Add selected state for diff view in commit page. !54762 (Yogi (@yo))
- Add selected state for chart button in vulnerabilities dashboard. !54763 (Yogi (@yo))
- Add btn-default class for settings toggle button. !54764 (Yogi (@yo))
- Apply new GitLab UI for badge in runners list. !54766 (Yogi (@yo))
- Better error message when import fails due to backend validation. !54827
- Moved CODEOWNERS tip into approvals Vue app. !54830
- Add a new project feature called container_registry. !54831
- Relax tag requirements when generating changelogs. !54832
- Regroup alerts integration form into tabs. !54842
- Reverts default sort order for Explore Projects to Last updated. !54879
- Fix DOS on Math blocks. !54898
- Added non-null constraint to terraform state name. !54940
- Remove MergeRequestAssigneesMigrationProgressCheck background migration. !54943
- Adjust text explaining content of Operations menu from visibility section of project settings. !54963
- Use info colour for merged search results instead of primary. !55008
- Update button variant to confirm on integration settings page. !55017
- Allow `$CI_JOB_TOKEN` to access the "Download a single artifact file" endpoints of the Jobs Artifacts API. !55042 (Eric Engestrom @1ace)
- Ignore prerelease tags when generating changelogs. !55065
- Rename comment form textarea label to `Comment`. !55088
- Add runners api context metadata. !55089
- Reschedule artifact expiry backfill. !55093
- Small visual updates to Git ref selector dropdown on New/Edit Release page. !55121
- Group integration settings buttons to the left. !55139
- Optimize Metrics Dictionary. !55145
- Show nested environments when change tab, page. !55167
- Move to btn-confirm in app/views/devise directory. !55200 (Yogi (@yo))
- Move to btn-confirm in app/views/shared/empty_states directory. !55203 (Yogi (@yo))
- Change the button to Primary Blue. !55204 (Yogi (@yo))
- Update button to btn-confirm on merge requests page. !55218
- Add empty state to pipeline editor section. !55227
- Project Settings Repository Default branch header expand/collaps on click. !55228 (Daniel Schömer)
- Project Settings Repository Mirroring repositories header expands/collapses on click / tap. !55229 (Daniel Schömer)
- Project Settings CI/CD Variables header expands/collapses on click / tap. !55230 (Daniel Schömer)
- Project Settings Repository Protected tags header expands/collapses on click / tap. !55231 (Daniel Schömer)
- Project Settings Repository Cleanup header expands/collapses on click / tap. !55232 (Daniel Schömer)
- Project Settings Repository Deploy tokens header expands/collapses on click / tap. !55233 (Daniel Schömer)
- Project Settings Repository Deploy keys header expands/collapses on click / tap. !55234 (Daniel Schömer)
- Collapse deployments in merge request if many. !55239
- Move to btn-confirm from btn-success in abuse_reports folder. !55262 (Yogi (@yo))
- Move to btn-confirm from btn-success in admin application_settings directory. !55263 (Yogi (@yo))
- Move to btn-confirm from btn-success in admin/appearances directory. !55264 (Yogi (@yo))
- Move to btn-confirm from btn-success in admin/applications directory. !55265 (Yogi (@yo))
- Move to btn-confirm from btn-success in admin/broadcast_messages directory. !55266 (Yogi (@yo))
- Move to btn-confirm from btn-success in admin/deploy_keys directory. !55267 (Yogi (@yo))
- Move to btn-confirm from btn-success in admin/groups directory. !55268 (Yogi (@yo))
- Move to btn-confirm from btn-success in admin/hooks directory. !55272 (Yogi (@yo))
- Move to btn-confirm from btn-success in admin/labels directory. !55273 (Yogi (@yo))
- Move to btn-confirm from btn-success in admin/projects directory. !55274 (Yogi (@yo))
- Move to btn-confirm from btn-success in admin/serverless directory. !55275 (Yogi (@yo))
- Move to btn-confirm from btn-success in admin/users directory. !55276 (Yogi (@yo))
- Move to btn-confirm from btn-success in views/doorkeeper directory. !55277 (Yogi (@yo))
- Move to btn-confirm from btn-success in groups/milestones directory. !55278 (Yogi (@yo))
- Move to btn-confirm from btn-success in groups/settings directory. !55281 (Yogi (@yo))
- Move to btn-confirm from btn-success in groups directory. !55282 (Yogi (@yo))
- Move to btn-confirm from btn-success in views/import directory. !55291 (Yogi (@yo))
- Move from btn-success to btn-confirm in shared/access_token directory. !55298 (Yogi (@yo))
- Move from btn-success to btn-confirm in shared/deploy_keys directory. !55299 (Yogi (@yo))
- Move from btn-success to btn-confirm in shared/deploy_tokens directory. !55300 (Yogi (@yo))
- Move from btn-success to btn-confirm in shared/gitpod directory. !55301 (Yogi (@yo))
- Move from btn-success to btn-confirm in shared/groups directory. !55302 (Yogi (@yo))
- Move from btn-success to btn-confirm in shared/issuable directory. !55303 (Yogi (@yo))
- Move from btn-success to btn-confirm in shared/labels directory. !55304 (Yogi (@yo))
- Bump swagger-ui-dist to 3.44.1. !55310 (Roger Meier)
- Move from btn-success to btn-confirm in shared/members directory. !55315 (Yogi (@yo))
- Move from btn-success to btn-confirm in shared/wikis directory. !55316 (Yogi (@yo))
- Move from btn-success to btn-confirm in shared directory. !55317 (Yogi (@yo))
- Remove suggestions custom commit feature flag. !55344
- Use policies for group access rights as admin. !55349 (Diego Louzán)
- Increase contrast of Solarized Light in Web IDE. !55361
- Enable `trace_memory_allocations` by default. !55369
- Expose project access token value with create API. !55408
- Allow alert to link to incidents. !55426
- Send notifications to subscribers when merge request draft status removed. !55444
- Show number of files in snippet lists. !55452
- Use CodeQuality packaged with CodeClimate 0.85.23 by default in CI template. !55508
- Simplify notifications dropdown. !55522
- Improve Marginalia comments for API. !55564
- Clarify epic delete warning. !55574
- Exclude duplicates from emails on push recipients. !55588
- Move IDE routes to Rails. !55597
- Update cluster agent tokens with null names. !55673
- Expand nested stopped environments. !55676
- Add fields to BulkImports::Tracker for concurrent work. !55686
- Move to confirm variant from success in 2fa codes component. !55729 (Yogi (@yo))
- Move to confirm variant from success in badges component. !55730 (Yogi (@yo))
- Add Gradle instructions and instruction selector to package details. !55738
- Update text for email config under Incidents in Settings > Operations. !55753
- Display suite errors on test summary page. !55770
- Alert integrations UX cleanup. !55786
- Remove project_transactionless_destroy feature flag. !55795
- Update code owner approval tooltip message. !55842
- Sort milestones within autocomplete dropdown. !55850
- Adjust debug button icon size in job detail page. !55886
- Link fields to types in GraphQL reference documentation. !55901
- Remove `vue_project_members_list` feature flag. !55902
- Public generic packages can now be accessed by developer, guest and anonymous users. !55978 (Mathieu Parent)
- Port essential database metrics to Sidekiq. !56005
- Add API Fuzzing to Security Configuration page, and re-order scanners. !56022
- Add last_used_at field to cluster agent token. !56023
- Change the default batch_class_name for batched_background_migrations to the unqualified class name. !56036
- Improve styling of user access role badges. !56061
- Temporary make `GC.compact` no-op. !56079
- Move to btn-default and selected class in toggle comment button. !56090 (Yogi (@yo))
- Apply new GitLab UI for buttons in GitLab Import page. !56095 (Yogi (@yo))
- Apply new GitLab UI for buttons on GitHub Import page. !56096 (Yogi (@yo))
- Move to confirm variant from success in environments directory. !56203 (Yogi (@yo))
- Move from btn-success to btn-confirm in clusters directory. !56205 (Yogi (@yo))
- Remove security & compliance config page feature flag. !56219
- Display in progress for pipeline duration cell when pipeline has not finished running. !56266
- Add project_id to pipeline api. !56339
- Move from btn-success to btn-confirm in milestones directory. !56342 (Yogi (@yo))
- Move from btn-success to btn-confirm in mirrors directory. !56343 (Yogi (@yo))
- Move from btn-success to btn-confirm in pages directory. !56348 (Yogi (@yo))
- Move from btn-success to btn-confirm in pages_domains directory. !56349 (Yogi (@yo))
- Consume check if user is bot from Users API. !56362
- Hide archived projects from group boards project select dropdown. !56452
- Update mailroom to v0.0.9. !56592

### Performance (32 changes)

- Limit Project Authorizations refresh for shared groups only to direct members of the group being shared with. !51869
- Remove unneeded transitions on MR for mark_as_unchecked event. !53537
- Preload certain data used in the updating of a merge request. !53802
- Enable codequality report comparison with backend. !54241
- Add preload attribute to markdown videos. !54350
- Improve pull mirroring performance. !54353
- Remove coverage_data_new_finder feature flag. !54486
- Improve performance of builds queuing by introducing a limit on the queue depth. !54579
- Added composite index to epic_issues table and improved performance of loading bigger epic roadmaps. !54677
- Consider only distinct user ids for project authorizations refresh jobs for group members. !54697
- Improve performance of validations when a group has a lot of runners. !54774
- Hardened "add" arithmetic for usage data. !54794
- Harden added metrics. !54805
- Cache /search/count requests in the browser. !55036
- Use recursive approach to query all projects for a namespace. !55043
- Fix N+1s related to per-build metadata lookups. !55053
- Fetch build one-by-one. !55194
- Improve build contention. !55202
- Move branch deletion on merge to async worker. !55390
- Improve performance of manual pipeline form by limiting the refs loaded on page load. !55394
- Fix N+1 queries in api/v3/repos/:namespace/:project/events endpoint. !55442
- Refactor blame view. !55488
- Reduce queries when ticking runner queue. !55496
- Shortcircuit expensive queries in Runner#can_pick?. !55518
- Preload runner tags for `UpdateBuildQueueService`. !55543
- Batch-load vulnerability findings by UUID. !55642
- Improve a11y of the new project form by marking required fields. !55682
- Reduce DB load when resetting CI minute notifications. !55765
- Remove latest_builds_report_results preloading in pipeline serializer. !56181
- Optimize branch commit resolution. !56204
- Use `Namespace#all_projects` for NPM package finder. !56415
- Project sharing to use specialized worker to calculate project authorizations. !56606

### Added (91 changes, 11 of them are from the community)

- Add setting to control merge when pipeline succeeds notification. !37880 (Ravishankar)
- Adds Request CVE ID button to issue sidebar. !41203
- convert to GlTabs in app/assets/javascripts/ide/components/repo_tabs.vue. !42162 (Brandon Everett)
- Add invite_email Quick Action. !49264 (Lee Tickett)
- Add API endpoint for fetching a single job by CI_JOB_TOKEN. !51727 (ahmet2mir)
- Add API endpoint for deleting stale review envs. !52224
- Add active period columns to on-call rotations. !52998
- Add user preference to turn off selected text keystroke formatting. !53079
- Display success message after successfully adding a namespace in Jira Connect. !53332
- Add groups endpoint for Projects API. !53642
- Add suppport for an end time on on-call rotations. !53675
- Replace scss with stylelint in documentation. !53700
- Add composer cache rake task. !53772
- Limit the payload size of Sidekiq jobs before scheduling. !53829
- Expose `failure_reasons` in `Build#features`. !53964
- Create ExternalApprovalRule table and associations. !54002
- Jira Connect app: add ability to select namespace from list of available namespaces. !54037
- Expose container_registry_image_prefix to project API. !54090 (Mathieu Parent)
- Default confidentiality of replies. !54122 (Lee Tickett @leetickett)
- Add environment to custom CI_JOB_JWT claims. !54168
- Make `to` in the changelog API optional. !54229
- Add API endpoint /application/plan_limits for package file size limits. !54232 (Jonas Wälter @wwwjon)
- Add pagination of file diffs when viewing a large commit. !54236
- Add internal and external URL config for KAS. !54260
- Add Azure ActiveDirectory v2 OmniAuth provider. !54265
- Add application setting for enabling in-product marketing emails. !54324
- Enable customize homepage banner by default. !54357
- Expose epic board list collapsed value via GraphQL. !54541
- Implement passing trigger payload into pipeline variable. !54544
- Support "view_diffs_file_by_file" param in the Users create and update API. !54595
- Add GraphQL mutation to create release asset link. !54605
- Create tables to track auto-batched background migrations. !54628
- Create system note on alert when its auto-resolved via alert integration. !54645
- Add package list to group graphql type. !54672
- Add Import options to projects and groups dropdown. !54749
- Add mutation to accept merge requests. !54758
- Add Operating System details to usage ping. !54778
- Add is_removed column on Oncall Participant model. !54779
- Add reviewers detail to new merge request email. !54781
- Add wiki_size and storage_size to NamespaceStatistics. !54786
- Add branch_name to dast_profiles table. !54891
- Support composer v2 metadata-url. !54906
- Bump auto-deploy-image tag in Deploy.latest.gitlab-ci.yml to v2.6.0, which includes changes to ciliumnetworkpolicies. !54983
- Add CI_JOB_STARTED_AT and CI_PIPELINE_CREATED_AT variables. !54989 (Vincent Firmin @winkies)
- Add styling to de-emphasize nested test reports in merge requests. !55001
- Display parsing errors in test reports MR widget. !55037
- Add user callouts to GraphQL. !55099
- Add 'Followed User Activity' as dashboard user choices. !55165 (Benj Fassbind @randombenj)
- Improve Vulnerability Tracking: Store Fingerprints. !55173
- Cleanup invite_members_version_a experiment. !55178
- Incident management: add issue state to alerts table. !55185
- Document propagate_correlation_id configuration for GitLab Pages. !55205 (Ercan Ucan @ercan.ucan)
- Add Allow force push option to Protected branches. !55261 (Mycroft Kang @TaehyeokKang)
- Add a background migration to copy projects.container_registry_enabled to project_features.container_registry_access_level. !55327
- Add trigger support for matrix jobs. !55348
- Add more explanation about the presented data and show the last updated time on the DevOps Score page. !55357
- Query group projects by ids with GraphQL. !55383
- Allow users to work on non-default branch in pipeline editor. !55413
- Add reviewers detail to merge when pipeline succeeds email. !55463
- Implement needs:job:optional for CI pipelines. !55468
- Add tier column to the environments table. !55471
- Add DORA daily metrics modeling. !55473
- Add setting to control Rails.application.config.hosts. !55491
- Ignore reverted commits when generating changelogs. !55537
- Add reviewers detail to merge request unmergeable email. !55582
- Add reviewers detail to merge request status email. !55584
- Add reviewers detail to merged merge request email. !55589
- Add reviewers detail to text version of closed merge request email. !55594
- Add client_id to application context. !55683
- Allow release to be created on existing tag through the UI. !55697
- Add index for pages migration. !55757
- Remove improved_merge_diff_highlighting feature flag. !55771
- Usage ping: Histogram for enabled integrations per project. !55782
- Add Pages cache configuration settings. !55812
- Add package and quickaction metrics to Metrics Dictionary. !55846
- Enable serving GitLab Pages sites migrated to zip storage. !55847
- Log large multipart messages from Rack. !55933
- Add update GraphQL mutation for Oncall Rotations. !55955
- Cache open issues count in group sidebar. !55968
- Add the ability to cherry pick accross forks. !55970
- Migrate group milestones when using Bulk Import. !55981
- Introduce `info` column for the `security_scans` table. !55983
- Support environment deployment tier. !56081
- Add Prometheus metrics for ActionCable subscription events. !56157
- Add reviewers detail to new mention in merge request email. !56184
- Add more settings to group MR approval settings. !56215
- Automatically retarget merge requests upon merge (default on). !56233
- Add section headers for the test report widget on the merge request page. !56252
- Add GraphQL mutation to update existing release asset link. !56265
- Upgrade Pages to v1.36.0. !56295
- Add plan limit for Terraform Module package file size. !56414

### Other (74 changes, 9 of them are from the community)

- Add a confirmation prompt to lock and unlock path locks. !44849
- Recalculate UUID for all Vulnerability::Findings. !47529
- Use Created instead of opened when describing issue creation. !49478
- Removes collect_package_events_redis feature flag. !49897
- Fix a crash when logging in using SAML for the first time when sign-ups are disabled. !50216
- Add iterations_cadences table and respective model. !50707
- Migrated Bootstrap dropdown to GitLab UI GlDropdown used for comment submit button. !50933
- Rename indexes to remove inconsistencies. !51011
- Notify issue email participants instead of external author. !51023 (Lee Tickett @leetickett)
- Remove usage_data_i_source_code_code_intelligence flag. !51765
- Apply GitLab UI button styles to buttons in ee/app/views/subscriptions/groups directory. !51784 (Yogi (@yo))
- Updated UI text to match style guidelines. !53179
- Update the Sign In button to use the new confirm button variant, migrate OAuth buttons to use the default variant of GlButton. !53254
- Apply new GitLab UI for button is project settings/repository page. !53346 (Yogi (@yo))
- Add btn-default class for edit buttons in admin projects and groups. !53453
- Add btn-default for cancel button in issueable form. !53458 (Yogi (@yo))
- Set MobSF version to 3.2.9 in SAST template. !53545
- Move add reaction button of note to gl-button. !53565 (Yogi (@yo))
- Improve Service Desk empty states. !54006
- Spell "npm" with lowercase letters in Package Registry UI. !54163 (Simon Stieger @sim0)
- Replace import/export CSV modal with Vue component. !54214
- Add quick action data to usage ping. !54293
- Add documentation for graphQL queries. !54302
- Add NOT NULL constraint to gitlab_subscriptions namespace_id. !54319
- Update accessibility of the "Reply to discussion" UX. !54380
- Remove temporary index on issues. !54387 (Lee Tickett @leetickett)
- Add Vue notifications dropdown component. !54422
- Move wiki helper alert to Vue. !54517
- Composer cache update worker. !54551
- Fix setting default cadences migration. !54598
- Update protected branches buttons to pajamas style. !54612
- Dry up notes build service spec. !54632 (Lee Tickett @leetickett)
- Updating general Chef .gitlab-ci.yml template. !54676
- Enable `nakayoshi_fork` by default. !54688
- Remove backup_labels table. !54856
- Update GitLab Runner Helm Chart to 0.26.0. !54863
- Add notification templates for merge request draft/WIP status change events. !54870
- Remove pipeline editor feature flag. !54971
- Remove graphql_logging feature flag. !54984
- Add tracking to merge request time estimate/spent changes. !55046
- Track usage pings when MR gets locked/unlocked. !55069
- Deemphasize comment and close button. !55075
- Log Optimistic Locks with retries. !55187
- Add environment_scope column to ci_group_variables. !55256
- Align heading style with subheadings in markdown. !55284
- Restore accidental changes to structure.sql. !55352
- Show API errors when a command-only comment fails. !55457
- Remove dashboard_pipeline_status feature flag. !55472
- Add tracking to merge request labels/milestone changes. !55484
- Add tracking to merge request assignees/reviewers changes. !55486
- Remove unique index and add composite key index to Security Orchestration. !55521
- Fix Sidekiq system check for cluster mode. !55530 (Horst Prote)
- Rename vulnerability fingerprints indexes. !55552
- Refactor docs and UI for embedding Grafana panels. !55567
- Remove the optimized_merge_request_count_with_merged_at_filter feature flag. !55600
- Add histogram for optimistic lock retries. !55614
- Replace Bootstrap popover with GitLab UI popover for merge conflict. !55652
- Use more common help icon in security report MR widget. !55741
- Schedule removal of duplicate Findings. !55749
- Update spacing between Notifications dropdown, New Subgroup button, and New Project buttons while using the new confirm variant instead of the deprecated success variant for the New Project button. Better left alignment of Notifications dropdown at smaller breakpoints. variant. !55819
- Update buttons on a job page to conform to the Pajamas design system. !55858
- Add web_hook_logs partitioning migration. !55938
- Updating usage dictionary generator. !55956
- Reorder user profile actions and use the confirm variant for the follow button. !55999
- Link to the merge request in its creation email notification. !56064
- Update UI text to CI/CD from CI / CD. !56070
- Harden Prometheus client usage data wrapper. !56210
- Update Pages template examples to default branch. !56298
- Update CI template examples to default branch. !56301
- Update templates to refer to default branch. !56304
- Remove bottom border from header. !56315
- Remove merge_request_rebase_nowait_lock flag. !56406
- Update mobsf version in the SAST template. !56413
- Convert mattermost alert to pajamas. !56556


## 13.9.7 (2021-04-27)

### Security (6 changes)

- Prevent tokens with only read_api scope from executing mutations.
- Update mermaid to version 8.9.2.
- Do not allow deploy tokens in the dependency proxy authentication service.
- Disable keyset pagination for branches by default.
- Bump Carrierwave gem to v1.3.2.
- Restrict setting system_note_timestamp to owners.


## 13.9.6 (2021-04-13)

### Security (2 changes)

- Clean only legitimate JPG and TIFF files.
- Update ruby-saml and rexml gems.


## 13.9.5 (2021-03-31)

### Security (6 changes)

- Leave pool repository on fork unlinking.
- Fixed XSS in merge requests sidebar.
- Fix arbitrary read/write in AsciiDoctor and Kroki gems.
- Prevent infinite loop when checking if collaboration is allowed.
- Disable arbitrary URI and file reads in JSON validator.
- Require POST request to trigger system hooks.

### Removed (1 change)

- Make HipChat project service do nothing. !57434

### Other (3 changes)

- Remove direct mimemagic dependency. !57387
- Refactor MimeMagic calls to new MimeType class. !57421
- Switch to using a fake mimemagic gem. !57443


## 13.9.4 (2021-03-17)

### Security (1 change)

- Patch Kramdown syntax highlighter gem.


## 13.9.3 (2021-03-08)

### Fixed (4 changes)

- Upgrade gitlab-shell to v13.17.0. !55295
- Update Kroki to fix Wavedrom graphs. !55659
- Fix disabling of Kroki optional formats. !55665
- Rename asset_proxy_allowlist column. !55884


## 13.9.2 (2021-03-04)

### Security (6 changes)

- Bump thrift gem to 0.14.0.
- Allow only owners to manage group variables.
- Do not store marshalled sessions ids in Redis.
- Fix XSS in wiki author email and name.
- Workhorse: prevent escaped router path traversal.
- Fix XSS vulnerability for swagger file viewer.


## 13.9.1 (2021-02-23)

### Fixed (6 changes, 1 of them is from the community)

- Send SIGINT instead of SIGQUIT to puma. !54446 (Jörg Behrmann @behrmann)
- Reset description template names cache key to reload an updated templates structure. !54614
- Restore missing horizontal scrollbar on issue boards. !54634
- Fix keep latest artifacts checkbox being always disabled. !54669
- Fix Metric tab not showing up on operations page. !54736
- Fix S3 object storage failing when endpoint is not specified. !54868

### Changed (1 change)

- Updates authorization for linting endpoint. !54492

### Performance (1 change)

- Fix N+1 SQL regression in exporting issues to CSV. !54287

### Other (1 change)

- Fix creating the idx_on_issues_where_service_desk_reply_to_is_not_null index before the post migration. !54346


## 13.9.0 (2021-02-22)

### Security (1 change)

- Add token_with_iv table.

### Removed (4 changes)

- Remove implicit FF check on `Featurable`. !52223
- Remove merge_request_reviewers feature flag. !52468
- Removed unused Text dropdown. !53464
- Remove legacy alerts service data and table. !53534

### Fixed (131 changes, 29 of them are from the community)

- Allow to retrieve all jobs for a given pipeline. !48589 (Alexander Kutelev)
- Include submodule information for files in diff metadata. !50346 (Simon Stieger @sim0)
- Fix "Stay on Page" alert showing in empty snippet. !50400 (Kev @KevSlashNull)
- Add css to fix fluid layout for index file. !50626
- Make System OAuth app index table responsive and externalize text. !50979 (Kev @KevSlashNull)
- Prevent long variable names from overflowing the popover in CI/CD settings. !51018 (Kev @KevSlashNull)
- Fix long CI variable name overflows on origin. !51021 (Kev @KevSlashNull)
- Fix breadcrumb dropdown on mobile being too narrow. !51092 (Kev @KevSlashNull)
- Show correct ref name in code coverage statistics header. !51385 (Andreas Schmidt)
- Change Jira Connect update sequence id to use Unix Time. !51697
- Fix batch query issue when primary key is -1. !51716
- Allow versionless maven-metadata.xml file duplicates even when maven duplicates are disabled. !51758
- Fix comment form dropdown check alignment. !51787 (Lee Tickett @leetickett)
- Schedule artifact expiry date backfill background jobs. !51822
- Fix alignment and font issues in project operations settings page. !51825 (Yogi (@yo))
- Fix broken testsuite link if the suite contains a dot. !51828 (Michael Aigner @tonka3000)
- Move Social connect button to new GitLab UI. !51835 (Yogi (@yo))
- Fix border bottom color collapsed replies. !51871 (Yogi (@yo))
- Fix alignment of chevron-down icon in toggle replies. !51872 (Yogi (@yo))
- Remove container_class in project activity which removes extra padding. !51878 (Yogi (@yo))
- Add btn-default to MR edit button. !51879 (Yogi (@yo))
- Remove duplicates from related_commit_sha query. !51888
- Add btn-default class to button in project breadcrumb. !51910 (Yogi (@yo))
- Fix top border-radius of the login box. !51950 (Yogi (@yo))
- Improve duplication validation on Release Links. !51951
- Update Project/Group Exporter temp folder cleanup. !51969
- Migrate incorrect value stream group stage records. !51975
- Fixed notes polling incorrectly overwriting suggestions in the DOM. !51988
- Global Search - Project Filter sets Group. !52015
- Fix Y axis units of pipeline charts when values are small. !52024
- Apply new GitLab UI for report abuse button. !52049 (Yogi (@yo))
- Fix gitlab:cleanup:orphan_job_artifact_files rake task limit. !52056
- Remove extra border-top on pipeline quota in the settings page. !52059 (Yogi (@yo))
- Disable board configuration options for users without edit permission. !52077
- Fixed merge requests locked status not showing. !52078
- Fix reply box border on diffs. !52084
- Fixed sdiff suggestions not working when replying to comments. !52100
- Allow multiple comments on diff lines in inline view. !52111
- Breaking change: Prevent mutual recursion in GraphQL Package. !52131
- Update hamlit to v2.14.2. !52177
- Fix pipeline and stage show success without considering bridge status. !52192 (Cong Chen @gentcys)
- Update GitLab Workhorse to v8.61.0. !52195
- Scope milestones on swimlane boards to project and its ancestors. !52199
- Fixes GraphQl merge request types commits count. !52218
- Fix URL in JiraConnect feature flag serializer. !52221
- Allow user SSH public key endpoint to be publicly accessible again. !52227
- Update max number of NuGet packages returned. !52265
- Fix bug branch change with line selected. !52285
- Resolve User cannot merge an issue. !52311
- Fix Net::HTTP proxy encoding username and password. !52368
- Correct the egress 'deny all' policy preview from Allow to Deny. !52370
- Missing action prop on group page. !52379
- Improve search filter by taking space in file path into account. !52392
- Remove space next to the icon in email button on admin/users page. !52451 (Yogi (@yo))
- Fix assignee avatar alignment in edit board modal. !52453 (Yogi (@yo))
- Remove extra margin below tab on project template page. !52454 (Yogi (@yo))
- Fix retry option does not work in Merge Trains. !52463
- Fix action button alignment for application inside the table in oauth/applications. !52465 (Yogi (@yo))
- Fix viewing blobs for broken MRs. !52483
- Fix bug in personal snippet thread discussions. !52490
- Fix exclude path for backup rsync command. !52503
- Make CI Icon in merge request pipeline detail consistent with other widget icons. !52516
- Make text on Repository Cleanup page translatable. !52529
- Fix charts sometimes being hidden on milestone page. !52552
- Fix diff discussions rendering on the wrong side. !52579
- Add tooltips to requirement import and export buttons. !52582 (Kev @KevSlashNull)
- Allow dots in label names through REST API. !52591
- Fix tooltip when drag comment selection is enabled. !52595
- Allow Environment Scopes to Wrap on Feature Flags Table. !52617
- Allow cross-origin requests on /oauth/token. !52641
- Show more appropriate error message when merging fails. !52671
- Handle IPv6 hostname in ExternalHTTP instrumenter. !52691
- Remove MR List counts if they cannot be generated. !52698
- API: do not mangle dots when creating project with a name. !52725
- Fix size of group member user status emoji. !52730
- Fix bad request error when applying suggestions. !52735
- Update the database when moving repos between identical storages. !52743
- Don't expose project existence by redirecting from its .git URL. !52818
- Fill default commit message values in the placeholder instead of showing the variable slugs. !52851
- Make LifecycleEvents exceptions to be fatal. !52881
- BulkImports: avoid infinity recursion on group migration. !52931
- Fix to show auditor badging in admin user view. !52943
- Fix empty pipeline analytics charts when time_zone is non-UTC. !52971
- Fix fullscreen mode not working for comments in merge request changes view. !53009 (Simon Stieger @sim0)
- Fix formatting of "to do" in alert sidebar and error. !53037
- Change to-do formatting in Design error messages and sidebar. !53040
- Fix opensearch for anonymous users. !53056
- Allow HEAD requests for read_api and read_user scope tokens. !53088
- Adjust job report artifacts downloads to handle multiple types. !53141
- Fixed discussions on merge request commits not showing. !53143
- Send only latest jobs in pipeline webhook payload. !53159
- Fix snippet repository storage move API when snippet does not exist. !53211
- Use user-provided timestamp when updating issue and merge request milestones, iterations, and weights using the API. !53237
- Switch to correct localization function that strips namespaces. !53244
- Fix welcome page alignment on CE. !53265
- Fixes broken password reset link in account deletion message. !53274
- Support multi-line string variable values when running a manual pipeline in the UI. !53292
- Support fog-aws host options for Workhorse S3 client. !53326
- Vertically centre CI icons on pipeline page. !53427
- gitaly: Fix access checks with transactions and quarantine environments. !53449
- Back Button now switches to last active analytics tab. !53495
- Conditionally render test case file. !53497
- Remove dependency_proxy_manifests records with content_type to prevent Dependency Proxy failures. !53506
- Ensure note is promoted to discussion within reply create transaction. !53542
- Allow users to fork to a group when their personal namespace is full. !53632
- Fix some image diff URLs with special characters causing the diff to not show. !53638
- Adds only_group_labels and include_ancestor_labels and include_descendant_groups arguments to the project and group labels resolvers respectively. !53639
- Fix misalignment of assignee dropdown checkmark. !53664
- Fix timeouts affecting certain test webhooks. !53676
- Fix missing known usage data event. !53729
- Align note actions icons. !53753 (Claudius Ellsel (@clel))
- Fix left margin of Merge button in FF merge mode. !53756
- Fix spurious not-adjacent error when moving designs. !53771
- Cleanup incorrect data in projects.has_external_wiki. !53790
- Update column 'updated_at' in container after repository storage move. !53821
- Add post migration to backfill projects updated at after repository move. !53845
- Fix Web IDE open MR to show opened files consistently. !53927
- Removed ugly border around ellipsis dropdown Gitlab IDE. !53963 (Shubham Kumar @imskr)
- Fix bug rendering snippet activity. !53993
- Handle severity for generic payloads more gracefully. !53999
- Fix gap in tree table header. !54025
- Move GMA user badging in admin to EE only. !54125
- Fix alignment of 'Rebase in progress' label. !54189
- Fix incorrect breadcrumb path for import groups page. !54211
- Update Sample GitLab Project Template with MR conflicts fix. !54248
- Fix search functionality in Jira issues list. !54312
- Fix force-routing to Gitaly primary with empty hook env. !54317
- Fix pipeline test report not rendering when missing properties. !54363
- Safe guard repo compare when data is undefined. !54371
- Fix unneeded left margin in discussion filter container on mobile. !54379
- Fix overflowing design buttons on mobile. !54381

### Deprecated (1 change)

- Deprecate GitLab-managed (v1) apps that will be removed in 14.0. !54162

### Changed (107 changes, 16 of them are from the community)

- Migrate button to gitlab ui in note form. !42221
- Escaped markdown should not be interpreted as shortcuts. !45922
- Display the user busy status in the MR sidebar. !47769
- Move integration inheritance override dropdown above grid layout. !49325
- Code extraction - refactoring of MR services classes. !49827
- Create new assignees widget for boards. !50054
- Update the HEX values and names of the color options for labels. !50393
- Rename asset_proxy_whitelist column on application_settings. !50824
- Prevent creating duplicate pipelines manually. !51076 (Kev @KevSlashNull)
- Render WebP attachments as image by default. !51088 (Kev @KevSlashNull)
- Add warning message for GitLab group migration. !51214
- Display Terraform list errors to user. !51397
- Global Search - UX Cleanup of Search Bar. !51409
- Display full design name in tooltip. !51421
- Change the project avatar preview into a rectangle. !51511 (Austin Regnery)
- Add 'tags' field to runners in job/pipeline webhook payloads. !51633
- Move to CE: mutation to create MR for SAST Configuration. !51634
- Add converted_at(timestamp) & context(jsonb) columns to the experiment_subjects table. !51659
- Link to more helpful docs from alert management pages. !51665
- Move Cohorts page to Overiew-Users. !51707
- Web IDE shows alert and disable buttons when user cannot push code. !51710
- Add entity columns to vulnerability occurrences. !51739
- Add PostgreSQL trigger to maintain projects.has_external_issue_tracker. !51852
- Reduce vertical padding of registry list item. !51961
- Update Workhorse to v8.60.0. !51965
- Track exceptions when using Bulk Import. !52011
- Remove redundant text in Terraform Widget. !52013
- Add "What's new" item to the help dropdown. !52020
- Change UI text for failed pipeline on an MR. !52023
- Remove group owner data from webhooks. !52071
- Move btn-primary to btn-confirm class as a part of Pajamas migration. !52090 (Yogi (@yo))
- Add name validation to Terraform state. !52102
- Change error message for user approval error. !52103
- Admin dashboard basic stats redesign. !52176 (Yogi (@yo))
- Drop repository_read_only column from namespaces table. !52181
- Update styling of validation messages in New Feature Flag form. !52217
- Add callout disabling feature to cleanup policy alert. !52327
- Add pagination and filtering to htoup imports. !52340
- BulkImports: Add pipeline step to the failures log. !52345
- Improve accessibility of gray color CI status icons. !52356
- Global Search - UX Refresh for Sort Button. !52387
- Add 404 state to container registry details page. !52466
- Monitor RackAttack redis usage and enrich auth structured logs. !52471
- Remove compare switch revision button. !52547
- Improve merge failed error. !52555
- Add unique index on services project_id and type. !52563
- Clean up uniqueness validations for service type. !52565
- Redesign the search UI for the package list. !52575
- Fix margins in social connect button on account settings. !52581 (Yogi (@yo))
- Move the sub-section to gl-card in advanced search settings in admin. !52585 (Yogi (@yo))
- Update styles for terraform MR widget. !52627
- Bypass admin mode for internal api operations (ssh git & http rails). !52697 (Diego Louzán)
- Increase the complexity score of GraphQL detailedStatus#label as it can call Gitaly. !52708
- Migrate toggle button in subscription to GitLab UI component. !52717
- Migrate feature flags page toggles to GlToggle. !52728
- Migrate project settings to use GlToggle. !52729
- Run pipeline_schedule_worker at every 10th minute from 3 through 59. !52756 (Ben Bodenmiller (@bbodenmiller))
- Use realtime_changes endpoint for reporting group import status. !52796
- Add content_type column to dependency_proxy_manifests. !52805
- Replace erase job alert background color with color consistent with UI. !52810
- Fix protected branches/tags border. !52816
- Update download button size to sm from xs and add btn-default. !52867 (Yogi (@yo))
- Change DevopsAdoption feature to work with single group only. !52871
- Refactored admin user table headers. !52891 (Shubham Kumar (@imskr))
- Show helper link on a new line in GPG status popover. !52894 (Yogi (@yo))
- Fix bug, where the download email patches and plain diffs links did not download from the commit page. !52899 (Yogi (@yo))
- Update code quality template to use 0.85.22. !52913
- Remove ci_live_trace_use_fog_attributes feature flag. !52939
- Only Display One Chart at a Time. !52952
- Unwrap Sidekiq exceptions and jobs in the structured logs and metrics. !53006
- GraphQL: Add mergedYaml to CiConfigResolver response. !53081
- Add runner instructions modal in the CI/CD settings section. !53087
- Align action buttons in jobs page. Reduce icon buttons width in jobs, artifacts and environment pages. !53155
- Change the badge design in the jobs page. !53168
- Improve user dropdown items. !53175
- Update Rugged to v1.0.1. !53212
- Introduce automatic class path correction in Cobertura parser. !53236
- Sort milestone dropdown items by due date. !53242
- Change pipeline empty state language. !53281
- Stop notifying users of acknowledged alerts and stop changing the status of acknowledged Prometheus alerts to Triggered. !53330
- Enable suggestions custom commit message feature flag by default. !53342
- Redesign SSH keys list. !53351 (Yogi (@yo))
- Track YAML-less Auto DevOps inclusions separately. !53383
- Add sort argument to container_repositories graphql resolver. !53404
- Update Ruby detection rules for SAST. !53414
- Add loading display to Terraform lock action. !53475
- Search: Add Sort by Last Updated to Issue/MR. !53589
- Replace bootstrap modal in issuable_by_email HAML template. !53599
- Change UI text for 2FA setup. !53677
- Align and reorder boards search bar buttons. !53690
- Skip new note notifications when author is deleted. !53699
- Add release tooltip for guest users. !53722 (Jonas Wälter @wwwjon)
- Accept deeply nested arrays for CI script keyword. !53737
- Reset CI minutes only for namespaces that used minutes. !53740
- Update Sample GitLab Project Template to be clearer and adjust prominent placement. !53750
- Update blob page buttons to gitlab-ui pajamas styles. !53775
- Highlight board lists when they are added. !53779
- Add sort to container registry list page. !53820
- Filter deployments by finished_at in Value Stream Analytics. !53861
- Display loading when removing Terraform state. !53897
- Improve project members management, filtering, and sorting. !53935
- Add updated_at output to search results. !53958
- Prepend the Marginalia comment in SQL query. !54015
- Add OpenID SSO icon. !54026
- Select the newest records for webhook test payloads. !54030
- Upgrade Asciidoctor to 2.0.12. !54121 (Guillaume Grossetie)
- Remove position sticky polyfill. !54299

### Performance (14 changes)

- Add database index to improve performance of usage ping metrics calculation. !48671
- Add indexes for onboarding progress table. !50679
- Support batch loading of merge head diffs. !51078
- Extend index on ci_builds_metadata. !52123
- Improve the performance of merge request and issue search by label(s). !52495
- Project creation to use specialized worker to calculate project authorizations. !52719
- Paginate single commit view. !52819
- Introduce a rendering limit for commit titles. !52904
- Add index to incident management oncall shifts table. !52961
- Lower allocations in _collapsed partial. !53233
- Memoize the fork suggestion button partial. !53256
- Optimized loading of descendant group labels. !53356
- Use Gitaly keyset pagination to optimize branches page. !53409
- Speed up update merge request worker by memoizing whether a push is a force or not. !53536

### Added (107 changes, 15 of them are from the community)

- Add tag_list attribute to the JSON output for Jobs API. !44859 (Alon Liszt)
- Add follow each other model, API and UI(profile, activity view). !45451 (Roger Meier)
- Add Banzai filter for CustomEmoji. !47122 (Rajendra Kadam)
- Deployments::CreateService executions are idempotent for duplicate params. !47610
- Populate and migrate issue_email_participants. !48711 (Lee Tickett @leetickett)
- Enable local file reviews (marking files as viewed) by default and add documentation for that feature. !48976
- Add finder for getting commits with a trailer set. !49243
- Enable/disable additional diagram formats on Kroki. !49304 (Guillaume Grossetie)
- Allow opening projects with VS Code. !49460 (Kev @KevSlashNull)
- Allow users to re-request a review from a reviewer. !50068
- Add job to persist On-call shifts. !50239
- Improve visibility of time spent with external HTTP calls. !50696
- Add rake task to migrate Terraform states to object storage. !50740
- Map common severity values from a Prometheus alert payload. !50871
- Add keep latest artifact option for instances. !50889
- Add GraphQL query for single Terraform state. !51145
- Move "number of changed files" into Web IDE sidebar badge. !51166 (Kev @KevSlashNull)
- Allow reviewers to be updated via MergeRequest API. !51186
- Instrument CI parsers. !51241
- Add a commit message parameter for the suggestion endpoints. !51245
- Add dast_profiles database table. !51296
- Editor Lite: support for Diff Instance. !51470
- Populate the `uuid` attributes of the `security_findings` records and the `finding_uuid` attribute of the related `vulnerability_feedback` records. !51472
- Add the Manage::Import total GMAU metric. !51496
- Mark files as reviewed locally. !51513
- Sync pipeline builds to Jira. !51627
- Send deployment information to Jira. !51629
- Database migration for compliance pipeline configuration location. !51663
- Debian Group and Project Distribution Components. !51732 (Mathieu Parent)
- Add a /request_review alias for /assign_reviewer. !51751
- Log user approval/rejection in application logs. !51768
- Enable synchronization of feature flags to Jira. !51796
- Create Groups::RepositoryStorageMove table. !51803
- Keyboard shortcut for switching to GitLab next (Canary). !51834 (Yogi (@yo))
- Add On-call Rotations destroy mutation to GraphQL. !51860
- Add enforced SSH key expiration. !51921
- Pass dependency proxy credentials to runners to log in automatically. !51927
- Add captcha-related fields to snippet GraphQL mutations. !51956
- Support setting more attributes when forking a project. !51962
- Add delete functionality to the Image Repository detail view. !51980
- Expose if user is a bot in the REST api. !52003
- Add chat notification label support. !52105
- Support Project variables in `include` section of `gitlab-ci.yml`. !52108
- Add API for generating Markdown changelogs. !52116
- Add Jira proxy settings columns. !52119
- Project access token management via API. !52139
- BulkImports: Import Group Labels. !52260
- Add repository_read_only column to NamespaceSettings table. !52300
- Use a custom Ruby patch to instrument memory usage. !52306
- Added ability to re-request a review from a reviewer. !52321
- Add rake task to reset user password. !52347
- Track monthly active users for QuickActions. !52398
- Add `patch_hard_limit_bytes_hit` metric for monitoring diff patch size limit hits. !52456
- Show confirmation dialog when exiting pipeline editor. !52458
- Search across full name for mentions autocomplete. !52488
- Add site landmarks for screen readers. !52514
- Add `security_and_compliance_access_level` column into the `project_features` table. !52551
- Add OpenSearch support. !52583
- Show recent test case failures in the pipeline test report. !52606
- Display epic related events on user activity feed. !52611
- Adds README to OpenAPI docs. !52637 (Jim Cser @jimcser)
- Add rubygems metadata table. !52639
- Add subgroup_events column to web_hooks table. !52648
- Improve Vulnerability Tracking: Add fingerprints table. !52720
- Add git_two_factor_session_expiry column to application_settings table. !52761
- Add auto_delete_at to environments. !52788
- Matomo: Support the disabling of cookies. !52831 (otheus@gmail.com)
- Debian Group and Project Distribution Component Files. !52885 (Mathieu Parent)
- Adds jira issue enforcement field. !52896
- Track CI minutes for namespace on a monthly basis. !52915
- Debian Publications. !52916 (Mathieu Parent)
- Add bot to User GraphQL Type. !52933
- Support setting confidential note attribute in UI. !52949 (Lee Tickett @leetickett)
- Pipeline-level concurrency control with Cross-Project/Parent-Child pipelines. !53007
- Enable housekeeping for project and group wiki repos. !53011
- Add GFM reference format for feature flags. !53021
- BulkImports: Migrate Group Membership. !53083
- Add metrics for merge request approvals and revoking approvals. !53201
- Add empty jobs page with link to editor. !53240
- Add status attribute to packages and ability to set 'hidden' for generic packages. !53385
- Display unload warning if MR edit changed. !53438
- Track CI minutes on a monthly basis at project level. !53460
- Migration to add new Premium and Ultimate plan records. !53465
- Add group_id to ci_daily_build_group_report_result. !53494
- Enable group setting to allow or prevent duplicate Maven uploads. !53591
- Add application rate limit for Notes creation. !53637
- Add link to test case file in pipeline test report. !53650
- Automatically retarget merge requests. !53710
- Add Security Orchestration Policy Configuration. !53743
- Import epic award emojis when using Bulk Import. !53747
- Allow deploy keys to push to a protected branch. !53812
- Add semgrep SAST analyzer. !53815 (Daniel Paul Searles)
- Support Markdown for Feature Flags. !53816
- Add an allowlist to exclude users from the rate limit on notes creation. !53866
- Add user setting for opting into marketing emails. !53921
- Improve highlighting for merge diffs. !53980
- Add created_by_user to cluster agents. !54011
- Make merge-ref base the default comparison mode. !54017
- Add created_by_user to cluster agent tokens. !54019
- Add indicator in admin dashboard if user is group managed. !54027
- Add state events to merge request update mutation. !54133
- Display user busy status in issue sidebar. !54165
- Upgrade GitLab Pages to v1.35.0. !54167
- Add '!reference' YAML tag to help merge CI configurations. !54198
- Schedule user status cleanup after a given time interval via the REST API. !54207
- Add merged Yaml tab feature to Pipeline Editor. !54223
- Added warnings field to the pipelines GraphQL type. !54296

### Other (170 changes, 101 of them are from the community)

- Apply GitLab UI button styles to buttons in app/views/projects/notes directory. !44107 (Lakshit)
- Remove duplicates from vulnerability_occurrences. !49937
- Edited UI copy wording to comply with GitLab style. !50676
- New Shared Partial for SSH Key Deletion. !50825 (Mehul Sharma)
- Update buttons in _hook.html.haml to use GitLab UI. !51065 (nuwe1)
- Adds GitLabUI button styles in _test_button.html.haml. !51070 (nuwe1)
- Adds GitLabUI button styles in deploy tokens _table.html.haml. !51082 (nuwe1)
- Apply GitLab UI styles to buttons in notification directory _new_button.html.haml. !51148 (nuwe1)
- Apply GitLab UI styles to buttons in _comment_button.html.haml. !51152 (nuwe1)
- Adds GitLab UI styles to button in _edit_form.html.haml. !51156 (nuwe1)
- Adds GitLab UI styles to button in _form.html.haml. !51160 (nuwe1)
- Add gl-button to Set up new device button in 2fa settings. !51283 (Yogi (@yo))
- Add `gl-button` to promotion buttons on issue sidebar. !51287 (Yogi (@yo))
- Add gl-button to personal access token page. !51294 (Yogi (@yo))
- Add gl-button to new issues and MR page. !51295 (Yogi (@yo))
- Updated UI text to match style guidelines. !51348
- Add gl-button to nav buttons in the project page. !51427 (Yogi (@yo))
- Add Composer cache classes and table. !51509
- Bump doorkeeper to 5.4.0. !51559
- [Commit Page] Migrate to GlModal for cherry-pick commit. !51650
- Updated UI text to match style guidelines. !51658
- Apply GitLab UI button styles to button in geo. !51777 (Yogi (@yo))
- Apply GitLab UI button styles to button _blank_state_ee_trial. !51778 (Yogi (@yo))
- Apply GitLab UI button styles to buttons in group settings. !51781 (Yogi (@yo))
- Apply GitLab UI button styles to buttons in ee/app/views/users directory. !51783 (Yogi (@yo))
- Improve Performance bar design. !51788 (Yogi (@yo))
- Apply new GitLab UI for buttons in admin settings. !51789 (Yogi (@yo))
- Update empty labels container background color. !51792 (Yogi (@yo))
- Update milestone badge to gl-badge. !51794 (Yogi (@yo))
- Apply GitLab UI for create file button in MR. !51795 (Yogi (@yo))
- Remove huge bottom margin for expand file button. !51802 (Yogi (@yo))
- Apply new GitLab UI for commit browse file button. !51805 (Yogi (@yo))
- Update CI general pipeline settings UI text. !51806
- Apply new GitLab UI style to mirror update button and add space after icon. !51808 (Yogi (@yo))
- Migrate old button classes to our Pajamas style GitLab button in multiple areas. !51826 (Yogi (@yo))
- Update links in Pages settings. !51847
- Update button style for consistency in Settings > Integrations, Mermaid Diagram warning, and No SSH warning. !51864
- Add empty state placeholder for milestones. !51887 (Yogi (@yo))
- Move user action card to new GitLab UI card in admin. !51914 (Yogi (@yo))
- Move email badges to new GitLab UI badges. !51915 (Yogi (@yo))
- Apply GitLab UI to email status badge. !51916 (Yogi (@yo))
- Remove fuzzy search for awards emoji and refactor GFM autocomplete emoji support. !51972 (Ethan Reesor (@firelizzard))
- [MR Page] Migrate to GlModal for revert MR. !52019
- Increase splay of Puma worker restarts. !52079
- Add btn-default class for btn-build buttons. !52093 (Yogi (@yo))
- Update GitLab Runner Helm Chart to 0.25.0. !52095
- Apply new GitLab UI for form inputs project settings page. !52097 (Yogi (@yo))
- When an MR diff is Too Large, highlight it like other collapsed diffs. !52146
- Updated UI text to match style guidelines. !52152
- Remove temp index in oauth_applications table. !52157
- Apply new GitLab UI for input fields in auth screens. !52167 (Yogi (@yo))
- Update doorkeeper to 5.5.0.rc2. !52171
- Remove Avatar from Comment Forms. !52180 (Lee Tickett @leetickett)
- Add gl-button class in relevant places on project html. !52183 (Gary Bell @garybell)
- Track suggestion add/apply metrics. !52189
- Track the number of users who are assigned and get requested for reviews. !52194
- Apply new GitLab UI for badge and button in project's protected branch settings. !52207 (Yogi (@yo))
- Disable nakayoshi_fork by default in examples. !52209
- Remove graphql_pipeline_header feature flag. !52247
- Updated UI text to match style guidelines. !52267
- Update bundler-audit gem to 0.7.0.1. !52269
- Update default_value_for gem to 3.4.0. !52271
- Convert deploy token button to pajamas. !52277
- Updated UI text to match style guidelines. !52284
- Apply new GitLab UI badge for users in the admin page. !52289 (Yogi (@yo))
- Apply new GitLab UI for inputs in admin/users directory. !52290 (Yogi (@yo))
- Fix Add a to do spelling on epics. !52292 (Yogi (@yo))
- Expose user availablility data on issuable pages. !52333
- Convert project runner buttons to pajamas. !52358
- Replace angle-double-left icon with chevron-double-lg-left. !52393
- Apply new GitLab UI for subscribe buttons in issues. !52401 (Yogi (@yo))
- Apply new GitLab UI for inputs in admin/application_settings directory. !52402 (Yogi (@yo))
- Apply new GitLab UI for buttons and card in admin/license. !52408 (Yogi (@yo))
- Apply new GitLab UI for input field in admin/appearance. !52409 (Yogi (@yo))
- Apply new GitLab UI for input field in admin/applications. !52410 (Yogi (@yo))
- Apply new GitLab UI for input field in admin/broadcast_messages. !52411 (Yogi (@yo))
- Apply new GitLab UI for input field in admin/hooks. !52412 (Yogi (@yo))
- Apply new GitLab UI for input field in admin/labels. !52413 (Yogi (@yo))
- Move vulnerability report counts to GlCard. !52416 (Yogi (@yo))
- Bold metricDetailsLabel in the performance bar. !52417 (Yogi (@yo))
- Apply new GitLab UI for input field in user profile settings. !52424 (Yogi (@yo))
- Apply new GitLab UI for input field in user applications. !52425 (Yogi (@yo))
- Apply new GitLab UI for input field in user personal access token settings. !52426 (Yogi (@yo))
- Apply new GitLab UI for input field in user email settings. !52427 (Yogi (@yo))
- Apply new GitLab UI for buttons in blob header. !52429 (Yogi (@yo))
- Add btn-default to settings toggle button in push rules. !52430 (Yogi (@yo))
- Replace OpenSSL constants with strings. !52432 (Takuya Noguchi)
- Fix spacing before toggle subscribe button on labels. !52459 (Yogi (@yo))
- Apply new GitLab UI for input fields in file editor. !52461 (Yogi (@yo))
- Improve variable settings ui text. !52462
- Update starred empty state with new GitLab UI classes. !52467 (Yogi (@yo))
- Track API requests from the the VS Code extension. !52484
- Create constants for bv::show::modal and bv::hide::modal. !52518 (Kev @KevSlashNull)
- Add additional instructions on deleting account on Gitlab.com. !52538
- Remove v-html from mr_widget_pipeline.vue. !52564 (Kev @KevSlashNull)
- Apply new GitLab UI for buttons in 2fa and changed deprecated info to confirm. !52580 (Yogi (@yo))
- Allow new docs badges in UI links. !52651
- Update (?) link to sprite question icon. !52655 (Yogi (@yo))
- Improve overall copy, remove redundant reassurance in the form, and fix empty %p rendered in the DOM of the welcome page. !52660
- Apply new GitLab UI class for U2F try again button. !52759 (Yogi (@yo))
- Update question mark icon while checking pipeline status. !52760 (Yogi (@yo))
- Update table and ellipsis button in performance bar metrics modal. !52762 (Yogi (@yo))
- Replace bootstrap event strings with constants. !52777 (Kev @KevSlashNull)
- Apply new GitLab UI style for todo button in the issuable sidebar. !52779 (Yogi (@yo))
- Apply new GitLab UI for buttons in MR resolve conflicts page. !52783 (Yogi (@yo))
- Review UI text - deploy keys settings. !52830
- Add btn-default class for the download button in graphs page. !52857 (Yogi (@yo))
- Add btn-default class for unlock button in locked files page. !52858 (Yogi (@yo))
- Add btn-default class for history button in the contributors page. !52861 (Yogi (@yo))
- Apply new GitLab UI for buttons in tags page. !52862 (Yogi (@yo))
- Apply new GitLab UI for buttons in the tag edit page. !52863 (Yogi (@yo))
- Apply new GitLab UI for buttons and input in the project graph page. !52864 (Yogi (@yo))
- Add btn-default to buttons in tag action on the single tag page. !52866 (Yogi (@yo))
- Apply new GitLab UI for badges in the project branch list. !52868 (Yogi (@yo))
- Update rspec-* gem versions. !52873
- Review UI text - deploy freezes. !52884
- Apply new GitLab UI for RSS button in commits page. !52900 (Yogi (@yo))
- Add btn-icon class for action buttons in the user profile. !52901 (Yogi (@yo))
- Open CI/CD settings help links in new tab by default. !52948
- Update links to redirected docs. !53004
- Cleanup composer cache pages. !53005
- Re-add migration to fix invalid merge request index. !53042
- Update mermaid.js to v8.9.0. !53123
- Move CleanupMultiprocDirService out of config.ru. !53139
- Apply new GitLab UI for buttons in empty project snippets placeholder. !53157 (Yogi (@yo))
- [MR Page] Migrate to GlModal for Cherry-pick MR. !53169
- Bump cluster applications CI template to v0.40.0. !53183
- Remove inconsistent index in backup_labels table. !53189
- Set projects.has_external_wiki default to null if default value is present. !53216
- Update bullet gem version to 6.1.3. !53217
- Updated UI text to be sentence case. !53323
- Add btn-default class for social buttons in login and signup page. !53347 (Yogi (@yo))
- Apply new GitLab UI for buttons in pipeline page. !53364 (Yogi (@yo))
- Apply new GitLab UI for search in frequent items search. !53368 (Yogi (@yo))
- Apply new GitLab UI for badge in job page sidebar. !53386 (Yogi (@yo))
- Geo - Update Patroni replication docs to automatic recover from a leader change on the primary site. !53424
- Change secondary text color on Gitpod editor dropdown button. !53437
- Apply new GitLab UI for new trial page. !53447 (Yogi (@yo))
- Apply new GitLab UI for buttons in create project page. !53454 (Yogi (@yo))
- Apply new GitLab UI for buttons in connect repo buttons in new project page. !53455
- Apply new GitLab UI for buttons in new group page. !53456 (Yogi (@yo))
- Show bottom tooltip for edit button in user profile. !53459 (Yogi (@yo))
- Add Space before loading icon in toggle todo button. !53463 (Yogi (@yo))
- Apply new GitLab UI for create mr button from issue. !53467 (Yogi (@yo))
- Apply GitLab UI button styles to buttons in gitlab_slack_application file. !53478 (Yogi (@yo))
- Remove namespace_onboarding_actions table. !53488
- Update grape gem to 1.5.2. !53547
- Apply new GitLab UI for buttons in empty issue placeholder. !53554 (Yogi (@yo))
- Apply new GitLab UI for buttons in commit page. !53555 (Yogi (@yo))
- Apply new GitLab UI for toggle buttons in CI/CD settings page. !53556 (Yogi (@yo))
- Add margin and remove padding in project graph page. !53557 (Yogi (@yo))
- Add btn-icon class for icon only buttons in issues header. !53562 (Yogi (@yo))
- Remove gl-text-black-normal from detailed metric which is not visible in dark mode. !53563 (Yogi (@yo))
- Improve error message reporting in snippet create or update. !53576
- Add URL help text and edit other UI text. !53578
- Apply new GitLab UI for no repo action buttons. !53580 (Yogi (@yo))
- Track 5 mins production app template usage. !53618
- Add clear_status_at column to user_status table. !53620
- Fix /-/readiness probe for Puma Single. !53708
- Prevent blocked user from triggering notifications. !53788
- Track when a merge request is created from an issue. !53808
- Allow running Puma in Single mode. !53830
- Update GitLab Workhorse to v8.62.0. !53864
- Remove caching_experiments feature flag. !53901
- Improve profile status emoji alignment. !54078
- Add tracking to measure the number of unique users committing CI config. !54192
- Enable sorting diffs by default. !54210
- Update GitLab Workhorse to v8.63.0. !54315
- Add btn-default to buttons in todos page. (Yogi (@yo))
- Apply new GitLab UI for buttons in pipeline schedules.


## 13.8.8 (2021-04-13)

### Security (2 changes)

- Clean only legitimate JPG and TIFF files.
- Update ruby-saml and rexml gems.


## 13.8.7 (2021-03-31)

### Security (5 changes)

- Fixed XSS in merge requests sidebar.
- Leave pool repository on fork unlinking.
- Fix arbitrary read/write in AsciiDoctor and Kroki gems.
- Prevent infinite loop when checking if collaboration is allowed.
- Require POST request to trigger system hooks.

### Removed (1 change)

- Make HipChat project service do nothing. !57434

### Other (3 changes)

- Remove direct mimemagic dependency. !57387
- Refactor MimeMagic calls to new MimeType class. !57421
- Switch to using a fake mimemagic gem. !57443


## 13.8.6 (2021-03-17)

### Security (1 change)

- Patch Kramdown syntax highlighter gem.


## 13.8.5 (2021-03-04)

### Security (6 changes)

- Fix XSS in wiki author email and name.
- Bump thrift gem to 0.14.0.
- Allow only owners to manage group variables.
- Do not store marshalled sessions ids in Redis.
- Workhorse: prevent escaped router path traversal.
- Fix XSS vulnerability for swagger file viewer.


## 13.8.4 (2021-02-11)

### Security (9 changes)

- Cancel running and pending jobs when a project is deleted. !1220
- Prevent Denial of Service Attack on gitlab-shell.
- Prevent exposure of confidential issue titles in file browser.
- Updates authorization for linting API.
- Check user access on API merge request read actions.
- Limit daily invitations to groups and projects.
- Enforce the analytics enabled project setting for project-level analytics features.
- Perform SSL verification for FortiTokenCloud Integration.
- Prevent Server-side Request Forgery for Prometheus when secured by Google IAP.


## 13.8.3 (2021-02-05)

### Fixed (2 changes)

- Revert multipart URL optimization for AWS S3. !52561
- Fix regression with old wiki image uploads. !52656


## 13.8.2 (2021-02-01)

### Security (5 changes)

- Filter sensitive GraphQL variables from logs.
- Avoid exposing release links when the user cannot read git-tag/repository.
- Sanitize target branch on MR page.
- Fix DNS rebinding protection bypass when allowing an IP address in Outbound Requests setting.
- Add routes for unmatched url for not-get requests.


## 13.8.1 (2021-01-26)

### Fixed (3 changes)

- Cancel artifact expiry backfill background jobs. !51821
- Fix LFS not working with S3 specific-storage settings. !52296
- Fix missing setting LDAP servers. !52512


## 13.8.0 (2021-01-22)

### Security (4 changes, 1 of them is from the community)

- The NuGet endpoints will no longer ignore an invalid username when a personal access token or deploy token is passed via HTTP Basic authentication. !38627 (Ethan Reesor (@firelizzard))
- Update WEBrick to v1.6.1. !50720
- Prevent user-defined variables from being used by non-maintainers. !51682
- Upgrade Workhorse to 8.58.2.

### Removed (2 changes)

- Drop group_id column from compliance_management_frameworks table. !50829
- Remove deprecated generic alert integration in favor of HTTP Integrations. !50913

### Fixed (91 changes, 35 of them are from the community)

- Deduplicate labels with identical title and group. !37148
- Remove diff display preferences and file tree from changes empty state. !43467
- Upgrade to Grape v1.5.0. !44554
- Fix database timeout errors when removing expired job artifacts. !47496
- Return release milestones in predictable order. !47700
- Fix multiple simultaneous requests for vulnerabilities on pipeline security tab. !48426
- Remove duplicate service records. !49463
- Add LaTeX support for Jupyter Notebooks. !49497
- Fix confusing button text when importing from GitHub. !49684 (Kev @KevSlashNull)
- Fix identicon text color in dark mode. !49785 (@yo)
- Fix installation of Knative under Helm 3. !49843
- Hide inoperable group search Releases filter. !50010
- Fix visibility level validation for deep nested forks. !50081
- Change type of CiJob.needs. !50192
- Handle git errors when cleaning up MR refs. !50250
- Fix over-eagerly updating Web IDE Live Preview. !50255
- Persist updated_at value in state change events. !50272
- Enlarge the timeline toggle button. !50284
- Hide "Actions" label on group members view if no action buttons exist. !50304
- Fix bug with snippets in HEAD when default branch is not master. !50366
- Add project scope to ci clint graphql endpoint. !50418
- Fix the graphQL type for container repository tags. !50419
- Allow more actions on group members. !50445
- Don't allow filtering by release tag on groups. !50457
- Flash transfer errors in the admin project controller. !50541 (Vincent Fazio)
- Update cluster-applications to v0.37.0. !50548
- Fix codeowners superseding web ide and single file edit. !50608
- Update Terraform Pipline templaes to support 0.14 lockfile cache. !50647 (Aurelian Shuttleworth)
- Fix issue with the `default_merge_refs` feature flag removing version to version diffs. !50671
- Fix LDAP override throws 404 when member has Minimal access. !50680
- Maven will return the most recent maven-metadata.xml file if there are multiple matches accross different projects. !50700
- Avoid 409 StaleObjectError errors with /rebase. !50719
- New project guidelines are no longer displayed. !50736 (Roger Meier)
- Add RateLimit-* headers to RackAttack responses. !50833 (adam-moss)
- Fix 500 error on repository settings access when repository is empty. !50844 (Diego Louzán)
- Update toast position on set status. !50886
- Fix duplicated toggle button showing on right sidebar when signed out. !50892
- Fix fork icon shrinks if branch name is very long. !50915 (Kev @KevSlashNull)
- Fix 'copy sha' in 'add previous commits' modal doesn't copy. !50921 (Kev @KevSlashNull)
- Fix large S3 uploads failing to finalize. !50922
- Fix webhook badge color in darkmode. !50943 (Yogi (@yo))
- Remove border radius for sidekiq iframe card. !50955 (Yogi (@yo))
- Align checkbox in system hooks page in admin. !50958 (Yogi (@yo))
- Fix import issues button style. !50969 (Yogi (@yo))
- Fix mobile layout Error Tracking details page. !50970 (Kev @KevSlashNull)
- Fix cobertura parser when there is an empty sources node. !50971
- Fix branch name overflows in profile activity section. !50975 (Kev @KevSlashNull)
- Fix abuse reports contains html and does not show repoter. !50983 (Kev @KevSlashNull)
- Rename button "CI lint" to "CI Lint" on jobs page. !50987 (Kev @KevSlashNull)
- Align admin notes label to the left. !50992 (Kev @KevSlashNull)
- Fix multiple errors in custom server hook render improperly. !51001 (Kev @KevSlashNull)
- Fix Jira MR status not syncing by making workers idempotent. !51006
- Show status of snippet author in header. !51030 (Kev @KevSlashNull)
- Fix slack application helper card. !51034 (Yogi (@yo))
- Remove margin top for snippets empty state. !51038 (Yogi (@yo))
- Invalidate reviews counter cache when MR gets closed/merged/reopened. !51055
- Fix merge request analytics page filtering when multiple labels are given. !51060
- Fix admin project overview badge alignment. !51066 (Kev @KevSlashNull)
- Strip newline from commit description on project overview. !51099 (Kev @KevSlashNull)
- Fix alignment of protected tag and branch labels on mobile. !51100 (Kev @KevSlashNull)
- Fix 500 errors entering a webhook URL not encoded. !51109
- Fix long deploy token name overflows revocation modal. !51114 (Kev @KevSlashNull)
- Use an empty body when sending a file with X-Sendfile. !51115
- Ensure Rake DB create doesn't fail when LDAP is enabled. !51132
- Fix runner admin is missing CI status styles. !51158 (Kev @KevSlashNull)
- Fix jobs admin is missing CI status styles. !51161 (Kev @KevSlashNull)
- Fix color of hamburger in dark mode. !51168 (Kev @KevSlashNull)
- Fix padding of user admin search bar on mobile. !51170 (Kev @KevSlashNull)
- Make todo filter sort input full width on mobile. !51171 (Kev @KevSlashNull)
- Correctly handle Gitaly being unavailable in more locations. !51222
- Prevent rebase from being run in quick action when there are conflicts. !51243
- Fix cut off line number in file blame. !51259
- Add margin to user chat settings. !51282 (Yogi (@yo))
- Invalidate reviews counter cache when MR gets created. !51316
- Forbid snippet pushes when repo is read-only. !51318
- Fix tertiary button color in dark mode. !51349
- Fix table columm shift with table-layout fixed. !51416
- Conditionally show card footer in single group page in admin. !51426 (Yogi (@yo))
- Fix argument type for background migration. !51475
- Correct status indicator for jobs groups when failure is allowed. !51478 (Sune Keller (sirlatrom))
- In WebIDE switch files before closing the active one. !51483
- Fix behavior of maven_duplicates_allowed setting so new Maven packages can be uploaded. !51524
- Fix script typo in secret detection template causing the detection to be skipped. !51544 (Vicken Simonian @vicken.papaya)
- Rename Backlog list to Open in issue boards. !51562
- Update GraphqlExtractor return value to be original hash. !51596
- Fixed applied message showing before discussion gets resolved. !51605
- Generate page-info for connections of preloaded associations. !51642
- Fix typo in notice displayed when Design Management requires LFS to be enabled. !51644
- Fix coverage not showing for inline diffs. !51652
- Fix issues when Web IDE commits to new branch. !51654
- Remove EE references from FOSS code. !51832

### Deprecated (2 changes)

- Deprecate prometheus.listen_address and prometheus.enable. !50500
- Refactor(opsgenie): remove Opsgenie integration frontend code from Incident management. !50525

### Changed (75 changes, 9 of them are from the community)

- Increase the complexity score of GraphQL MergeRequest#approved, MergeRequest#approvalsLeft and Repository#exists fields as they can call Gitaly. !47039
- Move deploy boards to Core. !47147
- Improve error message when username and namespace conflict. !47537
- Improve error messages when adding namespaces in Jira Connect App. !48651
- Update puma & puma_worker_killer to upstream. !48897
- Replace dropdown-input-fa-color with gray-500. !49213
- Adds MergeRequest.reviewers to GraphQL API. !49707
- Reorganize project member management into tabs. !49764
- Standardize page title styles on all wiki pages. !49777
- Ensure container_expiration_policy keep_n is an integer. !49805 (Mathieu Parent)
- When retrying jobs associate subsequent jobs with triggering user. !49833
- Allow collaboration on merge requests across forks by default. !49904 (Jonston Chan @JonstonChan)
- Add PostgreSQL trigger to maintain projects.has_external_wiki. !49916
- Limit the number of container tags to delete when deleting them in bulk. !49961
- Remove extra space in API 403 Forbidden error message. !50016
- Enable collect_package_events_redis by default. !50092
- Remove total_pipeline_duration from project_type. !50093
- Use Patroni as the default in the replication docs. !50101
- Fix package event metrics aggregation. !50108
- Upgrade CodeQuality version in CI template to 0.85.19. !50118
- Defer tagsCount & add startup.js to container registry. !50147
- Update ci config type for GraphQL to use connection_type. !50160
- [RUN-AS-IF-FOSS] Move to `createBoard` mutation instead of REST API call + `updateBoard`. !50171
- Adjust container registry metadata during loading. !50181
- Allow group owners and auditors to login to SSO-enforced groups without SSO. !50199
- Update .net Project Template Archive. !50321
- Add button to edit custom Wiki sidebar. !50323 (Frank Li)
- Update Rails Project Template archive. !50325
- Updated Express Project Template archive. !50326
- Change clusters.helm_major_version default to 3. !50399
- More concise pipeline notification emails. !50405
- Rename coverage report sidekiq queue. !50424
- Use a dynamic segment not depending on the package id for Debian files. !50433 (Mathieu Parent)
- Remove lfs_chunked_encoding feature flag. !50557
- Adds annotations as part of metadata for CiliumNetworkPolicies wrapper. !50586
- Add manual bridge support to api. !50634
- Add issue link to due date emails. !50642
- Updates graphql gitlab-ci.yml linter implementation. !50664
- Add additional fields to diff_metadata.json endpoint. !50666
- Check namespace package settings when creating Maven packages. !50691
- Change onboarding actions table to use one record per namespace. !50711
- Improve the reliability and observability of the container registry client. !50750
- Remove inactive integrations indicator in index and show pages. !50753
- Add tags count and cleanup status to registry details. !50756
- Update merge request status box without reloading page. !50761
- Add error handling in the container registry delete tags service. !50763
- Update the maven package finder. !50774
- Move Group Migration entities import to individual sidekiq jobs. !50781
- Prevent locked Terraform states from being deleted. !50798
- API: Exposes errors in lint endpoint. !50891
- Indent child form elements in integrations form. !50929
- Wiki edit: automatically focus on the content field. !50941 (Jacopo Beschi @jacopo-beschi)
- Limit Group Migration extractors and loaders to 1 per pipeline. !50951
- Add space and helper to the group members page. !50954 (Yogi (@yo))
- Add access request endpoint to OpenAPI standard. !51000 (Jim Cser)
- Use GlBadge for badges in pipeline_url.vue. !51058 (Kev @KevSlashNull)
- Migrate `deleteBoard` board_store function to GraphQL mutation. !51069
- Skip secret_detection on tags. !51129
- Remove pagination from Deployment Frequency API endpoint. !51137
- Updates regex for group_name to support numbers in job name. !51157
- Migrate GitLab UI button for Merge Request Approvals settings. !51159 (George Tsiolis)
- Enable reviewer_approval_rules by default. !51183
- Remove limit of four features per plan. !51264
- Disable submit button on wiki if no title and content. !51272
- Wiki: Add author avatar and link. !51273
- Update the DAST latest template to run when configured even if the user doesn't have sufficient permission. !51279
- Resolve Grouping/swimlanes choice should persist after board has been edited. !51317
- Extract expired pipeline artifacts removal service into it's own background worker. !51323
- Bump workhorse to 8.59.0. !51329
- Update Issue Incidents to allow the milestones feature to be used in the sidebar and quick actions. !51456
- Remove test_failure_history flag. !51464
- Update pipeline graphs on CI/CD Analytics page to use GraphQL endpoint. !51504
- Redirect deprecated profile paths to scoped path. !51646
- Default enable set_user_availability_status. !51668
- Add visibility mismatch warning to the branch chooser. !51671

### Performance (16 changes)

- Lower /explore page limit. !50233
- Cache license data in a process-memory cache. !50318
- Fix N+1 queries with loading group issues with GraphQL. !50328
- Performance improvements for CI GraphQL resources. !50386
- Index ci_pipelines on pipeline_schedule_id and id. !50478
- Fix N+1 when rendering snippets in the dashboard. !50569
- During group deletion, only enqueue jobs for project_authorizations refresh if the group being deleted has other groups shared with it. !50617
- Switch to 2x faster PRNG. !50811
- Improve the database query performance on the pipeline loading in merge requests. !50818
- Reduce per-page size in release index pages for loading faster. !50934
- Spread monthly CI minutes reset from 8 to 24 hours. !51084
- CI: use commit SHA in persistent refspec. !51208
- Use Puma `nakayoshi_fork`. !51467
- Limit rendering of commit messages. !51485
- Remove pipeline status from /explore page. !51621
- Lower allocations when building nav. !51628

### Added (66 changes, 6 of them are from the community)

- Add ability to get admins via REST and GraphQL API. !46244
- Add flutter CI/CD template. !46968
- Add migration to swap partitioned audit_events. !47581
- Add the NuGet group level API. !48356
- Instrument viewing merge request diffs file by file. !48470
- Allow HTTP Basic Auth and deploy token authentication for generic packages. !48540 (Moshe Katz @kohenkatz)
- Stop unlinking the fork when changing visibility. !49013
- New user/issue specific email address for creating/forwarding to an issue. !49050
- Add GraphQL mutation to create on-call rotations. !49206
- Add ability for admins to create PAT for other users via API. !49222
- Add snippet repository storage move API endpoints. !49228
- Add keep latest artifact option for projects. !49256
- Debian Group and Project Distributions. !49405 (Mathieu Parent)
- Add table for tracking on-call shifts. !49423
- Add 5-minute-production-app CI template. !49487
- UI to opt out of keeping the artifacts from the last job at project level. !49500
- Debian File Metadata. !49692 (Mathieu Parent)
- Add epic board list table. !49728
- Enable OAuth PKCE flow. !49756
- Add artifacts:public boolean. !49775
- Add a quick action for /rebase. !49800
- Populate `finding_uuid` attribute for the existing `vulnerability_feedback` records. !49807
- Expose hide_backlog_list and hide_closed_list to project and group boards REST API. !49815 (Mathieu Parent)
- Expose notes resolved_at via API. !49821 (Lee Tickett)
- Add toggle to disable Operations in settings. !49919
- Add rake gitlab:git:checksum_projects. !49965
- Extend MergeRequestFinder to search by squash and merge commits. !49968
- Add delete metric image REST API endpoint. !50043
- Add namespace settings to allow or disallow duplicate Maven packages. !50104
- Add copy email to issue sidebar. !50127
- Add rake task for migrating legacy pages storage to zip deployments. !50153
- Project Template for Kotlin native. !50162
- Track usage for Terraform State API. !50224
- Add group MR approval settings table. !50256
- Add DevOps adoption end_time column. !50257
- Auto-assign merge request author when creating from issue. !50263
- Added epic board position database index. !50277
- Include the user id in the webhook payload. !50287
- Add project config path as a predefined project variable. !50301
- Send email when group member expiry is updated. !50310
- Implement variables for pipeline job rules. !50501
- Add DAST.latest.gitlab-ci.yml. !50539
- Add `dismissal_reason` column into the `vulnerability_feedback` table. !50632
- Add setting to enable Invisible Captcha. !50650
- Add include_versionless param to the Package API. !50669
- Allow custom response to be set when rate limits are exceeded. !50693
- Exposed web_path and web_url fields in Board's GraphQL API. !50947
- Add aggregate/union visit tracking for Compliance features. !50978
- Display Artifacts Dropdown on MR Pipeline Widget. !50998
- Add composer details GraphQL type and query. !51059
- Add skipped status to deployments. !51068
- Persist 'squash_commit_sha' when squashing. !51074
- Add confidentiality filtering to the epics REST API and GraphQL endpoints. !51105
- Add API command to remove pending member invitation. !51134
- Add configurable Gitpod button within projcet repository page. !51197
- Allow users to use IssueDeployedToProduction VSA event. !51199
- Show all quick actions in `/` autocomplete. !51239
- Debian Group and Project Distribution Architectures. !51265 (Mathieu Parent)
- Initially sync Merge Requests with Jira when a namespace is added through the GitLab for Jira app. !51341
- Adding /reviewer and /remove_reviewer aliases and specs. !51384
- Instrument CI template usage across projects. !51391
- Control job status using exit codes. !51439
- Enables the CI Pipeline Editor feature as a way to edit the GitLab CI/CD configuration. !51484
- Allow resetting group and instance level integrations. !51507
- Designate optional sections in the codeowners file. !51643
- Enable CI visualization by default. !51701

### Other (74 changes, 37 of them are from the community)

- Add a new Ruby API for specifying allowed authentication mechanisms for REST API endpoints. !38627 (Ethan Reesor (@firelizzard))
- Migrate-Bootstrap-dropdown-to-GitLab-UI-GlDropdown-in-app/assets/javascripts/vue_shared/components/pikaday.vue. !41458 (nuwe1)
- Add Icons to headings in system info on admin panel. !46618 (Yogi (@yo))
- Backfill artifact expiry date. !47723
- Convert navigation_tabs.vue to gl-tabs. !47841
- Fix UI on global breadcrumb on Project/Group Container Registry. !48288 (Takuya Noguchi)
- Dynamically load gapi on GKE cluster creation pages. !49512
- Update pipeline alert text to be more readable. !49575
- Remove users#show.json completely. !49670 (Takuya Noguchi)
- Visually enhance the difference between code that has and does not have test coverage. !49724
- Updated UI text to match style guidelines. !49871
- Update documentation for setting up database replication with Patroni on a Geo secondary node. !49986
- Disable auto admin mode for lib specs. !50056 (Diego Louzán)
- Add documentation for new Snippet repository storage move API. !50151
- Propagate client identity to gitaly. !50161
- Centered Markdown Preview in Web IDE with a set max width to limit the container size. !50291 (Mehul Sharma)
- Migrates the alert on the new branch page. !50307
- Fully disable auto admin mode and migrate remaining specs. !50331 (Diego Louzán)
- Refactor specs around gpg_keys in users_controller_spec.rb. !50337 (Takuya Noguchi)
- Refactor specs around ssh_keys in users_controller_spec.rb. !50338 (Takuya Noguchi)
- Improve badges UI text. !50351
- Update error message used in boards sidebar subscription. !50352
- Update GitLab Runner Helm Chart to 0.24.0. !50377
- Update Auto DevOps UI text to match style guidelines. !50398 (Amy Qualls @aqualls)
- Updated UI text to match style guidelines. !50403
- Improve service desk UI text. !50407
- Replace user controller spec with its request spec. !50435 (Takuya Noguchi)
- Updated UI text to match style guidelines. !50475 (Amy Qualls @aqualls)
- Updated UI text to match style guidelines. !50476
- Updated UI text to make runner lowercase. !50477
- Change failure message of missing job needs. !50492
- [Commit Page] Migrate to GlModal for revert commit. !50522
- Updated link text to match style guidelines. !50555
- Fix text color for 'no estimate or time spent' message in time tracker component. !50558
- Migrate runner_setup_controller_spec.rb to request spec. !50600 (Takuya Noguchi)
- Sampler intervals can now be configured via env vars. !50625
- Add test to check if /users/User is redirected to /User. !50651 (Takuya Noguchi)
- Add metrics to creating, closing, reopening and merging merge requests. !50654
- Update Docker from 19.03.0 to 20.10.1 on CI/CD. !50732 (Takuya Noguchi)
- Migrate jwks_controller specs to request specs of them. !50767 (Takuya Noguchi @tnir)
- Update copy on Feature Flags List view to be more descriptive for users. !50813 (Sarah Rosenshine)
- Add metrics to creating, editing or removing comments on merge requests. !50849
- Use git packages from buster on build-qa-image. !50867 (Takuya Noguchi @tnir)
- Upgrade factory_bot_rails to 6.1.0. !50875
- Update net-ldap gem version. !50888
- Add version cache field to composer metadata. !50906
- Drop temporary index on ci_builds. !50961
- Remove unnecessary use of .freeze. !50963 (Adam Davies @adamd92)
- Update canary(next) badge style with new GitLab UI. !50965 (Yogi (@yo))
- Remove tmp_index_for_email_unconfirmation_migration index in the emails table. !50981
- Improve delete snippet feature spec. !51020 (Lee Tickett @leetickett)
- Update toggle button in repo general settings. !51036 (Yogi (@yo))
- Reduce heading font size in validate CI lint page. !51042 (Yogi (@yo))
- Remove unnecessary use of .freeze. !51073 (Adam Davies @adamd92)
- Update button style of expand/collapse button on Deploy Tokens page. !51077 (nuwe1)
- Update button style of Revoke button on Deploy Tokens page. !51079 (nuwe1)
- Apply GitLab UI button styles to buttons in transactions show.html.haml files. !51096 (nuwe1)
- Add metrics to creating, editing or removing multiline comments on merge requests. !51098
- Update default value of applications_settings.max_import_size to 0. !51229
- Add one welcome email for account provisioned by group. !51271
- Add `gl-button` to move issue button in issue sidebar. !51285 (Yogi (@yo))
- Update to new GitLab UI button in members invite page. !51300 (Yogi (@yo))
- Update grape-path-helpers gem version. !51320
- Drop tmp_index_for_email_unconfirmation index from the emails table again. !51440
- Add metrics to starting and publishing a review. !51521
- Add gl-badge to members list badges. !51546 (Yogi (@yo))
- Add gl-badge to CI badges. !51547 (Yogi (@yo))
- Add gl-badge to CI runners. !51548 (Yogi (@yo))
- Add gl-mt-3 to no schedules nothing-here-block. !51551 (Yogi (@yo))
- Add gl-button to Add Jaeger URL. !51553 (Yogi (@yo))
- Add gl-button to dismiss feature highlight button. !51555 (Yogi (@yo))
- Remove unneeded group label index. !51676
- Apply GitLab UI button styles to buttons in project wiki. !51780 (Yogi (@yo))
- Add verbiage + link sast to show it's in core. !51935


## 13.7.9 (2021-03-17)

### Security (1 change)

- Patch Kramdown syntax highlighter gem.


## 13.7.8 (2021-03-04)

### Security (5 changes)

- Bump thrift gem to 0.14.0.
- Allow only owners to manage group variables.
- Do not store marshalled sessions ids in Redis.
- Workhorse: prevent escaped router path traversal.
- Fix XSS vulnerability for swagger file viewer.


## 13.7.7 (2021-02-11)

### Security (9 changes)

- Cancel running and pending jobs when a project is deleted. !1220
- Prevent Denial of Service Attack on gitlab-shell.
- Prevent exposure of confidential issue titles in file browser.
- Updates authorization for linting API.
- Check user access on API merge request read actions.
- Limit daily invitations to groups and projects.
- Enforce the analytics enabled project setting for project-level analytics features.
- Perform SSL verification for FortiTokenCloud Integration.
- Prevent Server-side Request Forgery for Prometheus when secured by Google IAP.


## 13.7.6 (2021-02-01)

### Security (5 changes)

- Filter sensitive GraphQL variables from logs.
- Avoid exposing release links when the user cannot read git-tag/repository.
- Sanitize target branch on MR page.
- Fix DNS rebinding protection bypass when allowing an IP address in Outbound Requests setting.
- Add routes for unmatched url for not-get requests.


## 13.7.5 (2021-01-25)

### Fixed (2 changes, 1 of them is from the community)

- New project guidelines are no longer displayed. !50736 (Roger Meier)
- Fix LFS not working with S3 specific-storage settings. !52296


## 13.7.4 (2021-01-13)

### Security (1 change)

- Deny implicit flow for confidential apps.


## 13.7.3 (2021-01-08)

### Fixed (7 changes)

- Fix Canary Ingress weight is not reflected on UI immediately. !50246
- Change pages deployments size to bigint. !50262
- Fix viewing container repositories with tags with corrupted manifest. !50362
- Fix the graphQL type for container repository tags. !50419
- Fix(eetrialbanner): fix EE trial banner to allow dismiss. !50436
- Update Helm 2 version to 2.17.0. !50547
- Fix project access token regression. !50800


## 13.7.2 (2021-01-07)

### Security (7 changes)

- Forbid public cache for private repos.
- Deny implicit flow for confidential apps.
- Update NuGet regular expression to protect against ReDoS.
- Fix regular expression backtracking issue in package name validation.
- Fix stealing API token from GitLab Pages and DoS Prometheus through GitLab Pages.
- Update trusted OAuth applications to set them as confidential.
- Upgrade Workhorse to 8.58.2.


## 13.7.1 (2020-12-23)

### Fixed (1 change)

- Fix project transfer corrupting shared runners state. !47316


## 13.7.0 (2020-12-22)

### Security (1 change)

- Fix regular expression backtracking issue in custom emoji name validation.

### Removed (2 changes, 1 of them is from the community)

- Remove Google Code importer. !48139 (Getulio Valentin Sánchez)
- Remove release notes from Tags page. !49979

### Fixed (109 changes, 7 of them are from the community)

- Update user mentions when markdown columns are directly saved to DB. !38034
- Retain spinner when applying MR suggestions. !46203
- Skipped jobs no longer trigger a cancelled deployment. !46614 (David Barr @davebarr)
- Catch wiki timeouts when rendering pages. !46627
- Fix single file snippets display for Geo secondary sites. !46812
- Fix Jira Connect styles not loaded when startup_css is enabled. !47043
- Add migration that updated users that don't need to have 2fa established. !47193
- Fix project integration form validation when integration is inactive. !47201
- Fix project access token build authentication error. !47247
- Support S3 server side encryption in CI cloud native job logs. !47536
- Fix repository clone panel for wikis. !47676
- Hide Mark as draft button in a merged MR even on mobile. !47678 (Takuya Noguchi)
- Eliminate N+1 performance issues in MergeRequest.pipelines in GraphQL API. !47784
- Add cascade delete foreign key to web_hooks on service_id without validation. !47821
- Implement passing dotenv variables to bridge jobs. !47905
- Allow canceling all pipelines with auto-cancel. !47906
- Fix error in Issuable::ImportCsv::BaseService when CSV file is empty. !47918
- Fixed editing labels on the swimlanes sidebar. !47946
- Scroll exactly to the top of a discussion on the MR Overview tab. !47970
- Search page: fix empty results status. !48034
- Move fuzz license check to .pre stage. !48076
- Add link in Access Request API. !48081 (jimcser)
- Add gitlab:db:active task. !48083
- Fix overscroll for MR diffs in mobile view. !48091
- Fix incorrect line height in file header. !48117
- Repopulate historical vulnerability statistics. !48128
- Fixed image diff comments positioning. !48132
- Manually trigger pipelines correctly when branches and tags have the same name. Separate tags and branches in trigger pipeline form. !48142
- Allow failure for Secret Detection job. !48152
- Change services.inherit_from_id foreign key to ON DELETE CASCADE. !48163
- Avoid exception when validating diff_note support. !48187
- Avoid invalid notes on Project Import. !48189
- Update alert setting form to handle JSON payload submit when mapping builder is not enabled. !48231
- Adds id desc to index_ci_builds_on_runner_id_and_id_desc. !48241
- Adds type="button" to the close button for the issue type selector to prevent accidental form submission. !48249
- Remove orphan service hooks. !48263
- Fix console error being thrown when file is renamed. !48275
- Update alert details sidebar assignee dropdown to use correct styling and formatting. !48285
- Consider design repositories when determining if there is a git transfer in progress. !48304
- Set Retry-After header when RackAttack throttling. !48310
- Fix misaligned buttons for CI Jobs page. !48332 (mgandres)
- Use incident instead of issue for operation settings. !48406
- Fix missing item with same name in autocomplete suggestions. !48410 (Paul Ungureanu @ungps)
- Fix misalignment of commit search by message input. !48430
- Prometheus integration name should not have a modifiable input field. !48437
- Fix stretched flash in project commit show page. !48439
- Ensure job trace endpoint is not called if the current job has not started or the browser is not visible. !48516
- Update fog-aws to v3.6.7. !48519
- Fixed double-border style on WebIDE button. !48605
- Fix spacing between buttons on pipeline header. !48660
- Fix vulnerability deduplication logic for the "pipeline security tab". !48704
- Add type filtering in appearance page of the admin panel. !48709 (Paul Ungureanu @ungps)
- Fix confirmation modal showing on project integration. !48720
- Fix import of LFS files in GitHub import. !48722
- Github importer - Avoid touching MR when importing pull request `merged by` field. !48729
- Fix styling of various dropdowns. !48800
- Fix MR buttons when fork is deleted. !48813
- Add menu-item class to non-details-job-component. !48834
- GraphQL: Add gitlay field to CiStatusAction. !48892
- Global Search - Fix Dark Mode Font. !48927
- Fix flex overflow bug. !48931
- Restrict access to job page to developers only when use CI_DEBUG_TRACE is true. !48932
- Resolve Cannot remove namespace. !48973
- Resolve Save button should have a different color on press. !48975
- Fix last_value record in internal_ids for epics. !48988
- Fix failed group imports getting stuck by long error messages. !48989
- Avoid branch name checking when creating a new snippet. !48995
- Ensure default_branch from settings is not blank. !49018
- Make sure Sourcegraph asset always loads successfully. !49030
- Fix avatar size in profile activity. !49047
- Fix margin and selected state in file header. !49059
- Fix comment highlighting for unified diff components. !49061
- Fix Jupyter notebook code and image rendering. !49067
- Fix bug in ProjectRepositoryStorageMove transition to scheduled. !49105
- Do not crash the ingestion of all security reports if there is an invalid report artifact. !49181
- Do not automatically reapply incident label after user removes it. !49188
- Update fog-google to v1.12. !49196
- Check for a status in the current user dropdown. !49203
- Fix pipeline page in dark mode. !49214
- Handle prometheus-formatted alert notifications through HTTP integrations. !49268
- Update repository size after import. !49319
- Fix typo on merge locally step. !49330
- Fix getting security report information on merge requests from forks. !49354
- Conan packages show build and commit information when published using CI. !49426
- Clear emoji status in issue/mr header. !49439
- Hide extra breadcrumb arrow that overlaps with last breadcrumb item. !49456
- Fix division by error when upload max size is set to 0. !49482
- Capture subgroup creation failure during Group Import via archive file. !49484
- Alert Service integration only available for projects. !49561
- Update projects_imported.total usage metric. !49568
- Fix usage data tracking of some issue events. !49571
- Fix copy to clipboard on Firefox. !49648
- Fix outline on selected button in Snippets Rendered/Source buttons. !49676
- Add final newline on submit in blob editor. !49681
- Fail import state whenever repository import fails. !49682
- Fix author on /clone quickaction usage to be current user. !49830
- Upgrade mailroom to v0.0.8. !49834
- Fix the header name for basic auth authentication in package managers APIs. !49836
- Allow opsgenie manage form to be displayed when opsgenie is enabled. !49863
- Add custom cop to prevent invalid HTTParty usage. !49878 (Ethan Reesor (@firelizzard))
- Remove last-child bottom-margin: 0 from page-title class. !49884
- Fix wording of some 400 Bad request API responses. !49895
- Set Web IDE Live Preview default background to white. !49901
- Fix bug in snippets mark as spam mutation. !49912
- Make the strategies env wrap. !49951
- Fix get endpoint not returning members with minimal access. !49996
- Fix feature flag logging is not working on API. !50025
- Resolve No boards found message showing when loading boards. !50140
- Fix Markdown attachments in Releases not rendering with full URL. !50146

### Deprecated (1 change)

- Drop unused feature_filter_type experiment column. !48221

### Changed (124 changes, 12 of them are from the community)

- Move Jenkins to Core. !37797 (Ben Bodenmiller (@bbodenmiller))
- Migrate Bootstrap button to GitLab UI GlButton in IDE. !39988
- Replace bootstrap alerts in ee/app/views/admin/licenses/new.html.haml. !41275 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/profiles/notifications/show.html.haml. !41310 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/admin/runners/show.html.haml. !41378 (Gilang Gumilar)
- Replace Runner Page Title with Runner’s Hash. !44854 (Kev @KevSlashNull)
- Rename Piwik config items and layout file after rebranding to Matomo. !45658 (Kate Grechishkina @kategrechishkina)
- Improve clarity of admin Rate Limiting UI. !46142
- Replace fa-exclamation-triangle icons with GitLab SVG warning-solid icon. !47089
- Add `converted_at` timestamp column to `experiment_users` to record when the user performs an experiment's conversion action. !47093
- Preserve cross references in AsciiDoc documents. !47131 (Guillaume Grossetie)
- Darker background for dark mode, plus small fixes to MR page. !47359
- Add option to uninstall the legacy Tiller server for clusters added before GitLab 13.2. !47457
- Use GitLab UI styles on Integrations page. !47478
- Add a job to the DAST template that shows an error in the console if the user is not licensed to use DAST. !47484
- Add BulkImports::Failure to store import failures of the Group Migration (BulkImports) process. !47526
- Remove brackets in no scopes selected message in access and deploy tokens lists. !47628
- Begin auto-stop countdown for environment after initial creation. !47702
- Change default project listing sort order to name. !47734 (Lee Tickett)
- Finalize new create project UI experiment. !47804
- Make ImportIssuesCsvWorker idempotent. !47808
- Remove "Details" from breadcrumb item and LD+JSON from Project top. !47817 (Takuya Noguchi)
- Convert knative error alert to glalert. !47840
- Remember last used project ordering option across groups. !47850 (Lee Tickett)
- Remove "Details" from breadcrumb and JSON+JD on Group top page. !47854 (Takuya Noguchi)
- Hide open registration user callout on gitlab.com. !47865
- Make "How to merge" modal in merge requests conform to correct modal styling. !47889
- Remove `Add Issues` button and a related modal. !47898
- Remove Feature Flag that controls data limit on Deploy Boards, thus making 10MB limits mandatory. !47950
- Removed boards promotion. !47972
- Replace fa-chevron-down in template selector dropdown. !48015
- Remove http_integrations_list feature flag. !48030
- Add filtering by current iteration to issue lists and issue boards. !48040
- Implement smart cobertura class path correction. !48048
- Replace fa-chevron-down icon in pikaday. !48054
- Add User.location field to GraphQL API. !48059
- Add support for filtering direct group members by 2FA enabled/disabled. !48084
- Iterate on the copy in the “Novice or Experienced” page of the registration onboarding flow. !48086
- Add metrics for count of unique users of alerts and incidents to usage ping. !48087
- Allow Pages to define a storage-specific connection. !48098
- Replace fa-exclamation-triangle in users select. !48116
- Add a generic packages tab to the Packages UI. !48121
- Replace fa icons in single file diff. !48136
- Add `checksum` column into the `vulnerability_remediations` table. !48165
- Replace fa-chevron-down with GitLab SVG in dropdowns. !48171
- Add ldap encrypted credentials to the usage data. !48210
- Replace fa-spinner in metrics dashboard yaml definition. !48227
- Update Design of the Container Registry Cleanup Policy for tags. !48243
- Enable LFS chunked encoding. !48269
- Authorize the project for the cluster agent if it is the agent's project. !48314
- Add GlFormCheckbox to squash commits. !48338
- Add metric for dead Sidekiq jobs. !48361
- Make How to merge modal in merge requests widget conform to correct modal styling. !48370
- Allow filtering project and group members by relationship in GraphQL. !48372
- Add Attributes cleaner to Group Migration. !48374
- Add additional fields to GraphQl terraform state version. !48411
- Bumps Managed-Cluster-Applications CI template to v0.36.0, which upgrades Runner. !48444
- Expose public email field for user in GraphQL. !48468
- Add MAU counter for snippet show action. !48477
- Refine group creation form. !48490
- Geo: Remove unused indexes. !48504
- Update empty state for no commits result. !48538
- Github Importer - import the pull request `merged by` field. !48561
- Refactor container registry list page to grapqhl. !48602
- Transfer a project/group to a new namespace inheriting integrations. !48621
- Replace fa-chevron-down icons with GitLab SVG in gcp cluster form. !48656
- Add containerRepositoriesCount to project and group queries. !48685
- Track test failures on pipeline completion. !48695
- Include actual limit in pipeline limit errors. !48710
- Replace how to merge HAML with Vue component. !48766
- Global Search - Fix Sidebar Whitespace. !48832
- Move CanaryIngress to core. !48836
- Finish removing unused replication columns from terraform state. !48839
- The dependency proxy caches manifests and makes HEAD requests to help with rate limiting. !48845
- Update package_file table to display commits when present. !48882
- Avoid creating wiki empty repo when not present in export files. !48890
- Update nodejs-scan rule to wildcard prefix. !48902
- Add primary key to elasticsearch_indexed_projects. !48919
- Upgrade fog-aws to v3.7.0. !48921
- Add new column `finding_uuid` into `vulnerability_feedback` table. !48923
- Add primary key to elasticsearch_indexed_namespaces. !48944
- Add ability to type a number in related issues and prepend #. !48952
- Improve CI for external repo with configurable maximum mirroring frequency on self-hosted. !48955
- Enable pages_serve_from_deployments FF by default. !48974
- Replace fa-cirlce in runners helper. !48981
- Add GitHub Importer pagination. !48983
- Add primary key to merge_request_context_commit_diff_files. !49024
- Update template to use codequality 0.85.18-gitlab.1. !49034
- Display more pipelines info in package history. !49040
- Use a separate commit to store formatting changes in the Static Site Editor. !49052
- Delete manifests when purging the dependency proxy using the API. !49056
- Auto approve users if Admin approval after sign up setting is disabled. !49068
- Boards - Remove default labels lists generation. !49071
- Sort merge request diff files directory first. !49118
- Add user ID based allowlist for Rack::Attack. !49127
- Sort commit/compare diff files directory first. !49136
- Move IssueType notes and discussions count logic to resolvers. !49160
- Let `rake gitlab:workhorse:install` use vendored workhorse. !49250
- Allow alert list to be visible when alerts exist, even if alerting integrations are disabled. !49257
- EKS: Provide user feedback on AWS authorization errors. !49278
- Remove user_search_secondary_email feature flag. !49312
- Update gitlab-kas to v13.7.0. !49318
- Convert fa-caret-down icons to chevron-down SVG. !49332
- Enable file tree highlighting by default. !49356
- Merge 'Sample Data' and 'Built-in' tabs on Project Templates page. !49374
- Add Merge Train Setting to the graphql api. !49402
- Migrate HAML buttons to Pajamas in app/views/profiles/keys. !49421 (Jonston Chan @JonstonChan)
- Migrate `createBoard` away from boardStore. !49450
- Support merge requests filtered by reviewer in GraphQL API. !49464
- Gradually load more diffs async. !49476
- Require users to copy, download, or print 2FA recovery codes. !49493
- Convert group member filter dropdowns to filtered search bar. !49505
- Update GitLab Workhorse to v8.58.0. !49534
- Refactor container registry to use GraphQL API. !49584
- Remove unneeded pagination code for project importers. !49589
- Update deprecated button on pipeline security table. !49620
- Update ide pipeline alert to use gitlab ui. !49634
- Updates the copy on empty users list tabs. !49642
- Enable LFS chunked encoding by default. !49649
- Add visibility and last updated image repository details. !49703
- Allow updating `hideBacklogList` and `hideClosedList` board attributes. !49947
- Add expires_at param to GroupMemberBuilder data. !49981
- Change the unique index on `security_findings` table. !50046
- Remove dast_unlicensed job. !50129

### Performance (24 changes, 2 of them are from the community)

- Remove redundant index. !47072
- Add database index for deployment rollback targets. !47159
- Add index for API Fuzzing usage data. !47692
- Paginate unit test report. !47953
- Remove .issue-box from static (classic) Issuable list. !47998 (Takuya Noguchi)
- Remove Bootstrap 4's Cards components from Issuables and Todos. !48004 (Takuya Noguchi)
- Fix N+1 when looking up user's solo owned groups. !48340
- Paginate first page of branches using Gitaly. !48595
- Add approvals created_at index. !48684
- Update index for notes to include `system`. !48864
- Remove unnecessary Gitaly calls from raw endpoint. !48917
- Reduce SQL queries when no pipeline hooks are active. !49186
- Improve query that finds all pipelines in the same family. !49240
- Rendering Loading State of Last Commit earlier. !49362
- Fix N+1 queries loading milestones when exporting CSVs. !49429
- Update snippet repository finder for namespace replication. !49518
- Reduce object allocations for large merge request. !49563
- Remove unnecessary Gitaly calls from projects#show. !49565
- Expand index on ci_pipelines. !49604
- Remove unnecessary queries in milestone page. !49662
- Improve the performance of the diff change access check. !49803
- Remove initial data check on project level value stream page. !49936
- Improve UI and performance of branches overview page. !50096
- Use the improved version of Value Stream Analytics backend on the project level. !50141

### Added (125 changes, 13 of them are from the community)

- Configurable personal access token prefix. !20968 (Max Wittig & Diego Louzán)
- Add CI_OPEN_MERGE_REQUESTS environment variable. !38673 (Ben Bodenmiller @bbodenmiller)
- Add Kroki to support more diagrams in AsciiDoc and Markdown. !44851 (Guillaume Grossetie)
- Fix the unreachable CLI image in OpenShift CI template. !44933 (Klaus Mueller @klml)
- Add other role column in user details table. !45635
- Add encrypted ldap secrets support. !45712
- Add the gitlab-experiment gem, with configuration. !45840
- Support Git access for group wikis. !45892
- Add toggle to remove Analytics left nav item. !46011
- Add merge requests total time to merge field to the GraphQL API. !46040
- Cleanup webauthn background migration. !46179 (Jan Beckmann)
- Add GraphQL mutation to update a release. !46611
- Capture design detail views via usage ping. !46751
- Add metric image uploading to incidents via REST API. !46845
- Expose GraphQL resolver for processing CI config. !46912
- Limit maximum deployments per pipeline to 500. !46931
- Enable Crowd auth for git-over-https. !46935 (Thomas Mendoza @tgmachina)
- Create a new `ExperimentSubject` model, associated to the `Experiment` model, and related database migrations. !47042
- Add GraphQL mutations for Devops Adoption Segment. !47066
- Allow passing `commit_id` when creating MR discussions via the API and expose `commit_id` for MR diff notes. !47130 (Johannes Altmanninger @krobelus)
- Adds bulk project repository storage move API. !47142
- Add packages_size to ProjectStatistics API entity. !47156 (Roger Meier)
- Create `vulnerability_findings_remediations` and `vulnerability_remediations` tables. !47166
- Geo: Add verification state machine fields to package files table. !47260
- Add `increment_counter` to Usage Ping API. !47309
- Geo: Add verification indexes for package files. !47372
- Add SEO structured markup for groups. !47374
- Create `incident_management_oncall_schedules` table. !47407
- Add confirm modal to unblock user. !47442
- Add API endoint for Administrators to approve pending users. !47564
- Allow secondary emails in user search. !47587
- Frontend client for increment_counter API. !47622
- Schedule CreateEvidenceWorker jobs in a sliding window. !47638
- Send Static Site Editor events to Usage Ping API. !47640
- Add rake task to disable personal project and group creation. !47655
- Add assign self to group boards sidebar. !47705
- Toggle File-By-File setting from the MR settings dropdown. !47726
- Add regulated field to compliance management frameworks. !47761
- Add lock button to the Terraform State list view. !47842
- Adds migration for user permission uploads. !47846
- Add loading state to boards assignees header dropdown. !47848
- Use CS_ANALYZER_IMAGE in CS template. !47856
- Add cloud_license_enabled column to application_settings. !47882
- Add invitation reminders. !47920
- Create namespace onboarding actions table. !48018
- Expose creation/update times for issue links. !48051
- Add upcoming deployment column to Environments page. !48062
- Add `service_desk_reply_to` to issues list and header. !48089 (Lee Tickett)
- Add iteration_id column to lists. !48103
- Add Epic Board Position model to store relative positioning of epics on a board. !48120
- Add code coverage overall activity to group repository analytics. !48155
- Add confirm modal to reactivate user. !48173
- Email user when registration request is rejected. !48185
- Add artifacts field to JobType. !48207
- Add database index on deployments. !48265
- Add secondary indexes to partitioned audit_events. !48270
- Obfuscate user profile for unconfirmed users. !48271
- Add flash message for setAssignees on group issue boards. !48277
- Add an URL to get user's GPG key if registerd. !48321 (Shimura Rin @blackenedgold)
- Add Operations project setting logic. !48347
- Add GraphQL mutation to delete a release. !48364
- Track MAU for SSE edit. !48377
- Add loading state to assignees header. !48392
- Implement a /clone quick-action to quickly clone an Issue. !48394
- Expose upcoming deployment in environment.json. !48449
- Add Vulnerabilities External Link model. !48465
- Add migration to populate remaining dismissal information for vulnerabilities. !48472
- Mark SCIM-created accounts as provisioned by group. !48483
- Add delete button to terraform list vue. !48485
- Show if a Pipeline was Ran in a Fork. !48517
- Added email notifications when an Issue is cloned. !48534
- Add dependency_proxy_manifests table and associations. !48535
- Add usage metrics for issue clone. !48537
- Implement a /clone_with_notes quick-action to quickly clone an Issue will all its notes. !48539
- Tracks guest package events. !48547
- Retry rsync when source files vanish during backup. !48568
- Add Setting to disable feed_tokens. !48600
- Enable by default usage data API tracking. !48607
- Add GraphQL API to delete container repository tags. !48617
- Github Importer - import pull request reviews from Github. !48632
- Added epic boards and epic board labels tables. !48658
- Allow alerts to be filtered by monitoring tool. !48699
- Adds guest package events to usage data. !48734
- Render http and https URLs as clickable links in Job logs. !48758 (Łukasz Groszkowski @falxcerebri)
- Add Merge Request diff CI variables. !48764 (Jonas Hahnfeld)
- Add admin users serializer and entity. !48791
- Set vulnerability as dismissed when there is dismissal feedback. !48795
- Create package build_info records for Conan, NuGet, PyPI, and Composer packages and package files. !48811
- Add download action to the Terraform state listing. !48837
- Add context to the experiment user records. !48896
- Add index for the `vulnerabilities` table on `project_id`, `state`, and `severity` columns. !48930
- Add uuid column into security_findings table. !48968 (Harrison Brock @harrisonbrock)
- Detect corrupted build logs and report them by incrementing Prometheus counter. !49004
- Add details column to vulnerability findings table. !49005
- Add Project to ContainerRepository GraphQL type. !49019
- Add pipeline information to Terraform state list. !49042
- Add oncall rotations and participants tables. !49058
- Add domain column to alerts table. !49120
- Add dependency proxy predefined environment variables. !49133
- Add usage data rake tasks to prettify JSON output. !49137
- Resolve Transition ID section should include help text. !49204
- Support instance profiles for IAM role for Amazon EKS integration. !49212
- Add `project_id` column into the `vulnerability_remediations` table to scope the records with projects. !49219
- Add member_events column to web_hooks table. !49273
- Upgrade Pages to 1.31.0. !49352
- Add CI/CD analytics GraphQL types. !49384
- Truncate the `security_findings` table. !49385
- Add validating jsonb fields with json schema draft-07. !49451
- Adds sha checksum to composer URL. !49511
- Dependency Proxy for private groups and Dependency Proxy authentication. !49519
- Save usage ping payload in raw_usage_data table. !49559
- Allow downloading of security reports directly from merge request page. !49572
- Show upgrade popover in security widget in merge requests when the user is able to upgrade. !49613
- Introduce frontend for group migration MVC. !49709
- Add issue header mobile dropdown loading state. !49734
- Support extensions as configurable ES6 classes in Editor Lite. !49813
- Allow job to download artifacts in parent-child pipeline hierarchy. !49837
- Add ability to aggregated metrics in Usage Ping. !49886
- Add expiration policy completed at support in container repositories. !49924
- Allow to configure custom service desk email address suffix. !49932
- Add payload_example and payload_attribute_mapping columns to alert_management_http_integrations table. !49941
- Add prefilled variables for run pipeline page. !49985
- Add operations_access_level to project settings API. !50023
- Upgrade GitLab Pages to 1.32.0. !50062
- Add MergeRequest to VulnerabilityType in GraphQL. !50082

### Other (49 changes, 15 of them are from the community)

- Replace-GlDeprecatedDropdown-with-GlDropdown-in-app/assets/javascripts/boards. !41410 (nuwe1)
- Migrate bootstrap dropdown to GlDropdown in app/assets/javascripts/diffs. !41451 (nuwe1)
- Migrate awards list buttons to new buttons. !43061
- Apply GitLab UI button styles to buttons in app/views/projects/graphs directory. !44295 (Lakshit)
- Use GitLab's standard dropdown for the review mode chooser in the WebIDE. !46820
- Replaces elements with the bs-callout class with gl-alert vue component. !47331 (Gary Bell @garybell)
- Add analytics_devops_adoption_snapshots table. !47388
- Add relation name to indexes view. !47422
- Migrate chevron-down icon to svg. !47591
- Disable auto admin mode in features. !47670 (Diego Louzán)
- Remove avg_cycle_analytics from usage ping. !47812
- Remove unused .issue-box CSS. !48002 (Takuya Noguchi)
- Convert shared runner limit alert to gl-alert. !48063
- Remove temporary blocking issues scheduling indexes. !48064
- Update icons to svg in several sort dropdowns. !48092
- Move Terraform state versioning default to database. !48194
- Replace wrong index definition on labels (project_id, title). !48238
- Update GitLab Runner Helm Chart to 0.23.0. !48284
- Add `external_author` alias to `service_desk_reply_to`. !48363 (Lee Tickett)
- Migrate bs-callout to GlAlert in …/unmet_prerequisites_block.vue. !48398
- Improve logging on feature flag modification. !48417
- Replace bootstrap caret-down with chevron-down. !48424
- Convert bootstrap carets to svg chevrons. !48492
- Rename "Cycle Analytics" with "Value Stream Analytics" under /spec. !48531 (Takuya Noguchi)
- Update GitLab Workhorse to v8.56.0. !48592
- Update gitaly gem to 13.6.1. !48601
- Rename "CYCLE_ANALYTICS_*" variables for CI with "VSA_*". !48675 (Takuya Noguchi)
- Adds gl button classes to manifest imports. !48697
- Add btree bloat estimation view. !48698
- Disable auto admin mode on requests and views specs. !48700 (Diego Louzán)
- Move users#show.json to users#activity.json. !48712 (Takuya Noguchi)
- Remove `view_diffs_file_by_file` feature flag. !48966
- Move profiles/keys#get_keys to users#ssh_keys. !48991 (Takuya Noguchi)
- Replace wiki fontawesome icons with emojis. !49097
- Add a project setting to allow editing commit messages. !49152
- Updated UI text to match style guidelines. !49275
- Move profiles/gpg_keys#get_keys to users#gpg_keys. !49448 (Takuya Noguchi)
- Remove references to cross_project_pipeline source in documentation. !49579
- Updated UI text to match style guidelines. !49632
- Migrate bs-callout to GlAlert for components using app/assets/javascripts/vue_shared/components/callout.vue. !49732 (Gary Bell @garybell)
- Bump gitlab-shell version to v13.14.0. !49810
- Track index bloat estimate. !49822
- Conver create merge request button to gl. !49864
- Adds gitlab ui classes to project dir buttons. !49939
- Removed count_uploads_size_in_storage_stats feature flag. !49998
- Delete MockDeploymentService records, used only in development environments. !50030
- Add feed_token specs to spec/features/profiles/personal_access_tokens_spec.rb. !50059
- Replace spec/controllers/ide_controller_spec.rb with request spec. !50075 (Takuya Noguchi)
- Update GitLab Workhorse to v8.57.0.


## 13.6.7 (2021-02-11)

### Security (7 changes)

- Cancel running and pending jobs when a project is deleted. !1220
- Updates authorization for linting API.
- Prevent exposure of confidential issue titles in file browser.
- Check user access on API merge request read actions.
- Prevent Denial of Service Attack on gitlab-shell.
- Limit daily invitations to groups and projects.
- Prevent Server-side Request Forgery for Prometheus when secured by Google IAP.


## 13.6.6 (2021-02-01)

### Security (5 changes)

- Filter sensitive GraphQL variables from logs.
- Avoid exposing release links when the user cannot read git-tag/repository.
- Sanitize target branch on MR page.
- Fix DNS rebinding protection bypass when allowing an IP address in Outbound Requests setting.
- Add routes for unmatched url for not-get requests.


## 13.6.5 (2021-01-13)

### Security (1 change)

- Deny implicit flow for confidential apps.


## 13.6.4 (2021-01-07)

### Security (7 changes)

- Forbid public cache for private repos.
- Deny implicit flow for confidential apps.
- Update NuGet regular expression to protect against ReDoS.
- Fix regular expression backtracking issue in package name validation.
- Upgrade GitLab Pages to 1.30.2.
- Update trusted OAuth applications to set them as confidential.
- Upgrade Workhorse to 8.54.2.


## 13.6.3 (2020-12-10)

### Fixed (5 changes)

- Fix error 500s creating projects concurrently. !48571
- Fix container_registry url for relative urls. !48661
- Resolve Members page 500 error after Invitation sent via API. !48937
- Add different string encoding method in rack middleware. !49044
- Fix MR rendering issue when user is tool admin and not project member. !49258

### Changed (1 change)

- Update Rake check and docs to require Ruby 2.7. !48552


## 13.6.2 (2020-12-07)

### Security (10 changes)

- Validate zoom links to start with https only. !1055
- Require at least 3 characters when searching for project in the Explore page.
- Do not show emails of users in confirmation page.
- Forbid setting a gitlabUserList strategy to a list from another project.
- Fix mermaid resource consumption in GFM fields.
- Ensure group and project memberships are not leaked via API for users with private profiles.
- GraphQL User: do not expose email if set to private.
- Filter search parameter to prevent data leaks.
- Do not expose starred projects of users with private profile via API.
- Do not show starred & contributed projects of users with private profile.


## 13.6.1 (2020-11-23)

### Fixed (5 changes)

- Fix project transfer corrupting shared runners state. !48032
- Fix project select split button bug. !48065
- Fix tags pages erroring for projects with private pipelines. !48184
- Ensure Alerts list loads when only HTTP integrations are enabled. !48247
- Does not track package events on a read-only instance. !48257

### Changed (1 change)

- Re-name Instance Statistics as Usage Trends. !48183


## 13.6.0 (2020-11-22)

### Removed (3 changes)

- Removed ACE editor from the codebase. !46420
- Remove storage limit column from application settings. !46676
- Remove the ability to resole individual notes. !46775

### Fixed (140 changes, 11 of them are from the community)

- Fix rendering of markdown headings and floated images. !25442 (Gwen_)
- Fix release assets link redirection. !35381
- Fix chatbot replies not including job log. !42010
- Show tar warning message when file/folder changed during backup instead of failing whole backup operation. !42197
- Remove default EKS Region dropdown in cluster create form. !43017
- Remove all records from `security_findings` table. !44312
- Add `position` column into security_findings table. !44815
- Render script newlines in CI Lint view. !45087 (Nejc Habjan)
- Fix a race condition checking whether a project is read-only. !45160
- Limit number of times a background migration is rescheduled. !45298
- Improve project labels page card layout consistency. !45311
- Do not convert unicode versions of trademark, copyright, and registered trademark to emoji. !45457
- Gracefully recover from deleted LFS file. !45459
- Fix Bad Escape in Issue Board Empty State. !45465 (Kev @KevSlashNull)
- Update cluster applications CI template to 0.34.1. !45487
- Fixed multi line comment options in parallel mode. !45557
- Removed not equal filter option for drafts on merge requests. !45649
- Fixed target branch not filtering. !45652
- Fix Merge Request "Edit in Web IDE" dropdown link on MR diffs page. !45653
- Handle malformed strings in URL. !45701
- Reset the pagination cursor when a search result filter changes. !45708
- Fix aria label on IDE tab close button. !45709
- Fix danger-secondary button in the Web IDE dark theme. !45714
- Removes the hamburger icon in the Changes tab in Web IDE. !45717
- Fix exception when saving Jira integration info for an instance. !45718
- Make sure the http_requests_total and http_request_duration_seconds metrics are not empty on application start. !45755
- Configure CSP for displaying Youtube videos in the Static Site Editor. !45767
- Render correct URLs for uploads in service desk issues when custom template is used. !45772
- Upgrade Workhorse to v8.52.0. !45778
- Fix project callbacks when propagating integrations. !45781
- Fix project import search box and make it case insensitive. !45783
- Remove the native styles for modal-dialog - Currently off center. !45789
- Fix when Feature Flags link is shown in search bar results. !45803
- Reset search results filters whenever a user changes scope. !45808
- Project Access Tokens - Delete project bot after token expires. !45828
- Paginate project_runners in ci_cd settings. !45830
- Fix bug with robots and .git suffix. !45866
- Block LFS requests on snippets. !45874
- Fix an N+1 issue in Packages::GroupPackagesFinder. !45875
- Fix sticky header issue status not syncing. !45895
- Download LFS files when importing from Bitbucket Server. !45908
- Fix viewing GitHub-imported diff notes in discussions. !45920
- Boards - Fix Milestone icon alignment in header. !45965
- Reduce whitespace on MR page header. !45966
- Fix CSS for To-Do List on mobile. !45969 (Takuya Noguchi)
- Fix wide content overflow on Notebook output. !45971
- Fix auto-deploy-image fetches deprecated stable repository and causes an error. !45984
- Fixed long paths truncating in merge request sidebar incorrectly. !45994
- Remove positive tabindexes. !46003
- Remove "Report abuse" button from a merged Merge Request. !46031 (Takuya Noguchi)
- Fix single file editor patch branch name. !46044
- Updated list view MR icon. !46059
- Tolerate UTF8 BOM character during frontmatter rendering. !46062
- Fix dropzone paperclip and loading icons. !46093
- Copyedit Project Issue Boards API docs. !46110 (Takuya Noguchi)
- Fix typos when deleting a project repository. !46204 (Edstub207)
- Enable rendering avatars with full url. !46206
- Fix bug accessing import route with no user. !46215
- Fix transaction usage in ContainerExpirationPolicyWorker. !46217
- Remove page_title from single project and group pages. !46223
- Skip GMA and SSO validation when creating project access tokens for project bots. !46257
- Make loading icon on feature flag edit page larger. !46268
- Allow semver versions in composer packages. !46301
- Don't return target-specific broadcasts without a current path supplied. !46322
- Fix tracking of frequently visited projects / groups. !46348
- Do not query snippet infromation on the new snippet's creation. !46355
- Populate missing `dismissed_at` and `dismissed_by_id` attributes of vulnerabilities. !46370
- Add CI Status CSS to the Environments Page. !46382
- Allow project storage to be updated when no repositories exist. !46385
- Add licensed check for wip limits. !46387
- Fix problems with Groups API search query parameter. !46394
- Fix QuickActions not working if written before a codeblock. !46401
- Resolve User stuck in 2FA setup page even if group disable 2FA enforce. !46432
- Job dropdown: Hide tooltip explicitly on click. !46465
- Fix loading current directory when changing branches. !46479
- Allow to apply group labels with service desk templates. !46492
- Fix CI artifacts not uploading with tracing enabled and without NGINX. !46513
- Fix logging handling for API integer params. !46551
- Bugfix email notification recipients for comments on Designs. !46642
- Fix linebreak issue in last commit anchor. !46643
- Upgrade fog-google to v1.11.0. !46648
- Fix 'File name too long' error happening during Project Export when exporting project uploads. !46674
- container registry: show delete selected button on medium viewports. !46699
- Improve thread safety of Ci::BuildTraceChunk data stores. !46717
- Fix 404 error from Commit Signature API when using Rugged. !46736
- Fix example responses for Project Issue Board creation API in the docs. !46749 (Takuya Noguchi)
- Autofocus on search input within labels dropdown after labels are loaded. !46750
- Fix example responses for Group Issue Board creation API in the docs. !46760 (Takuya Noguchi)
- Make the Merge Train process flow more resilient by always refreshing merge requests from beginning. !46768
- Show "No user list selected" in feature flags. !46790
- Skip disabled features when importing a project from Gitea. !46800 (John Kristensen (@jerrykan))
- Fixed create merge request dropdown not re-opening after typing invalid source branch. !46802
- Fix broadcast notification close icon appearance. !46804
- Fix remove label inconsistency. !46805
- Assign new incoming diff lines for renamed files to the correct view type. !46823
- Display submodules in MR tree and file header. !46840
- Fix empty state message in explore projects page. !46860
- Better-behaved tooltips in pipeline dropdown. !46866
- Ensure security report is displayed correctly in merge requests with a lot of CI jobs. !46870
- Fix code lines being cut-off on failed job tab. !46885
- Populate values for `has_vulnerabilities` column of `project_settings` table. !46890
- Fix group destroy not working with Gitaly Cluster. !46934
- Fix setting Comment detail for Jira and modal for groups. !46945
- Fix retried builds icon sprite to use css_class. !46955
- Remove unnecessary expand sha button in pipelines page. !47012
- Fix operations settings when Pipelines are disabled. !47062
- Fix duplicate epic iids and add uniqueness constraint. !47081
- Fix relative path not found on production web server. !47090
- Moved template warning below type. !47103
- Fix top margin in new project page. !47109
- Make delete repo prompts consistent. !47117
- Make register_instructions optional for RunnerSetup. !47123
- Fix milestones param validation for releases API PUT method. !47169
- Fixed create branch button not hiding when issue is closed. !47187
- Fix config variables when having includes. !47189
- Handle nullbytes in auth headers. !47206
- Fix error when updating releases with milestone associations through the UI. !47222
- Fixed diff metadata endpoint being called twice. !47265
- Fix pipeline security tab filters not showing. !47294
- Fix unified component inline display. !47345
- Fix secure MR widget colors in dark mode. !47352
- Fix status emoji tooltip trigger. !47378
- Fix workflow:rules not accessing passed-upstream and trigger variables. !47399
- Fix internal lfs_authenticate API for non-project repositories. !47404
- Fix alerts integration list Snowplow tracking event. !47413
- Resolve Suggest Pipeline flow second step not loading. !47419
- Fix overly aggressive prevent call. !47455
- Fix syntax highlight issue with regular expressions. !47469
- Stop finding commit with empty ref. !47497
- Fix issues list when due date parameter is invalid. !47524
- Bump versions of secrets and klar in the Secure-Binaries template. !47531
- Fixed copy contents functionality for snippets. !47646
- Reject incomplete multibyte chars in UTF8 params. !47658
- Fix deploy token permissions for write_package_registry. !47675
- Fix comment cells not rendering in unified component inline view. !47693
- Replace poorly performing auth event providers query in usage ping. !47710
- Do not fail when cleaning up MR with no repository. !47744
- Clear cached merge_ref_sha on reopen. !47747
- Refactor and UI-polish around activity calendar on user profile. !47797 (Takuya Noguchi)
- Fix for missing user info for Terraform State. !47814

### Deprecated (1 change)

- Deprecate support for Elasticsearch 6.x. !45619

### Changed (143 changes, 5 of them are from the community)

- Match Jira users by email, username or name on jira issues import. !33883
- Use global IDs for GraphQL arguments accepting sentry IDs. !36098
- GraphQL Snippets: use Global-ID scalar. !36117
- Add Google Tag Manger to sign in/up and trial pages. !38395
- Prune loose objects during git garbage collection. !39592
- Throttle container cleanup policies execution by using a limited capacity worker. !40740
- Update leave group modal to gl-modal. !41817
- Split sign in and sign up pages. !42592
- Improve messaging for emails from alerts. !43054
- Replace fa-check icons with GitLab SVG check icon. !43353
- Manually collapsed diff files are now significantly shorter and less visually intrusive. !43911
- Update change username modal. !44325
- Add support for search and inclusion of project labels within Group Labels API. !44415
- Add usage ping for unique users importing issues via CSV. !44742
- Add default regexes and prevent blank regexes for container cleanup policies. !44757
- Enable Sidekiq argument logging by default. !44853
- Search Autocomplete add GFM support for issues. !44930
- New group and project invite mail design. !44940
- Make the repository read-only while running cleanup. !45058
- Use existing group label when promoting project label. !45122
- Update Rack to v2.2.3. !45183
- Remove feedback alert from on-demand scans form. !45217
- Expand scope of coverage badge query to all successful builds. !45321
- Forbid top-level route sitemap.xml. !45359
- Update GraphQL input ids for Board Lists and Issues to be more type specific. !45398
- Update copy branch keyboard shortcut to click sidebar button. !45436
- Rename "a whole number" to "an integer number" in feature flags strategies. !45444
- Expose humanTimeEstimate and humanTotalTimeSpent via graphql. !45508
- Add link to the note on the email sent after adding a comment on an issue. !45511
- Add usage ping for unique users importing groups and projects via the group migration tool. !45536
- Remove resolve comment functionality. !45549
- Render 404 to search engine crawlers instead of redirecting to login. !45552
- Use GitLab SVGs in audit_icon helper. !45562
- Remove temp index on job artifacts. !45565
- Move test report system output to modal. !45575
- Generate a longer Kuberntes Agent Token by default (was 20 characters, now 50). !45620
- Update system note when marking merge request as draft or ready. !45644
- Replaced GlDeprecatedBadge for GlBadge in requirements tabs. !45647
- Add EC2 to AutoDevOps template. !45651
- Replace external-link icons with GitLab SVG. !45685
- Update loading icon for buttons used in MR's set to merge automatically. !45693
- Add fuzzy-search on full path in Groups API. !45729
- Minor UI improvements to Wiki Delete Page button and modal. !45740
- Add canonical link for default explore route. !45746
- Replaced GlDeprecatedBadge for GlBadge in environment header. !45768
- Replace fa-refresh icon with GitLab SVG. !45777
- Allow user snippets to be indexed by search crawlers. !45793
- Add total count to Terraform state GraphQL API. !45798
- Adds feature flag to disable package events. !45802
- increase allowed dotenv variables from 10 to 20. !45815 (jrreid)
- Remove search_filter_by_confidential Feature Flag. !45819
- Replace fa-caret-down with chevron-down SVG in pipeline action buttons. !45881
- Add new search params to metadata. !45896
- Add suggest pipeline for viable merge requests without pipelines. !45926
- Change permanent routable redirect to 301. !45980
- Disallow realtime_changes route in robots.txt. !45986
- Limits the Deploy Boards data to 10 MB. This change is enabled by default behind a feature flag. !46043
- Migrate DeprecatedModal to GitLab UI Modal for promoted labels. !46047
- Remove admin_approval_for_new_user_signups feature flag. !46051
- Show error in pipeline when API Fuzzing not licensed. !46064
- Improving Container Registry Delete Tags Service to log number of successfully deleted tags even if deletion process was interrupted by a timeout. !46079 (Maksim Stankevic, @maksimstankevic)
- Remove scanned_resources_count column from security scan. !46108
- Resolve request IP address on audit event. !46114
- Disallow /autocomplete/projects route in robots.txt. !46115
- Disallow WebIDE route in robots.txt. !46117
- Replace fa-chevron-up with GitLab SVG icon. !46118
- Pre-fetched GraphQL queries for snippet view. !46130
- Make all Project Issue Boards API available even in CE. !46137 (Takuya Noguchi)
- Move Personal Access Token API to Core. !46145
- Update stop all jobs modal to latest modal. !46157
- Replaced GlDeprecated Badge in clusters.vue. !46165
- Update whitelist/blacklist to allowlist/denylist in Signup restrictions window. !46168
- Use allowlist/denylist in application settings backend. !46170
- Update detailed_metric.vue modal to match Pajamas guidelines. !46183
- Use toasts for wiki notifications. !46201
- Refresh design zooming buttons. !46205
- Replace fa-warning icons with GitLab SVG warning-solid icon. !46214
- Disallow some project routes in robots.txt. !46218
- Improve empty search results message for group and project scopes. !46237
- Add minimal access users to group members api endpoints. !46238
- Replace ACE with Editor Lite. !46250
- Use CodeQuality 0.85.18 in the CI template. !46253
- Add rate limit bypass. !46259
- Use Helm 3 by default for GitLab-managed apps in new clusters. !46267
- Update diff_max_patch_bytes from 100kb -> 200kb. !46276
- Expand Diff File collapsed UI to be significantly more obvious. !46286
- Use standard loading state for Design Upload button. !46292
- Allow for return of scoped broadcast messages on shell. !46333
- Add filtering by recorded date to instance statistics measurements GraphQL API. !46344
- Background migration for setting Jira tracker data deployment type. !46368
- Use updated base report for CodeQuality MergeRequest widdget. !46384
- Make files header responsive and remove truncate name. !46406
- Switch to admin clusterRole for GitLab created environment Kubernetes service account. !46417
- Require Git v2.29.0. !46433
- Generate canonical url and remove trailing slash. !46435
- Moves projects_with_error_tracking_enabled ping usage to Core. !46556
- Mark Sidekiq queue selector as no longer experimental. !46562
- Add new incident counts to usage ping. !46602
- Added code coverage regex for Scala Scoverage. !46638 (opensorceror)
- Show error in pipeline when Coverage Fuzzing not licensed. !46652
- Forbid top level route sitemap. !46677
- Package details: on mobile show all the tags. !46679
- Add message in CI linter that it was validated with all the includes. !46713
- Reschedule again background migration which convers 'blocked_by' issue links to 'block'. !46770
- Load CI lint checks without refreshing the page. !46801
- Show code quality severity rating in the merge request details page. !46829
- Move "New subgroup" and "New project" out of the dropdown into individual buttons. !46907
- Admin approval required on user registration by default. !46937
- Update merge request search results design. !46944
- Add emailsDisabled field for issue type. !46947
- Enable 'instance_statistics' feature flag by default. !46962
- Update image upload path (SSE). !46967
- Changes limit for lsif artifacts to 100MB. !46980
- Add user info to Terraform State List. !46984
- Improve the container registry client tags delete method. !46989
- Filter GitHub projects to import using GitHub Search API. !47002
- Add BulkImport::Tracker to store the pagination information of the Group Migration (BulkImport) requests. !47009
- Use new image details API in container registry details. !47054
- Hide apply suggestion button for anonymous users. !47071
- Change the mutation and permissions for image note reposition. !47161
- Extend GraphQL API to commit to a new branch in a single operation. !47203
- Add region field to AWS Role. !47209
- Cache repository raw endpoint. !47225
- Update the tag name field helper text on the Edit Release page. !47234
- Make Terraform/Base.latest.gitlab-ci.yml template safer to use in projects that have non-terraform jobs. !47254
- MR Analytics: Fix chart tooltip covering filter dropdown. !47274
- Replace fa-check icon in custom notifications. !47288
- Use dedicated signing key for CI_JOB_JWT by default. !47336
- Replace fa-check icon in importer status. !47373
- Add pagination to Terraform list view. !47412
- Add new text and tab name for DAG. !47415
- Enable `vue_group_members_list` feature flag by default. !47427
- Improve the look of wikis in search results. !47470
- Dependency proxy feature is moved to GitLab core. !47471
- Remove ci_trace_new_fog_store feature flag. !47522
- Make schema breadcrumb urls absolute. !47523
- Add type annotation for snippet resolvers. !47548
- Remove feature flag to enable tracking unique test cases parsed globally. !47662
- Replace font-awesome icons in prometheus config. !47713
- Replace fa-chevron-down in dropdown button. !47758
- Replace fa-exclamation-triangle in markdown field MERGE_REQUEST_ID. !47786
- Update rack-oauth2 to v1.16.0. !47839 (Vincent Fazio @vfazio)
- Replace fa-chevron-down in project level VSA. !47885

### Performance (14 changes, 2 of them are from the community)

- Don't refresh all discussions for a new diff note on a merge request. !43015
- Add default_branch to ci_daily_build_group_report_result. !45702
- Upgrade labkit to 0.13.1. !45788
- Add Caching to BitBucket Server Import for pull requests. !45790 (Simon Schrottner)
- Resolve admin/license timeout on large instances. !46336
- Gracefully degrade when counting takes too long for a filtered search. !46350
- Add Batch Support for Importing Pull Requests from Bitbucket. !46696 (Simon Schrottner)
- Schedule clean up of merge request refs efficiently. !46758
- Only set an ETag for the notes endpoint after all notes have been sent. !46810
- Parallelize the removal of expired job artifacts. !46971
- Fix pipelines chart query timeout. !47069
- Add NULLS LAST to index on merge request metrics. !47300
- Add missing expression indexes. !47424
- Enable HTTP caching of repository raw, archive, and avatar endpoints. !47430

### Added (119 changes, 6 of them are from the community)

- Show build status in tag list. !34307 (Lee Tickett)
- Enable the ability to upload images via the SSE. !36299
- Add webhooks for feature flag. !41863 (Sashi)
- Add until_executed deduplication strategy. !42223
- Add support for .md.erb files in Static Site Editor. !42353
- Add install GitLab runner popup. !42877
- Add Default Initial Branch Name for Repositories Group Setting. !43290
- Update the milestone dropdown combobox to display separated sections and badge counters. !43427
- Jira Connect automatically synchronizes up to 400 existing merge requests per project when a namespace is connected. !43880
- Add CI JWT signing key to application_setings. !43950
- Add GraphQL endpoints to lock, unlock and delete Terraform states. !43955
- Add ability to sort releases on Releases page. !43963
- Debian RFC822 and .deb metadata extractor. !44029 (Mathieu Parent)
- Add assignees multiselect wrapper. !44087
- Show the environment link on alert details page. !44130
- Associate multiple pipelines with packages and package files. !44348
- Add a stop review job for ECS. !44717
- Add assignee dropdown to group issue boards. !44830
- Add Total Duration to CI/CD Analytics Page. !44863 (Kev @KevSlashNull)
- Add webhooks for creating and updating a release. !44881 (David Barr @davebarr)
- GraphQL API for listing container repositories. !44926
- Add ability to sort search results for issues and merge requests. !45003
- Add db index for DastSiteValidation#state. !45019
- Store test failure data when build finishes. !45027
- Add GraphQL burnup endpoint under milestone and iteration reports. !45121
- Add hostname to GitHub import API. !45188
- GraphQL: Adds downstream, upstream, source job, path, and project to PipelineType. !45212
- Associate Terraform state versions with the CI job that created them. !45347
- Add sha256 and file count to pages_deployments. !45522
- Add basic top level keys license, settings, and counts_weekly for usage data payload. !45540
- Allow sorting of releases from GraphQL. !45577
- UsageData for issues added/removed/edited. !45609
- Enable dashboard security discover button and ignore feature_filter_type column cleanup. !45636
- Add Support for Canary-Weight ingress annotation via API. !45637
- Add default sitemap generator for gitlab-org group. !45645
- Add new Terraform state list page. !45700
- Add Search for User Lists in Strategy. !45820
- Add jobs field with secureReportTypes argument to Ci::PipelineType. !45837
- Add latest version field to Terraform state GraphQL type. !45848
- Add repository_read_only column to Snippets. !45868
- Add availability to user status. !45888
- Add secret detection token revocation columns. !45912
- Add `has_vulnerabilities` column into project_settings table. !45944
- Email user on admin account approval. !45947
- Add API post /invitations by email. !45950
- Add repositionImageDiffNote GraphQL mutation to specifically reposition DiffNotes on images. !45958
- Create snippet_repository_storage_moves database table. !45990
- Expose issue updated by on GraphQL. !46015
- Allow to create todo on GraphQL. !46029
- Add API get /invitations for project and group. !46046
- Migrate Configure Feature Flags Modal to GitLab UI. !46055
- Add User-Agent to web hook service. !46070
- Add links to GraphQL release object for searching related issues and merge requests. !46161
- Migrate Alert Service to HTTP Integrations model. !46188
- Determine image relative paths. !46208
- Add releaseCreate mutation to GraphQL endpoint. !46263
- Add migration to populate pipeline_id in Vulnerability Feedback. !46266
- Add a /draft alias to the /wip quick action. !46277
- Add usage ping for web users of geo secondaries. !46278
- Enable refactored union set operator. !46295
- Add userDiscussionsCount to issues and merge requests GraphQL. !46311
- Add a service for token revocation. !46356
- Forward deployment, add modal to warn users on Retry action. !46416
- Expose moved and movedTo attributes in Issues query. !46447
- Add merge request description templates to Static Site Editor. !46488
- Add container repositories API. !46495
- Track usage of CI Secrets Management (Vault secrets). !46515
- Added GraphQL mutation for creating project and group labels. !46534
- Add total projects imported usage ping. !46541
- Add structured markup for users. !46553
- Container repository details GraphQL API. !46560
- Add iid column to design_management_designs. !46596
- Add search param to Users GraphQL type. !46609
- Add metric count for projects with alerts created. !46636
- Add ability to sort to search API. !46646
- Enable MR CSV export. !46662
- Upgrade GitLab Pages to 1.29.0. !46665
- Add merge requests filters for filtering by environments and deployment dates. !46683
- Add projects_with_enabled_alert_integrations usage ping. !46693
- Remove graphql_lazy_authorization feature flag. !46819
- Allow setting the value of 'require_admin_approval_after_user_signup' via Settings API. !46851
- Add structured data for projects. !46858
- NPM project level API. !46867
- Send email notifications to admins about users pending approval. !46895
- Monokai theme for the Web IDE. !46901
- Enable issue and MR stat links on release progress review. !46910
- Default enable new_pipeline_form. !46915
- Add tooltips to design buttons. !46922 (Lee Tickett)
- Account for uploads as part of used repository storage. !46941
- Add SEO schema markup to breadcrumbs. !46991
- Add locked and confidential badge to issue sticky header. !46996
- Add Web IDE Solarized Light theme support. !46999
- Add POST project CI lint API endpoint. !47026
- Display Group SAML provider ID in admin. !47034
- Adds warnings to API response for /lint. !47037
- Filter jobs by security report type in GraphQL. !47095
- Update container_scanning to version 3 to support FIPS. !47099
- Adds rake task to generate package events file. !47118
- Add container repository destroy GraphQL mutation. !47175
- Add search assignees to group issue boards. !47241
- Add Redis version to admin page. !47242
- Add CI job to Terraform state version GraphQL type. !47339
- Add pipeline to CI job GraphQL type. !47347
- Add group-level integration management for external services. !47391
- Add cloud_license_auth_token column to application_settings. !47396
- Add user callout to alert admins that registration is open by default. !47425
- Include aggregated git-write usage counts. !47511
- Add cleanup status field to graphQL ContainerRepositoryType. !47544
- Global Search - Left Sidebar. !47561
- Add group name and link in admin identities. !47563
- Implement including multiple files from a project. !47609
- Expose GraphQL API for managing HTTP alerting intergations. !47687
- Convert issue header actions to an ellipsis dropdown menu. !47690
- Add alerting support for custom dashboards. !47704
- Support fuzzing HTTP headers with API Fuzzing. !47727
- Store pages content in zip format. !47763
- Upgrade GitLab Pages to 1.30.0. !47780
- Add variable expansion to rules:changes. !47783
- GraphQL: Expose uploads_size for project_statistics and root_storage_statistics. !47820

### Other (68 changes, 26 of them are from the community)

- Migrate .fa-spinner to .spinner for app/helpers. !25033 (nuwe1)
- Remove new_variables_ui feature flag. !41412
- Replace-GlDeprecatedDropdown-with-GlDropdown-in-app/assets/javascripts/error_tracking. !41420 (nuwe1)
- Replace-GlDeprecatedDropdown-with-GlDropdown-in-app/assets/javascripts/monitoring. !41422 (nuwe1)
- Replace Deprecated Dropdown in Container Registry Explorer Page. !41425 (nuwe1)
- Replace-GlDeprecatedDropdown-with-GlDropdown-in-app/assets/javascripts/snippets/components/snippet_header.vue. !41428 (nuwe1)
- Replace-GlDeprecatedDropdown-with-GlDropdown-in-app/assets/javascripts/vue_merge_request_widget. !41429 (nuwe1)
- Migrate-Bootstrap-dropdown-to-GitLab-UI-GlDropdown-in-app/assets/javascripts/jobs/components/stages_dropdown.vue. !41452 (nuwe1)
- Replace v-html with GlSprintf in notes/.../discussion_filter_note.vue. !41482 (Takuya Noguchi)
- Update to Ruby v2.7.2. !44223
- Update haml_lint from 0.34.0 to 0.36.0. !44914 (Takuya Noguchi)
- Update Web IDE pipelines panel to use our design system component. !45007 (matejlatin)
- Replace existing Image Resizing FFs with a single of `ops` type enabled by default. !45050
- Remove Cycle Analytics message from en i18n message. !45178 (Takuya Noguchi)
- Specify primary key for tables without. !45198
- Update Tooltip in Groups to use gl-tooltip. !45305
- Print Ruby version in console greeting. !45370
- Fix Rails/SaveBang offenses for spec/services/* and spec/sidekiq/*. !45391 (matthewbried)
- Migrate collapsed notification tooltip. !45453 (artychan)
- Add database view for partitioned tables. !45591
- Add database view for partitions. !45592
- Remove duplicated BS display properties from Issue. !45628 (Takuya Noguchi)
- Replace quick_submit BSTooltip with GlTooltip. !45638 (Kristin Brooks @kristinbrooks)
- Add migration to add a new configuration option for setting the new user signups count. !45643
- Remove unnecessary index on services for usage data. !45655
- Update GitLab Runner Helm Chart to 0.22.0. !45664
- Replace bootstrap classes for alerts in ping consent. !45723
- Add `analytics_devops_adoption_segment_selections` and `analytics_devops_adoption_segments` database tables. !45748
- Refactor secondary_navigation_elements.scss. !45763 (Takuya Noguchi)
- Migrate toggle replies widget from Bootstrap to GlButton. !45780
- Simplify CSS for Merge Requests (list). !45785 (Takuya Noguchi)
- Add auto_rollback_enabled column to project_ci_cd_settings table. !45816
- Add merge trains enabled setting to project ci cd settings. !45834
- Fix incorrect code in Load Performance Testing docs. !45877
- Migrate services specs to consider admin mode. !45988 (Diego Louzán)
- Migrate tooltip in app/assets/javascripts/vue_merge_request_widget/components/mr_widget_author.vue. !46034
- Migrate Bootstrap buttons to GitLab UI buttons for attach a file form actions. !46041
- Replace chevron-down fa-icon in board sidebar. !46075
- Replace down chevron on invite member/group. !46076
- Clarify that external users cannot access all internal projects, groups, and snippets. !46087 (Ben Bodenmiller (@bbodenmiller))
- Declare and assign variable separately in Shell Script. !46121 (Peter Dave Hello @PeterDaveHello)
- Execute `exit 1` when shell script `cd` fails. !46122 (Peter Dave Hello)
- Migrate tooltip in app/assets/javascripts/ide/components/commit_sidebar/list.vue. !46148
- Migrate tooltip in app/assets/javascripts/vue_merge_request_widget/components/mr_file_icon.vue. !46156 (46156)
- Migrate tooltip in app/assets/javascripts/vue_shared/components/awards_list.vue. !46171
- Replace close button in Scheduling Pipelines user notice with GlButton. !46264
- Add performance marks and measures to the MR Diffs app at critical moments. !46434
- Corrected grammar in Sign-in restrictions text. !46500
- Update access token fields to new input style. !46569
- Rename "cycle analytics" with "value stream analytics" under /spec. !46613 (Takuya Noguchi)
- Resolve Implement GraphQL Startup.js for Design Management app. !46660
- Bump workhorse to 8.53.0. !46666
- Remove columns no longer used for replicating terraform state. !46742
- Backfill cleanup schedules for old closed/merged MRs. !46782
- Bump gitlab-shell version to 13.12.0. !47084
- Remove duplicated BS display properties from Merge Request title. !47124 (Takuya Noguchi)
- Remove duplicated BS display properties from various Diffs. !47125 (Takuya Noguchi)
- Expand postgres_indexes view. !47304
- Update terminal empty state alert to gl component. !47340
- Guard against existence of project_features.requirement_access_level in migration. !47458 (Lee Tickett)
- Replace mirror chevron down icon with svg. !47459
- Update chevron-down icon on project branch page. !47460
- Update button styles in project tree header. !47562
- Update button styles in blob header. !47571
- Update icons to svg for issuable pages. !47596
- Update Workhorse version to 8.54.0. !47625
- Update GitLab Shell to v13.13.0. !47875
- Change wording on the project remove fork page. !47878


## 13.5.7 (2021-01-13)

### Security (1 change)

- Deny implicit flow for confidential apps.


## 13.5.6 (2021-01-07)

### Security (7 changes)

- Forbid public cache for private repos.
- Deny implicit flow for confidential apps.
- Update NuGet regular expression to protect against ReDoS.
- Fix regular expression backtracking issue in package name validation.
- Upgrade GitLab Pages to 1.28.2.
- Update trusted OAuth applications to set them as confidential.
- Upgrade Workhorse to 8.51.2.


## 13.5.5 (2020-12-07)

### Security (10 changes)

- Validate zoom links to start with https only. !1055
- Require at least 3 characters when searching for project in the Explore page.
- Do not show emails of users in confirmation page.
- Forbid setting a gitlabUserList strategy to a list from another project.
- Fix mermaid resource consumption in GFM fields.
- Ensure group and project memberships are not leaked via API for users with private profiles.
- GraphQL User: do not expose email if set to private.
- Filter search parameter to prevent data leaks.
- Do not expose starred projects of users with private profile via API.
- Do not show starred & contributed projects of users with private profile.


## 13.5.4 (2020-11-13)

### Fixed (4 changes)

- Fix Vue Labels Select dropdown keyboard scroll. !43874
- Hashed Storage: make migration and rollback resilient to exceptions. !46178
- Fix compliance framework database migration on CE instances. !46761
- Resolve problem when namespace_settings were not created for groups created via admin panel. !46875


## 13.5.3 (2020-11-03)

### Fixed (3 changes)

- Fix IDE issues with special characters. !46398
- Ensure that copy to clipboard button is visible. !46466
- Auto Deploy: fixes issues for fetching other charts from stable repo. !46531

### Added (1 change)

- Add environment variables to override backup/restore DB settings. !45855


## 13.5.2 (2020-11-02)

### Security (9 changes)

- Add CSRF protection to runner pause and resume. !1021
- Do not expose Terraform state record in API.
- Path traversal to RCE via LFS upload.
- Update container_repository_name_regex to prevent catastrophic backtracking.
- Validate nuget package names.
- Prevent private repo from being accessed via internal Kubernetes API.
- Validate each upload param key in multipart.rb.
- Fix XSS vulnerability for job build dependencies.
- Fix unauthorized user is able to access schedule pipeline variables and values.


## 13.5.1 (2020-10-22)

### Other (1 change)

- Update GitLab Shell to v13.11.0. !45660


## 13.5.0 (2020-10-22)

### Security (1 change)

- Update GitLab Runner Helm Chart to 0.21.1.

### Removed (3 changes, 2 of them are from the community)

- Drop Iglu registry URL column. !42939
- Remove coverage_report_view feature flag. !43711 (David Barr @davebarr)
- Remove release_evidence_collection feature flag. !44234 (David Barr @davebarr)

### Fixed (118 changes, 9 of them are from the community)

- Include builds from child pipelines in latest sucessful build for ref/sha. !29710
- Fix branches_to_be_notified API param for hangouts chat service. !35599
- Add empty dependencies value to ECS Deploy job. !36862
- Fix issues with optional merge requests approval in CE. !42119 (Pavel Kuznetsov)
- Fix type of SentryErrorType global ID. !42185
- Remove linux arch only rule for coverage fuzzing. !42316
- Do not show retried builds in the MR code coverage. !42402 (Simon Lenz @koala7)
- Does not refresh project/snippet statistics on a read-only instance. !42417
- Rendering trailing slash in reference links (issue 205151). !42484
- Remove retry icon on failed job if merge pipeline. !42495
- Designs: return an error if uploading designs with duplicate names. !42514 (Sushil Khanchi)
- Unit Test Report: Fix icon for errored status. !42540
- Copy designs to issue when an issue with designs is moved. !42548
- Fix triggering multiple children pipeline with the same artifact. !42595
- Fix caret sizes in navigation. !42605
- Revert required encryption on CI runner tokens. !42623
- Fix Markdown "Preview" tab on New/Edit Release and New Snippet pages. !42640
- Fixed a bug causing 'Missing author note' to be added to notes for mapped users when importing project using GitLab Import. !42648
- Hides batch suggestions button if there is only 1 suggestion. !42681
- Fix GraphQL token authentication when installed under a relative URL. !42706
- Update pipeline failed notification e-mail warning. !42736
- Fix clickable width of release asset links. !42757
- Fix size of edit button on releases page. !42779
- Move before_script into script for CQ template. !42782 (Vicken Simonian @vicken.papaya)
- Resolve Error when quickly reordering designs. !42818
- Eliminate extra spacing on MR diffs from mobile/tablet screen. !42821 (Takuya Noguchi)
- Fix migrating some empty diffs. !42825
- Fix filtering epics when sorting by dates. !42827
- Fix edge case when updating snippet with no repo. !42964
- Fix group deploy tokens permissions for package access. !43007
- Empty state Packages UI links to user docs. !43009
- Allow Unleash clients to request feature flags when repository is private. !43059
- Show incident list for users who can read issues. !43060
- Auto-accept TOS if project bot. !43067
- Fix checking of task lists when MR description starts with a blank line. !43125
- Fix iteration validation not checking parent groups. !43234
- Fix theme selector not working immediately for some themes. !43239
- Reset labels select search text on Enter. !43285
- Ensure JobWaiter keys always expire. !43320
- Make git lfs for push mirrors work to GitHub.com. !43321
- Fix incorrect HTTP response in deactivate user API for internal user. !43356 (Sashi Kumar)
- Fix bug to allow container cleanup policies to properly run. !43359
- Delete project bot when token is revoked. !43373
- Allow to include project files in parent-child pipelines. !43404
- Fix button placement on pipeline graph. !43419
- Fix 500 error in block user API for internal user. !43461 (Sashi Kumar)
- Fix Web hook deletion not working when many hook logs are present. !43464
- Fix copy_indexes migration helper skipping the opclass for indexes with operator classes defined for them. !43471
- Add markdown icon to more file extensions. !43479
- Fix suggested squashed messages for MR. !43508
- Ensure code search results link to searched ref. !43510
- Fix broken user avatars in Jira Development Panel. !43563
- Update database helpers to set the current_schema. !43568
- Remove project bot user membership when project access token expires. !43605
- Improve the Commit box on the Merge Request Changs tab when browsing per commit. !43613
- GraphQL: No longer allows to omit ID when querying for a single board. !43627
- Fix group deploy tokens to return all projects and work with the Maven group endpoint. !43628
- Fix GraphQL backward pagination when merge requests are ordered by merged_at. !43701
- Fix approvedBy filed in MR GraphQL API. !43705
- Customize value of note_target_type for designs. !43727
- Fix displaying a message when design copying is in progress. !43749
- Fix verifying LFS uploads with GitHub. !43852
- Fix Delete User dialog formatted strings. !43871
- Add cleanup migration for JobWaiter Redis keys. !43882
- Include Design Management git repositories in GitLab Backup. !43947
- Add fuzzy search support to labels dropdown. !43969
- Fix broken button default class. !43977
- Fix full screen comment button on snippets. !44083
- Allow unauthenticated users access to public Personal Snippets via the REST API. !44135
- Fix the ability to assign labels based on license feature availability. !44171
- Recover gracefully when issuable counts are too expensive. !44184
- Fix attach file button not working in description fields. !44216
- Fix design scale bug when navigating to a design after zooming. !44262
- Prefer server-provided authentication for LFS push mirroring. !44284
- Return nil when fetching a wiki page with invalid arguments. !44302
- Update Design thumbnail after uploading an image with the same filename. !44305
- Add tooltip for pipeline actions. !44317
- Ensure suggestion works for number text. !44332
- Update NuGet version validation to allow for extended versions. !44335
- Respect DNT when tracking experiments. !44420
- Fix merge conflict button text if "None" code style selected. !44427 (David Barr @davebarr)
- Allow unauthenticated users access to public Project Snippets via the REST API. !44446
- Fix instance statistics GraphQL query with identifier. !44475
- Designs are moved with an Issue that is moved. !44524
- Fix Auto Deploy scale subcommand unintentionally recreates legacy PostgreSQL. !44535
- Fix emoji rendering in certain edge cases. !44542
- Return 422 error rather than 500 when composer.json is missing or malformed. !44587 (David Barr @davebarr)
- Use optimistic locking to safely migrate a build trace chunk. !44588
- Avoid New Environment button glitching when changing tabs. !44603
- Perform git actions with a user with elevated git permissions during a design copy. !44662
- Align badge with avatar in MR List. !44671
- Fix regression when uploading / viewing binary files in the Web IDE. !44699
- Exclude policies with no container repositories when executing them. !44748
- Fix unnecessarily escaped merge error text. !44844
- Fix button row margin on empty project. !44860
- Add note about cross site cookies browser limitaion to Jira App page. !44898
- Allow re-sending invite to minimal access user. !44936
- Fix dark mode for boards and swimlanes. !44951
- Fix dark mode for milestones. !44952
- Add missing 90x avatar size for image scaling. !45025
- Allow size limit to be available by default in the project pages settings form. !45054
- Fixed incorrect parameter in GraphQL startup call. !45115
- Fix table border hover for incidents and alerts. !45117
- Fix Jira Connect App update webhooks. !45151
- Fix scoped label markdown padding. !45153
- Fix redirects to issue sidebar JSON when visiting the login page. !45194
- Revert of Background migration for setting Jira tracker data deployment type. !45205
- Delete any outstanding BackfillJiraTrackerDeploymentType. !45219
- Fix mobile view of filtering bar. !45226
- Fix the maven md5 upload endpoint. !45271
- Redirect when no user is signed in when updating registration. !45276
- Class and markup cleanup to prevent SVG header bar overlap in Static Site Editor. !45334
- Update to Rack v2.1.4. !45340
- Avooid opening 2 modals for enabling review app. !45361
- Fix undefined tooltip text flashing on clipboard icon. !45482
- Fix error when cleaning up MR with no head ref. !45504
- Disable target branch filter option on merge requests dashboard.
- Fixed merge request tabs overlapping with system header.

### Deprecated (2 changes, 1 of them is from the community)

- Set abuse_notification_email instead of admin_notification_email. !41319 (Hiromi Nozawa)
- Drop column instance_statistics_visibility_private. !42969

### Changed (141 changes, 11 of them are from the community)

- Set default Referrer-Policy to strict-origin-when-cross-origin and set it in a header rather than HTML. !26065 (nhirokinet)
- Background migration for setting Jira tracker data deployment type. !37002
- Update clipboard button to use Pajamas. !38421
- Parallelize removal of expired artifacts. !39464
- Update styling of design comment pins. !39797
- Update confidential form buttons to gl-button. !40893
- Replace bootstrap alerts in app/views/admin/broadcast_messages/_form.html.haml. !41271 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/import/shared/_errors.html.haml. !41288 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/projects/diffs/_warning.html.haml. !41295 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/profiles/accounts/show.html.haml. !41299 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/admin/projects/show.html.haml. !41389 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/projects/milestones/show.html.haml. !41396 (Gilang Gumilar)
- Update lock form buttons to gl-button. !41454
- Updated Discard Changes button in WebIDE. !41899
- Migrate DeprecatedModal to GitLab UI Modal. !42113
- Migrate custom Tabs to GlTabs. !42236
- Revert justified-content-end settings buttons. !42273
- Add Web IDE as dropdown item to diff file edit. !42275
- Expose the option to use namespace-per-project instead of namespace-per-environment for Kubernetes clusters. !42309
- Split name to first and last name for signup. !42346
- Move job token specs to core. !42374 (Mathieu Parent)
- Resolve Add filter capabilities to Incident list. !42377
- Remove angle brackets from empty name in U2F device settings. !42440
- Update sidebar operations order. !42493
- Add Gitpod enabled instance setting to Usage Data. !42563
- Add Gitpod enabled user setting to Usage Data. !42570
- Remove accept terms checkbox for signup. !42581
- Add user sign in indicator to Jira connect app. !42628
- Include monitoring tool from payload in system note for alert creation. !42631
- Rename Created to Published in package sort dropdown. !42677
- Breadcrumb like UI for project path in packages list. !42684
- Allow alerts to open on new tab. !42691
- Replace button component. !42716
- Add Issue Link to "Issue opened by" Integration Chat Message. !42785 (Kev @KevSlashNull)
- Hide instance-level integrations on GitLab.com. !42808
- Remove banner that suggests Web IDE for editing gitlab-ci.yml. !42815
- Updated the admin and user SSH key delete confirmation to use GlModal. !42824
- Add confirmation modal on instance-level integration form. !42840
- Use Conan recipe as package name in package API. !42860
- Show wiki tree structure in sidebar and pages overview. !42867
- Allow member mapping to map importer user on Group/Project Import. !42882
- Migrate environments folder tabs to GlTabs. !42894
- Update pypi install command to work with external dependencies. !42916
- Allow designs to be added, changed, or destroyed on locked and moved issues. !42935
- Add a title section to the Package Registry UI. !42963
- Allow time tracking in incidents. !42965
- Feature flags form: Replace fa-chevron-down with GitLab SVG. !42968
- Create a set of models to store the temporary data needed for a bulk import. !42978
- Adjusted deactivation threshold from 180 to 90 days. !42989
- Fix profile scoped label CSS. !43005
- Store pipeline counts by status for instance statistics. !43027
- Remove internal fields from alert details table. !43076
- Add hosts field to alert detail table. !43087
- Update alert GFM reference in highlight bar. !43104
- Replace fa-search with GitLab SVG search icon. !43110
- Update programming language colors and metadata. !43111
- Global Search - Bold Issue's Search Term. !43124
- Replace fa-external-link with GitLab SVG in group folder. !43128
- Add sort by similarity to getProjects GraphQL call. !43136
- Improve two button review submit in merge requests. !43149
- Update user feedback to a dedicated page as opposed to solely a button with a loader. !43189
- Enable project access tokens on GitLab.com. !43190
- VSA: Replace fa-warning with GitLab SVG. !43262
- Add assignee usernames to issue resolver. !43294
- Create ComplianceManagement::Framework Model. !43301
- Add invitation declined page. !43305
- Move approval MR filter and quick actions to CE. !43326 (Pavel Kuznetsov)
- Always set created_by_id when creating a user. !43342
- Description Templates: Replace fontawesome icons with GitLab SVGs. !43379
- Improve WebIDE error messages on committing. !43408
- Remove bootstrap usage from merge_requests/invalid. !43439
- Expose file path from XML Test Report artifact. !43594
- Always show the "Clear cluster cache" button among the advanced Kubernetes cluster configuration options. !43619
- Deprecate lowercase values for sort enums in GraphQL. !43650
- Replace double angle icons with GitLab SVG in issuables sidebar. !43655
- Set performance cookie to last for a year. !43692
- Add snippets to GitLab backups. !43694
- Restore snippet repositories from backups. !43696
- Update issue boards modal to gl-tabs. !43740
- Update nav icons to chevron-down. !43767
- Display alert for partially executed cleanup policies. !43831
- Show keep path for expired locked artifacts. !43866
- Replace fa-search fontawesome icons with GitLab SVG in Vue components. !43879
- Update toggle focus mode icon to gl-icon. !43888
- VSA: Replace fa-warning with GitLab SVG icon. !43994
- Add spam flag to snippet create/update mutations. !44010
- Include cached sql calls in performance bar. !44022
- Updated GraphQL mutation input ids to be more type specific. !44073
- Remove jquery tooltip API call from stop environment button. !44199
- Add filters on Milestone title in the GraphQL API. !44208
- Display conan recipe as package name on package detail page. !44294
- Respect Group's default branch name when present. !44370
- Enable automatic allocation of purchased storage. !44376
- Move remove board column button to sidebar. !44380
- Reposition wiki title on wiki pages. !44390
- Move wiki edit button inline with wiki title. !44391
- Allow users to navigate to the incidents show details page wrapper through `/issues/incidents/:id` from the Incident list. !44438
- Update delete badge modal to gl-modal. !44495
- Remove jquery tooltip from IDE activity bar. !44526
- Remove the `store_instance_statistics_measurements` feature flag. !44566
- Use GitLab SVG icons in file_type_icon_class helper. !44580
- Add pipeline_artifacts_size to RootStorageStatisticsType. !44595
- Copy project homepage default view for anonymous users. !44606 (George Tsiolis)
- Handle the blacklisted ip error in the Go middleware. !44614
- Add limit to number of test cases parsed by JUnit parser. !44615
- Track unique wiki page views in Usage Ping. !44622
- Automatically expand diffs for merge requests with changes to a single file. !44629
- Move feature flags to core. !44642
- Indicate on signin page instance is self-managed. !44681
- Replace fa icon with GitLab SVG in repository preview. !44696
- Replace fa-file-text-o icons with GitLab SVG doc-text icon. !44706
- Replace bootstrap alert in app/views/shared/milestones/_top.html.haml. !44731
- Back-port free instance review for instances with 50+ users from EE Core to CE. !44770
- Search for python packages with normalized name to allow installs of packages with periods and underscores. !44807
- Update integration descriptions to not be project-specific. !44893
- Projects created from templates inherits integrations. !44932
- Update issue and MR sidebar labels to use Vue instead of Haml. !44942
- Replaced blob-content-edit with editor-lite compoennt for Snippet edit form. !44994
- Replace fa-chevron-down with GitLab SVG in project visibility settings. !45021
- Allow more naming conventions for VSA production environment. !45069
- GraphQL: Changes fields in detailedStatus to be nullable. !45072
- Truncate over-long alert fields instead of return error response. !45099
- Raise Puma Worker Killer RAM limits. !45116
- Replace fa icons in CI build table. !45123
- Replace switcher fa- icons in blob viewer models. !45124
- Replace fa-calendar icon with GitLab SVG. !45175
- Minor UI improvements to Wiki edit page. !45247
- Replace fa-angle-double-left and fa-angle-double-right icons with GitLab SVG. !45251
- Remove CSS that ligthens texts in the pipeline. !45253
- Support all stackprof profiling modes. !45277
- Allow automatically selecting repository storage on move. !45338
- Updated GraphQL note mutation input ids to be more type-specific. !45341
- Update GraphQL discussionToggleResolve mutation input id to be more type-specific. !45346
- Update GitLab-Shell to v13.9.0. !45358
- Replace fa-file icons with GitLab SVG document icon. !45380
- Migrate '.fa-spinner' to '.spinner' for 'awards_list.vue'. !45393
- Update gitlab-shell to v13.10.0. !45408
- Replace fa-bitbucket-* icons with GitLab SVG. !45437
- Replace fa-google with GitLab SVG. !45506
- Replace fa-github with GitLab SVG MERGE_REQUEST_ID. !45533
- Move diff header actions into dropdown menu.

### Performance (21 changes, 1 of them is from the community)

- Improve n+1 in pipeline serializer for triggered pipelines. !42421
- Load issues tab in the milestone page asynchronously. !42473
- Add state_id index for merge_requests list. !42481
- Cleanup request http method/code metrics. !42618
- Optimise cleaning up LFS objects. !42830
- Modify time_period for last 28 days to improve batch counting performance. !42972
- Less inconsistent Edit links in sidebar. !43106
- Performance fix for issue placement. !43315
- Reduce cached SQL for JobsController#show. !43559
- Add index for project_id and sha to deployments table. !43836
- Don't expose http_request_duration_seconds metrics in sidekiq exporter. !43941
- Remove index on issues.relative_position. !43991
- Loads cropper css only when needed. !44137
- Preloading of Fontawesome Icon Font. !44282
- Remove duplicate index from the Vulnerabilities table. !44422 (Borivoje Tasovac @borivojetasovac)
- Optionally use merge request metrics association for merge request diff stats in GraphQL. !44613
- Remove Sentry implementation to investigate performance impact. !44643
- Optimize the loading of diffStats in merge request GraphQL API. !44752
- Preload `user_notes_count` in MergeRequest GraphQL API. !44894
- Remove the commit count from the commits API. !44934
- Enable caching of markdown when viewing blob. !45367

### Added (147 changes, 13 of them are from the community)

- Add canonical links for moved/duplicated issues. !34604
- Change transfer, update and create services for groups and projects to take in consideration shared runners settings. !36080 (Arthur de Lapertosa Lisboa)
- Add approval rules with approvers to usage ping. !36737
- Add index on ci_builds relation to improve Usage Ping metrics collection performance. !37581
- UI to disable shared runners by group. !39249
- Report auth events in manage stage usage ping. !39747
- Display youtube videos on the Static Site Editor. !39756
- Add LSIF to Go Auto DevOps gitlab-ci.yml. !40072
- Measure npm request forwarding usage. !40174
- Make URL links in job logs clickable. !40175 (Łukasz Groszkowski @falxcerebri)
- Add No Access Role for top group members. !40942
- Clean up unused LFS objects during repository housekeeping. !40979
- Send chat notification when deployment starts. !41214 (Sashi Kumar)
- Log failed BatchCount queries. !41552
- Add Group Import usage ping. !41663
- Add Sample Data. !41699
- Add Go(lang) to Packages. !41712 (Ethan Reesor (@firelizzard))
- Copy designs to new issue when issue is moved. !41714
- Add namespace setting to allow to mark if parent group allow subgroups to require 2FA. !41760
- Add cache:when keyword for ci yml config. !41822
- Adds package event tracking. !41846
- Add notification setting for merge request reviewers. !41851
- Track unique number of test cases parsed. !41918
- Introduce '.gitlab/static-site-editor.yml' config file, with support for 'static_site_generator' entry. !41957
- Migrate u2f registrations to webauthn registrations. !42159 (Jan Beckmann)
- Add internal API to download LFS objects. !42161
- Add state field to DastSiteValidation. !42198
- Pre-Collapsed Sections in CI Job Logs. !42231 (Kev @KevSlashNull)
- Improve issuable reaction search. !42321 (Ethan Reesor (@firelizzard))
- Show expanded CI config in CI lint API endpoint. !42380
- Display cluster list node information. !42396
- Validate not null file_store field on packages_package_files to maintain data integrity. !42400
- Add API endpoints to manage individual Terraform state versions. !42415
- Display Contributor badges on notes. !42576 (Mycroft Kang @TaehyeokKang)
- Add expiration policy started at support in container repositories. !42598
- Add a REST API endpoint to list group's descendants. !42620
- Match against description and unicode character when autocompleting GFM emoji. !42669 (Ethan Reesor (@firelizzard))
- Add Debian API skeleton. !42670 (Mathieu Parent)
- Use fuzzy matching for issuable awards. !42674 (Ethan Reesor (@firelizzard))
- Add Documentation URL to Admin Area. !42702
- Add close button to issue, MR, and epic sidebar labels. !42703
- Add :default_branch_name column to namespace_settings. !42778
- Add severity and published sorting for incident issues. !42800
- Replaced ACE with Editor Lite for CI linting. !42814
- Include `used_fields` and `used_deprecated_fields` in GraphQL logs. !42820
- Validate build traces using CRC32 checksums. !42829
- Reference pages_deployments in pages_metadata. !42834
- Display user project count on Admin Dashboard. !42871
- Add runner setup methods. !42878
- Add og:description meta tag to individual "Release" page. !42889
- Add validator for IP address/inet columns. !42893
- Add buttons in the Search page to clear Group and Project filters. !42897
- Update golang version in vendored Dockerfile template. !42917
- Strip markdown from og:description meta tags. !42918
- Add DesignCollection copyState GraphQL field. !42919
- Add projects_creating_incidents to usage ping counts. !42934
- Add project scoped CI lint API endpoint. !42998
- GrahphQL: Adds status to jobs, stages, and groups. !43069
- Destroy issue board list via GraphQL. !43081
- JS client for increment_unique_users API. !43084
- Add missing fontawesome file icon classes. !43091
- Adds button to update merge request draft status on merge request show page. !43098
- Sort incidents list by severity and published columns. !43121
- Update skeleton loader shape on releases pages. !43138
- Add security bot. !43147
- Redirect to documentation pages URL when configuration option is set. !43157
- Add on-demand DAST scan options (scanType, showDebugMessages, useAjaxSpider) ajax spider and set the scan type. !43240
- Enable snippet multiple files. !43246
- Add Debian regexps. !43259 (Mathieu Parent)
- Add sort parameter to Issue and Merge Request scopes. !43295
- Add timeline toggle button for incidents comments. !43302
- Add Gitpod Spring Petclinic to Project Templates. !43319
- Allow a users public GPG Keys to be API accessible. !43332
- Add file name column to CI unit test report. !43338
- Add GraphQL endpoint for Terraform state metadata. !43375
- Store user mentions to DB. !43393
- Upgrade GitLab Pages to 1.26.0. !43416
- Remove graphql_lookahead_support feature flag. !43438
- Introduce 'image_upload_path' entry support for '.gitlab/static-site-editor.yml' config file. !43481
- Introduce 'mounts' entry support for '.gitlab/static-site-editor.yml' config file. !43485
- Introduce required_code_owners_sections table. !43573
- Adds flexible rollout strategy UX and documentation. !43611
- Add table for alert http integrations for project. !43634
- Add a database column to enable or disable the setting that puts newly registered users in a pending state, requiring admin approval for their activation. !43661
- Seed initial version for non-versioned terraform states. !43665
- API support for a specific GPG Key for given user. !43693
- Enable design management reference filter. !43731
- Add GraphQL mutation to create an issue. !43735
- Enable wiki events on git push. !43738
- Adds a Terraform.latest.gitlab-ci.yml to support quick development of Terraform related features. !43802
- Store pipeline counts by status for instance statistics. !43857
- Show labels origin path on project labels page. !43858
- Enable querying for merge requests within a group. !43863
- Add API Fuzzing plan limits db column. !43934
- Enable Gitpod button on file tree view. !43961
- Accept issue filters when getting board lists in GraphQL. !43968
- Add system note on incident severity change. !43998
- Move Tracing usage data ping to Core. !44006
- Update Add Members API to accept user_id array. !44051
- GraphQL: Adds scheduledAt to CiJob. !44054
- IDE editor - Adding syntax highlighting for terraform / hcl. !44056
- Allow to update issue state on GraphQL. !44061
- Add merge request title and description UI to Static Site Editor submission flow. !44071
- GraphQL: Adds action to DetailedStatusType and StatusActioType. !44088
- Feature Flags limits UX and documentation. !44089
- Add Incident Sla timer columns to DB. !44099
- Add the ability to insert a YouTube video. !44102
- Include LFS blobs in archives. !44116
- Add sorting parameters to Releases API. !44118
- Add product analytics for design created and modified events. !44129
- Upgrade GitLab Pages to 1.27.0. !44162
- Add the Alerts integrations table to Alert integrations settings in the Operations section. !44181
- Add Issuable Service Level Agreement (SLA) table. !44253
- Use Web IDE to create new files in empty repos. !44287
- Create an issue board via GraphQL mutation. !44298
- Status icons for alerts integratiosn list. !44318
- Added UsageData metrics for issues added/removed from Epics. !44371
- Added UsageData metrics for Issue designs' usage. !44373
- Add unattended database migration option. !44392
- Add feature flag for a phased rollout of cleanup policies. !44444
- Sync LFS objects when push mirroring over HTTPS. !44457
- Snowplow count of clicks on timeline toggle for incident comments. !44487
- Allow to move issues between projects on GraphQL. !44491
- Support ci_forward_deployment_enabled in edit API. !44510
- Preserve the merge request title and description in the static site editor upon modal close. !44512
- Schedule adding "Missed SLA" label to issues. !44546
- Add usage ping to count Static Site Editor views. !44573
- Move Tracing feature to Core. !44574
- Added new editor-lite Vue component. !44577
- Add Middleman Logo for Project Templates. !44617
- Allow groups to disable 2FA requirement for subgroups. !44712
- Editor Lite to saupport extensions in instance constructor. !44723
- Enable core_security_mr_widget feature flag by default. !44764
- Add apply button when user changes assignees. !44812
- Make alerts searchable by assignee username in GraphQL API. !44911
- Include PostgreSQL system identifier in usage ping. !44972
- Snowplow tracking of Incident details views. !45011
- Show origin path of labels on subgroup labels page. !45040
- Enable one_dimensional_matrix feature flag by default. !45086
- Add support for Generic packages. !45102
- Expose `created_at` in Group and Project members API response. !45156 (Rajendra Kadam)
- Show all inherited labels in projects and subgroups. !45161
- Disallow NULL Bytes (U+0000) in requests. !45223
- Introduce 'admin approvals for new user signups' feature. !45233
- Upgrade GitLab Pages to 1.28.0. !45257
- Add vuex stores for milestone comboxbox. !45287
- Add support for manual bridges for CI pipelines. !45368

### Other (114 changes, 53 of them are from the community)

- Replace-GIDeprecatedDropdown-in-app/assets/javascripts/alert_management. !41409 (nuwe1)
- Replace-GlDeprecatedDropdown-with-GlDropdown-in-app/assets/javascripts/ci_variable_list. !41413 (nuwe1)
- Replace deprecated cluster dropdowns with updated dropdowns. !41414 (nuwe1)
- Replace-GlDeprecatedDropdown-with-GlDropdown-in-app/assets/javascripts/confidential_merge_request/components/dropdown.vue. !41416 (nuwe1)
- Replace-GlDeprecatedDropdown-with-GlDropdown-in-app/assets/javascripts/logs. !41421 (nuwe1)
- Replace-GlDeprecatedDropdown-with-GlDropdown-in-app/assets/javascripts/pages/projects/graphs/components/code_coverage.vue. !41423 (nuwe1)
- Replace-GlDeprecatedDropdown-with-GlDropdown-in-app/assets/javascripts/pipelines/components/pipelines_list/tokens/pipeline_trigger_author_token.vue. !41424 (nuwe1)
- Replace `GlDeprecatedDropdown` with `GlDropdown` in `app/assets/javascripts/repository/components/breadcrumbs.vue`. !41427 (nuwe1)
- Replace `GlDeprecatedDropdown` with `GlDropdown` in app/assets/javascripts/vue_shared/components/split_button.vue. !41433 (nuwe1)
- Replace GlDeprecatedDropdown with GlDropDown in timezone-dropdown.vue. !41434 (nuwe1)
- Replace-GlDeprecatedDropdown-with-GlDropdown-in-ee/app/assets/javascripts/geo_node_form-and-ee/app/assets/javascripts/geo_replicable. !41438 (nuwe1)
- Remove bootrap alert from gcp offer. !41814
- Update database index on namespaces for type and id. !42128
- Populate issues blocking_issues_count. !42277
- Move shared logic into utils. !42407
- Update button to gl-button on GitLab for Slack page. !42426
- Refactor the invites controller member method. !42727
- Set hook_log css to gl-button. !42730 (Mike Terhar @mterhar)
- Remove an unnecessary element from every page. !42769 (Takuya Noguchi)
- Revise tooltip text of note role badge. !42771 (Mycroft Kang @TaehyeokKang)
- Fix Rails/SaveBang offenses for spec files in spec/services/milestones/*. !42775 (Rajendra Kadam)
- Fix Rails/SaveBang offenses for spec files in spec/services/issuable/*. !42780 (Rajendra Kadam)
- Fixes Rails/SaveBang cop for spec files in ee/spec/models/concerns/*. !42839 (Rajendra Kadam)
- Update GitLab Runner Helm Chart to 0.21.0. !42844
- Notifications icon: Render empty string for custom setting. !42848
- Update GitLab Workhorse to v8.47.0. !42855
- Remove duplicate index on cluster_agents. !42902
- Fixes Rails/SaveBang cop for spec files in spec/models/concerns/*. !42942 (Rajendra Kadam)
- Add issue_email_participants table and related model. !42943
- Add database view for postgres indexes. !42967
- Apply GitLab UI button styles to HAML buttons app/views/projects/blob. !42991 (Andrei Kyrnich @kyrnich)
- Fixes Rails/SaveBang cop for spec files in spec/lib/gitlab/git/*. !43013 (Rajendra Kadam)
- Migrate Recover hidden stage dropdown. !43032
- Remove unused cluster_providers_aws.created_by_user_id column. !43064
- Migrate badge list row buttons to new buttons. !43072
- Apply GitLab UI button styles to HAML buttons app/views/projects/forks. !43101 (Andrei Kyrnich @kyrnich)
- Remove temporary index for fixing broken CS fingerprints. !43126
- Track statistics for index rebuilds. !43156
- Allow get approvals on merge request by GraphQL in CE. !43325 (Pavel Kuznetsov)
- Apply GitLab UI styles to buttons in app/views/shared/labels directory. !43346 (Gary Bell @garybell)
- Update IDE compare changes view button to link style. !43403
- Remove bootstrap from pages/form. !43442
- Update popover to gl-popover on WebIDE commit message. !43499
- Update GitLab Workhorse to v8.48.0. !43586
- Add gl-button class to import and cancel buttons for project member import page. !43620 (Gary Bell @garybell)
- Update Design Management toolbar to use GitLab UI classes. !43682
- Remove type column on audit_events table. !43703
- Update button in modal_copy_button.vue to use GlButton from GitLab UI. !43714
- Migrate deprecated button to GlButton in ingress_modsecurity_settings.vue. !43717
- Migrate button in alert_widget_form.vue. !43720
- Migrate button in fluentd_output_settings.vue. !43724
- Apply GitLab UI button styles to HAML buttons app/views/projects/ci/builds. !43728 (Andrei Kyrnich @kyrnich)
- Log CarrierWave::IntegrityError without sending exception. !43750 (gaga5lala)
- Update node-sass from 4.12.0 to 4.14.1. !43808 (Takuya Noguchi)
- Replace in-repo SVGs with @gitlab/svgs in Cycle Analytics. !43823 (Takuya Noguchi)
- Add more issue change events to usage ping. !43828
- Limit postgres_indexes to owned schemas. !43834
- Add migration to validate design_management_designs.filename text limit constraint. !43952
- Enable track_unique_visits feature flag by default. !43989
- Update GitLab Workhorse to v8.49.0. !43999
- Rate limit documentation for non-configurable limits. !44003
- Fix spelling of PyPI. !44058 (Peter Bittner (@bittner))
- Apply gl-button class to projects/issues/export_csv directory. !44106 (Lakshit)
- Apply GitLab UI button styles to buttons in app/views/sherlock/file_samples. !44109 (Lakshit)
- Remove temporary index for container scanning findings. !44131
- Update doc links in app. !44134
- Add undo helpers for change_column_type_concurrently and cleanup_concurrent_column_type_change. !44155
- Add darkmode support for merge conflict page. !44168
- Remove jquery tooltip API call from delete environment button. !44191
- Add gl-button class to app/views/projects/deployments. !44203 (Lakshit)
- Update Cycle Analytics with Value Stream Analytics in University. !44244 (Takuya Noguchi)
- Apply GitLab UI button styles to buttons in app/views/invites directory. !44289 (Lakshit)
- Apply GitLab UI button styles to buttons in app/views/admin/jobs directory. !44291 (Lakshit)
- Apply GitLab UI button styles to buttons in app/views/projects/services/mattermost_slash_commands. !44293 (Lakshit)
- Apply GitLab UI button styles to buttons in app/views/projects/commits directory. !44331 (Lakshit)
- Apply GitLab UI button styles to buttons in app/views/shared/wikis directory. !44338 (Lakshit)
- Apply GitLab UI button styles to buttons in app/views/projects/compare directory. !44342 (Lakshit)
- Update buttons to use GitLab button class gl-button. !44361 (Gary Bell @garybell)
- Track issue time tracking events in usage ping. !44404
- Fix Rails/SaveBang offenses for spec files in spec/support/shared_example/*. !44424 (matthewbried)
- Bump mini_magick gem version. !44450
- Replace Font Awesome social icons with GitLab SVGs on user profile page. !44599
- Migrating deprecated buttons to GlButtons for modals that have not yet been migrated to the new GlModal component. !44611
- Add product analytics for group-level integrations. !44726
- Add migration helpers for copying check constraints. !44777
- Fix Rails/SaveBang offenses in spec/uploaders/* and spec/tasks/. !44820 (matthewbried)
- Remove d-md-none/d-sm-none when d-sm-none/d-none exists. !44845 (Takuya Noguchi)
- Remove duplicated BS display properties from Admin DevOps report' HAML. !44846 (Takuya Noguchi)
- Remove duplicated BS display properties from Commit's HAML. !44847 (Takuya Noguchi)
- Remove duplicated BS display properties from Diff's HAML. !44848 (Takuya Noguchi)
- Upgrade gitlab-shell to v13.8.0. !44852
- Bump kubeclient to 4.9.1 which includes ability to integrate Kubernetes clusters where their API url is on a sub-path. !44856
- Remove an outdated comment. !44861 (Robin Dupret)
- Migrate collapsed time tracking tooltip. !44874
- GitLab-managed apps: Use GitLab's repo as replacement for the Helm stable repo. !44875
- Fix Rails/SaveBang offenses in spec/support/*. !44884 (matthewbried)
- Track audit event searches via Snowplow. !44888
- Remove duplicated BS display property from Commit/Snippet's HAML. !44917 (Takuya Noguchi)
- Update the copy in the insert image modal to align with copy guidelines. !44949
- Fix Rails/SaveBang offenses in spec/services/projects/*. !44980 (matthewbried)
- Enable usage_data_api feature flag by default. !45004
- Copy profile route under - scope. !45045
- Replacing vue shared tooltip on calendar icon. !45059
- Remove duplicated BS display properties from Environments. !45167 (Takuya Noguchi)
- Remove duplicated BS display properties from Pipelines. !45171 (Takuya Noguchi)
- Populate blocking issues count. !45176
- Remove duplicated BS display properties from Issuables. !45177 (Takuya Noguchi)
- Migrate auto devops message from bootstrap. !45221
- Update Rouge to v3.24. !45225
- Update GitLab Workhorse to v8.51.0. !45256
- Migrate blocked_by issue links to blocks type by swapping source and target. !45262
- Fix documentation link, spacing, and error handling in alert integrations list. !45304
- Replace tooltip with GLTooltip in epic sidebar datepicker. !45392
- Bump cluster applications CI template. !45472


## 13.4.7 (2020-12-07)

### Security (10 changes)

- Validate zoom links to start with https only. !1055
- Require at least 3 characters when searching for project in the Explore page.
- Do not show emails of users in confirmation page.
- Forbid setting a gitlabUserList strategy to a list from another project.
- Fix mermaid resource consumption in GFM fields.
- Ensure group and project memberships are not leaked via API for users with private profiles.
- GraphQL User: do not expose email if set to private.
- Filter search parameter to prevent data leaks.
- Do not expose starred projects of users with private profile via API.
- Do not show starred & contributed projects of users with private profile.


## 13.4.6 (2020-11-03)

### Fixed (1 change)

- Auto Deploy: fixes issues for fetching other charts from stable repo. !46531

### Other (1 change)

- GitLab-managed apps: Use GitLab's repo as replacement for the Helm stable repo. !44875


## 13.4.5 (2020-11-02)

### Security (9 changes)

- Add CSRF protection to runner pause and resume. !1021
- Do not expose Terraform state record in API.
- Path traversal to RCE via LFS upload.
- Update container_repository_name_regex to prevent catastrophic backtracking.
- Validate nuget package names.
- Prevent private repo from being accessed via internal Kubernetes API.
- Validate each upload param key in multipart.rb.
- Fix XSS vulnerability for job build dependencies.
- Fix unauthorized user is able to access schedule pipeline variables and values.


## 13.4.4 (2020-10-15)

### Fixed (2 changes)

- Fix rollback portion of migration that adds temporary index for container scanning findings. !44593
- Improve merge error when pre-receive hooks fail in fast-forward merge. !44843

### Other (1 change)

- Revert 42465 and 42343: Expanded collapsed diff files. !43361


## 13.4.3 (2020-10-06)

### Fixed (3 changes)

- Exclude 2FA from upload#show routes and 404s. !42784
- use create_wiki method on ensure_wiki_exists in update_service. !42910
- Fix large backups not working with Azure Blob storage. !44233


## 13.4.0 (2020-09-22)

### Security (2 changes, 1 of them is from the community)

- Update lodash to 4.17.20. !41036 (Takuya Noguchi)
- Update GitLab Runner Helm Chart to 0.20.1.

### Removed (6 changes, 1 of them is from the community)

- Remove secret_detection job from vendored SAST CI template. !40028
- Remove Docker-in-Docker mode from Dependency Scanning documentation. !40631
- Removes unused classes on initial Ci::Ref implementation. !41077 (Jacopo Beschi @jacopo-beschi)
- Drop Docker-in-Docker mode for SAST and Dependency Scanning. !41260
- Remove application settings for Snowplow iglu registry url. !41556
- Remove Value Stream Total stage. !42345

### Fixed (160 changes, 41 of them are from the community)

- Conditionally render the packages scopes in deploy token settings. !35334
- Fix advanced filters in log explorer view for gitlab managed applications. !37926
- Fix RegExp for dotenv report artifact. !38562
- Fix composer 404 issues with http auth. !38641
- Update EKS Kubernetes versions. !38644
- Fix skipped status of DAG pipelines. !39205
- Fixes wrong MR pipeline link when FF-merge strategy is used. !39396
- Include also inherited project members in GraphQL API. !39444
- Refactor spec/support/shared_examples/services/* and ee/spec/support/shared_examples/services/* to fix Rails/SaveBang Cop. !39538 (Rajendra Kadam)
- Removes extra spaces on MR/Epic tabs-containers on mobile. !39549 (Takuya Noguchi)
- Milestone Dashboard: Move Gray Type Badge Next to the Milestone Title. !39617 (Kev @KevSlashNull)
- Bug fix GraphQL file uploads accepting non-file input. !39763
- Fix Metrics dashboard embeds when using new URLs. !39876
- Respect original visibility for instrumented methods. !39951
- Take relative_url_path into account when building URLs in snippets. !39960
- Fix non-retrying bridges after retried builds in CI pipelines. !39989
- Support X-Envelope-To header as a location for Service Desk key. !40001
- Fix bug where conan does not properly check package channel when returning file download urls. !40029
- Fix example within file_hooks documentation. !40071 (Roger Meier)
- Fix missing pipeline e-mails when job logs moved to object storage. !40075
- Bump gitlab-shell to v13.7.0. !40132
- Avoid raising errors when moving unpositioned items. !40152
- Refactor ee/spec/support/shared_examples/requests/* and spec/support/shared_examples/requests/* to fix Rails/SaveBang Cop. !40185 (Rajendra Kadam)
- Fix Jira importer user mapping limit. !40310
- Fix design management Archive Selected button label. !40325
- Allow snippet move action without an existing file name. !40343
- Resolve Design comments: Text wrapping behavior. !40359
- Fix incorrect merge request diff file count after deletion. !40384
- Fix the broken CSS on the pipeline graph. !40386
- Fix tracking of frequently visited projects and groups. !40415
- Fix snippets edit not loading JSON values. !40417
- Fix incorrect project path warning after failed project path rename. !40422
- Ensure design comment is highlighted when comment is in URL. !40477
- Fixed merge request review styles not loading in FOSS. !40479
- Resolve Fix Resolved threads popup link and placement. !40489
- Fix create & manage label actions in Labels dropdown. !40511
- Always attempt retry of job trace read when file is missing. !40516
- Fix delete confirm message not displaying trailing spaces. !40549
- Fix reading some merge request diffs. !40598
- Fix snowplow tracking event error for new user invite page. !40628
- Fix file file input top position cutoff. !40634
- allow project bot account to clone through http. !40635 (Philippe Vienne @PhilippeVienne)
- Fix spacing and borders in milestone title and description. !40649
- Don't send SameSite=None to incompatible browsers. !40667
- Remove the expiry on user passwords after a user resets their password. !40712
- Fix fork users cannot create pipelines in a fork project when parent project protects all branches. !40724
- Create IssueLink for Vulnerabilities that do not have them. !40726
- Fix auto-deploy-image external chart dependencies. !40730
- Fix client usage of max line rendering. !40741
- Fix docker file icon. !40785
- Fix GitLab file icon in Firefox. !40786
- Initialise charts when container display property is set. !40787
- Fix ActiveRecord::IrreversibleOrderError during restore from backup. !40789
- Fix the filtered search bar to work in the service desk issue list. !40797
- Validates pypi required_python size to avoid 500 error. !40803
- Fix wrong caching logic in ProcessRefChangesService. !40821
- Allow users with expired passwords to sign out. !40830
- Do not show all public groups in global notification settings page. !40879
- Flag errors from psql when restoring from backups. !40911
- Fix report abuse button in issues and mrs. !40918
- Fix issue causing 'Expand All' button to not work in MR diffs view (Remove `autoExpandCollapsedDiffs` feature flag). !40960
- Fix visibility param for ProjectSnippet REST endpoint. !40966
- Fixed an issue where not all URL query parameters would apply to the filter bar on initial load in the Value Stream Analytics page. !40975
- Make file upload button on MR edit page tab accessible. !40995
- Change merge request updated_at when assignees are changed. !41030 (Patrick Herlihy)
- Fix deadlock in backup repositories rake task. !41042
- Change the warning message on project transfer to another namespace. !41059 (Takuya Noguchi)
- Highlight design discussion if any comment in discussion is linked. !41062
- Update pipeline button SVG to be center aligned. !41066
- Fix Style/SelfAssignment cop. !41079 (Rajendra Kadam)
- Multi-project pipelines in Web IDE lead to 404. !41082
- Fix Layout/ClosingParenthesisIndentation cop. !41084 (Rajendra Kadam)
- Fix Layout/EmptyLinesAroundArguments cop. !41086 (Rajendra Kadam)
- Prevent duplicate system notes and events when an issue is moved. !41087
- MR API: Allow `allow_{collaboration,maintainer_to_push}` to be updated. !41088
- Fix Layout/FirstParameterIndentation cop. !41089
- Fix Layout/RescueEnsureAlignment cop. !41093 (Rajendra Kadam)
- Move Jobs/Deploy/ECS.gitlab-ci.yml to the top level of AutoDevOps template. !41096
- Fix Layout/SpaceBeforeFirstArg cop. !41097 (Rajendra Kadam)
- Fix Lint/NonDeterministicRequireOrder cop. !41098 (Rajendra Kadam)
- Fix Lint/RaiseException cop. !41099 (Rajendra Kadam)
- Fix unfinished merge by Merge Train process. !41106
- Fix Style/RedundantSort cop. !41108 (Rajendra Kadam)
- Fix Style/EmptyLiteral cop. !41110 (Rajendra Kadam)
- Fix RSpec/ItBehavesLike cop. !41111 (Rajendra Kadam)
- Fix Style/MultilineIfModifier cop. !41113 (Rajendra Kadam)
- Fix Lint/UriRegexp cop. !41117 (Rajendra Kadam)
- Fix Style/CommentedKeyword cop. !41119 (Rajendra Kadam)
- Fix todos hover style in dark mode. !41122
- Handle todos api argument error. !41167 (gaga5lala)
- Restore doorkeeper generator to hex due to breaking change. !41169
- Render reference definitions as code blocks. !41186
- Show default message in branch selection if none selected. !41211 (Jonston Chan)
- Fix Style/PerlBackrefs cop. !41246 (Rajendra Kadam)
- Fix Style/SingleLineMethods cop. !41247 (Rajendra Kadam)
- Fix Style/EmptyLambdaParameter cop. !41248 (Rajendra Kadam)
- Fix RSpec/LetBeforeExamples cop. !41250 (Rajendra Kadam)
- Drop one of duplicated limit-container-width classname. !41251 (Takuya Noguchi)
- Fix Style/AccessModifierDeclarations co cop. !41252 (Rajendra Kadam)
- Centerize text on Mark all as done button on To-Do List. !41269 (Takuya Noguchi)
- Fix Rails/SaveBang offenses for spec/serializers/*. !41309 (Rajendra Kadam)
- Fix Rails/SaveBang offenses for spec/services/issues/*. !41312 (Rajendra Kadam)
- Ensure issue creation is not blocked by positioning. !41313
- Propagate ENV variables to codequality template. !41318
- Fix Rails/SaveBang offenses for *spec/models/project_services*. !41320 (Rajendra Kadam)
- Fix Rails/SaveBang offenses for spec/requests/api/pages/*. !41324
- Fix Rails/SaveBang offenses for spec/models/cycle_analytics/*. !41326 (Rajendra Kadam)
- Update the 2FA user update check to account for rounding errors. !41327
- Fix Rails/SaveBang offenses for ee/spec/services/projects/*. !41332 (Rajendra Kadam)
- Fix Rails/SaveBang offenses for ee/spec/lib/gitlab/geo/*. !41338 (Rajendra Kadam)
- Correctly preserve LFS objects in design or wiki repositories. !41352
- Fix Rails/SaveBang offenses for ee/spec/lib/ee/gitlab/background_migration/*. !41357 (Rajendra Kadam)
- Fix Rails/SaveBang offenses for spec/requests/api/*. !41362 (Rajendra Kadam)
- Fixes Auto DevOps deploy script for multiple additional hosts separated by comma and space. !41404
- Only create issues if supposed to for Prometheus alerts. !41468
- Selection Highlight Oversteps Bounds of Actual Selection in Web IDE. !41553
- Resolve NoMethodError: undefined method invite_email. !41587
- Fixed repository browser not working with parentheses in branch name. !41591
- Add incident label for manually created incident issues. !41598
- Resolve Static Site Editor Flattens Mixed Lists. !41599
- NotificationsController - Handle mising parent notificationsetting. !41612
- Fail API Fuzzing CI/CD job when scanner errors. !41616
- Fix MR diff file counts for some historic data. !41676
- Fix always visible sidebar TODO button spinner. !41677
- Fixed image comments not showing on the changes tab. !41683
- Resolve design discussion bug where a comment is added twice. !41687
- Remove height limit on environments table. !41688
- Refuse to perform an LFS clean on projects that are fork roots. !41703
- Exclude tmp dirs from backups. !41706
- Fix padding on CI settings tables in mobile version. !41728
- Fixed note having wrong author after deleting. !41747
- Remove excess space above milestone titles. !41749
- Fix merge request chat messages for adding and removing approvals. !41775
- Use 'read' method to get request body in Conan to fix uploads when using Unicorn. !41801
- Improve design management not available message. !41818 (Ben Bodenmiller @bbodenmiller)
- Fix the tier of environment alerts feature. !41855
- Prevent merge requests from triggering coverage fuzzing jobs. !41906
- Fix upstream pipeline status when strategy dependent. !41930
- Remove virtual scroll list from pipeline test report. !41935
- Resolve Fix validation on External Wiki service template form. !41964
- Fix button color for merge request settings. !42052 (Mikhail Snetkov)
- Use the correct start time when polling for updated notes. !42124
- Fix max seats used not updated in billing summary. !42184
- Fix error when third level trigger pipeline. !42192
- Merge Requests are not blocked when their pipelines are waiting for manual actions unless 'Pipeline must succeed' is checked in the settings. !42207
- Stop applying Ctrl keyboard shortcuts inside Markdown editors on Mac. !42239
- Stop applying Ctrl+P shortcut on MR page on Mac. !42240
- Make SSH keys publicly accessible. !42288
- Fix incident list by restricting query on FOSS. !42301
- Do not add admins as owners to project authorizations during project creation. !42335
- Do not raise error when a member is not found by invite token. !42349
- Fix exception when saving Jira integration info for an instance. !42361
- Fix text overflow events issue name. !42370
- Fix error reporting for Web IDE commits. !42383
- Does not update repository statistics when running housekeeping and repository cleanup on a read-only instance. !42409
- Remove an extra spacing from Dashboard Issues. !42459 (Takuya Noguchi)
- Simplify StartupCSS JS Helper and fix autosize issues under StartupCSS. !42462
- Fix daemon memory killer jobs hash thread safety issue. !42468
- Resolve Design comments do not render the blockquotes correctly. !42498
- Resolve On design discussion note, icons are misaligned. !42672

### Deprecated (1 change)

- Remove pipeline_id column from requirements_test_reports. !38924

### Changed (153 changes, 30 of them are from the community)

- Add Service Templates deprecation warning banner. !25587
- Highlight un-focused/un-viewed file's in file tree. !27937
- Support JWT params set by Workhorse during uploads. !33277
- Add timeout support in the delete tags service for the GitLab Registry. !36319
- Store deployment_type of Jira server in jira_tracker_data table. !37003
- Split "Test settings" and "Save changes" to separate buttons. !37413
- Add spacing to design management toolbar buttons. !38889 (George Tsiolis)
- Migrate environments pin button. !38891 (George Tsiolis)
- Replace fa-tag(s) icons with GitLab SVG icons. !38979
- Re-order diff unfold buttons so that “show more lines above” appears first. !39060
- Replace fa-user(s) icons with GitLab SVG user(s) icon. !39165
- Update order of the Header Metadata in Package details. !39585
- Change active toggle on integration settings page to checkbox. !39586
- Group pipeline warnings and make them collapsible. !39634
- Adjust format for JUnit report duration times. !39644
- Use pointer:crosshair when hovering on the design view. !39671
- Update Prometheus helm chart version to 10.4.1. !39681
- Update GlDeprecatedButton with GlButton in deployment_action_button. !39700
- Add Alert Id to Alert list view. !39706
- Resolve Combine the Overview and Alert Detail sections. !39714
- Tweak file-by-file display and add file current/total display. !39719
- Replace fa-circle icon instances with GitLab SVG check icon. !39745
- Migration of old icon button to component button in Approval Rules (private groups). !39769
- Move related issues to core. !39779
- Change show more button to be a table row so to remove manual CSS styling. !39788
- Improve empty state for Cohorts to match DevOps Score. !39828
- Remove time tracking from incidents sidebar. !39837
- Add smtp_server to usage ping data. !39844
- Replace fa-download icon with GitLab SVG download icon. !39849
- Replace fa-caret-down with SVG icon in MR widget. !39852
- Remove redirection when snippet has a binary blob. !39858
- Search UI Allow issue scope results filtering by state. !39881
- Use dropdown for embed in snippets. !39885
- Update Managed Cluster Applications to v0.29.0, including WAF for ingress, a smaller CI template, and version updates to a few applications. !39890
- Add Flash spacing on merge request show page. !39903
- Rename DevOps Score to DevOps Report. !39953
- Prevent MRs to be dropped from Merge Trains for open discussions. !39957
- Change icon for branch delete button. !39968
- Replace Unicode Characters with ASCII Equivalent in New Project Slug. !39971 (Kev @KevSlashNull)
- Prevent form submission in search boxes on New Release and Edit Release pages. !40011
- Move package usage ping data to core. !40032
- Hide projects that are pending delete from the project index. !40035
- Bump swagger-ui-dist. !40077 (Roger Meier)
- Truncate job title on log page. !40107
- Add the unique search visits data to the usage ping. !40134
- Increase default page size for Alert and Incident management to 20 from 10. !40139
- Disallow awarding emojis to locked Issuables for users that are not member of the project. !40150
- Add 'kind' to differentiate between NetworkPolicy and CiliumNetworkPolicy Kubernetes network manifests. !40165
- Adjust badge key text and width limits. !40199 (Fabian Schneider @fabsrc)
- Improve click surface area of toggle buttons. !40231
- Track edit by editor action for Usage Ping. !40232
- Track unique web ide edit action for usage ping. !40246
- Replace fa-bugs icons with GitLab SVG bug icon. !40273
- Add Alert Management assignee avatar for list and details view. !40275
- Track snippet editor actions. !40277
- Moved Cluster Connect Form to Vue. !40295
- Update issue edit buttons. !40298
- Add filter to exclude non internal users in REST API. !40372
- Include draft merge request into filter response. !40376
- Update gitlab-puma to 4.3.5-gitlab-3. !40389
- Automatically create self monitoring project on new GitLab installations. !40404
- Update default plan limits for maximum package file sizes. !40410
- Re-name Analytics Workspace as instance-level analytics. !40436
- Update issue edit button to gl-button. !40438
- Migrating to gl-button in Environments table. !40444
- Bump marginalia gem version to 1.9.0. !40481
- Move Jira Development Panel integration to Core. !40485
- Update commit toggle description button to gl-button. !40524
- Render markdown attribute definitions as tooltips. !40541
- Bump doorkeeper to 5.1.1. !40546
- Replace fa-trash icons with GitLab SVG remove icon. !40579
- Replace fa-search-* icons with GitLab SVG icons. !40580
- Migrate DevOps Score empty state into Vue component. !40595
- Remove auto close incident feature flag. !40612
- Change invalid Snippet params status code from 403 to 422. !40619
- Migrating setup policy button in registry settings. !40668
- Replace notification icons with Gitlab SVGs. !40709
- Sort TestCase data by status and execution_time. !40722
- Remove file_name and content in snippet mutations. !40727
- GraphQL: Updates PipelineCancel mutation. !40764
- Retrieve security dashboard URL used on Project Severity status report from backend. !40801 (Kev @KevSlashNull)
- Track SFE actions in BlobController. !40846
- Replace fa-exclamation-circle and fa-lightbulb-o with GitLab SVG icons. !40857
- Remove frontend unit test report test case sorting. !40885
- Bump doorkeeper to 5.3.0. !40929
- Add IDE edit actions to Usage Data. !40939
- Show keep button for locked artifacts. !40962
- Add type selector dropdown to new issue form. !40981
- Global Search - Redesign Issue Results Title. !41016
- Increase Pypi required_version limit to 255. !41018
- Replace bootstrap alerts in ee/app/views/groups/push_rules/edit.html.haml. !41069 (Jacopo Beschi @jacopo-beschi)
- Migrate '.fa-spinner' to '.spinner' for 'app/views/projects/services/prometheus'. !41126 (Gilang Gumilar)
- Migrate '.fa-spinner' to '.spinner' for 'app/views/shared/issuable'. !41132 (Gilang Gumilar)
- Migrate '.fa-spinner' to '.spinner' for 'app/views/projects/find_file'. !41134 (Gilang Gumilar)
- Migrate '.fa-spinner' to '.spinner' for 'app/assets/javascripts/gpg_badges.js'. !41136 (Gilang Gumilar)
- Migrate '.fa-spinner' to '.spinner' for 'app/assets/javascripts/notes/components/note_header.vue'. !41140 (Gilang Gumilar)
- Migrate '.fa-spinner' to '.spinner' for 'app/assets/javascripts/vue_merge_request_widget/components/deployment/memory_usage.vue'. !41142 (Gilang Gumilar)
- Migrate '.fa-spinner' to '.spinner' for 'app/assets/javascripts/blob/file_template_selector.js'. !41146 (Gilang Gumilar)
- Migrate '.fa-spinner' to '.spinner' for 'app/assets/javascripts/ajax_loading_spinner.js'. !41147 (Gilang Gumilar)
- Migrate '.fa-spinner' to '.spinner' for 'app/views/projects/tree'. !41148 (Gilang Gumilar)
- Change logic behind new issues highlight. !41150
- Migrate '.fa-spinner' to '.spinner' for 'app/views/projects/imports'. !41151 (Gilang Gumilar)
- Migrate '.fa-spinner' to '.spinner' for 'app/views/imports'. !41153 (Gilang Gumilar)
- Replace fa-arrow-* with GitLab SVG icons. !41158
- Remove expired_pat_email_notification feature flag. !41166
- Display provider name for profile social sign-in connectors. !41198
- Adjust the Package Registry breadcrumb to match navigation. !41264
- Replace bootstrap alerts in app/views/projects/forks/error.html.haml. !41292 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/projects/blob/edit.html.haml. !41298 (Gilang Gumilar)
- Add confirmation dialog when importing multiple projects. !41306
- Replace bootstrap alerts in app/views/shared/_project_limit.html.haml. !41335 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/projects/_deletion_failed.html.haml. !41344 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/shared/_group_form.html.haml. !41348 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/projects/pages/_access.html.haml. !41360 (Gilang Gumilar)
- Update Secret-Detection template to use commits file. !41364
- Change 2FA to verify password hash instead of timestamp. !41366
- Replace bootstrap alerts in app/views/admin/groups/_form.html.haml. !41375 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/profiles/two_factor_auths/create.html.haml. !41383 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/profiles/two_factor_auths/show.html.haml. !41388 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/shared/issuable/_form.html.haml. !41390 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/shared/_no_password.html.haml. !41397 (Gilang Gumilar)
- Replace bootstrap alerts in app/views/projects/merge_requests/_mr_title.html.haml. !41399 (Gilang Gumilar)
- Remove pipeline warnings from pipeline view. !41419
- Package Registry: Adjust the max width for non-fluid screens to be 990. !41549
- Add help text to incident type select on new issue form. !41567
- Corrected some spelling mistakes in the project deletion confirmation modal. !41576
- Add ability to update only Snippet descriptions via REST endpoint. !41581
- Place older issues before more recent ones. !41602
- Change name of GitLab Instance Administrators group to GitLab Instance. !41684
- Replace fa-info-circle icons with GitLab SVG information-o icon. !41721
- Improve support for description field on CiliumNetworkPolicy. !41722
- Replace fa-trash-o icons with GitLab SVG remove icon. !41748
- Remove designs from incidents. !41757
- Introduce infinite scrolling to importers. !41789
- Remove email confirmation field on signup form. !41813
- Replaced ACE with Editor Lite on CI linting view. !41895
- Replace fa-question-circle icons with GitLab SVG question-o icon. !41970
- Migrate MR Deployment Widget to GlDropdown. !42004
- Filter the values for deployment platform metrics. !42116
- Present complete alert payload in detail and incident views. !42140
- Update template warning padding on New Issue form. !42154
- Updated gitlab:usage_data:dump_sql_in_yaml rake task with redis usage. !42189
- Update visual styling of container registry metadata. !42202
- Direct support for HTTP basic authentication in API Fuzzing. !42266
- Disable Sidekiq Exporter logs by default. !42267
- Hashed Storage: forced automatic migration of legacy projects via background jobs. !42313
- Add Missing slash in 'Registry setup' section of npm packages. !42360
- Remove job logs from notification e-mails. !42395
- Refactored snippets edit form to Vue. !42412
- Store object counts periodically for instance statistics. !42433
- Increase widget polling for closed and merged merge requests. !42458
- Remove successful signup flash message. !42512
- Update conan remote instructions snippet to show project-level remote. !42526

### Performance (37 changes, 5 of them are from the community)

- Improve group search users scope performance. !38701
- Optimize counts.terraform_reports usage ping counter. !39499
- Fix slow group loading on forking page. !39640
- GlButton migrations for pipeline security tab. !39651
- Optimize markdown rendering in search results. !39833
- Make highlighting limits stricter. !39934
- Increase poll interval for merged MRs widget. !39961
- Reduce MergeRequest::RefreshService loops. !40135
- Improve performance of Gitlab::BacktraceCleaner. !40180
- Improve performance of Rails backtrace cleaner configuration. !40182
- Defer (certain) parts of setting up snowplow telemetry. !40299
- Reduce storage requirements for keeping track of pre-logged-in sessions. !40336
- Increase performance of rendering large amounts of markdown data. !40448
- Replace fa-times with GitLab SVG close icon in dropdowns. !40585
- Replace fa-times with GitLab SVG close icon in promotions. !40586
- Replace fa-times with GitLab SVG close icon in forms. !40587
- Reduce Redis usage when viewing repositories with lots of branches and tags. !40615
- Preload projects to prevent N+1 when populating project name. !40769
- Fix package API query performance when pipelines and multiple versions are present. !40770
- Apply GZip compression to discussion diffs. !40778
- Improve Productivity Analytics and Merge Request Analytics database queries. !40838
- Replace LoadingButton with GlButton for the comment dismissal modal. !40882
- Jdb/refactor inline diff table row. !40906
- Remove the async pages feature flags. !40980
- Graphql Issues - Fix N+1 for Assignees. !41233
- Clean up stale merge request HEAD ref. !41555
- Remove stale merge refs. !41572
- Jdb/refactor parallel diff table row. !41606
- Updates CiPlatformMetrics to do bulk insertions. !41617
- Verify only 1mb of existing LFS object to improve LfsDownloadService performance. !41770
- Drop one of duplicated classname from Project. !41830 (Takuya Noguchi)
- Drop one of duplicated classname from Projects. !41831 (Takuya Noguchi)
- Drop one of duplicated classname from Serverless Function. !41832 (Takuya Noguchi)
- Drop one of duplicated classname from Serverless Functions. !41833 (Takuya Noguchi)
- Pass project ID to issue placement worker. !42091
- Enable coverage_report_view feature flag by default. !42094 (fh1ch)
- Update MR index to include id. !42222

### Added (135 changes, 12 of them are from the community)

- WebAuthn support (behind feature flag). !26692 (Jan Beckmann)
- Add ignore_skipped option for pipeline status badge. !28288 (Fabian Schneider @fabsrc)
- Geo: Add migrations for registry and details tables for external MR diff replication. !34248
- Display Merge Request's source branch name in sidebar. !34901 (Ethan Reesor (@firelizzard))
- Add validation to pypi package version. !35080 (Bola Ahmed Buari)
- Add ability to get an Issue using GraphQL and REST API. !35176
- Add versioning support to Terraform state backend. !35211
- Show expired milestones at the bottom of the list within dropdown. !36562
- Added EWM work item tracker integration. !36662
- Add user mapping by username when importing projects for Bitbucket Server importer. !36885
- Surround selected text in markdown fields on certain key presses. !37151
- Add json api endpoint that provides CI linting. !37344
- Include max artifact size in authorize response. !37632
- Add link to compare changes intoduced by a git submodule update. !37740 (Daniel Seemer @Phaiax)
- Add note to graphql timelog_type. !37748 (Lee Tickett)
- Add Gitpod integration. !37985 (Cornelius Ludmann @corneliusludmann)
- Geo: Added DB tables for snippets replication. !38688
- Add similarity sorting for projects for GraphQL API. !38916
- Automatically add AJAX API requests to the performance bar. !39069
- Send notification when merge request is set to merge when pipeline succeeds. !39297 (Ravishankar Gnanaprakasam)
- Expose group memberships under group via GraphQL. !39331
- Add alert when editing .gitlab-ci.yml. !39508
- Allow Conan packages to be scoped to project-level. !39541
- Add the artifact expiration help url. !39546 (Gilang Gumilar)
- Send email notification on disabling 2FA. !39572
- Add package file size limits to plan limits. !39633
- Add AuthenticationEvent to store sign-in events. !39652
- Add virtual actions tracker for Usage Ping. !39694
- GraphQL: Pipeline mutations for retry, cancel, and destroy. !39780
- Add ability to associate Environment with Alert with gitlab_environment_name payload key. !39785
- Add Conan lock file support to Dependency Scanning. !39811
- Add Summary tab for incident issues. !39822
- Incident severity widget. !39859
- Add dedicated SAST and DS CI image variables. !39875
- Add index for expire_at to ci_pipeline_artifacts. !39882
- Adds auto_close_incident column to project_incident_management_settings. !39980
- Adds CI Platform Metrics bookkeeping model. !40036
- Adds package count to usage data. !40039
- Add `/` as keyboard shortcut for search. !40057
- Add new "generic" package type. !40061
- Surface incident severity and icon in the Incident List table. !40112
- Add background worker to rebalance issues. !40124
- Add a system note on Alert creation. !40128
- Add usage pings for project import using various importers (GitLab, Bitbucket, Gitea, GitHub and more). !40130
- Sync LFS objects when push mirroring. !40137
- Add MergeRequest sort options to GraphQL API. !40138
- Add total count to GraphQL release data. !40147
- Add Atlassian Identity to store identity/credentials. !40176
- Add OmniAuth sign-in via Atlassian Cloud. !40178
- Add alert to Issue type in GraphQL. !40214
- Add usage ping and index for DAST On-Demand Scans. !40219
- Filter Merge Requests by author, assignee and milestone in GraphQL. !40265
- Add IssuableSeverity to store Incident severity level. !40272
- Paginate profile group notifications. !40326
- Add keyboard shortcuts for bold, italic, and link in markdown editors. !40328
- Password changed emails must specify that password was changed by admin. !40342
- Add merge_request_reviewers table. !40358
- Add table for storing user settings for board epic swimlanes. !40360
- Wrap dashboards dropdown items text. !40367
- Create `security_findings` table. !40368
- Add issue importers usage pings (FogBugz, Phabricator, Jira). !40382
- Add CI_COMMIT_TIMESTAMP CI variable. !40388 (Nasko Vasilev)
- Add admin UI for adjusting package file size limits. !40423
- Add pipeline_artifacts_size to root_storage_statistics. !40425
- Adds monthly package data to usage ping. !40452
- Show the comment authored time in comment search results. !40472
- Add incident management analytics events. !40475
- Make cloud native build logs more resilient. !40506
- Return builds with coverage in MR widget JSON response. !40533
- Expose the todos of the current user on relevant objects in GraphQL. !40555
- Save pages build artifact id in pages metadata. !40592
- Add issue filters when listing board issues in GraphQL. !40602
- Create table for storing Instance Statistics object counts. !40605
- Improve ability to navigate to child pipelines. !40650
- Support custom Azure Blob Storage domains. !40694
- Add toml and json front matter language support to Static Site Editor's WYSIWYG mode. !40718
- Add a warning when any diff files are collapsed. !40752
- Track downloads of group code coverage CSV in snowplow. !40754
- GraphQL: Add retryable and cancelable to PipelineType. !40780
- Format Conan package manager in Dependency List. !40811
- Allows to update incident severity via GraphQL. !40869
- Expose Instance Statistics measurements (object counts) via GraphQL. !40871
- Add job token authentication for the GitLab PyPI package repository. !40888
- Upgrade pages to v1.23.0. !40915
- Add GFM reference format for alerts. !40922
- Destroy issue board via GraphQL. !40930
- Exposes Incident's severity via GraphQL. !40945
- Expose a list of projects starred by the user to GraphQL API. !41076 (Pavel Kuznetsov)
- Parallel matrix jobs show relevant variables in job name. !41080
- Rake task to generate raw SQLs for usage ping. !41091
- Make the auto_link_user OmniAuth setting configurable by provider. !41133
- Add release direct asset link info to GraphQL endpoint. !41170
- Add "upcomingRelease" field to GraphQL endpoint. !41183
- Show multiple jobs contributing to code coverage. !41217
- Add update issue by id in vuex for boards. !41226
- Record package creator. !41258
- Make bridge/child pipelines clickable. !41263
- Optimise index on audit events for CSV export. !41266
- Search UI - Implement Merge Request scope results filter by state. !41282
- Migrate live traces before updating build state. !41304
- Export ActionCable metrics to Prometheus. !41358
- Display merged commit sha in fast-forward merge mode. !41369 (Mycroft Kang @TaehyeokKang)
- Add admin setting of Elasticsearch client request timeout. !41470
- Add support for environment_url.txt to API Fuzzing. !41523
- Check if usage ping enabled for all tracking using Redis HLL. !41562
- Introduce build states table / model / migration. !41585
- Add bottom spacing to static site editor UI to align with overall UI spacing. !41596
- Migration to cleanup after partitioned audit_events backfill. !41605
- DAST Site validation - Model Layer. !41639
- Automatically resolve alert when receiving end time. !41648
- Show welcome page after sign up. !41662
- Incident highlight bar widget. !41702
- Enable unique search users usage ping HLL metric by default. !41739
- New ActionCable Prometheus metrics added. !41771
- Upgrade GitLab Pages to 1.24.0. !41782
- Add pages_deployments table. !41785
- Surface alert details in a tab on incidents. !41850
- Add forum link to help menu. !41858
- Add namespace ID to user pages in the admin area. !41877
- Track projects using code intelligence. !41881
- Add a front matter editing UI in WYSIWYG mode of the Static Site Editor. !41920
- Add issues and merge_requests filtering by state for search API. !41989
- Log authentication events alongside existing audit events. !42033
- Validate not null external_diff_store field on merge_request_diffs to maintain data integrity. !42045
- Create and resolve To-Dos for designs. !42059
- Set incident severity when it is created from an alert. !42072
- Make Pipeline ID's always a link for downstream/upstream pipelines. !42107
- Create placeholder model for Vulnerability to reserve + as a reference prefix. !42147
- Add `deduplicated` column to `security_findings` table along with the compound index on `scan_id` and `deduplicated` and remove the index on `scan_id`. !42270
- Autocomplete recently viewed issues in the global search bar. !42302
- Upgrade GitLab Pages to 1.25.0. !42350
- Query projects by ids with GraphQL. !42372
- Database changes to support terraform state version replicaiton. !42492
- Add autocomplete search suggestions for recent merge requests. !42560
- Implement allowing child pipeline to have child pipeline. !42580

### Other (116 changes, 60 of them are from the community)

- Migrate .fa-spinner to .spinner for app/views/projects/blob/viewers. !25046 (nuwe1)
- Replace issue-created icon with issues icon. !26409
- Remove skip_hased_storage_upgrade feature flag. !29364 (Lee Tickett)
- Add indexes to `label_links` database table. !34503
- Add first OpenAPI specification file. !35868 (winniehell)
- Replace deprecated button with new button. !38940
- Stricter default timeouts for outgoing HTTP requests. !39188
- Update dependency vuex to ^3.5.1. !39201
- Add the Query Apdex Prometheus metric to usage ping. !39256
- Update spec to glbutton. !39311
- Update prismjs from 1.6.0 to 1.21.0. !39593 (Takuya Noguchi)
- Reinstate 60s timeout in Cluster Prometheus. !39595
- Create a POC for 'immer' library. !39738
- Remove default column from services table. !39817
- Implement JSON response for project/pipelines create. !39839
- Syncronize use of maximize and minimize icons in order to deprecate duplicates with different names. !39889
- Add emails user_id foreign key with cascade delete. !39899
- Update GitLab Runner Helm Chart to 0.20.0. !39933
- Add temporary index for container scanning findings. !39962
- Replace some fa-trash icons with GitLab SVG remove icon. !39991
- Replacing deprecated buttons and loading buttons with new buttons. !40163
- Migrate Bootstrap button to GitLab UI GlButton in mr_widget_failed_to_merge. !40170
- Remove unused users.bio database column. !40269
- Remove milestone and iteration feature from Incidents sidebar. !40283
- Drop code_owner column from approval_merge_request_rules. !40322
- Add merge request usage to usage data. !40391
- Migrating buttons and classes to match GitLab UI. !40409
- Display informative messages when service desk is unsupported. !40454
- Add seats related columns for easier data analysis. !40470
- Remove keep latest artifact feature flags. !40478
- Add index on merge_request_id to approval_merge_request_rules. !40556
- Add kubernetes_agents usage metric. !40559
- Adds creator_id field to packages_packages table. !40562
- Add usage ping for distinct count for kubernetes agents for at least one token. !40563
- Add kubernetes_agent_gitops_sync usage ping metric. !40568
- Refactor ee/spec/support/shared_examples/models/* and spec/support/shared_examples/models/* to fix Rails/SaveBang Cop. !40695 (Rajendra Kadam)
- Change Vulnerabilities Count Data Retention to 1 year. !40766
- Add warning to stop Puma and Sidekiq when restoring from backup. !40791
- Add --if-exists to pg_dump command-line in backup creation. !40792
- Migrate remove description history button to new button. !40806
- Add NOT NULL constraint to merge_request_metrics.target_project_id. !40836
- Update empty state behavior for incidents list. !40872
- Remove attempt_group_search_optimizations feature flag. !40881 (gaga5lala)
- Add Issue actions to UsageData. !40904
- Hide the latest version of templates from the template selector. !40937
- Add target_id column to audit_events table. !40954
- Update Workhorse to v8.44.0. !40970
- Internal API for GitLab Kubernetes agent. !41045
- Use applogger in app/workers/*. !41046 (Rajendra Kadam)
- Use applogger in config/initializers/*. !41047 (Rajendra Kadam)
- Use applogger in ee/app/models, helpers and workers. !41048 (Rajendra Kadam)
- Use applogger in group.rb, access.rb and repo update mirror worker. !41049 (Rajendra Kadam)
- Use applogger in some files of lib/gitlab/ldap/sync/*. !41051 (Rajendra Kadam)
- Use applogger in lib/gitlab/. !41052 (Rajendra Kadam)
- Use applogger in spec/lib/ee/gitlab/. !41053 (Rajendra Kadam)
- Use applogger. !41055 (Rajendra Kadam)
- Use applogger in some files of ee/lib/* and spec files. !41056 (Rajendra Kadam)
- Use applogger in some files in lib/gitlab. !41058 (Rajendra Kadam)
- Use applogger in some files of auth/ldap dir. !41061 (Rajendra Kadam)
- Use applogger in lib/gitlab. !41063 (Rajendra Kadam)
- Use applogger in lib/gitlab/database. !41068 (Rajendra Kadam)
- Use applogger in lib/gitlab/. !41071 (Rajendra Kadam)
- Use applogger in lib/gitlab/. !41075 (Rajendra Kadam)
- Replace v-html with v-safe-html in delete_project_modal.vue. !41130 (Kev @KevSlashNull)
- Replace v-html with v-safe-html in fork_groups_list_item.vue. !41143 (Kev @KevSlashNull)
- Replace v-html with v-safe-html in list.vue. !41145 (Kev @KevSlashNull)
- Replace v-html with v-safe-html in popover.vue. !41197 (Kev @KevSlashNull)
- Replace v-html with v-safe-html in suggestions.vue. !41200 (Kev @KevSlashNull)
- Replace v-html with GlSprintf in memory_usage.vue. !41204 (Kev @KevSlashNull)
- Replace v-html with v-safe-html in parallel_diff_table_row.vue. !41206 (Kev @KevSlashNull)
- Replace v-html with v-safe-html in registry_breadcrumb.vue. !41207 (Kev @KevSlashNull)
- Replace v-html with v-safe-html in note_signed_out_widget_spec.js. !41219 (Kev @KevSlashNull)
- Externalize i18n strings from app/views/shared/web_hooks/_form.html.haml. !41234 (Takuya Noguchi)
- Externalize i18n strings from snippets/_header HAML. !41235 (Takuya Noguchi)
- Externalize i18n strings from app/views/shared/runners/show.html.haml. !41241 (Takuya Noguchi)
- Widen TODO list only on mobile to be mobile-friendly. !41244 (Takuya Noguchi)
- Widen issuable list only on mobile to be mobile-friendly. !41249 (Takuya Noguchi)
- Use GitLab AppLogger. !41261 (Rajendra Kadam)
- Add index to resource_iteration_events for add actions. !41280
- Use GitLab AppLogger. !41290 (Rajendra Kadam)
- Update Workhorse to v8.45.0. !41293
- Use GitLab AppLogger in files in lib/gitlab/*. !41302 (Rajendra Kadam)
- Replace v-html to v-safe-html directive. !41305 (Kazuya Kojima)
- Fix Rails/SaveBang offenses for */spec/services/merge_requests/*. !41315 (Rajendra Kadam)
- Fix Rails/SaveBang offenses for */spec/services/ci/*. !41317 (Rajendra Kadam)
- Adds an alert handler for bootstrap migration. !41323
- Replace v-html with v-safe-html in delete_user_modal.vue. !41328 (Kev @KevSlashNull)
- Fix Rails/SaveBang offenses for */spec/models/ci/*. !41329 (Rajendra Kadam)
- Replace v-html with v-safe-html in description.vue. !41336 (Kev @KevSlashNull)
- Internationalize Admin Abuse Report. !41355 (suzu-1990)
- Internationalize Admin users new. !41367 (Takuya Noguchi)
- Externalize i18n strings from admin dashboard. !41387 (Takuya Noguchi)
- Fix Rails/SaveBang offenses for 3 files. !41392 (Rajendra Kadam)
- Fix Rails/SaveBang offenses for 3 files. !41394 (Rajendra Kadam)
- Fix Rails/SaveBang offenses for 3 files. !41395 (Rajendra Kadam)
- Fix Rails/SaveBang offenses for 3 files. !41398 (Rajendra Kadam)
- Replace GlDeprecatedDropdownDivider with GlDropdown in app/assets/javascripts/vue_shared/components/filtered_search_bar/tokens/author_token.vue. !41432 (nuwe1)
- Replace v-html with the gl-icon component in time_ago.vue. !41457 (Kev @KevSlashNull)
- Replace v-html with v-safe-html in no_changes.vue. !41471 (Kev @KevSlashNull)
- Rename job trace to job logs in IDE code. !41522 (Kev @KevSlashNull)
- Remove attempt_project_search_optimizations feature flag. !41550 (gaga5lala)
- Update gems to use Faraday v1.0.1. !41623
- Ensure namespace settings are backfilled via migration. !41679
- Update design discussions to use GitLab UI components. !41686
- Convert spec_helper to fast_spec_helper. !41755 (gaga5lala)
- Migrate Bootstrap button for environment_actions. !41844
- Make Daemon Memory Killer be the default for Sidekiq. !41847
- Refactor relative positioning to enable better testing. !41967
- Lighten header counter badge colors to be more vibrant. !42002
- Remove duplicated container scanning findings. !42041
- Remove .pkgr.yml as not used for 4 years. !42156 (tnir)
- Update deprecated software versions to the latest. !42158 (tnir)
- Upgrade vendored Dockerfile template to buster. !42169 (Takuya Noguchi)
- Add instance statistics visits to usage data. !42211
- Modify DevOps Score UI Text. !42256
- Expand the visible highlight for collapsed diffs (re: !41393). !42343


## 13.3.9 (2020-11-02)

### Security (9 changes)

- Add CSRF protection to runner pause and resume. !1021
- Do not expose Terraform state record in API.
- Path traversal to RCE via LFS upload.
- Update container_repository_name_regex to prevent catastrophic backtracking.
- Validate nuget package names.
- Prevent private repo from being accessed via internal Kubernetes API.
- Validate each upload param key in multipart.rb.
- Fix XSS vulnerability for job build dependencies.
- Fix unauthorized user is able to access schedule pipeline variables and values.


## 13.3.8 (2020-10-21)

### Fixed (2 changes)

- Make SSH keys publicly accessible. !42288
- Revert required encryption on CI runner tokens. !42623

### Added (1 change)

- Add missing fontawesome file icon classes. !43091

### Other (1 change)

- GitLab-managed apps: Use GitLab's repo as replacement for the Helm stable repo. !44875


## 13.3.4 (2020-09-02)

### Security (1 change)

- Protect OAuth endpoints from brute force/password stuffing.


## 13.3.3 (2020-09-02)

### Security (23 changes, 1 of them is from the community)

- Check validity of project's import_url before mirroring repository.
- Show on two-factor authentication setup page groups that are the cause of this requirement.
- Prevent interrupted 2FA sign-in from signing-in incorrect user.
- Create new 2FA code each time user is entering 2FA setup page.
- Remove all sessions but current while enabling 2FA.
- Invalidate two factor sign-in when user password changes.
- Delete members invites created by users being deleted.
- Prevent OmniAuth from rendering arbitrary error messages.
- Prevent not-2fa authenticated users that are supposed to use it to consume api via session.
- Invalidate remember me when an active session is revoked.
- Add rate limit on webhooks testing feature.
- Add scope presence validation to OAuth Application creation.
- Allow only running job tokens for API authentication.
- Prevent Deploy Tokens to read project resources when repository is disabled.
- Change conan api to use proper workhorse validation.
- Ensure global ID is of Snippet type in GraphQL destroy mutation.
- Fix Improper Access Control on Deploy-Key.
- Set maximum limit for profile events.
- Persist EKS External ID before presenting it to the user.
- Prevent project maintainers from editing group badges.
- Upgrade jquery to v3.5.
- Update websocket-extensions gem to 0.1.5. (Vitor Meireles De Sousa)
- Update GitLab Runner Helm Chart to 0.19.3.


## 13.3.2 (2020-08-28)

### Removed (1 change)

- Display upcoming database deprecation warning only if current database version minimum is not met. !38225

### Fixed (5 changes)

- Fix race condition in concurrent backups. !39894
- Prevent accidental group deletion if path rename fails. !40353
- Fix snippet save button disabled with empty file path. !40412
- Fix exception handling when a concurrent backup fails. !40451
- Scope incident issue counts by given project or group. !40700


## 13.3.1 (2020-08-25)

### Fixed (2 changes)

- Fix bug when promoting an Issue with attachments to an Epic. !39654
- Avoid creating diff position when line-code is nil. !40089


## 13.3.0 (2020-08-22)

### Security (2 changes)

- Improve path traversal validation checks. !33114
- Update GitLab Runner Helm Chart to 0.19.2.

### Removed (3 changes)

- Remove Internet Explorer 11 from babel transpilation. !36840
- Remove namespace storage limit setting. !38108
- Geo: Drop tables related to vulnerability export replication. !38299

### Fixed (116 changes, 14 of them are from the community)

- Fix filter by releases at group issues and merge requests search bar. !26740 (Gilang Gumilar)
- Disable commenting on lines in files that were or are symlinks or replace or are replaced by symlinks. !35371
- Fix icon alignment on board cards. !35710 (carolcarvalhosa)
- Make Add metrics button visible on self monitoring dashboard. !36169
- Keep large spinner while MR file tree is loading. !36446
- Bug Fix: Child pipelines are not found by API endpoints. !36494
- Show relevant error messages when failing to match a CI job entry. !36536
- Don’t show close icon on flash warning. !36581
- Updates to file table in package details UI. !36723 (Adam Alvis (@adamalvis))
- Add graceful timeout handling for analytics. !36811
- Resolve Pasting an image into a comment also uploads design. !37171
- Fix release evidence sometimes not being collected. !37184
- Fix editing note throws js error. !37216
- Fix merge request approvals for EE without a license. !37246
- Fixed ops settings titles. !37259
- Refactor all factories to fix SaveBang Cop. !37268 (Rajendra Kadam)
- Resolve Anchor tags to Designs is not working. !37307
- Fix content validation for existing wiki pages. !37310
- Alert management list spacing. !37320
- Fix issue with blank keyset pagination parameters. !37351
- Remove dashed border on designs hover. !37375
- Fix CSV downloads for multiple series in the same chart. !37377
- Fix Pypi and Nuget Storage Statistics. !37386
- Display files in tab counter same as diff stats. !37390
- Fix vertical alignment of design management toolbar buttons. !37398
- Allow LFS to be enabled in project settings even when Repository is disabled. !37401
- Update closed MRs on push. !37414
- Remove old export file when requesting new project export using API. !37427
- Refactor spec/helpers and ee/spec/helpers to fix SaveBang Cop. !37446 (Rajendra Kadam)
- Fix ambiguous query error when filtering for Any milestone in Value Stream Analytics. !37451
- Ensure User's preferred_language always has a value. !37464
- Wiki controller should not crash with non-html format. !37466
- Fix local Tiller not being default-enabled on the frontend. !37494
- Fix sizing of pins for new design comments. !37541
- Remove status dropdown in merged tab. !37544
- Resolve UX Polish: Fix icon styles. !37546
- UX Polish: Remove the header Designs on empty state. !37548
- Fix creating release asset links when using the API. !37557
- UX Polish: Update top right Upload button from Green to Grey. !37558
- Fix bio container width on profile page. !37572
- Fix bug in group runners filtered search. !37626 (Arthur de Lapertosa Lisboa)
- Move partitioning backfill migration to post-deployment. !37633
- Fix missing path for avatars of bots. !37671
- Fix merge ref head comments for removed lines. !37755
- Query Jira projects by key or name and return all Jira projects in one query. !37799
- Make file icons extension detection be case-insensitive. !37817
- Allow anonymous users to view embedded Grafana metrics in public project. !37844
- Fix dependency proxy not working with object storage. !37878
- Fix review app links are not shown in MR widgets in public projects. !37923
- Fix dark mode container registry text. !37940
- Refactor spec/policies and ee/spec/policies to fix SaveBang Cop. !37956 (Rajendra Kadam)
- Static Site Editor: Fix ordered list formatting bug and rendering bug in strong and emphasis nodes with softbreaks. !37964
- Fix overflow issues with monaco file editor. !37984
- Fix error when blob has no auxiliary viewer. !38018
- Fix HTML not rendering in last commit widget. !38047
- Fix 500 error when unconfirmed OAuth2 user with 2FA logs in. !38104
- Fix console errors due to monaco-yaml's outdated use of monaco.Promise. !38135
- Refactor spec/finders and ee/spec/finders to fix SaveBang Cop. !38173 (Rajendra Kadam)
- Align activity dropdown height with other dropdowns. !38208
- Fix 500 for pipeline charts page. !38226
- Resolve Pasting an image into a comment still uploades a design. !38280
- Refactor ee/spec/features/* to fix SaveBang Cop. !38289 (Rajendra Kadam)
- Add workaround for Chrome 84 SVG bug. !38304
- Fix a Gradle bug where a package without a version would be created and thus not displayed on the UI. !38338
- Fixes the history button link URL being encoded incorrectly. !38392
- Refactor spec/workers/* to fix SaveBang Cop. !38399 (Rajendra Kadam)
- Use Gitaly protobuf version as DiffStats cache key. !38414
- Fix highlight commented rows. !38420
- Fix vertical alignment of some svg icons. !38550
- Fix Incident and Alert mobile CSS and alignment. !38577
- Refactor spec/features/merge_requests/* to fix Rails/SaveBang Cop. !38591 (Rajendra Kadam)
- Add transparent background to remove button in tree item list. !38597
- Update password change sign-in banner text. !38606
- Display authored message correctly on public snippets viewed by unauthenticated users. !38614
- Fix vertical alignment of svg icons on Jobs page. !38656
- Fix URLs of issues in VSA dashboard. !38703
- Remove duplicate authorized_projects entries during refresh. !38715
- Fix multiline comment rendering. !38721
- Improve rendering of very large files in the Repo File Browser. !38733
- Optimize click area in design version dropdown. !38747
- Fix notification setting for group with dot in name. !38773
- Fix bug where filtering would sometimes display only open issues on different pages listing issues. !38906
- Refactor spec/views/* and ee/spec/views/* to fix Rails/SaveBang Cop. !38981 (Rajendra Kadam)
- Refactor spec/support/helpers/* and ee/spec/support/helpers/* to fix Rails/SaveBang Cop. !38995 (Rajendra Kadam)
- Fix parallel jobs dropdown from cutting off in small pipeline graphs. !39108
- Add expire_at to PipelineArtifact. !39114
- Add not null constraint for file to ci_pipeline_artifacts. !39118
- Fix gitlab-rake gitlab:license:info crashing when no license exists. !39143
- Fix cancel button on New Release page. !39144
- Fix submit button tooltips for forms with quick submit behavior. !39225
- Fix scroll stuck on editor in snippets. !39251
- Fix: New File page file name field unclickable in mobile view. !39310
- Fix CI job artifacts metadata not extracting on some S3 providers. !39345
- Add default value for file_store to ci_pipeline_artifacts. !39349
- Handle user mapping for Jira server instances. !39362
- Ignore the sources node from the cobertura XML. !39385
- Fix Composer installation code snippet to include package name and version. !39400
- Fix failing bitbucket server import when project slug differs from name. !39433
- Right-aligned Clone dropdown for snippets. !39446
- Fix missing scoped label borders for todos. !39459
- Move gitlab-managed alerts embeds to core as documented. !39509
- Allow crawler access to api. !39520
- Fix panel "more actions" button layout. !39534
- Use history icon on recent search filter tab only on mobile. !39557 (Takuya Noguchi)
- Conan packages allow for conan_sources.tgz and conan_export.tgz files. !39559
- Fix horizontal scrolling on blocked/private profile pages. !39568
- Fixed discussion not expanding when replying to a collapsed discussion. !39571
- Fix pagination for bitbucket server importer. !39598
- Fix missing resolve button when replying to notes in MRs. !39614
- Fix Conan recipe display in the package details page. !39643
- Fix bug when promoting an Issue with attachments to an Epic. !39654
- Fix broken date time picker hide button. !39755
- Fix time zone config not respected in multi-threaded servers. !39778
- Use correct order when repositioning existing designs. !39826
- Center align pipeline graph icons. !39848
- Coerce string object storage options to booleans. !39901

### Deprecated (4 changes)

- Deprecation of ECS template. !36143
- Remove Jump to next unresolved thread button in merge request threads. !38375
- Deprecate blob field on GraphQL SnippetType. !39088
- Deprecate additions and deletions attributes in Repositories API. !39653

### Changed (144 changes, 12 of them are from the community)

- Show full commit message by default in merge request diff. !27981 (Gilang Gumilar)
- Use fingerprint column on events to ensure event uniqueness. !31021
- Disable application_settings_tokens_optional_encryption feature flag. !31798 (Gilang Gumilar)
- Disable ci_runners_tokens_optional_encryption feature flag. !31800 (Gilang Gumilar)
- Update Buildkite Service for supported events, fields, and always verify SSL. !33697 (Juanito Fatas)
- Allow OAuth to auto link LDAP users via email address. !33767 (Niko Wenselowski)
- Pre-fill the email input on sign-in / sign up pages. !33851
- Store user mentions from merge request title or description in the DB. !34378
- Allow multiline Prometheus queries in metrics dashboards yaml. !34508
- Increase contrast between UTC label and input. !34998
- Increase CI instance variable value limit. !35063
- Rewrite integration form in Vue. !35453
- Improved fork page design. !35592
- Add sign_in_count to /users/:id API for admins. !35726 (Luc Didry)
- Updates GitLab managed app Ingress version to 1.40.2. !35924
- Make scoped snippet routing a default one. !36091
- Show clone button for activity on project page. !36147
- Replace fa-angle-up icons with GitLab SVG. !36429
- Migrate '.fa-spinner' to `gl-loading-icon` within shared boards haml. !36436
- Package feature moved to core. !36667
- Replace fa-history icons with GitLab SVG history icon. !36691
- Add serverless empty state illustration. !36762
- Allow an issue or MR to be locked and unlocked without page refresh. !36773
- Exclude todos from general analytics accumulator ping. !36813
- Migrate license_management artifacts to license_scanning type. !36817
- When generating markdown for ordered lists, the list marker should not increment. !36851
- Rename snippet GraphQL files field to blob_actions. !36852
- Track milestone and state changes in issues / MRs using resource events. !36936
- Update project remove modal to add additional warnings. !36962
- Replace fa-plus icons with GitLab SVG plus icon. !36972
- Limit database deprecation notice window. !37009
- Changes limit for terraform artifacts to 5MB. !37018
- Replace fa-ban icons with "cancel" from GitLab SVG. !37067
- Move service desk usage data to core. !37080
- Add concurrency support for Git repository backups. !37158
- Replace some FA icons on groups listing page with GitLab SVG icons. !37162
- Remove extraneous `<br>` tags from the source file when using the Static Site Editor. !37223
- Remove flag and document max artifact size plan limits. !37226
- Replacing View Full Report button with GitLab UI. !37236
- Show meaningful message when applying inapplicable suggestion. !37267
- Return SSH key details in /internal/allowed response. !37289
- Change PagerDuty webhook URL. !37321
- Shorten 'enable LFS' manage for design management. !37385
- Show all snippet files when embedding. !37412
- Add target_details column to AuditEvent table. !37430
- Improve the IA and styling of the Success screen in the Static Site Editor. !37475
- Add Cilium APIs as part of kube_client. !37526
- Introduce `ci_needs_size_limit` to fine control needs. !37568
- Migrate service desk setting button to gl-button. !37612
- External auth adheres to local request setting. !37622
- Remove feature flag managed_apps_local_tiller. !37641
- Bring SAST to Core - bandit, Flawfinder, Gitleaks, Gosec, Kubesec, NodeJsScan, phpcs-security-audit, PMD, Security Code Scan, Sobelow, SpotBugs. !37648
- Replace fa-bell icons with GitLab SVG notifications icon. !37676
- Update gitlab-shell to v13.4.0. !37677
- Move clone button out of blob header. !37696
- Use normal font weight for Design Management dropzone text. !37787
- Replace fa-sign-out icons with GitLab SVG leave icon. !37794
- Add relative positioning on designs. !37835
- Backfill relative positions on designs. !37837
- Add search bar for incidents. !37885
- Add composer tab and package type to package list. !37928
- Add closed issue icon to incidents list for closed incidents. !37949
- Update size limits for SCA artifacts. !37975
- Update label select vue gl button. !37986
- Update suggest gitlab ci popover to gl-button. !37987
- Add pagination to the incident list. !37993
- Rejects duplicated pypi files. !38006
- Use new badge style for 'archived' project badge. !38013
- Remove Duplicate Dashboard item from dashboards dropdown. !38053
- Replace fa-git icons with link svg. !38078
- Enforce namespace storage limit via app setting. !38094
- Replace fa-certificate icon with first-contribution svg. !38154
- Use the uploaded file set by middleware in Repositories::LfsStorageController. !38167
- Migrate new project item select FA icons. !38177
- Add sorting by date for incident list. !38178
- Consistent labels for new/edit group URL. !38180
- Change date time picker units. !38232
- Switch manifest importer to new UI. !38268
- Add incident count badge to the incident list. !38278
- In metrics view, change default dashboard name to Overview. !38292
- Hide languages with few translations. !38312
- Reorganize group member management into tabs. !38344
- Changed wording for optional approvals. !38393
- Upgrade to Gitaly v13.3.0-rc3. !38405
- Re-name "Delete" button to "Archive" in Design Management. !38446 (Getulio Valentin Sánchez @gvso)
- Allow users with developer access level for given project to view kubernetes pod logs. !38467
- Set minimum Redis version to 4 and recommended version to 5 in Redis check task. !38475
- Re-name project remove as project delete. !38489
- Replace fa-info-circle icons with GitLab SVG information icon. !38505
- Take DAG view out of beta. !38517
- Specify Ruby image in FailFast template. !38523
- Update color and vertical alignment of project feature toggle. !38537
- Remove repositories from previous storage when storage move succeeds. !38547
- Add database migrations to prepare for future Geo replication. !38549
- Added minimum value of 1KB to wiki_page_max_content_bytes. !38554 (Uday Aggarwal (uday.agg97))
- Stop using priority and weight keys in metrics dashboards. !38572
- Add copy for Jira issues integration to GitLab issues empty state. !38586
- Add Mark as done capability to Alert To Do's. !38595
- Button migration vulnerability charts. !38610
- Change the job stuck page to use UI library components. !38618
- Order projects within the project dropdown by relevance in analytics features. !38675
- Enable New Package details UI, remove feature flag and remove all old code. !38680
- Update the project deletion confirmation modal to be more specific, the confirmation phrase now includes the project full path. !38700
- Replace v-popover directive with GlPopover in ./app/assets/javascripts/pipelines/components/pipelines_list/pipeline_url.vue.vue. !38769 (Gilang Gumilar)
- Add installation instructions for Composer. !38779
- Track wiki page views in usage data. !38784
- Update incident_issues usage ping to use issue type column. !38864
- Migrate custom metric form buttons. !38896 (George Tsiolis)
- Migrate enable review app button in environments. !38897 (George Tsiolis)
- Add migration helper index for Vulnerabilities::Finding table. !38898
- Migrate maintenance mode settings button. !38901
- Replace <gl-deprecated-button> with <gl-button> in app/assets/javascripts/pipelines/components/graph/action_component.vue. !38923
- Add a cache column for the number of changed files in a merge request diff. !38936
- Change UI and add new actions to monitor dashboard actions menu. !38946
- Support unitless single stat chart in metrics dashboards. !39067
- Update preferences for homepage/dashboard wording. !39092
- Update design mgmt navigation to use gl-button. !39104
- Enable design management reference filter by default. !39113
- Deprecated btn migration. !39154
- Update auto-build-image to v0.4.0 for an updated version of the pack CLI (v0.12.0) for Cloud Native Buildpack builds. !39159
- Change "gauge-chart" to "gauge" in YML panel configuration for gauge charts. !39184
- Enable FF ci_variables_api_filter_environment_scope by default. !39209
- Code navigation displays references when browsing repository. !39214
- Replace fa-book icon with GitLab SVG book icon. !39247
- Replace fa-close icons with GitLab SVG close icon. !39267
- Update auto-deploy-image to v1.0.0, including a locally vendored auto-deploy-app chart instead of charts.gitlab.io. !39272
- Improve environment dropdowns in operations metrics dashboard and highlight selected environment. !39303
- Replace Go Back with Collapse button for expanded Metric charts. !39307
- Replace issues icon with Gitlab SVG. !39313
- Replace fa-power-off icon with GitLab SVG power icon. !39330
- Remove transition animation from the Container Registry UI. !39337
- Replace mis-used CSS class in operations settings. !39338
- Enable Multiline Comments by default. !39370
- Enable delete button on Package group level view list. !39430
- Enabled monaco_blobs FF by default. !39441
- Import the new queries in common_metrics.yml into database. !39475
- Make View full report button open link in new tab. !39501
- Bump CodeQuality templates to version 0.85.10-gitlab.1. !39502
- Allow query/query_range keys in metrics dashboard to contain numbers. !39530
- Enable reorder_designs feature by default. !39555
- Return snippet binary blob content in GraphQL. !39583
- Add anchors to profile preferences. !39589
- Expose ID in Event object returned from the public API. !39669 (Killian Brackey @kbrackey)
- Rename create issue button to create incidents in ALert details. !39684

### Performance (25 changes)

- Add mechanism that efficiently increments ActiveRecord counters using Redis. !35878
- Add limit for wiki page content size. !36729
- Reduce 'cached' query calls for Banzai. !36735
- Fix N+1 issue in Explore Projects controller. !36874
- Avoid N+1 of issue associations in Search. !36941
- Replace FontAwesome fa-clock icon with SVG icon. !37123
- Inverse pipeline for its build associations. !37478
- Fix N+1 for project/:id/issues API endpoint. !37508
- Preload build report results for pipeline builds. !37582
- Always use expanded env name to load persisted environment. !37585
- Improve performance of test report with summary and test suite endpoints. !37629
- Preload number of pipeline warnings for commits. !37669
- Add PipelineArtifact data model. !37969
- Replace index for service usage data. !38147
- Serialize fewer pipeline fields for MR widget. !38215
- Improve performance of Banzai reference filters. !38290
- Skip subsequent topology Prometheus queries if timeout occur. !38293
- Remove some unnecessary Redis calls on commit lists. !38343
- Speed up commit lists and file blob pages on repositories with huge amounts of branches or tags. !38484
- Add index for compliance merged MRs to events. !38885
- Swap RepositoryHashCache to UNLINK. !39105
- Increase sidebar performance by not rendering k8s highlight when not needed. !39228
- Use more-efficient indexing for the MergeRequestDiff storage migration. !39470
- Add secure index for coverage fuzzing. !39569
- Performance and robustness improvements for relative positioning. !39807

### Added (138 changes, 6 of them are from the community)

- Add Rust Dockerfile to GitLab templates. !28167
- Add mutation to create a label or default backlog list for an issue board. !31233
- Allow labels argument for merge request create mutation. !32637
- Add btree_gist PGSQL extension and add DB constraints for Iteration date ranges. !33340
- Add cilium to Kubernetes apps list. !33703
- Define matrix builds for more complex pipelines. !33705
- Support getting a todo for an alert in GraphQL API. !34789
- Resolve Set a deploy freeze in the UI. !35163
- Display notes on merge ref head diff. !35422
- Add note_id to timelogs. !35916 (Lee Tickett)
- Prompt to resolve unresolved threads on an MR is a button that jumps to the first such thread. !36164
- Expose board list issues via GraphQL. !36259
- Add internal api for getting personal access tokens from gitlab-shell. !36302 (Taylan Develioglu @tdevelioglu)
- Add auto_link_user OmniAuth setting. !36664
- Add Draft to WIP for work in progress merge requests. !36666
- Add gauge chart type to the monitoring dashboards. !36674
- Add Prevent forking outside group feature. !36848
- Show Security Warning Modal for fork pipelines. !36951
- Add usage ping for coverage_fuzzing. !36960
- Use _ character for emphasis and * for strong in Static Site Editor markdown syntax. !36965
- Add migration for deployment_type of Jira server in jira_tracker_data table. !36992
- Add system note to alert when corresponding issue is closed. !37039
- Add locked as an argument to updateIssue. !37105
- Add PagerDuty incident integration. !37193
- Add container registry observations to usage ping. !37203
- Support dry-run cherry-picks and reverts via API. !37240
- Show full time range in metrics dashboard charts. !37243
- Geo: Add file store indexes. !37265
- Add ability to turn off "project moved" notifications. !37269
- Add basic incidents list. !37314
- Allow to create merge request pipelines in target project when user has permission. !37322
- Add external column to custom emoji table. !37346 (Rajendra Kadam)
- Add issue_type column to issues table. !37402
- Added webPath and descriptionHtml types to the repository GraphQL entities. !37416
- Add monthly usage ping data for analytics. !37417
- Added section names to code owner approvals in merge request form. !37425
- Add a new K8s Pod health metrics dashboard. !37482
- Update versions tab to other versions. !37513
- Add metrics dashboard templates for the standard file blob selector. !37519
- Add custom metrics dashboard templates supports. !37523
- Allow optional keyset pagination for branch list API. !37524
- Add default_membership_role column to saml_providers table. !37552
- Add NuGet lock files support to Dependency Scanning CI template. !37553
- Migrate vulnerability statistics historical data to vulnerability historical statistics. !37554
- Surface timeafo for created date in Incidents List. !37567
- Add parenthesis support for if: conditions. !37574
- Show mapped user in Jira import form dropdown. !37575
- Add GraphQL mutation to re-order designs. !37603
- Display assignees in Incident List. !37608
- Add ENV vars that expose source and target repository for CI Pipelines that run on an External Pull Requests. !37616 (Rafael Dohms @rdohms)
- Add DB table and model to track changes of the iterations on issues. !37617
- Migrate all 'incident' labelled issues to have issue type 'incident'. !37668
- Resolve Allow the ability to re-order designs. !37686
- Add target_project_id to merge_request_metrics table. !37713
- Allow user to update issue labels via GraphQL. !37728
- Sets issue type for incident issues to incident. !37781
- Create incident from the incidents list page. !37802
- Add personal_access_tokens list to REST API. !37806
- Allow user to simulate pipeline creation via CI Lint and go beyond syntax checks. !37828
- Adds clarifying documentation on EKS IAM roles. !37870
- Add API support for issue and merge request templates. !37890 (Jan Beckmann)
- Add confidential attribute to graphQL for notes update. !37920
- Add confidential attribute to public API for notes update. !37932
- Filter Issues in GraphQL by type of Issue. !38017
- Allows setting of issue subscribe status in GraphQL API. !38051
- Add deployment_events flag to web_hooks table. !38080
- Allow assign/unassign users to issues in GraphQL API. !38081
- Email notification for expired personal access token. !38086
- Upgrade CI to Git v2.28.0. !38152
- Add project milestones to GraphQL API. !38153
- Make the deploy freeze table responsive. !38213
- Add option to query a single board list with GraphQL API. !38216
- Add symlink label text to blob viewer. !38220
- Add support for runbook url to PrometheusAlert table. !38234
- Add dashboard_path to PrometheusMetric. !38237
- Add support for specifying AWS S3 Server Side Encryption (AWS-KMS). !38240
- Add issue status counts to Projects in GraphQL. !38263
- Auto expand collapsed diffs when viewing diffs file-by-file. !38296
- Add hide_backlog_list and hide_closed_list attributes to boards table. !38303
- GraphQL mutation to move issue within board lists. !38309
- Redirect to new metrics dashboard page. !38364
- Add experiments and experiment_users tables for tracking which users are enrolled for which experiments. !38397
- Save usage data in database. !38457
- Move old integrations to Settings > General and introduce instance-level integrations. !38488
- Expose runbook field in alert_management_alert GraphQL API. !38510
- Add CoverageReportsController#index CSV response. !38520
- Add support for never keyword in expire_in job artifacts. !38578 (Fabio Huser)
- Add attributes to filter project merge requests by merged at date in GraphQL. !38584
- Add `resolved_on_default_branch` column into `vulnerabilities` table. !38638
- Add alert url into incident issue markdown. !38649
- Return gitaly info in kubernetes internal API. !38654
- Add GraphQL query for a single milestone. !38682
- Add milestone_id param to issue update graphQL mutation. !38684
- Added pre-processing step to the Static Site Editor so code templates (ERB) are interpreted as code not content. !38694
- Backfill null values to prepare for Geo replication feature. !38719
- Update gitlab-shell to v13.5.0. !38720
- UI warning messages for pipeline configurations. !38734
- Enable state tracking for managed applications installed via the management project. !38759
- Set Incident issue type when creating issue. !38760
- Add pre-processing step so inline ERB and HTML syntax are wrapped in codeblocks for code vs. content editing in the static site editor's WYSIWYG mode. !38791
- Add protected branches count to usage ping. !38797
- Add include_parent_milestones param to project and group milestones API endpoints. !38800
- Clean up orphaned LFS file references during GC. !38813
- Add database migrations to ensure Geo replicates all package files when sync object storage is disabled. !38822
- Add pre-processing step so preexisting codeblocks are preserved prior to flagging content as code in the static site editor's WYSIWYG mode. !38834
- Add model for CiliumNetworkPolicy. !38848
- Expose alert information for environments. !38881
- Add Azure Blob Storage support. !38882
- Add webhooks for deployments. !38902
- Add "New Release" page to allow creation of releases through the interface. !38913
- Add GraphQL mutation for updating board list position and collapsed/expanded state. !38942
- Add due_date filter param to Issues REST API. !38973
- Support adding of API requests to the performance bar. !39057
- Expose counts (pipeline, commits) and approvers for a merge request in GraphQL. !39086
- Add total_weight and issues_count fields to the board list graphQL endpoint. !39110
- Make available new UI for adding a panel to a metrics dashboard. !39124
- Improve submission behavior of the New/Edit Release page. !39145
- Allows NuGet to authenticate with Job Token. !39147
- Upgrade Pages to 1.22.0. !39172
- Upgrade Workhorse to v8.38.0. !39223
- JUnit test report on pipeline detail page. !39260
- Allow GraphQL pipeline to resolve non-CI pipelines and expose configSource field. !39275
- GraphQL: Issues - Added 'include_subgroup' parameter. !39279
- Enable `:resource_access_token` feature flag by default. !39287
- Add runbook to metric chart dropdown. !39288
- Add runbooks to metric alerts. !39315
- Preserve active tab on alert details page reload. !39369
- GraphQL: Add user to pipeline + status and email to user + StatusType. !39402
- Add external link icon to list of repositories in importer. !39442
- Add target_type to audit_events. !39461
- Enable read SPDX catalogue from local copy. !39463
- Show runbook for alert in detail view. !39477
- Link to logs from GitLab-managed alert metrics. !39487
- Add SECRET_DETECTION_EXCLUDED_PATHS env var. !39523
- Add pipeline_artifacts_size to project_statistics. !39607
- Setup basic level telemetry for navigation. !39638
- Update gitlab-shell to v13.6.0. !39675
- Empty State for the Incident list. !39718

### Other (69 changes, 9 of them are from the community)

- Remove globe icon from explore projects dropdown. !21659
- Remove mr_tabs_position feature flag. !29340 (Lee Tickett)
- Improve Elasticsearch Reindexing documentation. !29788
- Remove createIssues logic from list model. !32236 (nuwe1)
- Unify Prometheus metric initialization by always using inline transaction metrics. !32980
- Adds models and tables for cluster agent and cluster agent tokens. !33228
- Remove updated_at column on audit_events table. !35690
- Replace fa-pencil-square-o icons with GitLab SVG icons. !36059
- Replace fa-rss with GitLab SVG icon. !36553
- Limit project moved e-mails to maintainers/owners. !36665
- Backfill personal snippets statistics. !36801
- Set default bullet char character as - when generating markdown in Static Site Editor. !36820
- Replace <gl-deprecated-button> with <gl-button> in app/assets/javascripts/pipelines/components/graph/linked_pipeline.vue. !36968
- Replace fa-link icons with GitLab SVG link icon. !36973
- Consolidate issuable_header_warning for both MR and issue. !37043
- Remove index from chat_names and service_id. !37054
- Making component diagram click-friendly. !37147 (Arjun Pravin @Sgt.Arjun)
- Replace fa-pause with pause svg. !37149
- Replace fa-replace icon with svg. !37228
- Replace fa-key icon with svg. !37251
- Remove app_server_type from top level usage ping. !37279
- Update GitLab Runner Helm Chart to 0.19.0. !37292
- Use ES6 methods instead of `for` loops. !37324 (allenlai18)
- Remove legacy pipeline processing service and FF ci_atomic_processing. !37339
- Cleanup migration to drop temporary table untracked_files_for_uploads if exists. !37352
- Fix the MR number in CHANGELOG. !37399
- Immediately update project statistics when running housekeeping or repository cleanup. !37579
- Update GitLab Runner Helm Chart to 0.19.1. !37583
- Add index to resource_milestone_events for add actions. !37636
- Capitalize CloudFlare in documentation. !37704 (Takuya Noguchi)
- Use Cloudflare in comments. !37764 (Takuya Noguchi)
- Update $gray-400 hex and replace instances of $gray-400 with $gray-200. !37813
- Add link to issue details page from Incident list page. !37814
- Remove link to Cloudflare cert for Pages. !37876 (Takuya Noguchi)
- Add incident state columns. !37889
- Move file store updates and mount_uploader into a concern. !37907
- Set appropriate timeouts for PrometheusClient. !37924
- Remove GitlabIssueTrackerService database records. !37931
- Remove title and description columns from services table. !37936
- Fix misalignment of download icon on jobs page. !37966
- Automatically calculate the database connection pool size. !38049
- Remove per-web-transaction redis metrics. !38101
- ee Updating $gray-500 hex value and replacing instances with $gray-300. !38229
- Removes the old UI page. !38277
- Log raw pre-receive message in fast-forward merge. !38354
- Replace times-circle with GitLab SVG clear icon. !38409
- Add telemetry for instance-level and template integrations. !38459
- Add group_id column to the services table. !38499
- Replace fa-play/pause icons with svg. !38535
- Add telemetry for projects inheriting instance settings. !38561
- Move button in Settings > Webhooks to the right. !38650
- Replace deprecated button on vulnerability details page. !38679
- Collect node CPU and memory utilization in usage ping. !38681
- Improve unfurling support for /search. !38699
- Add can_push column to group_deploy_keys_groups table. !38714
- Log raw pre receive error for create branch service. !38749
- Change to glbutton component in CI variables list. !38757
- Replace deprecated buttons in dashboard header. !38830
- Remove :gzip_diff_cache feature flag. !38838
- Replace some fa-trash icons with GitLab SVG remove icon. !38964
- Productivity Analytics: Improve error message when query takes too long to calculate. !39074
- Adds an environment variable override to disable unstructured logs. !39109
- Remove not-null constraint on type column in audit_events. !39192
- Set longer Prometheus timeouts in PrometheusService. !39318
- Use active version of Redis for an example. !39404 (Takuya Noguchi)
- Remove FF ci_composite_status and related codes. !39498
- Remove a card-small class from HAML files. !39550 (Takuya Noguchi)
- Provide versioning support to Sidekiq workers. !39562
- Replace fa-pencil icon with GitLab SVG. !39648


## 13.2.10 (2020-10-01)

### Security (14 changes)

- Do not store session id in Redis.
- Fix permission checks when updating confidentiality and milestone on issues or merge requests.
- Purge unaccepted member invitations older than 90 days.
- Adds feature flags plan limits.
- Prevent SVG XSS via Web IDE.
- Ensure user has no solo owned groups before triggering account deletion.
- Security fix safe params helper.
- Do not bypass admin mode when authenticated with deploy token.
- Fixes release asset link filepath ReDoS.
- Ensure global ID is of Annotation type in GraphQL destroy mutation.
- Validate that membership expiry dates are not in the past.
- Rate limit adding new email and re-sending email confirmation.
- Fix redaction of confidential Todos.
- Update GitLab Runner Helm Chart to 0.19.4.


## 13.2.8 (2020-09-02)

### Security (1 change)

- Protect OAuth endpoints from brute force/password stuffing.


## 13.2.7 (2020-09-02)

### Security (23 changes, 1 of them is from the community)

- Check validity of project's import_url before mirroring repository.
- Show on two-factor authentication setup page groups that are the cause of this requirement.
- Prevent interrupted 2FA sign-in from signing-in incorrect user.
- Create new 2FA code each time user is entering 2FA setup page.
- Remove all sessions but current while enabling 2FA.
- Invalidate two factor sign-in when user password changes.
- Delete members invites created by users being deleted.
- Prevent OmniAuth from rendering arbitrary error messages.
- Prevent not-2fa authenticated users that are supposed to use it to consume api via session.
- Invalidate remember me when an active session is revoked.
- Add rate limit on webhooks testing feature.
- Add scope presence validation to OAuth Application creation.
- Allow only running job tokens for API authentication.
- Prevent Deploy Tokens to read project resources when repository is disabled.
- Change conan api to use proper workhorse validation.
- Ensure global ID is of Snippet type in GraphQL destroy mutation.
- Fix Improper Access Control on Deploy-Key.
- Set maximum limit for profile events.
- Persist EKS External ID before presenting it to the user.
- Prevent project maintainers from editing group badges.
- Upgrade jquery to v3.5.
- Update websocket-extensions gem to 0.1.5. (Vitor Meireles De Sousa)
- Update GitLab Runner Helm Chart to 0.18.3.


## 13.2.6 (2020-08-18)

- No changes.

## 13.2.5 (2020-08-17)

### Security (2 changes)

- Stop deploy token being mis-used as user in ProjectPolicy and GroupPolicy.
- Project access is checked during deploy token authentication.


## 13.2.4 (2020-08-11)

### Security (1 change)

- Add decompressed archive size validation on Project/Group Import. !38736

### Fixed (1 change)

- Fix automatic issue creation via Prometheus alerts. !37884


## 13.2.3 (2020-08-05)

### Security (12 changes)

- Update kramdown gem to version 2.3.0.
- Enforce 2FA on Doorkeeper controllers.
- Revoke OAuth grants when a user revokes an application.
- Refresh project authorizations when transferring groups.
- Stop excess logs from failure to send invite email when group no longer exists.
- Verify confirmed email for OAuth Authorize POST endpoint.
- Fix XSS in Markdown reference tooltips.
- Fix XSS in milestone tooltips.
- Fix xss vulnerability on jobs view.
- Block 40-character hexadecimal branches.
- Prevent a temporary access escalation before group memberships are recalculated when specialized project share workers are enabled.
- Update GitLab Runner Helm Chart to 0.18.2.


## 13.2.2 (2020-07-29)

### Fixed (3 changes)

- Coerce repository_storages_weighted, removes repository_storages. !36376
- Fix JiraImportUsersInput startAt field. !37492
- Provide better git error message when the user is unconfirmed. !37944

### Changed (1 change)

- Skip mass unconfirming users when send_user_confirmation_email setting is off. !38024


## 13.2.0 (2020-07-22)

### Security (3 changes)

- Unconfirm wrongfully verified email addresses and user accounts. !35492
- Make logrotate run as git user for source installations. !35519
- Replace misleading text in re-confirmation emails. !36634

### Removed (7 changes, 2 of them are from the community)

- Remove deprecated dashboard & group milestone pages. !13237
- Removed UltraAuth integration for OmniAuth. !29330 (Kartikey Tanna)
- Remove all search autocomplete for groups/projects/other. !31187
- Remove temporary datepicker position fix as it is no longer required. !31836 (Arun Kumar Mohan)
- Remove the ability to customize the title and description of some integrations (Bugzilla, Custom Issue Tracker, Redmine, and YouTrack). !33298
- Drop deprecated **_ANALYZER_IMAGE_PREFIX. !34325
- Remove Internet Explorer 11 specific polyfills. !36830

### Fixed (300 changes, 79 of them are from the community)

- Remove broken hyperlink from close and reopen button. !22220 (Lee Tickett)
- Fix 'Active' checkbox text in Pipeline Schedule form to be a label. !27054 (Jonston Chan)
- Fix back button when switching MR tabs. !29862 (Lee Tickett)
- Remove ability to scroll Issue while in Design View. !29881
- Fix merge request note label URLs. !30428 (Lee Tickett)
- Fix default path when creating project from group template. !30597 (Lee Tickett)
- Fixed issue (#198424) that prevented k8s authentication with intermediate certificates. !31254 (Abdelrahman Mohamed)
- Fix group transfer service to deny moving group to its subgroup. !31495 (Abhisek Datta)
- Fix issuable listings with any label filter. !31729
- Move prepend to last in ee-app-services. !31838 (Rajendra Kadam)
- Fallback to lowest visibility level in snippet visibility radio. !31847 (Jacopo Beschi @jacopo-beschi)
- Add class stubs and fix leaky constant alert in query limit helper spec. !31949 (Rajendra Kadam)
- Remove usage of spam constants in spec. !31959 (Rajendra Kadam)
- Fix leaky constant issue in uninstall progress service check. !32036 (Rajendra Kadam)
- Fix leaky constant issue in commit entity spec. !32039 (Rajendra Kadam)
- Fix leaky constant issue in task completion status spec. !32043 (Rajendra Kadam)
- Fix leaky constant issue in admin mode migration spec. !32074 (Rajendra Kadam)
- Fix leaky constant issue in sidekiq middleware server metric spec. !32104 (Rajendra Kadam)
- Fix leaky constant issue in sidekiq middleware client metric spec. !32108 (Rajendra Kadam)
- Fix leaky constant issue in path regex spec. !32115 (Rajendra Kadam)
- Fix leaky constant issue importer and cache headers spec. !32122 (Rajendra Kadam)
- Fix leaky constant issue in relation factory spec. !32129 (Rajendra Kadam)
- Fix leaky constant issue in test coverage spec. !32134 (Rajendra Kadam)
- Prevent emails to user on expiry of impersonation token. !32140
- Fix leaky constant issue in diff collection spec. !32163 (Rajendra Kadam)
- Fix leaky constant issue in migration helpers, with lock retries and ignored cols spec. !32170 (Rajendra Kadam)
- Fix leaky constant issue in factory spec. !32174 (Rajendra Kadam)
- Fix leaky constant issue in creds factory spec. !32176 (Rajendra Kadam)
- Use applogger in project import state file. !32182 (Rajendra Kadam)
- Use applogger in project.rb. !32183 (Rajendra Kadam)
- Use applogger in chat_team.rb. !32184 (Rajendra Kadam)
- Use applogger in repository model. !32185 (Rajendra Kadam)
- Use applogger in build and ssh host key. !32187 (Rajendra Kadam)
- Use applogger in cache attrs and highest role ruby files. !32189 (Rajendra Kadam)
- Use applogger in legacy project and namespace. !32190 (Rajendra Kadam)
- Use applogger in base.rb. !32191 (Rajendra Kadam)
- Use applogger in usage ping and webhook service. !32192 (Rajendra Kadam)
- Use applogger in exclusive_lease_guard. !32194 (Rajendra Kadam)
- Use applogger in groups destroy service and label create service. !32195 (Rajendra Kadam)
- Use applogger in merge_service.rb. !32196 (Rajendra Kadam)
- Use applogger in project create service and after import service. !32198 (Rajendra Kadam)
- Use applogger in update stats service. !32200 (Rajendra Kadam)
- Use applogger in base attachment service. !32201 (Rajendra Kadam)
- Use applogger in export service. !32203 (Rajendra Kadam)
- Use applogger in akismet service. !32205 (Rajendra Kadam)
- Use applogger in file mover file. !32206 (Rajendra Kadam)
- Use applogger in commit signature worker. !32207 (Rajendra Kadam)
- Use applogger in delete user worker. !32209 (Rajendra Kadam)
- Use applogger in email receiver worker. !32211 (Rajendra Kadam)
- Use applogger in artifact worker. !32212 (Rajendra Kadam)
- Use applogger in new note worker. !32213 (Rajendra Kadam)
- Fix duplicate filename displayed in design todos. !32274 (Arun Kumar Mohan)
- Add value length validations for instance level variable. !32303
- Resolve image overflow at releases list panel. !32307
- Clean up shared/tmp folder after Import/Export. !32326
- Fix creating release evidence if release is created via UI. !32441
- GraphQL hasNextPage and hasPreviousPage return correct values. !32476
- Fix loading and empty state styling for alerts list. !32531
- Resolve incorrect x-axis padding on the Environments Dashboard. !32533
- Fix time_tracking help link. !32552
- Don't display confidential note icon on confidential issue public notes. !32571
- Update container expiration policy database defaults. !32600
- Fix rendering of emojis in status tooltips. !32604
- Remove `:prevent_closing_blocked_issues` feature flag. !32630 (Lee Tickett)
- Hid copy contents button when blob has rendering error. !32632
- Avoid refresh to show endedAt after mutation. !32636
- Fix for metrics creation when saving MR. !32668
- Skip the individual JIRA issues if failed to import vs failing the whole batch. !32673
- Hide "Import from Jira" option from non-entitled users. !32685
- Allow special characters in dashboard path. !32714
- Fix broken help link on operations settings page. !32722
- Allow different in bulk editing issues. !32734
- Fix whitespace changes overgrowing the diff container. !32774
- Improve spacing and wrapping of group actions buttons and stats in group list view. !32786
- Fix "Broadcast Messages" table overflow and button alignment. !32801
- Fix 404 when downloading a non-archive artifact. !32811
- Make commits author button confirm to Pajamas specs. !32821
- Fix filename duplication in design notes in activity feeds. !32823 (Arun Kumar Mohan)
- Prevent multiple Auto DevOps deployment jobs running concurrently when using manual rollout. !32824
- Implement displaying downstream pipeline error details. !32844
- Fix Runner heartbeats that results in considering them offline. !32851
- Conan package registry support for the conan_export.tgz file. !32866
- Fix plural message in account deletion section. !32868
- Fix atomic processing bumping a lock_version. !32914
- AsciiDoc: Add support for built-in alignment roles. !32928 (mnrvwl)
- Fix a bug where some Vue apps would be unable to load when DAG tab is disabled. !32966
- Fix undefined error in Gitlab::Git::Diff. !32967
- Fix spelling error on Ci::RunnersFinder. !32985 (Arthur de Lapertosa Lisboa)
- Fix polling for resource events. !33025
- Fix broken CSS classes inside alert management list. !33038
- Fix bug in snippet create mutation with non ActiveRecord errors. !33085
- Fix overflow issue in MR and Issue comments. !33100
- Fix alignment of button text on the Edit Release page. !33104
- Deduplicate URL parameters when requesting merge request diffs which causes diffs load to fail. !33117
- Fix tabbing through form fields in projects/new flow. !33209
- Fix incorrect commit search results returned when searching with ref. !33216
- Issue list page shows correct status for moved re-opened issues. !33238
- Fix NoMethodError by using the correct method to report exceptions to Sentry. !33260
- Fix KaTeX font paths. !33338
- Resolve Fix Incomplete Kubernetes Cluster Status List. !33344
- Fix auto-merge not running after discussions resolved. !33371
- Fix bug in snippets updating only file_name or content. !33375
- Resolve "WebIDE displays blank file incorrectly". !33391
- Fix invisible emoji modal on Set Status form when clicked the second time. !33398
- vertically center action icon in the CI pipeline. !33427 (Nathanael Weber)
- Wrap auto merge parameters update in database transaction. !33471
- Return 404 response when redirecting request with invalid url. !33492
- Fix ambiguous string concatenation on CleanupProjectsWithMissingNamespace. !33497
- Fix snippet repository import edge cases. !33506
- Rust CI template: Replace --all with --workspace on cargo test. !33517 (Markus Becker)
- Make markdown textarea links tab-accessible. !33518
- Pass hard delete option to snippets bulk destroy. !33520
- Fix CI rules for ECS related jobs. !33527
- Update GitLab Workhorse to v8.34.0. !33543
- Fix snippet repository import fail with older export files. !33584
- Web IDE: Create template files in the folder from which new file request was made. !33585 (Ashesh Vidyut)
- Improve header acccessibility. !33603
- Remove non migrated snippets from failed imports. !33621
- Prevent duplicate issues when importing from CSV. !33626
- Fix sidebar spacing for alert details. !33630
- Fix linking alerts to created issues for the Generic alerts intergration. !33647
- Resolve spacing ux debt on Release assets form field. !33684
- Fix pagination link header. !33714 (Max Wittig)
- When clicking multiple times to leave a single comment, the input field should remain focused. !33742
- Allow wiki pages with +<> characters in their title to be saved. !33803
- Fix force_remove_source_branch not working in API. !33804
- Fix prometheus alerts not being automatically created. !33806
- Fix pagination for resource label events. !33821
- Fix pagination for resource milestone events api. !33845
- Return code navigation path for nil diff_refs. !33850
- Record audit event when an admin creates a new SSH Key for a user via the API. !33859 (Rajendra Kadam)
- Do not create duplicate issues for exising Alert Management alerts. !33860
- Add link text to collapsed left sidebar links for screen readers. !33866
- Update text in error tracking list error message. !33872
- Ensure that alerts are shown when prometheus service is active. !33928
- Fixed dashboard YAML file validaiton for files which do not contain object as root element. !33935
- Fix design note scrolling. !33939
- Updated the Android CI Script. !34007 (s-ayush2903)
- Update validates_hostname gem with support for more TLDs. !34010
- Remove default "archived" parameter value from Groups API's projects endpoint. !34018 (Justin Sleep)
- Fix approval rule type when project rule has users/groups. !34026
- Update wording of addMultipleToDiscussionWarning. !34088
- Show all storages in settings. !34093
- Set author as nullable in snippet GraphQL Type. !34135
- Fix rendering of very long paths in merge request file tree. !34153
- Fix 500 errors and false positive warnings during metrics dashboard validation. !34166
- Remove not null constraint from events tables. !34190
- Ensure we always generate a valid wiki event URL. !34191
- Send information about attached files to the GraphQL mutation. !34221
- Update issue limits template to use minutes. !34254
- Add route for the lost-and-found group and update the route of orphaned projects. !34285
- Make markdown textarea buttons tab accessible. !34300
- GraphQL - properly handle pagination of millisecond-precision timestamps. !34352
- Fix 500 error in BlobController#delete. !34367
- Updated Auto DevOps with a fix to delete PostgreSQL PVC on environment cleanup, a fix for multiline K8S_SECRET variables, updated Helm to 2.16.7 and glibc to 2.31. !34399 (verenion)
- Updates Helm version to 2.16.7, which has some fixes. !34452
- Align "External" access level row in the user admin form. !34455 (Eduardo Sanz @esanzgar)
- Fix issues with scroll on iOS / iPad OS. !34486
- Add environment_scope filter to ci-variables API. !34490
- Fix order of integrations to be sorted alphabetically. !34501
- Fix undefined method error. !34522
- Fix static site editor raw (has front matter) <-> body (lacks front matter) content changes sync. !34523
- Use Keys::DestroyService for deleting an SSH key when an admin deletes a key via the API. !34535 (Rajendra Kadam)
- Removed default artifact name for Terraform template. !34557
- Record audit event when a user creates a new SSH Key for themselves via the API. !34645 (Rajendra Kadam)
- Restrict alert assignee user search to current project in alert management details. !34649
- Limit alert assignment to only users who can read alerts. !34681
- Use Keys::DestroyService for deleting an SSH key when a user deletes a key via the API. !34718 (Rajendra Kadam)
- Use GpgKeys::CreateService when an admin creates a new GPG key for a user. !34737 (Rajendra Kadam)
- Sort code coverage graph in ascending order. !34750
- Fix Issue sticky title URL hash offset. !34764
- Fix broken todo GraphQL API filtering when filtering by type. !34790
- Use GpgKeys::CreateService when a user creates GPG keys for themselves via the API. !34817 (Rajendra Kadam)
- Expand healtchecks `500`s when DB is not available. !34844
- Assign plan_id when building a new plan limit. !34845
- Fix 500 errors with filenames that contain glob characters. !34864
- Avoid updating snippet content when snippet_files content is not present. !34865
- Ensure original repository is archived after a shard move. !34895
- Fix issue suggestion text color on dark mode. !34899
- Enclose `release-cli` steps in an array. !34913
- Add DestroyService for GPG keys and use for deleting GPG keys via API. !34935 (Rajendra Kadam)
- Resolve Misleading message displays when MR request is first submitted. !34958
- Cancel review app deployment when MR is merged. !34960
- Add RSpecs for Gitlab::Emoji module. !34980 (Rajendra Kadam)
- Fix directory and last commit not loading for some filenames. !34985
- Fix confidential warning not showing the issuable type. !34988
- Fixed mermaid not rendering when switching diff tabs. !35023
- Use GpgKeys::DestroyService when a user deletes GPG keys for themselves via the API. !35033 (Rajendra Kadam)
- Fix alignment of navigation theme options. !35041
- Support fenced code blocks in Atlassian Document Format converter. !35065
- Fixed size limit for too large snippets. !35076
- Don't include changes in webhook payload when old associations are empty. !35158
- Fix release assets for Guest users of private projects. !35166
- Properly set CI_DEPLOY_FREEZE variable in pipelines. !35226
- Move 'Delete comment' button to bottom of 'More actions' list. !35237
- Only run DAST job if Kubernetes active. !35259
- Add instrumentation to Gitaly streamed responses. !35283
- Fix pages_url for projects with mixed case path. !35300
- Ensure .git/config is updated for forks. !35305
- Defer updating .git/config for imported projects. !35308
- Redirect wiki edit actions for missing pages. !35350
- Fix styling bug for disabled merge button. !35365
- Static Site Editor can’t be opened in projects belonging to a subgroup. !35378
- Resolve timeout in admin/jobs. !35385
- Fix job log text color in dark mode. !35387
- Minor UI fixes for Issue page in dark mode. !35395
- Disable ILM on ELK vendor yaml. !35398
- Improve alert list spacing. !35400
- Fix path conflict for Ghost on UpdateRoutesForLostAndFoundGroupAndOrphanedProjects. !35425
- Add tiller.log to Auto DevOps deployment job artifacts when AUTO_DEVOPS_DEPLOY_DEBUG is set. !35458
- Resolve [Un]Assign Issue to/from Comment Author Action Visibility. !35459
- Add email and email_verified claims to OAuth ID token. !35468 (André Hänsel)
- Make ProjectUpdateRepositoryStorageWorker idempotent. !35483
- Project bot users should always have their emails confirmed by default. !35498
- Only show open Merge Requests in Web IDE. !35514
- Remove Edit dashboard button from self monitoring dashboard. !35521
- Guard against data integrity issues when canceling review app jobs. !35555
- Use FLOAT_TYPE for storage limit. !35559
- Enforce prometheus metric uniqueness across project scope. !35566
- Use full version instead of short version for Sentry Error Release links. !35623
- Propagate error on FF pre-receive failure. !35633
- Support multiple mailboxes incoming email check. !35639
- Fix Profile Applications page to be shown in correct locale. !35661
- Fix 404 when importing project with developer permission. !35667
- Fix incorrect text escaping in the Static Site Editor. !35671
- Use the user's preferred language as default. !35676
- Create associated routes when a new bot user is created. !35711
- Prevent autosave when reply comment via cmd+enter. !35716
- Fix border-radius-base SCSS value. !35740
- Fix alert sort styling issues. !35741
- Change the sort order for alert severity and status. !35774
- Fix unique case where static site editor's custom renderer for identifier syntax didn't robustly handle inline code. !35775 (Derek Knox)
- Save show whitespace changes. !35806
- Fix existing repository_storages_weighted migrations. !35814
- Fix error 500s creating new projects due to empty weights. !35829
- Fix rendering alert issue description field. !35862
- Fixed translation errors on MR Widget. !35888
- Fix 500 errors with invalid access tokens. !35895
- Change PrometheusMetrics identifier index. !35912
- Backfill missing routes for Bot users. !35960
- Add generic message when no pipeline in MR. !35980
- Conditionally render Docker row checkbox. !36000 (gfyoung)
- Fix missing avatar in MR widget. !36034
- Fix comment loading error in issues and merge requests. !36043
- Fix routing for paths starting with help and projects. !36048
- Fix infinite loading spinner for related merge requests on commit pipelines tab. !36077
- Use error.message instead of error in importer.log. !36104
- Remove hardcoded reference to gitlab.com in NPM .gitlab-ci.yml template. !36124
- Remove dashboard panels' tabindex where is not needed. !36168
- Fix Project#pages_url not to downcase url path. !36183
- Remove border from related merge requests/issues counter. !36272
- Fail jobs that fail to render registration response. !36274
- Sort metrics dashboard panels and groups using a stable sort. !36278
- Remove HTML link from plain text mail. !36301
- Fix wrong value of checkbox in integration form. !36329
- Add a Rake task to fix incorrectly-recorded external diffs. !36353
- Fix single file editor with long branch name. !36371
- Allow self monitoring dashboard to be duplicated. !36433
- Propagate DS_JAVA_VERSION for dependency scanning. !36448
- Fix to display speech bubble on hover over image on commits page. !36470 (Adam Alvis @adamalvis)
- Fix to remove speech bubble on hover over image on MR Overview tab. !36474 (Adam Alvis @adamalvis)
- Add DOCKERFILE_PATH to Auto DevOps workflow:rules. !36475
- Show symlink icon in repository browser. !36524
- Snippet comments where any line begins with a slash following an alphabetic character can't be published. !36563
- Exclude services relation from Project Import/Export. !36569
- Permanently close Jira import success alert. !36571
- Fix dashboard schema validation issue. !36577
- Refactor issues controller spec to fix SaveBang Cop. !36582 (Rajendra Kadam)
- Fix positioning of mr/issue count. !36621
- Update to Grape v1.4.0. !36628
- Fix API errors when null value is given for the bio. !36650
- Avoid 500 errors with long expiration dates in tokens. !36657
- Remove CI/CD variable validations on AWS keys. !36679
- Ensure to run unassign issuables worker when not in a transaction. !36680
- Mark existing Project Bot Users as confirmed. !36692
- Fix error message when saving an integration and testing the settings. !36700
- Do not depend on artifacts from previous stages in Auto DevOps deployments. !36741
- Delete tracking records on partitioning migration rollback. !36743
- Updates Helm version to 2.16.9 which has some fixes. !36746
- Web IDE: Page title should not be .editorconfig when the IDE is first loaded. !36783
- Removes fixes that broke the pipeline table. !36803
- Refactor group controllers specs to fix SaveBang Cop. !36853 (Rajendra Kadam)
- Fix the default metrics dashboard to work on K8s versions 1.12 to 1.16. !36863
- Fix incorrect marking MR as Draft. !36869
- Use an array for fetching same_family_pipeline_ids. !36883
- Remove extra Secret-Detection job on merge requests. !36884
- Remove Rails Optimistic Locking monkeypatch. !36893
- Refactor projects controllers specs to fix SaveBang Cop. !36920 (Rajendra Kadam)
- Fix background overflow when design note is selected. !36931
- Fix bulk editing labels bug. !36981
- Fix not being able to add more than one CI variable through the UI. !37001
- Uses --set-string to avoid Helm confusion over short SHA vs Scientific Notation. !37004 (Bryan H. @galador)
- Fix displaying import errors from server. !37073
- Fix failing dashboard schema validation calls. !37108
- Fix showing MLC form on replies. !37139
- Set experiementation cookie for GitLab domain only.
- Prevent duplicate health status text on epics.
- Add DS detection of build.gradle.kts.
- Fix for test report link in MR widget.
- Footer system message fix.

### Deprecated (1 change, 1 of them is from the community)

- Remove the unused worker code and its queue. !32595 (Ravishankar)

### Changed (191 changes, 9 of them are from the community)

- Deduplicate labels with identical title and project. !21384
- Add a GraphQL endpoint to fetch Jira projects through its REST API. !28190
- Change legends in monitor dashboards to tabular layout. !30131
- Move pipelines routing under /-/ scope. !30730
- Set markdown toolbar to use hyphens for lists. !31426
- Use sprites for comment icons on Commits. !31696
- Rate limit project export by user. !31719
- Reorder diffs compare versions dropdowns. !31770 (Gilang Gumilar)
- Enable the `in this group` action in the Search dropdown. !31939
- Externalize i18n strings from ./app/views/shared/_promo.html.haml. !32109 (Gilang Gumilar)
- Add Usage Ping count for all searches. !32111
- Add tags_count to container registry api and controller. !32141
- Externalize i18n strings from ./app/views/shared/milestones/_sidebar.html.haml. !32150 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/milestones/_form_dates.html.haml. !32162 (Gilang Gumilar)
- Improve Container Registry UI header. !32424
- Added node size to cluster index. !32435
- Enable display of wiki events in activity streams. !32475
- Update operations metrics settings title and description to make them general. !32494
- Track merge_requests_users usage data. !32562
- Adds cluster CPU and Memory to cluster index. !32601
- Allow the snippet create service to accept an array of files. !32649
- Move review related controllers/workers outside EE. !32663
- Move the Members section from settings to the side nav for projects. !32667
- Show more context in unresolved jump button. !32737
- Exclude extra.server fields from exceptions_json.log. !32770
- Improve new/unknown sign-in email styling. !32808
- Allow the snippet update service to accept an array of files. !32832
- Add new issue link to email notification header. !32833
- Bump cluster-applications to 0.17.0, which updates Runner to 0.17.0 and Cilium to 1.7.4. !32931
- Update artifacts section to show when an artifact is locked. !32992
- Show clone button on project page for readme preference. !33023
- Include tag count in the image repository list. !33027
- Clean up gitlab-shell install-from-source path. !33057
- Increase LFS token default time to 2 hours. !33140
- Add the unique visits data to the usage ping. !33146
- Add explicit mention of Merge request in Slack message. !33152
- Expose `release_links.type` via API. !33154
- Add link_type column to release_links table. !33156
- Move broadcast notification dismiss button to the top. !33174
- Remove null constraint for JID in GroupImportState. !33181
- Added provider type icon to cluster list. !33196
- Remove search icon from Project find file button. !33198
- Refine SAST language detection by frameworks. !33226
- Render Merge request reference as link. !33248
- Upgrade to Gitaly v13.1.0-rc1. !33302
- Render Merge request reference as link in email templates. !33316
- Show disabled suggestion button with tooltip message. !33357
- Add update validations to SnippetInputAction. !33379
- Add snippet DB visibility check in spec. !33388 (Jacopo Beschi @jacopo-beschi)
- Add Hugo logo to project templates. !33402
- Add GitBook logo to project templates. !33403
- Add GoMicro logo to project templates. !33404
- Add Jekyll logo to project templates. !33405
- Add Hexo logo to project templates. !33406
- Add UI to disable Service template when instance-level integration is active. !33490
- Rename Add Designs button. !33491
- Add CPU, memory usage charts to self monitoring default dashboard. !33532
- Add database migrations to design_management_designs.filename to enforce a 255 character limit, and modify any filenames that exceed that limit. !33565
- Track Sentry error status updates with dedicated actions. !33623
- Alert Managament: Change sorting order to have newest alerts first. !33642
- Add blobs field to SnippetType in GraphQL. !33657
- Move Usage activity by stage for Configure to Core. !33672
- Format metrics column chart x axis dates. !33681
- Emit Bitbucket Server Importer metrics. !33700
- Style ToastUI contextual menus. !33719
- Update Auto deploy image to v0.16.1, introducing support for AUTO_DEVOPS_DEPLOY_DEBUG. !33799
- Add whether instance has Auto DevOps enabled to usage ping. !33811
- Update local IP address and domain name allow list input label. !33812
- Add date time format to the monitor stacked-column chart. !33814
- Allow Tf Plan to genrate multiple reports. !33867
- Report all unique users for Secure scanners. !33881
- Remove async_merge_request_check_mergeability feature flag. !33917
- Filter potentially-sensitive Sidekiq arguments from logs and Sentry. !33967
- Update Static Site Editor toolbar to group inline-code and code-block buttons together. !34006
- Set default values for SAST_EXCLUDED_PATHS and DS_EXCLUDED_PATHS. !34076
- Add ability to filter self monitoring resource usage charts by instance name. !34084
- Add skeleton loader to cluster list. !34090
- Pick repository storage based on weight. !34095
- Use IP or cookie in known sign-in check. !34102
- Prevents editing of non-markdown kramdown content in the Static Site Editor's WYSIWYG mode. !34185
- Display error for YAML files that are too large. !34199
- Change copy of webhooks / integration help text. !34301
- Use CodeQuality 0.85.10 in the CI template. !34329
- Update board header icons. !34366
- Show Redis instance in performance bar. !34377
- Extend members REST API with the option to unassign Issues and Merge Requests when member leaves team. !34388
- Reorder snippets in lists using `updated_at` column. !34393 (Dibyadarshi Dash @ddash2)
- Add files argument to snippet create mutation. !34449
- Consolidate object storage config in one place. !34460
- Add secret detection template to Auto DevOps. !34467
- Add contextual menu to single stat panels. !34497
- Add allowed actions to snippet input action. !34499
- Add files argument to snippet update mutation. !34514
- Change from vendor specific to Gitlab. !34576
- Enable `:ci_release_generation` feature flag by default. !34633
- Update gl-toggles with deprecated attributes. !34660
- Adjust verbiage on repository storages settings page. !34675
- Change redirect path after integration save. !34697
- Refine UI of integration form. !34707
- Change CI variable font family to monospace. !34788 (Aaron Walker)
- Rename GraphQL AwardEmoji mutations to follow naming conventions, deprecating the old mutations. !34798
- Improve error message when unconfirmed user tries to log in. !34818
- Update LFS setting label. !34829 (George Tsiolis)
- Display error if metrics dashboard YAML is too large. !34834
- Add expand/collapse view to Terraform MR widget. !34879
- Expose storage size limit for namespaces in GraphQL. !34882
- Resolve Add no graph empty state for DAG. !35053
- Remove pending and running tabs from pipelines list and remove count from finished tab. !35062
- Stop removing NaN values from monitoring data series. !35086
- Multiple Kubernetes clusters now available in GitLab core. !35094
- Include snippets size in project statistics. !35120
- Add parallel persistence for author_name on AuditEvent. !35130
- Convert the Image tag UI from a table to a list view. !35138
- Add personal and project snippet monthly counters to usage data. !35155
- Exclude integrations (services) from Project Import/Export. !35249
- Parameterize PG deprecation notice. !35271
- Add inapplicable reason in MR suggestion Tooltip. !35276
- Add snippets_size to namespace_root_storage_statistics. !35311
- Rename Container Expiration Policies to Cleanup policy for tags. !35315
- Expose snippets_size in ProjectStatistics Entity. !35316
- Add snippets_size to ProjectStatistics GraphQL type. !35319
- Update snippet and project statistics after certain events. !35340
- Update the static site editor's markdown mode text to monospace to better reflect a code-editing experience. !35347 (Derek Knox)
- Resolve Remove button row from environments empty state. !35413
- Track last activity for Personal Access Token. !35471
- Add GitLab username and name to the import users from Jira mutation response. !35542
- Use local Tiller by default for GitLab-managed apps. !35562
- Hide cleanup button for clusters with management project. !35576
- Update integration form to use GitLab UI components. !35582
- Add snippets_size to Group entity. !35585
- Add snippets_size to RootStorageStatisticsType. !35586
- Move merge_requests_users metric to stage section. !35593
- Include snippets_size statistic inside RootStorageStatistics. !35601
- Accept multiple blobs in snippets. !35605
- Replace FA exchange icon with GitLab SVG. !35634
- Require namespace path (and username) to be at least 2 chars long. !35649
- Remove count for pending/running/finished pipelines in tabs. !35693
- Display commits search in mobile & adjust text. !35702
- Open source cluster health dashboard and make it available to all users. !35721
- Update snippet statistics after project import. !35730
- Remove the second prompt to accept or decline an invitation. !35777
- Track wiki page views in Snowplow. !35784
- Use the application's default_branch_name when available when initializing a new repo with a README. !35801
- Use native Gitaly pagination for Branch list API. !35819
- Move file link to bottom in Web IDE. !35847
- Package APIs moved to core. !35919
- Allow setting extra tags for Sentry exceptions with GITLAB_SENTRY_EXTRA_TAGS. !35965
- Include personal snippets size in RootStorageStatistics. !35984
- Change Alert fingerprint index to run when status is not resolved. !36024
- Update namespace statistics after personal snippet update/removal. !36031
- Add details rows to Container Registry Tags List. !36036
- Add raw snippet repository file endpoint to API. !36037
- Move monitor stage usage activity to CE. !36067
- Move release stage usage activity to CE. !36083
- Move create stage usage activity to CE. !36086
- Move plan stage usage activity to CE. !36087
- Move manage stage usage activity to CE. !36089
- Move verify stage usage activity to CE. !36090
- Move alert integrations setting to Vue. !36110
- Use new vuex store for code quality MR widget. !36120
- Remove non-unique index on `merge_request_metrics.merge_request_id` column. !36170
- Cleanup policies: display API error messages under form field. !36190
- Replace fa-comment / fa-comments icons with GitLab SVG. !36206
- Update `rack-timeout` to `0.5.2`. !36289
- Bring SAST to Core - eslint. !36392
- Replace initial dashboard loading state with a loading spinner, show dashboard skeleton earlier with smaller loading indicators. !36399
- Merge tslint secure analyzer with eslint secure analyzer. !36400
- Expose issue ID via GraphQL. !36412
- Add broken tag state to tags list items. !36442
- Fix UI quirks with pipeline schedule cron options. !36471
- Update eslint secure analyzer to analyze jsx. !36505
- Display informative error for status updates on duplicate alerts. !36527
- Change default value in application_settings.issues_create_limit to be 0. !36558
- Expose approvals fields for FOSS FE. !36564
- Move service desk feature to core. !36613
- Check WIP status after all other possible statuses. !36624
- Add new models for DAST site profiles as part of DAST on-demand scans. !36659
- Add date to x-axes timestamps. !36675
- Make the Design Collection more visible in the Issue UI. !36681
- Add correlation between trigger job and child pipeline. !36750
- Static Site Editor: Set default sublist indent spaces to four space characters. !36756
- Add managed-apps section in log explorer. !36769
- Use a Confluence icon for the project Confluence integration nav item. !36780
- Remove file_path validation in snippet create action. !36809
- Improve animations of design note selection in design management. !36927
- Add entity_path column to audit_events table. !37041
- Make DAG annotations stick. !37068
- Support multiple files when editing snippets. !37079
- Change loading MR message wording. !37181
- Assign alerts sidebar base.
- Improved UX of the code navigation popover.

### Performance (50 changes, 1 of them is from the community)

- Improve performance of commit search by limiting the number of results requested. !32260
- Add GraphQL lookahead support. !32373
- Update index_ci_builds_on_commit_id_and_artifacts_expireatandidpartial index for secret_detection. !32584
- Add index on id and type for Snippets. !32885
- Use build_stubbed to avoid interacting with the DB in todos helper specs. !32906 (Arun Kumar Mohan)
- Optimize SQL queries on Milestone index page. !32953
- Add build report results data model. !32991
- Improve the performance for loading large diffs on a Merge request. !33037
- Adjust condition for partial indexes on services table. !33044
- Add index to issues and epics on last_edited_by_id. !33075
- Fix preconnect typo in rel link. !33255
- Add project_id, user_id, status, ref index to ci_pipelines. !33290
- Move migration related to ci_builds to post_deployment. !33416
- Remove need to call commit (gitaly call) in ProjectPipelineStatus. !33712
- Reduce redundant queries for Search API users scope. !33795
- Speed up boot time in production. !33929
- Harden CI pipelines usage data queries with an index. !34045
- Use snapshot transfers for repository shard moves when possible. !34113
- Add partial index on locked merge requets. !34127
- Improve pipeline index controller performance by resolving Gitaly N+1 calls. !34160
- Lazy load commit_date and authored_date on Commit. !34181
- Optimize container repository for groups query. !34364
- Further improve the performance for loading large diffs on a Merge request. !34516
- Paginate the notes incremental fetch endpoint. !34628
- Optimize rolling 28 days snippets counter. !34918
- Only load project license if needed. !35068
- Improve query to retrieve job artifacts with files stored locally. !35084
- Preload commits markdown cache. !35314
- Use BatchLoader for Project.forks_count to limit calls to Redis. !35328
- Rework hardening CI pipelines usage data queries with an index. !35494
- Performance improvement for job logs. !35504
- Define a namespace traversal cache. !35713
- MR diff migration: perform I/O outside of database transaction. !35734
- Resolve N+1 in Search API projects scope. !35833
- Optimize deployment counters for last 28 days. !35892
- Trigger stackprof by sending a SIGUSR2 signal. !35993
- Improve the search performance for merge requests. !36072
- Reduce number of scanned commits for code intelligence. !36093
- Improve snippet finders queries. !36292
- Swap Grape over to Gitlab::Json. !36472
- Add oj gem for faster JSON. !36555
- Replace fa-eyes-slash icons with GitLab SVG eye-slash icon. !36602
- Avoid N+1 calls for image_path when rendering commits. !36724
- Enable BulkInsertSafe on Ci::BuildNeed. !36815
- Remove optimized_count_users_by_group_id feature flag. !36953
- Remove unindexed condition on label transfer. !37060
- Speed up project creation for users with many projects. !37070
- Split query for code-nav path into two queries. !37092
- Use memoized start/finish for metrics based on issues table. !37155
- Enable CI Atomic Processing by default.

### Added (298 changes, 23 of them are from the community)

- Release generation via gitlab-ci.yml documentation. !19237
- Add rake task to verify encrypted data through secrets. !21851
- User can apply multiple suggestions at the same time. !22439 (Jesse Hall)
- Resolve Add a button to assign users who have commented on an issue. !23883
- Add custom emoji model and database table. !24229 (Rajendra Kadam)
- Resolve Graph code coverage changes over time for a project. !26174
- Add doc for custom validators in api styleguide. !26734 (Rajendra Kadam)
- Add Scheduled Job for Monitoring Monitor Group Demo Environments. !27360
- Add setting to allow merge on skipped pipeline. !27490 (Mathieu Parent)
- Add dark theme (alpha). !28252
- Show estimate on issues list. !28271 (Lee Tickett)
- Make Fixed Email Notification Generally Available. !28338 (jacopo-beschi)
- Add a link to the `renamed` viewer to fully expand the renamed file (if it's text). !28448
- Focus and toggle metrics dashboard panels via keyboard. !28603
- Remove `scoped_approval_rules` feature flag. !28864 (Lee Tickett)
- Create Group import UI for creating new Groups. !29271
- Add finder for group-level runners. !29283 (Arthur de Lapertosa Lisboa)
- Allow customization of badge key_text and key_width. !29381 (Fabian Schneider @fabsrc)
- Support Workhorse directly uploading files to S3. !29389
- Add frontend support for multiline comments. !29516
- Support first_name and last_name attributes in LDAP user sync. !29542
- Link to test reports from MR Widget. !29729
- Add link to status page detail view for status page published issues. !30249
- Add metrics dashboard name to document title. !30392
- Backfill StatusPage::Published incidents and enable a publish quick action for EE. !30906
- Add missing Merge Request fields. !30935
- Show build status on branch list. !30948 (Lee Tickett)
- Add mutation to create commits in GraphQL. !31102
- Support quick actions when editing issue, merge request, and epic descriptions. !31186
- Add GraphQL support for authored and assigned Merge Requests. !31227
- Add usage data metrics for terraform states. !31280
- Add usage data metrics for terraform reports. !31281
- Add API endpoint for listing bridge jobs. !31370 (Abhijith Sivarajan)
- SpamVerdictService can call external spam check endpoint. !31449
- Move Admin note feature to GitLab Core. !31457 (Rajendra)
- Add DAG serializer for pipelines controller. !31583
- Save repository storages in application settings with weights. !31645
- Add API endpoint for resource milestone events. !31720
- Show import in progress screen for group imports. !31731
- Add Verify/FailFast CI template. !31812
- Improve Add/Remove Issue Labels API. !31864 (Lee Tickett)
- Add mutation to create a merge request in GraphQL. !31867
- Add warning popup for Elastic Stack update. !31972
- Add API support for sharing groups with groups. !32008
- Add the container expiration policy attribute to the project GraphQL type. !32100
- Add GraphQL support for project and group labels. !32113
- Add number of database calls to Prometheus metrics and logs for sidekiq and request. !32131
- Filter pipelines by status. !32151
- Filter pipelines based on url query params. !32230
- Add metrics for Redis usage during Sidekiq job execution. !32265
- Add filters to merge request fields. !32328
- Support reading .editorconfig files inside of the Web IDE. !32378
- [Frontend] Resolvable design discussions. !32399
- Table index added to `metrics_dashboard_annotations` for future pruning of stale metrics Annotations for metrics dashboards are now checked for valid start and end dates. !32433
- Enable GitLab-Flavored Markdown processing for design links. !32446
- Filter Pipelines by Tag Name. !32470
- Adds sorting by column to alert management list. !32478
- Add project specific repository storage API. !32493
- Adapt Limitable for system-wide features. !32574
- Add application limits to instance level CI/CD variables. !32575
- Add model for project level security auto-fix settings. !32577
- Expose Jira imported issues count in GraphQL. !32580
- Organize alerts by status tabs. !32582
- Add note to ECS CI template. !32597
- Add metrics for Redis usage during web requests. !32605
- Add database and GraphQL support for alert assignees. !32609
- Set fingerprints and increment events count for Alert Management alerts. !32613
- Process stuck jira import jobs. !32643
- Allow user to add custom links to their metrics dashboard panels. !32646
- Add tags to experimental queue selector attributes. !32651
- Allow generic endpoint to receive alerts from external Prometheus. !32676
- Customize the Cloud Native Buildpack builder used with Auto Build. !32691
- Add timezone display to alert based issue start time. !32702
- Display dates on metrics dashboards in UTC time zone. !32746
- Store Todo resolution method. !32753
- Add Falco to the managed cluster apps template. !32779
- Add experience_level to user_preferences. !32784
- Add keyboard shortcuts to metrics dashboard. !32804
- Remove metrics dashboard annotations attached to time periods older than two weeks. !32838
- Monitor:Health metrics instrumenation. !32846
- Adds PostHog as a CI/CD Managed Application. !32856
- Groups API has top_level_only option to exclude subgroups. !32870
- Create operations_feature_flags_issues table. !32876
- Allow advanced API projects filtering for admins. !32879
- Add api.js methods to update issues and merge requests. !32893
- Render user-defined links in dashboard yml file on metrics dashboard. !32895
- Create group_deploy_keys_groups intermediate table. !32901
- Add accessibility report MR widget. !32902
- Add a GraphQL mutation for toggling the resolved state of a Discussion. !32934
- Added CI template for Dart. !32942 (agilob)
- Add container expiration policy objects to the GraphQL API. !32944
- Don't hide Commit tab in Web IDE when there are no changes yet. !32979
- Add column for alert slack notifications. !33017
- Add ability to insert an image via SSE. !33029
- Add user root query to GraphQL API. !33041
- Adds groupMembership and projectMembership to GraphQL API. !33049
- Alerts list pagination. !33073
- Add ApplicationSetting ui changes for repository_storages_weighted. !33096
- Resolve Feature proposal: API for import from BitBucket Server. !33097
- Add squash commits options as a project setting. !33099
- Display confirmation modal when user exits SSE and there are unsaved changes. !33103
- Add column dashboard_timezone to project_metrics_setting. !33120
- Allow the assignment of alerts to users from the alert detail view. !33122
- Add solarized dark for Web IDE. !33148
- Add support for artifacts/exclude configuration. !33170
- Add root users query to GraphQL API. !33195
- Added validation for YAML files with metrics dashboard definitions. !33202
- Create issue from alert. !33213
- Add max import file size option. !33215 (Roger Meier)
- Add system note when assigning user to alert. !33217
- Add count of alerts from all sources to usage ping. !33220
- Add button to create an issue from an alert management alert. !33221
- Add more detail to alert integration settings description. !33244
- Add Evidence to Releases GraphQL endpoint. !33254
- Add support for pasting images in the Web IDE. !33256
- Add ProjectAccessToken table. !33272
- Automatically resolve alert when associated issue closes. !33278
- Add Jira Importer user mapping form. !33320
- Add `link_type` to `ReleaseLink` GraphQL type. !33386
- Add setting to enable and disable shared Runners for a group and its descendants. !33411 (Arthur de Lapertosa Lisboa)
- Add  members to project graphQL endpoint. !33418
- Update Static Site Editor WYSIWYG mode to hide front matter. !33441
- Added delete action for Dashboard Annotations in GraphQL. !33468
- Create graphQL endpoint for Jira users import. !33501
- Support IAP protected prometheus installations. !33508
- New instance-level variables UI. !33510
- Add design activity in event streams. !33534
- Allow developer role read-only access to Terraform state. !33573
- Add support for `git filter-repo` to repository cleanup. !33576
- Close open reply input fields in the design view sidebar when leaving a new comment. !33587
- Add dashboard schema validation warnings as metrics dashboard GraphQL field. !33592
- Add time range to user-defined links in metrics dashboard. !33663
- Increase events count for Prometheus alerts. !33706
- Add dashboard validation warning to metrics dashboard. !33769
- Track pod logs refresh action. !33802
- Expose all Jira projects endpoint through a GraphQL. !33861
- Add secret detection template. !33869
- Add new path to access project metrics dashboard. !33905
- Add new raw snippet blob endpoint. !33938
- Add DAG visualization MVC. !33958
- Introduce a feature flag for Vue-based UI for all import providers. !33980
- Add sticky title on Issue pages. !33983
- Allow policies to override parent rules. !33990
- Allow Release asset links to be associated with a type. !33998
- Support user-defined Grafana links in metrics dashboard. !34003
- Adds AWS guidance to CI/CD > Add Variable modal. !34009
- Show custom attributes within Admin Pages. !34017 (Roger Meier)
- Enable Slack notifications for alerts. !34038
- Container expiration policy regular expressions are now validated. !34063
- Add todo when alert is assigned to a user. !34104
- Track merge requests submitted by Static Site Editor. !34105
- Turn off alert issue creation by default. !34107
- Add detailed logs of each Redis instance usage during job execution and web requests. !34110
- Support metrics dashboard with file name. !34115
- Add API to schedule project repository storage moves. !34119
- Update diff discussion positions on demand. !34148
- Add ability for user to manually create a todo for an alert. !34175
- Add validation step on backend for metrics dashboard links. !34204
- Track when Static Site Editor is initialized. !34215
- Bring SAST to Core - brakeman. !34217
- Mask key comments when exposing SSH/Deploy Keys via the API. !34255
- Convert `:release` yaml to `release-cli` commands. !34261
- Validate regex before sending them to CleanupContainerRepositoryWorker. !34282
- Create vulnerability_statistics table. !34289
- Add secret_detection to DOWNLOADABLE_TYPES. !34313
- Enable ability to assign alerts to users with corresponding system notes and todos. !34360
- Rolling 28 day time period counters for snippets. !34363
- Add regex fields to the container expiration policy update mutation. !34389
- Display Multiple Terraform Reports in MR Widget. !34392
- Highlight commented rows. !34432
- Add ci_builds_metadata.secrets column. !34480
- Enable CI Inheriting Env Variables feature. !34495
- Show tooltip on error detail page when hovering over dates. !34506
- Show notification about empty stacktrace. !34517
- Add native code intelligence. !34542
- Add global setting to disable/enable email notification on unknown sign-ins. !34562
- Bump cluster-applications version to v0.20.0. !34569
- Send fixed pipeline notification by default. !34589
- Add search argument for AlertStatusCountsResolver. !34596
- Add clusters_applications_cilium DB table. !34601
- Fetch metrics dashboard templating variable options using a Prometheus query. !34607
- Add Jira users mapping to start Jira import mutation. !34609
- Allow CI_JOB_TOKEN for authenticating to the Terraform state API. !34618
- Search plain text in alert list frontend. !34631
- Trigger unsaved changes warning in snippets on navigating away. !34640
- Add Cilium to the ParseClusterApplicationsArtifactService. !34695
- Use new icon for api preview. !34700 (Roger Meier)
- Remove partial clone feature flag. !34703
- Ability to use an arbitrary YAML blob to create CI pipelines. !34706
- Upgrade GitLab Pages to 1.19.0. !34730
- Add CI_PROJECT_ROOT_NAMESPACE predefined environment variable. !34733
- Add override selector for project-level integrations. !34742
- Create namespace_limits table with additional purchase columns. !34746
- Add mutation to update merge requests. !34748
- Add plan limits for max size per artifact type. !34767
- Add package scope validation to Node.js template. !34778
- Expose project deploy keys for autocompletion. !34875
- Block invalid URLs in metrics dashboard chart links. !34888
- Add release data to GraphQL endpoint. !34937
- Add ref, released_at, milestones to release yml. !34943
- Add option to unassign member from issuables when removing them from a project. !34946
- Add diff stats fields to merge request type. !34966
- Bump Gitaly to v13.2.0-rc1. !34977
- Add prometheus_alert_id and environment_id to Alert management alerts. !34995
- Add full width to single charts in a row. !34999
- Support extensibility for Editor Lite. !35008
- Add snippets_size to ProjectStatistics. !35017
- Add SnippetStatistics model. !35026
- Add metrics settings menu to dashboard header. !35028
- Surface metrics charts on the alert detail page. !35044
- Add milestone stats to GraphQL endpoint. !35066
- Add a custom HTML renderer to the Static Site Editor for markdown identifier syntax. !35077
- Expose ref, milestones, released_at to releaser-cli. !35115
- Add snippet statistics logic. !35118
- Allow files with .md.erb extension for the Static Site Editor. !35136
- Add migration for experimental product analytics table. !35168
- Extend ECS Deploy template with Fargate jobs. !35173
- Upgrade Pages to 1.20.0. !35177
- Automatically close related issue when resolving Alert Management Prometheus Alert. !35208
- Create API to retrieve resource state events. !35210
- Allow diffs to be viewed file-by-file. !35223 (rinslow)
- Add indices for projects with disable_overriding_approvers_per_merge_request. !35224
- Log name of class that failed to obtain exclusive lease. !35228
- Render source job info in TriggeredPipelineEntity. !35232
- Add refresh rate options to dashboard header. !35238
- Add annotation component for DAG. !35240
- Add a custom HTML renderer to the Static Site Editor for embedded ruby (ERB) syntax. !35261
- Display metric label in single stat. !35289
- Add issue column to alert list. !35291
- Expose metrics dashboard URL for alert GraphQL query. !35293
- Allow diffing changes in wiki history. !35330 (gwhyte, Steve Mokris)
- Added support for reordering issues to the v4 API. !35349 (Joel @jjshoe, Lee Tickett @leetickett)
- Add 'not' params to MergeRequests API endpoint. !35391
- Implement GraphQL query to generate JSON for SAST config UI. !35397
- Add system notes for status updates on alerts. !35467
- Enable S3 Workhorse client if consolidated object settings used. !35480
- Rolling 28 day time period counter for deployments. !35493
- Add log statements to Projects::ContainerRepository::DeleteTagsService. !35539
- Provide a label for 'Scheduled Pipeline' in the pipelines overview page. !35554
- Add note about SSH key title being public information. !35574
- Add todo pill styling for resolved alert. !35579
- Add support for Markdown in the user's bio. !35604 (Riccardo Padovani)
- Introduce prepare environment action to annotate non-deployment jobs. !35642
- Add custom Dockerfile paths to Auto DevOps Build stage with DOCKERFILE_PATH. !35662 (thklein)
- Add MergeRequest.diffStatsSummary.fileCount to graphql API. !35685
- Introduces Group Level Delayed Project Removal Setting. !35689
- Update cluster-applications to 0.23.0. !35691
- Resolve user's todo when an alert is resolved. !35700
- Show when alert is new in the Alerts list. !35708
- Convert Import/Export rate limits to configurable application settings. !35728
- Add installed state metrics for Cilium cluster application. !35808
- Add support for linting based on schemas in WebIDE. !35838
- Add a metrics settings button to the dashboard header. !35848
- Prevent a project bot from being removed as member. !35899
- Add background_migration_jobs table to trace background migrations. !35913
- Allow prefixing with Draft to mark MR as WIP. !35940
- FindRemoteRepository is storage scoped. !35962
- Include project and subgroup milestones on Roadmap page. !35973
- Todo Mutations should return the mutated todos. !35998
- Add API support for instance-level Kubernetes clusters. !36001
- Add count to imported Jira issues message. !36075
- Add temporary storage increase column. !36107
- Remove generic_alert_fingerprinting feature flag. !36148
- Upgrade GitLab Pages to 1.21.0. !36214
- Move approvals endpoints to FOSS version. !36237
- Add initial custom HTML renderer to the Static Site Editor to prevent editing in WYSIWYG mode. !36250
- Open new alert when existing alert is resolved. !36261
- Add custom avatars for Alert and Support Bot. !36269
- Add PagerDuty integration columns to `project_incident_management_settings` table. !36277
- Enable Alerts dropdown in Operations Settings. !36296
- Add number of approval project rules to usage ping. !36316
- Add namespace settings table. !36321
- Add a custom HTML renderer to the Static Site Editor for HTML block syntax. !36330
- Expose gitlab managed apps logs inside log explorer. !36336
- Add keyboard shortcut ('b') to copy MR source branch name on MR page. !36338
- Add a custom HTML renderer to the Static Site Editor for font awesome inline HTML syntax. !36361
- Add system note for alert when creating issue. !36370
- Periodically update container registry type settings. !36415
- Expands Jira integration to allow viewing and searching a list of of Jira issues directly within GitLab. !36435
- Show Approve button on merge requests in Core. !36449
- Measure adoption of package registry. !36514
- If a user does not have write access to repo, but a fork exists, the Web IDE button should take them to the fork. !36548
- Enable Batch Suggestins feature flag by default. !36561
- Add default and non-default branch jobs for secret detection. !36570
- Add a custom HTML renderer to the Static Site Editor for markdown identifier instance syntax. !36574
- Add docs for Alert trigger test alerts. !36647
- Support short urls for custom metrics dashboards. !36740
- Update cluster-applications to 0.24.2. !36768
- Add new Confluence integration for projects. !36781
- Add confidential attribute to public API for notes creation. !36793
- Add confidential attribute to graphQL for notes creation. !36799
- Prometheus instances behind Google IAP can now be accessed via manual configurations. !36856
- GraphQL mutation for changing locked status of an issue. !36866
- Default the feature flag to true to always show the default initial branch name setting. !36889
- Enable feature flag 'sectional_codeowners' Sections for Code Owners. !36902
- Add pagination to iterations list. !37052
- Add Jsonnet template for GitLab. !37058
- Enable design activity events by default. !37107

### Other (137 changes, 45 of them are from the community)

- Improve fast-forward merge is not possible message. !22834 (Ben Bodenmiller)
- Add node ci template. !25668
- Deduplicate merge_request_metrics table. !29566
- Remove unused WAF indexes from CI variables. !30021
- Update the visual design of badges in some areas. !31646
- Extract featurable concern from ProjectFeature. !31700 (Alexander Randa)
- Remove update function logic from list model. !31900 (nuwe1)
- Remove nextpage function logic from list model. !31904 (nuwe1)
- Squash database migrations prior to 2019 into one. !31936
- Update deprecated slot syntax in app/assets/javascripts/reports/components/grouped_test_reports_app.vue. !31975 (Gilang Gumilar)
- Replace slot syntax for Vue 3 migration. !31987 (gaslan)
- Update deprecated slot syntax in ./app/assets/javascripts/pages/admin/projects/index/components/delete_project_modal.vue. !31994 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/pages/projects/labels/components/promote_label_modal.vue. !31995 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/clusters/components/remove_cluster_confirmation.vue. !32010 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/environments/components/environments_app.vue. !32011 (Gilang Gumilar)
- Remove setLoadingState logic from issue model. !32226 (nuwe1)
- Remove addAssignee logic from issue model. !32231 (nuwe1)
- Remove addLabel Logic from issue models. !32233 (nuwe1)
- Remove addMilestone logic from issue model. !32235 (nuwe1)
- Remove destroy function logic from list model. !32237 (nuwe1)
- Remove findAssignee logic from issue model. !32238 (nuwe1)
- Remove findLabel logic from issue model. !32239 (nuwe1)
- Remove findIssue logic from list model. !32241 (nuwe1)
- Remove moveIssue logic from list model. !32242 (nuwe1)
- Remove moveMultipleIssues logic from issue model. !32243 (nuwe1)
- Remove newIssue logic from list model. !32244 (nuwe1)
- Remove onNewIssueResponse logic from list model. !32245 (nuwe1)
- Remove removeAllAssignees logic from issue model. !32247 (nuwe1)
- Remove removeAssignee logic from issue model. !32248 (nuwe1)
- Clarify verbiage for stuck job messages. !32250
- Remove removeLabel logic from issue model. !32251 (nuwe1)
- Remove removeLabels logic from issue model. !32252 (nuwe1)
- Remove removeMilestone logic from issue model. !32253 (nuwe1)
- Remove removeMultipleIssues logic from list model. !32254 (nuwe1)
- Remove setFetchingState logic from issue model. !32255 (nuwe1)
- Remove updateData logic from issue model. !32256 (nuwe1)
- Update U2F docs for Firefox 67+. !32289 (Takuya Noguchi)
- Update alert management mobile table alignment. !32295
- Include available instance memory in usage ping. !32315
- Moves merge request reviews into Core. !32558
- Update GitLab Runner Helm Chart to 0.17.0. !32634
- Add snowplow tracking for logs page. !32704
- Extend "Remember me" token after each login. !32730
- Assign alerts sidebar container fix. !32743
- Add anchor for creating a branch. !32745
- Tidy. !32759 (Lee Tickett)
- Less verbose JiraService error logs. !32847
- Reduced padding and increased emphasis of titles within the epic tree. !32873
- Add source to resource state events. !32924
- Remove obsolete users.ghost column. !32957
- Move NoPrimary table def to last context in spec. !33015 (Rajendra Kadam)
- Document github rate limit behavior. !33090
- Added build_id column to requirements_management_test_reports table. !33184
- Add version history information on U2F support. !33229 (Takuya Noguchi)
- Convert IP spoofing errors into client errors. !33280
- Update docs to reflect move web IDE Terminal and file sync to Core. !33419
- Add hovering icon for sorting columns on alert management list. !33429
- Upgrade Grape v1.1.0 to v1.3.3. !33450
- Avoid javascript for omniauth logins. !33459 (Diego Louzán)
- Add opacity transition to active design discussion pins. !33493
- Update GitLab Runner Helm Chart to 0.17.1. !33504
- Store pipeline creation errors and warnings into Ci::PipelineMessage. !33762
- Make project selector in various dashboard more translatable. !33771
- Update Workhorse to v8.35.0. !33817
- Remove FF hide_token_from_runners_api. !33947
- Bump omniauth_openid_connect to 0.3.5. !34030 (Roger Meier)
- Specify tiers for SAML SSO at self-hosted plans. !34040 (Takuya Noguchi)
- Backfill failed imported snippet repositories. !34052
- Use GitLab SVG icon for file attacher action. !34196
- Suppress progress on pulling on Performance Test. !34368 (Takuya Noguchi)
- Update icon associated with attach a file actions. !34401
- Add GraphQL snippet FileInputType. !34442
- Move filter code into finder. !34470 (Ravishankar)
- Update blue hex values to match GitLab UI. !34530
- Remove legacy job log rendering. !34538
- Update red hex values to match GitLab UI. !34544
- Update green hex values to match GitLab UI. !34547
- Validate the existing not null constraints on columns for ci_job_artifacts, lfs_objects, and uploads tables. !34568
- Move HasStatus module to the Ci namespace. !34577 (blackst0ne)
- Update pinned links to use GlButton. !34620
- Add machine/sysname/release in topology usage ping. !34627
- Remove build dependencies on code quality and license scanning. !34659
- Add :section to approval_merge_request_rule unique index. !34680
- Replace double angle icons with double chevron. !34736
- Update Workhorse to v8.36.0. !34759
- Update heart icon from FontAwesome to GitLab SVG. !34777
- Fix broken CSS for system notes. !34870
- Fix Gitaly duration tracking of RefService RPCs. !34904
- Fix Gitaly duration timings of BlobService RPCs. !34906
- Fix Gitaly duration timings for conflicts and search RPCs. !34909
- Add validation for move action in SnippetInputAction. !34911
- Fix Gitaly duration timings for other CommitService RPCs. !34933
- Add project_key column to jira_tracker_data table. !34949
- Update GitLab Runner Helm Chart to 0.18.0. !34969
- Copy snippet route under - scope. !35020
- Copy project snippet routes under - scope. !35022
- Removes monkey patch to generate 6.0.3 style token. !35104
- Create time-space partitions in separate schema gitlab_partitions_dynamic. !35137
- Edit copy of DAG unsupported data alert. !35170
- Move configuration for Alerts endpoint from "Settings > Integration" to "Settings > Operations > Alerts". !35187
- Clean up GitlabIssueTrackerService database records. !35221
- Throttle ProjectUpdateRepositoryStorageWorker Jobs. !35230
- Suppress progress on docker pulling in builtin templates. !35253 (Takuya Noguchi)
- Create schema for static partitions. !35268
- Add default_branch_name to application_settings. !35282
- Upgrade Gitaly to 13.2.0-rc2. !35345
- Drop partitions_dynamic schema if it exists. !35426
- Avoid grouping statement timeouts in Sentry. !35479
- Database migration to add project_settings.has_confluence. !35485
- Update UI links to docs in core features. !35488
- Update Sidekiq to v5.2.9. !35495
- Move profiles/keys#get_keys to users#ssh_keys. !35507 (Takuya Noguchi)
- Add default_branch_name to ApplicationSettings visible attrs. !35681
- Update GitLab Runner Helm Chart to 0.18.1. !35712
- Prepare database for WebAuthn. !35797 (Jan Beckmann)
- Remove dead Elasticsearch indexing code. !35936
- Add alias expansion to Terraform documentation. !35941 (zmeggyesi)
- Hide dropdown header on list view. !35954
- Update GitLab Elasticsearch Indexer. !35966
- Restore the search autocomplete for groups/project/other. !35983
- Add issues_enabled column to jira_tracker_data table. !35987
- Normalize the 'thumb-up', 'thumb-down' icon. !35988
- Add migration to drop unused daily report results table. !36102
- Updating $gray-200 hex value and remapping current instances to $gray-100. !36128
- Removes ci_ensure_scheduling_type feature flag. !36140
- Update more UI links to docs in core features. !36174
- Format graphql files with prettier. !36244
- Replace FA play icon with svg in pipeline schedule and admin runner page. !36379
- Backfill project snippet statistics. !36444
- Expose blob mode in GraphQL for repository files. !36488
- Drop index of ruby objects in details on audit_events table. !36547
- Expand Operations > Alerts section by default via link follow through. !36649
- Update snippets housecleaning docs. !36715
- Update Rouge to v3.21.0. !36942
- Update GITLAB_WORKHORSE_VERSION to 8.37.0. !36988
- Track the number of unique users who push, change wikis and change design managerment.
- Remove removeIssue logic from list model. (nuwe1)


## 13.1.10 (2020-09-02)

### Security (1 change)

- Protect OAuth endpoints from brute force/password stuffing.


## 13.1.9 (2020-09-02)

### Security (23 changes, 1 of them is from the community)

- Check validity of project's import_url before mirroring repository.
- Show on two-factor authentication setup page groups that are the cause of this requirement.
- Prevent interrupted 2FA sign-in from signing-in incorrect user.
- Create new 2FA code each time user is entering 2FA setup page.
- Remove all sessions but current while enabling 2FA.
- Invalidate two factor sign-in when user password changes.
- Delete members invites created by users being deleted.
- Prevent OmniAuth from rendering arbitrary error messages.
- Prevent not-2fa authenticated users that are supposed to use it to consume api via session.
- Invalidate remember me when an active session is revoked.
- Add rate limit on webhooks testing feature.
- Add scope presence validation to OAuth Application creation.
- Allow only running job tokens for API authentication.
- Prevent Deploy Tokens to read project resources when repository is disabled.
- Change conan api to use proper workhorse validation.
- Ensure global ID is of Snippet type in GraphQL destroy mutation.
- Fix Improper Access Control on Deploy-Key.
- Set maximum limit for profile events.
- Persist EKS External ID before presenting it to the user.
- Prevent project maintainers from editing group badges.
- Upgrade jquery to v3.5.
- Update websocket-extensions gem to 0.1.5. (Vitor Meireles De Sousa)
- Update GitLab Runner Helm Chart to 0.18.3.


## 13.1.8 (2020-08-18)

- No changes.

## 13.1.7 (2020-08-17)

### Security (2 changes)

- Stop deploy token being mis-used as user in ProjectPolicy and GroupPolicy.
- Project access is checked during deploy token authentication.


## 13.1.6 (2020-08-05)

### Security (11 changes)

- Add decompressed archive size validation on Project/Group Import. !562
- Enforce 2FA on Doorkeeper controllers.
- Refresh project authorizations when transferring groups.
- Stop excess logs from failure to send invite email when group no longer exists.
- Verify confirmed email for OAuth Authorize POST endpoint.
- Revoke OAuth grants when a user revokes an application.
- Fix XSS in Markdown reference tooltips.
- Fix XSS in milestone tooltips.
- Fix xss vulnerability on jobs view.
- Block 40-character hexadecimal branches.
- Update GitLab Runner Helm Chart to 0.17.2.


## 13.1.5 (2020-07-23)

- No changes.

## 13.1.3 (2020-07-06)

- No changes.

## 13.1.2 (2020-07-01)

### Security (18 changes)

- Update xterm js dependency to latest stable 3.x version.
- Do not show activity for users with private profiles.
- Fix stored XSS in markdown renderer.
- Upgrade swagger-ui to solve XSS issues.
- Fix group deploy token API authorizations.
- Check access when sending TODOs related to merge requests.
- Change from hybrid to JSON cookies serializer.
- Prevent XSS in group name validations.
- Disable caching for wiki attachments.
- Disable Github Importer API by settings.
- Fix null byte error in upload path.
- Update permissions for time tracking endpoints.
- Add snippet repository validation after bundle import.
- Update Kaminari gem.
- Fix note author name rendering.
- Sanitize bitbucket repo urls to mitigate XSS.
- Stored XSS on the Error Tracking page.
- Fix security issue when rendering issuable.


## 13.1.1 (2020-06-23)

### Fixed (4 changes)

- Fix missing templating vars set from URL in metrics dashboard. !34668
- Fix edit status dropdown overflow. !34847
- Load user before logging git http-requests. !34923
- Do not mask key comments for DeployKeys. !35014

### Added (1 change)

- Periodically recompute project authorizations. !34071


## 13.1.0 (2020-06-22)

### Removed (4 changes, 2 of them are from the community)

- Remove deprecated dashboard & group milestone pages. !13237
- Removed UltraAuth integration for OmniAuth. !29330 (Kartikey Tanna)
- Remove all search autocomplete for groups/projects/other. !31187
- Remove temporary datepicker position fix as it is no longer required. !31836 (Arun Kumar Mohan)

### Fixed (154 changes, 57 of them are from the community)

- Fix 'Active' checkbox text in Pipeline Schedule form to be a label. !27054 (Jonston Chan)
- Fix back button when switching MR tabs. !29862 (Lee Tickett)
- Remove ability to scroll Issue while in Design View. !29881
- Fix merge request note label URLs. !30428 (Lee Tickett)
- Fix default path when creating project from group template. !30597 (Lee Tickett)
- Group authorization refresh to consider shared groups. !31204
- Fix group transfer service to deny moving group to its subgroup. !31495 (Abhisek Datta)
- Fix issuable listings with any label filter. !31729
- Move prepend to last in ee-app-services. !31838 (Rajendra Kadam)
- Fallback to lowest visibility level in snippet visibility radio. !31847 (Jacopo Beschi @jacopo-beschi)
- Add class stubs and fix leaky constant alert in query limit helper spec. !31949 (Rajendra Kadam)
- Remove usage of spam constants in spec. !31959 (Rajendra Kadam)
- Fix leaky constant issue in uninstall progress service check. !32036 (Rajendra Kadam)
- Fix leaky constant issue in commit entity spec. !32039 (Rajendra Kadam)
- Fix leaky constant issue in task completion status spec. !32043 (Rajendra Kadam)
- Fix leaky constant issue in admin mode migration spec. !32074 (Rajendra Kadam)
- Fix leaky constant issue in sidekiq middleware server metric spec. !32104 (Rajendra Kadam)
- Fix leaky constant issue in sidekiq middleware client metric spec. !32108 (Rajendra Kadam)
- Fix leaky constant issue in path regex spec. !32115 (Rajendra Kadam)
- Fix leaky constant issue importer and cache headers spec. !32122 (Rajendra Kadam)
- Fix leaky constant issue in relation factory spec. !32129 (Rajendra Kadam)
- Fix leaky constant issue in test coverage spec. !32134 (Rajendra Kadam)
- Prevent emails to user on expiry of impersonation token. !32140
- Fix leaky constant issue in diff collection spec. !32163 (Rajendra Kadam)
- Fix leaky constant issue in migration helpers, with lock retries and ignored cols spec. !32170 (Rajendra Kadam)
- Fix leaky constant issue in factory spec. !32174 (Rajendra Kadam)
- Fix leaky constant issue in creds factory spec. !32176 (Rajendra Kadam)
- Use applogger in project import state file. !32182 (Rajendra Kadam)
- Use applogger in project.rb. !32183 (Rajendra Kadam)
- Use applogger in chat_team.rb. !32184 (Rajendra Kadam)
- Use applogger in repository model. !32185 (Rajendra Kadam)
- Use applogger in build and ssh host key. !32187 (Rajendra Kadam)
- Use applogger in cache attrs and highest role ruby files. !32189 (Rajendra Kadam)
- Use applogger in legacy project and namespace. !32190 (Rajendra Kadam)
- Use applogger in base.rb. !32191 (Rajendra Kadam)
- Use applogger in usage ping and webhook service. !32192 (Rajendra Kadam)
- Use applogger in exclusive_lease_guard. !32194 (Rajendra Kadam)
- Use applogger in groups destroy service and label create service. !32195 (Rajendra Kadam)
- Use applogger in merge_service.rb. !32196 (Rajendra Kadam)
- Use applogger in project create service and after import service. !32198 (Rajendra Kadam)
- Use applogger in update stats service. !32200 (Rajendra Kadam)
- Use applogger in base attachment service. !32201 (Rajendra Kadam)
- Use applogger in export service. !32203 (Rajendra Kadam)
- Use applogger in akismet service. !32205 (Rajendra Kadam)
- Use applogger in file mover file. !32206 (Rajendra Kadam)
- Use applogger in commit signature worker. !32207 (Rajendra Kadam)
- Use applogger in delete user worker. !32209 (Rajendra Kadam)
- Use applogger in email receiver worker. !32211 (Rajendra Kadam)
- Use applogger in artifact worker. !32212 (Rajendra Kadam)
- Use applogger in new note worker. !32213 (Rajendra Kadam)
- Fix duplicate filename displayed in design todos. !32274 (Arun Kumar Mohan)
- Add value length validations for instance level variable. !32303
- Resolve image overflow at releases list panel. !32307
- Clean up shared/tmp folder after Import/Export. !32326
- Fix creating release evidence if release is created via UI. !32441
- GraphQL hasNextPage and hasPreviousPage return correct values. !32476
- Fix loading and empty state styling for alerts list. !32531
- Resolve incorrect x-axis padding on the Environments Dashboard. !32533
- Fix time_tracking help link. !32552
- Don't display confidential note icon on confidential issue public notes. !32571
- Update container expiration policy database defaults. !32600
- Fix rendering of emojis in status tooltips. !32604
- Hid copy contents button when blob has rendering error. !32632
- Avoid refresh to show endedAt after mutation. !32636
- Fix for metrics creation when saving MR. !32668
- Skip the individual JIRA issues if failed to import vs failing the whole batch. !32673
- Hide "Import from Jira" option from non-entitled users. !32685
- Fix broken help link on operations settings page. !32722
- Allow different in bulk editing issues. !32734
- Fix whitespace changes overgrowing the diff container. !32774
- Improve spacing and wrapping of group actions buttons and stats in group list view. !32786
- Fix "Broadcast Messages" table overflow and button alignment. !32801
- Fix 404 when downloading a non-archive artifact. !32811
- Make commits author button confirm to Pajamas specs. !32821
- Fix filename duplication in design notes in activity feeds. !32823 (Arun Kumar Mohan)
- Prevent multiple Auto DevOps deployment jobs running concurrently when using manual rollout. !32824
- Implement displaying downstream pipeline error details. !32844
- Fix Runner heartbeats that results in considering them offline. !32851
- Conan package registry support for the conan_export.tgz file. !32866
- Fix plural message in account deletion section. !32868
- Fix atomic processing bumping a lock_version. !32914
- AsciiDoc: Add support for built-in alignment roles. !32928 (mnrvwl)
- Fix a bug where some Vue apps would be unable to load when DAG tab is disabled. !32966
- Fix undefined error in Gitlab::Git::Diff. !32967
- Fix spelling error on Ci::RunnersFinder. !32985 (Arthur de Lapertosa Lisboa)
- Fix polling for resource events. !33025
- Fix broken CSS classes inside alert management list. !33038
- Fix bug in snippet create mutation with non ActiveRecord errors. !33085
- Fix overflow issue in MR and Issue comments. !33100
- Fix alignment of button text on the Edit Release page. !33104
- Deduplicate URL parameters when requesting merge request diffs which causes diffs load to fail. !33117
- Fix tabbing through form fields in projects/new flow. !33209
- Fix incorrect commit search results returned when searching with ref. !33216
- Fix NoMethodError by using the correct method to report exceptions to Sentry. !33260
- Fix KaTeX font paths. !33338
- Resolve Fix Incomplete Kubernetes Cluster Status List. !33344
- Fix auto-merge not running after discussions resolved. !33371
- Fix bug in snippets updating only file_name or content. !33375
- Fix invisible emoji modal on Set Status form when clicked the second time. !33398
- vertically center action icon in the CI pipeline. !33427 (Nathanael Weber)
- Wrap auto merge parameters update in database transaction. !33471
- Return 404 response when redirecting request with invalid url. !33492
- Fix ambiguous string concatenation on CleanupProjectsWithMissingNamespace. !33497
- Fix snippet repository import edge cases. !33506
- Rust CI template: Replace --all with --workspace on cargo test. !33517 (Markus Becker)
- Make markdown textarea links tab-accessible. !33518
- Pass hard delete option to snippets bulk destroy. !33520
- Fix CI rules for ECS related jobs. !33527
- Update GitLab Workhorse to v8.34.0. !33543
- Fix snippet repository import fail with older export files. !33584
- Web IDE: Create template files in the folder from which new file request was made. !33585 (Ashesh Vidyut)
- Improve header acccessibility. !33603
- Remove non migrated snippets from failed imports. !33621
- Prevent duplicate issues when importing from CSV. !33626
- Fix sidebar spacing for alert details. !33630
- Fix linking alerts to created issues for the Generic alerts intergration. !33647
- Resolve spacing ux debt on Release assets form field. !33684
- Fix pagination link header. !33714 (Max Wittig)
- Fix Value Stream Analytics summary when using non-english locale. !33717
- Fix bug with variable substitution in alerts. !33772
- Allow wiki pages with +<> characters in their title to be saved. !33803
- Fix force_remove_source_branch not working in API. !33804
- Fix prometheus alerts not being automatically created. !33806
- Fix pagination for resource label events. !33821
- Fix relative URL root in wiki_base_path. !33841
- Return code navigation path for nil diff_refs. !33850
- Record audit event when an admin creates a new SSH Key for a user via the API. !33859 (Rajendra Kadam)
- Do not create duplicate issues for exising Alert Management alerts. !33860
- Add link text to collapsed left sidebar links for screen readers. !33866
- Update text in error tracking list error message. !33872
- Adjust wrong column reference for ResetMergeStatus (background job). !33899
- Fixed dashboard YAML file validaiton for files which do not contain object as root element. !33935
- Fix design note scrolling. !33939
- Update validates_hostname gem with support for more TLDs. !34010
- Update wording of addMultipleToDiscussionWarning. !34088
- Show all storages in settings. !34093
- Set author as nullable in snippet GraphQL Type. !34135
- Fix rendering of very long paths in merge request file tree. !34153
- Remove not null constraint from events tables. !34190
- Ensure we always generate a valid wiki event URL. !34191
- Send information about attached files to the GraphQL mutation. !34221
- Update issue limits template to use minutes. !34254
- Add route for the lost-and-found group and update the route of orphaned projects. !34285
- GraphQL - properly handle pagination of millisecond-precision timestamps. !34352
- Fix 500 error in BlobController#delete. !34367
- Updated Auto DevOps with a fix to delete PostgreSQL PVC on environment cleanup, a fix for multiline K8S_SECRET variables, updated Helm to 2.16.7 and glibc to 2.31. !34399 (verenion)
- Fix issues with scroll on iOS / iPad OS. !34486
- Fix order of integrations to be sorted alphabetically. !34501
- Fix undefined method error. !34522
- Use Keys::DestroyService for deleting an SSH key when an admin deletes a key via the API. !34535 (Rajendra Kadam)
- Removed default artifact name for Terraform template. !34557
- Footer system message fix.
- Set experiementation cookie for GitLab domain only.
- Add DS detection of build.gradle.kts.

### Changed (76 changes, 5 of them are from the community)

- Add a GraphQL endpoint to fetch Jira projects through its REST API. !28190
- Change legends in monitor dashboards to tabular layout. !30131
- Move pipelines routing under /-/ scope. !30730
- Set markdown toolbar to use hyphens for lists. !31426
- Use sprites for comment icons on Commits. !31696
- Rate limit project export by user. !31719
- Reorder diffs compare versions dropdowns. !31770 (Gilang Gumilar)
- Enable the `in this group` action in the Search dropdown. !31939
- Externalize i18n strings from ./app/views/shared/_promo.html.haml. !32109 (Gilang Gumilar)
- Add Usage Ping count for all searches. !32111
- Add tags_count to container registry api and controller. !32141
- Externalize i18n strings from ./app/views/shared/milestones/_sidebar.html.haml. !32150 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/milestones/_form_dates.html.haml. !32162 (Gilang Gumilar)
- Improve Container Registry UI header. !32424
- Added node size to cluster index. !32435
- Update operations metrics settings title and description to make them general. !32494
- Track merge_requests_users usage data. !32562
- Adds cluster CPU and Memory to cluster index. !32601
- Allow the snippet create service to accept an array of files. !32649
- Move review related controllers/workers outside EE. !32663
- Move the Members section from settings to the side nav for projects. !32667
- Show more context in unresolved jump button. !32737
- Exclude extra.server fields from exceptions_json.log. !32770
- Improve new/unknown sign-in email styling. !32808
- Allow the snippet update service to accept an array of files. !32832
- Add new issue link to email notification header. !32833
- Bump cluster-applications to 0.17.0, which updates Runner to 0.17.0 and Cilium to 1.7.4. !32931
- Update artifacts section to show when an artifact is locked. !32992
- Include tag count in the image repository list. !33027
- Clean up gitlab-shell install-from-source path. !33057
- Increase LFS token default time to 2 hours. !33140
- Add explicit mention of Merge request in Slack message. !33152
- Expose `release_links.type` via API. !33154
- Add link_type column to release_links table. !33156
- Move broadcast notification dismiss button to the top. !33174
- Remove null constraint for JID in GroupImportState. !33181
- Added provider type icon to cluster list. !33196
- Remove search icon from Project find file button. !33198
- Refine SAST language detection by frameworks. !33226
- Render Merge request reference as link. !33248
- Upgrade to Gitaly v13.1.0-rc1. !33302
- Show disabled suggestion button with tooltip message. !33357
- Add update validations to SnippetInputAction. !33379
- Add snippet DB visibility check in spec. !33388 (Jacopo Beschi @jacopo-beschi)
- Add Hugo logo to project templates. !33402
- Add GitBook logo to project templates. !33403
- Add GoMicro logo to project templates. !33404
- Add Jekyll logo to project templates. !33405
- Add Hexo logo to project templates. !33406
- Rename Add Designs button. !33491
- Add CPU, memory usage charts to self monitoring default dashboard. !33532
- Add database migrations to design_management_designs.filename to enforce a 255 character limit, and modify any filenames that exceed that limit. !33565
- Track Sentry error status updates with dedicated actions. !33623
- Alert Managament: Change sorting order to have newest alerts first. !33642
- Add blobs field to SnippetType in GraphQL. !33657
- Format metrics column chart x axis dates. !33681
- Style ToastUI contextual menus. !33719
- Update Auto deploy image to v0.16.1, introducing support for AUTO_DEVOPS_DEPLOY_DEBUG. !33799
- Add whether instance has Auto DevOps enabled to usage ping. !33811
- Update local IP address and domain name allow list input label. !33812
- Add date time format to the monitor stacked-column chart. !33814
- Allow Tf Plan to genrate multiple reports. !33867
- Remove async_merge_request_check_mergeability feature flag. !33917
- Filter potentially-sensitive Sidekiq arguments from logs and Sentry. !33967
- Update Static Site Editor toolbar to group inline-code and code-block buttons together. !34006
- Set default values for SAST_EXCLUDED_PATHS and DS_EXCLUDED_PATHS. !34076
- Add ability to filter self monitoring resource usage charts by instance name. !34084
- Pick repository storage based on weight. !34095
- Display error for YAML files that are too large. !34199
- Change copy of webhooks / integration help text. !34301
- Update board header icons. !34366
- Show Redis instance in performance bar. !34377
- Add secret detection template to Auto DevOps. !34467
- Add allowed actions to snippet input action. !34499
- Change from vendor specific to Gitlab. !34576
- Assign alerts sidebar base.

### Performance (19 changes, 1 of them is from the community)

- Improve performance of commit search by limiting the number of results requested. !32260
- Add GraphQL lookahead support. !32373
- Update index_ci_builds_on_commit_id_and_artifacts_expireatandidpartial index for secret_detection. !32584
- Add index on id and type for Snippets. !32885
- Use build_stubbed to avoid interacting with the DB in todos helper specs. !32906 (Arun Kumar Mohan)
- Optimize SQL queries on Milestone index page. !32953
- Add build report results data model. !32991
- Adjust condition for partial indexes on services table. !33044
- Add index to issues and epics on last_edited_by_id. !33075
- Fix preconnect typo in rel link. !33255
- Add project_id, user_id, status, ref index to ci_pipelines. !33290
- Move migration related to ci_builds to post_deployment. !33416
- Reduce redundant queries for Search API users scope. !33795
- Speed up boot time in production. !33929
- Harden CI pipelines usage data queries with an index. !34045
- Add partial index on locked merge requets. !34127
- Lazy load commit_date and authored_date on Commit. !34181
- Optimize container repository for groups query. !34364
- Enable CI Atomic Processing by default.

### Added (149 changes, 14 of them are from the community)

- Add rake task to verify encrypted data through secrets. !21851
- User can apply multiple suggestions at the same time. !22439 (Jesse Hall)
- Resolve Add a button to assign users who have commented on an issue. !23883
- Resolve Graph code coverage changes over time for a project. !26174
- Add doc for custom validators in api styleguide. !26734 (Rajendra Kadam)
- Add Scheduled Job for Monitoring Monitor Group Demo Environments. !27360
- Add setting to allow merge on skipped pipeline. !27490 (Mathieu Parent)
- Add dark theme (alpha). !28252
- Show estimate on issues list. !28271 (Lee Tickett)
- Make Fixed Email Notification Generally Available. !28338 (jacopo-beschi)
- Add a link to the `renamed` viewer to fully expand the renamed file (if it's text). !28448
- Focus and toggle metrics dashboard panels via keyboard. !28603
- Remove `scoped_approval_rules` feature flag. !28864 (Lee Tickett)
- Create Group import UI for creating new Groups. !29271
- Add finder for group-level runners. !29283 (Arthur de Lapertosa Lisboa)
- Allow customization of badge key_text and key_width. !29381 (Fabian Schneider @fabsrc)
- Support Workhorse directly uploading files to S3. !29389
- Add frontend support for multiline comments. !29516
- Support first_name and last_name attributes in LDAP user sync. !29542
- Add link to status page detail view for status page published issues. !30249
- Add metrics dashboard name to document title. !30392
- Backfill StatusPage::Published incidents and enable a publish quick action for EE. !30906
- Add missing Merge Request fields. !30935
- Show build status on branch list. !30948 (Lee Tickett)
- Add mutation to create commits in GraphQL. !31102
- Add GraphQL support for authored and assigned Merge Requests. !31227
- Add usage data metrics for terraform states. !31280
- Add usage data metrics for terraform reports. !31281
- Add API endpoint for listing bridge jobs. !31370 (Abhijith Sivarajan)
- SpamVerdictService can call external spam check endpoint. !31449
- Move Admin note feature to GitLab Core. !31457 (Rajendra)
- Add DAG serializer for pipelines controller. !31583
- Save repository storages in application settings with weights. !31645
- Add API endpoint for resource milestone events. !31720
- Show import in progress screen for group imports. !31731
- Add Verify/FailFast CI template. !31812
- Improve Add/Remove Issue Labels API. !31864 (Lee Tickett)
- Add mutation to create a merge request in GraphQL. !31867
- Add warning popup for Elastic Stack update. !31972
- Add API support for sharing groups with groups. !32008
- Add the container expiration policy attribute to the project GraphQL type. !32100
- Add GraphQL support for project and group labels. !32113
- Add number of database calls to Prometheus metrics and logs for sidekiq and request. !32131
- Filter pipelines by status. !32151
- Filter pipelines based on url query params. !32230
- Add metrics for Redis usage during Sidekiq job execution. !32265
- Add filters to merge request fields. !32328
- Support reading .editorconfig files inside of the Web IDE. !32378
- [Frontend] Resolvable design discussions. !32399
- Table index added to `metrics_dashboard_annotations` for future pruning of stale metrics Annotations for metrics dashboards are now checked for valid start and end dates. !32433
- Enable GitLab-Flavored Markdown processing for design links. !32446
- Filter Pipelines by Tag Name. !32470
- Adds sorting by column to alert management list. !32478
- Add project specific repository storage API. !32493
- Adapt Limitable for system-wide features. !32574
- Add application limits to instance level CI/CD variables. !32575
- Add model for project level security auto-fix settings. !32577
- Expose Jira imported issues count in GraphQL. !32580
- Organize alerts by status tabs. !32582
- Add note to ECS CI template. !32597
- Add metrics for Redis usage during web requests. !32605
- Add database and GraphQL support for alert assignees. !32609
- Set fingerprints and increment events count for Alert Management alerts. !32613
- Process stuck jira import jobs. !32643
- Allow user to add custom links to their metrics dashboard panels. !32646
- Add tags to experimental queue selector attributes. !32651
- Allow generic endpoint to receive alerts from external Prometheus. !32676
- Customize the Cloud Native Buildpack builder used with Auto Build. !32691
- Add timezone display to alert based issue start time. !32702
- Display dates on metrics dashboards in UTC time zone. !32746
- Store Todo resolution method. !32753
- Add experience_level to user_preferences. !32784
- Remove metrics dashboard annotations attached to time periods older than two weeks. !32838
- Monitor:Health metrics instrumenation. !32846
- Adds PostHog as a CI/CD Managed Application. !32856
- Groups API has top_level_only option to exclude subgroups. !32870
- Create operations_feature_flags_issues table. !32876
- Add api.js methods to update issues and merge requests. !32893
- Render user-defined links in dashboard yml file on metrics dashboard. !32895
- Add accessibility report MR widget. !32902
- Add a GraphQL mutation for toggling the resolved state of a Discussion. !32934
- Add container expiration policy objects to the GraphQL API. !32944
- Don't hide Commit tab in Web IDE when there are no changes yet. !32979
- Add column for alert slack notifications. !33017
- Add ability to insert an image via SSE. !33029
- Add user root query to GraphQL API. !33041
- Adds groupMembership and projectMembership to GraphQL API. !33049
- Alerts list pagination. !33073
- Add ApplicationSetting ui changes for repository_storages_weighted. !33096
- Display confirmation modal when user exits SSE and there are unsaved changes. !33103
- Add column dashboard_timezone to project_metrics_setting. !33120
- Allow the assignment of alerts to users from the alert detail view. !33122
- Add solarized dark for Web IDE. !33148
- Add support for artifacts/exclude configuration. !33170
- Add root users query to GraphQL API. !33195
- Added validation for YAML files with metrics dashboard definitions. !33202
- Create issue from alert. !33213
- Add max import file size option. !33215 (Roger Meier)
- Add system note when assigning user to alert. !33217
- Add count of alerts from all sources to usage ping. !33220
- Add button to create an issue from an alert management alert. !33221
- Add more detail to alert integration settings description. !33244
- Add Evidence to Releases GraphQL endpoint. !33254
- Add support for pasting images in the Web IDE. !33256
- Add ProjectAccessToken table. !33272
- Automatically resolve alert when associated issue closes. !33278
- Add `link_type` to `ReleaseLink` GraphQL type. !33386
- Add  members to project graphQL endpoint. !33418
- Update Static Site Editor WYSIWYG mode to hide front matter. !33441
- Added delete action for Dashboard Annotations in GraphQL. !33468
- Create graphQL endpoint for Jira users import. !33501
- Support IAP protected prometheus installations. !33508
- New instance-level variables UI. !33510
- Provide `__range` variable for Prometheus queries. !33521
- Add support for `git filter-repo` to repository cleanup. !33576
- Close open reply input fields in the design view sidebar when leaving a new comment. !33587
- Add dashboard schema validation warnings as metrics dashboard GraphQL field. !33592
- Add time range to user-defined links in metrics dashboard. !33663
- Increase events count for Prometheus alerts. !33706
- Track pod logs refresh action. !33802
- Add secret detection template. !33869
- Add DAG visualization MVC. !33958
- Introduce a feature flag for Vue-based UI for all import providers. !33980
- Add sticky title on Issue pages. !33983
- Allow Release asset links to be associated with a type. !33998
- Support user-defined Grafana links in metrics dashboard. !34003
- Adds AWS guidance to CI/CD > Add Variable modal. !34009
- Show custom attributes within Admin Pages. !34017 (Roger Meier)
- Enable Slack notifications for alerts. !34038
- Container expiration policy regular expressions are now validated. !34063
- Add todo when alert is assigned to a user. !34104
- Track merge requests submitted by Static Site Editor. !34105
- Turn off alert issue creation by default. !34107
- Add detailed logs of each Redis instance usage during job execution and web requests. !34110
- Add API to schedule project repository storage moves. !34119
- Add validation step on backend for metrics dashboard links. !34204
- Track when Static Site Editor is initialized. !34215
- Bring SAST to Core - brakeman. !34217
- Mask key comments when exposing SSH/Deploy Keys via the API. !34255
- Convert `:release` yaml to `release-cli` commands. !34261
- Validate regex before sending them to CleanupContainerRepositoryWorker. !34282
- Add secret_detection to DOWNLOADABLE_TYPES. !34313
- Enable ability to assign alerts to users with corresponding system notes and todos. !34360
- Enable CI Inheriting Env Variables feature. !34495
- Show tooltip on error detail page when hovering over dates. !34506
- Add native code intelligence. !34542
- Bump cluster-applications version to v0.20.0. !34569
- Add search argument for AlertStatusCountsResolver. !34596
- Allow CI_JOB_TOKEN for authenticating to the Terraform state API. !34618

### Other (65 changes, 36 of them are from the community)

- Improve fast-forward merge is not possible message. !22834 (Ben Bodenmiller)
- Remove unused WAF indexes from CI variables. !30021
- Update the visual design of badges in some areas. !31646
- Extract featurable concern from ProjectFeature. !31700 (Alexander Randa)
- Remove update function logic from list model. !31900 (nuwe1)
- Remove nextpage function logic from list model. !31904 (nuwe1)
- Squash database migrations prior to 2019 into one. !31936
- Update deprecated slot syntax in app/assets/javascripts/reports/components/grouped_test_reports_app.vue. !31975 (Gilang Gumilar)
- Replace slot syntax for Vue 3 migration. !31987 (gaslan)
- Update deprecated slot syntax in ./app/assets/javascripts/pages/admin/projects/index/components/delete_project_modal.vue. !31994 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/pages/projects/labels/components/promote_label_modal.vue. !31995 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/clusters/components/remove_cluster_confirmation.vue. !32010 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/environments/components/environments_app.vue. !32011 (Gilang Gumilar)
- Remove setLoadingState logic from issue model. !32226 (nuwe1)
- Remove addAssignee logic from issue model. !32231 (nuwe1)
- Remove addLabel Logic from issue models. !32233 (nuwe1)
- Remove addMilestone logic from issue model. !32235 (nuwe1)
- Remove destroy function logic from list model. !32237 (nuwe1)
- Remove findAssignee logic from issue model. !32238 (nuwe1)
- Remove findLabel logic from issue model. !32239 (nuwe1)
- Remove findIssue logic from list model. !32241 (nuwe1)
- Remove moveIssue logic from list model. !32242 (nuwe1)
- Remove newIssue logic from list model. !32244 (nuwe1)
- Remove removeAllAssignees logic from issue model. !32247 (nuwe1)
- Remove removeAssignee logic from issue model. !32248 (nuwe1)
- Clarify verbiage for stuck job messages. !32250
- Remove removeLabel logic from issue model. !32251 (nuwe1)
- Remove removeLabels logic from issue model. !32252 (nuwe1)
- Remove removeMilestone logic from issue model. !32253 (nuwe1)
- Remove removeMultipleIssues logic from list model. !32254 (nuwe1)
- Remove setFetchingState logic from issue model. !32255 (nuwe1)
- Remove updateData logic from issue model. !32256 (nuwe1)
- Update U2F docs for Firefox 67+. !32289 (Takuya Noguchi)
- Update alert management mobile table alignment. !32295
- Include available instance memory in usage ping. !32315
- Moves merge request reviews into Core. !32558
- Update GitLab Runner Helm Chart to 0.17.0. !32634
- Add snowplow tracking for logs page. !32704
- Extend "Remember me" token after each login. !32730
- Assign alerts sidebar container fix. !32743
- Add anchor for creating a branch. !32745
- Tidy. !32759 (Lee Tickett)
- Less verbose JiraService error logs. !32847
- Reduced padding and increased emphasis of titles within the epic tree. !32873
- Remove obsolete users.ghost column. !32957
- Move NoPrimary table def to last context in spec. !33015 (Rajendra Kadam)
- Document github rate limit behavior. !33090
- Added build_id column to requirements_management_test_reports table. !33184
- Add version history information on U2F support. !33229 (Takuya Noguchi)
- Convert IP spoofing errors into client errors. !33280
- Update docs to reflect move web IDE Terminal and file sync to Core. !33419
- Add hovering icon for sorting columns on alert management list. !33429
- Avoid javascript for omniauth logins. !33459 (Diego Louzán)
- Add opacity transition to active design discussion pins. !33493
- Update GitLab Runner Helm Chart to 0.17.1. !33504
- Make project selector in various dashboard more translatable. !33771
- Update Workhorse to v8.35.0. !33817
- Remove FF hide_token_from_runners_api. !33947
- Bump omniauth_openid_connect to 0.3.5. !34030 (Roger Meier)
- Specify tiers for SAML SSO at self-hosted plans. !34040 (Takuya Noguchi)
- Backfill failed imported snippet repositories. !34052
- Use GitLab SVG icon for file attacher action. !34196
- Add GraphQL snippet FileInputType. !34442
- Update red hex values to match GitLab UI. !34544
- Remove removeIssue logic from list model. (nuwe1)


## 13.0.14 (2020-08-18)

- No changes.

## 13.0.13 (2020-08-17)

### Security (2 changes)

- Stop deploy token being mis-used as user in ProjectPolicy and GroupPolicy.
- Project access is checked during deploy token authentication.


## 13.0.12 (2020-08-05)

### Security (10 changes)

- Add decompressed archive size validation on Project/Group Import. !562
- Enforce 2FA on Doorkeeper controllers.
- Refresh project authorizations when transferring groups.
- Stop excess logs from failure to send invite email when group no longer exists.
- Verify confirmed email for OAuth Authorize POST endpoint.
- Revoke OAuth grants when a user revokes an application.
- Fix XSS in Markdown reference tooltips.
- Fix XSS in milestone tooltips.
- Fix xss vulnerability on jobs view.
- Block 40-character hexadecimal branches.


## 13.0.11 (2020-08-05)

This version has been skipped due to packaging problems.

## 13.0.10 (2020-07-09)

### Fixed (1 change)

- Fix gitlab:*:check Rake tasks. !35944


## 13.0.9 (2020-07-06)

- No changes.

## 13.0.8 (2020-07-01)

### Security (18 changes)

- Update xterm js dependency to latest stable 3.x version.
- Do not show activity for users with private profiles.
- Fix stored XSS in markdown renderer.
- Upgrade swagger-ui to solve XSS issues.
- Fix group deploy token API authorizations.
- Check access when sending TODOs related to merge requests.
- Change from hybrid to JSON cookies serializer.
- Prevent XSS in group name validations.
- Disable caching for wiki attachments.
- Disable Github Importer API by settings.
- Fix null byte error in upload path.
- Update permissions for time tracking endpoints.
- Add snippet repository validation after bundle import.
- Update Kaminari gem.
- Fix note author name rendering.
- Sanitize bitbucket repo urls to mitigate XSS.
- Stored XSS on the Error Tracking page.
- Fix security issue when rendering issuable.


## 13.0.7 (2020-06-25)

### Fixed (7 changes)

- Group authorization refresh to consider shared groups. !31204
- Fix Value Stream Analytics summary when using non-english locale. !33717
- Fix bug with variable substitution in alerts. !33772
- Fix relative URL root in wiki_base_path. !33841
- Adjust wrong column reference for ResetMergeStatus (background job). !33899
- Updated Auto DevOps with a fix to delete PostgreSQL PVC on environment cleanup. !34657
- Load user before logging git http-requests. !34923

### Added (2 changes)

- Provide `__range` variable for Prometheus queries. !33521
- Periodically recompute project authorizations. !34071


## 13.0.6 (2020-06-10)

- No changes.

## 13.0.4 (2020-06-03)

### Security (1 change)

- Prevent fetching repository code with unauthorized ci token.


## 13.0.3 (2020-05-29)

### Fixed (8 changes, 1 of them is from the community)

- Fixed redirection to project snippets. !32530
- Fix Geo replication for design thumbnails. !32703
- Fix 404s downloading build artifacts. !32741
- Fix Auto DevOps manual rollout jobs not being allowed to fail. !32865
- Update deprecated routes in irker integration. !32923 (Marc Jeanmougin)
- Change format of variables parameter in Prometheus proxy API for metrics dashboard. !33062
- Fix issue and MR API performance regression when Markdown cache is stale. !33235
- Fix close issue when user created the issue. !33294


## 13.0.1 (2020-05-27)

### Security (12 changes)

- Add an extra validation to Static Site Editor payload.
- Hide EKS secret key in admin integrations settings.
- Added data integrity check before updating a deploy key.
- Display only verified emails on notifications and profile page.
- Require confirmed email address for GitLab OAuth authentication.
- Kubernetes cluster details page no longer exposes Service Token.
- Fix confirming unverified emails with soft email confirmation flow enabled.
- Disallow user to control PUT request using mermaid markdown in issue description.
- Check forked project permissions before allowing fork.
- Limit memory footprint of a command that generates ZIP artifacts metadata.
- Fix file enuming using Group Import.
- Prevent XSS in the monitoring dashboard.


## 13.0.0 (2020-05-22)

### Removed (20 changes, 5 of them are from the community)

- Remove project routes that were deprecated before 12.1. !26808
- Drop x-y-stable version pinning for Secure templates. !29603
- Remove logs from the admin pages. !30485
- Remove deprecated /admin/application_settings redirect. !30532
- Drop support for License-Management CI template. !30645
- Remove deprecated InfluxDB. !30786
- Remove deprecated Release Evidence endpoints. !30975
- Remove deprecated Release Evidence endpoints documentation. !30978
- Drop support for `license_management` artifact. !31247
- Remove deprecated container scanning report parser. !31294
- Remove rake task `gitlab:track_deployment`. !31404
- Remove token attribute from Runners API. !31448
- Remove support for Ruby format variable interpolation (`%{variable}`) in custom dashboards. !31581
- Remove JenkinsDeprecatedService. !31607 (tnwx)
- Remove ruby_memory_bytes metric, duplicate of ruby_process_resident_memory_bytes. !31705
- Remove project_list_show_mr_count feature flag. !31789 (Gilang Gumilar)
- Remove project_list_show_issue_count feature flag. !31793 (Gilang Gumilar)
- Remove set_user_last_activity feature flag. !31795 (Gilang Gumilar)
- Remove registrations_recaptcha feature flag. !31797 (Gilang Gumilar)
- Remove deprecated Sidekiq rake tasks.

### Fixed (171 changes, 54 of them are from the community)

- Allow public access to pipeline schedules. !20806 (Lee Tickett)
- Add user last_activity logging in GraphQL. !23063
- Render TestReport parsing errors back to pipeline test summary. !24188
- Add user popovers to system notes. !24241
- Fix missing RSS feed events. !28054
- Resolve Text for future Release date grammatically incorrect. !28075
- Fix number of approvals given calculation. !28293 (Steffen Köhler)
- Always display new subgroup button when permission is granted. !28309 (Mattias Michaux)
- Correct the permission according to docs. !28657
- Fix duplicated activity and events on deletion of tag. !28861 (Sashi Kumar)
- Fix init.d script to correctly set web server PID. !29164
- Honor per_page in Search API. !29197
- fix: use the source project to generate commit links for un-persisted merge requests. !29243 (Chieh-Min Wang)
- Fix display of some overflowing merge request diffs. !29267
- Move prepend to last line in helper files. !29327 (Rajendra Kadam)
- Prevent duplicate tooltips when hovering over status emoji in comments. !29356
- Update Elastic Stack chart to 2.0.0 to support kubernetes 1.16. !29601
- Fix minor spacing issue at Snippet blob viewer. !29625 (Karthick Venkatesan)
- Eliminate errors in wiki controller during edit. !29645
- Fixed copy as GFM not copying upload links. !29683
- Bump max search depth from 2 to 4 when looking for files SAST analyzers can handle. !29732
- Move snippet raw_url attribute to base entity. !29776
- Return content from repo in snippet raw endpoint. !29781
- Return file name from repo in snippet endpoints. !29785
- Propagation of service templates also covers services with separate data tables. !29805
- Fix bug in personal snippets when somebody is mentioned. !29835 (Sashi Kumar)
- Embed metrics charts for both /metrics and /metrics_dashboard routes. !29838
- Fix admin mode access on GraphiQL controller. !29845 (Diego Louzán)
- Exclude html entities from haml lint. !29847 (Lee Tickett)
- Fixed JS error for anonymous views of a snippet. !29854
- Destroy Dropzone hidden input when form is destroyed. !29882
- Move prepend to last line in lib/gitlab files. !29938 (Rajendra)
- Match Jira keys with trailing characters. !29953
- Fixed Cancel action on Snippet edit for existing snippets. !29993
- Warn user before losing wiki content. !30037
- Move prepend to last line in lib/gitlab files. !30070 (Rajendra Kadam)
- Fix an issue where the Search dropdown results would not be clickable. !30087 (mbergeron)
- Capture all errors when updating repository storage. !30119
- Move alert management behind a feature flag. !30133
- Fix bug when services appear active even though they are not. !30160
- Fix moving an issue when there is a group reference. !30185
- Move prepend to last line in lib/gitlab files. !30194 (Rajendra Kadam)
- Move prepend to last line in lib/gitlab files. !30289 (Rajendra Kadam)
- Move prepend to last line in lib/gitlab files. !30291 (Rajendra Kadam)
- Set NULL `lock_version` values to 0 for CI objects. !30305
- Fix errors creating project with active Prometheus service template. !30340
- Add Activity icons for Wiki updated and destroyed events. !30349
- Gracefully handle orphaned member invites. !30355
- Fix incorrect commits number in commits list. !30412
- Fix second 500 error with NULL restricted visibility levels. !30414
- Move prepend to last line in ee/services. !30425 (Rajendra Kadam)
- Add LFS badge feature flag to RefsController#logs_tree. !30442
- Fix mirror repos docs link. !30443
- Added right margin to Clone Snippet button. !30471
- Fix blob link for the code search. !30473
- Use Jira import owner as the issue author when importing issues from Jira. !30504
- Correctly count wiki pages in sidebar. !30508
- Stretch heatmap metrics full column size. !30524
- Upgrade Unicorn to v5.5.1. !30541
- Avoid copying diffs as Markdown tables. !30572
- Fixes overlapping tooltips when clicking copy buttons. !30622
- Fix 500 error for non-existing snippet on graphql mutations. !30632 (Sashi Kumar)
- Change validation rules for profile email addresses. !30633
- Set timeout for Google OAuth to prevent 503 error. !30653
- Remove extra sleep when obtaining exclusive lease. !30654
- Fix GitLab CI/CD Scala template. !30667
- Fix checkmark position on dropdowns. !30685
- Remove Visibility from terraform widget. !30737
- Use migration bot user in snippet migration. !30762
- Fix discard button not showing for new empty files in Web IDE. !30767
- Disable schema dumping after migrations in production. !30812
- Fix mapping group membets as Jira issues authors/assignees. !30820
- Align styling of snippet search results. !30837
- Move daily create users statistics cronjob to CE. !30843
- Fixed alignment of Snippet Clone copy buttons. !30897
- Increase constrast ratio of text in some tables. !30903
- Ignore .gitattributes if they contain invalid byte sequences. !30922
- Fix bug in Snippet BlobViewer GraphQL definition. !30927
- Fix layout in issue view, on large screen some buttons were misaligned. !30947 (Michele (macno) Azzolari)
- Fix error renaming files using web IDE. !30969
- Handle Snippet file name errors in backfill. !30981
- Correctly track the store that external MR diffs are placed on. !31005
- Fix duplicate index removal on ci_pipelines.project_id. !31043
- Update recursive-open-struct to 1.1.1 to make it compatible with ruby 2.7. !31047
- Revert CODEOWNERS validation of Web requests in diff check. !31087
- Wrap wiki blob search result in its own object. !31155
- Allow multiple usage of EE extension/inclusion on last lines. !31183 (Rajendra Kadam)
- Fix 500 error loading environments index. !31184
- Fix 500 on creating an invalid domains and verification. !31190
- Fix redirect loop on .com when 2FA is required. !31229
- Fix regression and allow SCIM to create SAML identity. !31238
- Fix incorrect number of errors returned when querying sentry errors. !31252
- Fix RST rendering hanging on large files. !31287
- Trim whitespace in directory names in the Web IDE. !31305
- Fix 'not enough data' in Value Stream Analytics when low median values are returned. !31315
- Add tooltip to container registry tags last update column. !31317
- Fix Istio broken Istio metrics installation. !31382
- Link to subgroup milestones correctly from group milestones page. !31383
- Remove kwargs from storage move worker. !31412
- Make edit board text sentence case. !31418
- Katex render and vscode output improvements for markdown. !31433 (Reinhold Gschweicher <pyro4hell@gmail.com>)
- Fix overwrite check in GitLab import/export. !31439
- Fix API requests for branch names ending in .txt. !31446 (Daniel Stone)
- Avoid repository size checkings in snippet migrations for migration bot. !31473
- Use iso 8601 timestamp format in metrics dashboard annotations graphql resource to assure multi browser compatibility. !31474
- In WebIDE get files with relative path instead of web_url. !31478
- Fix snippet migration when user has invalid info. !31488
- Add elipsis to container registry tag name. !31584
- Add instance column to services table if it's missing. !31631
- Fix issue with broken images in Web IDE markdown. !31638
- Fixes bug where variables were not protected by default when using the correct CI/CD admin setting. !31655
- Decode dashboard_path when creating annotations. !31665
- Fix "how to checkout MR" help link. !31688
- Fixed redirection when deleting a project snippet. !31709
- Fix templates API endpoint when project name has dots. !31758
- Remove detection of file in Dependency Scanning template. !31819
- Move prepend to last line in app models. !31826 (Rajendra Kadam)
- Move prepend to last line in app models 2. !31827 (Rajendra Kadam)
- Move prepend to last line in app models 3. !31829 (Rajendra Kadam)
- Move include_if_ee to last line in ee/app 1. !31832 (Rajendra Kadam)
- Restore original sort order of the metrics dashboard select list. !31859
- Fix Snippet update error bug losing changes. !31873
- Replace the outdated link. !31874 (Renamoo)
- Replace let! with let_it_be in user api spec. !31901 (Rajendra Kadam)
- Replace let! with let_it_be in merge request spec. !31909 (Rajendra Kadam)
- angelog Replace let! with let_it_be in pipelines spec. !31916 (Rajendra Kadam)
- Fix public metrics dashboard visibility bug. !31925
- Add nested file detection for Dependency Scanning. !31932
- Add class stubs and fix leaky constant cop alert. !31938 (Rajendra Kadam)
- Add class stubs and fix leaky constant alert in content whitelist spec. !31946 (Rajendra Kadam)
- Fix broken heading of Vue 3 migration guide doc. !31951 (Gilang Gumilar)
- Add class stubs and fix leaky constant alert in query recorder spec. !31954 (Rajendra Kadam)
- Fix no scroll when overflow in IDE right pane. !31961
- Fix leaky constant cop issue in clone dashboard service spec. !31962 (Rajendra Kadam)
- Stub class constant in resolve discussion spec. !31965 (Rajendra Kadam)
- Fix leaky constant issue in upgrade progress service check. !31969 (Rajendra Kadam)
- Clear merge request error on push to source branch. !32001
- Allow only users with `adminNote` permission to edit the design note. !32035
- Fix leaky constant issue in retry build service check. !32038 (Rajendra Kadam)
- Fix leaky constant issue in env assignment spec. !32040 (Rajendra Kadam)
- Fix leaky constant issue in statistics api spec. !32042 (Rajendra Kadam)
- Fix leaky constant issue in merge request policy spec. !32044 (Rajendra Kadam)
- Fix leaky constant issue in tree spec. !32045 (Rajendra Kadam)
- Fix leaky constant issue in mentionable spec. !32049 (Rajendra Kadam)
- Fix leaky constant issue in json serialization spec. !32051 (Rajendra Kadam)
- Fix leaky constant issue in cluster spec. !32053 (Rajendra Kadam)
- Fix bug in Groups API when statistics are requested in an unauthenticated API call. !32057
- Fix leaky constant issue in nulls pt2 spec. !32058 (Rajendra Kadam)
- Fix leaky constant issue in application settings encrypt spec. !32066 (Rajendra Kadam)
- Fix leaky constant issue in system check spec. !32080 (Rajendra Kadam)
- Fix leaky constant issue in simple executor spec. !32082 (Rajendra Kadam)
- Fix leaky constant issue in jwt spec. !32093 (Rajendra Kadam)
- Update android template. !32096
- Fix leaky constant issue in factory spec. !32099 (Rajendra Kadam)
- Fix leaky constant issue in sidekiq middleware spec. !32101 (Rajendra Kadam)
- Fix leaky constant issue connection, master check and attr config spec. !32144 (Rajendra Kadam)
- Fix updating of Markdown fields when Markdown cache version is incremented. !32219
- Fix incorrect regex used in FileUploader#extract_dynamic_path. !32271
- Improve responses in the snippet create/update API endpoints. !32282
- Send Devise emails triggered from the 'Email' model asynchronously. !32286
- Re-enable negative filters for Boards. !32348
- Fix missing space character in alert header. !32395
- Fix display of embedded snippets. !32411 (Jan Beckmann)
- Fixed redirection to project snippets. !32530
- Rake task gitlab:cleanup:orphan_lfs_files should clear the cached value or repository size. !32541
- Fixed enabled merge button incorrectly showing to users who can't merge.
- Fixed misaligned avatar in commit discussion form.
- Fixed cancel reply button not alerting the user.
- Fixes commit message emojis not rendering in Vue file list.
- Fix logging of username in /jwt/auth.
- Fixes branch name not getting escaped correctly on frontend.

### Deprecated (2 changes)

- Deprecate /plugins directory. !29678
- Implement external database checker in dashboard controller. !30389

### Changed (121 changes, 42 of them are from the community)

- Support limits for offset based pagination. !28460
- Redirect issues routes under /-/ scope. !28655
- Add Fluentd into cluster apps page. !28847
- Disallow developers to delete builds of protected branches. !28881 (Alexander Kutelev)
- Store status of repository storage moves. !29095
- Update the example regex in the image expiration policy UI. !29348
- Add WAF and Cilium Log column for Fluentd table. !29457
- Update Fluentd model to support multiple logs. !29458
- Add Cilium to Fluentd UI controls on the Cluster Application page. !29511
- Use alerts instead of toasts in Image Repository details. !29685
- Avoid commit when snippet file_name and content are not present. !29761
- Recreate foreign key in project settings to use nullify instead of cascade. !29767
- Surface alerts add sidebar link. !29775
- Make setting alerts on the monitoring dashboard available to GitLab Core users. !29789
- Keep latest artifact for each ref. !29802
- Change placeholder in search input for Analytics features. !29858 (Gilang Gumilar)
- Test Jira connection before running import. !29926
- Remove snippet file_name from snippet lists. !29937
- Add new keep regex to expiration policy settings ui. !29940
- Alert management can user enable. !30024
- Expose the updated_at attribute in the todos API. !30035
- Update GitLab-managed helm from 2.16.3 to 2.16.6, improving the reliability of GitLab's Kubernetes integration. !30067
- Show correct label and count on Jira import form. !30072
- Copy pipelines routing under - scope. !30159
- Return validation errors for invalid pod name or container name when viewing pod logs. !30165 (Sashi Kumar)
- Move global autocomplete routes to /-/ scope. !30173
- Update the cancel comment note text to a less ambiguous statement. !30189
- Use stricter regex for broadcast target path. !30210
- Change wording of merge request threads counter. !30217
- Indicate topics are optional. !30264 (Ben Bodenmiller)
- Rename Client Side Evaluation to Live Preview. !30309
- Decouple partial clone config from max input size. !30354 (Son Luong Ngoc)
- Update managed jupyter chart to 0.9.0 (stable). !30393
- Hide broadcast messages until the end of the period. !30432
- Add severity icons for alert management. !30472
- Move to supported Elastic helm charts. !30528
- Updated snippet view to show path instead of name for a blob. !30550
- Handle possible RSA key exceptions when generating CI_JOB_JWT. !30702
- Update sidebar packages name. !30712
- Update cron job schedule to have a random time generated on page load. !30729
- Migrate Container-Scanning template to rules syntax. !30775
- Migrate DAST CI template to rules syntax. !30776
- Migrate License-Scanning CI template to rules syntax. !30784
- Code review analytics: Change margin between title and description. !30834
- Productivity Analytics: Remove separator and cleanup title margins. !30839
- Move Auto DevOps Test.gitlab-ci.yml template to rules syntax instead of only/except. !30876
- Change Var to Variable text. !30878
- Move Build.gitlab-ci.yml to `rules` syntax. !30895
- Move Code-Quality.gitlab-ci.yml to `rules` syntax. !30896
- Migrate Dependency-Scanning CI template to rules syntax. !30907
- Apply shared integrations view to project level. !30971
- Exposes description, hosts, details, and timestamps for Alert Management Alert GraphQL. !31091
- Update the example regex in the image expiration policy UI. !31104
- Add clear explanation to the MR widget when no CI is available and Pipeline must succeed option is activated. !31112
- Migrate SAST CI template to rules syntax. !31127
- Update style of buttons on the Releases page. !31129 (Özgür Adem Işıklı @iozguradem)
- Changed test success calculation to exclude skipped tests. !31154
- app:gitlab:check rake task now warns when projects are not in hashed storage. !31172
- Moves embedded metrics for Prometheus alerts to Core. !31203
- Move Deploy.gitlab-ci.yml to `rules` syntax. !31290
- Modify Snippet git path errors to be more helpful. !31333
- Move Browser-Perfomance-Testing.gitlab-ci.yml to `rules` syntax. !31413
- Use gsub instead of the Liquid gem for variable substitution in the Prometheus proxy API. !31482
- Changed terminology of security scanner status from configure to enable. !31503
- Update auto-deploy-image to v0.14.0 with helm 2.16.6, --atomic deployments and improved kubernetes 1.16 support. !31505
- Add ability to add or remove MR labels via API. !31522 (Lee Tickett)
- Disable Docker-in-Docker for Dependency Scanning by default. !31588
- Disable Docker-in-Docker for SAST by default. !31589
- Add migration to import changes to the system dashboard Prometheus queries into DB. !31618
- Ensure links generated by the copy link feature contain variables. !31636
- Migrate from Vue event hub to Mitt in issuables list. !31652 (Arun Kumar Mohan)
- URL params in the monitoring dashboard update variable values defined in yml file. !31662
- Migrate from Vue event hub to Mitt. !31666 (Arun Kumar Mohan)
- Add prefix to template variables in URL in the monitoring dashboard. !31690
- Add fields to GraphQL snippet blob type. !31710
- Make protected_ci_variables setting enabled by default. !31715
- Prepare group import feature to use ndjson. !31741
- Prepare group export feature to use ndjson. !31742
- Remove a lonely dot in Batch Comments. !31783 (Gilang Gumilar)
- Update auto-deploy-image to v0.15.0, with an upgraded PostgreSQL chart used by default for Auto DevOps deployments. !31799
- Force hashed storage to always be enabled. !31801
- Add alert counts by status to GraphQL API. !31818
- Show warning message to user if raw text search is used when filtering pipelines. !31942
- Update deprecated slot syntax in ./app/assets/javascripts/pages/milestones/shared/components/delete_milestone_modal.vue. !31990 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/confidential_merge_request/components/dropdown.vue. !31999 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/diffs/components/diff_discussions.vue. !32004 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/boards/components/board_form.vue. !32005 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/repository/components/breadcrumbs.vue. !32017 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/users/calendar_activities.html.haml. !32094 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/users/_deletion_guidance.html.haml. !32097 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/_ref_dropdown.html.haml. !32102 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/_recaptcha_form.html.haml. !32106 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/_project_limit.html.haml. !32110 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/_personal_access_tokens_table.html.haml. !32116 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/_milestones_filter.html.haml. !32120 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/_milestone_expired.html.haml. !32121 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/_label_row.html.haml. !32124 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/_group_tips.html.haml. !32127 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/_group_form.html.haml. !32132 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/_field.html.haml. !32136 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/_delete_label_modal.html.haml. !32138 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/_commit_message_container.html.haml. !32139 (Gilang Gumilar)
- Externalize i18n aria-label strings from ./app/views/shared/*. !32142 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/milestones/_top.html.haml. !32148 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/milestones/_milestone.html.haml. !32154 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/milestones/_merge_requests_tab.haml. !32158 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/milestones/_labels_tab.html.haml. !32159 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/milestones/_issues_tab.html.haml. !32160 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/milestones/_issuable.html.haml. !32161 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/issuable/_sidebar.html.haml. !32164 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/issuable/_nav.html.haml. !32165 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/issuable/_label_*. !32167 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/issuable/_close_reopen_report_toggle.html.haml. !32168 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/issuable/_close_reopen_button.html.haml. !32172 (Gilang Gumilar)
- Externalize i18n strings from ./app/views/shared/issuable/_bulk_update_sidebar.html.haml. !32173 (Gilang Gumilar)
- Add files param to snippet create mutation. !32309
- Cluster index refactor: Add missing pagination. !32338
- Refactored render errors for blob to Vue. !32345
- Format the alert payload into a table view. !32423
- Add presence validation to content and title in snippet rest endpoints. !32522
- Fix jump to definition linking to same file opening a new tab.

### Performance (15 changes, 2 of them are from the community)

- Speed up NOT Issue filters. !27639
- Add indexes on ingress, enabled clusters and successful deployments. !28331
- Add clusters index to improve usage data queries. !28626
- Uses Kubernetes API conventions to create or update a resource leandrogs. !29010 (Leandro Silva)
- Cache TreeSummary response for logs_tree. !29828
- Move release notification from model callbacks to service. !29853 (Ravishankar)
- Delete orphaned rows in application_settings table. !29981
- Improve cacheability of monaco-editor code. !30032
- Project import queries are now partially batched. !30057
- Upgrade json gem to 2.3.0. !30852
- Use process-wide cache for application settings and performance bar. !31135
- Record usage ping finish time. !31222
- Use NOT VALID to enforce a not null constraint on file store columns. !31261
- Enable ref name caching for merge request diffs. !31530
- Skip mergeability check when listing MRs in the API. !31890

### Added (146 changes, 13 of them are from the community)

- Graphql query for issues can now be sorted by priority. !18901
- Add test report API route. !24648
- Add GraphQL support for querying a board's lists. !24812
- Define remove_label quick action as alias of unlabel. !24962 (Jacopo Beschi @jacopo-beschi)
- Create Wiki activity events on pushes to Wiki git repository. !26624
- Allow users to download a CSV of the recent daily code coverage values per job. !27094
- Display x509 signed tags. !27211 (Roger Meier)
- Enabling git versioned snippets. !27705
- Add option to hide the default "thumbs up" and "thumbs down" buttons on issues, merge requests, and snippets. !27734 (Steve Mokris)
- Add sorting issues by label priority to graphQL endpoint. !27936
- Add certification revocation list download and certificate revoke. !28336 (Roger Meier)
- Add WebIDE Dark Theme Support. !28407
- Add secure binaries template. !28566
- LDAP authentication support for admin mode. !28572 (Diego Louzán)
- Add UI for exporting group data to the group settings. !28573
- Allow to assign milestones to a release on the "Edit Release page". !28583
- Add Previous and Next buttons for commit-by-commit navigation. !28596
- Add the global var SECURE_ANALYZERS_PREFIX. !28617
- Allow users to retry obtaining Let's Encrypt certificates for GitLab Pages. !28784
- Add support for cluster applications CI artifact report. !28866
- Add resource_state_events table. !28926
- Migration to add partitioned_foreign_keys table that tracks foreign keys for partitioned tables. !29064
- Collect object store config in usage data. !29149
- Add freeze period model. !29162
- Moved issue board focus mode to Core and available for for everyone. !29200
- Add freeze periods via CI_DEPLOY_FREEZE variable. !29244
- Add intermediate CAs capability to S/MIME email signature. !29352 (Diego Louzán)
- Add responding to ChatOps jobs triggered in Mattermost. !29366 (Brian Kintz)
- Expose Freeze Periods in REST API. !29382
- Add read/write_package_registry to deploy_tokens. !29383
- Add public API for feature flag user lists. !29415
- Create cluster annotations API endpoint. !29502
- Add ability to change metrics dashboard visibility. !29634
- Add percentage of actors feature flag rollout. !29698
- Add metric dashboard public visibility toggle. !29718
- Route to feature flags based on internal id. !29740
- Send email notification for unknown sign-ins. !29741
- Add search by name to registry image repositories. !29763
- Surface alerts add empty state. !29775
- Enable uploadpack filters by default. !29787
- Select the first option if there is only one metric option on alerts dropdown. !29857 (Gilang Gumilar)
- Add table for Alert Management alerts. !29864
- Add policies for managing 'default_branch_protection' setting in groups. !29879
- Add comment_detail column to services. !29891
- Add option to add custom profile image guidelines. !29894 (Roger Meier)
- View a details of a panel in 'full screen mode'. !29902
- Add database relation to preserve users starred metrics dashboard information. !29912
- Add jira imports to usage data. !29925
- Add issues_create_limit to settings api. !29960
- Map labels from Jira to labels in GitLab. !29970
- Add Deployment to ECS process to AutoDevOps. !29971
- GraphQL issue queries can now be sorted by milestone due date. !29992
- Add table for tracking issues published to status page. !29994
- Create Sprints table and barebones model. !30125
- When viewing a single panel, return to a full dashboard by pressing the Escape key. !30126
- Flesh out Sprints relationships and constraints. !30127
- Add GraphQL type for reading Alert Management Alerts. !30140
- Add ability to query Projects using GraphQL API. !30146
- Add `web_url` to branch API response. !30147
- Fix Jira importer URLs. !30155
- Add migrations for global CI variables. !30156
- Add vue routes support to Static Site Editor. !30163
- Integrate CI instance variables in the build process. !30186
- Add raw_blob_request_limit to Application Settings API. !30211
- Empty state for alerts list. !30215
- Create operations_strategies_user_lists table. !30243
- Adds URL parameter for confidential new issue creation. !30250
- Update Jira comment to include more information. !30258
- Add scheduled_at field to jira_imports table. !30284
- Alerts list loading & error state. !30315
- Deploy token authentication for API with Maven endpoints. !30332
- Add metrics dashboard annotations feature, which enables marking interesting events over metrics dashboard charts. !30371
- Add non_archived argument to issues API endpoint. !30381
- Add admin controller actions for interacting with instance variables. !30385
- Add mutation to create a new branch in GraphQL. !30388
- Introduce API for fetching shared projects in a group. !30461
- Display expanded dashboard from a panel's "Link to chart" URL. !30476
- Resolve Design Comment: Edit Comment text. !30479
- Map Jira issue assignee and author. !30498
- Add email notification on group export complete. !30522
- Add option to restrict emails that match a configured regular expression. !30548
- In metrics dashboard use custom variables from URL in queries. !30560
- Add mutation for AlertManagement's Alert status. !30576
- Multiple metrics edit navigates to prom edit page. !30666
- Update metrics dashboard url when a panel is expanded or contracted. !30704
- Add migration bot user. !30738
- Issues Analytics: Add title to page. !30836
- Contribution Analytics: Add title to page. !30842
- Insights Analytics: Add title to page. !30853
- Repository Analytics: Add title to page. !30855
- CI / CD Analytics: Add title to page. !30891
- Enable Monaco for editing Snippets by default. !30892
- Disabled Edit button for binary snippets. !30904
- Monokai and Solarized Dark syntax highlighting theme for Web IDE. !30931
- Updated deprecated buttons in release page. !30941 (Özgür Adem Işıklı @iozguradem)
- Add sorting to AlertManagement Alert Graphql. !30964
- Web IDE: Introduce syntax highlighting for .vue files. !30986
- Solarized light syntax highlighting theme for the Web IDE. !30989
- Deploy tokens can be used in the API with Basic Auth Headers enabling NuGet and PyPI to be used with deploy tokens. !31035
- Skip spam check for GitLab team members on gitlab.com. !31052
- None syntax highlighting theme for Web IDE. !31056
- Issues Analytics: Add title to group-level page. !31057
- Display metrics dashboards starred by user at the top of dashboard select field. !31059
- Add WYSIWYG editor to the Static Site Editor. !31099
- Conan registry is accessible using deploy tokens. !31114
- Add container registry settings to application_settings table. !31125
- Added provider icon to cluster index display. !31134
- Add a CI variable CI_KUBERNETES_ACTIVE as an alternative to only:kubernetes/except:kubernetes that works with the rules syntax. !31146
- Enable Alert Management functionality. !31171
- Allow monitoring dashboard users to open single panels in a new tab. !31206
- Create dashboard annotations via Graphql. !31249
- Enable deploy token authentication for the NPM registry. !31264
- Add read and write package registry scopes to deploy tokens. !31267
- Read only storage move API. !31285
- Add Design Management (via Designs tab on Issues) to GitLab FOSS. !31309
- Exposes issue IID in Alert Management Alert's GraphQL endpoint. !31313
- New API endpoint for starring metrics dashboards. !31316
- Add search bar to container registry image list. !31322
- Highlight focused Design discussion in image markers. !31323
- Allow showing merge request diffs compared to current version of target branch. !31325
- Add alert on project issues page to show Jira import is in progress. !31329
- Add API CRUD actions for instance-level CI/CD variables. !31342
- Add alert on project issues page to show Jira import has finished. !31375
- Filter pipelines by trigger author and branch name. !31386
- Add incident_labeled_issues to usage ping. !31406
- Refactored Snippet view to Vue. !31450
- Make report-type artifacts available for download. !31513
- Render dropdown and text elements based on variables defined in monitoring dashboard yml file. !31524
- Add expunge deleted messages option to mailroom. !31531 (Diego Louzán)
- Log Cloudflare request headers. !31532
- Allow Web IDE markdown to preview uncommitted images. !31540
- Add Webex Teams project integration service. !31543 (Sebastian Leuser)
- Add Rubocop cop to flag keyword arguments usage in Sidekiq workers. !31551 (Arun Kumar Mohan)
- Allow users to star/unstar dashboards which will appear at the top of their dashboards options. !31597
- Add ability to create merge request from vulnerability page. !31620
- Add confidential status support for comment and replies. !31622
- Add Web IDE pipelines usage counter. !31658
- Ruby metrics now include USS and PSS memory readings. !31707
- Add issues_created_gitlab_alerts to usage ping. !31802
- Add Alert Detail view. !31877
- New API endpoint for removing stars from metrics dashboards. !31892
- View raw file of any zip artifacts. !31912
- Add search to Alert Management Alerts GraphQL query. !32047
- Add "Keep divergent refs" option for push mirrors. !32381
- Add fields to Alert Details view. !32392
- Update GitLab Pages to 1.18.0.

### Other (70 changes, 25 of them are from the community)

- Remove Admin -> Settings -> Geo navigation. !21005 (Lee Tickett)
- removes store logic from issue board models. !21400 (nuwe1)
- removes store logic from issue board models. !21408 (nuwe1)
- Moves updateIssue from issue model to board store. !21414 (nuwe1)
- Improve error handling of squash and rebase. !23740
- Remove obsolete bot_type column. !27076
- Remove obsolete columns from resource_milestone_events. !28536
- Add index to issue_id and created_at of resource_weight_events. !28930
- Clean up & Re-arrange the keyboard shortcuts modal. !28992
- Remove ci_expose_arbitrary_artifacts_in_mr feature flag. !29363 (Lee Tickett)
- Remove git_archive_path feature flag. !29369 (Lee Tickett)
- Rename Snippet search results title. !29599
- Update to Rails 6.0.2.2. !29743
- Log server responses of API bad requests in api_json.log. !29839
- Clean up refresh fix for cancel automatic merge. !29844
- Add snippet repository backfilling migration. !29927
- Remove the SIDEKIQ_REQUEST_STORE configuration. !29955
- Increase label list label column width. !29963
- Refactor count queries to single query on Projects::EnvironmentsController. !30073 (Sashi Kumar)
- Update text on self-managed sign in page. !30135
- Remove namespaces.plan_id column. !30351
- Migrate models and policies specs to consider admin mode. !30430 (Diego Louzán)
- Upgrade Nokogiri to v1.10.9. !30435
- Add snippet migration rake tasks. !30489
- Error tracking target blank empty state. !30525
- Remove elasticsearch_experimental_indexer column. !30628
- Update the template for Static Site Editor / Middleman. !30642
- Remove unused cluster configuration workers. !30695
- Remove deprecated Snippet `code` attribute from Project Snippets API. !30739
- Update merge request widget question mark icons. !30759
- Value Stream Analytics: Add title and remove separator. !30841
- Remove mention of github-markup in Wiki clone help. !30962
- Alert Management mobile styling. !31082
- Allow Auto DevOps Test stage to start immediately. !31185
- Enable async_merge_request_check_mergeability by default. !31196
- Cleanup background migration for populating user_highest_roles table. !31218
- Add docs for alert management list. !31225
- Remove extra spaces from markdown toolbar items. !31288
- Use cookies with metadata to prevent reuse as another cookie. !31311
- Add inherit_from_id column to services table. !31320
- Organize package models by package type. !31346 (Sashi Kumar)
- Apply active class on active link element in HAML pagination. !31396
- Update GitLab Runner Helm Chart to 0.16.1. !31492
- Log when container registry permissions are denied. !31536
- Add epic_id to resource_state_events. !31587
- Update doorkeeper to latest version 5.0.3. !31673
- Add Foreign Key on projects.namespaces_id. !31675
- Fix misalignment of author dropdown on the commits search page. !31686
- Update css-loader ^1.0.0 -> ^2.1.1. !31743 (Pirate Praveen)
- Fix database schema inconsistency with not-null checks. !31930
- Removes create_confidential_merge_request feature flag leandrogs. !31968 (Leandro Silva)
- Update deprecated slot syntax in ./app/assets/javascripts/issue_show/components/fields/description.vue. !31979 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/pages/milestones/shared/components/promote_milestone_modal.vue. !31980 (Gilang Gumilar)
- Update group and project export info messages. !31981 (briankabiro)
- Relocate Nuget presenter helpers to presenters module. !31985 (Sashi Kumar)
- Update deprecated slot syntax in ./app/assets/javascripts/pages/admin/users/components/delete_user_modal.vue. !31992 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/performance_bar/components/detailed_metric.vue. !32006 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/profile/account/components/delete_account_modal.vue. !32007 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/environments/components/stop_environment_modal.vue. !32012 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/serverless/components/area.vue. !32015 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/releases/components/app_edit.vue. !32018 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/releases/components/evidence_block.vue. !32019 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/ide/components/ide_review.vue. !32025 (Gilang Gumilar)
- Update deprecated slot syntax in ./app/assets/javascripts/ide/components/pipelines/list.vue. !32027 (Gilang Gumilar)
- Update alert management table background colour to correct gray. !32068
- Validate package types in package metadatum models. !32091 (Sashi Kumar)
- Update error tracking table background colour to correct gray. !32133
- Update GitLab Elasticsearch Indexer to v2.3.0. !32199
- Update asciidoctor-plantuml gem to v0.0.12. !32376
- Use visitUrl in Alert management. !32414

## 12.10.14 through 12.0.0

- See [changelogs/archive-12.md](changelogs/archive-12.md)

## 11.11.8 through 11.0.0

- See [changelogs/archive-11.md](changelogs/archive-11.md)

## 10.8.6 through 10.0.0

- See [changelogs/archive-10.md](changelogs/archive-10.md)

## 9.5.10 through 0.8.0

- See [changelogs/archive.md](changelogs/archive.md)
