# frozen_string_literal: true

class AddForeignKeyToVulnerabilityReadsOnScanner < Gitlab::Database::Migration[1.0]
  disable_ddl_transaction!

  def up
    add_concurrent_foreign_key :vulnerability_reads, :vulnerability_scanners, column: :scanner_id, on_delete: :cascade
  end

  def down
    with_lock_retries do
      remove_foreign_key :vulnerability_reads, column: :scanner_id
    end
  end
end
